/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/evaluate_comp.scm -indent -fno-arithmetic-overflow -o objs/obj_u/Eval/evaluate_comp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EVALUATE_COMP_TYPE_DEFINITIONS
#define BGL___EVALUATE_COMP_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


#endif													// BGL___EVALUATE_COMP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62compzd2ev_defglobal1432zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00(void);
	static obj_t BGl_zc3z04anonymousza32001ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33660ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote1452z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33539ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_zc3z04anonymousza31863ze3ze70z60zz__evaluate_compz00(long,
		obj_t, long, obj_t, BgL_ev_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setglobal1430zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32100ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33831ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32851ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32843ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31863ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32835ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32916ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33459ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32487ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4602z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33492ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32316ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32828ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32909ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32047ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32128ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol4610z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_symbol4612z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_symbol4614z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4617z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32102ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04exitza33345ze3ze70z60zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32861ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33744ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33558ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33477ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33469ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_zc3z04anonymousza31945ze3ze70z60zz__evaluate_compz00(long,
		obj_t, long, obj_t, BgL_ev_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_symbol4620z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4622z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4624z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33010ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4626z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4628z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00(void);
	extern obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32870ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31971ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33389ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol4630z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4632z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4634z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4717z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4636z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32104ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4638z00zz__evaluate_compz00 = BUNSPEC;
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33770ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33754ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32855ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32847ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32839ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00(void);
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_symbol4640z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol4642z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4725z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4644z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33020ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32202ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4646z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33004ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4648z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_prog21442zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32540ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33844ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32864ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32083ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33909ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33585ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00(void);
	static obj_t BGl_z62zc3z04anonymousza33569ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32487ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_symbol4650z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4652z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t bgl_bignum_mul(obj_t, obj_t);
	static obj_t BGl_symbol4654z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4736z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33013ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4656z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4738z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4658z00zz__evaluate_compz00 = BUNSPEC;
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza33780ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32361ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32873ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33675ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32066ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_symbol4740z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4660z00zz__evaluate_compz00 = BUNSPEC;
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = 0L;
	static obj_t BGl_symbol4742z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4662z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4664z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32204ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4666z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32026ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4668z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32882ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33927ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33684ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33595ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32858ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol4670z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4672z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t bgl_bignum_add(obj_t, obj_t);
	static obj_t BGl_symbol4592z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33112ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4674z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4594z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4676z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4596z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4678z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3z04anonymousza32030ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32891ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33855ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32867ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_zc3z04anonymousza31973ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_symbol4680z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol4682z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33202ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4684z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33024ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_or1438zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza32206ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4686z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_evmodulezd2namezd2zz__evmodulez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32028ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32013ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33872ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32876ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00(void);
	static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
	static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33203ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_var1424zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza33970ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32885ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31986ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33301ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33793ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33947ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32894ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33696ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_mainze710ze7zz__evaluate_compz00(long, obj_t, obj_t);
	static obj_t BGl_mainze711ze7zz__evaluate_compz00(long, obj_t, obj_t);
	static obj_t BGl_mainze712ze7zz__evaluate_compz00(long, obj_t, obj_t);
	static obj_t BGl_mainze713ze7zz__evaluate_compz00(long, obj_t, obj_t);
	static obj_t BGl_mainze714ze7zz__evaluate_compz00(long, obj_t, obj_t);
	static obj_t BGl_mainze715ze7zz__evaluate_compz00(long, obj_t, obj_t);
	static obj_t BGl_mainze716ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t);
	static obj_t BGl_mainze717ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33140ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bgl_bignum_sub(obj_t, obj_t);
	static obj_t BGl_mainze718ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32241ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_mainze719ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33043ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32152ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_let1444zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32047ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32128ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00(void);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza32992ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33883ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32879ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_goto1461zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_mainze720ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t);
	static obj_t BGl_mainze721ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t);
	static obj_t BGl_mainze722ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t);
	static obj_t BGl_mainze723ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t);
	extern obj_t bgl_long_to_bignum(long);
	static obj_t BGl_mainze724ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_mainze725ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_mainze726ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_mainze727ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_mainze728ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_mainze729ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32104ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32888ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza31885ze3ze70z60zz__evaluate_compz00(obj_t,
		long, obj_t, BgL_ev_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_mainze730ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_mainze731ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4503z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_mainze732ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_mainze733ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run4505z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_mainze734ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_mainze735ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run4507z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_mainze736ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_mainze737ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run4509z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_mainze738ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_mainze739ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32316ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32986ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_global1428zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32978ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32897ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4511z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_mainze740ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_mainze741ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62run4513z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_mainze742ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_mainze743ze7zz__evaluate_compz00(long, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62run4515z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4517z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32422ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4519z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33054ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00(void);
	static obj_t BGl_z62zc3z04anonymousza33208ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza31904ze3ze70z60zz__evaluate_compz00(obj_t,
		long, obj_t, BgL_ev_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33991ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32995ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4521z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_synchroniza7e1457z17zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run4523z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4525z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33500ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33330ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4527z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4529z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32083ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern bool_t bigloo_string_lt(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_labels1459zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4531z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4533z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4535z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4537z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33153ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4539z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33056ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33218ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_mainze70ze7zz__evaluate_compz00(long, obj_t,
		BgL_ev_absz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_mainze71ze7zz__evaluate_compz00(long, obj_t,
		BgL_ev_absz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_mainze72ze7zz__evaluate_compz00(long, obj_t,
		BgL_ev_absz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	static obj_t BGl_mainze73ze7zz__evaluate_compz00(long, obj_t,
		BgL_ev_absz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_mainze74ze7zz__evaluate_compz00(long, obj_t);
	static obj_t BGl_mainze75ze7zz__evaluate_compz00(long, obj_t);
	static obj_t BGl_zc3z04anonymousza31841ze3ze70z60zz__evaluate_compz00(long,
		obj_t, long, obj_t, BgL_ev_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_mainze76ze7zz__evaluate_compz00(long, obj_t);
	static obj_t BGl_mainze77ze7zz__evaluate_compz00(long, obj_t);
	static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
	static obj_t BGl_zc3z04anonymousza32275ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_mainze78ze7zz__evaluate_compz00(long, obj_t, obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_mainze79ze7zz__evaluate_compz00(long, obj_t, obj_t);
	static obj_t BGl_zc3z04exitza33331ze3ze70z60zz__evaluate_compz00(obj_t, obj_t,
		obj_t, long, obj_t);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62run4541z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4543z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza33340ze3ze5zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62run4545z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4547z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4549z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32177ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33897ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62run4551z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_app1463zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4553z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4555z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32361ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4557z62zz__evaluate_compz00(obj_t, obj_t);
	extern int bgl_debug(void);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33228ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4559z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_z62run4561z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4563z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33350ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32540ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4565z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_get_profilez00zz__evaluate_compz00(void);
	static obj_t BGl_z62run4567z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4569z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4502z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4504z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00(void);
	static obj_t BGl_z62main4506z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	static obj_t BGl_z62main4508z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_z62comp1418z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(void);
	static obj_t BGl_z62run4571z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4573z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33513ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00(void);
	static obj_t BGl_z62zc3z04anonymousza33343ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4575z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33254ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62run4577z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33076ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4579z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4510z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4512z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4514z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4516z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4518z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1426zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_zc3z04anonymousza31986ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4581z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62run4583z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4585z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4587z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32275ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32356ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4520z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_and1440zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4522z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4524z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4526z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4528z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1450z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33523ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4530z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4532z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza31924ze3ze70z60zz__evaluate_compz00(long,
		obj_t, long, obj_t, BgL_ev_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62main4534z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4536z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4538z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32900ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31904ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32206ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4540z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62main4542z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62main4544z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33339ze3ze70z60zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4546z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4548z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_abs1465zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letrec1448zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32820ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_withzd2handler1455z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33606ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32241ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33339ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32359ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4550z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4552z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4554z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4556z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4558z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31841ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33615ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33453ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_if1436zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4560z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_trap1422zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4562z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4564z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4566z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4568z62zz__evaluate_compz00(obj_t, obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza33640ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33632ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32903ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33381ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33284ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32152ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_letza21446z12zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4570z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4572z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main4574z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main4576z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main4578z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33722ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32912ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33706ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31924ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4580z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4582z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4584z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4586z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_litt1434zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33731ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza33804ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32832ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32824ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33821ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33651ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32914ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32906ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32422ze3ze70z60zz__evaluate_compz00(long,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33546ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32817ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33376ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t *__cnst;


	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za74746z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_4747z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza74748za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string4600z00zz__evaluate_compz00,
		BgL_bgl_string4600za700za7za7_4749za7, "eval", 4);
	      DEFINE_STRING(BGl_string4601z00zz__evaluate_compz00,
		BgL_bgl_string4601za700za7za7_4750za7, "internal error: not found", 25);
	      DEFINE_STRING(BGl_string4603z00zz__evaluate_compz00,
		BgL_bgl_string4603za700za7za7_4751za7, "at", 2);
	      DEFINE_STRING(BGl_string4604z00zz__evaluate_compz00,
		BgL_bgl_string4604za700za7za7_4752za7, "", 0);
	      DEFINE_STRING(BGl_string4605z00zz__evaluate_compz00,
		BgL_bgl_string4605za700za7za7_4753za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string4606z00zz__evaluate_compz00,
		BgL_bgl_string4606za700za7za7_4754za7, "&compile", 8);
	      DEFINE_STRING(BGl_string4607z00zz__evaluate_compz00,
		BgL_bgl_string4607za700za7za7_4755za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string4608z00zz__evaluate_compz00,
		BgL_bgl_string4608za700za7za7_4756za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string4609z00zz__evaluate_compz00,
		BgL_bgl_string4609za700za7za7_4757za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string4611z00zz__evaluate_compz00,
		BgL_bgl_string4611za700za7za7_4758za7, "mcell", 5);
	      DEFINE_STRING(BGl_string4613z00zz__evaluate_compz00,
		BgL_bgl_string4613za700za7za7_4759za7, "internal", 8);
	      DEFINE_STRING(BGl_string4615z00zz__evaluate_compz00,
		BgL_bgl_string4615za700za7za7_4760za7, "impossible", 10);
	      DEFINE_STRING(BGl_string4616z00zz__evaluate_compz00,
		BgL_bgl_string4616za700za7za7_4761za7, "procedure", 9);
	      DEFINE_STRING(BGl_string4618z00zz__evaluate_compz00,
		BgL_bgl_string4618za700za7za7_4762za7, "user", 4);
	      DEFINE_STRING(BGl_string4619z00zz__evaluate_compz00,
		BgL_bgl_string4619za700za7za7_4763za7, "invalid byte code", 17);
	      DEFINE_STRING(BGl_string4621z00zz__evaluate_compz00,
		BgL_bgl_string4621za700za7za7_4764za7, "+", 1);
	      DEFINE_STRING(BGl_string4623z00zz__evaluate_compz00,
		BgL_bgl_string4623za700za7za7_4765za7, "number", 6);
	      DEFINE_STRING(BGl_string4625z00zz__evaluate_compz00,
		BgL_bgl_string4625za700za7za7_4766za7, "-", 1);
	      DEFINE_STRING(BGl_string4627z00zz__evaluate_compz00,
		BgL_bgl_string4627za700za7za7_4767za7, "*", 1);
	      DEFINE_STRING(BGl_string4629z00zz__evaluate_compz00,
		BgL_bgl_string4629za700za7za7_4768za7, "/", 1);
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4700z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if14769z00,
		BGl_z62compzd2ev_if1436zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4701z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or14770z00,
		BGl_z62compzd2ev_or1438zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4702z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and4771z00,
		BGl_z62compzd2ev_and1440zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4703z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro4772z00,
		BGl_z62compzd2ev_prog21442zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4704z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let4773z00,
		BGl_z62compzd2ev_let1444zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4705z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let4774z00,
		BGl_z62compzd2ev_letza21446z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4706z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let4775z00,
		BGl_z62compzd2ev_letrec1448zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4631z00zz__evaluate_compz00,
		BgL_bgl_string4631za700za7za7_4776za7, "<", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4707z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin4777z00,
		BGl_z62compzd2ev_bindzd2exit1450z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4708z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw4778z00,
		BGl_z62compzd2ev_unwindzd2prote1452z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4633z00zz__evaluate_compz00,
		BgL_bgl_string4633za700za7za7_4779za7, ">", 1);
	      DEFINE_STRING(BGl_string4715z00zz__evaluate_compz00,
		BgL_bgl_string4715za700za7za7_4780za7, "internal error", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4709z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit4781z00,
		BGl_z62compzd2ev_withzd2handler1455z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4716z00zz__evaluate_compz00,
		BgL_bgl_string4716za700za7za7_4782za7, "must be dead code", 17);
	      DEFINE_STRING(BGl_string4635z00zz__evaluate_compz00,
		BgL_bgl_string4635za700za7za7_4783za7, "<=", 2);
	      DEFINE_STRING(BGl_string4718z00zz__evaluate_compz00,
		BgL_bgl_string4718za700za7za7_4784za7, "notyet", 6);
	      DEFINE_STRING(BGl_string4637z00zz__evaluate_compz00,
		BgL_bgl_string4637za700za7za7_4785za7, ">=", 2);
	      DEFINE_STRING(BGl_string4719z00zz__evaluate_compz00,
		BgL_bgl_string4719za700za7za7_4786za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string4639z00zz__evaluate_compz00,
		BgL_bgl_string4639za700za7za7_4787za7, "=", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4710z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_syn4788z00,
		BGl_z62compzd2ev_synchroniza7e1457z17zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4711z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab4789z00,
		BGl_z62compzd2ev_labels1459zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4712z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got4790z00,
		BGl_z62compzd2ev_goto1461zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4713z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app4791z00,
		BGl_z62compzd2ev_app1463zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4720z00zz__evaluate_compz00,
		BgL_bgl_string4720za700za7za7_4792za7, "mutex", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4714z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs4793z00,
		BGl_z62compzd2ev_abs1465zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4721z00zz__evaluate_compz00,
		BgL_bgl_string4721za700za7za7_4794za7, "set!", 4);
	      DEFINE_STRING(BGl_string4722z00zz__evaluate_compz00,
		BgL_bgl_string4722za700za7za7_4795za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string4641z00zz__evaluate_compz00,
		BgL_bgl_string4641za700za7za7_4796za7, "+fx", 3);
	      DEFINE_STRING(BGl_string4723z00zz__evaluate_compz00,
		BgL_bgl_string4723za700za7za7_4797za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string4724z00zz__evaluate_compz00,
		BgL_bgl_string4724za700za7za7_4798za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string4643z00zz__evaluate_compz00,
		BgL_bgl_string4643za700za7za7_4799za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string4726z00zz__evaluate_compz00,
		BgL_bgl_string4726za700za7za7_4800za7, "@", 1);
	      DEFINE_STRING(BGl_string4645z00zz__evaluate_compz00,
		BgL_bgl_string4645za700za7za7_4801za7, "-fx", 3);
	      DEFINE_STRING(BGl_string4727z00zz__evaluate_compz00,
		BgL_bgl_string4727za700za7za7_4802za7, "Uninitialized variable", 22);
	      DEFINE_STRING(BGl_string4647z00zz__evaluate_compz00,
		BgL_bgl_string4647za700za7za7_4803za7, "*fx", 3);
	      DEFINE_STRING(BGl_string4649z00zz__evaluate_compz00,
		BgL_bgl_string4649za700za7za7_4804za7, "/fx", 3);
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string4651z00zz__evaluate_compz00,
		BgL_bgl_string4651za700za7za7_4805za7, "<fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4728z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4806za7,
		BGl_z62zc3z04anonymousza32986ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4653z00zz__evaluate_compz00,
		BgL_bgl_string4653za700za7za7_4807za7, ">fx", 3);
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4729z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4808za7,
		BGl_z62zc3z04anonymousza32992ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4655z00zz__evaluate_compz00,
		BgL_bgl_string4655za700za7za7_4809za7, "<=fx", 4);
	      DEFINE_STRING(BGl_string4737z00zz__evaluate_compz00,
		BgL_bgl_string4737za700za7za7_4810za7, "get_sp", 6);
	      DEFINE_STRING(BGl_string4657z00zz__evaluate_compz00,
		BgL_bgl_string4657za700za7za7_4811za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string4739z00zz__evaluate_compz00,
		BgL_bgl_string4739za700za7za7_4812za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string4659z00zz__evaluate_compz00,
		BgL_bgl_string4659za700za7za7_4813za7, "=fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4730z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4814za7,
		BGl_z62zc3z04anonymousza32995ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4731z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4815za7,
		BGl_z62zc3z04anonymousza33004ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4732z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4816za7,
		BGl_z62zc3z04anonymousza33010ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4733z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4817za7,
		BGl_z62zc3z04anonymousza33013ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4734z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4818za7,
		BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4741z00zz__evaluate_compz00,
		BgL_bgl_string4741za700za7za7_4819za7, "get_profile", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4735z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4820za7,
		BGl_z62zc3z04anonymousza33020ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4661z00zz__evaluate_compz00,
		BgL_bgl_string4661za700za7za7_4821za7, "+fl", 3);
	      DEFINE_STRING(BGl_string4743z00zz__evaluate_compz00,
		BgL_bgl_string4743za700za7za7_4822za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string4744z00zz__evaluate_compz00,
		BgL_bgl_string4744za700za7za7_4823za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string4663z00zz__evaluate_compz00,
		BgL_bgl_string4663za700za7za7_4824za7, "flonum", 6);
	      DEFINE_STRING(BGl_string4745z00zz__evaluate_compz00,
		BgL_bgl_string4745za700za7za7_4825za7, "__evaluate_comp", 15);
	      DEFINE_STRING(BGl_string4665z00zz__evaluate_compz00,
		BgL_bgl_string4665za700za7za7_4826za7, "-fl", 3);
	      DEFINE_STRING(BGl_string4667z00zz__evaluate_compz00,
		BgL_bgl_string4667za700za7za7_4827za7, "*fl", 3);
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string4669z00zz__evaluate_compz00,
		BgL_bgl_string4669za700za7za7_4828za7, "/fl", 3);
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string4671z00zz__evaluate_compz00,
		BgL_bgl_string4671za700za7za7_4829za7, "<fl", 3);
	      DEFINE_STRING(BGl_string4673z00zz__evaluate_compz00,
		BgL_bgl_string4673za700za7za7_4830za7, ">fl", 3);
	      DEFINE_STRING(BGl_string4593z00zz__evaluate_compz00,
		BgL_bgl_string4593za700za7za7_4831za7, "all", 3);
	      DEFINE_STRING(BGl_string4675z00zz__evaluate_compz00,
		BgL_bgl_string4675za700za7za7_4832za7, "<=fl", 4);
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string4595z00zz__evaluate_compz00,
		BgL_bgl_string4595za700za7za7_4833za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string4677z00zz__evaluate_compz00,
		BgL_bgl_string4677za700za7za7_4834za7, ">=fl", 4);
	      DEFINE_STRING(BGl_string4597z00zz__evaluate_compz00,
		BgL_bgl_string4597za700za7za7_4835za7, "bounce", 6);
	      DEFINE_STRING(BGl_string4679z00zz__evaluate_compz00,
		BgL_bgl_string4679za700za7za7_4836za7, "=fl", 3);
	      DEFINE_STRING(BGl_string4598z00zz__evaluate_compz00,
		BgL_bgl_string4598za700za7za7_4837za7, "non non non", 11);
	      DEFINE_STRING(BGl_string4599z00zz__evaluate_compz00,
		BgL_bgl_string4599za700za7za7_4838za7, " in ", 4);
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string4681z00zz__evaluate_compz00,
		BgL_bgl_string4681za700za7za7_4839za7, "car", 3);
	      DEFINE_STRING(BGl_string4683z00zz__evaluate_compz00,
		BgL_bgl_string4683za700za7za7_4840za7, "pair", 4);
	      DEFINE_STRING(BGl_string4685z00zz__evaluate_compz00,
		BgL_bgl_string4685za700za7za7_4841za7, "cdr", 3);
	      DEFINE_STRING(BGl_string4687z00zz__evaluate_compz00,
		BgL_bgl_string4687za700za7za7_4842za7, "cadr", 4);
	      DEFINE_STRING(BGl_string4689z00zz__evaluate_compz00,
		BgL_bgl_string4689za700za7za7_4843za7, "comp1418", 8);
	      DEFINE_STRING(BGl_string4690z00zz__evaluate_compz00,
		BgL_bgl_string4690za700za7za7_4844za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string4691z00zz__evaluate_compz00,
		BgL_bgl_string4691za700za7za7_4845za7, "&comp", 5);
	      DEFINE_STRING(BGl_string4693z00zz__evaluate_compz00,
		BgL_bgl_string4693za700za7za7_4846za7, "comp", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4688z00zz__evaluate_compz00,
		BgL_bgl_za762comp1418za762za7za74847z00,
		BGl_z62comp1418z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev4848z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4692z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra4849z00,
		BGl_z62compzd2ev_trap1422zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4694z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var4850z00,
		BGl_z62compzd2ev_var1424zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4695z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set4851z00,
		BGl_z62compzd2ev_setlocal1426zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4696z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo4852z00,
		BGl_z62compzd2ev_global1428zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4697z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set4853z00,
		BGl_z62compzd2ev_setglobal1430zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4698z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def4854z00,
		BGl_z62compzd2ev_defglobal1432zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4699z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit4855z00,
		BGl_z62compzd2ev_litt1434zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4602z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4610z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4612z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4614z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4617z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4620z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4622z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4624z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4626z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4628z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4630z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4632z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4634z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4717z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4636z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4638z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4640z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4642z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4725z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4644z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4646z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4648z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4650z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4652z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4654z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4736z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4656z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4738z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4658z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4740z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4660z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4742z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4662z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4664z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4666z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4668z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4670z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4672z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4592z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4674z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4594z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4676z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4596z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4678z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4680z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4682z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4684z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4686z00zz__evaluate_compz00));
		   
			 ADD_ROOT((void *) (&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_17160, char *BgL_fromz00_17161)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_compz00();
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					return BGl_toplevelzd2initzd2zz__evaluate_compz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol4592z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4593z00zz__evaluate_compz00);
			BGl_symbol4594z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4595z00zz__evaluate_compz00);
			BGl_symbol4596z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4597z00zz__evaluate_compz00);
			BGl_symbol4602z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4603z00zz__evaluate_compz00);
			BGl_symbol4610z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4611z00zz__evaluate_compz00);
			BGl_symbol4612z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4613z00zz__evaluate_compz00);
			BGl_symbol4614z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4615z00zz__evaluate_compz00);
			BGl_symbol4617z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4618z00zz__evaluate_compz00);
			BGl_symbol4620z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4621z00zz__evaluate_compz00);
			BGl_symbol4622z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4623z00zz__evaluate_compz00);
			BGl_symbol4624z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4625z00zz__evaluate_compz00);
			BGl_symbol4626z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4627z00zz__evaluate_compz00);
			BGl_symbol4628z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4629z00zz__evaluate_compz00);
			BGl_symbol4630z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4631z00zz__evaluate_compz00);
			BGl_symbol4632z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4633z00zz__evaluate_compz00);
			BGl_symbol4634z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4635z00zz__evaluate_compz00);
			BGl_symbol4636z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4637z00zz__evaluate_compz00);
			BGl_symbol4638z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4639z00zz__evaluate_compz00);
			BGl_symbol4640z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4641z00zz__evaluate_compz00);
			BGl_symbol4642z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4643z00zz__evaluate_compz00);
			BGl_symbol4644z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4645z00zz__evaluate_compz00);
			BGl_symbol4646z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4647z00zz__evaluate_compz00);
			BGl_symbol4648z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4649z00zz__evaluate_compz00);
			BGl_symbol4650z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4651z00zz__evaluate_compz00);
			BGl_symbol4652z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4653z00zz__evaluate_compz00);
			BGl_symbol4654z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4655z00zz__evaluate_compz00);
			BGl_symbol4656z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4657z00zz__evaluate_compz00);
			BGl_symbol4658z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4659z00zz__evaluate_compz00);
			BGl_symbol4660z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4661z00zz__evaluate_compz00);
			BGl_symbol4662z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4663z00zz__evaluate_compz00);
			BGl_symbol4664z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4665z00zz__evaluate_compz00);
			BGl_symbol4666z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4667z00zz__evaluate_compz00);
			BGl_symbol4668z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4669z00zz__evaluate_compz00);
			BGl_symbol4670z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4671z00zz__evaluate_compz00);
			BGl_symbol4672z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4673z00zz__evaluate_compz00);
			BGl_symbol4674z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4675z00zz__evaluate_compz00);
			BGl_symbol4676z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4677z00zz__evaluate_compz00);
			BGl_symbol4678z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4679z00zz__evaluate_compz00);
			BGl_symbol4680z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4681z00zz__evaluate_compz00);
			BGl_symbol4682z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4683z00zz__evaluate_compz00);
			BGl_symbol4684z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4685z00zz__evaluate_compz00);
			BGl_symbol4686z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4687z00zz__evaluate_compz00);
			BGl_symbol4717z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4718z00zz__evaluate_compz00);
			BGl_symbol4725z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4726z00zz__evaluate_compz00);
			BGl_symbol4736z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4737z00zz__evaluate_compz00);
			BGl_symbol4738z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4739z00zz__evaluate_compz00);
			BGl_symbol4740z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4741z00zz__evaluate_compz00);
			return (BGl_symbol4742z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4743z00zz__evaluate_compz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 114 */
				BGL_LONGLONG_T BgL_arg1532z00_1414;

				BgL_arg1532z00_1414 = LONG_TO_LLONG(0L);
				{	/* Eval/evaluate_comp.scm 114 */
					obj_t BgL_list1533z00_1415;

					{	/* Eval/evaluate_comp.scm 114 */
						obj_t BgL_arg1534z00_1416;

						BgL_arg1534z00_1416 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1532z00_1414), BNIL);
						BgL_list1533z00_1415 =
							MAKE_YOUNG_PAIR(BGl_symbol4592z00zz__evaluate_compz00,
							BgL_arg1534z00_1416);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1533z00_1415;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = 8192L;
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol4594z00zz__evaluate_compz00, (int) (0L));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol4596z00zz__evaluate_compz00, (int) (0L));
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1418;

					BgL_headz00_1418 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_6455;
						obj_t BgL_tailz00_6456;

						BgL_prevz00_6455 = BgL_headz00_1418;
						BgL_tailz00_6456 = BgL_l1z00_1;
					BgL_loopz00_6454:
						if (PAIRP(BgL_tailz00_6456))
							{
								obj_t BgL_newzd2prevzd2_6462;

								BgL_newzd2prevzd2_6462 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_6456), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_6455, BgL_newzd2prevzd2_6462);
								{
									obj_t BgL_tailz00_17237;
									obj_t BgL_prevz00_17236;

									BgL_prevz00_17236 = BgL_newzd2prevzd2_6462;
									BgL_tailz00_17237 = CDR(BgL_tailz00_6456);
									BgL_tailz00_6456 = BgL_tailz00_17237;
									BgL_prevz00_6455 = BgL_prevz00_17236;
									goto BgL_loopz00_6454;
								}
							}
						else
							{
								BNIL;
							}
					}
					return CDR(BgL_headz00_1418);
				}
		}

	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 132 */
			{	/* Eval/evaluate_comp.scm 133 */
				BGL_LONGLONG_T BgL_arg1556z00_1446;

				BgL_arg1556z00_1446 = LONG_TO_LLONG(0L);
				{	/* Eval/evaluate_comp.scm 133 */
					obj_t BgL_list1557z00_1447;

					{	/* Eval/evaluate_comp.scm 133 */
						obj_t BgL_arg1558z00_1448;

						BgL_arg1558z00_1448 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1556z00_1446), BNIL);
						BgL_list1557z00_1447 =
							MAKE_YOUNG_PAIR(BGl_symbol4592z00zz__evaluate_compz00,
							BgL_arg1558z00_1448);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1557z00_1447, BUNSPEC);
				}
			}
		}

	}



/* o->s~0 */
	obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1458)
	{
		{	/* Eval/evaluate_comp.scm 141 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1458))
				{	/* Ieee/fixnum.scm 975 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_1458), 10L);
				}
			else
				{	/* Eval/evaluate_comp.scm 138 */
					if (SYMBOLP(BgL_vz00_1458))
						{	/* Eval/evaluate_comp.scm 139 */
							obj_t BgL_arg4166z00_6471;

							BgL_arg4166z00_6471 = SYMBOL_TO_STRING(BgL_vz00_1458);
							return
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg4166z00_6471);
						}
					else
						{	/* Eval/evaluate_comp.scm 139 */
							if (STRINGP(BgL_vz00_1458))
								{	/* Eval/evaluate_comp.scm 140 */
									return BgL_vz00_1458;
								}
							else
								{	/* Eval/evaluate_comp.scm 140 */
									return BGl_string4598z00zz__evaluate_compz00;
								}
						}
				}
		}

	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_13617,
		obj_t BgL_t1z00_13618, obj_t BgL_t2z00_13619)
	{
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 138 */
				bool_t BgL_tmpz00_17254;

				{	/* Eval/evaluate_comp.scm 142 */
					obj_t BgL_v1z00_15893;
					obj_t BgL_v2z00_15894;

					BgL_v1z00_15893 = CAR(((obj_t) BgL_t1z00_13618));
					BgL_v2z00_15894 = CAR(((obj_t) BgL_t2z00_13619));
					{	/* Eval/evaluate_comp.scm 143 */
						bool_t BgL_test4862z00_17259;

						if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_15893))
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_test4862z00_17259 =
									BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BgL_v2z00_15894);
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_test4862z00_17259 = ((bool_t) 0);
							}
						if (BgL_test4862z00_17259)
							{	/* Eval/evaluate_comp.scm 144 */
								bool_t BgL_test4864z00_17263;

								if (INTEGERP(BgL_v1z00_15893))
									{	/* Eval/evaluate_comp.scm 144 */
										BgL_test4864z00_17263 = INTEGERP(BgL_v2z00_15894);
									}
								else
									{	/* Eval/evaluate_comp.scm 144 */
										BgL_test4864z00_17263 = ((bool_t) 0);
									}
								if (BgL_test4864z00_17263)
									{	/* Eval/evaluate_comp.scm 144 */
										BgL_tmpz00_17254 =
											(
											(long) CINT(BgL_v1z00_15893) <
											(long) CINT(BgL_v2z00_15894));
									}
								else
									{	/* Eval/evaluate_comp.scm 144 */
										BgL_tmpz00_17254 =
											BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_15893,
											BgL_v2z00_15894);
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_tmpz00_17254 =
									bigloo_string_lt(BGl_ozd2ze3sze70zd6zz__evaluate_compz00
									(BgL_v1z00_15893),
									BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_15894));
							}
					}
				}
				return BBOOL(BgL_tmpz00_17254);
			}
		}

	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 147 */
			BGl_recze71ze7zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}

	}



/* rec~1 */
	bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1467)
	{
		{	/* Eval/evaluate_comp.scm 148 */
			{	/* Eval/evaluate_comp.scm 149 */
				obj_t BgL_arg1571z00_1469;
				obj_t BgL_arg1572z00_1470;

				BgL_arg1571z00_1469 = CDR(((obj_t) BgL_tz00_1467));
				{	/* Eval/evaluate_comp.scm 149 */
					obj_t BgL_arg1573z00_1471;

					{	/* Eval/evaluate_comp.scm 149 */
						obj_t BgL_pairz00_6482;

						BgL_pairz00_6482 = CDR(((obj_t) BgL_tz00_1467));
						BgL_arg1573z00_1471 = CDR(BgL_pairz00_6482);
					}
					BgL_arg1572z00_1470 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1573z00_1471);
				}
				{	/* Eval/evaluate_comp.scm 149 */
					obj_t BgL_tmpz00_17282;

					BgL_tmpz00_17282 = ((obj_t) BgL_arg1571z00_1469);
					SET_CDR(BgL_tmpz00_17282, BgL_arg1572z00_1470);
				}
			}
			{	/* Eval/evaluate_comp.scm 150 */
				obj_t BgL_g1302z00_1472;

				{	/* Eval/evaluate_comp.scm 150 */
					obj_t BgL_pairz00_6487;

					BgL_pairz00_6487 = CDR(((obj_t) BgL_tz00_1467));
					BgL_g1302z00_1472 = CDR(BgL_pairz00_6487);
				}
				{
					obj_t BgL_l1300z00_6499;

					BgL_l1300z00_6499 = BgL_g1302z00_1472;
				BgL_zc3z04anonymousza31574ze3z87_6498:
					if (PAIRP(BgL_l1300z00_6499))
						{	/* Eval/evaluate_comp.scm 150 */
							BGl_recze71ze7zz__evaluate_compz00(CAR(BgL_l1300z00_6499));
							{
								obj_t BgL_l1300z00_17292;

								BgL_l1300z00_17292 = CDR(BgL_l1300z00_6499);
								BgL_l1300z00_6499 = BgL_l1300z00_17292;
								goto BgL_zc3z04anonymousza31574ze3z87_6498;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 150 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		{	/* Eval/evaluate_comp.scm 156 */
			{
				obj_t BgL_lz00_6525;
				long BgL_nz00_6526;

				BgL_lz00_6525 = BgL_lz00_7;
				BgL_nz00_6526 = 0L;
			BgL_walkz00_6524:
				if (NULLP(BgL_lz00_6525))
					{	/* Eval/evaluate_comp.scm 158 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 158 */
						if ((BgL_xz00_6 == CAR(((obj_t) BgL_lz00_6525))))
							{	/* Eval/evaluate_comp.scm 159 */
								return BINT(BgL_nz00_6526);
							}
						else
							{
								long BgL_nz00_17304;
								obj_t BgL_lz00_17301;

								BgL_lz00_17301 = CDR(((obj_t) BgL_lz00_6525));
								BgL_nz00_17304 = (BgL_nz00_6526 + 1L);
								BgL_nz00_6526 = BgL_nz00_17304;
								BgL_lz00_6525 = BgL_lz00_17301;
								goto BgL_walkz00_6524;
							}
					}
			}
		}

	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		{	/* Eval/evaluate_comp.scm 163 */
			{	/* Eval/evaluate_comp.scm 164 */
				obj_t BgL__ortest_1079z00_1492;

				BgL__ortest_1079z00_1492 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1079z00_1492))
					{	/* Eval/evaluate_comp.scm 164 */
						return BgL__ortest_1079z00_1492;
					}
				else
					{	/* Eval/evaluate_comp.scm 164 */
						obj_t BgL_arg1587z00_1493;

						{	/* Eval/evaluate_comp.scm 164 */
							obj_t BgL_arg1588z00_1494;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 164 */
									BgL_arg1588z00_1494 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_head1305z00_1500;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1600z00_1512;

										{	/* Eval/evaluate_comp.scm 164 */
											obj_t BgL_arg1604z00_1513;

											BgL_arg1604z00_1513 = CAR(((obj_t) BgL_lz00_9));
											{	/* Eval/evaluate_comp.scm 189 */
												bool_t BgL_test4871z00_17313;

												{	/* Eval/evaluate_comp.scm 189 */
													obj_t BgL_classz00_6543;

													BgL_classz00_6543 =
														BGl_ev_varz00zz__evaluate_typesz00;
													if (BGL_OBJECTP(BgL_arg1604z00_1513))
														{	/* Eval/evaluate_comp.scm 189 */
															BgL_objectz00_bglt BgL_arg4317z00_6545;

															BgL_arg4317z00_6545 =
																(BgL_objectz00_bglt) (BgL_arg1604z00_1513);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Eval/evaluate_comp.scm 189 */
																	long BgL_idxz00_6551;

																	BgL_idxz00_6551 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg4317z00_6545);
																	BgL_test4871z00_17313 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_6551 + 2L)) ==
																		BgL_classz00_6543);
																}
															else
																{	/* Eval/evaluate_comp.scm 189 */
																	bool_t BgL_res4352z00_6576;

																	{	/* Eval/evaluate_comp.scm 189 */
																		obj_t BgL_oclassz00_6559;

																		{	/* Eval/evaluate_comp.scm 189 */
																			obj_t BgL_arg4324z00_6567;
																			long BgL_arg4325z00_6568;

																			BgL_arg4324z00_6567 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Eval/evaluate_comp.scm 189 */
																				long BgL_arg4326z00_6569;

																				BgL_arg4326z00_6569 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg4317z00_6545);
																				BgL_arg4325z00_6568 =
																					(BgL_arg4326z00_6569 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_6559 =
																				VECTOR_REF(BgL_arg4324z00_6567,
																				BgL_arg4325z00_6568);
																		}
																		{	/* Eval/evaluate_comp.scm 189 */
																			bool_t BgL__ortest_1296z00_6560;

																			BgL__ortest_1296z00_6560 =
																				(BgL_classz00_6543 ==
																				BgL_oclassz00_6559);
																			if (BgL__ortest_1296z00_6560)
																				{	/* Eval/evaluate_comp.scm 189 */
																					BgL_res4352z00_6576 =
																						BgL__ortest_1296z00_6560;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 189 */
																					long BgL_odepthz00_6561;

																					{	/* Eval/evaluate_comp.scm 189 */
																						obj_t BgL_arg4314z00_6562;

																						BgL_arg4314z00_6562 =
																							(BgL_oclassz00_6559);
																						BgL_odepthz00_6561 =
																							BGL_CLASS_DEPTH
																							(BgL_arg4314z00_6562);
																					}
																					if ((2L < BgL_odepthz00_6561))
																						{	/* Eval/evaluate_comp.scm 189 */
																							obj_t BgL_arg4312z00_6564;

																							{	/* Eval/evaluate_comp.scm 189 */
																								obj_t BgL_arg4313z00_6565;

																								BgL_arg4313z00_6565 =
																									(BgL_oclassz00_6559);
																								BgL_arg4312z00_6564 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg4313z00_6565, 2L);
																							}
																							BgL_res4352z00_6576 =
																								(BgL_arg4312z00_6564 ==
																								BgL_classz00_6543);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 189 */
																							BgL_res4352z00_6576 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test4871z00_17313 = BgL_res4352z00_6576;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 189 */
															BgL_test4871z00_17313 = ((bool_t) 0);
														}
												}
												if (BgL_test4871z00_17313)
													{	/* Eval/evaluate_comp.scm 189 */
														BgL_arg1600z00_1512 =
															(((BgL_ev_varz00_bglt) COBJECT(
																	((BgL_ev_varz00_bglt) BgL_arg1604z00_1513)))->
															BgL_namez00);
													}
												else
													{	/* Eval/evaluate_comp.scm 189 */
														BgL_arg1600z00_1512 = BgL_arg1604z00_1513;
													}
											}
										}
										BgL_head1305z00_1500 =
											MAKE_YOUNG_PAIR(BgL_arg1600z00_1512, BNIL);
									}
									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_g1308z00_1501;

										BgL_g1308z00_1501 = CDR(((obj_t) BgL_lz00_9));
										{
											obj_t BgL_l1303z00_6631;
											obj_t BgL_tail1306z00_6632;

											BgL_l1303z00_6631 = BgL_g1308z00_1501;
											BgL_tail1306z00_6632 = BgL_head1305z00_1500;
										BgL_zc3z04anonymousza31593ze3z87_6630:
											if (NULLP(BgL_l1303z00_6631))
												{	/* Eval/evaluate_comp.scm 164 */
													BgL_arg1588z00_1494 = BgL_head1305z00_1500;
												}
											else
												{	/* Eval/evaluate_comp.scm 164 */
													obj_t BgL_newtail1307z00_6639;

													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1596z00_6640;

														BgL_arg1596z00_6640 =
															BGl_lnamez00zz__evaluate_compz00(CAR(
																((obj_t) BgL_l1303z00_6631)));
														BgL_newtail1307z00_6639 =
															MAKE_YOUNG_PAIR(BgL_arg1596z00_6640, BNIL);
													}
													SET_CDR(BgL_tail1306z00_6632,
														BgL_newtail1307z00_6639);
													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1595z00_6642;

														BgL_arg1595z00_6642 =
															CDR(((obj_t) BgL_l1303z00_6631));
														{
															obj_t BgL_tail1306z00_17351;
															obj_t BgL_l1303z00_17350;

															BgL_l1303z00_17350 = BgL_arg1595z00_6642;
															BgL_tail1306z00_17351 = BgL_newtail1307z00_6639;
															BgL_tail1306z00_6632 = BgL_tail1306z00_17351;
															BgL_l1303z00_6631 = BgL_l1303z00_17350;
															goto BgL_zc3z04anonymousza31593ze3z87_6630;
														}
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 164 */
								obj_t BgL_list1589z00_1495;

								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_arg1590z00_1496;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1591z00_1497;

										BgL_arg1591z00_1497 =
											MAKE_YOUNG_PAIR(BgL_arg1588z00_1494, BNIL);
										BgL_arg1590z00_1496 =
											MAKE_YOUNG_PAIR(BGl_string4599z00zz__evaluate_compz00,
											BgL_arg1591z00_1497);
									}
									BgL_list1589z00_1495 =
										MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1590z00_1496);
								}
								BgL_arg1587z00_1493 = BgL_list1589z00_1495;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string4600z00zz__evaluate_compz00,
							BGl_string4601z00zz__evaluate_compz00, BgL_arg1587z00_1493);
					}
			}
		}

	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		{	/* Eval/evaluate_comp.scm 188 */
			{	/* Eval/evaluate_comp.scm 189 */
				bool_t BgL_test4877z00_17356;

				{	/* Eval/evaluate_comp.scm 189 */
					obj_t BgL_classz00_6649;

					BgL_classz00_6649 = BGl_ev_varz00zz__evaluate_typesz00;
					if (BGL_OBJECTP(BgL_vz00_16))
						{	/* Eval/evaluate_comp.scm 189 */
							BgL_objectz00_bglt BgL_arg4317z00_6651;

							BgL_arg4317z00_6651 = (BgL_objectz00_bglt) (BgL_vz00_16);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Eval/evaluate_comp.scm 189 */
									long BgL_idxz00_6657;

									BgL_idxz00_6657 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg4317z00_6651);
									BgL_test4877z00_17356 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6657 + 2L)) == BgL_classz00_6649);
								}
							else
								{	/* Eval/evaluate_comp.scm 189 */
									bool_t BgL_res4355z00_6682;

									{	/* Eval/evaluate_comp.scm 189 */
										obj_t BgL_oclassz00_6665;

										{	/* Eval/evaluate_comp.scm 189 */
											obj_t BgL_arg4324z00_6673;
											long BgL_arg4325z00_6674;

											BgL_arg4324z00_6673 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Eval/evaluate_comp.scm 189 */
												long BgL_arg4326z00_6675;

												BgL_arg4326z00_6675 =
													BGL_OBJECT_CLASS_NUM(BgL_arg4317z00_6651);
												BgL_arg4325z00_6674 =
													(BgL_arg4326z00_6675 - OBJECT_TYPE);
											}
											BgL_oclassz00_6665 =
												VECTOR_REF(BgL_arg4324z00_6673, BgL_arg4325z00_6674);
										}
										{	/* Eval/evaluate_comp.scm 189 */
											bool_t BgL__ortest_1296z00_6666;

											BgL__ortest_1296z00_6666 =
												(BgL_classz00_6649 == BgL_oclassz00_6665);
											if (BgL__ortest_1296z00_6666)
												{	/* Eval/evaluate_comp.scm 189 */
													BgL_res4355z00_6682 = BgL__ortest_1296z00_6666;
												}
											else
												{	/* Eval/evaluate_comp.scm 189 */
													long BgL_odepthz00_6667;

													{	/* Eval/evaluate_comp.scm 189 */
														obj_t BgL_arg4314z00_6668;

														BgL_arg4314z00_6668 = (BgL_oclassz00_6665);
														BgL_odepthz00_6667 =
															BGL_CLASS_DEPTH(BgL_arg4314z00_6668);
													}
													if ((2L < BgL_odepthz00_6667))
														{	/* Eval/evaluate_comp.scm 189 */
															obj_t BgL_arg4312z00_6670;

															{	/* Eval/evaluate_comp.scm 189 */
																obj_t BgL_arg4313z00_6671;

																BgL_arg4313z00_6671 = (BgL_oclassz00_6665);
																BgL_arg4312z00_6670 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg4313z00_6671,
																	2L);
															}
															BgL_res4355z00_6682 =
																(BgL_arg4312z00_6670 == BgL_classz00_6649);
														}
													else
														{	/* Eval/evaluate_comp.scm 189 */
															BgL_res4355z00_6682 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4877z00_17356 = BgL_res4355z00_6682;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 189 */
							BgL_test4877z00_17356 = ((bool_t) 0);
						}
				}
				if (BgL_test4877z00_17356)
					{	/* Eval/evaluate_comp.scm 189 */
						return
							(((BgL_ev_varz00_bglt) COBJECT(
									((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
					}
				else
					{	/* Eval/evaluate_comp.scm 189 */
						return BgL_vz00_16;
					}
			}
		}

	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		{	/* Eval/evaluate_comp.scm 193 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 194 */
					obj_t BgL_cdrzd2194zd2_1539;

					BgL_cdrzd2194zd2_1539 = CDR(((obj_t) BgL_locz00_20));
					if (
						(CAR(
								((obj_t) BgL_locz00_20)) ==
							BGl_symbol4602z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 194 */
							if (PAIRP(BgL_cdrzd2194zd2_1539))
								{	/* Eval/evaluate_comp.scm 194 */
									obj_t BgL_cdrzd2198zd2_1543;

									BgL_cdrzd2198zd2_1543 = CDR(BgL_cdrzd2194zd2_1539);
									if (PAIRP(BgL_cdrzd2198zd2_1543))
										{	/* Eval/evaluate_comp.scm 194 */
											if (NULLP(CDR(BgL_cdrzd2198zd2_1543)))
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2194zd2_1539),
														CAR(BgL_cdrzd2198zd2_1543));
												}
											else
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 194 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 194 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 194 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 194 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}

	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 206 */
			{	/* Eval/evaluate_comp.scm 207 */
				obj_t BgL_stkz00_1561;

				BgL_stkz00_1561 =
					make_vector(8192L, BGl_string4604z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1561, 0L, BINT(2L));
				return BgL_stkz00_1561;
			}
		}

	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 211 */
			{	/* Eval/evaluate_comp.scm 212 */
				obj_t BgL_sz00_1562;

				{	/* Eval/evaluate_comp.scm 212 */
					obj_t BgL_tmpz00_17408;

					BgL_tmpz00_17408 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1562 = BGL_ENV_EVSTATE(BgL_tmpz00_17408);
				}
				if (VECTORP(BgL_sz00_1562))
					{	/* Eval/evaluate_comp.scm 213 */
						return BgL_sz00_1562;
					}
				else
					{	/* Eval/evaluate_comp.scm 214 */
						obj_t BgL_statez00_1564;

						BgL_statez00_1564 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 215 */
							obj_t BgL_tmpz00_17414;

							BgL_tmpz00_17414 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_tmpz00_17414, BgL_statez00_1564);
						}
						return BgL_statez00_1564;
					}
			}
		}

	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_13620)
	{
		{	/* Eval/evaluate_comp.scm 211 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}

	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		{	/* Eval/evaluate_comp.scm 273 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}

	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_13621,
		obj_t BgL_ez00_13622)
	{
		{	/* Eval/evaluate_comp.scm 273 */
			{	/* Eval/evaluate_comp.scm 274 */
				BgL_ev_exprz00_bglt BgL_auxz00_17419;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_13622,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 274 */
						BgL_auxz00_17419 = ((BgL_ev_exprz00_bglt) BgL_ez00_13622);
					}
				else
					{
						obj_t BgL_auxz00_17423;

						BgL_auxz00_17423 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4605z00zz__evaluate_compz00, BINT(7006L),
							BGl_string4606z00zz__evaluate_compz00,
							BGl_string4607z00zz__evaluate_compz00, BgL_ez00_13622);
						FAILURE(BgL_auxz00_17423, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_17419);
			}
		}

	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		{	/* Eval/evaluate_comp.scm 332 */
			{	/* Eval/evaluate_comp.scm 333 */
				bool_t BgL_test4889z00_17428;

				{	/* Eval/evaluate_comp.scm 333 */
					obj_t BgL_classz00_6694;

					BgL_classz00_6694 = BGl_ev_globalz00zz__evaluate_typesz00;
					{	/* Eval/evaluate_comp.scm 333 */
						BgL_objectz00_bglt BgL_arg4317z00_6696;

						{	/* Eval/evaluate_comp.scm 333 */
							obj_t BgL_tmpz00_17429;

							BgL_tmpz00_17429 = ((obj_t) BgL_ez00_43);
							BgL_arg4317z00_6696 = (BgL_objectz00_bglt) (BgL_tmpz00_17429);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Eval/evaluate_comp.scm 333 */
								long BgL_idxz00_6702;

								BgL_idxz00_6702 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg4317z00_6696);
								BgL_test4889z00_17428 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6702 + 2L)) == BgL_classz00_6694);
							}
						else
							{	/* Eval/evaluate_comp.scm 333 */
								bool_t BgL_res4356z00_6727;

								{	/* Eval/evaluate_comp.scm 333 */
									obj_t BgL_oclassz00_6710;

									{	/* Eval/evaluate_comp.scm 333 */
										obj_t BgL_arg4324z00_6718;
										long BgL_arg4325z00_6719;

										BgL_arg4324z00_6718 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Eval/evaluate_comp.scm 333 */
											long BgL_arg4326z00_6720;

											BgL_arg4326z00_6720 =
												BGL_OBJECT_CLASS_NUM(BgL_arg4317z00_6696);
											BgL_arg4325z00_6719 = (BgL_arg4326z00_6720 - OBJECT_TYPE);
										}
										BgL_oclassz00_6710 =
											VECTOR_REF(BgL_arg4324z00_6718, BgL_arg4325z00_6719);
									}
									{	/* Eval/evaluate_comp.scm 333 */
										bool_t BgL__ortest_1296z00_6711;

										BgL__ortest_1296z00_6711 =
											(BgL_classz00_6694 == BgL_oclassz00_6710);
										if (BgL__ortest_1296z00_6711)
											{	/* Eval/evaluate_comp.scm 333 */
												BgL_res4356z00_6727 = BgL__ortest_1296z00_6711;
											}
										else
											{	/* Eval/evaluate_comp.scm 333 */
												long BgL_odepthz00_6712;

												{	/* Eval/evaluate_comp.scm 333 */
													obj_t BgL_arg4314z00_6713;

													BgL_arg4314z00_6713 = (BgL_oclassz00_6710);
													BgL_odepthz00_6712 =
														BGL_CLASS_DEPTH(BgL_arg4314z00_6713);
												}
												if ((2L < BgL_odepthz00_6712))
													{	/* Eval/evaluate_comp.scm 333 */
														obj_t BgL_arg4312z00_6715;

														{	/* Eval/evaluate_comp.scm 333 */
															obj_t BgL_arg4313z00_6716;

															BgL_arg4313z00_6716 = (BgL_oclassz00_6710);
															BgL_arg4312z00_6715 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg4313z00_6716,
																2L);
														}
														BgL_res4356z00_6727 =
															(BgL_arg4312z00_6715 == BgL_classz00_6694);
													}
												else
													{	/* Eval/evaluate_comp.scm 333 */
														BgL_res4356z00_6727 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test4889z00_17428 = BgL_res4356z00_6727;
							}
					}
				}
				if (BgL_test4889z00_17428)
					{	/* Eval/evaluate_comp.scm 335 */
						obj_t BgL_gz00_1620;

						{	/* Eval/evaluate_comp.scm 335 */
							obj_t BgL_arg1699z00_1621;
							obj_t BgL_arg1703z00_1622;

							BgL_arg1699z00_1621 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_modz00);
							BgL_arg1703z00_1622 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_namez00);
							BgL_gz00_1620 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg1699z00_1621, BgL_arg1703z00_1622);
						}
						if (CBOOL(BgL_gz00_1620))
							{	/* Eval/evaluate_comp.scm 336 */
								return VECTOR_REF(((obj_t) BgL_gz00_1620), 2L);
							}
						else
							{	/* Eval/evaluate_comp.scm 336 */
								return BFALSE;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 333 */
						return BFALSE;
					}
			}
		}

	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85,
		obj_t BgL_locz00_86)
	{
		{	/* Eval/evaluate_comp.scm 623 */
			{
				obj_t BgL_lz00_1642;
				obj_t BgL_bsz00_1643;
				long BgL_spz00_1644;

				BgL_lz00_1642 = BgL_argsz00_83;
				BgL_bsz00_1643 = BgL_boxesz00_84;
				BgL_spz00_1644 = BgL_spz00_85;
			BgL_zc3z04anonymousza31716ze3z87_1645:
				if (NULLP(BgL_lz00_1642))
					{	/* Eval/evaluate_comp.scm 625 */
						if (NULLP(BgL_bsz00_1643))
							{	/* Eval/evaluate_comp.scm 626 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 629 */
								obj_t BgL_arg1720z00_1648;

								{	/* Eval/evaluate_comp.scm 629 */
									long BgL_arg1723z00_1649;
									long BgL_arg1724z00_1650;

									BgL_arg1723z00_1649 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1724z00_1650 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 628 */
										obj_t BgL_list1725z00_1651;

										{	/* Eval/evaluate_comp.scm 628 */
											obj_t BgL_arg1727z00_1652;

											BgL_arg1727z00_1652 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1724z00_1650), BNIL);
											BgL_list1725z00_1651 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1723z00_1649),
												BgL_arg1727z00_1652);
										}
										BgL_arg1720z00_1648 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string4608z00zz__evaluate_compz00,
											BgL_list1725z00_1651);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string4600z00zz__evaluate_compz00,
									BGl_string4609z00zz__evaluate_compz00, BgL_arg1720z00_1648);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 625 */
						if (NULLP(BgL_bsz00_1643))
							{	/* Eval/evaluate_comp.scm 633 */
								obj_t BgL_arg1729z00_1654;

								{	/* Eval/evaluate_comp.scm 633 */
									long BgL_arg1730z00_1655;
									long BgL_arg1731z00_1656;

									BgL_arg1730z00_1655 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1731z00_1656 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 632 */
										obj_t BgL_list1732z00_1657;

										{	/* Eval/evaluate_comp.scm 632 */
											obj_t BgL_arg1734z00_1658;

											BgL_arg1734z00_1658 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1731z00_1656), BNIL);
											BgL_list1732z00_1657 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1730z00_1655),
												BgL_arg1734z00_1658);
										}
										BgL_arg1729z00_1654 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string4608z00zz__evaluate_compz00,
											BgL_list1732z00_1657);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string4600z00zz__evaluate_compz00,
									BGl_string4609z00zz__evaluate_compz00, BgL_arg1729z00_1654);
							}
						else
							{	/* Eval/evaluate_comp.scm 630 */
								{	/* Eval/evaluate_comp.scm 636 */
									obj_t BgL_arg1737z00_1659;

									{	/* Eval/evaluate_comp.scm 636 */
										obj_t BgL_vz00_1660;

										{	/* Eval/evaluate_comp.scm 636 */
											obj_t BgL_fun1739z00_1662;

											BgL_fun1739z00_1662 = CAR(((obj_t) BgL_lz00_1642));
											BgL_vz00_1660 =
												BGL_PROCEDURE_CALL1(BgL_fun1739z00_1662, BgL_sz00_82);
										}
										if (CBOOL(CAR(((obj_t) BgL_bsz00_1643))))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_6748;

												BgL_newz00_6748 =
													create_struct(BGl_symbol4610z00zz__evaluate_compz00,
													(int) (1L));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_17494;

													BgL_tmpz00_17494 = (int) (0L);
													STRUCT_SET(BgL_newz00_6748, BgL_tmpz00_17494,
														BgL_vz00_1660);
												}
												BgL_arg1737z00_1659 = BgL_newz00_6748;
											}
										else
											{	/* Eval/evaluate_comp.scm 637 */
												BgL_arg1737z00_1659 = BgL_vz00_1660;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_82), BgL_spz00_1644, BgL_arg1737z00_1659);
								}
								{	/* Eval/evaluate_comp.scm 640 */
									obj_t BgL_arg1740z00_1663;
									obj_t BgL_arg1741z00_1664;
									long BgL_arg1743z00_1665;

									BgL_arg1740z00_1663 = CDR(((obj_t) BgL_lz00_1642));
									BgL_arg1741z00_1664 = CDR(((obj_t) BgL_bsz00_1643));
									BgL_arg1743z00_1665 = (BgL_spz00_1644 + 1L);
									{
										long BgL_spz00_17506;
										obj_t BgL_bsz00_17505;
										obj_t BgL_lz00_17504;

										BgL_lz00_17504 = BgL_arg1740z00_1663;
										BgL_bsz00_17505 = BgL_arg1741z00_1664;
										BgL_spz00_17506 = BgL_arg1743z00_1665;
										BgL_spz00_1644 = BgL_spz00_17506;
										BgL_bsz00_1643 = BgL_bsz00_17505;
										BgL_lz00_1642 = BgL_lz00_17504;
										goto BgL_zc3z04anonymousza31716ze3z87_1645;
									}
								}
							}
					}
			}
		}

	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88,
		obj_t BgL_l2z00_89)
	{
		{	/* Eval/evaluate_comp.scm 645 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_88))
				{	/* Eval/evaluate_comp.scm 646 */
					return BgL_l2z00_89;
				}
			else
				{	/* Eval/evaluate_comp.scm 646 */
					if ((CAR(((obj_t) BgL_l1z00_88)) == CAR(((obj_t) BgL_l2z00_89))))
						{	/* Eval/evaluate_comp.scm 649 */
							obj_t BgL_arg1748z00_1671;
							obj_t BgL_arg1749z00_1672;

							BgL_arg1748z00_1671 = CDR(((obj_t) BgL_l1z00_88));
							BgL_arg1749z00_1672 = CDR(((obj_t) BgL_l2z00_89));
							{
								obj_t BgL_l2z00_17520;
								obj_t BgL_l1z00_17519;

								BgL_l1z00_17519 = BgL_arg1748z00_1671;
								BgL_l2z00_17520 = BgL_arg1749z00_1672;
								BgL_l2z00_89 = BgL_l2z00_17520;
								BgL_l1z00_88 = BgL_l1z00_17519;
								goto BGl_subzd2stkzd2zz__evaluate_compz00;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 647 */
							return
								BGl_errorz00zz__errorz00(BGl_string4600z00zz__evaluate_compz00,
								BGl_symbol4612z00zz__evaluate_compz00,
								BGl_symbol4614z00zz__evaluate_compz00);
						}
				}
		}

	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93,
		obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
	{
		{	/* Eval/evaluate_comp.scm 669 */
			{	/* Eval/evaluate_comp.scm 670 */
				obj_t BgL_savedzd2bpzd2_1683;

				BgL_savedzd2bpzd2_1683 = VECTOR_REF(((obj_t) BgL_sz00_94), 0L);
				VECTOR_SET(((obj_t) BgL_sz00_94), 0L, BgL_bpz00_95);
				{
					obj_t BgL_fz00_1685;

					BgL_fz00_1685 = BgL_fz00_93;
				BgL_zc3z04anonymousza31759ze3z87_1686:
					{	/* Eval/evaluate_comp.scm 673 */
						obj_t BgL_rz00_1687;

						BgL_rz00_1687 = BGL_PROCEDURE_CALL1(BgL_fz00_1685, BgL_sz00_94);
						{	/* Eval/evaluate_comp.scm 674 */
							bool_t BgL_test4900z00_17530;

							if (PROCEDUREP(BgL_rz00_1687))
								{	/* Eval/evaluate_comp.scm 674 */
									obj_t BgL_arg1763z00_1692;

									BgL_arg1763z00_1692 = PROCEDURE_ATTR(BgL_rz00_1687);
									if (STRUCTP(BgL_arg1763z00_1692))
										{	/* Eval/evaluate_comp.scm 654 */
											BgL_test4900z00_17530 =
												(STRUCT_KEY(BgL_arg1763z00_1692) ==
												BGl_symbol4596z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 654 */
											BgL_test4900z00_17530 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 674 */
									BgL_test4900z00_17530 = ((bool_t) 0);
								}
							if (BgL_test4900z00_17530)
								{
									obj_t BgL_fz00_17538;

									BgL_fz00_17538 = BgL_rz00_1687;
									BgL_fz00_1685 = BgL_fz00_17538;
									goto BgL_zc3z04anonymousza31759ze3z87_1686;
								}
							else
								{	/* Eval/evaluate_comp.scm 674 */
									VECTOR_SET(((obj_t) BgL_sz00_94), 0L, BgL_savedzd2bpzd2_1683);
									return BgL_rz00_1687;
								}
						}
					}
				}
			}
		}

	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117,
		obj_t BgL_stkz00_118)
	{
		{	/* Eval/evaluate_comp.scm 688 */
			if (NULLP(BgL_eza2za2_117))
				{	/* Eval/evaluate_comp.scm 690 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 692 */
					obj_t BgL_arg1779z00_1710;
					obj_t BgL_arg1781z00_1711;

					{	/* Eval/evaluate_comp.scm 692 */
						obj_t BgL_arg1782z00_1712;

						BgL_arg1782z00_1712 = CAR(((obj_t) BgL_eza2za2_117));
						BgL_arg1779z00_1710 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1782z00_1712), BgL_stkz00_118);
					}
					{	/* Eval/evaluate_comp.scm 693 */
						obj_t BgL_arg1783z00_1713;
						obj_t BgL_arg1784z00_1714;

						BgL_arg1783z00_1713 = CDR(((obj_t) BgL_eza2za2_117));
						{	/* Eval/evaluate_comp.scm 693 */
							obj_t BgL_arg1785z00_1715;

							BgL_arg1785z00_1715 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							BgL_arg1784z00_1714 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_118,
								BgL_arg1785z00_1715);
						}
						BgL_arg1781z00_1711 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1783z00_1713,
							BgL_arg1784z00_1714);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1779z00_1710, BgL_arg1781z00_1711);
				}
		}

	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_15830,
		obj_t BgL_lz00_1717, long BgL_iz00_1718)
	{
		{	/* Eval/evaluate_comp.scm 696 */
			if (NULLP(BgL_lz00_1717))
				{	/* Eval/evaluate_comp.scm 697 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 697 */
					if ((BgL_iz00_1718 == 0L))
						{	/* Eval/evaluate_comp.scm 698 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1717,
								BgL_stkz00_15830);
						}
					else
						{	/* Eval/evaluate_comp.scm 699 */
							obj_t BgL_arg1789z00_1722;
							obj_t BgL_arg1790z00_1723;

							{	/* Eval/evaluate_comp.scm 699 */
								obj_t BgL_arg1791z00_1724;

								BgL_arg1791z00_1724 = CAR(((obj_t) BgL_lz00_1717));
								BgL_arg1789z00_1722 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1791z00_1724),
									BgL_stkz00_15830);
							}
							{	/* Eval/evaluate_comp.scm 700 */
								obj_t BgL_arg1792z00_1725;
								long BgL_arg1793z00_1726;

								BgL_arg1792z00_1725 = CDR(((obj_t) BgL_lz00_1717));
								BgL_arg1793z00_1726 = (BgL_iz00_1718 - 1L);
								BgL_arg1790z00_1723 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15830,
									BgL_arg1792z00_1725, BgL_arg1793z00_1726);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1789z00_1722, BgL_arg1790z00_1723);
						}
				}
		}

	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122,
		obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125,
		obj_t BgL_siza7eza7_126)
	{
		{	/* Eval/evaluate_comp.scm 702 */
			{	/* Eval/evaluate_comp.scm 704 */
				obj_t BgL_argsz00_1728;

				if (NULLP(BgL_argsz00_124))
					{	/* Eval/evaluate_comp.scm 704 */
						BgL_argsz00_1728 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 704 */
						obj_t BgL_head1354z00_1733;

						BgL_head1354z00_1733 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1352z00_6821;
							obj_t BgL_tail1355z00_6822;

							BgL_l1352z00_6821 = BgL_argsz00_124;
							BgL_tail1355z00_6822 = BgL_head1354z00_1733;
						BgL_zc3z04anonymousza31796ze3z87_6820:
							if (NULLP(BgL_l1352z00_6821))
								{	/* Eval/evaluate_comp.scm 704 */
									BgL_argsz00_1728 = CDR(BgL_head1354z00_1733);
								}
							else
								{	/* Eval/evaluate_comp.scm 704 */
									obj_t BgL_newtail1356z00_6829;

									{	/* Eval/evaluate_comp.scm 704 */
										obj_t BgL_arg1800z00_6830;

										{	/* Eval/evaluate_comp.scm 704 */
											obj_t BgL_az00_6831;

											BgL_az00_6831 = CAR(((obj_t) BgL_l1352z00_6821));
											BgL_arg1800z00_6830 =
												BGL_PROCEDURE_CALL1(BgL_az00_6831, BgL_sz00_122);
										}
										BgL_newtail1356z00_6829 =
											MAKE_YOUNG_PAIR(BgL_arg1800z00_6830, BNIL);
									}
									SET_CDR(BgL_tail1355z00_6822, BgL_newtail1356z00_6829);
									{	/* Eval/evaluate_comp.scm 704 */
										obj_t BgL_arg1799z00_6832;

										BgL_arg1799z00_6832 = CDR(((obj_t) BgL_l1352z00_6821));
										{
											obj_t BgL_tail1355z00_17584;
											obj_t BgL_l1352z00_17583;

											BgL_l1352z00_17583 = BgL_arg1799z00_6832;
											BgL_tail1355z00_17584 = BgL_newtail1356z00_6829;
											BgL_tail1355z00_6822 = BgL_tail1355z00_17584;
											BgL_l1352z00_6821 = BgL_l1352z00_17583;
											goto BgL_zc3z04anonymousza31796ze3z87_6820;
										}
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 705 */
					long BgL_arg1794z00_1729;

					BgL_arg1794z00_1729 =
						((long) CINT(BgL_bpz00_125) + (long) CINT(BgL_siza7eza7_126));
					VECTOR_SET(((obj_t) BgL_sz00_122), 0L, BINT(BgL_arg1794z00_1729));
				}
				{	/* Eval/evaluate_comp.scm 706 */
					obj_t BgL_za2za2resza2za2z00_1730;

					BgL_za2za2resza2za2z00_1730 = apply(BgL_fz00_123, BgL_argsz00_1728);
					VECTOR_SET(((obj_t) BgL_sz00_122), 0L, BgL_bpz00_125);
					return BgL_za2za2resza2za2z00_1730;
				}
			}
		}

	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132,
		obj_t BgL_spz00_133)
	{
		{	/* Eval/evaluate_comp.scm 715 */
			{	/* Eval/evaluate_comp.scm 716 */
				long BgL_g1157z00_1754;

				BgL_g1157z00_1754 = ((-1L) - (long) CINT(BgL_arityz00_130));
				{
					obj_t BgL_lz00_1756;
					obj_t BgL_spz00_1757;
					long BgL_nz00_1758;

					BgL_lz00_1756 = BgL_argsz00_132;
					BgL_spz00_1757 = BgL_spz00_133;
					BgL_nz00_1758 = BgL_g1157z00_1754;
				BgL_zc3z04anonymousza31807ze3z87_1759:
					if ((BgL_nz00_1758 == 0L))
						{
							obj_t BgL_lz00_6910;
							obj_t BgL_rz00_6911;

							BgL_lz00_6910 = BgL_lz00_1756;
							BgL_rz00_6911 = BNIL;
						BgL_rec2z00_6909:
							if (NULLP(BgL_lz00_6910))
								{	/* Eval/evaluate_comp.scm 720 */
									obj_t BgL_arg1811z00_6919;

									BgL_arg1811z00_6919 = bgl_reverse_bang(BgL_rz00_6911);
									{	/* Eval/evaluate_comp.scm 720 */
										long BgL_kz00_6925;

										BgL_kz00_6925 = (long) CINT(BgL_spz00_1757);
										return
											VECTOR_SET(
											((obj_t) BgL_sz00_131), BgL_kz00_6925,
											BgL_arg1811z00_6919);
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 721 */
									obj_t BgL_arg1812z00_6920;
									obj_t BgL_arg1813z00_6921;

									BgL_arg1812z00_6920 = CDR(((obj_t) BgL_lz00_6910));
									{	/* Eval/evaluate_comp.scm 721 */
										obj_t BgL_arg1814z00_6922;

										{	/* Eval/evaluate_comp.scm 721 */
											obj_t BgL_fun1815z00_6923;

											BgL_fun1815z00_6923 = CAR(((obj_t) BgL_lz00_6910));
											BgL_arg1814z00_6922 =
												BGL_PROCEDURE_CALL1(BgL_fun1815z00_6923, BgL_sz00_131);
										}
										BgL_arg1813z00_6921 =
											MAKE_YOUNG_PAIR(BgL_arg1814z00_6922, BgL_rz00_6911);
									}
									{
										obj_t BgL_rz00_17615;
										obj_t BgL_lz00_17614;

										BgL_lz00_17614 = BgL_arg1812z00_6920;
										BgL_rz00_17615 = BgL_arg1813z00_6921;
										BgL_rz00_6911 = BgL_rz00_17615;
										BgL_lz00_6910 = BgL_lz00_17614;
										goto BgL_rec2z00_6909;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 717 */
							{	/* Eval/evaluate_comp.scm 722 */
								obj_t BgL_arg1816z00_1773;

								{	/* Eval/evaluate_comp.scm 722 */
									obj_t BgL_fun1817z00_1774;

									BgL_fun1817z00_1774 = CAR(((obj_t) BgL_lz00_1756));
									BgL_arg1816z00_1773 =
										BGL_PROCEDURE_CALL1(BgL_fun1817z00_1774, BgL_sz00_131);
								}
								{	/* Eval/evaluate_comp.scm 722 */
									long BgL_kz00_6930;

									BgL_kz00_6930 = (long) CINT(BgL_spz00_1757);
									VECTOR_SET(
										((obj_t) BgL_sz00_131), BgL_kz00_6930, BgL_arg1816z00_1773);
							}}
							{	/* Eval/evaluate_comp.scm 723 */
								obj_t BgL_arg1818z00_1775;
								long BgL_arg1819z00_1776;
								long BgL_arg1820z00_1777;

								BgL_arg1818z00_1775 = CDR(((obj_t) BgL_lz00_1756));
								BgL_arg1819z00_1776 = ((long) CINT(BgL_spz00_1757) + 1L);
								BgL_arg1820z00_1777 = (BgL_nz00_1758 - 1L);
								{
									long BgL_nz00_17633;
									obj_t BgL_spz00_17631;
									obj_t BgL_lz00_17630;

									BgL_lz00_17630 = BgL_arg1818z00_1775;
									BgL_spz00_17631 = BINT(BgL_arg1819z00_1776);
									BgL_nz00_17633 = BgL_arg1820z00_1777;
									BgL_nz00_1758 = BgL_nz00_17633;
									BgL_spz00_1757 = BgL_spz00_17631;
									BgL_lz00_1756 = BgL_lz00_17630;
									goto BgL_zc3z04anonymousza31807ze3z87_1759;
								}
							}
						}
				}
			}
		}

	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134,
		obj_t BgL_stkz00_135)
	{
		{	/* Eval/evaluate_comp.scm 766 */
			{
				obj_t BgL_lz00_1780;
				obj_t BgL_stkz00_1781;

				BgL_lz00_1780 = BgL_argsz00_134;
				BgL_stkz00_1781 = BgL_stkz00_135;
			BgL_zc3z04anonymousza31821ze3z87_1782:
				{	/* Eval/evaluate_comp.scm 770 */
					bool_t BgL_test4910z00_17634;

					if (NULLP(BgL_lz00_1780))
						{	/* Eval/evaluate_comp.scm 770 */
							BgL_test4910z00_17634 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 770 */
							BgL_test4910z00_17634 = NULLP(BgL_stkz00_1781);
						}
					if (BgL_test4910z00_17634)
						{	/* Eval/evaluate_comp.scm 770 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 772 */
							bool_t BgL_test4912z00_17638;

							{	/* Eval/evaluate_comp.scm 772 */
								obj_t BgL_g1359z00_1799;

								BgL_g1359z00_1799 = CDR(((obj_t) BgL_lz00_1780));
								{
									obj_t BgL_l1357z00_1801;

									{	/* Eval/evaluate_comp.scm 772 */
										obj_t BgL_tmpz00_17641;

										BgL_l1357z00_1801 = BgL_g1359z00_1799;
									BgL_zc3z04anonymousza31832ze3z87_1802:
										if (NULLP(BgL_l1357z00_1801))
											{	/* Eval/evaluate_comp.scm 772 */
												BgL_tmpz00_17641 = BFALSE;
											}
										else
											{	/* Eval/evaluate_comp.scm 772 */
												obj_t BgL__ortest_1360z00_1804;

												{	/* Eval/evaluate_comp.scm 772 */
													obj_t BgL_ez00_1806;

													BgL_ez00_1806 = CAR(((obj_t) BgL_l1357z00_1801));
													{	/* Eval/evaluate_comp.scm 772 */
														obj_t BgL_arg1834z00_1807;
														obj_t BgL_arg1835z00_1808;

														BgL_arg1834z00_1807 =
															CAR(((obj_t) BgL_stkz00_1781));
														BgL_arg1835z00_1808 =
															BGl_usez00zz__evaluate_usez00(
															((BgL_ev_exprz00_bglt) BgL_ez00_1806), BNIL);
														BgL__ortest_1360z00_1804 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1834z00_1807, BgL_arg1835z00_1808);
													}
												}
												if (CBOOL(BgL__ortest_1360z00_1804))
													{	/* Eval/evaluate_comp.scm 772 */
														BgL_tmpz00_17641 = BgL__ortest_1360z00_1804;
													}
												else
													{	/* Eval/evaluate_comp.scm 772 */
														obj_t BgL_arg1833z00_1805;

														BgL_arg1833z00_1805 =
															CDR(((obj_t) BgL_l1357z00_1801));
														{
															obj_t BgL_l1357z00_17655;

															BgL_l1357z00_17655 = BgL_arg1833z00_1805;
															BgL_l1357z00_1801 = BgL_l1357z00_17655;
															goto BgL_zc3z04anonymousza31832ze3z87_1802;
														}
													}
											}
										BgL_test4912z00_17638 = CBOOL(BgL_tmpz00_17641);
									}
								}
							}
							if (BgL_test4912z00_17638)
								{	/* Eval/evaluate_comp.scm 772 */
									return ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 774 */
									obj_t BgL_arg1830z00_1797;
									obj_t BgL_arg1831z00_1798;

									BgL_arg1830z00_1797 = CDR(((obj_t) BgL_lz00_1780));
									BgL_arg1831z00_1798 = CDR(((obj_t) BgL_stkz00_1781));
									{
										obj_t BgL_stkz00_17662;
										obj_t BgL_lz00_17661;

										BgL_lz00_17661 = BgL_arg1830z00_1797;
										BgL_stkz00_17662 = BgL_arg1831z00_1798;
										BgL_stkz00_1781 = BgL_stkz00_17662;
										BgL_lz00_1780 = BgL_lz00_17661;
										goto BgL_zc3z04anonymousza31821ze3z87_1782;
									}
								}
						}
				}
			}
		}

	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_136, obj_t BgL_stkz00_137)
	{
		{	/* Eval/evaluate_comp.scm 776 */
			{	/* Eval/evaluate_comp.scm 778 */
				long BgL_siza7eza7_1813;
				long BgL_nbargsz00_1814;
				obj_t BgL_fz00_1815;
				obj_t BgL_symbzd2funzd2_1816;

				BgL_siza7eza7_1813 = bgl_list_length(BgL_stkz00_137);
				BgL_nbargsz00_1814 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00));
				BgL_fz00_1815 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_funz00),
					BgL_stkz00_137);
				BgL_symbzd2funzd2_1816 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							COBJECT(BgL_ez00_136))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
							BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 780 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
								BgL_stkz00_137))
							{	/* Eval/evaluate_comp.scm 787 */
								bool_t BgL_test4917z00_17676;

								{	/* Eval/evaluate_comp.scm 787 */
									int BgL_a1362z00_1893;

									BgL_a1362z00_1893 = bgl_debug();
									BgL_test4917z00_17676 = ((long) (BgL_a1362z00_1893) > 0L);
								}
								if (BgL_test4917z00_17676)
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_argsz00_1822;

										BgL_argsz00_1822 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 787 */
											obj_t BgL_zc3z04anonymousza31841ze3z87_13623;

											BgL_zc3z04anonymousza31841ze3z87_13623 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31841ze3ze5zz__evaluate_compz00,
												(int) (1L), (int) (6L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31841ze3z87_13623,
												(int) (0L), BgL_fz00_1815);
											PROCEDURE_SET(BgL_zc3z04anonymousza31841ze3z87_13623,
												(int) (1L), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31841ze3z87_13623,
												(int) (2L), BgL_symbzd2funzd2_1816);
											PROCEDURE_SET(BgL_zc3z04anonymousza31841ze3z87_13623,
												(int) (3L), BINT(BgL_nbargsz00_1814));
											PROCEDURE_SET(BgL_zc3z04anonymousza31841ze3z87_13623,
												(int) (4L), BgL_argsz00_1822);
											PROCEDURE_SET(BgL_zc3z04anonymousza31841ze3z87_13623,
												(int) (5L), BINT(BgL_siza7eza7_1813));
											return BgL_zc3z04anonymousza31841ze3z87_13623;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_argsz00_1859;

										BgL_argsz00_1859 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 787 */
											obj_t BgL_zc3z04anonymousza31863ze3z87_13624;

											BgL_zc3z04anonymousza31863ze3z87_13624 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31863ze3ze5zz__evaluate_compz00,
												(int) (1L), (int) (6L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31863ze3z87_13624,
												(int) (0L), BgL_fz00_1815);
											PROCEDURE_SET(BgL_zc3z04anonymousza31863ze3z87_13624,
												(int) (1L), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31863ze3z87_13624,
												(int) (2L), BgL_symbzd2funzd2_1816);
											PROCEDURE_SET(BgL_zc3z04anonymousza31863ze3z87_13624,
												(int) (3L), BINT(BgL_nbargsz00_1814));
											PROCEDURE_SET(BgL_zc3z04anonymousza31863ze3z87_13624,
												(int) (4L), BgL_argsz00_1859);
											PROCEDURE_SET(BgL_zc3z04anonymousza31863ze3z87_13624,
												(int) (5L), BINT(BgL_siza7eza7_1813));
											return BgL_zc3z04anonymousza31863ze3z87_13624;
										}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 795 */
								bool_t BgL_test4918z00_17720;

								{	/* Eval/evaluate_comp.scm 795 */
									int BgL_a1363z00_1961;

									BgL_a1363z00_1961 = bgl_debug();
									BgL_test4918z00_17720 = ((long) (BgL_a1363z00_1961) > 0L);
								}
								if (BgL_test4918z00_17720)
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_argsz00_1896;

										BgL_argsz00_1896 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_siza7eza7_1813);
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_zc3z04anonymousza31885ze3z87_13625;

											BgL_zc3z04anonymousza31885ze3z87_13625 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_compz00,
												(int) (1L), (int) (5L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31885ze3z87_13625,
												(int) (0L), BgL_fz00_1815);
											PROCEDURE_SET(BgL_zc3z04anonymousza31885ze3z87_13625,
												(int) (1L), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31885ze3z87_13625,
												(int) (2L), BgL_symbzd2funzd2_1816);
											PROCEDURE_SET(BgL_zc3z04anonymousza31885ze3z87_13625,
												(int) (3L), BINT(BgL_nbargsz00_1814));
											PROCEDURE_SET(BgL_zc3z04anonymousza31885ze3z87_13625,
												(int) (4L), BgL_argsz00_1896);
											return BgL_zc3z04anonymousza31885ze3z87_13625;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_argsz00_1930;

										BgL_argsz00_1930 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_siza7eza7_1813);
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_zc3z04anonymousza31904ze3z87_13626;

											BgL_zc3z04anonymousza31904ze3z87_13626 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31904ze3ze5zz__evaluate_compz00,
												(int) (1L), (int) (5L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31904ze3z87_13626,
												(int) (0L), BgL_fz00_1815);
											PROCEDURE_SET(BgL_zc3z04anonymousza31904ze3z87_13626,
												(int) (1L), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31904ze3z87_13626,
												(int) (2L), BgL_symbzd2funzd2_1816);
											PROCEDURE_SET(BgL_zc3z04anonymousza31904ze3z87_13626,
												(int) (3L), BINT(BgL_nbargsz00_1814));
											PROCEDURE_SET(BgL_zc3z04anonymousza31904ze3z87_13626,
												(int) (4L), BgL_argsz00_1930);
											return BgL_zc3z04anonymousza31904ze3z87_13626;
										}
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 781 */
						bool_t BgL_test4919z00_17758;

						{	/* Eval/evaluate_comp.scm 781 */
							int BgL_a1361z00_2030;

							BgL_a1361z00_2030 = bgl_debug();
							BgL_test4919z00_17758 = ((long) (BgL_a1361z00_2030) > 0L);
						}
						if (BgL_test4919z00_17758)
							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_argsz00_1965;

								BgL_argsz00_1965 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 781 */
									obj_t BgL_zc3z04anonymousza31924ze3z87_13627;

									BgL_zc3z04anonymousza31924ze3z87_13627 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31924ze3ze5zz__evaluate_compz00,
										(int) (1L), (int) (6L));
									PROCEDURE_SET(BgL_zc3z04anonymousza31924ze3z87_13627,
										(int) (0L), BgL_fz00_1815);
									PROCEDURE_SET(BgL_zc3z04anonymousza31924ze3z87_13627,
										(int) (1L), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3z04anonymousza31924ze3z87_13627,
										(int) (2L), BgL_symbzd2funzd2_1816);
									PROCEDURE_SET(BgL_zc3z04anonymousza31924ze3z87_13627,
										(int) (3L), BINT(BgL_nbargsz00_1814));
									PROCEDURE_SET(BgL_zc3z04anonymousza31924ze3z87_13627,
										(int) (4L), BgL_argsz00_1965);
									PROCEDURE_SET(BgL_zc3z04anonymousza31924ze3z87_13627,
										(int) (5L), BINT(BgL_siza7eza7_1813));
									return BgL_zc3z04anonymousza31924ze3z87_13627;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_argsz00_1999;

								BgL_argsz00_1999 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 781 */
									obj_t BgL_zc3z04anonymousza31945ze3z87_13628;

									BgL_zc3z04anonymousza31945ze3z87_13628 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_compz00,
										(int) (1L), (int) (6L));
									PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_13628,
										(int) (0L), BgL_fz00_1815);
									PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_13628,
										(int) (1L), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_13628,
										(int) (2L), BgL_symbzd2funzd2_1816);
									PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_13628,
										(int) (3L), BINT(BgL_nbargsz00_1814));
									PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_13628,
										(int) (4L), BgL_argsz00_1999);
									PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_13628,
										(int) (5L), BINT(BgL_siza7eza7_1813));
									return BgL_zc3z04anonymousza31945ze3z87_13628;
								}
							}
					}
			}
		}

	}



/* &<@anonymous:1841> */
	obj_t BGl_z62zc3z04anonymousza31841ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13629, obj_t BgL_sz00_13636)
	{
		{	/* Eval/evaluate_comp.scm 787 */
			{	/* Eval/evaluate_comp.scm 787 */
				obj_t BgL_fz00_13630;
				BgL_ev_appz00_bglt BgL_i1165z00_13631;
				obj_t BgL_symbzd2funzd2_13632;
				long BgL_nbargsz00_13633;
				obj_t BgL_argsz00_13634;
				long BgL_siza7eza7_13635;

				BgL_fz00_13630 = PROCEDURE_REF(BgL_envz00_13629, (int) (0L));
				BgL_i1165z00_13631 =
					((BgL_ev_appz00_bglt) PROCEDURE_REF(BgL_envz00_13629, (int) (1L)));
				BgL_symbzd2funzd2_13632 = PROCEDURE_REF(BgL_envz00_13629, (int) (2L));
				BgL_nbargsz00_13633 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13629, (int) (3L)));
				BgL_argsz00_13634 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13629, (int) (4L)));
				BgL_siza7eza7_13635 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13629, (int) (5L)));
				return
					BGl_zc3z04anonymousza31841ze3ze70z60zz__evaluate_compz00
					(BgL_siza7eza7_13635, BgL_argsz00_13634, BgL_nbargsz00_13633,
					BgL_symbzd2funzd2_13632, BgL_i1165z00_13631, BgL_fz00_13630,
					BgL_sz00_13636);
			}
		}

	}



/* <@anonymous:1841>~0 */
	obj_t BGl_zc3z04anonymousza31841ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15829, obj_t BgL_argsz00_15828, long BgL_nbargsz00_15827,
		obj_t BgL_symbzd2funzd2_15826, BgL_ev_appz00_bglt BgL_i1165z00_15825,
		obj_t BgL_fz00_15824, obj_t BgL_sz00_1823)
	{
		{	/* Eval/evaluate_comp.scm 787 */
			{	/* Eval/evaluate_comp.scm 787 */
				obj_t BgL_bpz00_1825;

				BgL_bpz00_1825 = VECTOR_REF(((obj_t) BgL_sz00_1823), 0L);
				{	/* Eval/evaluate_comp.scm 787 */
					obj_t BgL_fz00_1826;

					BgL_fz00_1826 = BGL_PROCEDURE_CALL1(BgL_fz00_15824, BgL_sz00_1823);
					if (PROCEDUREP(BgL_fz00_1826))
						{	/* Eval/evaluate_comp.scm 787 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 787 */
							BGl_evtypezd2errorzd2zz__everrorz00(
								(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15825))->
									BgL_locz00), BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_1826);
						}
					{	/* Eval/evaluate_comp.scm 787 */
						obj_t BgL_ufz00_1829;

						{	/* Eval/evaluate_comp.scm 787 */
							obj_t BgL_tmpz00_17829;

							BgL_tmpz00_17829 = ((obj_t) BgL_fz00_1826);
							BgL_ufz00_1829 = PROCEDURE_ATTR(BgL_tmpz00_17829);
						}
						{	/* Eval/evaluate_comp.scm 787 */
							bool_t BgL_test4921z00_17832;

							if (STRUCTP(BgL_ufz00_1829))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test4921z00_17832 =
										(STRUCT_KEY(BgL_ufz00_1829) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test4921z00_17832 = ((bool_t) 0);
								}
							if (BgL_test4921z00_17832)
								{	/* Eval/evaluate_comp.scm 787 */
									obj_t BgL_arityz00_1831;
									obj_t BgL_runz00_1832;
									obj_t BgL_sfz00_1833;

									BgL_arityz00_1831 = STRUCT_REF(BgL_ufz00_1829, (int) (0L));
									BgL_runz00_1832 = STRUCT_REF(BgL_ufz00_1829, (int) (1L));
									BgL_sfz00_1833 = STRUCT_REF(BgL_ufz00_1829, (int) (2L));
									{	/* Eval/evaluate_comp.scm 787 */
										long BgL_spz00_1834;

										BgL_spz00_1834 =
											((long) CINT(BgL_bpz00_1825) + BgL_siza7eza7_15829);
										if (((long) CINT(BgL_arityz00_1831) == BgL_nbargsz00_15827))
											{	/* Eval/evaluate_comp.scm 787 */
												{
													obj_t BgL_lz00_6955;
													long BgL_spz00_6956;

													BgL_lz00_6955 = BgL_argsz00_15828;
													BgL_spz00_6956 = BgL_spz00_1834;
												BgL_recz00_6954:
													if (NULLP(BgL_lz00_6955))
														{	/* Eval/evaluate_comp.scm 711 */
															((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 711 */
															{	/* Eval/evaluate_comp.scm 712 */
																obj_t BgL_arg1803z00_6963;

																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_fun1804z00_6964;

																	BgL_fun1804z00_6964 =
																		CAR(((obj_t) BgL_lz00_6955));
																	BgL_arg1803z00_6963 =
																		BGL_PROCEDURE_CALL1(BgL_fun1804z00_6964,
																		BgL_sz00_1823);
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_1823), BgL_spz00_6956,
																	BgL_arg1803z00_6963);
															}
															{	/* Eval/evaluate_comp.scm 713 */
																obj_t BgL_arg1805z00_6965;
																long BgL_arg1806z00_6966;

																BgL_arg1805z00_6965 =
																	CDR(((obj_t) BgL_lz00_6955));
																BgL_arg1806z00_6966 = (BgL_spz00_6956 + 1L);
																{
																	long BgL_spz00_17862;
																	obj_t BgL_lz00_17861;

																	BgL_lz00_17861 = BgL_arg1805z00_6965;
																	BgL_spz00_17862 = BgL_arg1806z00_6966;
																	BgL_spz00_6956 = BgL_spz00_17862;
																	BgL_lz00_6955 = BgL_lz00_17861;
																	goto BgL_recz00_6954;
																}
															}
														}
												}
												{	/* Eval/evaluate_comp.scm 791 */
													long BgL_arg1846z00_1836;

													BgL_arg1846z00_1836 =
														(BgL_spz00_1834 + BgL_nbargsz00_15827);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_sz00_1823, (long) CINT(BgL_bpz00_1825),
														BgL_sz00_1823, BINT(BgL_spz00_1834),
														BINT(BgL_arg1846z00_1836));
											}}
										else
											{	/* Eval/evaluate_comp.scm 787 */
												bool_t BgL_test4925z00_17868;

												if (((long) CINT(BgL_arityz00_1831) >= 0L))
													{	/* Eval/evaluate_comp.scm 787 */
														BgL_test4925z00_17868 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 787 */
														BgL_test4925z00_17868 =
															(
															(long) CINT(BgL_arityz00_1831) <
															((-1L) - BgL_nbargsz00_15827));
													}
												if (BgL_test4925z00_17868)
													{	/* Eval/evaluate_comp.scm 787 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1165z00_15825))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_1829, (int) (3L)),
															(int) (BgL_nbargsz00_15827),
															CINT(BgL_arityz00_1831));
													}
												else
													{	/* Eval/evaluate_comp.scm 787 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_1831, BgL_sz00_1823,
															BgL_argsz00_15828, BINT(BgL_spz00_1834));
														{	/* Eval/evaluate_comp.scm 793 */
															long BgL_arg1852z00_1842;

															BgL_arg1852z00_1842 =
																(BgL_spz00_1834 +
																(0L - (long) CINT(BgL_arityz00_1831)));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_1823, (long) CINT(BgL_bpz00_1825),
																BgL_sz00_1823, BINT(BgL_spz00_1834),
																BINT(BgL_arg1852z00_1842));
											}}}
										{	/* Eval/evaluate_comp.scm 787 */
											obj_t BgL_z12denvz12_1846;

											BgL_z12denvz12_1846 = BGL_CURRENT_DYNAMIC_ENV();
											{	/* Eval/evaluate_comp.scm 787 */
												obj_t BgL_tmpz00_17891;

												BgL_tmpz00_17891 =
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15825))->
													BgL_locz00);
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1846,
													BgL_tmpz00_17891);
											}
											if (
												(((long) CINT(BgL_bpz00_1825) +
														(long) CINT(BgL_sfz00_1833)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_1823))))
												{	/* Eval/evaluate_comp.scm 787 */
													return BgL_runz00_1832;
												}
											else
												{	/* Eval/evaluate_comp.scm 787 */
													obj_t BgL_nsz00_1849;

													BgL_nsz00_1849 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 787 */
														long BgL_arg1857z00_1851;

														BgL_arg1857z00_1851 =
															(
															(long) CINT(BgL_bpz00_1825) +
															BgL_nbargsz00_15827);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_1849, 2L, BgL_sz00_1823,
															BgL_bpz00_1825, BINT(BgL_arg1857z00_1851));
													}
													VECTOR_SET(BgL_nsz00_1849, 1L, BgL_sz00_1823);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1846,
														BgL_nsz00_1849);
													{	/* Eval/evaluate_comp.scm 787 */
														obj_t BgL_ez00_1852;

														BgL_ez00_1852 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 787 */
															obj_t BgL_arg4344z00_6992;

															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_arg4345z00_6993;

																BgL_arg4345z00_6993 =
																	BGL_EXITD_PROTECT(BgL_ez00_1852);
																BgL_arg4344z00_6992 =
																	MAKE_YOUNG_PAIR(BgL_sz00_1823,
																	BgL_arg4345z00_6993);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_1852,
																BgL_arg4344z00_6992);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 787 */
															obj_t BgL_____rz00_1853;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_6994;

																BgL_savedzd2bpzd2_6994 =
																	VECTOR_REF(BgL_nsz00_1849, 0L);
																VECTOR_SET(BgL_nsz00_1849, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_6998;

																	BgL_fz00_6998 = BgL_runz00_1832;
																BgL_recz00_6997:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_6999;

																		BgL_rz00_6999 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_6998,
																			BgL_nsz00_1849);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test4928z00_17919;

																			if (PROCEDUREP(BgL_rz00_6999))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_7002;

																					BgL_arg1763z00_7002 =
																						PROCEDURE_ATTR(BgL_rz00_6999);
																					if (STRUCTP(BgL_arg1763z00_7002))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4928z00_17919 =
																								(STRUCT_KEY(BgL_arg1763z00_7002)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4928z00_17919 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test4928z00_17919 = ((bool_t) 0);
																				}
																			if (BgL_test4928z00_17919)
																				{
																					obj_t BgL_fz00_17927;

																					BgL_fz00_17927 = BgL_rz00_6999;
																					BgL_fz00_6998 = BgL_fz00_17927;
																					goto BgL_recz00_6997;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_1849, 0L,
																						BgL_savedzd2bpzd2_6994);
																					BgL_____rz00_1853 = BgL_rz00_6999;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 787 */
																bool_t BgL_test4931z00_17929;

																{	/* Eval/evaluate_comp.scm 787 */
																	obj_t BgL_arg4343z00_7010;

																	BgL_arg4343z00_7010 =
																		BGL_EXITD_PROTECT(BgL_ez00_1852);
																	BgL_test4931z00_17929 =
																		PAIRP(BgL_arg4343z00_7010);
																}
																if (BgL_test4931z00_17929)
																	{	/* Eval/evaluate_comp.scm 787 */
																		obj_t BgL_arg4341z00_7011;

																		{	/* Eval/evaluate_comp.scm 787 */
																			obj_t BgL_arg4342z00_7012;

																			BgL_arg4342z00_7012 =
																				BGL_EXITD_PROTECT(BgL_ez00_1852);
																			BgL_arg4341z00_7011 =
																				CDR(((obj_t) BgL_arg4342z00_7012));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_1852,
																			BgL_arg4341z00_7011);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 787 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1846,
																BgL_sz00_1823);
															return BgL_____rz00_1853;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 787 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1826,
											(int) (BgL_nbargsz00_15827)))
										{	/* Eval/evaluate_comp.scm 787 */
											{	/* Eval/evaluate_comp.scm 787 */
												obj_t BgL_auxz00_17942;
												obj_t BgL_tmpz00_17940;

												BgL_auxz00_17942 =
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15825))->
													BgL_locz00);
												BgL_tmpz00_17940 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17940,
													BgL_auxz00_17942);
											}
											return
												BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
												(BgL_sz00_1823, BgL_fz00_1826, BgL_argsz00_15828,
												BgL_bpz00_1825, BINT(BgL_siza7eza7_15829));
										}
									else
										{	/* Eval/evaluate_comp.scm 787 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(
												(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15825))->
													BgL_locz00), BgL_symbzd2funzd2_15826,
												(int) (BgL_nbargsz00_15827),
												PROCEDURE_ARITY(BgL_fz00_1826));
		}}}}}}}

	}



/* &<@anonymous:1863> */
	obj_t BGl_z62zc3z04anonymousza31863ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13637, obj_t BgL_sz00_13644)
	{
		{	/* Eval/evaluate_comp.scm 787 */
			{	/* Eval/evaluate_comp.scm 787 */
				obj_t BgL_fz00_13638;
				BgL_ev_appz00_bglt BgL_i1165z00_13639;
				obj_t BgL_symbzd2funzd2_13640;
				long BgL_nbargsz00_13641;
				obj_t BgL_argsz00_13642;
				long BgL_siza7eza7_13643;

				BgL_fz00_13638 = PROCEDURE_REF(BgL_envz00_13637, (int) (0L));
				BgL_i1165z00_13639 =
					((BgL_ev_appz00_bglt) PROCEDURE_REF(BgL_envz00_13637, (int) (1L)));
				BgL_symbzd2funzd2_13640 = PROCEDURE_REF(BgL_envz00_13637, (int) (2L));
				BgL_nbargsz00_13641 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13637, (int) (3L)));
				BgL_argsz00_13642 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13637, (int) (4L)));
				BgL_siza7eza7_13643 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13637, (int) (5L)));
				return
					BGl_zc3z04anonymousza31863ze3ze70z60zz__evaluate_compz00
					(BgL_siza7eza7_13643, BgL_argsz00_13642, BgL_nbargsz00_13641,
					BgL_symbzd2funzd2_13640, BgL_i1165z00_13639, BgL_fz00_13638,
					BgL_sz00_13644);
			}
		}

	}



/* <@anonymous:1863>~0 */
	obj_t BGl_zc3z04anonymousza31863ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15823, obj_t BgL_argsz00_15822, long BgL_nbargsz00_15821,
		obj_t BgL_symbzd2funzd2_15820, BgL_ev_appz00_bglt BgL_i1165z00_15819,
		obj_t BgL_fz00_15818, obj_t BgL_sz00_1860)
	{
		{	/* Eval/evaluate_comp.scm 787 */
			{	/* Eval/evaluate_comp.scm 787 */
				obj_t BgL_bpz00_1862;

				BgL_bpz00_1862 = VECTOR_REF(((obj_t) BgL_sz00_1860), 0L);
				{	/* Eval/evaluate_comp.scm 787 */
					obj_t BgL_fz00_1863;

					BgL_fz00_1863 = BGL_PROCEDURE_CALL1(BgL_fz00_15818, BgL_sz00_1860);
					if (PROCEDUREP(BgL_fz00_1863))
						{	/* Eval/evaluate_comp.scm 787 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 787 */
							BGl_evtypezd2errorzd2zz__everrorz00(
								(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15819))->
									BgL_locz00), BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_1863);
						}
					{	/* Eval/evaluate_comp.scm 787 */
						obj_t BgL_ufz00_1866;

						{	/* Eval/evaluate_comp.scm 787 */
							obj_t BgL_tmpz00_17978;

							BgL_tmpz00_17978 = ((obj_t) BgL_fz00_1863);
							BgL_ufz00_1866 = PROCEDURE_ATTR(BgL_tmpz00_17978);
						}
						{	/* Eval/evaluate_comp.scm 787 */
							bool_t BgL_test4934z00_17981;

							if (STRUCTP(BgL_ufz00_1866))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test4934z00_17981 =
										(STRUCT_KEY(BgL_ufz00_1866) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test4934z00_17981 = ((bool_t) 0);
								}
							if (BgL_test4934z00_17981)
								{	/* Eval/evaluate_comp.scm 787 */
									obj_t BgL_arityz00_1868;
									obj_t BgL_runz00_1869;
									obj_t BgL_sfz00_1870;

									BgL_arityz00_1868 = STRUCT_REF(BgL_ufz00_1866, (int) (0L));
									BgL_runz00_1869 = STRUCT_REF(BgL_ufz00_1866, (int) (1L));
									BgL_sfz00_1870 = STRUCT_REF(BgL_ufz00_1866, (int) (2L));
									{	/* Eval/evaluate_comp.scm 787 */
										long BgL_spz00_1871;

										BgL_spz00_1871 =
											((long) CINT(BgL_bpz00_1862) + BgL_siza7eza7_15823);
										if (((long) CINT(BgL_arityz00_1868) == BgL_nbargsz00_15821))
											{	/* Eval/evaluate_comp.scm 787 */
												{
													obj_t BgL_lz00_7028;
													long BgL_spz00_7029;

													BgL_lz00_7028 = BgL_argsz00_15822;
													BgL_spz00_7029 = BgL_spz00_1871;
												BgL_recz00_7027:
													if (NULLP(BgL_lz00_7028))
														{	/* Eval/evaluate_comp.scm 711 */
															((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 711 */
															{	/* Eval/evaluate_comp.scm 712 */
																obj_t BgL_arg1803z00_7036;

																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_fun1804z00_7037;

																	BgL_fun1804z00_7037 =
																		CAR(((obj_t) BgL_lz00_7028));
																	BgL_arg1803z00_7036 =
																		BGL_PROCEDURE_CALL1(BgL_fun1804z00_7037,
																		BgL_sz00_1860);
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_1860), BgL_spz00_7029,
																	BgL_arg1803z00_7036);
															}
															{	/* Eval/evaluate_comp.scm 713 */
																obj_t BgL_arg1805z00_7038;
																long BgL_arg1806z00_7039;

																BgL_arg1805z00_7038 =
																	CDR(((obj_t) BgL_lz00_7028));
																BgL_arg1806z00_7039 = (BgL_spz00_7029 + 1L);
																{
																	long BgL_spz00_18011;
																	obj_t BgL_lz00_18010;

																	BgL_lz00_18010 = BgL_arg1805z00_7038;
																	BgL_spz00_18011 = BgL_arg1806z00_7039;
																	BgL_spz00_7029 = BgL_spz00_18011;
																	BgL_lz00_7028 = BgL_lz00_18010;
																	goto BgL_recz00_7027;
																}
															}
														}
												}
												{	/* Eval/evaluate_comp.scm 791 */
													long BgL_arg1869z00_1873;

													BgL_arg1869z00_1873 =
														(BgL_spz00_1871 + BgL_nbargsz00_15821);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_sz00_1860, (long) CINT(BgL_bpz00_1862),
														BgL_sz00_1860, BINT(BgL_spz00_1871),
														BINT(BgL_arg1869z00_1873));
											}}
										else
											{	/* Eval/evaluate_comp.scm 787 */
												bool_t BgL_test4938z00_18017;

												if (((long) CINT(BgL_arityz00_1868) >= 0L))
													{	/* Eval/evaluate_comp.scm 787 */
														BgL_test4938z00_18017 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 787 */
														BgL_test4938z00_18017 =
															(
															(long) CINT(BgL_arityz00_1868) <
															((-1L) - BgL_nbargsz00_15821));
													}
												if (BgL_test4938z00_18017)
													{	/* Eval/evaluate_comp.scm 787 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1165z00_15819))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_1866, (int) (3L)),
															(int) (BgL_nbargsz00_15821),
															CINT(BgL_arityz00_1868));
													}
												else
													{	/* Eval/evaluate_comp.scm 787 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_1868, BgL_sz00_1860,
															BgL_argsz00_15822, BINT(BgL_spz00_1871));
														{	/* Eval/evaluate_comp.scm 793 */
															long BgL_arg1876z00_1879;

															BgL_arg1876z00_1879 =
																(BgL_spz00_1871 +
																(0L - (long) CINT(BgL_arityz00_1868)));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_1860, (long) CINT(BgL_bpz00_1862),
																BgL_sz00_1860, BINT(BgL_spz00_1871),
																BINT(BgL_arg1876z00_1879));
											}}}
										{	/* Eval/evaluate_comp.scm 787 */
											obj_t BgL_z12denvz12_1883;

											BgL_z12denvz12_1883 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_1862) +
														(long) CINT(BgL_sfz00_1870)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_1860))))
												{	/* Eval/evaluate_comp.scm 787 */
													return BgL_runz00_1869;
												}
											else
												{	/* Eval/evaluate_comp.scm 787 */
													obj_t BgL_nsz00_1885;

													BgL_nsz00_1885 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 787 */
														long BgL_arg1880z00_1887;

														BgL_arg1880z00_1887 =
															(
															(long) CINT(BgL_bpz00_1862) +
															BgL_nbargsz00_15821);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_1885, 2L, BgL_sz00_1860,
															BgL_bpz00_1862, BINT(BgL_arg1880z00_1887));
													}
													VECTOR_SET(BgL_nsz00_1885, 1L, BgL_sz00_1860);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1883,
														BgL_nsz00_1885);
													{	/* Eval/evaluate_comp.scm 787 */
														obj_t BgL_ez00_1888;

														BgL_ez00_1888 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 787 */
															obj_t BgL_arg4344z00_7065;

															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_arg4345z00_7066;

																BgL_arg4345z00_7066 =
																	BGL_EXITD_PROTECT(BgL_ez00_1888);
																BgL_arg4344z00_7065 =
																	MAKE_YOUNG_PAIR(BgL_sz00_1860,
																	BgL_arg4345z00_7066);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_1888,
																BgL_arg4344z00_7065);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 787 */
															obj_t BgL_____rz00_1889;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_7067;

																BgL_savedzd2bpzd2_7067 =
																	VECTOR_REF(BgL_nsz00_1885, 0L);
																VECTOR_SET(BgL_nsz00_1885, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_7071;

																	BgL_fz00_7071 = BgL_runz00_1869;
																BgL_recz00_7070:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_7072;

																		BgL_rz00_7072 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_7071,
																			BgL_nsz00_1885);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test4943z00_18065;

																			if (PROCEDUREP(BgL_rz00_7072))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_7075;

																					BgL_arg1763z00_7075 =
																						PROCEDURE_ATTR(BgL_rz00_7072);
																					if (STRUCTP(BgL_arg1763z00_7075))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4943z00_18065 =
																								(STRUCT_KEY(BgL_arg1763z00_7075)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4943z00_18065 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test4943z00_18065 = ((bool_t) 0);
																				}
																			if (BgL_test4943z00_18065)
																				{
																					obj_t BgL_fz00_18073;

																					BgL_fz00_18073 = BgL_rz00_7072;
																					BgL_fz00_7071 = BgL_fz00_18073;
																					goto BgL_recz00_7070;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_1885, 0L,
																						BgL_savedzd2bpzd2_7067);
																					BgL_____rz00_1889 = BgL_rz00_7072;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 787 */
																bool_t BgL_test4947z00_18075;

																{	/* Eval/evaluate_comp.scm 787 */
																	obj_t BgL_arg4343z00_7083;

																	BgL_arg4343z00_7083 =
																		BGL_EXITD_PROTECT(BgL_ez00_1888);
																	BgL_test4947z00_18075 =
																		PAIRP(BgL_arg4343z00_7083);
																}
																if (BgL_test4947z00_18075)
																	{	/* Eval/evaluate_comp.scm 787 */
																		obj_t BgL_arg4341z00_7084;

																		{	/* Eval/evaluate_comp.scm 787 */
																			obj_t BgL_arg4342z00_7085;

																			BgL_arg4342z00_7085 =
																				BGL_EXITD_PROTECT(BgL_ez00_1888);
																			BgL_arg4341z00_7084 =
																				CDR(((obj_t) BgL_arg4342z00_7085));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_1888,
																			BgL_arg4341z00_7084);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 787 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1883,
																BgL_sz00_1860);
															return BgL_____rz00_1889;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 787 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1863,
											(int) (BgL_nbargsz00_15821)))
										{	/* Eval/evaluate_comp.scm 787 */
											return
												BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
												(BgL_sz00_1860, BgL_fz00_1863, BgL_argsz00_15822,
												BgL_bpz00_1862, BINT(BgL_siza7eza7_15823));
										}
									else
										{	/* Eval/evaluate_comp.scm 787 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(
												(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15819))->
													BgL_locz00), BgL_symbzd2funzd2_15820,
												(int) (BgL_nbargsz00_15821),
												PROCEDURE_ARITY(BgL_fz00_1863));
		}}}}}}}

	}



/* &<@anonymous:1885> */
	obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13645, obj_t BgL_sz00_13651)
	{
		{	/* Eval/evaluate_comp.scm 795 */
			{	/* Eval/evaluate_comp.scm 795 */
				obj_t BgL_fz00_13646;
				BgL_ev_appz00_bglt BgL_i1165z00_13647;
				obj_t BgL_symbzd2funzd2_13648;
				long BgL_nbargsz00_13649;
				obj_t BgL_argsz00_13650;

				BgL_fz00_13646 = PROCEDURE_REF(BgL_envz00_13645, (int) (0L));
				BgL_i1165z00_13647 =
					((BgL_ev_appz00_bglt) PROCEDURE_REF(BgL_envz00_13645, (int) (1L)));
				BgL_symbzd2funzd2_13648 = PROCEDURE_REF(BgL_envz00_13645, (int) (2L));
				BgL_nbargsz00_13649 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13645, (int) (3L)));
				BgL_argsz00_13650 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13645, (int) (4L)));
				return
					BGl_zc3z04anonymousza31885ze3ze70z60zz__evaluate_compz00
					(BgL_argsz00_13650, BgL_nbargsz00_13649, BgL_symbzd2funzd2_13648,
					BgL_i1165z00_13647, BgL_fz00_13646, BgL_sz00_13651);
			}
		}

	}



/* <@anonymous:1885>~0 */
	obj_t BGl_zc3z04anonymousza31885ze3ze70z60zz__evaluate_compz00(obj_t
		BgL_argsz00_15817, long BgL_nbargsz00_15816, obj_t BgL_symbzd2funzd2_15815,
		BgL_ev_appz00_bglt BgL_i1165z00_15814, obj_t BgL_fz00_15813,
		obj_t BgL_sz00_1897)
	{
		{	/* Eval/evaluate_comp.scm 795 */
			{	/* Eval/evaluate_comp.scm 795 */
				obj_t BgL_bpz00_1899;

				BgL_bpz00_1899 = VECTOR_REF(((obj_t) BgL_sz00_1897), 0L);
				{	/* Eval/evaluate_comp.scm 795 */
					obj_t BgL_fz00_1900;

					BgL_fz00_1900 = BGL_PROCEDURE_CALL1(BgL_fz00_15813, BgL_sz00_1897);
					if (PROCEDUREP(BgL_fz00_1900))
						{	/* Eval/evaluate_comp.scm 795 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 795 */
							BGl_evtypezd2errorzd2zz__everrorz00(
								(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15814))->
									BgL_locz00), BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_1900);
						}
					{	/* Eval/evaluate_comp.scm 795 */
						obj_t BgL_ufz00_1903;

						{	/* Eval/evaluate_comp.scm 795 */
							obj_t BgL_tmpz00_18116;

							BgL_tmpz00_18116 = ((obj_t) BgL_fz00_1900);
							BgL_ufz00_1903 = PROCEDURE_ATTR(BgL_tmpz00_18116);
						}
						{	/* Eval/evaluate_comp.scm 795 */
							bool_t BgL_test4950z00_18119;

							if (STRUCTP(BgL_ufz00_1903))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test4950z00_18119 =
										(STRUCT_KEY(BgL_ufz00_1903) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test4950z00_18119 = ((bool_t) 0);
								}
							if (BgL_test4950z00_18119)
								{	/* Eval/evaluate_comp.scm 795 */
									obj_t BgL_arityz00_1905;
									obj_t BgL_runz00_1906;
									obj_t BgL_sfz00_1907;

									BgL_arityz00_1905 = STRUCT_REF(BgL_ufz00_1903, (int) (0L));
									BgL_runz00_1906 = STRUCT_REF(BgL_ufz00_1903, (int) (1L));
									BgL_sfz00_1907 = STRUCT_REF(BgL_ufz00_1903, (int) (2L));
									if (((long) CINT(BgL_arityz00_1905) == BgL_nbargsz00_15816))
										{
											obj_t BgL_lz00_7102;
											obj_t BgL_spz00_7103;

											{	/* Eval/evaluate_comp.scm 710 */
												bool_t BgL_tmpz00_18133;

												BgL_lz00_7102 = BgL_argsz00_15817;
												BgL_spz00_7103 = BgL_bpz00_1899;
											BgL_recz00_7101:
												if (NULLP(BgL_lz00_7102))
													{	/* Eval/evaluate_comp.scm 711 */
														BgL_tmpz00_18133 = ((bool_t) 0);
													}
												else
													{	/* Eval/evaluate_comp.scm 711 */
														{	/* Eval/evaluate_comp.scm 712 */
															obj_t BgL_arg1803z00_7110;

															{	/* Eval/evaluate_comp.scm 712 */
																obj_t BgL_fun1804z00_7111;

																BgL_fun1804z00_7111 =
																	CAR(((obj_t) BgL_lz00_7102));
																BgL_arg1803z00_7110 =
																	BGL_PROCEDURE_CALL1(BgL_fun1804z00_7111,
																	BgL_sz00_1897);
															}
															{	/* Eval/evaluate_comp.scm 712 */
																long BgL_kz00_7116;

																BgL_kz00_7116 = (long) CINT(BgL_spz00_7103);
																VECTOR_SET(
																	((obj_t) BgL_sz00_1897), BgL_kz00_7116,
																	BgL_arg1803z00_7110);
														}}
														{	/* Eval/evaluate_comp.scm 713 */
															obj_t BgL_arg1805z00_7112;
															long BgL_arg1806z00_7113;

															BgL_arg1805z00_7112 =
																CDR(((obj_t) BgL_lz00_7102));
															BgL_arg1806z00_7113 =
																((long) CINT(BgL_spz00_7103) + 1L);
															{
																obj_t BgL_spz00_18150;
																obj_t BgL_lz00_18149;

																BgL_lz00_18149 = BgL_arg1805z00_7112;
																BgL_spz00_18150 = BINT(BgL_arg1806z00_7113);
																BgL_spz00_7103 = BgL_spz00_18150;
																BgL_lz00_7102 = BgL_lz00_18149;
																goto BgL_recz00_7101;
															}
														}
													}
												BBOOL(BgL_tmpz00_18133);
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 795 */
											bool_t BgL_test4954z00_18153;

											if (((long) CINT(BgL_arityz00_1905) >= 0L))
												{	/* Eval/evaluate_comp.scm 795 */
													BgL_test4954z00_18153 = ((bool_t) 1);
												}
											else
												{	/* Eval/evaluate_comp.scm 795 */
													BgL_test4954z00_18153 =
														(
														(long) CINT(BgL_arityz00_1905) <
														((-1L) - BgL_nbargsz00_15816));
												}
											if (BgL_test4954z00_18153)
												{	/* Eval/evaluate_comp.scm 795 */
													BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt)
																COBJECT(BgL_i1165z00_15814))->BgL_locz00),
														STRUCT_REF(BgL_ufz00_1903, (int) (3L)),
														(int) (BgL_nbargsz00_15816),
														CINT(BgL_arityz00_1905));
												}
											else
												{	/* Eval/evaluate_comp.scm 795 */
													BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
														(BgL_arityz00_1905, BgL_sz00_1897,
														BgL_argsz00_15817, BgL_bpz00_1899);
												}
										}
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_z12denvz12_1917;

										BgL_z12denvz12_1917 = BGL_CURRENT_DYNAMIC_ENV();
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_tmpz00_18168;

											BgL_tmpz00_18168 =
												(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15814))->
												BgL_locz00);
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1917,
												BgL_tmpz00_18168);
										}
										if (
											(((long) CINT(BgL_bpz00_1899) +
													(long) CINT(BgL_sfz00_1907)) <
												VECTOR_LENGTH(((obj_t) BgL_sz00_1897))))
											{	/* Eval/evaluate_comp.scm 795 */
												return BgL_runz00_1906;
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												obj_t BgL_nsz00_1920;

												BgL_nsz00_1920 =
													BGl_makezd2statezd2zz__evaluate_compz00();
												{	/* Eval/evaluate_comp.scm 795 */
													long BgL_arg1898z00_1922;

													BgL_arg1898z00_1922 =
														((long) CINT(BgL_bpz00_1899) + BgL_nbargsz00_15816);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_nsz00_1920, 2L, BgL_sz00_1897, BgL_bpz00_1899,
														BINT(BgL_arg1898z00_1922));
												}
												VECTOR_SET(BgL_nsz00_1920, 1L, BgL_sz00_1897);
												BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1917,
													BgL_nsz00_1920);
												{	/* Eval/evaluate_comp.scm 795 */
													obj_t BgL_ez00_1923;

													BgL_ez00_1923 = BGL_EXITD_TOP_AS_OBJ();
													{	/* Eval/evaluate_comp.scm 795 */
														obj_t BgL_arg4344z00_7134;

														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_arg4345z00_7135;

															BgL_arg4345z00_7135 =
																BGL_EXITD_PROTECT(BgL_ez00_1923);
															BgL_arg4344z00_7134 =
																MAKE_YOUNG_PAIR(BgL_sz00_1897,
																BgL_arg4345z00_7135);
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_1923,
															BgL_arg4344z00_7134);
														BUNSPEC;
													}
													{	/* Eval/evaluate_comp.scm 795 */
														obj_t BgL_____rz00_1924;

														{	/* Eval/evaluate_comp.scm 670 */
															obj_t BgL_savedzd2bpzd2_7136;

															BgL_savedzd2bpzd2_7136 =
																VECTOR_REF(BgL_nsz00_1920, 0L);
															VECTOR_SET(BgL_nsz00_1920, 0L, BINT(2L));
															{
																obj_t BgL_fz00_7140;

																BgL_fz00_7140 = BgL_runz00_1906;
															BgL_recz00_7139:
																{	/* Eval/evaluate_comp.scm 673 */
																	obj_t BgL_rz00_7141;

																	BgL_rz00_7141 =
																		BGL_PROCEDURE_CALL1(BgL_fz00_7140,
																		BgL_nsz00_1920);
																	{	/* Eval/evaluate_comp.scm 674 */
																		bool_t BgL_test4957z00_18196;

																		if (PROCEDUREP(BgL_rz00_7141))
																			{	/* Eval/evaluate_comp.scm 674 */
																				obj_t BgL_arg1763z00_7144;

																				BgL_arg1763z00_7144 =
																					PROCEDURE_ATTR(BgL_rz00_7141);
																				if (STRUCTP(BgL_arg1763z00_7144))
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test4957z00_18196 =
																							(STRUCT_KEY(BgL_arg1763z00_7144)
																							==
																							BGl_symbol4596z00zz__evaluate_compz00);
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test4957z00_18196 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				BgL_test4957z00_18196 = ((bool_t) 0);
																			}
																		if (BgL_test4957z00_18196)
																			{
																				obj_t BgL_fz00_18204;

																				BgL_fz00_18204 = BgL_rz00_7141;
																				BgL_fz00_7140 = BgL_fz00_18204;
																				goto BgL_recz00_7139;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				VECTOR_SET(BgL_nsz00_1920, 0L,
																					BgL_savedzd2bpzd2_7136);
																				BgL_____rz00_1924 = BgL_rz00_7141;
																			}
																	}
																}
															}
														}
														{	/* Eval/evaluate_comp.scm 795 */
															bool_t BgL_test4960z00_18206;

															{	/* Eval/evaluate_comp.scm 795 */
																obj_t BgL_arg4343z00_7152;

																BgL_arg4343z00_7152 =
																	BGL_EXITD_PROTECT(BgL_ez00_1923);
																BgL_test4960z00_18206 =
																	PAIRP(BgL_arg4343z00_7152);
															}
															if (BgL_test4960z00_18206)
																{	/* Eval/evaluate_comp.scm 795 */
																	obj_t BgL_arg4341z00_7153;

																	{	/* Eval/evaluate_comp.scm 795 */
																		obj_t BgL_arg4342z00_7154;

																		BgL_arg4342z00_7154 =
																			BGL_EXITD_PROTECT(BgL_ez00_1923);
																		BgL_arg4341z00_7153 =
																			CDR(((obj_t) BgL_arg4342z00_7154));
																	}
																	BGL_EXITD_PROTECT_SET(BgL_ez00_1923,
																		BgL_arg4341z00_7153);
																	BUNSPEC;
																}
															else
																{	/* Eval/evaluate_comp.scm 795 */
																	BFALSE;
																}
														}
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1917,
															BgL_sz00_1897);
														return BgL_____rz00_1924;
													}
												}
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 795 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1900,
											(int) (BgL_nbargsz00_15816)))
										{	/* Eval/evaluate_comp.scm 795 */
											{	/* Eval/evaluate_comp.scm 795 */
												obj_t BgL_auxz00_18219;
												obj_t BgL_tmpz00_18217;

												BgL_auxz00_18219 =
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15814))->
													BgL_locz00);
												BgL_tmpz00_18217 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18217,
													BgL_auxz00_18219);
											}
											return
												BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
												(BgL_sz00_1897, BgL_fz00_1900, BgL_argsz00_15817,
												BgL_bpz00_1899, BINT(BgL_nbargsz00_15816));
										}
									else
										{	/* Eval/evaluate_comp.scm 795 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(
												(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15814))->
													BgL_locz00), BgL_symbzd2funzd2_15815,
												(int) (BgL_nbargsz00_15816),
												PROCEDURE_ARITY(BgL_fz00_1900));
		}}}}}}}

	}



/* &<@anonymous:1904> */
	obj_t BGl_z62zc3z04anonymousza31904ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13652, obj_t BgL_sz00_13658)
	{
		{	/* Eval/evaluate_comp.scm 795 */
			{	/* Eval/evaluate_comp.scm 795 */
				obj_t BgL_fz00_13653;
				BgL_ev_appz00_bglt BgL_i1165z00_13654;
				obj_t BgL_symbzd2funzd2_13655;
				long BgL_nbargsz00_13656;
				obj_t BgL_argsz00_13657;

				BgL_fz00_13653 = PROCEDURE_REF(BgL_envz00_13652, (int) (0L));
				BgL_i1165z00_13654 =
					((BgL_ev_appz00_bglt) PROCEDURE_REF(BgL_envz00_13652, (int) (1L)));
				BgL_symbzd2funzd2_13655 = PROCEDURE_REF(BgL_envz00_13652, (int) (2L));
				BgL_nbargsz00_13656 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13652, (int) (3L)));
				BgL_argsz00_13657 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13652, (int) (4L)));
				return
					BGl_zc3z04anonymousza31904ze3ze70z60zz__evaluate_compz00
					(BgL_argsz00_13657, BgL_nbargsz00_13656, BgL_symbzd2funzd2_13655,
					BgL_i1165z00_13654, BgL_fz00_13653, BgL_sz00_13658);
			}
		}

	}



/* <@anonymous:1904>~0 */
	obj_t BGl_zc3z04anonymousza31904ze3ze70z60zz__evaluate_compz00(obj_t
		BgL_argsz00_15812, long BgL_nbargsz00_15811, obj_t BgL_symbzd2funzd2_15810,
		BgL_ev_appz00_bglt BgL_i1165z00_15809, obj_t BgL_fz00_15808,
		obj_t BgL_sz00_1931)
	{
		{	/* Eval/evaluate_comp.scm 795 */
			{	/* Eval/evaluate_comp.scm 795 */
				obj_t BgL_bpz00_1933;

				BgL_bpz00_1933 = VECTOR_REF(((obj_t) BgL_sz00_1931), 0L);
				{	/* Eval/evaluate_comp.scm 795 */
					obj_t BgL_fz00_1934;

					BgL_fz00_1934 = BGL_PROCEDURE_CALL1(BgL_fz00_15808, BgL_sz00_1931);
					if (PROCEDUREP(BgL_fz00_1934))
						{	/* Eval/evaluate_comp.scm 795 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 795 */
							BGl_evtypezd2errorzd2zz__everrorz00(
								(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15809))->
									BgL_locz00), BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_1934);
						}
					{	/* Eval/evaluate_comp.scm 795 */
						obj_t BgL_ufz00_1937;

						{	/* Eval/evaluate_comp.scm 795 */
							obj_t BgL_tmpz00_18252;

							BgL_tmpz00_18252 = ((obj_t) BgL_fz00_1934);
							BgL_ufz00_1937 = PROCEDURE_ATTR(BgL_tmpz00_18252);
						}
						{	/* Eval/evaluate_comp.scm 795 */
							bool_t BgL_test4963z00_18255;

							if (STRUCTP(BgL_ufz00_1937))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test4963z00_18255 =
										(STRUCT_KEY(BgL_ufz00_1937) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test4963z00_18255 = ((bool_t) 0);
								}
							if (BgL_test4963z00_18255)
								{	/* Eval/evaluate_comp.scm 795 */
									obj_t BgL_arityz00_1939;
									obj_t BgL_runz00_1940;
									obj_t BgL_sfz00_1941;

									BgL_arityz00_1939 = STRUCT_REF(BgL_ufz00_1937, (int) (0L));
									BgL_runz00_1940 = STRUCT_REF(BgL_ufz00_1937, (int) (1L));
									BgL_sfz00_1941 = STRUCT_REF(BgL_ufz00_1937, (int) (2L));
									if (((long) CINT(BgL_arityz00_1939) == BgL_nbargsz00_15811))
										{
											obj_t BgL_lz00_7170;
											obj_t BgL_spz00_7171;

											{	/* Eval/evaluate_comp.scm 710 */
												bool_t BgL_tmpz00_18269;

												BgL_lz00_7170 = BgL_argsz00_15812;
												BgL_spz00_7171 = BgL_bpz00_1933;
											BgL_recz00_7169:
												if (NULLP(BgL_lz00_7170))
													{	/* Eval/evaluate_comp.scm 711 */
														BgL_tmpz00_18269 = ((bool_t) 0);
													}
												else
													{	/* Eval/evaluate_comp.scm 711 */
														{	/* Eval/evaluate_comp.scm 712 */
															obj_t BgL_arg1803z00_7178;

															{	/* Eval/evaluate_comp.scm 712 */
																obj_t BgL_fun1804z00_7179;

																BgL_fun1804z00_7179 =
																	CAR(((obj_t) BgL_lz00_7170));
																BgL_arg1803z00_7178 =
																	BGL_PROCEDURE_CALL1(BgL_fun1804z00_7179,
																	BgL_sz00_1931);
															}
															{	/* Eval/evaluate_comp.scm 712 */
																long BgL_kz00_7184;

																BgL_kz00_7184 = (long) CINT(BgL_spz00_7171);
																VECTOR_SET(
																	((obj_t) BgL_sz00_1931), BgL_kz00_7184,
																	BgL_arg1803z00_7178);
														}}
														{	/* Eval/evaluate_comp.scm 713 */
															obj_t BgL_arg1805z00_7180;
															long BgL_arg1806z00_7181;

															BgL_arg1805z00_7180 =
																CDR(((obj_t) BgL_lz00_7170));
															BgL_arg1806z00_7181 =
																((long) CINT(BgL_spz00_7171) + 1L);
															{
																obj_t BgL_spz00_18286;
																obj_t BgL_lz00_18285;

																BgL_lz00_18285 = BgL_arg1805z00_7180;
																BgL_spz00_18286 = BINT(BgL_arg1806z00_7181);
																BgL_spz00_7171 = BgL_spz00_18286;
																BgL_lz00_7170 = BgL_lz00_18285;
																goto BgL_recz00_7169;
															}
														}
													}
												BBOOL(BgL_tmpz00_18269);
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 795 */
											bool_t BgL_test4967z00_18289;

											if (((long) CINT(BgL_arityz00_1939) >= 0L))
												{	/* Eval/evaluate_comp.scm 795 */
													BgL_test4967z00_18289 = ((bool_t) 1);
												}
											else
												{	/* Eval/evaluate_comp.scm 795 */
													BgL_test4967z00_18289 =
														(
														(long) CINT(BgL_arityz00_1939) <
														((-1L) - BgL_nbargsz00_15811));
												}
											if (BgL_test4967z00_18289)
												{	/* Eval/evaluate_comp.scm 795 */
													BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt)
																COBJECT(BgL_i1165z00_15809))->BgL_locz00),
														STRUCT_REF(BgL_ufz00_1937, (int) (3L)),
														(int) (BgL_nbargsz00_15811),
														CINT(BgL_arityz00_1939));
												}
											else
												{	/* Eval/evaluate_comp.scm 795 */
													BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
														(BgL_arityz00_1939, BgL_sz00_1931,
														BgL_argsz00_15812, BgL_bpz00_1933);
												}
										}
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_z12denvz12_1951;

										BgL_z12denvz12_1951 = BGL_CURRENT_DYNAMIC_ENV();
										if (
											(((long) CINT(BgL_bpz00_1933) +
													(long) CINT(BgL_sfz00_1941)) <
												VECTOR_LENGTH(((obj_t) BgL_sz00_1931))))
											{	/* Eval/evaluate_comp.scm 795 */
												return BgL_runz00_1940;
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												obj_t BgL_nsz00_1953;

												BgL_nsz00_1953 =
													BGl_makezd2statezd2zz__evaluate_compz00();
												{	/* Eval/evaluate_comp.scm 795 */
													long BgL_arg1917z00_1955;

													BgL_arg1917z00_1955 =
														((long) CINT(BgL_bpz00_1933) + BgL_nbargsz00_15811);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_nsz00_1953, 2L, BgL_sz00_1931, BgL_bpz00_1933,
														BINT(BgL_arg1917z00_1955));
												}
												VECTOR_SET(BgL_nsz00_1953, 1L, BgL_sz00_1931);
												BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1951,
													BgL_nsz00_1953);
												{	/* Eval/evaluate_comp.scm 795 */
													obj_t BgL_ez00_1956;

													BgL_ez00_1956 = BGL_EXITD_TOP_AS_OBJ();
													{	/* Eval/evaluate_comp.scm 795 */
														obj_t BgL_arg4344z00_7202;

														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_arg4345z00_7203;

															BgL_arg4345z00_7203 =
																BGL_EXITD_PROTECT(BgL_ez00_1956);
															BgL_arg4344z00_7202 =
																MAKE_YOUNG_PAIR(BgL_sz00_1931,
																BgL_arg4345z00_7203);
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_1956,
															BgL_arg4344z00_7202);
														BUNSPEC;
													}
													{	/* Eval/evaluate_comp.scm 795 */
														obj_t BgL_____rz00_1957;

														{	/* Eval/evaluate_comp.scm 670 */
															obj_t BgL_savedzd2bpzd2_7204;

															BgL_savedzd2bpzd2_7204 =
																VECTOR_REF(BgL_nsz00_1953, 0L);
															VECTOR_SET(BgL_nsz00_1953, 0L, BINT(2L));
															{
																obj_t BgL_fz00_7208;

																BgL_fz00_7208 = BgL_runz00_1940;
															BgL_recz00_7207:
																{	/* Eval/evaluate_comp.scm 673 */
																	obj_t BgL_rz00_7209;

																	BgL_rz00_7209 =
																		BGL_PROCEDURE_CALL1(BgL_fz00_7208,
																		BgL_nsz00_1953);
																	{	/* Eval/evaluate_comp.scm 674 */
																		bool_t BgL_test4970z00_18329;

																		if (PROCEDUREP(BgL_rz00_7209))
																			{	/* Eval/evaluate_comp.scm 674 */
																				obj_t BgL_arg1763z00_7212;

																				BgL_arg1763z00_7212 =
																					PROCEDURE_ATTR(BgL_rz00_7209);
																				if (STRUCTP(BgL_arg1763z00_7212))
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test4970z00_18329 =
																							(STRUCT_KEY(BgL_arg1763z00_7212)
																							==
																							BGl_symbol4596z00zz__evaluate_compz00);
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test4970z00_18329 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				BgL_test4970z00_18329 = ((bool_t) 0);
																			}
																		if (BgL_test4970z00_18329)
																			{
																				obj_t BgL_fz00_18337;

																				BgL_fz00_18337 = BgL_rz00_7209;
																				BgL_fz00_7208 = BgL_fz00_18337;
																				goto BgL_recz00_7207;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				VECTOR_SET(BgL_nsz00_1953, 0L,
																					BgL_savedzd2bpzd2_7204);
																				BgL_____rz00_1957 = BgL_rz00_7209;
																			}
																	}
																}
															}
														}
														{	/* Eval/evaluate_comp.scm 795 */
															bool_t BgL_test4973z00_18339;

															{	/* Eval/evaluate_comp.scm 795 */
																obj_t BgL_arg4343z00_7220;

																BgL_arg4343z00_7220 =
																	BGL_EXITD_PROTECT(BgL_ez00_1956);
																BgL_test4973z00_18339 =
																	PAIRP(BgL_arg4343z00_7220);
															}
															if (BgL_test4973z00_18339)
																{	/* Eval/evaluate_comp.scm 795 */
																	obj_t BgL_arg4341z00_7221;

																	{	/* Eval/evaluate_comp.scm 795 */
																		obj_t BgL_arg4342z00_7222;

																		BgL_arg4342z00_7222 =
																			BGL_EXITD_PROTECT(BgL_ez00_1956);
																		BgL_arg4341z00_7221 =
																			CDR(((obj_t) BgL_arg4342z00_7222));
																	}
																	BGL_EXITD_PROTECT_SET(BgL_ez00_1956,
																		BgL_arg4341z00_7221);
																	BUNSPEC;
																}
															else
																{	/* Eval/evaluate_comp.scm 795 */
																	BFALSE;
																}
														}
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1951,
															BgL_sz00_1931);
														return BgL_____rz00_1957;
													}
												}
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 795 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1934,
											(int) (BgL_nbargsz00_15811)))
										{	/* Eval/evaluate_comp.scm 795 */
											return
												BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
												(BgL_sz00_1931, BgL_fz00_1934, BgL_argsz00_15812,
												BgL_bpz00_1933, BINT(BgL_nbargsz00_15811));
										}
									else
										{	/* Eval/evaluate_comp.scm 795 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(
												(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15809))->
													BgL_locz00), BgL_symbzd2funzd2_15810,
												(int) (BgL_nbargsz00_15811),
												PROCEDURE_ARITY(BgL_fz00_1934));
		}}}}}}}

	}



/* &<@anonymous:1924> */
	obj_t BGl_z62zc3z04anonymousza31924ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13659, obj_t BgL_sz00_13666)
	{
		{	/* Eval/evaluate_comp.scm 781 */
			{	/* Eval/evaluate_comp.scm 781 */
				obj_t BgL_fz00_13660;
				BgL_ev_appz00_bglt BgL_i1165z00_13661;
				obj_t BgL_symbzd2funzd2_13662;
				long BgL_nbargsz00_13663;
				obj_t BgL_argsz00_13664;
				long BgL_siza7eza7_13665;

				BgL_fz00_13660 = PROCEDURE_REF(BgL_envz00_13659, (int) (0L));
				BgL_i1165z00_13661 =
					((BgL_ev_appz00_bglt) PROCEDURE_REF(BgL_envz00_13659, (int) (1L)));
				BgL_symbzd2funzd2_13662 = PROCEDURE_REF(BgL_envz00_13659, (int) (2L));
				BgL_nbargsz00_13663 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13659, (int) (3L)));
				BgL_argsz00_13664 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13659, (int) (4L)));
				BgL_siza7eza7_13665 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13659, (int) (5L)));
				return
					BGl_zc3z04anonymousza31924ze3ze70z60zz__evaluate_compz00
					(BgL_siza7eza7_13665, BgL_argsz00_13664, BgL_nbargsz00_13663,
					BgL_symbzd2funzd2_13662, BgL_i1165z00_13661, BgL_fz00_13660,
					BgL_sz00_13666);
			}
		}

	}



/* <@anonymous:1924>~0 */
	obj_t BGl_zc3z04anonymousza31924ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15807, obj_t BgL_argsz00_15806, long BgL_nbargsz00_15805,
		obj_t BgL_symbzd2funzd2_15804, BgL_ev_appz00_bglt BgL_i1165z00_15803,
		obj_t BgL_fz00_15802, obj_t BgL_sz00_1966)
	{
		{	/* Eval/evaluate_comp.scm 781 */
			{	/* Eval/evaluate_comp.scm 781 */
				obj_t BgL_bpz00_1968;

				BgL_bpz00_1968 = VECTOR_REF(((obj_t) BgL_sz00_1966), 0L);
				{	/* Eval/evaluate_comp.scm 781 */
					obj_t BgL_fz00_1969;

					BgL_fz00_1969 = BGL_PROCEDURE_CALL1(BgL_fz00_15802, BgL_sz00_1966);
					if (PROCEDUREP(BgL_fz00_1969))
						{	/* Eval/evaluate_comp.scm 781 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 781 */
							BGl_evtypezd2errorzd2zz__everrorz00(
								(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15803))->
									BgL_locz00), BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_1969);
						}
					{	/* Eval/evaluate_comp.scm 781 */
						obj_t BgL_ufz00_1972;

						{	/* Eval/evaluate_comp.scm 781 */
							obj_t BgL_tmpz00_18383;

							BgL_tmpz00_18383 = ((obj_t) BgL_fz00_1969);
							BgL_ufz00_1972 = PROCEDURE_ATTR(BgL_tmpz00_18383);
						}
						{	/* Eval/evaluate_comp.scm 781 */
							bool_t BgL_test4976z00_18386;

							if (STRUCTP(BgL_ufz00_1972))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test4976z00_18386 =
										(STRUCT_KEY(BgL_ufz00_1972) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test4976z00_18386 = ((bool_t) 0);
								}
							if (BgL_test4976z00_18386)
								{	/* Eval/evaluate_comp.scm 781 */
									obj_t BgL_arityz00_1974;
									obj_t BgL_runz00_1975;
									obj_t BgL_sfz00_1976;

									BgL_arityz00_1974 = STRUCT_REF(BgL_ufz00_1972, (int) (0L));
									BgL_runz00_1975 = STRUCT_REF(BgL_ufz00_1972, (int) (1L));
									BgL_sfz00_1976 = STRUCT_REF(BgL_ufz00_1972, (int) (2L));
									{	/* Eval/evaluate_comp.scm 781 */
										long BgL_spz00_1977;

										BgL_spz00_1977 =
											((long) CINT(BgL_bpz00_1968) + BgL_siza7eza7_15807);
										if (((long) CINT(BgL_arityz00_1974) == BgL_nbargsz00_15805))
											{
												obj_t BgL_lz00_7239;
												long BgL_spz00_7240;

												{	/* Eval/evaluate_comp.scm 710 */
													bool_t BgL_tmpz00_18402;

													BgL_lz00_7239 = BgL_argsz00_15806;
													BgL_spz00_7240 = BgL_spz00_1977;
												BgL_recz00_7238:
													if (NULLP(BgL_lz00_7239))
														{	/* Eval/evaluate_comp.scm 711 */
															BgL_tmpz00_18402 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 711 */
															{	/* Eval/evaluate_comp.scm 712 */
																obj_t BgL_arg1803z00_7247;

																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_fun1804z00_7248;

																	BgL_fun1804z00_7248 =
																		CAR(((obj_t) BgL_lz00_7239));
																	BgL_arg1803z00_7247 =
																		BGL_PROCEDURE_CALL1(BgL_fun1804z00_7248,
																		BgL_sz00_1966);
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_1966), BgL_spz00_7240,
																	BgL_arg1803z00_7247);
															}
															{	/* Eval/evaluate_comp.scm 713 */
																obj_t BgL_arg1805z00_7249;
																long BgL_arg1806z00_7250;

																BgL_arg1805z00_7249 =
																	CDR(((obj_t) BgL_lz00_7239));
																BgL_arg1806z00_7250 = (BgL_spz00_7240 + 1L);
																{
																	long BgL_spz00_18417;
																	obj_t BgL_lz00_18416;

																	BgL_lz00_18416 = BgL_arg1805z00_7249;
																	BgL_spz00_18417 = BgL_arg1806z00_7250;
																	BgL_spz00_7240 = BgL_spz00_18417;
																	BgL_lz00_7239 = BgL_lz00_18416;
																	goto BgL_recz00_7238;
																}
															}
														}
													BBOOL(BgL_tmpz00_18402);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 781 */
												bool_t BgL_test4980z00_18419;

												if (((long) CINT(BgL_arityz00_1974) >= 0L))
													{	/* Eval/evaluate_comp.scm 781 */
														BgL_test4980z00_18419 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 781 */
														BgL_test4980z00_18419 =
															(
															(long) CINT(BgL_arityz00_1974) <
															((-1L) - BgL_nbargsz00_15805));
													}
												if (BgL_test4980z00_18419)
													{	/* Eval/evaluate_comp.scm 781 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1165z00_15803))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_1972, (int) (3L)),
															(int) (BgL_nbargsz00_15805),
															CINT(BgL_arityz00_1974));
													}
												else
													{	/* Eval/evaluate_comp.scm 781 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_1974, BgL_sz00_1966,
															BgL_argsz00_15806, BINT(BgL_spz00_1977));
													}
											}
										{	/* Eval/evaluate_comp.scm 781 */
											obj_t BgL_z12denvz12_1986;

											BgL_z12denvz12_1986 = BGL_CURRENT_DYNAMIC_ENV();
											{	/* Eval/evaluate_comp.scm 781 */
												obj_t BgL_tmpz00_18435;

												BgL_tmpz00_18435 =
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15803))->
													BgL_locz00);
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1986,
													BgL_tmpz00_18435);
											}
											if (
												((BgL_spz00_1977 +
														(long) CINT(BgL_sfz00_1976)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_1966))))
												{	/* Eval/evaluate_comp.scm 781 */
													return
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_1975, BgL_sz00_1966,
														BINT(BgL_spz00_1977));
												}
											else
												{	/* Eval/evaluate_comp.scm 781 */
													obj_t BgL_nsz00_1989;

													BgL_nsz00_1989 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 781 */
														long BgL_arg1938z00_1991;

														BgL_arg1938z00_1991 =
															(BgL_spz00_1977 + BgL_nbargsz00_15805);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_1989, 2L, BgL_sz00_1966,
															BINT(BgL_spz00_1977), BINT(BgL_arg1938z00_1991));
													}
													VECTOR_SET(BgL_nsz00_1989, 1L, BgL_sz00_1966);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1986,
														BgL_nsz00_1989);
													{	/* Eval/evaluate_comp.scm 781 */
														obj_t BgL_ez00_1992;

														BgL_ez00_1992 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 781 */
															obj_t BgL_arg4344z00_7271;

															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_arg4345z00_7272;

																BgL_arg4345z00_7272 =
																	BGL_EXITD_PROTECT(BgL_ez00_1992);
																BgL_arg4344z00_7271 =
																	MAKE_YOUNG_PAIR(BgL_sz00_1966,
																	BgL_arg4345z00_7272);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_1992,
																BgL_arg4344z00_7271);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 781 */
															obj_t BgL_____rz00_1993;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_7273;

																BgL_savedzd2bpzd2_7273 =
																	VECTOR_REF(BgL_nsz00_1989, 0L);
																VECTOR_SET(BgL_nsz00_1989, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_7277;

																	BgL_fz00_7277 = BgL_runz00_1975;
																BgL_recz00_7276:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_7278;

																		BgL_rz00_7278 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_7277,
																			BgL_nsz00_1989);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test4983z00_18464;

																			if (PROCEDUREP(BgL_rz00_7278))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_7281;

																					BgL_arg1763z00_7281 =
																						PROCEDURE_ATTR(BgL_rz00_7278);
																					if (STRUCTP(BgL_arg1763z00_7281))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4983z00_18464 =
																								(STRUCT_KEY(BgL_arg1763z00_7281)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4983z00_18464 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test4983z00_18464 = ((bool_t) 0);
																				}
																			if (BgL_test4983z00_18464)
																				{
																					obj_t BgL_fz00_18472;

																					BgL_fz00_18472 = BgL_rz00_7278;
																					BgL_fz00_7277 = BgL_fz00_18472;
																					goto BgL_recz00_7276;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_1989, 0L,
																						BgL_savedzd2bpzd2_7273);
																					BgL_____rz00_1993 = BgL_rz00_7278;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 781 */
																bool_t BgL_test4986z00_18474;

																{	/* Eval/evaluate_comp.scm 781 */
																	obj_t BgL_arg4343z00_7289;

																	BgL_arg4343z00_7289 =
																		BGL_EXITD_PROTECT(BgL_ez00_1992);
																	BgL_test4986z00_18474 =
																		PAIRP(BgL_arg4343z00_7289);
																}
																if (BgL_test4986z00_18474)
																	{	/* Eval/evaluate_comp.scm 781 */
																		obj_t BgL_arg4341z00_7290;

																		{	/* Eval/evaluate_comp.scm 781 */
																			obj_t BgL_arg4342z00_7291;

																			BgL_arg4342z00_7291 =
																				BGL_EXITD_PROTECT(BgL_ez00_1992);
																			BgL_arg4341z00_7290 =
																				CDR(((obj_t) BgL_arg4342z00_7291));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_1992,
																			BgL_arg4341z00_7290);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 781 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1986,
																BgL_sz00_1966);
															return BgL_____rz00_1993;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 781 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1969,
											(int) (BgL_nbargsz00_15805)))
										{	/* Eval/evaluate_comp.scm 781 */
											{	/* Eval/evaluate_comp.scm 781 */
												obj_t BgL_auxz00_18487;
												obj_t BgL_tmpz00_18485;

												BgL_auxz00_18487 =
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15803))->
													BgL_locz00);
												BgL_tmpz00_18485 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18485,
													BgL_auxz00_18487);
											}
											return
												BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
												(BgL_sz00_1966, BgL_fz00_1969, BgL_argsz00_15806,
												BgL_bpz00_1968, BINT(BgL_siza7eza7_15807));
										}
									else
										{	/* Eval/evaluate_comp.scm 781 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(
												(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15803))->
													BgL_locz00), BgL_symbzd2funzd2_15804,
												(int) (BgL_nbargsz00_15805),
												PROCEDURE_ARITY(BgL_fz00_1969));
		}}}}}}}

	}



/* &<@anonymous:1945> */
	obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13667, obj_t BgL_sz00_13674)
	{
		{	/* Eval/evaluate_comp.scm 781 */
			{	/* Eval/evaluate_comp.scm 781 */
				obj_t BgL_fz00_13668;
				BgL_ev_appz00_bglt BgL_i1165z00_13669;
				obj_t BgL_symbzd2funzd2_13670;
				long BgL_nbargsz00_13671;
				obj_t BgL_argsz00_13672;
				long BgL_siza7eza7_13673;

				BgL_fz00_13668 = PROCEDURE_REF(BgL_envz00_13667, (int) (0L));
				BgL_i1165z00_13669 =
					((BgL_ev_appz00_bglt) PROCEDURE_REF(BgL_envz00_13667, (int) (1L)));
				BgL_symbzd2funzd2_13670 = PROCEDURE_REF(BgL_envz00_13667, (int) (2L));
				BgL_nbargsz00_13671 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13667, (int) (3L)));
				BgL_argsz00_13672 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13667, (int) (4L)));
				BgL_siza7eza7_13673 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13667, (int) (5L)));
				return
					BGl_zc3z04anonymousza31945ze3ze70z60zz__evaluate_compz00
					(BgL_siza7eza7_13673, BgL_argsz00_13672, BgL_nbargsz00_13671,
					BgL_symbzd2funzd2_13670, BgL_i1165z00_13669, BgL_fz00_13668,
					BgL_sz00_13674);
			}
		}

	}



/* <@anonymous:1945>~0 */
	obj_t BGl_zc3z04anonymousza31945ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15801, obj_t BgL_argsz00_15800, long BgL_nbargsz00_15799,
		obj_t BgL_symbzd2funzd2_15798, BgL_ev_appz00_bglt BgL_i1165z00_15797,
		obj_t BgL_fz00_15796, obj_t BgL_sz00_2000)
	{
		{	/* Eval/evaluate_comp.scm 781 */
			{	/* Eval/evaluate_comp.scm 781 */
				obj_t BgL_bpz00_2002;

				BgL_bpz00_2002 = VECTOR_REF(((obj_t) BgL_sz00_2000), 0L);
				{	/* Eval/evaluate_comp.scm 781 */
					obj_t BgL_fz00_2003;

					BgL_fz00_2003 = BGL_PROCEDURE_CALL1(BgL_fz00_15796, BgL_sz00_2000);
					if (PROCEDUREP(BgL_fz00_2003))
						{	/* Eval/evaluate_comp.scm 781 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 781 */
							BGl_evtypezd2errorzd2zz__everrorz00(
								(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15797))->
									BgL_locz00), BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2003);
						}
					{	/* Eval/evaluate_comp.scm 781 */
						obj_t BgL_ufz00_2006;

						{	/* Eval/evaluate_comp.scm 781 */
							obj_t BgL_tmpz00_18523;

							BgL_tmpz00_18523 = ((obj_t) BgL_fz00_2003);
							BgL_ufz00_2006 = PROCEDURE_ATTR(BgL_tmpz00_18523);
						}
						{	/* Eval/evaluate_comp.scm 781 */
							bool_t BgL_test4989z00_18526;

							if (STRUCTP(BgL_ufz00_2006))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test4989z00_18526 =
										(STRUCT_KEY(BgL_ufz00_2006) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test4989z00_18526 = ((bool_t) 0);
								}
							if (BgL_test4989z00_18526)
								{	/* Eval/evaluate_comp.scm 781 */
									obj_t BgL_arityz00_2008;
									obj_t BgL_runz00_2009;
									obj_t BgL_sfz00_2010;

									BgL_arityz00_2008 = STRUCT_REF(BgL_ufz00_2006, (int) (0L));
									BgL_runz00_2009 = STRUCT_REF(BgL_ufz00_2006, (int) (1L));
									BgL_sfz00_2010 = STRUCT_REF(BgL_ufz00_2006, (int) (2L));
									{	/* Eval/evaluate_comp.scm 781 */
										long BgL_spz00_2011;

										BgL_spz00_2011 =
											((long) CINT(BgL_bpz00_2002) + BgL_siza7eza7_15801);
										if (((long) CINT(BgL_arityz00_2008) == BgL_nbargsz00_15799))
											{
												obj_t BgL_lz00_7307;
												long BgL_spz00_7308;

												{	/* Eval/evaluate_comp.scm 710 */
													bool_t BgL_tmpz00_18542;

													BgL_lz00_7307 = BgL_argsz00_15800;
													BgL_spz00_7308 = BgL_spz00_2011;
												BgL_recz00_7306:
													if (NULLP(BgL_lz00_7307))
														{	/* Eval/evaluate_comp.scm 711 */
															BgL_tmpz00_18542 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 711 */
															{	/* Eval/evaluate_comp.scm 712 */
																obj_t BgL_arg1803z00_7315;

																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_fun1804z00_7316;

																	BgL_fun1804z00_7316 =
																		CAR(((obj_t) BgL_lz00_7307));
																	BgL_arg1803z00_7315 =
																		BGL_PROCEDURE_CALL1(BgL_fun1804z00_7316,
																		BgL_sz00_2000);
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2000), BgL_spz00_7308,
																	BgL_arg1803z00_7315);
															}
															{	/* Eval/evaluate_comp.scm 713 */
																obj_t BgL_arg1805z00_7317;
																long BgL_arg1806z00_7318;

																BgL_arg1805z00_7317 =
																	CDR(((obj_t) BgL_lz00_7307));
																BgL_arg1806z00_7318 = (BgL_spz00_7308 + 1L);
																{
																	long BgL_spz00_18557;
																	obj_t BgL_lz00_18556;

																	BgL_lz00_18556 = BgL_arg1805z00_7317;
																	BgL_spz00_18557 = BgL_arg1806z00_7318;
																	BgL_spz00_7308 = BgL_spz00_18557;
																	BgL_lz00_7307 = BgL_lz00_18556;
																	goto BgL_recz00_7306;
																}
															}
														}
													BBOOL(BgL_tmpz00_18542);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 781 */
												bool_t BgL_test4993z00_18559;

												if (((long) CINT(BgL_arityz00_2008) >= 0L))
													{	/* Eval/evaluate_comp.scm 781 */
														BgL_test4993z00_18559 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 781 */
														BgL_test4993z00_18559 =
															(
															(long) CINT(BgL_arityz00_2008) <
															((-1L) - BgL_nbargsz00_15799));
													}
												if (BgL_test4993z00_18559)
													{	/* Eval/evaluate_comp.scm 781 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1165z00_15797))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_2006, (int) (3L)),
															(int) (BgL_nbargsz00_15799),
															CINT(BgL_arityz00_2008));
													}
												else
													{	/* Eval/evaluate_comp.scm 781 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_2008, BgL_sz00_2000,
															BgL_argsz00_15800, BINT(BgL_spz00_2011));
													}
											}
										{	/* Eval/evaluate_comp.scm 781 */
											obj_t BgL_z12denvz12_2020;

											BgL_z12denvz12_2020 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												((BgL_spz00_2011 +
														(long) CINT(BgL_sfz00_2010)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_2000))))
												{	/* Eval/evaluate_comp.scm 781 */
													return
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_2009, BgL_sz00_2000,
														BINT(BgL_spz00_2011));
												}
											else
												{	/* Eval/evaluate_comp.scm 781 */
													obj_t BgL_nsz00_2022;

													BgL_nsz00_2022 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 781 */
														long BgL_arg1960z00_2024;

														BgL_arg1960z00_2024 =
															(BgL_spz00_2011 + BgL_nbargsz00_15799);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_2022, 2L, BgL_sz00_2000,
															BINT(BgL_spz00_2011), BINT(BgL_arg1960z00_2024));
													}
													VECTOR_SET(BgL_nsz00_2022, 1L, BgL_sz00_2000);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2020,
														BgL_nsz00_2022);
													{	/* Eval/evaluate_comp.scm 781 */
														obj_t BgL_ez00_2025;

														BgL_ez00_2025 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 781 */
															obj_t BgL_arg4344z00_7339;

															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_arg4345z00_7340;

																BgL_arg4345z00_7340 =
																	BGL_EXITD_PROTECT(BgL_ez00_2025);
																BgL_arg4344z00_7339 =
																	MAKE_YOUNG_PAIR(BgL_sz00_2000,
																	BgL_arg4345z00_7340);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_2025,
																BgL_arg4344z00_7339);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 781 */
															obj_t BgL_____rz00_2026;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_7341;

																BgL_savedzd2bpzd2_7341 =
																	VECTOR_REF(BgL_nsz00_2022, 0L);
																VECTOR_SET(BgL_nsz00_2022, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_7345;

																	BgL_fz00_7345 = BgL_runz00_2009;
																BgL_recz00_7344:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_7346;

																		BgL_rz00_7346 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_7345,
																			BgL_nsz00_2022);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test4996z00_18601;

																			if (PROCEDUREP(BgL_rz00_7346))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_7349;

																					BgL_arg1763z00_7349 =
																						PROCEDURE_ATTR(BgL_rz00_7346);
																					if (STRUCTP(BgL_arg1763z00_7349))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4996z00_18601 =
																								(STRUCT_KEY(BgL_arg1763z00_7349)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4996z00_18601 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test4996z00_18601 = ((bool_t) 0);
																				}
																			if (BgL_test4996z00_18601)
																				{
																					obj_t BgL_fz00_18609;

																					BgL_fz00_18609 = BgL_rz00_7346;
																					BgL_fz00_7345 = BgL_fz00_18609;
																					goto BgL_recz00_7344;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_2022, 0L,
																						BgL_savedzd2bpzd2_7341);
																					BgL_____rz00_2026 = BgL_rz00_7346;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 781 */
																bool_t BgL_test4999z00_18611;

																{	/* Eval/evaluate_comp.scm 781 */
																	obj_t BgL_arg4343z00_7357;

																	BgL_arg4343z00_7357 =
																		BGL_EXITD_PROTECT(BgL_ez00_2025);
																	BgL_test4999z00_18611 =
																		PAIRP(BgL_arg4343z00_7357);
																}
																if (BgL_test4999z00_18611)
																	{	/* Eval/evaluate_comp.scm 781 */
																		obj_t BgL_arg4341z00_7358;

																		{	/* Eval/evaluate_comp.scm 781 */
																			obj_t BgL_arg4342z00_7359;

																			BgL_arg4342z00_7359 =
																				BGL_EXITD_PROTECT(BgL_ez00_2025);
																			BgL_arg4341z00_7358 =
																				CDR(((obj_t) BgL_arg4342z00_7359));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_2025,
																			BgL_arg4341z00_7358);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 781 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2020,
																BgL_sz00_2000);
															return BgL_____rz00_2026;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 781 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2003,
											(int) (BgL_nbargsz00_15799)))
										{	/* Eval/evaluate_comp.scm 781 */
											return
												BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
												(BgL_sz00_2000, BgL_fz00_2003, BgL_argsz00_15800,
												BgL_bpz00_2002, BINT(BgL_siza7eza7_15801));
										}
									else
										{	/* Eval/evaluate_comp.scm 781 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(
												(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_15797))->
													BgL_locz00), BgL_symbzd2funzd2_15798,
												(int) (BgL_nbargsz00_15799),
												PROCEDURE_ARITY(BgL_fz00_2003));
		}}}}}}}

	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138,
		BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140,
		obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143,
		long BgL_siza7eza7_144)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2034;

				BgL_cfunz00_2034 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139, 0L,
					BgL_locz00_138, BgL_symbzd2funzd2_140);
				if (CBOOL(BgL_cfunz00_2034))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5002z00_18631;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1364z00_2048;

							BgL_a1364z00_2048 = bgl_debug();
							BgL_test5002z00_18631 = ((long) (BgL_a1364z00_2048) > 0L);
						}
						if (BgL_test5002z00_18631)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza31969ze3z87_13675;

								BgL_zc3z04anonymousza31969ze3z87_13675 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31969ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (3L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31969ze3z87_13675,
									(int) (0L), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3z04anonymousza31969ze3z87_13675,
									(int) (1L), BgL_locz00_138);
								PROCEDURE_SET(BgL_zc3z04anonymousza31969ze3z87_13675,
									(int) (2L), BgL_cfunz00_2034);
								return BgL_zc3z04anonymousza31969ze3z87_13675;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza31971ze3z87_13676;

								BgL_zc3z04anonymousza31971ze3z87_13676 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31971ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (2L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31971ze3z87_13676,
									(int) (0L), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3z04anonymousza31971ze3z87_13676,
									(int) (1L), BgL_cfunz00_2034);
								return BgL_zc3z04anonymousza31971ze3z87_13676;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_142))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5004z00_18655;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1365z00_2108;

									BgL_a1365z00_2108 = bgl_debug();
									BgL_test5004z00_18655 = ((long) (BgL_a1365z00_2108) > 0L);
								}
								if (BgL_test5004z00_18655)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza31973ze3z87_13677;

										BgL_zc3z04anonymousza31973ze3z87_13677 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (4L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_13677,
											(int) (0L), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_13677,
											(int) (1L), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_13677,
											(int) (2L), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_13677,
											(int) (3L), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza31973ze3z87_13677;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza31986ze3z87_13678;

										BgL_zc3z04anonymousza31986ze3z87_13678 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31986ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (4L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31986ze3z87_13678,
											(int) (0L), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza31986ze3z87_13678,
											(int) (1L), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza31986ze3z87_13678,
											(int) (2L), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza31986ze3z87_13678,
											(int) (3L), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza31986ze3z87_13678;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5005z00_18683;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1366z00_2168;

									BgL_a1366z00_2168 = bgl_debug();
									BgL_test5005z00_18683 = ((long) (BgL_a1366z00_2168) > 0L);
								}
								if (BgL_test5005z00_18683)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32001ze3z87_13679;

										BgL_zc3z04anonymousza32001ze3z87_13679 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32001ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (4L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32001ze3z87_13679,
											(int) (0L), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza32001ze3z87_13679,
											(int) (1L), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza32001ze3z87_13679,
											(int) (2L), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza32001ze3z87_13679,
											(int) (3L), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza32001ze3z87_13679;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32013ze3z87_13680;

										BgL_zc3z04anonymousza32013ze3z87_13680 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (4L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_13680,
											(int) (0L), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_13680,
											(int) (1L), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_13680,
											(int) (2L), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_13680,
											(int) (3L), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza32013ze3z87_13680;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:1969> */
	obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13681, obj_t BgL_sz00_13685)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				long BgL_siza7eza7_13682;
				obj_t BgL_locz00_13683;
				obj_t BgL_cfunz00_13684;

				BgL_siza7eza7_13682 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13681, (int) (0L)));
				BgL_locz00_13683 = PROCEDURE_REF(BgL_envz00_13681, (int) (1L));
				BgL_cfunz00_13684 = PROCEDURE_REF(BgL_envz00_13681, (int) (2L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15899;

					BgL_bpz00_15899 = VECTOR_REF(((obj_t) BgL_sz00_13685), 0L);
					{	/* Eval/evaluate_comp.scm 896 */

						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15900;

							BgL_nbpz00_15900 =
								((long) CINT(BgL_bpz00_15899) + BgL_siza7eza7_13682);
							VECTOR_SET(((obj_t) BgL_sz00_13685), 0L, BINT(BgL_nbpz00_15900));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_18725;

								BgL_tmpz00_18725 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18725, BgL_locz00_13683);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15901;

								BgL_rz00_15901 = BGL_PROCEDURE_CALL0(BgL_cfunz00_13684);
								VECTOR_SET(((obj_t) BgL_sz00_13685), 0L, BgL_bpz00_15899);
								return BgL_rz00_15901;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1971> */
	obj_t BGl_z62zc3z04anonymousza31971ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13686, obj_t BgL_sz00_13689)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				long BgL_siza7eza7_13687;
				obj_t BgL_cfunz00_13688;

				BgL_siza7eza7_13687 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13686, (int) (0L)));
				BgL_cfunz00_13688 = PROCEDURE_REF(BgL_envz00_13686, (int) (1L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15902;

					BgL_bpz00_15902 = VECTOR_REF(((obj_t) BgL_sz00_13689), 0L);
					{	/* Eval/evaluate_comp.scm 896 */

						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15903;

							BgL_nbpz00_15903 =
								((long) CINT(BgL_bpz00_15902) + BgL_siza7eza7_13687);
							VECTOR_SET(((obj_t) BgL_sz00_13689), 0L, BINT(BgL_nbpz00_15903));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15904;

								BgL_rz00_15904 = BGL_PROCEDURE_CALL0(BgL_cfunz00_13688);
								VECTOR_SET(((obj_t) BgL_sz00_13689), 0L, BgL_bpz00_15902);
								return BgL_rz00_15904;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1973> */
	obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13690, obj_t BgL_sz00_13695)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza31973ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13690,
						(int) (3L))),
				PROCEDURE_REF(BgL_envz00_13690,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13690,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13690, (int) (0L)), BgL_sz00_13695);
		}

	}



/* <@anonymous:1973>~0 */
	obj_t BGl_zc3z04anonymousza31973ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15795, obj_t BgL_symbzd2funzd2_15794, obj_t BgL_locz00_15793,
		obj_t BgL_funz00_15792, obj_t BgL_sz00_2051)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2053;

				BgL_bpz00_2053 = VECTOR_REF(((obj_t) BgL_sz00_2051), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2054;

					BgL_fz00_2054 = BGL_PROCEDURE_CALL1(BgL_funz00_15792, BgL_sz00_2051);
					if (PROCEDUREP(BgL_fz00_2054))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15793,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2054);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2056;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_18769;

							BgL_tmpz00_18769 = ((obj_t) BgL_fz00_2054);
							BgL_ufz00_2056 = PROCEDURE_ATTR(BgL_tmpz00_18769);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5007z00_18772;

							if (STRUCTP(BgL_ufz00_2056))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5007z00_18772 =
										(STRUCT_KEY(BgL_ufz00_2056) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5007z00_18772 = ((bool_t) 0);
								}
							if (BgL_test5007z00_18772)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2058;
									obj_t BgL_runz00_2059;
									obj_t BgL_sfz00_2060;

									BgL_arityz00_2058 = STRUCT_REF(BgL_ufz00_2056, (int) (0L));
									BgL_runz00_2059 = STRUCT_REF(BgL_ufz00_2056, (int) (1L));
									BgL_sfz00_2060 = STRUCT_REF(BgL_ufz00_2056, (int) (2L));
									if (((long) CINT(BgL_arityz00_2058) == 0L))
										{	/* Eval/evaluate_comp.scm 896 */
											BUNSPEC;
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											if (INTEGERP(BgL_arityz00_2058))
												{	/* Eval/evaluate_comp.scm 896 */
													switch ((long) CINT(BgL_arityz00_2058))
														{
														case (-1L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg1978z00_2065;
																obj_t BgL_arg1979z00_2066;

																BgL_arg1978z00_2065 =
																	((long) CINT(BgL_bpz00_2053) + 0L);
																BgL_arg1979z00_2066 = BNIL;
																VECTOR_SET(
																	((obj_t) BgL_sz00_2051), BgL_arg1978z00_2065,
																	BgL_arg1979z00_2066);
															} break;
														default:
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15793, STRUCT_REF(BgL_ufz00_2056,
																	(int) (3L)), (int) (0L),
																CINT(BgL_arityz00_2058));
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15793,
														STRUCT_REF(BgL_ufz00_2056,
															(int) (3L)), (int) (0L), CINT(BgL_arityz00_2058));
										}}
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_z12denvz12_2069;

										BgL_z12denvz12_2069 = BGL_CURRENT_DYNAMIC_ENV();
										BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2069,
											BgL_locz00_15793);
										if ((((long) CINT(BgL_bpz00_2053) +
													(long) CINT(BgL_sfz00_2060)) <
												VECTOR_LENGTH(((obj_t) BgL_sz00_2051))))
											{	/* Eval/evaluate_comp.scm 896 */
												return BgL_runz00_2059;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_nsz00_2071;

												BgL_nsz00_2071 =
													BGl_makezd2statezd2zz__evaluate_compz00();
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg1983z00_2073;

													BgL_arg1983z00_2073 =
														((long) CINT(BgL_bpz00_2053) + 0L);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_nsz00_2071, 2L, BgL_sz00_2051, BgL_bpz00_2053,
														BINT(BgL_arg1983z00_2073));
												}
												VECTOR_SET(BgL_nsz00_2071, 1L, BgL_sz00_2051);
												BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2069,
													BgL_nsz00_2071);
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_ez00_2074;

													BgL_ez00_2074 = BGL_EXITD_TOP_AS_OBJ();
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_arg4344z00_7404;

														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4345z00_7405;

															BgL_arg4345z00_7405 =
																BGL_EXITD_PROTECT(BgL_ez00_2074);
															BgL_arg4344z00_7404 =
																MAKE_YOUNG_PAIR(BgL_sz00_2051,
																BgL_arg4345z00_7405);
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_2074,
															BgL_arg4344z00_7404);
														BUNSPEC;
													}
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_____rz00_2075;

														{	/* Eval/evaluate_comp.scm 670 */
															obj_t BgL_savedzd2bpzd2_7406;

															BgL_savedzd2bpzd2_7406 =
																VECTOR_REF(BgL_nsz00_2071, 0L);
															VECTOR_SET(BgL_nsz00_2071, 0L, BINT(2L));
															{
																obj_t BgL_fz00_7410;

																BgL_fz00_7410 = BgL_runz00_2059;
															BgL_recz00_7409:
																{	/* Eval/evaluate_comp.scm 673 */
																	obj_t BgL_rz00_7411;

																	BgL_rz00_7411 =
																		BGL_PROCEDURE_CALL1(BgL_fz00_7410,
																		BgL_nsz00_2071);
																	{	/* Eval/evaluate_comp.scm 674 */
																		bool_t BgL_test5012z00_18831;

																		if (PROCEDUREP(BgL_rz00_7411))
																			{	/* Eval/evaluate_comp.scm 674 */
																				obj_t BgL_arg1763z00_7414;

																				BgL_arg1763z00_7414 =
																					PROCEDURE_ATTR(BgL_rz00_7411);
																				if (STRUCTP(BgL_arg1763z00_7414))
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5012z00_18831 =
																							(STRUCT_KEY(BgL_arg1763z00_7414)
																							==
																							BGl_symbol4596z00zz__evaluate_compz00);
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5012z00_18831 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				BgL_test5012z00_18831 = ((bool_t) 0);
																			}
																		if (BgL_test5012z00_18831)
																			{
																				obj_t BgL_fz00_18839;

																				BgL_fz00_18839 = BgL_rz00_7411;
																				BgL_fz00_7410 = BgL_fz00_18839;
																				goto BgL_recz00_7409;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				VECTOR_SET(BgL_nsz00_2071, 0L,
																					BgL_savedzd2bpzd2_7406);
																				BgL_____rz00_2075 = BgL_rz00_7411;
																			}
																	}
																}
															}
														}
														{	/* Eval/evaluate_comp.scm 896 */
															bool_t BgL_test5015z00_18841;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4343z00_7422;

																BgL_arg4343z00_7422 =
																	BGL_EXITD_PROTECT(BgL_ez00_2074);
																BgL_test5015z00_18841 =
																	PAIRP(BgL_arg4343z00_7422);
															}
															if (BgL_test5015z00_18841)
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4341z00_7423;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4342z00_7424;

																		BgL_arg4342z00_7424 =
																			BGL_EXITD_PROTECT(BgL_ez00_2074);
																		BgL_arg4341z00_7423 =
																			CDR(((obj_t) BgL_arg4342z00_7424));
																	}
																	BGL_EXITD_PROTECT_SET(BgL_ez00_2074,
																		BgL_arg4341z00_7423);
																	BUNSPEC;
																}
															else
																{	/* Eval/evaluate_comp.scm 896 */
																	BFALSE;
																}
														}
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2069,
															BgL_sz00_2051);
														return BgL_____rz00_2075;
													}
												}
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2054, (int) (0L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2076;

											BgL_nbpz00_2076 =
												((long) CINT(BgL_bpz00_2053) + BgL_siza7eza7_15795);
											VECTOR_SET(
												((obj_t) BgL_sz00_2051), 0L, BINT(BgL_nbpz00_2076));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_tmpz00_18857;

												BgL_tmpz00_18857 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18857,
													BgL_locz00_15793);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2078;

												BgL_rz00_2078 = BGL_PROCEDURE_CALL0(BgL_fz00_2054);
												VECTOR_SET(((obj_t) BgL_sz00_2051), 0L, BgL_bpz00_2053);
												return BgL_rz00_2078;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15793,
												BgL_symbzd2funzd2_15794, (int) (0L),
												PROCEDURE_ARITY(BgL_fz00_2054));
		}}}}}}}

	}



/* &<@anonymous:1986> */
	obj_t BGl_z62zc3z04anonymousza31986ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13696, obj_t BgL_sz00_13701)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza31986ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13696,
						(int) (3L))),
				PROCEDURE_REF(BgL_envz00_13696,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13696,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13696, (int) (0L)), BgL_sz00_13701);
		}

	}



/* <@anonymous:1986>~0 */
	obj_t BGl_zc3z04anonymousza31986ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15791, obj_t BgL_symbzd2funzd2_15790, obj_t BgL_locz00_15789,
		obj_t BgL_funz00_15788, obj_t BgL_sz00_2080)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2082;

				BgL_bpz00_2082 = VECTOR_REF(((obj_t) BgL_sz00_2080), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2083;

					BgL_fz00_2083 = BGL_PROCEDURE_CALL1(BgL_funz00_15788, BgL_sz00_2080);
					if (PROCEDUREP(BgL_fz00_2083))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15789,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2083);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2085;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_18887;

							BgL_tmpz00_18887 = ((obj_t) BgL_fz00_2083);
							BgL_ufz00_2085 = PROCEDURE_ATTR(BgL_tmpz00_18887);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5018z00_18890;

							if (STRUCTP(BgL_ufz00_2085))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5018z00_18890 =
										(STRUCT_KEY(BgL_ufz00_2085) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5018z00_18890 = ((bool_t) 0);
								}
							if (BgL_test5018z00_18890)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2087;
									obj_t BgL_runz00_2088;
									obj_t BgL_sfz00_2089;

									BgL_arityz00_2087 = STRUCT_REF(BgL_ufz00_2085, (int) (0L));
									BgL_runz00_2088 = STRUCT_REF(BgL_ufz00_2085, (int) (1L));
									BgL_sfz00_2089 = STRUCT_REF(BgL_ufz00_2085, (int) (2L));
									if (((long) CINT(BgL_arityz00_2087) == 0L))
										{	/* Eval/evaluate_comp.scm 896 */
											BUNSPEC;
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											if (INTEGERP(BgL_arityz00_2087))
												{	/* Eval/evaluate_comp.scm 896 */
													switch ((long) CINT(BgL_arityz00_2087))
														{
														case (-1L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg1990z00_2094;
																obj_t BgL_arg1991z00_2095;

																BgL_arg1990z00_2094 =
																	((long) CINT(BgL_bpz00_2082) + 0L);
																BgL_arg1991z00_2095 = BNIL;
																VECTOR_SET(
																	((obj_t) BgL_sz00_2080), BgL_arg1990z00_2094,
																	BgL_arg1991z00_2095);
															} break;
														default:
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15789, STRUCT_REF(BgL_ufz00_2085,
																	(int) (3L)), (int) (0L),
																CINT(BgL_arityz00_2087));
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15789,
														STRUCT_REF(BgL_ufz00_2085,
															(int) (3L)), (int) (0L), CINT(BgL_arityz00_2087));
										}}
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_z12denvz12_2098;

										BgL_z12denvz12_2098 = BGL_CURRENT_DYNAMIC_ENV();
										if (
											(((long) CINT(BgL_bpz00_2082) +
													(long) CINT(BgL_sfz00_2089)) <
												VECTOR_LENGTH(((obj_t) BgL_sz00_2080))))
											{	/* Eval/evaluate_comp.scm 896 */
												return BgL_runz00_2088;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_nsz00_2100;

												BgL_nsz00_2100 =
													BGl_makezd2statezd2zz__evaluate_compz00();
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg1998z00_2102;

													BgL_arg1998z00_2102 =
														((long) CINT(BgL_bpz00_2082) + 0L);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_nsz00_2100, 2L, BgL_sz00_2080, BgL_bpz00_2082,
														BINT(BgL_arg1998z00_2102));
												}
												VECTOR_SET(BgL_nsz00_2100, 1L, BgL_sz00_2080);
												BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2098,
													BgL_nsz00_2100);
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_ez00_2103;

													BgL_ez00_2103 = BGL_EXITD_TOP_AS_OBJ();
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_arg4344z00_7461;

														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4345z00_7462;

															BgL_arg4345z00_7462 =
																BGL_EXITD_PROTECT(BgL_ez00_2103);
															BgL_arg4344z00_7461 =
																MAKE_YOUNG_PAIR(BgL_sz00_2080,
																BgL_arg4345z00_7462);
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_2103,
															BgL_arg4344z00_7461);
														BUNSPEC;
													}
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_____rz00_2104;

														{	/* Eval/evaluate_comp.scm 670 */
															obj_t BgL_savedzd2bpzd2_7463;

															BgL_savedzd2bpzd2_7463 =
																VECTOR_REF(BgL_nsz00_2100, 0L);
															VECTOR_SET(BgL_nsz00_2100, 0L, BINT(2L));
															{
																obj_t BgL_fz00_7467;

																BgL_fz00_7467 = BgL_runz00_2088;
															BgL_recz00_7466:
																{	/* Eval/evaluate_comp.scm 673 */
																	obj_t BgL_rz00_7468;

																	BgL_rz00_7468 =
																		BGL_PROCEDURE_CALL1(BgL_fz00_7467,
																		BgL_nsz00_2100);
																	{	/* Eval/evaluate_comp.scm 674 */
																		bool_t BgL_test5023z00_18948;

																		if (PROCEDUREP(BgL_rz00_7468))
																			{	/* Eval/evaluate_comp.scm 674 */
																				obj_t BgL_arg1763z00_7471;

																				BgL_arg1763z00_7471 =
																					PROCEDURE_ATTR(BgL_rz00_7468);
																				if (STRUCTP(BgL_arg1763z00_7471))
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5023z00_18948 =
																							(STRUCT_KEY(BgL_arg1763z00_7471)
																							==
																							BGl_symbol4596z00zz__evaluate_compz00);
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5023z00_18948 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				BgL_test5023z00_18948 = ((bool_t) 0);
																			}
																		if (BgL_test5023z00_18948)
																			{
																				obj_t BgL_fz00_18956;

																				BgL_fz00_18956 = BgL_rz00_7468;
																				BgL_fz00_7467 = BgL_fz00_18956;
																				goto BgL_recz00_7466;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				VECTOR_SET(BgL_nsz00_2100, 0L,
																					BgL_savedzd2bpzd2_7463);
																				BgL_____rz00_2104 = BgL_rz00_7468;
																			}
																	}
																}
															}
														}
														{	/* Eval/evaluate_comp.scm 896 */
															bool_t BgL_test5026z00_18958;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4343z00_7479;

																BgL_arg4343z00_7479 =
																	BGL_EXITD_PROTECT(BgL_ez00_2103);
																BgL_test5026z00_18958 =
																	PAIRP(BgL_arg4343z00_7479);
															}
															if (BgL_test5026z00_18958)
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4341z00_7480;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4342z00_7481;

																		BgL_arg4342z00_7481 =
																			BGL_EXITD_PROTECT(BgL_ez00_2103);
																		BgL_arg4341z00_7480 =
																			CDR(((obj_t) BgL_arg4342z00_7481));
																	}
																	BGL_EXITD_PROTECT_SET(BgL_ez00_2103,
																		BgL_arg4341z00_7480);
																	BUNSPEC;
																}
															else
																{	/* Eval/evaluate_comp.scm 896 */
																	BFALSE;
																}
														}
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2098,
															BgL_sz00_2080);
														return BgL_____rz00_2104;
													}
												}
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2083, (int) (0L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2105;

											BgL_nbpz00_2105 =
												((long) CINT(BgL_bpz00_2082) + BgL_siza7eza7_15791);
											VECTOR_SET(
												((obj_t) BgL_sz00_2080), 0L, BINT(BgL_nbpz00_2105));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2106;

												BgL_rz00_2106 = BGL_PROCEDURE_CALL0(BgL_fz00_2083);
												VECTOR_SET(((obj_t) BgL_sz00_2080), 0L, BgL_bpz00_2082);
												return BgL_rz00_2106;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15789,
												BgL_symbzd2funzd2_15790, (int) (0L),
												PROCEDURE_ARITY(BgL_fz00_2083));
		}}}}}}}

	}



/* &<@anonymous:2001> */
	obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13702, obj_t BgL_sz00_13707)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32001ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13702,
						(int) (3L))),
				PROCEDURE_REF(BgL_envz00_13702,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13702,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13702, (int) (0L)), BgL_sz00_13707);
		}

	}



/* <@anonymous:2001>~0 */
	obj_t BGl_zc3z04anonymousza32001ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15787, obj_t BgL_symbzd2funzd2_15786, obj_t BgL_locz00_15785,
		obj_t BgL_funz00_15784, obj_t BgL_sz00_2111)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2113;

				BgL_bpz00_2113 = VECTOR_REF(((obj_t) BgL_sz00_2111), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2114;

					BgL_fz00_2114 = BGL_PROCEDURE_CALL1(BgL_funz00_15784, BgL_sz00_2111);
					if (PROCEDUREP(BgL_fz00_2114))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15785,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2114);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2116;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_19001;

							BgL_tmpz00_19001 = ((obj_t) BgL_fz00_2114);
							BgL_ufz00_2116 = PROCEDURE_ATTR(BgL_tmpz00_19001);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5029z00_19004;

							if (STRUCTP(BgL_ufz00_2116))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5029z00_19004 =
										(STRUCT_KEY(BgL_ufz00_2116) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5029z00_19004 = ((bool_t) 0);
								}
							if (BgL_test5029z00_19004)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2118;
									obj_t BgL_runz00_2119;
									obj_t BgL_sfz00_2120;

									BgL_arityz00_2118 = STRUCT_REF(BgL_ufz00_2116, (int) (0L));
									BgL_runz00_2119 = STRUCT_REF(BgL_ufz00_2116, (int) (1L));
									BgL_sfz00_2120 = STRUCT_REF(BgL_ufz00_2116, (int) (2L));
									{	/* Eval/evaluate_comp.scm 896 */
										long BgL_spz00_2121;

										BgL_spz00_2121 =
											((long) CINT(BgL_bpz00_2113) + BgL_siza7eza7_15787);
										if (((long) CINT(BgL_arityz00_2118) == 0L))
											{	/* Eval/evaluate_comp.scm 896 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_2118))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_2118))
															{
															case (-1L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2005z00_2125;
																	obj_t BgL_arg2006z00_2126;

																	BgL_arg2005z00_2125 = (BgL_spz00_2121 + 0L);
																	BgL_arg2006z00_2126 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2111),
																		BgL_arg2005z00_2125, BgL_arg2006z00_2126);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15785, STRUCT_REF(BgL_ufz00_2116,
																		(int) (3L)), (int) (0L),
																	CINT(BgL_arityz00_2118));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_15785, STRUCT_REF(BgL_ufz00_2116,
																(int) (3L)), (int) (0L),
															CINT(BgL_arityz00_2118));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_2129;

											BgL_z12denvz12_2129 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2129,
												BgL_locz00_15785);
											if (((BgL_spz00_2121 + (long) CINT(BgL_sfz00_2120)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_2111))))
												{	/* Eval/evaluate_comp.scm 896 */
													return
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_2119, BgL_sz00_2111,
														BINT(BgL_spz00_2121));
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_2131;

													BgL_nsz00_2131 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2010z00_2133;

														BgL_arg2010z00_2133 = (BgL_spz00_2121 + 0L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_2131, 2L, BgL_sz00_2111,
															BINT(BgL_spz00_2121), BINT(BgL_arg2010z00_2133));
													}
													VECTOR_SET(BgL_nsz00_2131, 1L, BgL_sz00_2111);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2129,
														BgL_nsz00_2131);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_2134;

														BgL_ez00_2134 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4344z00_7519;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4345z00_7520;

																BgL_arg4345z00_7520 =
																	BGL_EXITD_PROTECT(BgL_ez00_2134);
																BgL_arg4344z00_7519 =
																	MAKE_YOUNG_PAIR(BgL_sz00_2111,
																	BgL_arg4345z00_7520);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_2134,
																BgL_arg4344z00_7519);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_2135;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_7521;

																BgL_savedzd2bpzd2_7521 =
																	VECTOR_REF(BgL_nsz00_2131, 0L);
																VECTOR_SET(BgL_nsz00_2131, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_7525;

																	BgL_fz00_7525 = BgL_runz00_2119;
																BgL_recz00_7524:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_7526;

																		BgL_rz00_7526 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_7525,
																			BgL_nsz00_2131);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5034z00_19065;

																			if (PROCEDUREP(BgL_rz00_7526))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_7529;

																					BgL_arg1763z00_7529 =
																						PROCEDURE_ATTR(BgL_rz00_7526);
																					if (STRUCTP(BgL_arg1763z00_7529))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5034z00_19065 =
																								(STRUCT_KEY(BgL_arg1763z00_7529)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5034z00_19065 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5034z00_19065 = ((bool_t) 0);
																				}
																			if (BgL_test5034z00_19065)
																				{
																					obj_t BgL_fz00_19073;

																					BgL_fz00_19073 = BgL_rz00_7526;
																					BgL_fz00_7525 = BgL_fz00_19073;
																					goto BgL_recz00_7524;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_2131, 0L,
																						BgL_savedzd2bpzd2_7521);
																					BgL_____rz00_2135 = BgL_rz00_7526;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5037z00_19075;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4343z00_7537;

																	BgL_arg4343z00_7537 =
																		BGL_EXITD_PROTECT(BgL_ez00_2134);
																	BgL_test5037z00_19075 =
																		PAIRP(BgL_arg4343z00_7537);
																}
																if (BgL_test5037z00_19075)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4341z00_7538;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4342z00_7539;

																			BgL_arg4342z00_7539 =
																				BGL_EXITD_PROTECT(BgL_ez00_2134);
																			BgL_arg4341z00_7538 =
																				CDR(((obj_t) BgL_arg4342z00_7539));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_2134,
																			BgL_arg4341z00_7538);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2129,
																BgL_sz00_2111);
															return BgL_____rz00_2135;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2114, (int) (0L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2136;

											BgL_nbpz00_2136 =
												((long) CINT(BgL_bpz00_2113) + BgL_siza7eza7_15787);
											VECTOR_SET(
												((obj_t) BgL_sz00_2111), 0L, BINT(BgL_nbpz00_2136));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_tmpz00_19091;

												BgL_tmpz00_19091 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19091,
													BgL_locz00_15785);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2138;

												BgL_rz00_2138 = BGL_PROCEDURE_CALL0(BgL_fz00_2114);
												VECTOR_SET(((obj_t) BgL_sz00_2111), 0L, BgL_bpz00_2113);
												return BgL_rz00_2138;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15785,
												BgL_symbzd2funzd2_15786, (int) (0L),
												PROCEDURE_ARITY(BgL_fz00_2114));
		}}}}}}}

	}



/* &<@anonymous:2013> */
	obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13708, obj_t BgL_sz00_13713)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32013ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13708,
						(int) (3L))),
				PROCEDURE_REF(BgL_envz00_13708,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13708,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13708, (int) (0L)), BgL_sz00_13713);
		}

	}



/* <@anonymous:2013>~0 */
	obj_t BGl_zc3z04anonymousza32013ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15783, obj_t BgL_symbzd2funzd2_15782, obj_t BgL_locz00_15781,
		obj_t BgL_funz00_15780, obj_t BgL_sz00_2140)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2142;

				BgL_bpz00_2142 = VECTOR_REF(((obj_t) BgL_sz00_2140), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2143;

					BgL_fz00_2143 = BGL_PROCEDURE_CALL1(BgL_funz00_15780, BgL_sz00_2140);
					if (PROCEDUREP(BgL_fz00_2143))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15781,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2143);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2145;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_19121;

							BgL_tmpz00_19121 = ((obj_t) BgL_fz00_2143);
							BgL_ufz00_2145 = PROCEDURE_ATTR(BgL_tmpz00_19121);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5040z00_19124;

							if (STRUCTP(BgL_ufz00_2145))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5040z00_19124 =
										(STRUCT_KEY(BgL_ufz00_2145) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5040z00_19124 = ((bool_t) 0);
								}
							if (BgL_test5040z00_19124)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2147;
									obj_t BgL_runz00_2148;
									obj_t BgL_sfz00_2149;

									BgL_arityz00_2147 = STRUCT_REF(BgL_ufz00_2145, (int) (0L));
									BgL_runz00_2148 = STRUCT_REF(BgL_ufz00_2145, (int) (1L));
									BgL_sfz00_2149 = STRUCT_REF(BgL_ufz00_2145, (int) (2L));
									{	/* Eval/evaluate_comp.scm 896 */
										long BgL_spz00_2150;

										BgL_spz00_2150 =
											((long) CINT(BgL_bpz00_2142) + BgL_siza7eza7_15783);
										if (((long) CINT(BgL_arityz00_2147) == 0L))
											{	/* Eval/evaluate_comp.scm 896 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_2147))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_2147))
															{
															case (-1L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2017z00_2154;
																	obj_t BgL_arg2018z00_2155;

																	BgL_arg2017z00_2154 = (BgL_spz00_2150 + 0L);
																	BgL_arg2018z00_2155 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2140),
																		BgL_arg2017z00_2154, BgL_arg2018z00_2155);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15781, STRUCT_REF(BgL_ufz00_2145,
																		(int) (3L)), (int) (0L),
																	CINT(BgL_arityz00_2147));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_15781, STRUCT_REF(BgL_ufz00_2145,
																(int) (3L)), (int) (0L),
															CINT(BgL_arityz00_2147));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_2158;

											BgL_z12denvz12_2158 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												((BgL_spz00_2150 +
														(long) CINT(BgL_sfz00_2149)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_2140))))
												{	/* Eval/evaluate_comp.scm 896 */
													return
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_2148, BgL_sz00_2140,
														BINT(BgL_spz00_2150));
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_2160;

													BgL_nsz00_2160 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2023z00_2162;

														BgL_arg2023z00_2162 = (BgL_spz00_2150 + 0L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_2160, 2L, BgL_sz00_2140,
															BINT(BgL_spz00_2150), BINT(BgL_arg2023z00_2162));
													}
													VECTOR_SET(BgL_nsz00_2160, 1L, BgL_sz00_2140);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2158,
														BgL_nsz00_2160);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_2163;

														BgL_ez00_2163 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4344z00_7576;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4345z00_7577;

																BgL_arg4345z00_7577 =
																	BGL_EXITD_PROTECT(BgL_ez00_2163);
																BgL_arg4344z00_7576 =
																	MAKE_YOUNG_PAIR(BgL_sz00_2140,
																	BgL_arg4345z00_7577);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_2163,
																BgL_arg4344z00_7576);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_2164;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_7578;

																BgL_savedzd2bpzd2_7578 =
																	VECTOR_REF(BgL_nsz00_2160, 0L);
																VECTOR_SET(BgL_nsz00_2160, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_7582;

																	BgL_fz00_7582 = BgL_runz00_2148;
																BgL_recz00_7581:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_7583;

																		BgL_rz00_7583 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_7582,
																			BgL_nsz00_2160);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5045z00_19184;

																			if (PROCEDUREP(BgL_rz00_7583))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_7586;

																					BgL_arg1763z00_7586 =
																						PROCEDURE_ATTR(BgL_rz00_7583);
																					if (STRUCTP(BgL_arg1763z00_7586))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5045z00_19184 =
																								(STRUCT_KEY(BgL_arg1763z00_7586)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5045z00_19184 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5045z00_19184 = ((bool_t) 0);
																				}
																			if (BgL_test5045z00_19184)
																				{
																					obj_t BgL_fz00_19192;

																					BgL_fz00_19192 = BgL_rz00_7583;
																					BgL_fz00_7582 = BgL_fz00_19192;
																					goto BgL_recz00_7581;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_2160, 0L,
																						BgL_savedzd2bpzd2_7578);
																					BgL_____rz00_2164 = BgL_rz00_7583;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5048z00_19194;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4343z00_7594;

																	BgL_arg4343z00_7594 =
																		BGL_EXITD_PROTECT(BgL_ez00_2163);
																	BgL_test5048z00_19194 =
																		PAIRP(BgL_arg4343z00_7594);
																}
																if (BgL_test5048z00_19194)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4341z00_7595;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4342z00_7596;

																			BgL_arg4342z00_7596 =
																				BGL_EXITD_PROTECT(BgL_ez00_2163);
																			BgL_arg4341z00_7595 =
																				CDR(((obj_t) BgL_arg4342z00_7596));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_2163,
																			BgL_arg4341z00_7595);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2158,
																BgL_sz00_2140);
															return BgL_____rz00_2164;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2143, (int) (0L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2165;

											BgL_nbpz00_2165 =
												((long) CINT(BgL_bpz00_2142) + BgL_siza7eza7_15783);
											VECTOR_SET(
												((obj_t) BgL_sz00_2140), 0L, BINT(BgL_nbpz00_2165));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2166;

												BgL_rz00_2166 = BGL_PROCEDURE_CALL0(BgL_fz00_2143);
												VECTOR_SET(((obj_t) BgL_sz00_2140), 0L, BgL_bpz00_2142);
												return BgL_rz00_2166;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15781,
												BgL_symbzd2funzd2_15782, (int) (0L),
												PROCEDURE_ARITY(BgL_fz00_2143));
		}}}}}}}

	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145,
		BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147,
		obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150,
		long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2169;

				BgL_cfunz00_2169 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146, 1L,
					BgL_locz00_145, BgL_symbzd2funzd2_147);
				if (CBOOL(BgL_cfunz00_2169))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5051z00_19221;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1367z00_2185;

							BgL_a1367z00_2185 = bgl_debug();
							BgL_test5051z00_19221 = ((long) (BgL_a1367z00_2185) > 0L);
						}
						if (BgL_test5051z00_19221)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32026ze3z87_13714;

								BgL_zc3z04anonymousza32026ze3z87_13714 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32026ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (4L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32026ze3z87_13714,
									(int) (0L), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3z04anonymousza32026ze3z87_13714,
									(int) (1L), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3z04anonymousza32026ze3z87_13714,
									(int) (2L), BgL_locz00_145);
								PROCEDURE_SET(BgL_zc3z04anonymousza32026ze3z87_13714,
									(int) (3L), BgL_cfunz00_2169);
								return BgL_zc3z04anonymousza32026ze3z87_13714;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32028ze3z87_13715;

								BgL_zc3z04anonymousza32028ze3z87_13715 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32028ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (3L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32028ze3z87_13715,
									(int) (0L), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3z04anonymousza32028ze3z87_13715,
									(int) (1L), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3z04anonymousza32028ze3z87_13715,
									(int) (2L), BgL_cfunz00_2169);
								return BgL_zc3z04anonymousza32028ze3z87_13715;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_149))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5053z00_19249;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1368z00_2257;

									BgL_a1368z00_2257 = bgl_debug();
									BgL_test5053z00_19249 = ((long) (BgL_a1368z00_2257) > 0L);
								}
								if (BgL_test5053z00_19249)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32030ze3z87_13716;

										BgL_zc3z04anonymousza32030ze3z87_13716 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (5L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_13716,
											(int) (0L), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_13716,
											(int) (1L), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_13716,
											(int) (2L), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_13716,
											(int) (3L), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_13716,
											(int) (4L), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32030ze3z87_13716;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32047ze3z87_13717;

										BgL_zc3z04anonymousza32047ze3z87_13717 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32047ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (5L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32047ze3z87_13717,
											(int) (0L), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32047ze3z87_13717,
											(int) (1L), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32047ze3z87_13717,
											(int) (2L), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32047ze3z87_13717,
											(int) (3L), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32047ze3z87_13717,
											(int) (4L), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32047ze3z87_13717;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5054z00_19281;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1369z00_2329;

									BgL_a1369z00_2329 = bgl_debug();
									BgL_test5054z00_19281 = ((long) (BgL_a1369z00_2329) > 0L);
								}
								if (BgL_test5054z00_19281)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32066ze3z87_13718;

										BgL_zc3z04anonymousza32066ze3z87_13718 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (5L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32066ze3z87_13718,
											(int) (0L), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32066ze3z87_13718,
											(int) (1L), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32066ze3z87_13718,
											(int) (2L), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32066ze3z87_13718,
											(int) (3L), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32066ze3z87_13718,
											(int) (4L), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32066ze3z87_13718;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32083ze3z87_13719;

										BgL_zc3z04anonymousza32083ze3z87_13719 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32083ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (5L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32083ze3z87_13719,
											(int) (0L), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32083ze3z87_13719,
											(int) (1L), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32083ze3z87_13719,
											(int) (2L), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32083ze3z87_13719,
											(int) (3L), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32083ze3z87_13719,
											(int) (4L), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32083ze3z87_13719;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2026> */
	obj_t BGl_z62zc3z04anonymousza32026ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13720, obj_t BgL_sz00_13725)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13721;
				long BgL_siza7eza7_13722;
				obj_t BgL_locz00_13723;
				obj_t BgL_cfunz00_13724;

				BgL_a1z00_13721 = PROCEDURE_REF(BgL_envz00_13720, (int) (0L));
				BgL_siza7eza7_13722 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13720, (int) (1L)));
				BgL_locz00_13723 = PROCEDURE_REF(BgL_envz00_13720, (int) (2L));
				BgL_cfunz00_13724 = PROCEDURE_REF(BgL_envz00_13720, (int) (3L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15905;

					BgL_bpz00_15905 = VECTOR_REF(((obj_t) BgL_sz00_13725), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15906;

						BgL_a1z00_15906 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_13721, BgL_sz00_13725);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15907;

							BgL_nbpz00_15907 =
								((long) CINT(BgL_bpz00_15905) + BgL_siza7eza7_13722);
							VECTOR_SET(((obj_t) BgL_sz00_13725), 0L, BINT(BgL_nbpz00_15907));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_19333;

								BgL_tmpz00_19333 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19333, BgL_locz00_13723);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15908;

								BgL_rz00_15908 =
									BGL_PROCEDURE_CALL1(BgL_cfunz00_13724, BgL_a1z00_15906);
								VECTOR_SET(((obj_t) BgL_sz00_13725), 0L, BgL_bpz00_15905);
								return BgL_rz00_15908;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2028> */
	obj_t BGl_z62zc3z04anonymousza32028ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13726, obj_t BgL_sz00_13730)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13727;
				long BgL_siza7eza7_13728;
				obj_t BgL_cfunz00_13729;

				BgL_a1z00_13727 = PROCEDURE_REF(BgL_envz00_13726, (int) (0L));
				BgL_siza7eza7_13728 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13726, (int) (1L)));
				BgL_cfunz00_13729 = PROCEDURE_REF(BgL_envz00_13726, (int) (2L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15909;

					BgL_bpz00_15909 = VECTOR_REF(((obj_t) BgL_sz00_13730), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15910;

						BgL_a1z00_15910 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_13727, BgL_sz00_13730);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15911;

							BgL_nbpz00_15911 =
								((long) CINT(BgL_bpz00_15909) + BgL_siza7eza7_13728);
							VECTOR_SET(((obj_t) BgL_sz00_13730), 0L, BINT(BgL_nbpz00_15911));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15912;

								BgL_rz00_15912 =
									BGL_PROCEDURE_CALL1(BgL_cfunz00_13729, BgL_a1z00_15910);
								VECTOR_SET(((obj_t) BgL_sz00_13730), 0L, BgL_bpz00_15909);
								return BgL_rz00_15912;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2030> */
	obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13731, obj_t BgL_sz00_13737)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32030ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13731,
						(int) (4L))),
				PROCEDURE_REF(BgL_envz00_13731,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13731,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13731,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13731, (int) (0L)), BgL_sz00_13737);
		}

	}



/* <@anonymous:2030>~0 */
	obj_t BGl_zc3z04anonymousza32030ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15779, obj_t BgL_symbzd2funzd2_15778, obj_t BgL_locz00_15777,
		obj_t BgL_a1z00_15776, obj_t BgL_funz00_15775, obj_t BgL_sz00_2188)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2190;

				BgL_bpz00_2190 = VECTOR_REF(((obj_t) BgL_sz00_2188), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2191;
					obj_t BgL_a1z00_2192;

					BgL_fz00_2191 = BGL_PROCEDURE_CALL1(BgL_funz00_15775, BgL_sz00_2188);
					BgL_a1z00_2192 = BGL_PROCEDURE_CALL1(BgL_a1z00_15776, BgL_sz00_2188);
					if (PROCEDUREP(BgL_fz00_2191))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15777,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2191);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2194;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_19391;

							BgL_tmpz00_19391 = ((obj_t) BgL_fz00_2191);
							BgL_ufz00_2194 = PROCEDURE_ATTR(BgL_tmpz00_19391);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5056z00_19394;

							if (STRUCTP(BgL_ufz00_2194))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5056z00_19394 =
										(STRUCT_KEY(BgL_ufz00_2194) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5056z00_19394 = ((bool_t) 0);
								}
							if (BgL_test5056z00_19394)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2196;
									obj_t BgL_runz00_2197;
									obj_t BgL_sfz00_2198;

									BgL_arityz00_2196 = STRUCT_REF(BgL_ufz00_2194, (int) (0L));
									BgL_runz00_2197 = STRUCT_REF(BgL_ufz00_2194, (int) (1L));
									BgL_sfz00_2198 = STRUCT_REF(BgL_ufz00_2194, (int) (2L));
									if (((long) CINT(BgL_arityz00_2196) == 1L))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_arg2034z00_2201;

											BgL_arg2034z00_2201 = ((long) CINT(BgL_bpz00_2190) + 0L);
											VECTOR_SET(
												((obj_t) BgL_sz00_2188), BgL_arg2034z00_2201,
												BgL_a1z00_2192);
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											if (INTEGERP(BgL_arityz00_2196))
												{	/* Eval/evaluate_comp.scm 896 */
													switch ((long) CINT(BgL_arityz00_2196))
														{
														case (-1L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2035z00_2204;
																obj_t BgL_arg2036z00_2205;

																BgL_arg2035z00_2204 =
																	((long) CINT(BgL_bpz00_2190) + 0L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2037z00_2206;

																	BgL_list2037z00_2206 =
																		MAKE_YOUNG_PAIR(BgL_a1z00_2192, BNIL);
																	BgL_arg2036z00_2205 = BgL_list2037z00_2206;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2188), BgL_arg2035z00_2204,
																	BgL_arg2036z00_2205);
															} break;
														case (-2L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2038z00_2207;

																BgL_arg2038z00_2207 =
																	((long) CINT(BgL_bpz00_2190) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2188), BgL_arg2038z00_2207,
																	BgL_a1z00_2192);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2039z00_2208;
																obj_t BgL_arg2040z00_2209;

																BgL_arg2039z00_2208 =
																	((long) CINT(BgL_bpz00_2190) + 1L);
																BgL_arg2040z00_2209 = BNIL;
																VECTOR_SET(
																	((obj_t) BgL_sz00_2188), BgL_arg2039z00_2208,
																	BgL_arg2040z00_2209);
															} break;
														default:
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15777, STRUCT_REF(BgL_ufz00_2194,
																	(int) (3L)), (int) (1L),
																CINT(BgL_arityz00_2196));
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15777,
														STRUCT_REF(BgL_ufz00_2194,
															(int) (3L)), (int) (1L), CINT(BgL_arityz00_2196));
										}}
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_z12denvz12_2212;

										BgL_z12denvz12_2212 = BGL_CURRENT_DYNAMIC_ENV();
										BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2212,
											BgL_locz00_15777);
										if ((((long) CINT(BgL_bpz00_2190) +
													(long) CINT(BgL_sfz00_2198)) <
												VECTOR_LENGTH(((obj_t) BgL_sz00_2188))))
											{	/* Eval/evaluate_comp.scm 896 */
												return BgL_runz00_2197;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_nsz00_2214;

												BgL_nsz00_2214 =
													BGl_makezd2statezd2zz__evaluate_compz00();
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2044z00_2216;

													BgL_arg2044z00_2216 =
														((long) CINT(BgL_bpz00_2190) + 1L);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_nsz00_2214, 2L, BgL_sz00_2188, BgL_bpz00_2190,
														BINT(BgL_arg2044z00_2216));
												}
												VECTOR_SET(BgL_nsz00_2214, 1L, BgL_sz00_2188);
												BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2212,
													BgL_nsz00_2214);
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_ez00_2217;

													BgL_ez00_2217 = BGL_EXITD_TOP_AS_OBJ();
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_arg4344z00_7655;

														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4345z00_7656;

															BgL_arg4345z00_7656 =
																BGL_EXITD_PROTECT(BgL_ez00_2217);
															BgL_arg4344z00_7655 =
																MAKE_YOUNG_PAIR(BgL_sz00_2188,
																BgL_arg4345z00_7656);
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_2217,
															BgL_arg4344z00_7655);
														BUNSPEC;
													}
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_____rz00_2218;

														{	/* Eval/evaluate_comp.scm 670 */
															obj_t BgL_savedzd2bpzd2_7657;

															BgL_savedzd2bpzd2_7657 =
																VECTOR_REF(BgL_nsz00_2214, 0L);
															VECTOR_SET(BgL_nsz00_2214, 0L, BINT(2L));
															{
																obj_t BgL_fz00_7661;

																BgL_fz00_7661 = BgL_runz00_2197;
															BgL_recz00_7660:
																{	/* Eval/evaluate_comp.scm 673 */
																	obj_t BgL_rz00_7662;

																	BgL_rz00_7662 =
																		BGL_PROCEDURE_CALL1(BgL_fz00_7661,
																		BgL_nsz00_2214);
																	{	/* Eval/evaluate_comp.scm 674 */
																		bool_t BgL_test5061z00_19466;

																		if (PROCEDUREP(BgL_rz00_7662))
																			{	/* Eval/evaluate_comp.scm 674 */
																				obj_t BgL_arg1763z00_7665;

																				BgL_arg1763z00_7665 =
																					PROCEDURE_ATTR(BgL_rz00_7662);
																				if (STRUCTP(BgL_arg1763z00_7665))
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5061z00_19466 =
																							(STRUCT_KEY(BgL_arg1763z00_7665)
																							==
																							BGl_symbol4596z00zz__evaluate_compz00);
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5061z00_19466 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				BgL_test5061z00_19466 = ((bool_t) 0);
																			}
																		if (BgL_test5061z00_19466)
																			{
																				obj_t BgL_fz00_19474;

																				BgL_fz00_19474 = BgL_rz00_7662;
																				BgL_fz00_7661 = BgL_fz00_19474;
																				goto BgL_recz00_7660;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				VECTOR_SET(BgL_nsz00_2214, 0L,
																					BgL_savedzd2bpzd2_7657);
																				BgL_____rz00_2218 = BgL_rz00_7662;
																			}
																	}
																}
															}
														}
														{	/* Eval/evaluate_comp.scm 896 */
															bool_t BgL_test5064z00_19476;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4343z00_7673;

																BgL_arg4343z00_7673 =
																	BGL_EXITD_PROTECT(BgL_ez00_2217);
																BgL_test5064z00_19476 =
																	PAIRP(BgL_arg4343z00_7673);
															}
															if (BgL_test5064z00_19476)
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4341z00_7674;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4342z00_7675;

																		BgL_arg4342z00_7675 =
																			BGL_EXITD_PROTECT(BgL_ez00_2217);
																		BgL_arg4341z00_7674 =
																			CDR(((obj_t) BgL_arg4342z00_7675));
																	}
																	BGL_EXITD_PROTECT_SET(BgL_ez00_2217,
																		BgL_arg4341z00_7674);
																	BUNSPEC;
																}
															else
																{	/* Eval/evaluate_comp.scm 896 */
																	BFALSE;
																}
														}
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2212,
															BgL_sz00_2188);
														return BgL_____rz00_2218;
													}
												}
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2191, (int) (1L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2219;

											BgL_nbpz00_2219 =
												((long) CINT(BgL_bpz00_2190) + BgL_siza7eza7_15779);
											VECTOR_SET(
												((obj_t) BgL_sz00_2188), 0L, BINT(BgL_nbpz00_2219));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_tmpz00_19492;

												BgL_tmpz00_19492 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19492,
													BgL_locz00_15777);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2221;

												BgL_rz00_2221 =
													BGL_PROCEDURE_CALL1(BgL_fz00_2191, BgL_a1z00_2192);
												VECTOR_SET(((obj_t) BgL_sz00_2188), 0L, BgL_bpz00_2190);
												return BgL_rz00_2221;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15777,
												BgL_symbzd2funzd2_15778, (int) (1L),
												PROCEDURE_ARITY(BgL_fz00_2191));
		}}}}}}}

	}



/* &<@anonymous:2047> */
	obj_t BGl_z62zc3z04anonymousza32047ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13738, obj_t BgL_sz00_13744)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32047ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13738,
						(int) (4L))),
				PROCEDURE_REF(BgL_envz00_13738,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13738,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13738,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13738, (int) (0L)), BgL_sz00_13744);
		}

	}



/* <@anonymous:2047>~0 */
	obj_t BGl_zc3z04anonymousza32047ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15774, obj_t BgL_symbzd2funzd2_15773, obj_t BgL_locz00_15772,
		obj_t BgL_a1z00_15771, obj_t BgL_funz00_15770, obj_t BgL_sz00_2223)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2225;

				BgL_bpz00_2225 = VECTOR_REF(((obj_t) BgL_sz00_2223), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2226;
					obj_t BgL_a1z00_2227;

					BgL_fz00_2226 = BGL_PROCEDURE_CALL1(BgL_funz00_15770, BgL_sz00_2223);
					BgL_a1z00_2227 = BGL_PROCEDURE_CALL1(BgL_a1z00_15771, BgL_sz00_2223);
					if (PROCEDUREP(BgL_fz00_2226))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15772,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2226);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2229;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_19529;

							BgL_tmpz00_19529 = ((obj_t) BgL_fz00_2226);
							BgL_ufz00_2229 = PROCEDURE_ATTR(BgL_tmpz00_19529);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5067z00_19532;

							if (STRUCTP(BgL_ufz00_2229))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5067z00_19532 =
										(STRUCT_KEY(BgL_ufz00_2229) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5067z00_19532 = ((bool_t) 0);
								}
							if (BgL_test5067z00_19532)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2231;
									obj_t BgL_runz00_2232;
									obj_t BgL_sfz00_2233;

									BgL_arityz00_2231 = STRUCT_REF(BgL_ufz00_2229, (int) (0L));
									BgL_runz00_2232 = STRUCT_REF(BgL_ufz00_2229, (int) (1L));
									BgL_sfz00_2233 = STRUCT_REF(BgL_ufz00_2229, (int) (2L));
									if (((long) CINT(BgL_arityz00_2231) == 1L))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_arg2051z00_2236;

											BgL_arg2051z00_2236 = ((long) CINT(BgL_bpz00_2225) + 0L);
											VECTOR_SET(
												((obj_t) BgL_sz00_2223), BgL_arg2051z00_2236,
												BgL_a1z00_2227);
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											if (INTEGERP(BgL_arityz00_2231))
												{	/* Eval/evaluate_comp.scm 896 */
													switch ((long) CINT(BgL_arityz00_2231))
														{
														case (-1L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2052z00_2239;
																obj_t BgL_arg2053z00_2240;

																BgL_arg2052z00_2239 =
																	((long) CINT(BgL_bpz00_2225) + 0L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2054z00_2241;

																	BgL_list2054z00_2241 =
																		MAKE_YOUNG_PAIR(BgL_a1z00_2227, BNIL);
																	BgL_arg2053z00_2240 = BgL_list2054z00_2241;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2223), BgL_arg2052z00_2239,
																	BgL_arg2053z00_2240);
															} break;
														case (-2L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2055z00_2242;

																BgL_arg2055z00_2242 =
																	((long) CINT(BgL_bpz00_2225) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2223), BgL_arg2055z00_2242,
																	BgL_a1z00_2227);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2056z00_2243;
																obj_t BgL_arg2058z00_2244;

																BgL_arg2056z00_2243 =
																	((long) CINT(BgL_bpz00_2225) + 1L);
																BgL_arg2058z00_2244 = BNIL;
																VECTOR_SET(
																	((obj_t) BgL_sz00_2223), BgL_arg2056z00_2243,
																	BgL_arg2058z00_2244);
															} break;
														default:
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15772, STRUCT_REF(BgL_ufz00_2229,
																	(int) (3L)), (int) (1L),
																CINT(BgL_arityz00_2231));
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15772,
														STRUCT_REF(BgL_ufz00_2229,
															(int) (3L)), (int) (1L), CINT(BgL_arityz00_2231));
										}}
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_z12denvz12_2247;

										BgL_z12denvz12_2247 = BGL_CURRENT_DYNAMIC_ENV();
										if (
											(((long) CINT(BgL_bpz00_2225) +
													(long) CINT(BgL_sfz00_2233)) <
												VECTOR_LENGTH(((obj_t) BgL_sz00_2223))))
											{	/* Eval/evaluate_comp.scm 896 */
												return BgL_runz00_2232;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_nsz00_2249;

												BgL_nsz00_2249 =
													BGl_makezd2statezd2zz__evaluate_compz00();
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2063z00_2251;

													BgL_arg2063z00_2251 =
														((long) CINT(BgL_bpz00_2225) + 1L);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_nsz00_2249, 2L, BgL_sz00_2223, BgL_bpz00_2225,
														BINT(BgL_arg2063z00_2251));
												}
												VECTOR_SET(BgL_nsz00_2249, 1L, BgL_sz00_2223);
												BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2247,
													BgL_nsz00_2249);
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_ez00_2252;

													BgL_ez00_2252 = BGL_EXITD_TOP_AS_OBJ();
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_arg4344z00_7722;

														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4345z00_7723;

															BgL_arg4345z00_7723 =
																BGL_EXITD_PROTECT(BgL_ez00_2252);
															BgL_arg4344z00_7722 =
																MAKE_YOUNG_PAIR(BgL_sz00_2223,
																BgL_arg4345z00_7723);
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_2252,
															BgL_arg4344z00_7722);
														BUNSPEC;
													}
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_____rz00_2253;

														{	/* Eval/evaluate_comp.scm 670 */
															obj_t BgL_savedzd2bpzd2_7724;

															BgL_savedzd2bpzd2_7724 =
																VECTOR_REF(BgL_nsz00_2249, 0L);
															VECTOR_SET(BgL_nsz00_2249, 0L, BINT(2L));
															{
																obj_t BgL_fz00_7728;

																BgL_fz00_7728 = BgL_runz00_2232;
															BgL_recz00_7727:
																{	/* Eval/evaluate_comp.scm 673 */
																	obj_t BgL_rz00_7729;

																	BgL_rz00_7729 =
																		BGL_PROCEDURE_CALL1(BgL_fz00_7728,
																		BgL_nsz00_2249);
																	{	/* Eval/evaluate_comp.scm 674 */
																		bool_t BgL_test5072z00_19603;

																		if (PROCEDUREP(BgL_rz00_7729))
																			{	/* Eval/evaluate_comp.scm 674 */
																				obj_t BgL_arg1763z00_7732;

																				BgL_arg1763z00_7732 =
																					PROCEDURE_ATTR(BgL_rz00_7729);
																				if (STRUCTP(BgL_arg1763z00_7732))
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5072z00_19603 =
																							(STRUCT_KEY(BgL_arg1763z00_7732)
																							==
																							BGl_symbol4596z00zz__evaluate_compz00);
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5072z00_19603 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				BgL_test5072z00_19603 = ((bool_t) 0);
																			}
																		if (BgL_test5072z00_19603)
																			{
																				obj_t BgL_fz00_19611;

																				BgL_fz00_19611 = BgL_rz00_7729;
																				BgL_fz00_7728 = BgL_fz00_19611;
																				goto BgL_recz00_7727;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				VECTOR_SET(BgL_nsz00_2249, 0L,
																					BgL_savedzd2bpzd2_7724);
																				BgL_____rz00_2253 = BgL_rz00_7729;
																			}
																	}
																}
															}
														}
														{	/* Eval/evaluate_comp.scm 896 */
															bool_t BgL_test5075z00_19613;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4343z00_7740;

																BgL_arg4343z00_7740 =
																	BGL_EXITD_PROTECT(BgL_ez00_2252);
																BgL_test5075z00_19613 =
																	PAIRP(BgL_arg4343z00_7740);
															}
															if (BgL_test5075z00_19613)
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4341z00_7741;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4342z00_7742;

																		BgL_arg4342z00_7742 =
																			BGL_EXITD_PROTECT(BgL_ez00_2252);
																		BgL_arg4341z00_7741 =
																			CDR(((obj_t) BgL_arg4342z00_7742));
																	}
																	BGL_EXITD_PROTECT_SET(BgL_ez00_2252,
																		BgL_arg4341z00_7741);
																	BUNSPEC;
																}
															else
																{	/* Eval/evaluate_comp.scm 896 */
																	BFALSE;
																}
														}
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2247,
															BgL_sz00_2223);
														return BgL_____rz00_2253;
													}
												}
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2226, (int) (1L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2254;

											BgL_nbpz00_2254 =
												((long) CINT(BgL_bpz00_2225) + BgL_siza7eza7_15774);
											VECTOR_SET(
												((obj_t) BgL_sz00_2223), 0L, BINT(BgL_nbpz00_2254));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2255;

												BgL_rz00_2255 =
													BGL_PROCEDURE_CALL1(BgL_fz00_2226, BgL_a1z00_2227);
												VECTOR_SET(((obj_t) BgL_sz00_2223), 0L, BgL_bpz00_2225);
												return BgL_rz00_2255;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15772,
												BgL_symbzd2funzd2_15773, (int) (1L),
												PROCEDURE_ARITY(BgL_fz00_2226));
		}}}}}}}

	}



/* &<@anonymous:2066> */
	obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13745, obj_t BgL_sz00_13751)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32066ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13745,
						(int) (4L))),
				PROCEDURE_REF(BgL_envz00_13745,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13745,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13745,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13745, (int) (0L)), BgL_sz00_13751);
		}

	}



/* <@anonymous:2066>~0 */
	obj_t BGl_zc3z04anonymousza32066ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15769, obj_t BgL_symbzd2funzd2_15768, obj_t BgL_locz00_15767,
		obj_t BgL_a1z00_15766, obj_t BgL_funz00_15765, obj_t BgL_sz00_2260)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2262;

				BgL_bpz00_2262 = VECTOR_REF(((obj_t) BgL_sz00_2260), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2263;
					obj_t BgL_a1z00_2264;

					BgL_fz00_2263 = BGL_PROCEDURE_CALL1(BgL_funz00_15765, BgL_sz00_2260);
					BgL_a1z00_2264 = BGL_PROCEDURE_CALL1(BgL_a1z00_15766, BgL_sz00_2260);
					if (PROCEDUREP(BgL_fz00_2263))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15767,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2263);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2266;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_19663;

							BgL_tmpz00_19663 = ((obj_t) BgL_fz00_2263);
							BgL_ufz00_2266 = PROCEDURE_ATTR(BgL_tmpz00_19663);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5078z00_19666;

							if (STRUCTP(BgL_ufz00_2266))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5078z00_19666 =
										(STRUCT_KEY(BgL_ufz00_2266) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5078z00_19666 = ((bool_t) 0);
								}
							if (BgL_test5078z00_19666)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2268;
									obj_t BgL_runz00_2269;
									obj_t BgL_sfz00_2270;

									BgL_arityz00_2268 = STRUCT_REF(BgL_ufz00_2266, (int) (0L));
									BgL_runz00_2269 = STRUCT_REF(BgL_ufz00_2266, (int) (1L));
									BgL_sfz00_2270 = STRUCT_REF(BgL_ufz00_2266, (int) (2L));
									{	/* Eval/evaluate_comp.scm 896 */
										long BgL_spz00_2271;

										BgL_spz00_2271 =
											((long) CINT(BgL_bpz00_2262) + BgL_siza7eza7_15769);
										if (((long) CINT(BgL_arityz00_2268) == 1L))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2070z00_2273;

												BgL_arg2070z00_2273 = (BgL_spz00_2271 + 0L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2260), BgL_arg2070z00_2273,
													BgL_a1z00_2264);
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_2268))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_2268))
															{
															case (-1L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2071z00_2276;
																	obj_t BgL_arg2072z00_2277;

																	BgL_arg2071z00_2276 = (BgL_spz00_2271 + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2073z00_2278;

																		BgL_list2073z00_2278 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_2264, BNIL);
																		BgL_arg2072z00_2277 = BgL_list2073z00_2278;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2260),
																		BgL_arg2071z00_2276, BgL_arg2072z00_2277);
																} break;
															case (-2L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2074z00_2279;

																	BgL_arg2074z00_2279 = (BgL_spz00_2271 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2260),
																		BgL_arg2074z00_2279, BgL_a1z00_2264);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2075z00_2280;
																	obj_t BgL_arg2076z00_2281;

																	BgL_arg2075z00_2280 = (BgL_spz00_2271 + 1L);
																	BgL_arg2076z00_2281 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2260),
																		BgL_arg2075z00_2280, BgL_arg2076z00_2281);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15767, STRUCT_REF(BgL_ufz00_2266,
																		(int) (3L)), (int) (1L),
																	CINT(BgL_arityz00_2268));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_15767, STRUCT_REF(BgL_ufz00_2266,
																(int) (3L)), (int) (1L),
															CINT(BgL_arityz00_2268));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_2284;

											BgL_z12denvz12_2284 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2284,
												BgL_locz00_15767);
											if (((BgL_spz00_2271 + (long) CINT(BgL_sfz00_2270)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_2260))))
												{	/* Eval/evaluate_comp.scm 896 */
													return
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_2269, BgL_sz00_2260,
														BINT(BgL_spz00_2271));
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_2286;

													BgL_nsz00_2286 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2080z00_2288;

														BgL_arg2080z00_2288 = (BgL_spz00_2271 + 1L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_2286, 2L, BgL_sz00_2260,
															BINT(BgL_spz00_2271), BINT(BgL_arg2080z00_2288));
													}
													VECTOR_SET(BgL_nsz00_2286, 1L, BgL_sz00_2260);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2284,
														BgL_nsz00_2286);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_2289;

														BgL_ez00_2289 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4344z00_7790;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4345z00_7791;

																BgL_arg4345z00_7791 =
																	BGL_EXITD_PROTECT(BgL_ez00_2289);
																BgL_arg4344z00_7790 =
																	MAKE_YOUNG_PAIR(BgL_sz00_2260,
																	BgL_arg4345z00_7791);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_2289,
																BgL_arg4344z00_7790);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_2290;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_7792;

																BgL_savedzd2bpzd2_7792 =
																	VECTOR_REF(BgL_nsz00_2286, 0L);
																VECTOR_SET(BgL_nsz00_2286, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_7796;

																	BgL_fz00_7796 = BgL_runz00_2269;
																BgL_recz00_7795:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_7797;

																		BgL_rz00_7797 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_7796,
																			BgL_nsz00_2286);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5083z00_19737;

																			if (PROCEDUREP(BgL_rz00_7797))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_7800;

																					BgL_arg1763z00_7800 =
																						PROCEDURE_ATTR(BgL_rz00_7797);
																					if (STRUCTP(BgL_arg1763z00_7800))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5083z00_19737 =
																								(STRUCT_KEY(BgL_arg1763z00_7800)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5083z00_19737 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5083z00_19737 = ((bool_t) 0);
																				}
																			if (BgL_test5083z00_19737)
																				{
																					obj_t BgL_fz00_19745;

																					BgL_fz00_19745 = BgL_rz00_7797;
																					BgL_fz00_7796 = BgL_fz00_19745;
																					goto BgL_recz00_7795;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_2286, 0L,
																						BgL_savedzd2bpzd2_7792);
																					BgL_____rz00_2290 = BgL_rz00_7797;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5086z00_19747;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4343z00_7808;

																	BgL_arg4343z00_7808 =
																		BGL_EXITD_PROTECT(BgL_ez00_2289);
																	BgL_test5086z00_19747 =
																		PAIRP(BgL_arg4343z00_7808);
																}
																if (BgL_test5086z00_19747)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4341z00_7809;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4342z00_7810;

																			BgL_arg4342z00_7810 =
																				BGL_EXITD_PROTECT(BgL_ez00_2289);
																			BgL_arg4341z00_7809 =
																				CDR(((obj_t) BgL_arg4342z00_7810));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_2289,
																			BgL_arg4341z00_7809);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2284,
																BgL_sz00_2260);
															return BgL_____rz00_2290;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2263, (int) (1L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2291;

											BgL_nbpz00_2291 =
												((long) CINT(BgL_bpz00_2262) + BgL_siza7eza7_15769);
											VECTOR_SET(
												((obj_t) BgL_sz00_2260), 0L, BINT(BgL_nbpz00_2291));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_tmpz00_19763;

												BgL_tmpz00_19763 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19763,
													BgL_locz00_15767);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2293;

												BgL_rz00_2293 =
													BGL_PROCEDURE_CALL1(BgL_fz00_2263, BgL_a1z00_2264);
												VECTOR_SET(((obj_t) BgL_sz00_2260), 0L, BgL_bpz00_2262);
												return BgL_rz00_2293;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15767,
												BgL_symbzd2funzd2_15768, (int) (1L),
												PROCEDURE_ARITY(BgL_fz00_2263));
		}}}}}}}

	}



/* &<@anonymous:2083> */
	obj_t BGl_z62zc3z04anonymousza32083ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13752, obj_t BgL_sz00_13758)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32083ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13752,
						(int) (4L))),
				PROCEDURE_REF(BgL_envz00_13752,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13752,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13752,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13752, (int) (0L)), BgL_sz00_13758);
		}

	}



/* <@anonymous:2083>~0 */
	obj_t BGl_zc3z04anonymousza32083ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15764, obj_t BgL_symbzd2funzd2_15763, obj_t BgL_locz00_15762,
		obj_t BgL_a1z00_15761, obj_t BgL_funz00_15760, obj_t BgL_sz00_2295)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2297;

				BgL_bpz00_2297 = VECTOR_REF(((obj_t) BgL_sz00_2295), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2298;
					obj_t BgL_a1z00_2299;

					BgL_fz00_2298 = BGL_PROCEDURE_CALL1(BgL_funz00_15760, BgL_sz00_2295);
					BgL_a1z00_2299 = BGL_PROCEDURE_CALL1(BgL_a1z00_15761, BgL_sz00_2295);
					if (PROCEDUREP(BgL_fz00_2298))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15762,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2298);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2301;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_19800;

							BgL_tmpz00_19800 = ((obj_t) BgL_fz00_2298);
							BgL_ufz00_2301 = PROCEDURE_ATTR(BgL_tmpz00_19800);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5089z00_19803;

							if (STRUCTP(BgL_ufz00_2301))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5089z00_19803 =
										(STRUCT_KEY(BgL_ufz00_2301) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5089z00_19803 = ((bool_t) 0);
								}
							if (BgL_test5089z00_19803)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2303;
									obj_t BgL_runz00_2304;
									obj_t BgL_sfz00_2305;

									BgL_arityz00_2303 = STRUCT_REF(BgL_ufz00_2301, (int) (0L));
									BgL_runz00_2304 = STRUCT_REF(BgL_ufz00_2301, (int) (1L));
									BgL_sfz00_2305 = STRUCT_REF(BgL_ufz00_2301, (int) (2L));
									{	/* Eval/evaluate_comp.scm 896 */
										long BgL_spz00_2306;

										BgL_spz00_2306 =
											((long) CINT(BgL_bpz00_2297) + BgL_siza7eza7_15764);
										if (((long) CINT(BgL_arityz00_2303) == 1L))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2087z00_2308;

												BgL_arg2087z00_2308 = (BgL_spz00_2306 + 0L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2295), BgL_arg2087z00_2308,
													BgL_a1z00_2299);
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_2303))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_2303))
															{
															case (-1L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2088z00_2311;
																	obj_t BgL_arg2089z00_2312;

																	BgL_arg2088z00_2311 = (BgL_spz00_2306 + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2090z00_2313;

																		BgL_list2090z00_2313 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_2299, BNIL);
																		BgL_arg2089z00_2312 = BgL_list2090z00_2313;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2295),
																		BgL_arg2088z00_2311, BgL_arg2089z00_2312);
																} break;
															case (-2L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2091z00_2314;

																	BgL_arg2091z00_2314 = (BgL_spz00_2306 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2295),
																		BgL_arg2091z00_2314, BgL_a1z00_2299);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2092z00_2315;
																	obj_t BgL_arg2093z00_2316;

																	BgL_arg2092z00_2315 = (BgL_spz00_2306 + 1L);
																	BgL_arg2093z00_2316 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2295),
																		BgL_arg2092z00_2315, BgL_arg2093z00_2316);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15762, STRUCT_REF(BgL_ufz00_2301,
																		(int) (3L)), (int) (1L),
																	CINT(BgL_arityz00_2303));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_15762, STRUCT_REF(BgL_ufz00_2301,
																(int) (3L)), (int) (1L),
															CINT(BgL_arityz00_2303));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_2319;

											BgL_z12denvz12_2319 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												((BgL_spz00_2306 +
														(long) CINT(BgL_sfz00_2305)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_2295))))
												{	/* Eval/evaluate_comp.scm 896 */
													return
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_2304, BgL_sz00_2295,
														BINT(BgL_spz00_2306));
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_2321;

													BgL_nsz00_2321 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2097z00_2323;

														BgL_arg2097z00_2323 = (BgL_spz00_2306 + 1L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_2321, 2L, BgL_sz00_2295,
															BINT(BgL_spz00_2306), BINT(BgL_arg2097z00_2323));
													}
													VECTOR_SET(BgL_nsz00_2321, 1L, BgL_sz00_2295);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2319,
														BgL_nsz00_2321);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_2324;

														BgL_ez00_2324 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4344z00_7857;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4345z00_7858;

																BgL_arg4345z00_7858 =
																	BGL_EXITD_PROTECT(BgL_ez00_2324);
																BgL_arg4344z00_7857 =
																	MAKE_YOUNG_PAIR(BgL_sz00_2295,
																	BgL_arg4345z00_7858);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_2324,
																BgL_arg4344z00_7857);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_2325;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_7859;

																BgL_savedzd2bpzd2_7859 =
																	VECTOR_REF(BgL_nsz00_2321, 0L);
																VECTOR_SET(BgL_nsz00_2321, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_7863;

																	BgL_fz00_7863 = BgL_runz00_2304;
																BgL_recz00_7862:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_7864;

																		BgL_rz00_7864 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_7863,
																			BgL_nsz00_2321);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5094z00_19873;

																			if (PROCEDUREP(BgL_rz00_7864))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_7867;

																					BgL_arg1763z00_7867 =
																						PROCEDURE_ATTR(BgL_rz00_7864);
																					if (STRUCTP(BgL_arg1763z00_7867))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5094z00_19873 =
																								(STRUCT_KEY(BgL_arg1763z00_7867)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5094z00_19873 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5094z00_19873 = ((bool_t) 0);
																				}
																			if (BgL_test5094z00_19873)
																				{
																					obj_t BgL_fz00_19881;

																					BgL_fz00_19881 = BgL_rz00_7864;
																					BgL_fz00_7863 = BgL_fz00_19881;
																					goto BgL_recz00_7862;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_2321, 0L,
																						BgL_savedzd2bpzd2_7859);
																					BgL_____rz00_2325 = BgL_rz00_7864;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5097z00_19883;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4343z00_7875;

																	BgL_arg4343z00_7875 =
																		BGL_EXITD_PROTECT(BgL_ez00_2324);
																	BgL_test5097z00_19883 =
																		PAIRP(BgL_arg4343z00_7875);
																}
																if (BgL_test5097z00_19883)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4341z00_7876;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4342z00_7877;

																			BgL_arg4342z00_7877 =
																				BGL_EXITD_PROTECT(BgL_ez00_2324);
																			BgL_arg4341z00_7876 =
																				CDR(((obj_t) BgL_arg4342z00_7877));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_2324,
																			BgL_arg4341z00_7876);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2319,
																BgL_sz00_2295);
															return BgL_____rz00_2325;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2298, (int) (1L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2326;

											BgL_nbpz00_2326 =
												((long) CINT(BgL_bpz00_2297) + BgL_siza7eza7_15764);
											VECTOR_SET(
												((obj_t) BgL_sz00_2295), 0L, BINT(BgL_nbpz00_2326));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2327;

												BgL_rz00_2327 =
													BGL_PROCEDURE_CALL1(BgL_fz00_2298, BgL_a1z00_2299);
												VECTOR_SET(((obj_t) BgL_sz00_2295), 0L, BgL_bpz00_2297);
												return BgL_rz00_2327;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15762,
												BgL_symbzd2funzd2_15763, (int) (1L),
												PROCEDURE_ARITY(BgL_fz00_2298));
		}}}}}}}

	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153,
		BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155,
		obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158,
		long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2330;

				BgL_cfunz00_2330 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154, 2L,
					BgL_locz00_153, BgL_symbzd2funzd2_155);
				if (CBOOL(BgL_cfunz00_2330))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5100z00_19911;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1370z00_2348;

							BgL_a1370z00_2348 = bgl_debug();
							BgL_test5100z00_19911 = ((long) (BgL_a1370z00_2348) > 0L);
						}
						if (BgL_test5100z00_19911)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32100ze3z87_13759;

								BgL_zc3z04anonymousza32100ze3z87_13759 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32100ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (5L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32100ze3z87_13759,
									(int) (0L), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3z04anonymousza32100ze3z87_13759,
									(int) (1L), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3z04anonymousza32100ze3z87_13759,
									(int) (2L), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3z04anonymousza32100ze3z87_13759,
									(int) (3L), BgL_locz00_153);
								PROCEDURE_SET(BgL_zc3z04anonymousza32100ze3z87_13759,
									(int) (4L), BgL_cfunz00_2330);
								return BgL_zc3z04anonymousza32100ze3z87_13759;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32102ze3z87_13760;

								BgL_zc3z04anonymousza32102ze3z87_13760 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32102ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (4L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32102ze3z87_13760,
									(int) (0L), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3z04anonymousza32102ze3z87_13760,
									(int) (1L), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3z04anonymousza32102ze3z87_13760,
									(int) (2L), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3z04anonymousza32102ze3z87_13760,
									(int) (3L), BgL_cfunz00_2330);
								return BgL_zc3z04anonymousza32102ze3z87_13760;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_157))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5102z00_19943;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1371z00_2436;

									BgL_a1371z00_2436 = bgl_debug();
									BgL_test5102z00_19943 = ((long) (BgL_a1371z00_2436) > 0L);
								}
								if (BgL_test5102z00_19943)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32104ze3z87_13761;

										BgL_zc3z04anonymousza32104ze3z87_13761 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32104ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (6L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32104ze3z87_13761,
											(int) (0L), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32104ze3z87_13761,
											(int) (1L), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32104ze3z87_13761,
											(int) (2L), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32104ze3z87_13761,
											(int) (3L), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32104ze3z87_13761,
											(int) (4L), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32104ze3z87_13761,
											(int) (5L), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32104ze3z87_13761;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32128ze3z87_13762;

										BgL_zc3z04anonymousza32128ze3z87_13762 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32128ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (6L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32128ze3z87_13762,
											(int) (0L), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32128ze3z87_13762,
											(int) (1L), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32128ze3z87_13762,
											(int) (2L), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32128ze3z87_13762,
											(int) (3L), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32128ze3z87_13762,
											(int) (4L), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32128ze3z87_13762,
											(int) (5L), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32128ze3z87_13762;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5103z00_19979;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1372z00_2524;

									BgL_a1372z00_2524 = bgl_debug();
									BgL_test5103z00_19979 = ((long) (BgL_a1372z00_2524) > 0L);
								}
								if (BgL_test5103z00_19979)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32152ze3z87_13763;

										BgL_zc3z04anonymousza32152ze3z87_13763 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32152ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (6L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32152ze3z87_13763,
											(int) (0L), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32152ze3z87_13763,
											(int) (1L), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32152ze3z87_13763,
											(int) (2L), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32152ze3z87_13763,
											(int) (3L), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32152ze3z87_13763,
											(int) (4L), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32152ze3z87_13763,
											(int) (5L), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32152ze3z87_13763;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32177ze3z87_13764;

										BgL_zc3z04anonymousza32177ze3z87_13764 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32177ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (6L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_13764,
											(int) (0L), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_13764,
											(int) (1L), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_13764,
											(int) (2L), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_13764,
											(int) (3L), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_13764,
											(int) (4L), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_13764,
											(int) (5L), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32177ze3z87_13764;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2100> */
	obj_t BGl_z62zc3z04anonymousza32100ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13765, obj_t BgL_sz00_13771)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13766;
				obj_t BgL_a2z00_13767;
				long BgL_siza7eza7_13768;
				obj_t BgL_locz00_13769;
				obj_t BgL_cfunz00_13770;

				BgL_a1z00_13766 = PROCEDURE_REF(BgL_envz00_13765, (int) (0L));
				BgL_a2z00_13767 = PROCEDURE_REF(BgL_envz00_13765, (int) (1L));
				BgL_siza7eza7_13768 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13765, (int) (2L)));
				BgL_locz00_13769 = PROCEDURE_REF(BgL_envz00_13765, (int) (3L));
				BgL_cfunz00_13770 = PROCEDURE_REF(BgL_envz00_13765, (int) (4L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15913;

					BgL_bpz00_15913 = VECTOR_REF(((obj_t) BgL_sz00_13771), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15914;
						obj_t BgL_a2z00_15915;

						BgL_a1z00_15914 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_13766, BgL_sz00_13771);
						BgL_a2z00_15915 =
							BGL_PROCEDURE_CALL1(BgL_a2z00_13767, BgL_sz00_13771);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15916;

							BgL_nbpz00_15916 =
								((long) CINT(BgL_bpz00_15913) + BgL_siza7eza7_13768);
							VECTOR_SET(((obj_t) BgL_sz00_13771), 0L, BINT(BgL_nbpz00_15916));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20041;

								BgL_tmpz00_20041 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20041, BgL_locz00_13769);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15917;

								BgL_rz00_15917 =
									BGL_PROCEDURE_CALL2(BgL_cfunz00_13770, BgL_a1z00_15914,
									BgL_a2z00_15915);
								VECTOR_SET(((obj_t) BgL_sz00_13771), 0L, BgL_bpz00_15913);
								return BgL_rz00_15917;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2102> */
	obj_t BGl_z62zc3z04anonymousza32102ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13772, obj_t BgL_sz00_13777)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13773;
				obj_t BgL_a2z00_13774;
				long BgL_siza7eza7_13775;
				obj_t BgL_cfunz00_13776;

				BgL_a1z00_13773 = PROCEDURE_REF(BgL_envz00_13772, (int) (0L));
				BgL_a2z00_13774 = PROCEDURE_REF(BgL_envz00_13772, (int) (1L));
				BgL_siza7eza7_13775 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13772, (int) (2L)));
				BgL_cfunz00_13776 = PROCEDURE_REF(BgL_envz00_13772, (int) (3L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15918;

					BgL_bpz00_15918 = VECTOR_REF(((obj_t) BgL_sz00_13777), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15919;
						obj_t BgL_a2z00_15920;

						BgL_a1z00_15919 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_13773, BgL_sz00_13777);
						BgL_a2z00_15920 =
							BGL_PROCEDURE_CALL1(BgL_a2z00_13774, BgL_sz00_13777);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15921;

							BgL_nbpz00_15921 =
								((long) CINT(BgL_bpz00_15918) + BgL_siza7eza7_13775);
							VECTOR_SET(((obj_t) BgL_sz00_13777), 0L, BINT(BgL_nbpz00_15921));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15922;

								BgL_rz00_15922 =
									BGL_PROCEDURE_CALL2(BgL_cfunz00_13776, BgL_a1z00_15919,
									BgL_a2z00_15920);
								VECTOR_SET(((obj_t) BgL_sz00_13777), 0L, BgL_bpz00_15918);
								return BgL_rz00_15922;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2104> */
	obj_t BGl_z62zc3z04anonymousza32104ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13778, obj_t BgL_sz00_13785)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32104ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13778,
						(int) (5L))),
				PROCEDURE_REF(BgL_envz00_13778,
					(int) (4L)),
				PROCEDURE_REF(BgL_envz00_13778,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13778,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13778,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13778, (int) (0L)), BgL_sz00_13785);
		}

	}



/* <@anonymous:2104>~0 */
	obj_t BGl_zc3z04anonymousza32104ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15759, obj_t BgL_symbzd2funzd2_15758, obj_t BgL_locz00_15757,
		obj_t BgL_a2z00_15756, obj_t BgL_a1z00_15755, obj_t BgL_funz00_15754,
		obj_t BgL_sz00_2351)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2353;

				BgL_bpz00_2353 = VECTOR_REF(((obj_t) BgL_sz00_2351), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2354;
					obj_t BgL_a1z00_2355;
					obj_t BgL_a2z00_2356;

					BgL_fz00_2354 = BGL_PROCEDURE_CALL1(BgL_funz00_15754, BgL_sz00_2351);
					BgL_a1z00_2355 = BGL_PROCEDURE_CALL1(BgL_a1z00_15755, BgL_sz00_2351);
					BgL_a2z00_2356 = BGL_PROCEDURE_CALL1(BgL_a2z00_15756, BgL_sz00_2351);
					if (PROCEDUREP(BgL_fz00_2354))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15757,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2354);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2358;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_20113;

							BgL_tmpz00_20113 = ((obj_t) BgL_fz00_2354);
							BgL_ufz00_2358 = PROCEDURE_ATTR(BgL_tmpz00_20113);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5105z00_20116;

							if (STRUCTP(BgL_ufz00_2358))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5105z00_20116 =
										(STRUCT_KEY(BgL_ufz00_2358) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5105z00_20116 = ((bool_t) 0);
								}
							if (BgL_test5105z00_20116)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2360;
									obj_t BgL_runz00_2361;
									obj_t BgL_sfz00_2362;

									BgL_arityz00_2360 = STRUCT_REF(BgL_ufz00_2358, (int) (0L));
									BgL_runz00_2361 = STRUCT_REF(BgL_ufz00_2358, (int) (1L));
									BgL_sfz00_2362 = STRUCT_REF(BgL_ufz00_2358, (int) (2L));
									if (((long) CINT(BgL_arityz00_2360) == 2L))
										{	/* Eval/evaluate_comp.scm 896 */
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2108z00_2365;

												BgL_arg2108z00_2365 =
													((long) CINT(BgL_bpz00_2353) + 0L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2351), BgL_arg2108z00_2365,
													BgL_a1z00_2355);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2109z00_2366;

												BgL_arg2109z00_2366 =
													((long) CINT(BgL_bpz00_2353) + 1L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2351), BgL_arg2109z00_2366,
													BgL_a2z00_2356);
										}}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											if (INTEGERP(BgL_arityz00_2360))
												{	/* Eval/evaluate_comp.scm 896 */
													switch ((long) CINT(BgL_arityz00_2360))
														{
														case (-1L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2110z00_2369;
																obj_t BgL_arg2111z00_2370;

																BgL_arg2110z00_2369 =
																	((long) CINT(BgL_bpz00_2353) + 0L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2112z00_2371;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg2113z00_2372;

																		BgL_arg2113z00_2372 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_2356, BNIL);
																		BgL_list2112z00_2371 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_2355,
																			BgL_arg2113z00_2372);
																	}
																	BgL_arg2111z00_2370 = BgL_list2112z00_2371;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2351), BgL_arg2110z00_2369,
																	BgL_arg2111z00_2370);
															} break;
														case (-2L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2114z00_2373;

																BgL_arg2114z00_2373 =
																	((long) CINT(BgL_bpz00_2353) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2351), BgL_arg2114z00_2373,
																	BgL_a1z00_2355);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2115z00_2374;
																obj_t BgL_arg2116z00_2375;

																BgL_arg2115z00_2374 =
																	((long) CINT(BgL_bpz00_2353) + 1L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2117z00_2376;

																	BgL_list2117z00_2376 =
																		MAKE_YOUNG_PAIR(BgL_a2z00_2356, BNIL);
																	BgL_arg2116z00_2375 = BgL_list2117z00_2376;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2351), BgL_arg2115z00_2374,
																	BgL_arg2116z00_2375);
															} break;
														case (-3L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2118z00_2377;

																BgL_arg2118z00_2377 =
																	((long) CINT(BgL_bpz00_2353) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2351), BgL_arg2118z00_2377,
																	BgL_a1z00_2355);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2119z00_2378;

																BgL_arg2119z00_2378 =
																	((long) CINT(BgL_bpz00_2353) + 1L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2351), BgL_arg2119z00_2378,
																	BgL_a2z00_2356);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2120z00_2379;
																obj_t BgL_arg2121z00_2380;

																BgL_arg2120z00_2379 =
																	((long) CINT(BgL_bpz00_2353) + 2L);
																BgL_arg2121z00_2380 = BNIL;
																VECTOR_SET(
																	((obj_t) BgL_sz00_2351), BgL_arg2120z00_2379,
																	BgL_arg2121z00_2380);
															} break;
														default:
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15757, STRUCT_REF(BgL_ufz00_2358,
																	(int) (3L)), (int) (2L),
																CINT(BgL_arityz00_2360));
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15757,
														STRUCT_REF(BgL_ufz00_2358,
															(int) (3L)), (int) (2L), CINT(BgL_arityz00_2360));
										}}
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_z12denvz12_2383;

										BgL_z12denvz12_2383 = BGL_CURRENT_DYNAMIC_ENV();
										BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2383,
											BgL_locz00_15757);
										if ((((long) CINT(BgL_bpz00_2353) +
													(long) CINT(BgL_sfz00_2362)) <
												VECTOR_LENGTH(((obj_t) BgL_sz00_2351))))
											{	/* Eval/evaluate_comp.scm 896 */
												return BgL_runz00_2361;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_nsz00_2385;

												BgL_nsz00_2385 =
													BGl_makezd2statezd2zz__evaluate_compz00();
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2125z00_2387;

													BgL_arg2125z00_2387 =
														((long) CINT(BgL_bpz00_2353) + 2L);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_nsz00_2385, 2L, BgL_sz00_2351, BgL_bpz00_2353,
														BINT(BgL_arg2125z00_2387));
												}
												VECTOR_SET(BgL_nsz00_2385, 1L, BgL_sz00_2351);
												BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2383,
													BgL_nsz00_2385);
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_ez00_2388;

													BgL_ez00_2388 = BGL_EXITD_TOP_AS_OBJ();
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_arg4344z00_7949;

														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4345z00_7950;

															BgL_arg4345z00_7950 =
																BGL_EXITD_PROTECT(BgL_ez00_2388);
															BgL_arg4344z00_7949 =
																MAKE_YOUNG_PAIR(BgL_sz00_2351,
																BgL_arg4345z00_7950);
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_2388,
															BgL_arg4344z00_7949);
														BUNSPEC;
													}
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_____rz00_2389;

														{	/* Eval/evaluate_comp.scm 670 */
															obj_t BgL_savedzd2bpzd2_7951;

															BgL_savedzd2bpzd2_7951 =
																VECTOR_REF(BgL_nsz00_2385, 0L);
															VECTOR_SET(BgL_nsz00_2385, 0L, BINT(2L));
															{
																obj_t BgL_fz00_7955;

																BgL_fz00_7955 = BgL_runz00_2361;
															BgL_recz00_7954:
																{	/* Eval/evaluate_comp.scm 673 */
																	obj_t BgL_rz00_7956;

																	BgL_rz00_7956 =
																		BGL_PROCEDURE_CALL1(BgL_fz00_7955,
																		BgL_nsz00_2385);
																	{	/* Eval/evaluate_comp.scm 674 */
																		bool_t BgL_test5110z00_20206;

																		if (PROCEDUREP(BgL_rz00_7956))
																			{	/* Eval/evaluate_comp.scm 674 */
																				obj_t BgL_arg1763z00_7959;

																				BgL_arg1763z00_7959 =
																					PROCEDURE_ATTR(BgL_rz00_7956);
																				if (STRUCTP(BgL_arg1763z00_7959))
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5110z00_20206 =
																							(STRUCT_KEY(BgL_arg1763z00_7959)
																							==
																							BGl_symbol4596z00zz__evaluate_compz00);
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5110z00_20206 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				BgL_test5110z00_20206 = ((bool_t) 0);
																			}
																		if (BgL_test5110z00_20206)
																			{
																				obj_t BgL_fz00_20214;

																				BgL_fz00_20214 = BgL_rz00_7956;
																				BgL_fz00_7955 = BgL_fz00_20214;
																				goto BgL_recz00_7954;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				VECTOR_SET(BgL_nsz00_2385, 0L,
																					BgL_savedzd2bpzd2_7951);
																				BgL_____rz00_2389 = BgL_rz00_7956;
																			}
																	}
																}
															}
														}
														{	/* Eval/evaluate_comp.scm 896 */
															bool_t BgL_test5113z00_20216;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4343z00_7967;

																BgL_arg4343z00_7967 =
																	BGL_EXITD_PROTECT(BgL_ez00_2388);
																BgL_test5113z00_20216 =
																	PAIRP(BgL_arg4343z00_7967);
															}
															if (BgL_test5113z00_20216)
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4341z00_7968;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4342z00_7969;

																		BgL_arg4342z00_7969 =
																			BGL_EXITD_PROTECT(BgL_ez00_2388);
																		BgL_arg4341z00_7968 =
																			CDR(((obj_t) BgL_arg4342z00_7969));
																	}
																	BGL_EXITD_PROTECT_SET(BgL_ez00_2388,
																		BgL_arg4341z00_7968);
																	BUNSPEC;
																}
															else
																{	/* Eval/evaluate_comp.scm 896 */
																	BFALSE;
																}
														}
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2383,
															BgL_sz00_2351);
														return BgL_____rz00_2389;
													}
												}
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2354, (int) (2L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2390;

											BgL_nbpz00_2390 =
												((long) CINT(BgL_bpz00_2353) + BgL_siza7eza7_15759);
											VECTOR_SET(
												((obj_t) BgL_sz00_2351), 0L, BINT(BgL_nbpz00_2390));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_tmpz00_20232;

												BgL_tmpz00_20232 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20232,
													BgL_locz00_15757);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2392;

												BgL_rz00_2392 =
													BGL_PROCEDURE_CALL2(BgL_fz00_2354, BgL_a1z00_2355,
													BgL_a2z00_2356);
												VECTOR_SET(((obj_t) BgL_sz00_2351), 0L, BgL_bpz00_2353);
												return BgL_rz00_2392;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15757,
												BgL_symbzd2funzd2_15758, (int) (2L),
												PROCEDURE_ARITY(BgL_fz00_2354));
		}}}}}}}

	}



/* &<@anonymous:2128> */
	obj_t BGl_z62zc3z04anonymousza32128ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13786, obj_t BgL_sz00_13793)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32128ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13786,
						(int) (5L))),
				PROCEDURE_REF(BgL_envz00_13786,
					(int) (4L)),
				PROCEDURE_REF(BgL_envz00_13786,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13786,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13786,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13786, (int) (0L)), BgL_sz00_13793);
		}

	}



/* <@anonymous:2128>~0 */
	obj_t BGl_zc3z04anonymousza32128ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15753, obj_t BgL_symbzd2funzd2_15752, obj_t BgL_locz00_15751,
		obj_t BgL_a2z00_15750, obj_t BgL_a1z00_15749, obj_t BgL_funz00_15748,
		obj_t BgL_sz00_2394)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2396;

				BgL_bpz00_2396 = VECTOR_REF(((obj_t) BgL_sz00_2394), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2397;
					obj_t BgL_a1z00_2398;
					obj_t BgL_a2z00_2399;

					BgL_fz00_2397 = BGL_PROCEDURE_CALL1(BgL_funz00_15748, BgL_sz00_2394);
					BgL_a1z00_2398 = BGL_PROCEDURE_CALL1(BgL_a1z00_15749, BgL_sz00_2394);
					BgL_a2z00_2399 = BGL_PROCEDURE_CALL1(BgL_a2z00_15750, BgL_sz00_2394);
					if (PROCEDUREP(BgL_fz00_2397))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15751,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2397);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2401;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_20276;

							BgL_tmpz00_20276 = ((obj_t) BgL_fz00_2397);
							BgL_ufz00_2401 = PROCEDURE_ATTR(BgL_tmpz00_20276);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5116z00_20279;

							if (STRUCTP(BgL_ufz00_2401))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5116z00_20279 =
										(STRUCT_KEY(BgL_ufz00_2401) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5116z00_20279 = ((bool_t) 0);
								}
							if (BgL_test5116z00_20279)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2403;
									obj_t BgL_runz00_2404;
									obj_t BgL_sfz00_2405;

									BgL_arityz00_2403 = STRUCT_REF(BgL_ufz00_2401, (int) (0L));
									BgL_runz00_2404 = STRUCT_REF(BgL_ufz00_2401, (int) (1L));
									BgL_sfz00_2405 = STRUCT_REF(BgL_ufz00_2401, (int) (2L));
									if (((long) CINT(BgL_arityz00_2403) == 2L))
										{	/* Eval/evaluate_comp.scm 896 */
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2132z00_2408;

												BgL_arg2132z00_2408 =
													((long) CINT(BgL_bpz00_2396) + 0L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2394), BgL_arg2132z00_2408,
													BgL_a1z00_2398);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2133z00_2409;

												BgL_arg2133z00_2409 =
													((long) CINT(BgL_bpz00_2396) + 1L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2394), BgL_arg2133z00_2409,
													BgL_a2z00_2399);
										}}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											if (INTEGERP(BgL_arityz00_2403))
												{	/* Eval/evaluate_comp.scm 896 */
													switch ((long) CINT(BgL_arityz00_2403))
														{
														case (-1L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2134z00_2412;
																obj_t BgL_arg2135z00_2413;

																BgL_arg2134z00_2412 =
																	((long) CINT(BgL_bpz00_2396) + 0L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2136z00_2414;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg2137z00_2415;

																		BgL_arg2137z00_2415 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_2399, BNIL);
																		BgL_list2136z00_2414 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_2398,
																			BgL_arg2137z00_2415);
																	}
																	BgL_arg2135z00_2413 = BgL_list2136z00_2414;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2394), BgL_arg2134z00_2412,
																	BgL_arg2135z00_2413);
															} break;
														case (-2L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2138z00_2416;

																BgL_arg2138z00_2416 =
																	((long) CINT(BgL_bpz00_2396) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2394), BgL_arg2138z00_2416,
																	BgL_a1z00_2398);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2139z00_2417;
																obj_t BgL_arg2140z00_2418;

																BgL_arg2139z00_2417 =
																	((long) CINT(BgL_bpz00_2396) + 1L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2141z00_2419;

																	BgL_list2141z00_2419 =
																		MAKE_YOUNG_PAIR(BgL_a2z00_2399, BNIL);
																	BgL_arg2140z00_2418 = BgL_list2141z00_2419;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2394), BgL_arg2139z00_2417,
																	BgL_arg2140z00_2418);
															} break;
														case (-3L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2142z00_2420;

																BgL_arg2142z00_2420 =
																	((long) CINT(BgL_bpz00_2396) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2394), BgL_arg2142z00_2420,
																	BgL_a1z00_2398);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2143z00_2421;

																BgL_arg2143z00_2421 =
																	((long) CINT(BgL_bpz00_2396) + 1L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2394), BgL_arg2143z00_2421,
																	BgL_a2z00_2399);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2144z00_2422;
																obj_t BgL_arg2145z00_2423;

																BgL_arg2144z00_2422 =
																	((long) CINT(BgL_bpz00_2396) + 2L);
																BgL_arg2145z00_2423 = BNIL;
																VECTOR_SET(
																	((obj_t) BgL_sz00_2394), BgL_arg2144z00_2422,
																	BgL_arg2145z00_2423);
															} break;
														default:
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15751, STRUCT_REF(BgL_ufz00_2401,
																	(int) (3L)), (int) (2L),
																CINT(BgL_arityz00_2403));
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15751,
														STRUCT_REF(BgL_ufz00_2401,
															(int) (3L)), (int) (2L), CINT(BgL_arityz00_2403));
										}}
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_z12denvz12_2426;

										BgL_z12denvz12_2426 = BGL_CURRENT_DYNAMIC_ENV();
										if (
											(((long) CINT(BgL_bpz00_2396) +
													(long) CINT(BgL_sfz00_2405)) <
												VECTOR_LENGTH(((obj_t) BgL_sz00_2394))))
											{	/* Eval/evaluate_comp.scm 896 */
												return BgL_runz00_2404;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_nsz00_2428;

												BgL_nsz00_2428 =
													BGl_makezd2statezd2zz__evaluate_compz00();
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2149z00_2430;

													BgL_arg2149z00_2430 =
														((long) CINT(BgL_bpz00_2396) + 2L);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_nsz00_2428, 2L, BgL_sz00_2394, BgL_bpz00_2396,
														BINT(BgL_arg2149z00_2430));
												}
												VECTOR_SET(BgL_nsz00_2428, 1L, BgL_sz00_2394);
												BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2426,
													BgL_nsz00_2428);
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_ez00_2431;

													BgL_ez00_2431 = BGL_EXITD_TOP_AS_OBJ();
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_arg4344z00_8029;

														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4345z00_8030;

															BgL_arg4345z00_8030 =
																BGL_EXITD_PROTECT(BgL_ez00_2431);
															BgL_arg4344z00_8029 =
																MAKE_YOUNG_PAIR(BgL_sz00_2394,
																BgL_arg4345z00_8030);
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_2431,
															BgL_arg4344z00_8029);
														BUNSPEC;
													}
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_____rz00_2432;

														{	/* Eval/evaluate_comp.scm 670 */
															obj_t BgL_savedzd2bpzd2_8031;

															BgL_savedzd2bpzd2_8031 =
																VECTOR_REF(BgL_nsz00_2428, 0L);
															VECTOR_SET(BgL_nsz00_2428, 0L, BINT(2L));
															{
																obj_t BgL_fz00_8035;

																BgL_fz00_8035 = BgL_runz00_2404;
															BgL_recz00_8034:
																{	/* Eval/evaluate_comp.scm 673 */
																	obj_t BgL_rz00_8036;

																	BgL_rz00_8036 =
																		BGL_PROCEDURE_CALL1(BgL_fz00_8035,
																		BgL_nsz00_2428);
																	{	/* Eval/evaluate_comp.scm 674 */
																		bool_t BgL_test5121z00_20368;

																		if (PROCEDUREP(BgL_rz00_8036))
																			{	/* Eval/evaluate_comp.scm 674 */
																				obj_t BgL_arg1763z00_8039;

																				BgL_arg1763z00_8039 =
																					PROCEDURE_ATTR(BgL_rz00_8036);
																				if (STRUCTP(BgL_arg1763z00_8039))
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5121z00_20368 =
																							(STRUCT_KEY(BgL_arg1763z00_8039)
																							==
																							BGl_symbol4596z00zz__evaluate_compz00);
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5121z00_20368 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				BgL_test5121z00_20368 = ((bool_t) 0);
																			}
																		if (BgL_test5121z00_20368)
																			{
																				obj_t BgL_fz00_20376;

																				BgL_fz00_20376 = BgL_rz00_8036;
																				BgL_fz00_8035 = BgL_fz00_20376;
																				goto BgL_recz00_8034;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				VECTOR_SET(BgL_nsz00_2428, 0L,
																					BgL_savedzd2bpzd2_8031);
																				BgL_____rz00_2432 = BgL_rz00_8036;
																			}
																	}
																}
															}
														}
														{	/* Eval/evaluate_comp.scm 896 */
															bool_t BgL_test5124z00_20378;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4343z00_8047;

																BgL_arg4343z00_8047 =
																	BGL_EXITD_PROTECT(BgL_ez00_2431);
																BgL_test5124z00_20378 =
																	PAIRP(BgL_arg4343z00_8047);
															}
															if (BgL_test5124z00_20378)
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4341z00_8048;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4342z00_8049;

																		BgL_arg4342z00_8049 =
																			BGL_EXITD_PROTECT(BgL_ez00_2431);
																		BgL_arg4341z00_8048 =
																			CDR(((obj_t) BgL_arg4342z00_8049));
																	}
																	BGL_EXITD_PROTECT_SET(BgL_ez00_2431,
																		BgL_arg4341z00_8048);
																	BUNSPEC;
																}
															else
																{	/* Eval/evaluate_comp.scm 896 */
																	BFALSE;
																}
														}
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2426,
															BgL_sz00_2394);
														return BgL_____rz00_2432;
													}
												}
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2397, (int) (2L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2433;

											BgL_nbpz00_2433 =
												((long) CINT(BgL_bpz00_2396) + BgL_siza7eza7_15753);
											VECTOR_SET(
												((obj_t) BgL_sz00_2394), 0L, BINT(BgL_nbpz00_2433));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2434;

												BgL_rz00_2434 =
													BGL_PROCEDURE_CALL2(BgL_fz00_2397, BgL_a1z00_2398,
													BgL_a2z00_2399);
												VECTOR_SET(((obj_t) BgL_sz00_2394), 0L, BgL_bpz00_2396);
												return BgL_rz00_2434;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15751,
												BgL_symbzd2funzd2_15752, (int) (2L),
												PROCEDURE_ARITY(BgL_fz00_2397));
		}}}}}}}

	}



/* &<@anonymous:2152> */
	obj_t BGl_z62zc3z04anonymousza32152ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13794, obj_t BgL_sz00_13801)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32152ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13794,
						(int) (5L))),
				PROCEDURE_REF(BgL_envz00_13794,
					(int) (4L)),
				PROCEDURE_REF(BgL_envz00_13794,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13794,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13794,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13794, (int) (0L)), BgL_sz00_13801);
		}

	}



/* <@anonymous:2152>~0 */
	obj_t BGl_zc3z04anonymousza32152ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15747, obj_t BgL_symbzd2funzd2_15746, obj_t BgL_locz00_15745,
		obj_t BgL_a2z00_15744, obj_t BgL_a1z00_15743, obj_t BgL_funz00_15742,
		obj_t BgL_sz00_2439)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2441;

				BgL_bpz00_2441 = VECTOR_REF(((obj_t) BgL_sz00_2439), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2442;
					obj_t BgL_a1z00_2443;
					obj_t BgL_a2z00_2444;

					BgL_fz00_2442 = BGL_PROCEDURE_CALL1(BgL_funz00_15742, BgL_sz00_2439);
					BgL_a1z00_2443 = BGL_PROCEDURE_CALL1(BgL_a1z00_15743, BgL_sz00_2439);
					BgL_a2z00_2444 = BGL_PROCEDURE_CALL1(BgL_a2z00_15744, BgL_sz00_2439);
					if (PROCEDUREP(BgL_fz00_2442))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15745,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2442);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2446;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_20435;

							BgL_tmpz00_20435 = ((obj_t) BgL_fz00_2442);
							BgL_ufz00_2446 = PROCEDURE_ATTR(BgL_tmpz00_20435);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5127z00_20438;

							if (STRUCTP(BgL_ufz00_2446))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5127z00_20438 =
										(STRUCT_KEY(BgL_ufz00_2446) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5127z00_20438 = ((bool_t) 0);
								}
							if (BgL_test5127z00_20438)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2448;
									obj_t BgL_runz00_2449;
									obj_t BgL_sfz00_2450;

									BgL_arityz00_2448 = STRUCT_REF(BgL_ufz00_2446, (int) (0L));
									BgL_runz00_2449 = STRUCT_REF(BgL_ufz00_2446, (int) (1L));
									BgL_sfz00_2450 = STRUCT_REF(BgL_ufz00_2446, (int) (2L));
									{	/* Eval/evaluate_comp.scm 896 */
										long BgL_spz00_2451;

										BgL_spz00_2451 =
											((long) CINT(BgL_bpz00_2441) + BgL_siza7eza7_15747);
										if (((long) CINT(BgL_arityz00_2448) == 2L))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2156z00_2453;

													BgL_arg2156z00_2453 = (BgL_spz00_2451 + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2439), BgL_arg2156z00_2453,
														BgL_a1z00_2443);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2157z00_2454;

													BgL_arg2157z00_2454 = (BgL_spz00_2451 + 1L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2439), BgL_arg2157z00_2454,
														BgL_a2z00_2444);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_2448))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_2448))
															{
															case (-1L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2159z00_2457;
																	obj_t BgL_arg2160z00_2458;

																	BgL_arg2159z00_2457 = (BgL_spz00_2451 + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2161z00_2459;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2162z00_2460;

																			BgL_arg2162z00_2460 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_2444, BNIL);
																			BgL_list2161z00_2459 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_2443,
																				BgL_arg2162z00_2460);
																		}
																		BgL_arg2160z00_2458 = BgL_list2161z00_2459;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2439),
																		BgL_arg2159z00_2457, BgL_arg2160z00_2458);
																} break;
															case (-2L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2163z00_2461;

																	BgL_arg2163z00_2461 = (BgL_spz00_2451 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2439),
																		BgL_arg2163z00_2461, BgL_a1z00_2443);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2164z00_2462;
																	obj_t BgL_arg2165z00_2463;

																	BgL_arg2164z00_2462 = (BgL_spz00_2451 + 1L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2166z00_2464;

																		BgL_list2166z00_2464 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_2444, BNIL);
																		BgL_arg2165z00_2463 = BgL_list2166z00_2464;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2439),
																		BgL_arg2164z00_2462, BgL_arg2165z00_2463);
																} break;
															case (-3L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2167z00_2465;

																	BgL_arg2167z00_2465 = (BgL_spz00_2451 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2439),
																		BgL_arg2167z00_2465, BgL_a1z00_2443);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2168z00_2466;

																	BgL_arg2168z00_2466 = (BgL_spz00_2451 + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2439),
																		BgL_arg2168z00_2466, BgL_a2z00_2444);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2169z00_2467;
																	obj_t BgL_arg2170z00_2468;

																	BgL_arg2169z00_2467 = (BgL_spz00_2451 + 2L);
																	BgL_arg2170z00_2468 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2439),
																		BgL_arg2169z00_2467, BgL_arg2170z00_2468);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15745, STRUCT_REF(BgL_ufz00_2446,
																		(int) (3L)), (int) (2L),
																	CINT(BgL_arityz00_2448));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_15745, STRUCT_REF(BgL_ufz00_2446,
																(int) (3L)), (int) (2L),
															CINT(BgL_arityz00_2448));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_2471;

											BgL_z12denvz12_2471 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2471,
												BgL_locz00_15745);
											if (((BgL_spz00_2451 + (long) CINT(BgL_sfz00_2450)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_2439))))
												{	/* Eval/evaluate_comp.scm 896 */
													return
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_2449, BgL_sz00_2439,
														BINT(BgL_spz00_2451));
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_2473;

													BgL_nsz00_2473 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2174z00_2475;

														BgL_arg2174z00_2475 = (BgL_spz00_2451 + 2L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_2473, 2L, BgL_sz00_2439,
															BINT(BgL_spz00_2451), BINT(BgL_arg2174z00_2475));
													}
													VECTOR_SET(BgL_nsz00_2473, 1L, BgL_sz00_2439);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2471,
														BgL_nsz00_2473);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_2476;

														BgL_ez00_2476 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4344z00_8110;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4345z00_8111;

																BgL_arg4345z00_8111 =
																	BGL_EXITD_PROTECT(BgL_ez00_2476);
																BgL_arg4344z00_8110 =
																	MAKE_YOUNG_PAIR(BgL_sz00_2439,
																	BgL_arg4345z00_8111);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_2476,
																BgL_arg4344z00_8110);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_2477;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_8112;

																BgL_savedzd2bpzd2_8112 =
																	VECTOR_REF(BgL_nsz00_2473, 0L);
																VECTOR_SET(BgL_nsz00_2473, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_8116;

																	BgL_fz00_8116 = BgL_runz00_2449;
																BgL_recz00_8115:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_8117;

																		BgL_rz00_8117 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_8116,
																			BgL_nsz00_2473);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5132z00_20523;

																			if (PROCEDUREP(BgL_rz00_8117))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_8120;

																					BgL_arg1763z00_8120 =
																						PROCEDURE_ATTR(BgL_rz00_8117);
																					if (STRUCTP(BgL_arg1763z00_8120))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5132z00_20523 =
																								(STRUCT_KEY(BgL_arg1763z00_8120)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5132z00_20523 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5132z00_20523 = ((bool_t) 0);
																				}
																			if (BgL_test5132z00_20523)
																				{
																					obj_t BgL_fz00_20531;

																					BgL_fz00_20531 = BgL_rz00_8117;
																					BgL_fz00_8116 = BgL_fz00_20531;
																					goto BgL_recz00_8115;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_2473, 0L,
																						BgL_savedzd2bpzd2_8112);
																					BgL_____rz00_2477 = BgL_rz00_8117;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5135z00_20533;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4343z00_8128;

																	BgL_arg4343z00_8128 =
																		BGL_EXITD_PROTECT(BgL_ez00_2476);
																	BgL_test5135z00_20533 =
																		PAIRP(BgL_arg4343z00_8128);
																}
																if (BgL_test5135z00_20533)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4341z00_8129;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4342z00_8130;

																			BgL_arg4342z00_8130 =
																				BGL_EXITD_PROTECT(BgL_ez00_2476);
																			BgL_arg4341z00_8129 =
																				CDR(((obj_t) BgL_arg4342z00_8130));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_2476,
																			BgL_arg4341z00_8129);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2471,
																BgL_sz00_2439);
															return BgL_____rz00_2477;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2442, (int) (2L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2478;

											BgL_nbpz00_2478 =
												((long) CINT(BgL_bpz00_2441) + BgL_siza7eza7_15747);
											VECTOR_SET(
												((obj_t) BgL_sz00_2439), 0L, BINT(BgL_nbpz00_2478));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_tmpz00_20549;

												BgL_tmpz00_20549 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20549,
													BgL_locz00_15745);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2480;

												BgL_rz00_2480 =
													BGL_PROCEDURE_CALL2(BgL_fz00_2442, BgL_a1z00_2443,
													BgL_a2z00_2444);
												VECTOR_SET(((obj_t) BgL_sz00_2439), 0L, BgL_bpz00_2441);
												return BgL_rz00_2480;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15745,
												BgL_symbzd2funzd2_15746, (int) (2L),
												PROCEDURE_ARITY(BgL_fz00_2442));
		}}}}}}}

	}



/* &<@anonymous:2177> */
	obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13802, obj_t BgL_sz00_13809)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32177ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13802,
						(int) (5L))),
				PROCEDURE_REF(BgL_envz00_13802,
					(int) (4L)),
				PROCEDURE_REF(BgL_envz00_13802,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13802,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13802,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13802, (int) (0L)), BgL_sz00_13809);
		}

	}



/* <@anonymous:2177>~0 */
	obj_t BGl_zc3z04anonymousza32177ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15741, obj_t BgL_symbzd2funzd2_15740, obj_t BgL_locz00_15739,
		obj_t BgL_a2z00_15738, obj_t BgL_a1z00_15737, obj_t BgL_funz00_15736,
		obj_t BgL_sz00_2482)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2484;

				BgL_bpz00_2484 = VECTOR_REF(((obj_t) BgL_sz00_2482), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2485;
					obj_t BgL_a1z00_2486;
					obj_t BgL_a2z00_2487;

					BgL_fz00_2485 = BGL_PROCEDURE_CALL1(BgL_funz00_15736, BgL_sz00_2482);
					BgL_a1z00_2486 = BGL_PROCEDURE_CALL1(BgL_a1z00_15737, BgL_sz00_2482);
					BgL_a2z00_2487 = BGL_PROCEDURE_CALL1(BgL_a2z00_15738, BgL_sz00_2482);
					if (PROCEDUREP(BgL_fz00_2485))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15739,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2485);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2489;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_20593;

							BgL_tmpz00_20593 = ((obj_t) BgL_fz00_2485);
							BgL_ufz00_2489 = PROCEDURE_ATTR(BgL_tmpz00_20593);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5138z00_20596;

							if (STRUCTP(BgL_ufz00_2489))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5138z00_20596 =
										(STRUCT_KEY(BgL_ufz00_2489) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5138z00_20596 = ((bool_t) 0);
								}
							if (BgL_test5138z00_20596)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2491;
									obj_t BgL_runz00_2492;
									obj_t BgL_sfz00_2493;

									BgL_arityz00_2491 = STRUCT_REF(BgL_ufz00_2489, (int) (0L));
									BgL_runz00_2492 = STRUCT_REF(BgL_ufz00_2489, (int) (1L));
									BgL_sfz00_2493 = STRUCT_REF(BgL_ufz00_2489, (int) (2L));
									{	/* Eval/evaluate_comp.scm 896 */
										long BgL_spz00_2494;

										BgL_spz00_2494 =
											((long) CINT(BgL_bpz00_2484) + BgL_siza7eza7_15741);
										if (((long) CINT(BgL_arityz00_2491) == 2L))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2181z00_2496;

													BgL_arg2181z00_2496 = (BgL_spz00_2494 + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2482), BgL_arg2181z00_2496,
														BgL_a1z00_2486);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2182z00_2497;

													BgL_arg2182z00_2497 = (BgL_spz00_2494 + 1L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2482), BgL_arg2182z00_2497,
														BgL_a2z00_2487);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_2491))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_2491))
															{
															case (-1L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2183z00_2500;
																	obj_t BgL_arg2184z00_2501;

																	BgL_arg2183z00_2500 = (BgL_spz00_2494 + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2185z00_2502;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2186z00_2503;

																			BgL_arg2186z00_2503 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_2487, BNIL);
																			BgL_list2185z00_2502 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_2486,
																				BgL_arg2186z00_2503);
																		}
																		BgL_arg2184z00_2501 = BgL_list2185z00_2502;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2482),
																		BgL_arg2183z00_2500, BgL_arg2184z00_2501);
																} break;
															case (-2L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2187z00_2504;

																	BgL_arg2187z00_2504 = (BgL_spz00_2494 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2482),
																		BgL_arg2187z00_2504, BgL_a1z00_2486);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2188z00_2505;
																	obj_t BgL_arg2189z00_2506;

																	BgL_arg2188z00_2505 = (BgL_spz00_2494 + 1L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2190z00_2507;

																		BgL_list2190z00_2507 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_2487, BNIL);
																		BgL_arg2189z00_2506 = BgL_list2190z00_2507;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2482),
																		BgL_arg2188z00_2505, BgL_arg2189z00_2506);
																} break;
															case (-3L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2191z00_2508;

																	BgL_arg2191z00_2508 = (BgL_spz00_2494 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2482),
																		BgL_arg2191z00_2508, BgL_a1z00_2486);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2192z00_2509;

																	BgL_arg2192z00_2509 = (BgL_spz00_2494 + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2482),
																		BgL_arg2192z00_2509, BgL_a2z00_2487);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2193z00_2510;
																	obj_t BgL_arg2194z00_2511;

																	BgL_arg2193z00_2510 = (BgL_spz00_2494 + 2L);
																	BgL_arg2194z00_2511 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2482),
																		BgL_arg2193z00_2510, BgL_arg2194z00_2511);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15739, STRUCT_REF(BgL_ufz00_2489,
																		(int) (3L)), (int) (2L),
																	CINT(BgL_arityz00_2491));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_15739, STRUCT_REF(BgL_ufz00_2489,
																(int) (3L)), (int) (2L),
															CINT(BgL_arityz00_2491));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_2514;

											BgL_z12denvz12_2514 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												((BgL_spz00_2494 +
														(long) CINT(BgL_sfz00_2493)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_2482))))
												{	/* Eval/evaluate_comp.scm 896 */
													return
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_2492, BgL_sz00_2482,
														BINT(BgL_spz00_2494));
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_2516;

													BgL_nsz00_2516 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2198z00_2518;

														BgL_arg2198z00_2518 = (BgL_spz00_2494 + 2L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_2516, 2L, BgL_sz00_2482,
															BINT(BgL_spz00_2494), BINT(BgL_arg2198z00_2518));
													}
													VECTOR_SET(BgL_nsz00_2516, 1L, BgL_sz00_2482);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2514,
														BgL_nsz00_2516);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_2519;

														BgL_ez00_2519 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4344z00_8190;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4345z00_8191;

																BgL_arg4345z00_8191 =
																	BGL_EXITD_PROTECT(BgL_ez00_2519);
																BgL_arg4344z00_8190 =
																	MAKE_YOUNG_PAIR(BgL_sz00_2482,
																	BgL_arg4345z00_8191);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_2519,
																BgL_arg4344z00_8190);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_2520;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_8192;

																BgL_savedzd2bpzd2_8192 =
																	VECTOR_REF(BgL_nsz00_2516, 0L);
																VECTOR_SET(BgL_nsz00_2516, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_8196;

																	BgL_fz00_8196 = BgL_runz00_2492;
																BgL_recz00_8195:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_8197;

																		BgL_rz00_8197 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_8196,
																			BgL_nsz00_2516);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5143z00_20680;

																			if (PROCEDUREP(BgL_rz00_8197))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_8200;

																					BgL_arg1763z00_8200 =
																						PROCEDURE_ATTR(BgL_rz00_8197);
																					if (STRUCTP(BgL_arg1763z00_8200))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5143z00_20680 =
																								(STRUCT_KEY(BgL_arg1763z00_8200)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5143z00_20680 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5143z00_20680 = ((bool_t) 0);
																				}
																			if (BgL_test5143z00_20680)
																				{
																					obj_t BgL_fz00_20688;

																					BgL_fz00_20688 = BgL_rz00_8197;
																					BgL_fz00_8196 = BgL_fz00_20688;
																					goto BgL_recz00_8195;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_2516, 0L,
																						BgL_savedzd2bpzd2_8192);
																					BgL_____rz00_2520 = BgL_rz00_8197;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5146z00_20690;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4343z00_8208;

																	BgL_arg4343z00_8208 =
																		BGL_EXITD_PROTECT(BgL_ez00_2519);
																	BgL_test5146z00_20690 =
																		PAIRP(BgL_arg4343z00_8208);
																}
																if (BgL_test5146z00_20690)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4341z00_8209;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4342z00_8210;

																			BgL_arg4342z00_8210 =
																				BGL_EXITD_PROTECT(BgL_ez00_2519);
																			BgL_arg4341z00_8209 =
																				CDR(((obj_t) BgL_arg4342z00_8210));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_2519,
																			BgL_arg4341z00_8209);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2514,
																BgL_sz00_2482);
															return BgL_____rz00_2520;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2485, (int) (2L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2521;

											BgL_nbpz00_2521 =
												((long) CINT(BgL_bpz00_2484) + BgL_siza7eza7_15741);
											VECTOR_SET(
												((obj_t) BgL_sz00_2482), 0L, BINT(BgL_nbpz00_2521));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2522;

												BgL_rz00_2522 =
													BGL_PROCEDURE_CALL2(BgL_fz00_2485, BgL_a1z00_2486,
													BgL_a2z00_2487);
												VECTOR_SET(((obj_t) BgL_sz00_2482), 0L, BgL_bpz00_2484);
												return BgL_rz00_2522;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15739,
												BgL_symbzd2funzd2_15740, (int) (2L),
												PROCEDURE_ARITY(BgL_fz00_2485));
		}}}}}}}

	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162,
		BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164,
		obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167,
		long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170,
		obj_t BgL_a3z00_171)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2525;

				BgL_cfunz00_2525 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163, 3L,
					BgL_locz00_162, BgL_symbzd2funzd2_164);
				if (CBOOL(BgL_cfunz00_2525))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5149z00_20719;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1373z00_2545;

							BgL_a1373z00_2545 = bgl_debug();
							BgL_test5149z00_20719 = ((long) (BgL_a1373z00_2545) > 0L);
						}
						if (BgL_test5149z00_20719)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32202ze3z87_13810;

								BgL_zc3z04anonymousza32202ze3z87_13810 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32202ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (6L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32202ze3z87_13810,
									(int) (0L), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3z04anonymousza32202ze3z87_13810,
									(int) (1L), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3z04anonymousza32202ze3z87_13810,
									(int) (2L), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3z04anonymousza32202ze3z87_13810,
									(int) (3L), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3z04anonymousza32202ze3z87_13810,
									(int) (4L), BgL_locz00_162);
								PROCEDURE_SET(BgL_zc3z04anonymousza32202ze3z87_13810,
									(int) (5L), BgL_cfunz00_2525);
								return BgL_zc3z04anonymousza32202ze3z87_13810;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32204ze3z87_13811;

								BgL_zc3z04anonymousza32204ze3z87_13811 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32204ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (5L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32204ze3z87_13811,
									(int) (0L), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3z04anonymousza32204ze3z87_13811,
									(int) (1L), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3z04anonymousza32204ze3z87_13811,
									(int) (2L), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3z04anonymousza32204ze3z87_13811,
									(int) (3L), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3z04anonymousza32204ze3z87_13811,
									(int) (4L), BgL_cfunz00_2525);
								return BgL_zc3z04anonymousza32204ze3z87_13811;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_166))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5151z00_20755;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1374z00_2653;

									BgL_a1374z00_2653 = bgl_debug();
									BgL_test5151z00_20755 = ((long) (BgL_a1374z00_2653) > 0L);
								}
								if (BgL_test5151z00_20755)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32206ze3z87_13812;

										BgL_zc3z04anonymousza32206ze3z87_13812 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32206ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (7L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_13812,
											(int) (0L), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_13812,
											(int) (1L), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_13812,
											(int) (2L), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_13812,
											(int) (3L), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_13812,
											(int) (4L), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_13812,
											(int) (5L), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_13812,
											(int) (6L), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32206ze3z87_13812;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32241ze3z87_13813;

										BgL_zc3z04anonymousza32241ze3z87_13813 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32241ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (7L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32241ze3z87_13813,
											(int) (0L), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32241ze3z87_13813,
											(int) (1L), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32241ze3z87_13813,
											(int) (2L), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32241ze3z87_13813,
											(int) (3L), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32241ze3z87_13813,
											(int) (4L), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32241ze3z87_13813,
											(int) (5L), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32241ze3z87_13813,
											(int) (6L), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32241ze3z87_13813;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5152z00_20795;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1375z00_2761;

									BgL_a1375z00_2761 = bgl_debug();
									BgL_test5152z00_20795 = ((long) (BgL_a1375z00_2761) > 0L);
								}
								if (BgL_test5152z00_20795)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32275ze3z87_13814;

										BgL_zc3z04anonymousza32275ze3z87_13814 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32275ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (7L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32275ze3z87_13814,
											(int) (0L), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32275ze3z87_13814,
											(int) (1L), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32275ze3z87_13814,
											(int) (2L), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32275ze3z87_13814,
											(int) (3L), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32275ze3z87_13814,
											(int) (4L), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32275ze3z87_13814,
											(int) (5L), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32275ze3z87_13814,
											(int) (6L), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32275ze3z87_13814;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32316ze3z87_13815;

										BgL_zc3z04anonymousza32316ze3z87_13815 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32316ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (7L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32316ze3z87_13815,
											(int) (0L), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32316ze3z87_13815,
											(int) (1L), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32316ze3z87_13815,
											(int) (2L), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32316ze3z87_13815,
											(int) (3L), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32316ze3z87_13815,
											(int) (4L), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32316ze3z87_13815,
											(int) (5L), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32316ze3z87_13815,
											(int) (6L), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32316ze3z87_13815;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2202> */
	obj_t BGl_z62zc3z04anonymousza32202ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13816, obj_t BgL_sz00_13823)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13817;
				obj_t BgL_a2z00_13818;
				obj_t BgL_a3z00_13819;
				long BgL_siza7eza7_13820;
				obj_t BgL_locz00_13821;
				obj_t BgL_cfunz00_13822;

				BgL_a1z00_13817 = PROCEDURE_REF(BgL_envz00_13816, (int) (0L));
				BgL_a2z00_13818 = PROCEDURE_REF(BgL_envz00_13816, (int) (1L));
				BgL_a3z00_13819 = PROCEDURE_REF(BgL_envz00_13816, (int) (2L));
				BgL_siza7eza7_13820 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13816, (int) (3L)));
				BgL_locz00_13821 = PROCEDURE_REF(BgL_envz00_13816, (int) (4L));
				BgL_cfunz00_13822 = PROCEDURE_REF(BgL_envz00_13816, (int) (5L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15923;

					BgL_bpz00_15923 = VECTOR_REF(((obj_t) BgL_sz00_13823), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15924;
						obj_t BgL_a2z00_15925;
						obj_t BgL_a3z00_15926;

						BgL_a1z00_15924 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_13817, BgL_sz00_13823);
						BgL_a2z00_15925 =
							BGL_PROCEDURE_CALL1(BgL_a2z00_13818, BgL_sz00_13823);
						BgL_a3z00_15926 =
							BGL_PROCEDURE_CALL1(BgL_a3z00_13819, BgL_sz00_13823);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15927;

							BgL_nbpz00_15927 =
								((long) CINT(BgL_bpz00_15923) + BgL_siza7eza7_13820);
							VECTOR_SET(((obj_t) BgL_sz00_13823), 0L, BINT(BgL_nbpz00_15927));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20867;

								BgL_tmpz00_20867 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20867, BgL_locz00_13821);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15928;

								BgL_rz00_15928 =
									BGL_PROCEDURE_CALL3(BgL_cfunz00_13822, BgL_a1z00_15924,
									BgL_a2z00_15925, BgL_a3z00_15926);
								VECTOR_SET(((obj_t) BgL_sz00_13823), 0L, BgL_bpz00_15923);
								return BgL_rz00_15928;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2204> */
	obj_t BGl_z62zc3z04anonymousza32204ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13824, obj_t BgL_sz00_13830)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13825;
				obj_t BgL_a2z00_13826;
				obj_t BgL_a3z00_13827;
				long BgL_siza7eza7_13828;
				obj_t BgL_cfunz00_13829;

				BgL_a1z00_13825 = PROCEDURE_REF(BgL_envz00_13824, (int) (0L));
				BgL_a2z00_13826 = PROCEDURE_REF(BgL_envz00_13824, (int) (1L));
				BgL_a3z00_13827 = PROCEDURE_REF(BgL_envz00_13824, (int) (2L));
				BgL_siza7eza7_13828 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13824, (int) (3L)));
				BgL_cfunz00_13829 = PROCEDURE_REF(BgL_envz00_13824, (int) (4L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15929;

					BgL_bpz00_15929 = VECTOR_REF(((obj_t) BgL_sz00_13830), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15930;
						obj_t BgL_a2z00_15931;
						obj_t BgL_a3z00_15932;

						BgL_a1z00_15930 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_13825, BgL_sz00_13830);
						BgL_a2z00_15931 =
							BGL_PROCEDURE_CALL1(BgL_a2z00_13826, BgL_sz00_13830);
						BgL_a3z00_15932 =
							BGL_PROCEDURE_CALL1(BgL_a3z00_13827, BgL_sz00_13830);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15933;

							BgL_nbpz00_15933 =
								((long) CINT(BgL_bpz00_15929) + BgL_siza7eza7_13828);
							VECTOR_SET(((obj_t) BgL_sz00_13830), 0L, BINT(BgL_nbpz00_15933));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15934;

								BgL_rz00_15934 =
									BGL_PROCEDURE_CALL3(BgL_cfunz00_13829, BgL_a1z00_15930,
									BgL_a2z00_15931, BgL_a3z00_15932);
								VECTOR_SET(((obj_t) BgL_sz00_13830), 0L, BgL_bpz00_15929);
								return BgL_rz00_15934;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2206> */
	obj_t BGl_z62zc3z04anonymousza32206ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13831, obj_t BgL_sz00_13839)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32206ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13831,
						(int) (6L))),
				PROCEDURE_REF(BgL_envz00_13831,
					(int) (5L)),
				PROCEDURE_REF(BgL_envz00_13831,
					(int) (4L)),
				PROCEDURE_REF(BgL_envz00_13831,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13831,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13831,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13831, (int) (0L)), BgL_sz00_13839);
		}

	}



/* <@anonymous:2206>~0 */
	obj_t BGl_zc3z04anonymousza32206ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15735, obj_t BgL_symbzd2funzd2_15734, obj_t BgL_locz00_15733,
		obj_t BgL_a3z00_15732, obj_t BgL_a2z00_15731, obj_t BgL_a1z00_15730,
		obj_t BgL_funz00_15729, obj_t BgL_sz00_2548)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2550;

				BgL_bpz00_2550 = VECTOR_REF(((obj_t) BgL_sz00_2548), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2551;
					obj_t BgL_a1z00_2552;
					obj_t BgL_a2z00_2553;
					obj_t BgL_a3z00_2554;

					BgL_fz00_2551 = BGL_PROCEDURE_CALL1(BgL_funz00_15729, BgL_sz00_2548);
					BgL_a1z00_2552 = BGL_PROCEDURE_CALL1(BgL_a1z00_15730, BgL_sz00_2548);
					BgL_a2z00_2553 = BGL_PROCEDURE_CALL1(BgL_a2z00_15731, BgL_sz00_2548);
					BgL_a3z00_2554 = BGL_PROCEDURE_CALL1(BgL_a3z00_15732, BgL_sz00_2548);
					if (PROCEDUREP(BgL_fz00_2551))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15733,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2551);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2556;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_20953;

							BgL_tmpz00_20953 = ((obj_t) BgL_fz00_2551);
							BgL_ufz00_2556 = PROCEDURE_ATTR(BgL_tmpz00_20953);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5154z00_20956;

							if (STRUCTP(BgL_ufz00_2556))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5154z00_20956 =
										(STRUCT_KEY(BgL_ufz00_2556) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5154z00_20956 = ((bool_t) 0);
								}
							if (BgL_test5154z00_20956)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2558;
									obj_t BgL_runz00_2559;
									obj_t BgL_sfz00_2560;

									BgL_arityz00_2558 = STRUCT_REF(BgL_ufz00_2556, (int) (0L));
									BgL_runz00_2559 = STRUCT_REF(BgL_ufz00_2556, (int) (1L));
									BgL_sfz00_2560 = STRUCT_REF(BgL_ufz00_2556, (int) (2L));
									if (((long) CINT(BgL_arityz00_2558) == 3L))
										{	/* Eval/evaluate_comp.scm 896 */
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2210z00_2563;

												BgL_arg2210z00_2563 =
													((long) CINT(BgL_bpz00_2550) + 0L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2548), BgL_arg2210z00_2563,
													BgL_a1z00_2552);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2211z00_2564;

												BgL_arg2211z00_2564 =
													((long) CINT(BgL_bpz00_2550) + 1L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2548), BgL_arg2211z00_2564,
													BgL_a2z00_2553);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2212z00_2565;

												BgL_arg2212z00_2565 =
													((long) CINT(BgL_bpz00_2550) + 2L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2548), BgL_arg2212z00_2565,
													BgL_a3z00_2554);
										}}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											if (INTEGERP(BgL_arityz00_2558))
												{	/* Eval/evaluate_comp.scm 896 */
													switch ((long) CINT(BgL_arityz00_2558))
														{
														case (-1L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2213z00_2568;
																obj_t BgL_arg2214z00_2569;

																BgL_arg2213z00_2568 =
																	((long) CINT(BgL_bpz00_2550) + 0L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2215z00_2570;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg2216z00_2571;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2217z00_2572;

																			BgL_arg2217z00_2572 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_2554, BNIL);
																			BgL_arg2216z00_2571 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_2553,
																				BgL_arg2217z00_2572);
																		}
																		BgL_list2215z00_2570 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_2552,
																			BgL_arg2216z00_2571);
																	}
																	BgL_arg2214z00_2569 = BgL_list2215z00_2570;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2548), BgL_arg2213z00_2568,
																	BgL_arg2214z00_2569);
															} break;
														case (-2L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2218z00_2573;

																BgL_arg2218z00_2573 =
																	((long) CINT(BgL_bpz00_2550) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2548), BgL_arg2218z00_2573,
																	BgL_a1z00_2552);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2219z00_2574;
																obj_t BgL_arg2220z00_2575;

																BgL_arg2219z00_2574 =
																	((long) CINT(BgL_bpz00_2550) + 1L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2221z00_2576;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg2222z00_2577;

																		BgL_arg2222z00_2577 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_2554, BNIL);
																		BgL_list2221z00_2576 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_2553,
																			BgL_arg2222z00_2577);
																	}
																	BgL_arg2220z00_2575 = BgL_list2221z00_2576;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2548), BgL_arg2219z00_2574,
																	BgL_arg2220z00_2575);
															} break;
														case (-3L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2223z00_2578;

																BgL_arg2223z00_2578 =
																	((long) CINT(BgL_bpz00_2550) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2548), BgL_arg2223z00_2578,
																	BgL_a1z00_2552);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2224z00_2579;

																BgL_arg2224z00_2579 =
																	((long) CINT(BgL_bpz00_2550) + 1L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2548), BgL_arg2224z00_2579,
																	BgL_a2z00_2553);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2225z00_2580;
																obj_t BgL_arg2226z00_2581;

																BgL_arg2225z00_2580 =
																	((long) CINT(BgL_bpz00_2550) + 2L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2227z00_2582;

																	BgL_list2227z00_2582 =
																		MAKE_YOUNG_PAIR(BgL_a3z00_2554, BNIL);
																	BgL_arg2226z00_2581 = BgL_list2227z00_2582;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2548), BgL_arg2225z00_2580,
																	BgL_arg2226z00_2581);
															} break;
														case (-4L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2228z00_2583;

																BgL_arg2228z00_2583 =
																	((long) CINT(BgL_bpz00_2550) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2548), BgL_arg2228z00_2583,
																	BgL_a1z00_2552);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2230z00_2584;

																BgL_arg2230z00_2584 =
																	((long) CINT(BgL_bpz00_2550) + 1L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2548), BgL_arg2230z00_2584,
																	BgL_a2z00_2553);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2231z00_2585;

																BgL_arg2231z00_2585 =
																	((long) CINT(BgL_bpz00_2550) + 2L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2548), BgL_arg2231z00_2585,
																	BgL_a3z00_2554);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2233z00_2586;
																obj_t BgL_arg2234z00_2587;

																BgL_arg2233z00_2586 =
																	((long) CINT(BgL_bpz00_2550) + 3L);
																BgL_arg2234z00_2587 = BNIL;
																VECTOR_SET(
																	((obj_t) BgL_sz00_2548), BgL_arg2233z00_2586,
																	BgL_arg2234z00_2587);
															} break;
														default:
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15733, STRUCT_REF(BgL_ufz00_2556,
																	(int) (3L)), (int) (3L),
																CINT(BgL_arityz00_2558));
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15733,
														STRUCT_REF(BgL_ufz00_2556,
															(int) (3L)), (int) (3L), CINT(BgL_arityz00_2558));
										}}
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_z12denvz12_2590;

										BgL_z12denvz12_2590 = BGL_CURRENT_DYNAMIC_ENV();
										BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2590,
											BgL_locz00_15733);
										if ((((long) CINT(BgL_bpz00_2550) +
													(long) CINT(BgL_sfz00_2560)) <
												VECTOR_LENGTH(((obj_t) BgL_sz00_2548))))
											{	/* Eval/evaluate_comp.scm 896 */
												return BgL_runz00_2559;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_nsz00_2592;

												BgL_nsz00_2592 =
													BGl_makezd2statezd2zz__evaluate_compz00();
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2238z00_2594;

													BgL_arg2238z00_2594 =
														((long) CINT(BgL_bpz00_2550) + 3L);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_nsz00_2592, 2L, BgL_sz00_2548, BgL_bpz00_2550,
														BINT(BgL_arg2238z00_2594));
												}
												VECTOR_SET(BgL_nsz00_2592, 1L, BgL_sz00_2548);
												BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2590,
													BgL_nsz00_2592);
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_ez00_2595;

													BgL_ez00_2595 = BGL_EXITD_TOP_AS_OBJ();
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_arg4344z00_8298;

														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4345z00_8299;

															BgL_arg4345z00_8299 =
																BGL_EXITD_PROTECT(BgL_ez00_2595);
															BgL_arg4344z00_8298 =
																MAKE_YOUNG_PAIR(BgL_sz00_2548,
																BgL_arg4345z00_8299);
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_2595,
															BgL_arg4344z00_8298);
														BUNSPEC;
													}
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_____rz00_2596;

														{	/* Eval/evaluate_comp.scm 670 */
															obj_t BgL_savedzd2bpzd2_8300;

															BgL_savedzd2bpzd2_8300 =
																VECTOR_REF(BgL_nsz00_2592, 0L);
															VECTOR_SET(BgL_nsz00_2592, 0L, BINT(2L));
															{
																obj_t BgL_fz00_8304;

																BgL_fz00_8304 = BgL_runz00_2559;
															BgL_recz00_8303:
																{	/* Eval/evaluate_comp.scm 673 */
																	obj_t BgL_rz00_8305;

																	BgL_rz00_8305 =
																		BGL_PROCEDURE_CALL1(BgL_fz00_8304,
																		BgL_nsz00_2592);
																	{	/* Eval/evaluate_comp.scm 674 */
																		bool_t BgL_test5159z00_21069;

																		if (PROCEDUREP(BgL_rz00_8305))
																			{	/* Eval/evaluate_comp.scm 674 */
																				obj_t BgL_arg1763z00_8308;

																				BgL_arg1763z00_8308 =
																					PROCEDURE_ATTR(BgL_rz00_8305);
																				if (STRUCTP(BgL_arg1763z00_8308))
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5159z00_21069 =
																							(STRUCT_KEY(BgL_arg1763z00_8308)
																							==
																							BGl_symbol4596z00zz__evaluate_compz00);
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5159z00_21069 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				BgL_test5159z00_21069 = ((bool_t) 0);
																			}
																		if (BgL_test5159z00_21069)
																			{
																				obj_t BgL_fz00_21077;

																				BgL_fz00_21077 = BgL_rz00_8305;
																				BgL_fz00_8304 = BgL_fz00_21077;
																				goto BgL_recz00_8303;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				VECTOR_SET(BgL_nsz00_2592, 0L,
																					BgL_savedzd2bpzd2_8300);
																				BgL_____rz00_2596 = BgL_rz00_8305;
																			}
																	}
																}
															}
														}
														{	/* Eval/evaluate_comp.scm 896 */
															bool_t BgL_test5162z00_21079;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4343z00_8316;

																BgL_arg4343z00_8316 =
																	BGL_EXITD_PROTECT(BgL_ez00_2595);
																BgL_test5162z00_21079 =
																	PAIRP(BgL_arg4343z00_8316);
															}
															if (BgL_test5162z00_21079)
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4341z00_8317;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4342z00_8318;

																		BgL_arg4342z00_8318 =
																			BGL_EXITD_PROTECT(BgL_ez00_2595);
																		BgL_arg4341z00_8317 =
																			CDR(((obj_t) BgL_arg4342z00_8318));
																	}
																	BGL_EXITD_PROTECT_SET(BgL_ez00_2595,
																		BgL_arg4341z00_8317);
																	BUNSPEC;
																}
															else
																{	/* Eval/evaluate_comp.scm 896 */
																	BFALSE;
																}
														}
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2590,
															BgL_sz00_2548);
														return BgL_____rz00_2596;
													}
												}
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2551, (int) (3L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2597;

											BgL_nbpz00_2597 =
												((long) CINT(BgL_bpz00_2550) + BgL_siza7eza7_15735);
											VECTOR_SET(
												((obj_t) BgL_sz00_2548), 0L, BINT(BgL_nbpz00_2597));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_tmpz00_21095;

												BgL_tmpz00_21095 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21095,
													BgL_locz00_15733);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2599;

												BgL_rz00_2599 =
													BGL_PROCEDURE_CALL3(BgL_fz00_2551, BgL_a1z00_2552,
													BgL_a2z00_2553, BgL_a3z00_2554);
												VECTOR_SET(((obj_t) BgL_sz00_2548), 0L, BgL_bpz00_2550);
												return BgL_rz00_2599;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15733,
												BgL_symbzd2funzd2_15734, (int) (3L),
												PROCEDURE_ARITY(BgL_fz00_2551));
		}}}}}}}

	}



/* &<@anonymous:2241> */
	obj_t BGl_z62zc3z04anonymousza32241ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13840, obj_t BgL_sz00_13848)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32241ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13840,
						(int) (6L))),
				PROCEDURE_REF(BgL_envz00_13840,
					(int) (5L)),
				PROCEDURE_REF(BgL_envz00_13840,
					(int) (4L)),
				PROCEDURE_REF(BgL_envz00_13840,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13840,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13840,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13840, (int) (0L)), BgL_sz00_13848);
		}

	}



/* <@anonymous:2241>~0 */
	obj_t BGl_zc3z04anonymousza32241ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15728, obj_t BgL_symbzd2funzd2_15727, obj_t BgL_locz00_15726,
		obj_t BgL_a3z00_15725, obj_t BgL_a2z00_15724, obj_t BgL_a1z00_15723,
		obj_t BgL_funz00_15722, obj_t BgL_sz00_2601)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2603;

				BgL_bpz00_2603 = VECTOR_REF(((obj_t) BgL_sz00_2601), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2604;
					obj_t BgL_a1z00_2605;
					obj_t BgL_a2z00_2606;
					obj_t BgL_a3z00_2607;

					BgL_fz00_2604 = BGL_PROCEDURE_CALL1(BgL_funz00_15722, BgL_sz00_2601);
					BgL_a1z00_2605 = BGL_PROCEDURE_CALL1(BgL_a1z00_15723, BgL_sz00_2601);
					BgL_a2z00_2606 = BGL_PROCEDURE_CALL1(BgL_a2z00_15724, BgL_sz00_2601);
					BgL_a3z00_2607 = BGL_PROCEDURE_CALL1(BgL_a3z00_15725, BgL_sz00_2601);
					if (PROCEDUREP(BgL_fz00_2604))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15726,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2604);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2609;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_21146;

							BgL_tmpz00_21146 = ((obj_t) BgL_fz00_2604);
							BgL_ufz00_2609 = PROCEDURE_ATTR(BgL_tmpz00_21146);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5165z00_21149;

							if (STRUCTP(BgL_ufz00_2609))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5165z00_21149 =
										(STRUCT_KEY(BgL_ufz00_2609) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5165z00_21149 = ((bool_t) 0);
								}
							if (BgL_test5165z00_21149)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2611;
									obj_t BgL_runz00_2612;
									obj_t BgL_sfz00_2613;

									BgL_arityz00_2611 = STRUCT_REF(BgL_ufz00_2609, (int) (0L));
									BgL_runz00_2612 = STRUCT_REF(BgL_ufz00_2609, (int) (1L));
									BgL_sfz00_2613 = STRUCT_REF(BgL_ufz00_2609, (int) (2L));
									if (((long) CINT(BgL_arityz00_2611) == 3L))
										{	/* Eval/evaluate_comp.scm 896 */
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2245z00_2616;

												BgL_arg2245z00_2616 =
													((long) CINT(BgL_bpz00_2603) + 0L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2601), BgL_arg2245z00_2616,
													BgL_a1z00_2605);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2246z00_2617;

												BgL_arg2246z00_2617 =
													((long) CINT(BgL_bpz00_2603) + 1L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2601), BgL_arg2246z00_2617,
													BgL_a2z00_2606);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2247z00_2618;

												BgL_arg2247z00_2618 =
													((long) CINT(BgL_bpz00_2603) + 2L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2601), BgL_arg2247z00_2618,
													BgL_a3z00_2607);
										}}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											if (INTEGERP(BgL_arityz00_2611))
												{	/* Eval/evaluate_comp.scm 896 */
													switch ((long) CINT(BgL_arityz00_2611))
														{
														case (-1L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2248z00_2621;
																obj_t BgL_arg2249z00_2622;

																BgL_arg2248z00_2621 =
																	((long) CINT(BgL_bpz00_2603) + 0L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2250z00_2623;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg2252z00_2624;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2253z00_2625;

																			BgL_arg2253z00_2625 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_2607, BNIL);
																			BgL_arg2252z00_2624 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_2606,
																				BgL_arg2253z00_2625);
																		}
																		BgL_list2250z00_2623 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_2605,
																			BgL_arg2252z00_2624);
																	}
																	BgL_arg2249z00_2622 = BgL_list2250z00_2623;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2601), BgL_arg2248z00_2621,
																	BgL_arg2249z00_2622);
															} break;
														case (-2L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2254z00_2626;

																BgL_arg2254z00_2626 =
																	((long) CINT(BgL_bpz00_2603) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2601), BgL_arg2254z00_2626,
																	BgL_a1z00_2605);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2255z00_2627;
																obj_t BgL_arg2256z00_2628;

																BgL_arg2255z00_2627 =
																	((long) CINT(BgL_bpz00_2603) + 1L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2257z00_2629;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg2258z00_2630;

																		BgL_arg2258z00_2630 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_2607, BNIL);
																		BgL_list2257z00_2629 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_2606,
																			BgL_arg2258z00_2630);
																	}
																	BgL_arg2256z00_2628 = BgL_list2257z00_2629;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2601), BgL_arg2255z00_2627,
																	BgL_arg2256z00_2628);
															} break;
														case (-3L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2259z00_2631;

																BgL_arg2259z00_2631 =
																	((long) CINT(BgL_bpz00_2603) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2601), BgL_arg2259z00_2631,
																	BgL_a1z00_2605);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2260z00_2632;

																BgL_arg2260z00_2632 =
																	((long) CINT(BgL_bpz00_2603) + 1L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2601), BgL_arg2260z00_2632,
																	BgL_a2z00_2606);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2261z00_2633;
																obj_t BgL_arg2262z00_2634;

																BgL_arg2261z00_2633 =
																	((long) CINT(BgL_bpz00_2603) + 2L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2263z00_2635;

																	BgL_list2263z00_2635 =
																		MAKE_YOUNG_PAIR(BgL_a3z00_2607, BNIL);
																	BgL_arg2262z00_2634 = BgL_list2263z00_2635;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2601), BgL_arg2261z00_2633,
																	BgL_arg2262z00_2634);
															} break;
														case (-4L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2264z00_2636;

																BgL_arg2264z00_2636 =
																	((long) CINT(BgL_bpz00_2603) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2601), BgL_arg2264z00_2636,
																	BgL_a1z00_2605);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2265z00_2637;

																BgL_arg2265z00_2637 =
																	((long) CINT(BgL_bpz00_2603) + 1L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2601), BgL_arg2265z00_2637,
																	BgL_a2z00_2606);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2266z00_2638;

																BgL_arg2266z00_2638 =
																	((long) CINT(BgL_bpz00_2603) + 2L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2601), BgL_arg2266z00_2638,
																	BgL_a3z00_2607);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2267z00_2639;
																obj_t BgL_arg2268z00_2640;

																BgL_arg2267z00_2639 =
																	((long) CINT(BgL_bpz00_2603) + 3L);
																BgL_arg2268z00_2640 = BNIL;
																VECTOR_SET(
																	((obj_t) BgL_sz00_2601), BgL_arg2267z00_2639,
																	BgL_arg2268z00_2640);
															} break;
														default:
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15726, STRUCT_REF(BgL_ufz00_2609,
																	(int) (3L)), (int) (3L),
																CINT(BgL_arityz00_2611));
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15726,
														STRUCT_REF(BgL_ufz00_2609,
															(int) (3L)), (int) (3L), CINT(BgL_arityz00_2611));
										}}
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_z12denvz12_2643;

										BgL_z12denvz12_2643 = BGL_CURRENT_DYNAMIC_ENV();
										if (
											(((long) CINT(BgL_bpz00_2603) +
													(long) CINT(BgL_sfz00_2613)) <
												VECTOR_LENGTH(((obj_t) BgL_sz00_2601))))
											{	/* Eval/evaluate_comp.scm 896 */
												return BgL_runz00_2612;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_nsz00_2645;

												BgL_nsz00_2645 =
													BGl_makezd2statezd2zz__evaluate_compz00();
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2272z00_2647;

													BgL_arg2272z00_2647 =
														((long) CINT(BgL_bpz00_2603) + 3L);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_nsz00_2645, 2L, BgL_sz00_2601, BgL_bpz00_2603,
														BINT(BgL_arg2272z00_2647));
												}
												VECTOR_SET(BgL_nsz00_2645, 1L, BgL_sz00_2601);
												BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2643,
													BgL_nsz00_2645);
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_ez00_2648;

													BgL_ez00_2648 = BGL_EXITD_TOP_AS_OBJ();
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_arg4344z00_8394;

														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4345z00_8395;

															BgL_arg4345z00_8395 =
																BGL_EXITD_PROTECT(BgL_ez00_2648);
															BgL_arg4344z00_8394 =
																MAKE_YOUNG_PAIR(BgL_sz00_2601,
																BgL_arg4345z00_8395);
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_2648,
															BgL_arg4344z00_8394);
														BUNSPEC;
													}
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_____rz00_2649;

														{	/* Eval/evaluate_comp.scm 670 */
															obj_t BgL_savedzd2bpzd2_8396;

															BgL_savedzd2bpzd2_8396 =
																VECTOR_REF(BgL_nsz00_2645, 0L);
															VECTOR_SET(BgL_nsz00_2645, 0L, BINT(2L));
															{
																obj_t BgL_fz00_8400;

																BgL_fz00_8400 = BgL_runz00_2612;
															BgL_recz00_8399:
																{	/* Eval/evaluate_comp.scm 673 */
																	obj_t BgL_rz00_8401;

																	BgL_rz00_8401 =
																		BGL_PROCEDURE_CALL1(BgL_fz00_8400,
																		BgL_nsz00_2645);
																	{	/* Eval/evaluate_comp.scm 674 */
																		bool_t BgL_test5170z00_21261;

																		if (PROCEDUREP(BgL_rz00_8401))
																			{	/* Eval/evaluate_comp.scm 674 */
																				obj_t BgL_arg1763z00_8404;

																				BgL_arg1763z00_8404 =
																					PROCEDURE_ATTR(BgL_rz00_8401);
																				if (STRUCTP(BgL_arg1763z00_8404))
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5170z00_21261 =
																							(STRUCT_KEY(BgL_arg1763z00_8404)
																							==
																							BGl_symbol4596z00zz__evaluate_compz00);
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5170z00_21261 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				BgL_test5170z00_21261 = ((bool_t) 0);
																			}
																		if (BgL_test5170z00_21261)
																			{
																				obj_t BgL_fz00_21269;

																				BgL_fz00_21269 = BgL_rz00_8401;
																				BgL_fz00_8400 = BgL_fz00_21269;
																				goto BgL_recz00_8399;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				VECTOR_SET(BgL_nsz00_2645, 0L,
																					BgL_savedzd2bpzd2_8396);
																				BgL_____rz00_2649 = BgL_rz00_8401;
																			}
																	}
																}
															}
														}
														{	/* Eval/evaluate_comp.scm 896 */
															bool_t BgL_test5173z00_21271;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4343z00_8412;

																BgL_arg4343z00_8412 =
																	BGL_EXITD_PROTECT(BgL_ez00_2648);
																BgL_test5173z00_21271 =
																	PAIRP(BgL_arg4343z00_8412);
															}
															if (BgL_test5173z00_21271)
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4341z00_8413;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4342z00_8414;

																		BgL_arg4342z00_8414 =
																			BGL_EXITD_PROTECT(BgL_ez00_2648);
																		BgL_arg4341z00_8413 =
																			CDR(((obj_t) BgL_arg4342z00_8414));
																	}
																	BGL_EXITD_PROTECT_SET(BgL_ez00_2648,
																		BgL_arg4341z00_8413);
																	BUNSPEC;
																}
															else
																{	/* Eval/evaluate_comp.scm 896 */
																	BFALSE;
																}
														}
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2643,
															BgL_sz00_2601);
														return BgL_____rz00_2649;
													}
												}
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2604, (int) (3L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2650;

											BgL_nbpz00_2650 =
												((long) CINT(BgL_bpz00_2603) + BgL_siza7eza7_15728);
											VECTOR_SET(
												((obj_t) BgL_sz00_2601), 0L, BINT(BgL_nbpz00_2650));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2651;

												BgL_rz00_2651 =
													BGL_PROCEDURE_CALL3(BgL_fz00_2604, BgL_a1z00_2605,
													BgL_a2z00_2606, BgL_a3z00_2607);
												VECTOR_SET(((obj_t) BgL_sz00_2601), 0L, BgL_bpz00_2603);
												return BgL_rz00_2651;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15726,
												BgL_symbzd2funzd2_15727, (int) (3L),
												PROCEDURE_ARITY(BgL_fz00_2604));
		}}}}}}}

	}



/* &<@anonymous:2275> */
	obj_t BGl_z62zc3z04anonymousza32275ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13849, obj_t BgL_sz00_13857)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32275ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13849,
						(int) (6L))),
				PROCEDURE_REF(BgL_envz00_13849,
					(int) (5L)),
				PROCEDURE_REF(BgL_envz00_13849,
					(int) (4L)),
				PROCEDURE_REF(BgL_envz00_13849,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13849,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13849,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13849, (int) (0L)), BgL_sz00_13857);
		}

	}



/* <@anonymous:2275>~0 */
	obj_t BGl_zc3z04anonymousza32275ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15721, obj_t BgL_symbzd2funzd2_15720, obj_t BgL_locz00_15719,
		obj_t BgL_a3z00_15718, obj_t BgL_a2z00_15717, obj_t BgL_a1z00_15716,
		obj_t BgL_funz00_15715, obj_t BgL_sz00_2656)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2658;

				BgL_bpz00_2658 = VECTOR_REF(((obj_t) BgL_sz00_2656), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2659;
					obj_t BgL_a1z00_2660;
					obj_t BgL_a2z00_2661;
					obj_t BgL_a3z00_2662;

					BgL_fz00_2659 = BGL_PROCEDURE_CALL1(BgL_funz00_15715, BgL_sz00_2656);
					BgL_a1z00_2660 = BGL_PROCEDURE_CALL1(BgL_a1z00_15716, BgL_sz00_2656);
					BgL_a2z00_2661 = BGL_PROCEDURE_CALL1(BgL_a2z00_15717, BgL_sz00_2656);
					BgL_a3z00_2662 = BGL_PROCEDURE_CALL1(BgL_a3z00_15718, BgL_sz00_2656);
					if (PROCEDUREP(BgL_fz00_2659))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15719,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2659);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2664;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_21335;

							BgL_tmpz00_21335 = ((obj_t) BgL_fz00_2659);
							BgL_ufz00_2664 = PROCEDURE_ATTR(BgL_tmpz00_21335);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5176z00_21338;

							if (STRUCTP(BgL_ufz00_2664))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5176z00_21338 =
										(STRUCT_KEY(BgL_ufz00_2664) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5176z00_21338 = ((bool_t) 0);
								}
							if (BgL_test5176z00_21338)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2666;
									obj_t BgL_runz00_2667;
									obj_t BgL_sfz00_2668;

									BgL_arityz00_2666 = STRUCT_REF(BgL_ufz00_2664, (int) (0L));
									BgL_runz00_2667 = STRUCT_REF(BgL_ufz00_2664, (int) (1L));
									BgL_sfz00_2668 = STRUCT_REF(BgL_ufz00_2664, (int) (2L));
									{	/* Eval/evaluate_comp.scm 896 */
										long BgL_spz00_2669;

										BgL_spz00_2669 =
											((long) CINT(BgL_bpz00_2658) + BgL_siza7eza7_15721);
										if (((long) CINT(BgL_arityz00_2666) == 3L))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2279z00_2671;

													BgL_arg2279z00_2671 = (BgL_spz00_2669 + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2656), BgL_arg2279z00_2671,
														BgL_a1z00_2660);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2280z00_2672;

													BgL_arg2280z00_2672 = (BgL_spz00_2669 + 1L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2656), BgL_arg2280z00_2672,
														BgL_a2z00_2661);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2281z00_2673;

													BgL_arg2281z00_2673 = (BgL_spz00_2669 + 2L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2656), BgL_arg2281z00_2673,
														BgL_a3z00_2662);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_2666))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_2666))
															{
															case (-1L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2283z00_2676;
																	obj_t BgL_arg2284z00_2677;

																	BgL_arg2283z00_2676 = (BgL_spz00_2669 + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2285z00_2678;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2286z00_2679;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2287z00_2680;

																				BgL_arg2287z00_2680 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_2662, BNIL);
																				BgL_arg2286z00_2679 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_2661,
																					BgL_arg2287z00_2680);
																			}
																			BgL_list2285z00_2678 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_2660,
																				BgL_arg2286z00_2679);
																		}
																		BgL_arg2284z00_2677 = BgL_list2285z00_2678;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2656),
																		BgL_arg2283z00_2676, BgL_arg2284z00_2677);
																} break;
															case (-2L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2288z00_2681;

																	BgL_arg2288z00_2681 = (BgL_spz00_2669 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2656),
																		BgL_arg2288z00_2681, BgL_a1z00_2660);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2289z00_2682;
																	obj_t BgL_arg2291z00_2683;

																	BgL_arg2289z00_2682 = (BgL_spz00_2669 + 1L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2292z00_2684;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2293z00_2685;

																			BgL_arg2293z00_2685 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_2662, BNIL);
																			BgL_list2292z00_2684 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_2661,
																				BgL_arg2293z00_2685);
																		}
																		BgL_arg2291z00_2683 = BgL_list2292z00_2684;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2656),
																		BgL_arg2289z00_2682, BgL_arg2291z00_2683);
																} break;
															case (-3L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2294z00_2686;

																	BgL_arg2294z00_2686 = (BgL_spz00_2669 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2656),
																		BgL_arg2294z00_2686, BgL_a1z00_2660);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2295z00_2687;

																	BgL_arg2295z00_2687 = (BgL_spz00_2669 + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2656),
																		BgL_arg2295z00_2687, BgL_a2z00_2661);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2298z00_2688;
																	obj_t BgL_arg2300z00_2689;

																	BgL_arg2298z00_2688 = (BgL_spz00_2669 + 2L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2301z00_2690;

																		BgL_list2301z00_2690 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_2662, BNIL);
																		BgL_arg2300z00_2689 = BgL_list2301z00_2690;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2656),
																		BgL_arg2298z00_2688, BgL_arg2300z00_2689);
																} break;
															case (-4L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2302z00_2691;

																	BgL_arg2302z00_2691 = (BgL_spz00_2669 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2656),
																		BgL_arg2302z00_2691, BgL_a1z00_2660);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2303z00_2692;

																	BgL_arg2303z00_2692 = (BgL_spz00_2669 + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2656),
																		BgL_arg2303z00_2692, BgL_a2z00_2661);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2305z00_2693;

																	BgL_arg2305z00_2693 = (BgL_spz00_2669 + 2L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2656),
																		BgL_arg2305z00_2693, BgL_a3z00_2662);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2307z00_2694;
																	obj_t BgL_arg2308z00_2695;

																	BgL_arg2307z00_2694 = (BgL_spz00_2669 + 3L);
																	BgL_arg2308z00_2695 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2656),
																		BgL_arg2307z00_2694, BgL_arg2308z00_2695);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15719, STRUCT_REF(BgL_ufz00_2664,
																		(int) (3L)), (int) (3L),
																	CINT(BgL_arityz00_2666));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_15719, STRUCT_REF(BgL_ufz00_2664,
																(int) (3L)), (int) (3L),
															CINT(BgL_arityz00_2666));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_2698;

											BgL_z12denvz12_2698 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2698,
												BgL_locz00_15719);
											if (((BgL_spz00_2669 + (long) CINT(BgL_sfz00_2668)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_2656))))
												{	/* Eval/evaluate_comp.scm 896 */
													return
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_2667, BgL_sz00_2656,
														BINT(BgL_spz00_2669));
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_2700;

													BgL_nsz00_2700 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2313z00_2702;

														BgL_arg2313z00_2702 = (BgL_spz00_2669 + 3L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_2700, 2L, BgL_sz00_2656,
															BINT(BgL_spz00_2669), BINT(BgL_arg2313z00_2702));
													}
													VECTOR_SET(BgL_nsz00_2700, 1L, BgL_sz00_2656);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2698,
														BgL_nsz00_2700);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_2703;

														BgL_ez00_2703 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4344z00_8491;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4345z00_8492;

																BgL_arg4345z00_8492 =
																	BGL_EXITD_PROTECT(BgL_ez00_2703);
																BgL_arg4344z00_8491 =
																	MAKE_YOUNG_PAIR(BgL_sz00_2656,
																	BgL_arg4345z00_8492);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_2703,
																BgL_arg4344z00_8491);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_2704;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_8493;

																BgL_savedzd2bpzd2_8493 =
																	VECTOR_REF(BgL_nsz00_2700, 0L);
																VECTOR_SET(BgL_nsz00_2700, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_8497;

																	BgL_fz00_8497 = BgL_runz00_2667;
																BgL_recz00_8496:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_8498;

																		BgL_rz00_8498 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_8497,
																			BgL_nsz00_2700);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5181z00_21441;

																			if (PROCEDUREP(BgL_rz00_8498))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_8501;

																					BgL_arg1763z00_8501 =
																						PROCEDURE_ATTR(BgL_rz00_8498);
																					if (STRUCTP(BgL_arg1763z00_8501))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5181z00_21441 =
																								(STRUCT_KEY(BgL_arg1763z00_8501)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5181z00_21441 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5181z00_21441 = ((bool_t) 0);
																				}
																			if (BgL_test5181z00_21441)
																				{
																					obj_t BgL_fz00_21449;

																					BgL_fz00_21449 = BgL_rz00_8498;
																					BgL_fz00_8497 = BgL_fz00_21449;
																					goto BgL_recz00_8496;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_2700, 0L,
																						BgL_savedzd2bpzd2_8493);
																					BgL_____rz00_2704 = BgL_rz00_8498;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5184z00_21451;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4343z00_8509;

																	BgL_arg4343z00_8509 =
																		BGL_EXITD_PROTECT(BgL_ez00_2703);
																	BgL_test5184z00_21451 =
																		PAIRP(BgL_arg4343z00_8509);
																}
																if (BgL_test5184z00_21451)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4341z00_8510;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4342z00_8511;

																			BgL_arg4342z00_8511 =
																				BGL_EXITD_PROTECT(BgL_ez00_2703);
																			BgL_arg4341z00_8510 =
																				CDR(((obj_t) BgL_arg4342z00_8511));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_2703,
																			BgL_arg4341z00_8510);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2698,
																BgL_sz00_2656);
															return BgL_____rz00_2704;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2659, (int) (3L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2705;

											BgL_nbpz00_2705 =
												((long) CINT(BgL_bpz00_2658) + BgL_siza7eza7_15721);
											VECTOR_SET(
												((obj_t) BgL_sz00_2656), 0L, BINT(BgL_nbpz00_2705));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_tmpz00_21467;

												BgL_tmpz00_21467 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21467,
													BgL_locz00_15719);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2707;

												BgL_rz00_2707 =
													BGL_PROCEDURE_CALL3(BgL_fz00_2659, BgL_a1z00_2660,
													BgL_a2z00_2661, BgL_a3z00_2662);
												VECTOR_SET(((obj_t) BgL_sz00_2656), 0L, BgL_bpz00_2658);
												return BgL_rz00_2707;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15719,
												BgL_symbzd2funzd2_15720, (int) (3L),
												PROCEDURE_ARITY(BgL_fz00_2659));
		}}}}}}}

	}



/* &<@anonymous:2316> */
	obj_t BGl_z62zc3z04anonymousza32316ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13858, obj_t BgL_sz00_13866)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32316ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13858,
						(int) (6L))),
				PROCEDURE_REF(BgL_envz00_13858,
					(int) (5L)),
				PROCEDURE_REF(BgL_envz00_13858,
					(int) (4L)),
				PROCEDURE_REF(BgL_envz00_13858,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13858,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13858,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13858, (int) (0L)), BgL_sz00_13866);
		}

	}



/* <@anonymous:2316>~0 */
	obj_t BGl_zc3z04anonymousza32316ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15714, obj_t BgL_symbzd2funzd2_15713, obj_t BgL_locz00_15712,
		obj_t BgL_a3z00_15711, obj_t BgL_a2z00_15710, obj_t BgL_a1z00_15709,
		obj_t BgL_funz00_15708, obj_t BgL_sz00_2709)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2711;

				BgL_bpz00_2711 = VECTOR_REF(((obj_t) BgL_sz00_2709), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2712;
					obj_t BgL_a1z00_2713;
					obj_t BgL_a2z00_2714;
					obj_t BgL_a3z00_2715;

					BgL_fz00_2712 = BGL_PROCEDURE_CALL1(BgL_funz00_15708, BgL_sz00_2709);
					BgL_a1z00_2713 = BGL_PROCEDURE_CALL1(BgL_a1z00_15709, BgL_sz00_2709);
					BgL_a2z00_2714 = BGL_PROCEDURE_CALL1(BgL_a2z00_15710, BgL_sz00_2709);
					BgL_a3z00_2715 = BGL_PROCEDURE_CALL1(BgL_a3z00_15711, BgL_sz00_2709);
					if (PROCEDUREP(BgL_fz00_2712))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15712,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2712);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2717;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_21518;

							BgL_tmpz00_21518 = ((obj_t) BgL_fz00_2712);
							BgL_ufz00_2717 = PROCEDURE_ATTR(BgL_tmpz00_21518);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5187z00_21521;

							if (STRUCTP(BgL_ufz00_2717))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5187z00_21521 =
										(STRUCT_KEY(BgL_ufz00_2717) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5187z00_21521 = ((bool_t) 0);
								}
							if (BgL_test5187z00_21521)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2719;
									obj_t BgL_runz00_2720;
									obj_t BgL_sfz00_2721;

									BgL_arityz00_2719 = STRUCT_REF(BgL_ufz00_2717, (int) (0L));
									BgL_runz00_2720 = STRUCT_REF(BgL_ufz00_2717, (int) (1L));
									BgL_sfz00_2721 = STRUCT_REF(BgL_ufz00_2717, (int) (2L));
									{	/* Eval/evaluate_comp.scm 896 */
										long BgL_spz00_2722;

										BgL_spz00_2722 =
											((long) CINT(BgL_bpz00_2711) + BgL_siza7eza7_15714);
										if (((long) CINT(BgL_arityz00_2719) == 3L))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2320z00_2724;

													BgL_arg2320z00_2724 = (BgL_spz00_2722 + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2709), BgL_arg2320z00_2724,
														BgL_a1z00_2713);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2321z00_2725;

													BgL_arg2321z00_2725 = (BgL_spz00_2722 + 1L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2709), BgL_arg2321z00_2725,
														BgL_a2z00_2714);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2323z00_2726;

													BgL_arg2323z00_2726 = (BgL_spz00_2722 + 2L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2709), BgL_arg2323z00_2726,
														BgL_a3z00_2715);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_2719))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_2719))
															{
															case (-1L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2324z00_2729;
																	obj_t BgL_arg2325z00_2730;

																	BgL_arg2324z00_2729 = (BgL_spz00_2722 + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2326z00_2731;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2327z00_2732;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2328z00_2733;

																				BgL_arg2328z00_2733 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_2715, BNIL);
																				BgL_arg2327z00_2732 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_2714,
																					BgL_arg2328z00_2733);
																			}
																			BgL_list2326z00_2731 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_2713,
																				BgL_arg2327z00_2732);
																		}
																		BgL_arg2325z00_2730 = BgL_list2326z00_2731;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2709),
																		BgL_arg2324z00_2729, BgL_arg2325z00_2730);
																} break;
															case (-2L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2329z00_2734;

																	BgL_arg2329z00_2734 = (BgL_spz00_2722 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2709),
																		BgL_arg2329z00_2734, BgL_a1z00_2713);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2331z00_2735;
																	obj_t BgL_arg2334z00_2736;

																	BgL_arg2331z00_2735 = (BgL_spz00_2722 + 1L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2335z00_2737;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2336z00_2738;

																			BgL_arg2336z00_2738 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_2715, BNIL);
																			BgL_list2335z00_2737 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_2714,
																				BgL_arg2336z00_2738);
																		}
																		BgL_arg2334z00_2736 = BgL_list2335z00_2737;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2709),
																		BgL_arg2331z00_2735, BgL_arg2334z00_2736);
																} break;
															case (-3L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2337z00_2739;

																	BgL_arg2337z00_2739 = (BgL_spz00_2722 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2709),
																		BgL_arg2337z00_2739, BgL_a1z00_2713);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2338z00_2740;

																	BgL_arg2338z00_2740 = (BgL_spz00_2722 + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2709),
																		BgL_arg2338z00_2740, BgL_a2z00_2714);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2340z00_2741;
																	obj_t BgL_arg2341z00_2742;

																	BgL_arg2340z00_2741 = (BgL_spz00_2722 + 2L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2342z00_2743;

																		BgL_list2342z00_2743 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_2715, BNIL);
																		BgL_arg2341z00_2742 = BgL_list2342z00_2743;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2709),
																		BgL_arg2340z00_2741, BgL_arg2341z00_2742);
																} break;
															case (-4L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2343z00_2744;

																	BgL_arg2343z00_2744 = (BgL_spz00_2722 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2709),
																		BgL_arg2343z00_2744, BgL_a1z00_2713);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2345z00_2745;

																	BgL_arg2345z00_2745 = (BgL_spz00_2722 + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2709),
																		BgL_arg2345z00_2745, BgL_a2z00_2714);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2346z00_2746;

																	BgL_arg2346z00_2746 = (BgL_spz00_2722 + 2L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2709),
																		BgL_arg2346z00_2746, BgL_a3z00_2715);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2348z00_2747;
																	obj_t BgL_arg2349z00_2748;

																	BgL_arg2348z00_2747 = (BgL_spz00_2722 + 3L);
																	BgL_arg2349z00_2748 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2709),
																		BgL_arg2348z00_2747, BgL_arg2349z00_2748);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15712, STRUCT_REF(BgL_ufz00_2717,
																		(int) (3L)), (int) (3L),
																	CINT(BgL_arityz00_2719));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_15712, STRUCT_REF(BgL_ufz00_2717,
																(int) (3L)), (int) (3L),
															CINT(BgL_arityz00_2719));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_2751;

											BgL_z12denvz12_2751 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												((BgL_spz00_2722 +
														(long) CINT(BgL_sfz00_2721)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_2709))))
												{	/* Eval/evaluate_comp.scm 896 */
													return
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_2720, BgL_sz00_2709,
														BINT(BgL_spz00_2722));
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_2753;

													BgL_nsz00_2753 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2353z00_2755;

														BgL_arg2353z00_2755 = (BgL_spz00_2722 + 3L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_2753, 2L, BgL_sz00_2709,
															BINT(BgL_spz00_2722), BINT(BgL_arg2353z00_2755));
													}
													VECTOR_SET(BgL_nsz00_2753, 1L, BgL_sz00_2709);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2751,
														BgL_nsz00_2753);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_2756;

														BgL_ez00_2756 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4344z00_8587;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4345z00_8588;

																BgL_arg4345z00_8588 =
																	BGL_EXITD_PROTECT(BgL_ez00_2756);
																BgL_arg4344z00_8587 =
																	MAKE_YOUNG_PAIR(BgL_sz00_2709,
																	BgL_arg4345z00_8588);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_2756,
																BgL_arg4344z00_8587);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_2757;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_8589;

																BgL_savedzd2bpzd2_8589 =
																	VECTOR_REF(BgL_nsz00_2753, 0L);
																VECTOR_SET(BgL_nsz00_2753, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_8593;

																	BgL_fz00_8593 = BgL_runz00_2720;
																BgL_recz00_8592:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_8594;

																		BgL_rz00_8594 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_8593,
																			BgL_nsz00_2753);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5192z00_21623;

																			if (PROCEDUREP(BgL_rz00_8594))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_8597;

																					BgL_arg1763z00_8597 =
																						PROCEDURE_ATTR(BgL_rz00_8594);
																					if (STRUCTP(BgL_arg1763z00_8597))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5192z00_21623 =
																								(STRUCT_KEY(BgL_arg1763z00_8597)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5192z00_21623 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5192z00_21623 = ((bool_t) 0);
																				}
																			if (BgL_test5192z00_21623)
																				{
																					obj_t BgL_fz00_21631;

																					BgL_fz00_21631 = BgL_rz00_8594;
																					BgL_fz00_8593 = BgL_fz00_21631;
																					goto BgL_recz00_8592;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_2753, 0L,
																						BgL_savedzd2bpzd2_8589);
																					BgL_____rz00_2757 = BgL_rz00_8594;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5195z00_21633;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4343z00_8605;

																	BgL_arg4343z00_8605 =
																		BGL_EXITD_PROTECT(BgL_ez00_2756);
																	BgL_test5195z00_21633 =
																		PAIRP(BgL_arg4343z00_8605);
																}
																if (BgL_test5195z00_21633)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4341z00_8606;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4342z00_8607;

																			BgL_arg4342z00_8607 =
																				BGL_EXITD_PROTECT(BgL_ez00_2756);
																			BgL_arg4341z00_8606 =
																				CDR(((obj_t) BgL_arg4342z00_8607));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_2756,
																			BgL_arg4341z00_8606);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2751,
																BgL_sz00_2709);
															return BgL_____rz00_2757;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2712, (int) (3L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2758;

											BgL_nbpz00_2758 =
												((long) CINT(BgL_bpz00_2711) + BgL_siza7eza7_15714);
											VECTOR_SET(
												((obj_t) BgL_sz00_2709), 0L, BINT(BgL_nbpz00_2758));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2759;

												BgL_rz00_2759 =
													BGL_PROCEDURE_CALL3(BgL_fz00_2712, BgL_a1z00_2713,
													BgL_a2z00_2714, BgL_a3z00_2715);
												VECTOR_SET(((obj_t) BgL_sz00_2709), 0L, BgL_bpz00_2711);
												return BgL_rz00_2759;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15712,
												BgL_symbzd2funzd2_15713, (int) (3L),
												PROCEDURE_ARITY(BgL_fz00_2712));
		}}}}}}}

	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172,
		BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174,
		obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177,
		long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180,
		obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2762;

				BgL_cfunz00_2762 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173, 4L,
					BgL_locz00_172, BgL_symbzd2funzd2_174);
				if (CBOOL(BgL_cfunz00_2762))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5198z00_21663;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1376z00_2784;

							BgL_a1376z00_2784 = bgl_debug();
							BgL_test5198z00_21663 = ((long) (BgL_a1376z00_2784) > 0L);
						}
						if (BgL_test5198z00_21663)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32356ze3z87_13867;

								BgL_zc3z04anonymousza32356ze3z87_13867 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32356ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (7L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_13867,
									(int) (0L), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_13867,
									(int) (1L), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_13867,
									(int) (2L), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_13867,
									(int) (3L), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_13867,
									(int) (4L), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_13867,
									(int) (5L), BgL_locz00_172);
								PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_13867,
									(int) (6L), BgL_cfunz00_2762);
								return BgL_zc3z04anonymousza32356ze3z87_13867;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32359ze3z87_13868;

								BgL_zc3z04anonymousza32359ze3z87_13868 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32359ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (6L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32359ze3z87_13868,
									(int) (0L), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3z04anonymousza32359ze3z87_13868,
									(int) (1L), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3z04anonymousza32359ze3z87_13868,
									(int) (2L), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3z04anonymousza32359ze3z87_13868,
									(int) (3L), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3z04anonymousza32359ze3z87_13868,
									(int) (4L), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3z04anonymousza32359ze3z87_13868,
									(int) (5L), BgL_cfunz00_2762);
								return BgL_zc3z04anonymousza32359ze3z87_13868;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_176))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5200z00_21703;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1377z00_2916;

									BgL_a1377z00_2916 = bgl_debug();
									BgL_test5200z00_21703 = ((long) (BgL_a1377z00_2916) > 0L);
								}
								if (BgL_test5200z00_21703)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32361ze3z87_13869;

										BgL_zc3z04anonymousza32361ze3z87_13869 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32361ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (8L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32361ze3z87_13869,
											(int) (0L), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32361ze3z87_13869,
											(int) (1L), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32361ze3z87_13869,
											(int) (2L), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32361ze3z87_13869,
											(int) (3L), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32361ze3z87_13869,
											(int) (4L), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32361ze3z87_13869,
											(int) (5L), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32361ze3z87_13869,
											(int) (6L), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32361ze3z87_13869,
											(int) (7L), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32361ze3z87_13869;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32422ze3z87_13870;

										BgL_zc3z04anonymousza32422ze3z87_13870 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32422ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (8L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13870,
											(int) (0L), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13870,
											(int) (1L), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13870,
											(int) (2L), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13870,
											(int) (3L), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13870,
											(int) (4L), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13870,
											(int) (5L), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13870,
											(int) (6L), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13870,
											(int) (7L), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32422ze3z87_13870;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5201z00_21747;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1378z00_3048;

									BgL_a1378z00_3048 = bgl_debug();
									BgL_test5201z00_21747 = ((long) (BgL_a1378z00_3048) > 0L);
								}
								if (BgL_test5201z00_21747)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32487ze3z87_13871;

										BgL_zc3z04anonymousza32487ze3z87_13871 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32487ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (8L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32487ze3z87_13871,
											(int) (0L), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32487ze3z87_13871,
											(int) (1L), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32487ze3z87_13871,
											(int) (2L), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32487ze3z87_13871,
											(int) (3L), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32487ze3z87_13871,
											(int) (4L), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32487ze3z87_13871,
											(int) (5L), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32487ze3z87_13871,
											(int) (6L), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32487ze3z87_13871,
											(int) (7L), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32487ze3z87_13871;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32540ze3z87_13872;

										BgL_zc3z04anonymousza32540ze3z87_13872 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32540ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (8L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32540ze3z87_13872,
											(int) (0L), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32540ze3z87_13872,
											(int) (1L), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32540ze3z87_13872,
											(int) (2L), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32540ze3z87_13872,
											(int) (3L), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32540ze3z87_13872,
											(int) (4L), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32540ze3z87_13872,
											(int) (5L), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32540ze3z87_13872,
											(int) (6L), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32540ze3z87_13872,
											(int) (7L), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32540ze3z87_13872;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2356> */
	obj_t BGl_z62zc3z04anonymousza32356ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13873, obj_t BgL_sz00_13881)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13874;
				obj_t BgL_a2z00_13875;
				obj_t BgL_a3z00_13876;
				obj_t BgL_a4z00_13877;
				long BgL_siza7eza7_13878;
				obj_t BgL_locz00_13879;
				obj_t BgL_cfunz00_13880;

				BgL_a1z00_13874 = PROCEDURE_REF(BgL_envz00_13873, (int) (0L));
				BgL_a2z00_13875 = PROCEDURE_REF(BgL_envz00_13873, (int) (1L));
				BgL_a3z00_13876 = PROCEDURE_REF(BgL_envz00_13873, (int) (2L));
				BgL_a4z00_13877 = PROCEDURE_REF(BgL_envz00_13873, (int) (3L));
				BgL_siza7eza7_13878 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13873, (int) (4L)));
				BgL_locz00_13879 = PROCEDURE_REF(BgL_envz00_13873, (int) (5L));
				BgL_cfunz00_13880 = PROCEDURE_REF(BgL_envz00_13873, (int) (6L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15935;

					BgL_bpz00_15935 = VECTOR_REF(((obj_t) BgL_sz00_13881), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15936;
						obj_t BgL_a2z00_15937;
						obj_t BgL_a3z00_15938;
						obj_t BgL_a4z00_15939;

						BgL_a1z00_15936 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_13874, BgL_sz00_13881);
						BgL_a2z00_15937 =
							BGL_PROCEDURE_CALL1(BgL_a2z00_13875, BgL_sz00_13881);
						BgL_a3z00_15938 =
							BGL_PROCEDURE_CALL1(BgL_a3z00_13876, BgL_sz00_13881);
						BgL_a4z00_15939 =
							BGL_PROCEDURE_CALL1(BgL_a4z00_13877, BgL_sz00_13881);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15940;

							BgL_nbpz00_15940 =
								((long) CINT(BgL_bpz00_15935) + BgL_siza7eza7_13878);
							VECTOR_SET(((obj_t) BgL_sz00_13881), 0L, BINT(BgL_nbpz00_15940));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21829;

								BgL_tmpz00_21829 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21829, BgL_locz00_13879);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15941;

								BgL_rz00_15941 =
									BGL_PROCEDURE_CALL4(BgL_cfunz00_13880, BgL_a1z00_15936,
									BgL_a2z00_15937, BgL_a3z00_15938, BgL_a4z00_15939);
								VECTOR_SET(((obj_t) BgL_sz00_13881), 0L, BgL_bpz00_15935);
								return BgL_rz00_15941;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2359> */
	obj_t BGl_z62zc3z04anonymousza32359ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13882, obj_t BgL_sz00_13889)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13883;
				obj_t BgL_a2z00_13884;
				obj_t BgL_a3z00_13885;
				obj_t BgL_a4z00_13886;
				long BgL_siza7eza7_13887;
				obj_t BgL_cfunz00_13888;

				BgL_a1z00_13883 = PROCEDURE_REF(BgL_envz00_13882, (int) (0L));
				BgL_a2z00_13884 = PROCEDURE_REF(BgL_envz00_13882, (int) (1L));
				BgL_a3z00_13885 = PROCEDURE_REF(BgL_envz00_13882, (int) (2L));
				BgL_a4z00_13886 = PROCEDURE_REF(BgL_envz00_13882, (int) (3L));
				BgL_siza7eza7_13887 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13882, (int) (4L)));
				BgL_cfunz00_13888 = PROCEDURE_REF(BgL_envz00_13882, (int) (5L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15942;

					BgL_bpz00_15942 = VECTOR_REF(((obj_t) BgL_sz00_13889), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15943;
						obj_t BgL_a2z00_15944;
						obj_t BgL_a3z00_15945;
						obj_t BgL_a4z00_15946;

						BgL_a1z00_15943 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_13883, BgL_sz00_13889);
						BgL_a2z00_15944 =
							BGL_PROCEDURE_CALL1(BgL_a2z00_13884, BgL_sz00_13889);
						BgL_a3z00_15945 =
							BGL_PROCEDURE_CALL1(BgL_a3z00_13885, BgL_sz00_13889);
						BgL_a4z00_15946 =
							BGL_PROCEDURE_CALL1(BgL_a4z00_13886, BgL_sz00_13889);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15947;

							BgL_nbpz00_15947 =
								((long) CINT(BgL_bpz00_15942) + BgL_siza7eza7_13887);
							VECTOR_SET(((obj_t) BgL_sz00_13889), 0L, BINT(BgL_nbpz00_15947));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15948;

								BgL_rz00_15948 =
									BGL_PROCEDURE_CALL4(BgL_cfunz00_13888, BgL_a1z00_15943,
									BgL_a2z00_15944, BgL_a3z00_15945, BgL_a4z00_15946);
								VECTOR_SET(((obj_t) BgL_sz00_13889), 0L, BgL_bpz00_15942);
								return BgL_rz00_15948;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2361> */
	obj_t BGl_z62zc3z04anonymousza32361ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13890, obj_t BgL_sz00_13899)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32361ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13890,
						(int) (7L))),
				PROCEDURE_REF(BgL_envz00_13890,
					(int) (6L)),
				PROCEDURE_REF(BgL_envz00_13890,
					(int) (5L)),
				PROCEDURE_REF(BgL_envz00_13890,
					(int) (4L)),
				PROCEDURE_REF(BgL_envz00_13890,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13890,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13890,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13890, (int) (0L)), BgL_sz00_13899);
		}

	}



/* <@anonymous:2361>~0 */
	obj_t BGl_zc3z04anonymousza32361ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15707, obj_t BgL_symbzd2funzd2_15706, obj_t BgL_locz00_15705,
		obj_t BgL_a4z00_15704, obj_t BgL_a3z00_15703, obj_t BgL_a2z00_15702,
		obj_t BgL_a1z00_15701, obj_t BgL_funz00_15700, obj_t BgL_sz00_2787)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2789;

				BgL_bpz00_2789 = VECTOR_REF(((obj_t) BgL_sz00_2787), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2790;
					obj_t BgL_a1z00_2791;
					obj_t BgL_a2z00_2792;
					obj_t BgL_a3z00_2793;
					obj_t BgL_a4z00_2794;

					BgL_fz00_2790 = BGL_PROCEDURE_CALL1(BgL_funz00_15700, BgL_sz00_2787);
					BgL_a1z00_2791 = BGL_PROCEDURE_CALL1(BgL_a1z00_15701, BgL_sz00_2787);
					BgL_a2z00_2792 = BGL_PROCEDURE_CALL1(BgL_a2z00_15702, BgL_sz00_2787);
					BgL_a3z00_2793 = BGL_PROCEDURE_CALL1(BgL_a3z00_15703, BgL_sz00_2787);
					BgL_a4z00_2794 = BGL_PROCEDURE_CALL1(BgL_a4z00_15704, BgL_sz00_2787);
					if (PROCEDUREP(BgL_fz00_2790))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15705,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2790);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2796;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_21929;

							BgL_tmpz00_21929 = ((obj_t) BgL_fz00_2790);
							BgL_ufz00_2796 = PROCEDURE_ATTR(BgL_tmpz00_21929);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5203z00_21932;

							if (STRUCTP(BgL_ufz00_2796))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5203z00_21932 =
										(STRUCT_KEY(BgL_ufz00_2796) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5203z00_21932 = ((bool_t) 0);
								}
							if (BgL_test5203z00_21932)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2798;
									obj_t BgL_runz00_2799;
									obj_t BgL_sfz00_2800;

									BgL_arityz00_2798 = STRUCT_REF(BgL_ufz00_2796, (int) (0L));
									BgL_runz00_2799 = STRUCT_REF(BgL_ufz00_2796, (int) (1L));
									BgL_sfz00_2800 = STRUCT_REF(BgL_ufz00_2796, (int) (2L));
									if (((long) CINT(BgL_arityz00_2798) == 4L))
										{	/* Eval/evaluate_comp.scm 896 */
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2365z00_2803;

												BgL_arg2365z00_2803 =
													((long) CINT(BgL_bpz00_2789) + 0L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2787), BgL_arg2365z00_2803,
													BgL_a1z00_2791);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2366z00_2804;

												BgL_arg2366z00_2804 =
													((long) CINT(BgL_bpz00_2789) + 1L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2787), BgL_arg2366z00_2804,
													BgL_a2z00_2792);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2369z00_2805;

												BgL_arg2369z00_2805 =
													((long) CINT(BgL_bpz00_2789) + 2L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2787), BgL_arg2369z00_2805,
													BgL_a3z00_2793);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2371z00_2806;

												BgL_arg2371z00_2806 =
													((long) CINT(BgL_bpz00_2789) + 3L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2787), BgL_arg2371z00_2806,
													BgL_a4z00_2794);
										}}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											if (INTEGERP(BgL_arityz00_2798))
												{	/* Eval/evaluate_comp.scm 896 */
													switch ((long) CINT(BgL_arityz00_2798))
														{
														case (-1L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2372z00_2809;
																obj_t BgL_arg2373z00_2810;

																BgL_arg2372z00_2809 =
																	((long) CINT(BgL_bpz00_2789) + 0L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2374z00_2811;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg2375z00_2812;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2377z00_2813;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2379z00_2814;

																				BgL_arg2379z00_2814 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_2794, BNIL);
																				BgL_arg2377z00_2813 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_2793,
																					BgL_arg2379z00_2814);
																			}
																			BgL_arg2375z00_2812 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_2792,
																				BgL_arg2377z00_2813);
																		}
																		BgL_list2374z00_2811 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_2791,
																			BgL_arg2375z00_2812);
																	}
																	BgL_arg2373z00_2810 = BgL_list2374z00_2811;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2372z00_2809,
																	BgL_arg2373z00_2810);
															} break;
														case (-2L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2380z00_2815;

																BgL_arg2380z00_2815 =
																	((long) CINT(BgL_bpz00_2789) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2380z00_2815,
																	BgL_a1z00_2791);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2381z00_2816;
																obj_t BgL_arg2382z00_2817;

																BgL_arg2381z00_2816 =
																	((long) CINT(BgL_bpz00_2789) + 1L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2383z00_2818;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg2385z00_2819;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2387z00_2820;

																			BgL_arg2387z00_2820 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_2794, BNIL);
																			BgL_arg2385z00_2819 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_2793,
																				BgL_arg2387z00_2820);
																		}
																		BgL_list2383z00_2818 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_2792,
																			BgL_arg2385z00_2819);
																	}
																	BgL_arg2382z00_2817 = BgL_list2383z00_2818;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2381z00_2816,
																	BgL_arg2382z00_2817);
															} break;
														case (-3L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2388z00_2821;

																BgL_arg2388z00_2821 =
																	((long) CINT(BgL_bpz00_2789) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2388z00_2821,
																	BgL_a1z00_2791);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2389z00_2822;

																BgL_arg2389z00_2822 =
																	((long) CINT(BgL_bpz00_2789) + 1L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2389z00_2822,
																	BgL_a2z00_2792);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2390z00_2823;
																obj_t BgL_arg2391z00_2824;

																BgL_arg2390z00_2823 =
																	((long) CINT(BgL_bpz00_2789) + 2L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2392z00_2825;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg2393z00_2826;

																		BgL_arg2393z00_2826 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_2794, BNIL);
																		BgL_list2392z00_2825 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_2793,
																			BgL_arg2393z00_2826);
																	}
																	BgL_arg2391z00_2824 = BgL_list2392z00_2825;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2390z00_2823,
																	BgL_arg2391z00_2824);
															} break;
														case (-4L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2396z00_2827;

																BgL_arg2396z00_2827 =
																	((long) CINT(BgL_bpz00_2789) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2396z00_2827,
																	BgL_a1z00_2791);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2398z00_2828;

																BgL_arg2398z00_2828 =
																	((long) CINT(BgL_bpz00_2789) + 1L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2398z00_2828,
																	BgL_a2z00_2792);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2399z00_2829;

																BgL_arg2399z00_2829 =
																	((long) CINT(BgL_bpz00_2789) + 2L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2399z00_2829,
																	BgL_a3z00_2793);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2401z00_2830;
																obj_t BgL_arg2402z00_2831;

																BgL_arg2401z00_2830 =
																	((long) CINT(BgL_bpz00_2789) + 3L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2403z00_2832;

																	BgL_list2403z00_2832 =
																		MAKE_YOUNG_PAIR(BgL_a4z00_2794, BNIL);
																	BgL_arg2402z00_2831 = BgL_list2403z00_2832;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2401z00_2830,
																	BgL_arg2402z00_2831);
															} break;
														case (-5L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2404z00_2833;

																BgL_arg2404z00_2833 =
																	((long) CINT(BgL_bpz00_2789) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2404z00_2833,
																	BgL_a1z00_2791);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2405z00_2834;

																BgL_arg2405z00_2834 =
																	((long) CINT(BgL_bpz00_2789) + 1L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2405z00_2834,
																	BgL_a2z00_2792);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2407z00_2835;

																BgL_arg2407z00_2835 =
																	((long) CINT(BgL_bpz00_2789) + 2L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2407z00_2835,
																	BgL_a3z00_2793);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2411z00_2836;

																BgL_arg2411z00_2836 =
																	((long) CINT(BgL_bpz00_2789) + 3L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2411z00_2836,
																	BgL_a4z00_2794);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2412z00_2837;
																obj_t BgL_arg2413z00_2838;

																BgL_arg2412z00_2837 =
																	((long) CINT(BgL_bpz00_2789) + 4L);
																BgL_arg2413z00_2838 = BNIL;
																VECTOR_SET(
																	((obj_t) BgL_sz00_2787), BgL_arg2412z00_2837,
																	BgL_arg2413z00_2838);
															} break;
														default:
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15705, STRUCT_REF(BgL_ufz00_2796,
																	(int) (3L)), (int) (4L),
																CINT(BgL_arityz00_2798));
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15705,
														STRUCT_REF(BgL_ufz00_2796,
															(int) (3L)), (int) (4L), CINT(BgL_arityz00_2798));
										}}
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_z12denvz12_2841;

										BgL_z12denvz12_2841 = BGL_CURRENT_DYNAMIC_ENV();
										BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2841,
											BgL_locz00_15705);
										if ((((long) CINT(BgL_bpz00_2789) +
													(long) CINT(BgL_sfz00_2800)) <
												VECTOR_LENGTH(((obj_t) BgL_sz00_2787))))
											{	/* Eval/evaluate_comp.scm 896 */
												return BgL_runz00_2799;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_nsz00_2843;

												BgL_nsz00_2843 =
													BGl_makezd2statezd2zz__evaluate_compz00();
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2417z00_2845;

													BgL_arg2417z00_2845 =
														((long) CINT(BgL_bpz00_2789) + 4L);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_nsz00_2843, 2L, BgL_sz00_2787, BgL_bpz00_2789,
														BINT(BgL_arg2417z00_2845));
												}
												VECTOR_SET(BgL_nsz00_2843, 1L, BgL_sz00_2787);
												BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2841,
													BgL_nsz00_2843);
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_ez00_2846;

													BgL_ez00_2846 = BGL_EXITD_TOP_AS_OBJ();
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_arg4344z00_8714;

														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4345z00_8715;

															BgL_arg4345z00_8715 =
																BGL_EXITD_PROTECT(BgL_ez00_2846);
															BgL_arg4344z00_8714 =
																MAKE_YOUNG_PAIR(BgL_sz00_2787,
																BgL_arg4345z00_8715);
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_2846,
															BgL_arg4344z00_8714);
														BUNSPEC;
													}
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_____rz00_2847;

														{	/* Eval/evaluate_comp.scm 670 */
															obj_t BgL_savedzd2bpzd2_8716;

															BgL_savedzd2bpzd2_8716 =
																VECTOR_REF(BgL_nsz00_2843, 0L);
															VECTOR_SET(BgL_nsz00_2843, 0L, BINT(2L));
															{
																obj_t BgL_fz00_8720;

																BgL_fz00_8720 = BgL_runz00_2799;
															BgL_recz00_8719:
																{	/* Eval/evaluate_comp.scm 673 */
																	obj_t BgL_rz00_8721;

																	BgL_rz00_8721 =
																		BGL_PROCEDURE_CALL1(BgL_fz00_8720,
																		BgL_nsz00_2843);
																	{	/* Eval/evaluate_comp.scm 674 */
																		bool_t BgL_test5208z00_22073;

																		if (PROCEDUREP(BgL_rz00_8721))
																			{	/* Eval/evaluate_comp.scm 674 */
																				obj_t BgL_arg1763z00_8724;

																				BgL_arg1763z00_8724 =
																					PROCEDURE_ATTR(BgL_rz00_8721);
																				if (STRUCTP(BgL_arg1763z00_8724))
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5208z00_22073 =
																							(STRUCT_KEY(BgL_arg1763z00_8724)
																							==
																							BGl_symbol4596z00zz__evaluate_compz00);
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5208z00_22073 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				BgL_test5208z00_22073 = ((bool_t) 0);
																			}
																		if (BgL_test5208z00_22073)
																			{
																				obj_t BgL_fz00_22081;

																				BgL_fz00_22081 = BgL_rz00_8721;
																				BgL_fz00_8720 = BgL_fz00_22081;
																				goto BgL_recz00_8719;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				VECTOR_SET(BgL_nsz00_2843, 0L,
																					BgL_savedzd2bpzd2_8716);
																				BgL_____rz00_2847 = BgL_rz00_8721;
																			}
																	}
																}
															}
														}
														{	/* Eval/evaluate_comp.scm 896 */
															bool_t BgL_test5211z00_22083;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4343z00_8732;

																BgL_arg4343z00_8732 =
																	BGL_EXITD_PROTECT(BgL_ez00_2846);
																BgL_test5211z00_22083 =
																	PAIRP(BgL_arg4343z00_8732);
															}
															if (BgL_test5211z00_22083)
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4341z00_8733;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4342z00_8734;

																		BgL_arg4342z00_8734 =
																			BGL_EXITD_PROTECT(BgL_ez00_2846);
																		BgL_arg4341z00_8733 =
																			CDR(((obj_t) BgL_arg4342z00_8734));
																	}
																	BGL_EXITD_PROTECT_SET(BgL_ez00_2846,
																		BgL_arg4341z00_8733);
																	BUNSPEC;
																}
															else
																{	/* Eval/evaluate_comp.scm 896 */
																	BFALSE;
																}
														}
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2841,
															BgL_sz00_2787);
														return BgL_____rz00_2847;
													}
												}
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2790, (int) (4L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2848;

											BgL_nbpz00_2848 =
												((long) CINT(BgL_bpz00_2789) + BgL_siza7eza7_15707);
											VECTOR_SET(
												((obj_t) BgL_sz00_2787), 0L, BINT(BgL_nbpz00_2848));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_tmpz00_22099;

												BgL_tmpz00_22099 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22099,
													BgL_locz00_15705);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2850;

												BgL_rz00_2850 =
													BGL_PROCEDURE_CALL4(BgL_fz00_2790, BgL_a1z00_2791,
													BgL_a2z00_2792, BgL_a3z00_2793, BgL_a4z00_2794);
												VECTOR_SET(((obj_t) BgL_sz00_2787), 0L, BgL_bpz00_2789);
												return BgL_rz00_2850;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15705,
												BgL_symbzd2funzd2_15706, (int) (4L),
												PROCEDURE_ARITY(BgL_fz00_2790));
		}}}}}}}

	}



/* &<@anonymous:2422> */
	obj_t BGl_z62zc3z04anonymousza32422ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13900, obj_t BgL_sz00_13909)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32422ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13900,
						(int) (7L))),
				PROCEDURE_REF(BgL_envz00_13900,
					(int) (6L)),
				PROCEDURE_REF(BgL_envz00_13900,
					(int) (5L)),
				PROCEDURE_REF(BgL_envz00_13900,
					(int) (4L)),
				PROCEDURE_REF(BgL_envz00_13900,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13900,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13900,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13900, (int) (0L)), BgL_sz00_13909);
		}

	}



/* <@anonymous:2422>~0 */
	obj_t BGl_zc3z04anonymousza32422ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15699, obj_t BgL_symbzd2funzd2_15698, obj_t BgL_locz00_15697,
		obj_t BgL_a4z00_15696, obj_t BgL_a3z00_15695, obj_t BgL_a2z00_15694,
		obj_t BgL_a1z00_15693, obj_t BgL_funz00_15692, obj_t BgL_sz00_2852)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2854;

				BgL_bpz00_2854 = VECTOR_REF(((obj_t) BgL_sz00_2852), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2855;
					obj_t BgL_a1z00_2856;
					obj_t BgL_a2z00_2857;
					obj_t BgL_a3z00_2858;
					obj_t BgL_a4z00_2859;

					BgL_fz00_2855 = BGL_PROCEDURE_CALL1(BgL_funz00_15692, BgL_sz00_2852);
					BgL_a1z00_2856 = BGL_PROCEDURE_CALL1(BgL_a1z00_15693, BgL_sz00_2852);
					BgL_a2z00_2857 = BGL_PROCEDURE_CALL1(BgL_a2z00_15694, BgL_sz00_2852);
					BgL_a3z00_2858 = BGL_PROCEDURE_CALL1(BgL_a3z00_15695, BgL_sz00_2852);
					BgL_a4z00_2859 = BGL_PROCEDURE_CALL1(BgL_a4z00_15696, BgL_sz00_2852);
					if (PROCEDUREP(BgL_fz00_2855))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15697,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2855);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2861;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_22157;

							BgL_tmpz00_22157 = ((obj_t) BgL_fz00_2855);
							BgL_ufz00_2861 = PROCEDURE_ATTR(BgL_tmpz00_22157);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5214z00_22160;

							if (STRUCTP(BgL_ufz00_2861))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5214z00_22160 =
										(STRUCT_KEY(BgL_ufz00_2861) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5214z00_22160 = ((bool_t) 0);
								}
							if (BgL_test5214z00_22160)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2863;
									obj_t BgL_runz00_2864;
									obj_t BgL_sfz00_2865;

									BgL_arityz00_2863 = STRUCT_REF(BgL_ufz00_2861, (int) (0L));
									BgL_runz00_2864 = STRUCT_REF(BgL_ufz00_2861, (int) (1L));
									BgL_sfz00_2865 = STRUCT_REF(BgL_ufz00_2861, (int) (2L));
									if (((long) CINT(BgL_arityz00_2863) == 4L))
										{	/* Eval/evaluate_comp.scm 896 */
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2428z00_2868;

												BgL_arg2428z00_2868 =
													((long) CINT(BgL_bpz00_2854) + 0L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2852), BgL_arg2428z00_2868,
													BgL_a1z00_2856);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2429z00_2869;

												BgL_arg2429z00_2869 =
													((long) CINT(BgL_bpz00_2854) + 1L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2852), BgL_arg2429z00_2869,
													BgL_a2z00_2857);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2430z00_2870;

												BgL_arg2430z00_2870 =
													((long) CINT(BgL_bpz00_2854) + 2L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2852), BgL_arg2430z00_2870,
													BgL_a3z00_2858);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2431z00_2871;

												BgL_arg2431z00_2871 =
													((long) CINT(BgL_bpz00_2854) + 3L);
												VECTOR_SET(
													((obj_t) BgL_sz00_2852), BgL_arg2431z00_2871,
													BgL_a4z00_2859);
										}}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											if (INTEGERP(BgL_arityz00_2863))
												{	/* Eval/evaluate_comp.scm 896 */
													switch ((long) CINT(BgL_arityz00_2863))
														{
														case (-1L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2437z00_2874;
																obj_t BgL_arg2438z00_2875;

																BgL_arg2437z00_2874 =
																	((long) CINT(BgL_bpz00_2854) + 0L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2439z00_2876;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg2440z00_2877;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2441z00_2878;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2443z00_2879;

																				BgL_arg2443z00_2879 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_2859, BNIL);
																				BgL_arg2441z00_2878 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_2858,
																					BgL_arg2443z00_2879);
																			}
																			BgL_arg2440z00_2877 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_2857,
																				BgL_arg2441z00_2878);
																		}
																		BgL_list2439z00_2876 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_2856,
																			BgL_arg2440z00_2877);
																	}
																	BgL_arg2438z00_2875 = BgL_list2439z00_2876;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2437z00_2874,
																	BgL_arg2438z00_2875);
															} break;
														case (-2L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2448z00_2880;

																BgL_arg2448z00_2880 =
																	((long) CINT(BgL_bpz00_2854) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2448z00_2880,
																	BgL_a1z00_2856);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2449z00_2881;
																obj_t BgL_arg2450z00_2882;

																BgL_arg2449z00_2881 =
																	((long) CINT(BgL_bpz00_2854) + 1L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2451z00_2883;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg2452z00_2884;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2454z00_2885;

																			BgL_arg2454z00_2885 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_2859, BNIL);
																			BgL_arg2452z00_2884 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_2858,
																				BgL_arg2454z00_2885);
																		}
																		BgL_list2451z00_2883 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_2857,
																			BgL_arg2452z00_2884);
																	}
																	BgL_arg2450z00_2882 = BgL_list2451z00_2883;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2449z00_2881,
																	BgL_arg2450z00_2882);
															} break;
														case (-3L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2455z00_2886;

																BgL_arg2455z00_2886 =
																	((long) CINT(BgL_bpz00_2854) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2455z00_2886,
																	BgL_a1z00_2856);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2457z00_2887;

																BgL_arg2457z00_2887 =
																	((long) CINT(BgL_bpz00_2854) + 1L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2457z00_2887,
																	BgL_a2z00_2857);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2459z00_2888;
																obj_t BgL_arg2461z00_2889;

																BgL_arg2459z00_2888 =
																	((long) CINT(BgL_bpz00_2854) + 2L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2462z00_2890;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg2464z00_2891;

																		BgL_arg2464z00_2891 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_2859, BNIL);
																		BgL_list2462z00_2890 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_2858,
																			BgL_arg2464z00_2891);
																	}
																	BgL_arg2461z00_2889 = BgL_list2462z00_2890;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2459z00_2888,
																	BgL_arg2461z00_2889);
															} break;
														case (-4L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2465z00_2892;

																BgL_arg2465z00_2892 =
																	((long) CINT(BgL_bpz00_2854) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2465z00_2892,
																	BgL_a1z00_2856);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2466z00_2893;

																BgL_arg2466z00_2893 =
																	((long) CINT(BgL_bpz00_2854) + 1L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2466z00_2893,
																	BgL_a2z00_2857);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2467z00_2894;

																BgL_arg2467z00_2894 =
																	((long) CINT(BgL_bpz00_2854) + 2L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2467z00_2894,
																	BgL_a3z00_2858);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2469z00_2895;
																obj_t BgL_arg2470z00_2896;

																BgL_arg2469z00_2895 =
																	((long) CINT(BgL_bpz00_2854) + 3L);
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_list2471z00_2897;

																	BgL_list2471z00_2897 =
																		MAKE_YOUNG_PAIR(BgL_a4z00_2859, BNIL);
																	BgL_arg2470z00_2896 = BgL_list2471z00_2897;
																}
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2469z00_2895,
																	BgL_arg2470z00_2896);
															} break;
														case (-5L):

															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2472z00_2898;

																BgL_arg2472z00_2898 =
																	((long) CINT(BgL_bpz00_2854) + 0L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2472z00_2898,
																	BgL_a1z00_2856);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2473z00_2899;

																BgL_arg2473z00_2899 =
																	((long) CINT(BgL_bpz00_2854) + 1L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2473z00_2899,
																	BgL_a2z00_2857);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2474z00_2900;

																BgL_arg2474z00_2900 =
																	((long) CINT(BgL_bpz00_2854) + 2L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2474z00_2900,
																	BgL_a3z00_2858);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2476z00_2901;

																BgL_arg2476z00_2901 =
																	((long) CINT(BgL_bpz00_2854) + 3L);
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2476z00_2901,
																	BgL_a4z00_2859);
															}
															{	/* Eval/evaluate_comp.scm 896 */
																long BgL_arg2477z00_2902;
																obj_t BgL_arg2478z00_2903;

																BgL_arg2477z00_2902 =
																	((long) CINT(BgL_bpz00_2854) + 4L);
																BgL_arg2478z00_2903 = BNIL;
																VECTOR_SET(
																	((obj_t) BgL_sz00_2852), BgL_arg2477z00_2902,
																	BgL_arg2478z00_2903);
															} break;
														default:
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15697, STRUCT_REF(BgL_ufz00_2861,
																	(int) (3L)), (int) (4L),
																CINT(BgL_arityz00_2863));
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15697,
														STRUCT_REF(BgL_ufz00_2861,
															(int) (3L)), (int) (4L), CINT(BgL_arityz00_2863));
										}}
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_z12denvz12_2906;

										BgL_z12denvz12_2906 = BGL_CURRENT_DYNAMIC_ENV();
										if (
											(((long) CINT(BgL_bpz00_2854) +
													(long) CINT(BgL_sfz00_2865)) <
												VECTOR_LENGTH(((obj_t) BgL_sz00_2852))))
											{	/* Eval/evaluate_comp.scm 896 */
												return BgL_runz00_2864;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_nsz00_2908;

												BgL_nsz00_2908 =
													BGl_makezd2statezd2zz__evaluate_compz00();
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2482z00_2910;

													BgL_arg2482z00_2910 =
														((long) CINT(BgL_bpz00_2854) + 4L);
													BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
														(BgL_nsz00_2908, 2L, BgL_sz00_2852, BgL_bpz00_2854,
														BINT(BgL_arg2482z00_2910));
												}
												VECTOR_SET(BgL_nsz00_2908, 1L, BgL_sz00_2852);
												BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2906,
													BgL_nsz00_2908);
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_ez00_2911;

													BgL_ez00_2911 = BGL_EXITD_TOP_AS_OBJ();
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_arg4344z00_8829;

														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4345z00_8830;

															BgL_arg4345z00_8830 =
																BGL_EXITD_PROTECT(BgL_ez00_2911);
															BgL_arg4344z00_8829 =
																MAKE_YOUNG_PAIR(BgL_sz00_2852,
																BgL_arg4345z00_8830);
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_2911,
															BgL_arg4344z00_8829);
														BUNSPEC;
													}
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_____rz00_2912;

														{	/* Eval/evaluate_comp.scm 670 */
															obj_t BgL_savedzd2bpzd2_8831;

															BgL_savedzd2bpzd2_8831 =
																VECTOR_REF(BgL_nsz00_2908, 0L);
															VECTOR_SET(BgL_nsz00_2908, 0L, BINT(2L));
															{
																obj_t BgL_fz00_8835;

																BgL_fz00_8835 = BgL_runz00_2864;
															BgL_recz00_8834:
																{	/* Eval/evaluate_comp.scm 673 */
																	obj_t BgL_rz00_8836;

																	BgL_rz00_8836 =
																		BGL_PROCEDURE_CALL1(BgL_fz00_8835,
																		BgL_nsz00_2908);
																	{	/* Eval/evaluate_comp.scm 674 */
																		bool_t BgL_test5219z00_22300;

																		if (PROCEDUREP(BgL_rz00_8836))
																			{	/* Eval/evaluate_comp.scm 674 */
																				obj_t BgL_arg1763z00_8839;

																				BgL_arg1763z00_8839 =
																					PROCEDURE_ATTR(BgL_rz00_8836);
																				if (STRUCTP(BgL_arg1763z00_8839))
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5219z00_22300 =
																							(STRUCT_KEY(BgL_arg1763z00_8839)
																							==
																							BGl_symbol4596z00zz__evaluate_compz00);
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 654 */
																						BgL_test5219z00_22300 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				BgL_test5219z00_22300 = ((bool_t) 0);
																			}
																		if (BgL_test5219z00_22300)
																			{
																				obj_t BgL_fz00_22308;

																				BgL_fz00_22308 = BgL_rz00_8836;
																				BgL_fz00_8835 = BgL_fz00_22308;
																				goto BgL_recz00_8834;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 674 */
																				VECTOR_SET(BgL_nsz00_2908, 0L,
																					BgL_savedzd2bpzd2_8831);
																				BgL_____rz00_2912 = BgL_rz00_8836;
																			}
																	}
																}
															}
														}
														{	/* Eval/evaluate_comp.scm 896 */
															bool_t BgL_test5222z00_22310;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4343z00_8847;

																BgL_arg4343z00_8847 =
																	BGL_EXITD_PROTECT(BgL_ez00_2911);
																BgL_test5222z00_22310 =
																	PAIRP(BgL_arg4343z00_8847);
															}
															if (BgL_test5222z00_22310)
																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4341z00_8848;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4342z00_8849;

																		BgL_arg4342z00_8849 =
																			BGL_EXITD_PROTECT(BgL_ez00_2911);
																		BgL_arg4341z00_8848 =
																			CDR(((obj_t) BgL_arg4342z00_8849));
																	}
																	BGL_EXITD_PROTECT_SET(BgL_ez00_2911,
																		BgL_arg4341z00_8848);
																	BUNSPEC;
																}
															else
																{	/* Eval/evaluate_comp.scm 896 */
																	BFALSE;
																}
														}
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2906,
															BgL_sz00_2852);
														return BgL_____rz00_2912;
													}
												}
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2855, (int) (4L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2913;

											BgL_nbpz00_2913 =
												((long) CINT(BgL_bpz00_2854) + BgL_siza7eza7_15699);
											VECTOR_SET(
												((obj_t) BgL_sz00_2852), 0L, BINT(BgL_nbpz00_2913));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2914;

												BgL_rz00_2914 =
													BGL_PROCEDURE_CALL4(BgL_fz00_2855, BgL_a1z00_2856,
													BgL_a2z00_2857, BgL_a3z00_2858, BgL_a4z00_2859);
												VECTOR_SET(((obj_t) BgL_sz00_2852), 0L, BgL_bpz00_2854);
												return BgL_rz00_2914;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15697,
												BgL_symbzd2funzd2_15698, (int) (4L),
												PROCEDURE_ARITY(BgL_fz00_2855));
		}}}}}}}

	}



/* &<@anonymous:2487> */
	obj_t BGl_z62zc3z04anonymousza32487ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13910, obj_t BgL_sz00_13919)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32487ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13910,
						(int) (7L))),
				PROCEDURE_REF(BgL_envz00_13910,
					(int) (6L)),
				PROCEDURE_REF(BgL_envz00_13910,
					(int) (5L)),
				PROCEDURE_REF(BgL_envz00_13910,
					(int) (4L)),
				PROCEDURE_REF(BgL_envz00_13910,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13910,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13910,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13910, (int) (0L)), BgL_sz00_13919);
		}

	}



/* <@anonymous:2487>~0 */
	obj_t BGl_zc3z04anonymousza32487ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15691, obj_t BgL_symbzd2funzd2_15690, obj_t BgL_locz00_15689,
		obj_t BgL_a4z00_15688, obj_t BgL_a3z00_15687, obj_t BgL_a2z00_15686,
		obj_t BgL_a1z00_15685, obj_t BgL_funz00_15684, obj_t BgL_sz00_2919)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2921;

				BgL_bpz00_2921 = VECTOR_REF(((obj_t) BgL_sz00_2919), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2922;
					obj_t BgL_a1z00_2923;
					obj_t BgL_a2z00_2924;
					obj_t BgL_a3z00_2925;
					obj_t BgL_a4z00_2926;

					BgL_fz00_2922 = BGL_PROCEDURE_CALL1(BgL_funz00_15684, BgL_sz00_2919);
					BgL_a1z00_2923 = BGL_PROCEDURE_CALL1(BgL_a1z00_15685, BgL_sz00_2919);
					BgL_a2z00_2924 = BGL_PROCEDURE_CALL1(BgL_a2z00_15686, BgL_sz00_2919);
					BgL_a3z00_2925 = BGL_PROCEDURE_CALL1(BgL_a3z00_15687, BgL_sz00_2919);
					BgL_a4z00_2926 = BGL_PROCEDURE_CALL1(BgL_a4z00_15688, BgL_sz00_2919);
					if (PROCEDUREP(BgL_fz00_2922))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15689,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2922);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2928;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_22381;

							BgL_tmpz00_22381 = ((obj_t) BgL_fz00_2922);
							BgL_ufz00_2928 = PROCEDURE_ATTR(BgL_tmpz00_22381);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5225z00_22384;

							if (STRUCTP(BgL_ufz00_2928))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5225z00_22384 =
										(STRUCT_KEY(BgL_ufz00_2928) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5225z00_22384 = ((bool_t) 0);
								}
							if (BgL_test5225z00_22384)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2930;
									obj_t BgL_runz00_2931;
									obj_t BgL_sfz00_2932;

									BgL_arityz00_2930 = STRUCT_REF(BgL_ufz00_2928, (int) (0L));
									BgL_runz00_2931 = STRUCT_REF(BgL_ufz00_2928, (int) (1L));
									BgL_sfz00_2932 = STRUCT_REF(BgL_ufz00_2928, (int) (2L));
									{	/* Eval/evaluate_comp.scm 896 */
										long BgL_spz00_2933;

										BgL_spz00_2933 =
											((long) CINT(BgL_bpz00_2921) + BgL_siza7eza7_15691);
										if (((long) CINT(BgL_arityz00_2930) == 4L))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2491z00_2935;

													BgL_arg2491z00_2935 = (BgL_spz00_2933 + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2919), BgL_arg2491z00_2935,
														BgL_a1z00_2923);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2492z00_2936;

													BgL_arg2492z00_2936 = (BgL_spz00_2933 + 1L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2919), BgL_arg2492z00_2936,
														BgL_a2z00_2924);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2493z00_2937;

													BgL_arg2493z00_2937 = (BgL_spz00_2933 + 2L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2919), BgL_arg2493z00_2937,
														BgL_a3z00_2925);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2495z00_2938;

													BgL_arg2495z00_2938 = (BgL_spz00_2933 + 3L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2919), BgL_arg2495z00_2938,
														BgL_a4z00_2926);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_2930))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_2930))
															{
															case (-1L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2496z00_2941;
																	obj_t BgL_arg2497z00_2942;

																	BgL_arg2496z00_2941 = (BgL_spz00_2933 + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2498z00_2943;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2499z00_2944;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2500z00_2945;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2501z00_2946;

																					BgL_arg2501z00_2946 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_2926,
																						BNIL);
																					BgL_arg2500z00_2945 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_2925,
																						BgL_arg2501z00_2946);
																				}
																				BgL_arg2499z00_2944 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_2924,
																					BgL_arg2500z00_2945);
																			}
																			BgL_list2498z00_2943 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_2923,
																				BgL_arg2499z00_2944);
																		}
																		BgL_arg2497z00_2942 = BgL_list2498z00_2943;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2496z00_2941, BgL_arg2497z00_2942);
																} break;
															case (-2L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2502z00_2947;

																	BgL_arg2502z00_2947 = (BgL_spz00_2933 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2502z00_2947, BgL_a1z00_2923);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2503z00_2948;
																	obj_t BgL_arg2504z00_2949;

																	BgL_arg2503z00_2948 = (BgL_spz00_2933 + 1L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2505z00_2950;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2506z00_2951;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2507z00_2952;

																				BgL_arg2507z00_2952 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_2926, BNIL);
																				BgL_arg2506z00_2951 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_2925,
																					BgL_arg2507z00_2952);
																			}
																			BgL_list2505z00_2950 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_2924,
																				BgL_arg2506z00_2951);
																		}
																		BgL_arg2504z00_2949 = BgL_list2505z00_2950;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2503z00_2948, BgL_arg2504z00_2949);
																} break;
															case (-3L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2508z00_2953;

																	BgL_arg2508z00_2953 = (BgL_spz00_2933 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2508z00_2953, BgL_a1z00_2923);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2509z00_2954;

																	BgL_arg2509z00_2954 = (BgL_spz00_2933 + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2509z00_2954, BgL_a2z00_2924);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2510z00_2955;
																	obj_t BgL_arg2512z00_2956;

																	BgL_arg2510z00_2955 = (BgL_spz00_2933 + 2L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2513z00_2957;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2514z00_2958;

																			BgL_arg2514z00_2958 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_2926, BNIL);
																			BgL_list2513z00_2957 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_2925,
																				BgL_arg2514z00_2958);
																		}
																		BgL_arg2512z00_2956 = BgL_list2513z00_2957;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2510z00_2955, BgL_arg2512z00_2956);
																} break;
															case (-4L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2515z00_2959;

																	BgL_arg2515z00_2959 = (BgL_spz00_2933 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2515z00_2959, BgL_a1z00_2923);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2519z00_2960;

																	BgL_arg2519z00_2960 = (BgL_spz00_2933 + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2519z00_2960, BgL_a2z00_2924);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2520z00_2961;

																	BgL_arg2520z00_2961 = (BgL_spz00_2933 + 2L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2520z00_2961, BgL_a3z00_2925);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2521z00_2962;
																	obj_t BgL_arg2522z00_2963;

																	BgL_arg2521z00_2962 = (BgL_spz00_2933 + 3L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2523z00_2964;

																		BgL_list2523z00_2964 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_2926, BNIL);
																		BgL_arg2522z00_2963 = BgL_list2523z00_2964;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2521z00_2962, BgL_arg2522z00_2963);
																} break;
															case (-5L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2525z00_2965;

																	BgL_arg2525z00_2965 = (BgL_spz00_2933 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2525z00_2965, BgL_a1z00_2923);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2527z00_2966;

																	BgL_arg2527z00_2966 = (BgL_spz00_2933 + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2527z00_2966, BgL_a2z00_2924);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2528z00_2967;

																	BgL_arg2528z00_2967 = (BgL_spz00_2933 + 2L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2528z00_2967, BgL_a3z00_2925);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2529z00_2968;

																	BgL_arg2529z00_2968 = (BgL_spz00_2933 + 3L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2529z00_2968, BgL_a4z00_2926);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2530z00_2969;
																	obj_t BgL_arg2532z00_2970;

																	BgL_arg2530z00_2969 = (BgL_spz00_2933 + 4L);
																	BgL_arg2532z00_2970 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2919),
																		BgL_arg2530z00_2969, BgL_arg2532z00_2970);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15689, STRUCT_REF(BgL_ufz00_2928,
																		(int) (3L)), (int) (4L),
																	CINT(BgL_arityz00_2930));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_15689, STRUCT_REF(BgL_ufz00_2928,
																(int) (3L)), (int) (4L),
															CINT(BgL_arityz00_2930));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_2973;

											BgL_z12denvz12_2973 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2973,
												BgL_locz00_15689);
											if (((BgL_spz00_2933 + (long) CINT(BgL_sfz00_2932)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_2919))))
												{	/* Eval/evaluate_comp.scm 896 */
													return
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_2931, BgL_sz00_2919,
														BINT(BgL_spz00_2933));
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_2975;

													BgL_nsz00_2975 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2537z00_2977;

														BgL_arg2537z00_2977 = (BgL_spz00_2933 + 4L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_2975, 2L, BgL_sz00_2919,
															BINT(BgL_spz00_2933), BINT(BgL_arg2537z00_2977));
													}
													VECTOR_SET(BgL_nsz00_2975, 1L, BgL_sz00_2919);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2973,
														BgL_nsz00_2975);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_2978;

														BgL_ez00_2978 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4344z00_8945;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4345z00_8946;

																BgL_arg4345z00_8946 =
																	BGL_EXITD_PROTECT(BgL_ez00_2978);
																BgL_arg4344z00_8945 =
																	MAKE_YOUNG_PAIR(BgL_sz00_2919,
																	BgL_arg4345z00_8946);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_2978,
																BgL_arg4344z00_8945);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_2979;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_8947;

																BgL_savedzd2bpzd2_8947 =
																	VECTOR_REF(BgL_nsz00_2975, 0L);
																VECTOR_SET(BgL_nsz00_2975, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_8951;

																	BgL_fz00_8951 = BgL_runz00_2931;
																BgL_recz00_8950:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_8952;

																		BgL_rz00_8952 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_8951,
																			BgL_nsz00_2975);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5230z00_22509;

																			if (PROCEDUREP(BgL_rz00_8952))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_8955;

																					BgL_arg1763z00_8955 =
																						PROCEDURE_ATTR(BgL_rz00_8952);
																					if (STRUCTP(BgL_arg1763z00_8955))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5230z00_22509 =
																								(STRUCT_KEY(BgL_arg1763z00_8955)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5230z00_22509 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5230z00_22509 = ((bool_t) 0);
																				}
																			if (BgL_test5230z00_22509)
																				{
																					obj_t BgL_fz00_22517;

																					BgL_fz00_22517 = BgL_rz00_8952;
																					BgL_fz00_8951 = BgL_fz00_22517;
																					goto BgL_recz00_8950;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_2975, 0L,
																						BgL_savedzd2bpzd2_8947);
																					BgL_____rz00_2979 = BgL_rz00_8952;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5233z00_22519;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4343z00_8963;

																	BgL_arg4343z00_8963 =
																		BGL_EXITD_PROTECT(BgL_ez00_2978);
																	BgL_test5233z00_22519 =
																		PAIRP(BgL_arg4343z00_8963);
																}
																if (BgL_test5233z00_22519)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4341z00_8964;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4342z00_8965;

																			BgL_arg4342z00_8965 =
																				BGL_EXITD_PROTECT(BgL_ez00_2978);
																			BgL_arg4341z00_8964 =
																				CDR(((obj_t) BgL_arg4342z00_8965));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_2978,
																			BgL_arg4341z00_8964);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2973,
																BgL_sz00_2919);
															return BgL_____rz00_2979;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2922, (int) (4L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_2980;

											BgL_nbpz00_2980 =
												((long) CINT(BgL_bpz00_2921) + BgL_siza7eza7_15691);
											VECTOR_SET(
												((obj_t) BgL_sz00_2919), 0L, BINT(BgL_nbpz00_2980));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_tmpz00_22535;

												BgL_tmpz00_22535 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22535,
													BgL_locz00_15689);
											}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_2982;

												BgL_rz00_2982 =
													BGL_PROCEDURE_CALL4(BgL_fz00_2922, BgL_a1z00_2923,
													BgL_a2z00_2924, BgL_a3z00_2925, BgL_a4z00_2926);
												VECTOR_SET(((obj_t) BgL_sz00_2919), 0L, BgL_bpz00_2921);
												return BgL_rz00_2982;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15689,
												BgL_symbzd2funzd2_15690, (int) (4L),
												PROCEDURE_ARITY(BgL_fz00_2922));
		}}}}}}}

	}



/* &<@anonymous:2540> */
	obj_t BGl_z62zc3z04anonymousza32540ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13920, obj_t BgL_sz00_13929)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			return
				BGl_zc3z04anonymousza32540ze3ze70z60zz__evaluate_compz00(
				(long) CINT(PROCEDURE_REF(BgL_envz00_13920,
						(int) (7L))),
				PROCEDURE_REF(BgL_envz00_13920,
					(int) (6L)),
				PROCEDURE_REF(BgL_envz00_13920,
					(int) (5L)),
				PROCEDURE_REF(BgL_envz00_13920,
					(int) (4L)),
				PROCEDURE_REF(BgL_envz00_13920,
					(int) (3L)),
				PROCEDURE_REF(BgL_envz00_13920,
					(int) (2L)),
				PROCEDURE_REF(BgL_envz00_13920,
					(int) (1L)),
				PROCEDURE_REF(BgL_envz00_13920, (int) (0L)), BgL_sz00_13929);
		}

	}



/* <@anonymous:2540>~0 */
	obj_t BGl_zc3z04anonymousza32540ze3ze70z60zz__evaluate_compz00(long
		BgL_siza7eza7_15683, obj_t BgL_symbzd2funzd2_15682, obj_t BgL_locz00_15681,
		obj_t BgL_a4z00_15680, obj_t BgL_a3z00_15679, obj_t BgL_a2z00_15678,
		obj_t BgL_a1z00_15677, obj_t BgL_funz00_15676, obj_t BgL_sz00_2984)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_bpz00_2986;

				BgL_bpz00_2986 = VECTOR_REF(((obj_t) BgL_sz00_2984), 0L);
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_fz00_2987;
					obj_t BgL_a1z00_2988;
					obj_t BgL_a2z00_2989;
					obj_t BgL_a3z00_2990;
					obj_t BgL_a4z00_2991;

					BgL_fz00_2987 = BGL_PROCEDURE_CALL1(BgL_funz00_15676, BgL_sz00_2984);
					BgL_a1z00_2988 = BGL_PROCEDURE_CALL1(BgL_a1z00_15677, BgL_sz00_2984);
					BgL_a2z00_2989 = BGL_PROCEDURE_CALL1(BgL_a2z00_15678, BgL_sz00_2984);
					BgL_a3z00_2990 = BGL_PROCEDURE_CALL1(BgL_a3z00_15679, BgL_sz00_2984);
					BgL_a4z00_2991 = BGL_PROCEDURE_CALL1(BgL_a4z00_15680, BgL_sz00_2984);
					if (PROCEDUREP(BgL_fz00_2987))
						{	/* Eval/evaluate_comp.scm 896 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 896 */
							BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15681,
								BGl_string4600z00zz__evaluate_compz00,
								BGl_string4616z00zz__evaluate_compz00, BgL_fz00_2987);
						}
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_ufz00_2993;

						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_tmpz00_22593;

							BgL_tmpz00_22593 = ((obj_t) BgL_fz00_2987);
							BgL_ufz00_2993 = PROCEDURE_ATTR(BgL_tmpz00_22593);
						}
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_test5236z00_22596;

							if (STRUCTP(BgL_ufz00_2993))
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5236z00_22596 =
										(STRUCT_KEY(BgL_ufz00_2993) ==
										BGl_symbol4617z00zz__evaluate_compz00);
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									BgL_test5236z00_22596 = ((bool_t) 0);
								}
							if (BgL_test5236z00_22596)
								{	/* Eval/evaluate_comp.scm 896 */
									obj_t BgL_arityz00_2995;
									obj_t BgL_runz00_2996;
									obj_t BgL_sfz00_2997;

									BgL_arityz00_2995 = STRUCT_REF(BgL_ufz00_2993, (int) (0L));
									BgL_runz00_2996 = STRUCT_REF(BgL_ufz00_2993, (int) (1L));
									BgL_sfz00_2997 = STRUCT_REF(BgL_ufz00_2993, (int) (2L));
									{	/* Eval/evaluate_comp.scm 896 */
										long BgL_spz00_2998;

										BgL_spz00_2998 =
											((long) CINT(BgL_bpz00_2986) + BgL_siza7eza7_15683);
										if (((long) CINT(BgL_arityz00_2995) == 4L))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2545z00_3000;

													BgL_arg2545z00_3000 = (BgL_spz00_2998 + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2984), BgL_arg2545z00_3000,
														BgL_a1z00_2988);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2546z00_3001;

													BgL_arg2546z00_3001 = (BgL_spz00_2998 + 1L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2984), BgL_arg2546z00_3001,
														BgL_a2z00_2989);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2548z00_3002;

													BgL_arg2548z00_3002 = (BgL_spz00_2998 + 2L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2984), BgL_arg2548z00_3002,
														BgL_a3z00_2990);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2549z00_3003;

													BgL_arg2549z00_3003 = (BgL_spz00_2998 + 3L);
													VECTOR_SET(
														((obj_t) BgL_sz00_2984), BgL_arg2549z00_3003,
														BgL_a4z00_2991);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_2995))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_2995))
															{
															case (-1L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2550z00_3006;
																	obj_t BgL_arg2551z00_3007;

																	BgL_arg2550z00_3006 = (BgL_spz00_2998 + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2552z00_3008;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2553z00_3009;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2554z00_3010;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2555z00_3011;

																					BgL_arg2555z00_3011 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_2991,
																						BNIL);
																					BgL_arg2554z00_3010 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_2990,
																						BgL_arg2555z00_3011);
																				}
																				BgL_arg2553z00_3009 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_2989,
																					BgL_arg2554z00_3010);
																			}
																			BgL_list2552z00_3008 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_2988,
																				BgL_arg2553z00_3009);
																		}
																		BgL_arg2551z00_3007 = BgL_list2552z00_3008;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2550z00_3006, BgL_arg2551z00_3007);
																} break;
															case (-2L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2556z00_3012;

																	BgL_arg2556z00_3012 = (BgL_spz00_2998 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2556z00_3012, BgL_a1z00_2988);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2557z00_3013;
																	obj_t BgL_arg2558z00_3014;

																	BgL_arg2557z00_3013 = (BgL_spz00_2998 + 1L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2559z00_3015;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2560z00_3016;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2561z00_3017;

																				BgL_arg2561z00_3017 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_2991, BNIL);
																				BgL_arg2560z00_3016 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_2990,
																					BgL_arg2561z00_3017);
																			}
																			BgL_list2559z00_3015 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_2989,
																				BgL_arg2560z00_3016);
																		}
																		BgL_arg2558z00_3014 = BgL_list2559z00_3015;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2557z00_3013, BgL_arg2558z00_3014);
																} break;
															case (-3L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2562z00_3018;

																	BgL_arg2562z00_3018 = (BgL_spz00_2998 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2562z00_3018, BgL_a1z00_2988);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2563z00_3019;

																	BgL_arg2563z00_3019 = (BgL_spz00_2998 + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2563z00_3019, BgL_a2z00_2989);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2564z00_3020;
																	obj_t BgL_arg2565z00_3021;

																	BgL_arg2564z00_3020 = (BgL_spz00_2998 + 2L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2566z00_3022;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2568z00_3023;

																			BgL_arg2568z00_3023 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_2991, BNIL);
																			BgL_list2566z00_3022 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_2990,
																				BgL_arg2568z00_3023);
																		}
																		BgL_arg2565z00_3021 = BgL_list2566z00_3022;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2564z00_3020, BgL_arg2565z00_3021);
																} break;
															case (-4L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2569z00_3024;

																	BgL_arg2569z00_3024 = (BgL_spz00_2998 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2569z00_3024, BgL_a1z00_2988);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2571z00_3025;

																	BgL_arg2571z00_3025 = (BgL_spz00_2998 + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2571z00_3025, BgL_a2z00_2989);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2572z00_3026;

																	BgL_arg2572z00_3026 = (BgL_spz00_2998 + 2L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2572z00_3026, BgL_a3z00_2990);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2573z00_3027;
																	obj_t BgL_arg2575z00_3028;

																	BgL_arg2573z00_3027 = (BgL_spz00_2998 + 3L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2576z00_3029;

																		BgL_list2576z00_3029 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_2991, BNIL);
																		BgL_arg2575z00_3028 = BgL_list2576z00_3029;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2573z00_3027, BgL_arg2575z00_3028);
																} break;
															case (-5L):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2577z00_3030;

																	BgL_arg2577z00_3030 = (BgL_spz00_2998 + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2577z00_3030, BgL_a1z00_2988);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2578z00_3031;

																	BgL_arg2578z00_3031 = (BgL_spz00_2998 + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2578z00_3031, BgL_a2z00_2989);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2579z00_3032;

																	BgL_arg2579z00_3032 = (BgL_spz00_2998 + 2L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2579z00_3032, BgL_a3z00_2990);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2580z00_3033;

																	BgL_arg2580z00_3033 = (BgL_spz00_2998 + 3L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2580z00_3033, BgL_a4z00_2991);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2581z00_3034;
																	obj_t BgL_arg2582z00_3035;

																	BgL_arg2581z00_3034 = (BgL_spz00_2998 + 4L);
																	BgL_arg2582z00_3035 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_2984),
																		BgL_arg2581z00_3034, BgL_arg2582z00_3035);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15681, STRUCT_REF(BgL_ufz00_2993,
																		(int) (3L)), (int) (4L),
																	CINT(BgL_arityz00_2995));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_15681, STRUCT_REF(BgL_ufz00_2993,
																(int) (3L)), (int) (4L),
															CINT(BgL_arityz00_2995));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_3038;

											BgL_z12denvz12_3038 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												((BgL_spz00_2998 +
														(long) CINT(BgL_sfz00_2997)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_2984))))
												{	/* Eval/evaluate_comp.scm 896 */
													return
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_2996, BgL_sz00_2984,
														BINT(BgL_spz00_2998));
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_3040;

													BgL_nsz00_3040 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2586z00_3042;

														BgL_arg2586z00_3042 = (BgL_spz00_2998 + 4L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_3040, 2L, BgL_sz00_2984,
															BINT(BgL_spz00_2998), BINT(BgL_arg2586z00_3042));
													}
													VECTOR_SET(BgL_nsz00_3040, 1L, BgL_sz00_2984);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_3038,
														BgL_nsz00_3040);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_3043;

														BgL_ez00_3043 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4344z00_9060;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4345z00_9061;

																BgL_arg4345z00_9061 =
																	BGL_EXITD_PROTECT(BgL_ez00_3043);
																BgL_arg4344z00_9060 =
																	MAKE_YOUNG_PAIR(BgL_sz00_2984,
																	BgL_arg4345z00_9061);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_3043,
																BgL_arg4344z00_9060);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_3044;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_9062;

																BgL_savedzd2bpzd2_9062 =
																	VECTOR_REF(BgL_nsz00_3040, 0L);
																VECTOR_SET(BgL_nsz00_3040, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_9066;

																	BgL_fz00_9066 = BgL_runz00_2996;
																BgL_recz00_9065:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_9067;

																		BgL_rz00_9067 =
																			BGL_PROCEDURE_CALL1(BgL_fz00_9066,
																			BgL_nsz00_3040);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5241z00_22720;

																			if (PROCEDUREP(BgL_rz00_9067))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1763z00_9070;

																					BgL_arg1763z00_9070 =
																						PROCEDURE_ATTR(BgL_rz00_9067);
																					if (STRUCTP(BgL_arg1763z00_9070))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5241z00_22720 =
																								(STRUCT_KEY(BgL_arg1763z00_9070)
																								==
																								BGl_symbol4596z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5241z00_22720 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5241z00_22720 = ((bool_t) 0);
																				}
																			if (BgL_test5241z00_22720)
																				{
																					obj_t BgL_fz00_22728;

																					BgL_fz00_22728 = BgL_rz00_9067;
																					BgL_fz00_9066 = BgL_fz00_22728;
																					goto BgL_recz00_9065;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_3040, 0L,
																						BgL_savedzd2bpzd2_9062);
																					BgL_____rz00_3044 = BgL_rz00_9067;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5244z00_22730;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4343z00_9078;

																	BgL_arg4343z00_9078 =
																		BGL_EXITD_PROTECT(BgL_ez00_3043);
																	BgL_test5244z00_22730 =
																		PAIRP(BgL_arg4343z00_9078);
																}
																if (BgL_test5244z00_22730)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4341z00_9079;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4342z00_9080;

																			BgL_arg4342z00_9080 =
																				BGL_EXITD_PROTECT(BgL_ez00_3043);
																			BgL_arg4341z00_9079 =
																				CDR(((obj_t) BgL_arg4342z00_9080));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_3043,
																			BgL_arg4341z00_9079);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_3038,
																BgL_sz00_2984);
															return BgL_____rz00_3044;
														}
													}
												}
										}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2987, (int) (4L)))
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_nbpz00_3045;

											BgL_nbpz00_3045 =
												((long) CINT(BgL_bpz00_2986) + BgL_siza7eza7_15683);
											VECTOR_SET(
												((obj_t) BgL_sz00_2984), 0L, BINT(BgL_nbpz00_3045));
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_rz00_3046;

												BgL_rz00_3046 =
													BGL_PROCEDURE_CALL4(BgL_fz00_2987, BgL_a1z00_2988,
													BgL_a2z00_2989, BgL_a3z00_2990, BgL_a4z00_2991);
												VECTOR_SET(((obj_t) BgL_sz00_2984), 0L, BgL_bpz00_2986);
												return BgL_rz00_3046;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 896 */
											return
												BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_15681,
												BgL_symbzd2funzd2_15682, (int) (4L),
												PROCEDURE_ARITY(BgL_fz00_2987));
		}}}}}}}

	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185,
		obj_t BgL_symbzd2funzd2_186)
	{
		{	/* Eval/evaluate_comp.scm 899 */
			{	/* Eval/evaluate_comp.scm 901 */
				bool_t BgL_test5246z00_22758;

				{	/* Eval/evaluate_comp.scm 901 */
					obj_t BgL_classz00_9086;

					BgL_classz00_9086 = BGl_ev_globalz00zz__evaluate_typesz00;
					{	/* Eval/evaluate_comp.scm 901 */
						BgL_objectz00_bglt BgL_arg4317z00_9088;

						{	/* Eval/evaluate_comp.scm 901 */
							obj_t BgL_tmpz00_22759;

							BgL_tmpz00_22759 =
								((obj_t) ((BgL_objectz00_bglt) BgL_funz00_183));
							BgL_arg4317z00_9088 = (BgL_objectz00_bglt) (BgL_tmpz00_22759);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Eval/evaluate_comp.scm 901 */
								long BgL_idxz00_9094;

								BgL_idxz00_9094 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg4317z00_9088);
								BgL_test5246z00_22758 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9094 + 2L)) == BgL_classz00_9086);
							}
						else
							{	/* Eval/evaluate_comp.scm 901 */
								bool_t BgL_res4448z00_9119;

								{	/* Eval/evaluate_comp.scm 901 */
									obj_t BgL_oclassz00_9102;

									{	/* Eval/evaluate_comp.scm 901 */
										obj_t BgL_arg4324z00_9110;
										long BgL_arg4325z00_9111;

										BgL_arg4324z00_9110 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Eval/evaluate_comp.scm 901 */
											long BgL_arg4326z00_9112;

											BgL_arg4326z00_9112 =
												BGL_OBJECT_CLASS_NUM(BgL_arg4317z00_9088);
											BgL_arg4325z00_9111 = (BgL_arg4326z00_9112 - OBJECT_TYPE);
										}
										BgL_oclassz00_9102 =
											VECTOR_REF(BgL_arg4324z00_9110, BgL_arg4325z00_9111);
									}
									{	/* Eval/evaluate_comp.scm 901 */
										bool_t BgL__ortest_1296z00_9103;

										BgL__ortest_1296z00_9103 =
											(BgL_classz00_9086 == BgL_oclassz00_9102);
										if (BgL__ortest_1296z00_9103)
											{	/* Eval/evaluate_comp.scm 901 */
												BgL_res4448z00_9119 = BgL__ortest_1296z00_9103;
											}
										else
											{	/* Eval/evaluate_comp.scm 901 */
												long BgL_odepthz00_9104;

												{	/* Eval/evaluate_comp.scm 901 */
													obj_t BgL_arg4314z00_9105;

													BgL_arg4314z00_9105 = (BgL_oclassz00_9102);
													BgL_odepthz00_9104 =
														BGL_CLASS_DEPTH(BgL_arg4314z00_9105);
												}
												if ((2L < BgL_odepthz00_9104))
													{	/* Eval/evaluate_comp.scm 901 */
														obj_t BgL_arg4312z00_9107;

														{	/* Eval/evaluate_comp.scm 901 */
															obj_t BgL_arg4313z00_9108;

															BgL_arg4313z00_9108 = (BgL_oclassz00_9102);
															BgL_arg4312z00_9107 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg4313z00_9108,
																2L);
														}
														BgL_res4448z00_9119 =
															(BgL_arg4312z00_9107 == BgL_classz00_9086);
													}
												else
													{	/* Eval/evaluate_comp.scm 901 */
														BgL_res4448z00_9119 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test5246z00_22758 = BgL_res4448z00_9119;
							}
					}
				}
				if (BgL_test5246z00_22758)
					{	/* Eval/evaluate_comp.scm 903 */
						obj_t BgL_gz00_3051;

						{	/* Eval/evaluate_comp.scm 903 */
							obj_t BgL_arg2595z00_3059;
							obj_t BgL_arg2596z00_3060;

							BgL_arg2595z00_3059 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_modz00);
							BgL_arg2596z00_3060 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_namez00);
							BgL_gz00_3051 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg2595z00_3059, BgL_arg2596z00_3060);
						}
						if (CBOOL(BgL_gz00_3051))
							{	/* Eval/evaluate_comp.scm 905 */
								bool_t BgL_test5251z00_22789;

								{	/* Eval/evaluate_comp.scm 905 */
									int BgL_arg2594z00_3058;

									{	/* Eval/evaluate_comp.scm 905 */
										int BgL_res4449z00_9122;

										BgL_res4449z00_9122 =
											CINT(VECTOR_REF(((obj_t) BgL_gz00_3051), 0L));
										BgL_arg2594z00_3058 = BgL_res4449z00_9122;
									}
									BgL_test5251z00_22789 = ((long) (BgL_arg2594z00_3058) == 0L);
								}
								if (BgL_test5251z00_22789)
									{	/* Eval/evaluate_comp.scm 906 */
										obj_t BgL_valz00_3054;

										BgL_valz00_3054 = VECTOR_REF(((obj_t) BgL_gz00_3051), 2L);
										{	/* Eval/evaluate_comp.scm 907 */
											bool_t BgL_test5252z00_22797;

											if (PROCEDUREP(BgL_valz00_3054))
												{	/* Eval/evaluate_comp.scm 907 */
													BgL_test5252z00_22797 =
														PROCEDURE_CORRECT_ARITYP(BgL_valz00_3054,
														(int) (BgL_nbargsz00_184));
												}
											else
												{	/* Eval/evaluate_comp.scm 907 */
													BgL_test5252z00_22797 = ((bool_t) 0);
												}
											if (BgL_test5252z00_22797)
												{	/* Eval/evaluate_comp.scm 907 */
													return BgL_valz00_3054;
												}
											else
												{	/* Eval/evaluate_comp.scm 907 */
													return BFALSE;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 905 */
										return BFALSE;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 904 */
								return BFALSE;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 910 */
						bool_t BgL_test5254z00_22802;

						{	/* Eval/evaluate_comp.scm 910 */
							bool_t BgL_test5255z00_22803;

							{	/* Eval/evaluate_comp.scm 910 */
								obj_t BgL_classz00_9126;

								BgL_classz00_9126 = BGl_ev_littz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_comp.scm 910 */
									BgL_objectz00_bglt BgL_arg4317z00_9128;

									{	/* Eval/evaluate_comp.scm 910 */
										obj_t BgL_tmpz00_22804;

										BgL_tmpz00_22804 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_183));
										BgL_arg4317z00_9128 =
											(BgL_objectz00_bglt) (BgL_tmpz00_22804);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Eval/evaluate_comp.scm 910 */
											long BgL_idxz00_9134;

											BgL_idxz00_9134 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg4317z00_9128);
											BgL_test5255z00_22803 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_9134 + 2L)) == BgL_classz00_9126);
										}
									else
										{	/* Eval/evaluate_comp.scm 910 */
											bool_t BgL_res4450z00_9159;

											{	/* Eval/evaluate_comp.scm 910 */
												obj_t BgL_oclassz00_9142;

												{	/* Eval/evaluate_comp.scm 910 */
													obj_t BgL_arg4324z00_9150;
													long BgL_arg4325z00_9151;

													BgL_arg4324z00_9150 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Eval/evaluate_comp.scm 910 */
														long BgL_arg4326z00_9152;

														BgL_arg4326z00_9152 =
															BGL_OBJECT_CLASS_NUM(BgL_arg4317z00_9128);
														BgL_arg4325z00_9151 =
															(BgL_arg4326z00_9152 - OBJECT_TYPE);
													}
													BgL_oclassz00_9142 =
														VECTOR_REF(BgL_arg4324z00_9150,
														BgL_arg4325z00_9151);
												}
												{	/* Eval/evaluate_comp.scm 910 */
													bool_t BgL__ortest_1296z00_9143;

													BgL__ortest_1296z00_9143 =
														(BgL_classz00_9126 == BgL_oclassz00_9142);
													if (BgL__ortest_1296z00_9143)
														{	/* Eval/evaluate_comp.scm 910 */
															BgL_res4450z00_9159 = BgL__ortest_1296z00_9143;
														}
													else
														{	/* Eval/evaluate_comp.scm 910 */
															long BgL_odepthz00_9144;

															{	/* Eval/evaluate_comp.scm 910 */
																obj_t BgL_arg4314z00_9145;

																BgL_arg4314z00_9145 = (BgL_oclassz00_9142);
																BgL_odepthz00_9144 =
																	BGL_CLASS_DEPTH(BgL_arg4314z00_9145);
															}
															if ((2L < BgL_odepthz00_9144))
																{	/* Eval/evaluate_comp.scm 910 */
																	obj_t BgL_arg4312z00_9147;

																	{	/* Eval/evaluate_comp.scm 910 */
																		obj_t BgL_arg4313z00_9148;

																		BgL_arg4313z00_9148 = (BgL_oclassz00_9142);
																		BgL_arg4312z00_9147 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg4313z00_9148, 2L);
																	}
																	BgL_res4450z00_9159 =
																		(BgL_arg4312z00_9147 == BgL_classz00_9126);
																}
															else
																{	/* Eval/evaluate_comp.scm 910 */
																	BgL_res4450z00_9159 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test5255z00_22803 = BgL_res4450z00_9159;
										}
								}
							}
							if (BgL_test5255z00_22803)
								{	/* Eval/evaluate_comp.scm 911 */
									obj_t BgL_tmpz00_22827;

									BgL_tmpz00_22827 =
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
									BgL_test5254z00_22802 = PROCEDUREP(BgL_tmpz00_22827);
								}
							else
								{	/* Eval/evaluate_comp.scm 910 */
									BgL_test5254z00_22802 = ((bool_t) 0);
								}
						}
						if (BgL_test5254z00_22802)
							{	/* Eval/evaluate_comp.scm 913 */
								bool_t BgL_test5259z00_22831;

								{	/* Eval/evaluate_comp.scm 913 */
									obj_t BgL_arg2606z00_3070;

									BgL_arg2606z00_3070 =
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
									BgL_test5259z00_22831 =
										PROCEDURE_CORRECT_ARITYP(BgL_arg2606z00_3070,
										(int) (BgL_nbargsz00_184));
								}
								if (BgL_test5259z00_22831)
									{	/* Eval/evaluate_comp.scm 913 */
										return
											(((BgL_ev_littz00_bglt) COBJECT(
													((BgL_ev_littz00_bglt) BgL_funz00_183)))->
											BgL_valuez00);
									}
								else
									{	/* Eval/evaluate_comp.scm 915 */
										int BgL_arg2603z00_3068;

										{	/* Eval/evaluate_comp.scm 915 */
											obj_t BgL_arg2604z00_3069;

											BgL_arg2604z00_3069 =
												(((BgL_ev_littz00_bglt) COBJECT(
														((BgL_ev_littz00_bglt) BgL_funz00_183)))->
												BgL_valuez00);
											BgL_arg2603z00_3068 =
												PROCEDURE_ARITY(BgL_arg2604z00_3069);
										}
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185,
											BgL_symbzd2funzd2_186, (int) (BgL_nbargsz00_184),
											BgL_arg2603z00_3068);
							}}
						else
							{	/* Eval/evaluate_comp.scm 910 */
								return BFALSE;
							}
					}
			}
		}

	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_187, obj_t BgL_stkz00_188)
	{
		{	/* Eval/evaluate_comp.scm 918 */
			{	/* Eval/evaluate_comp.scm 925 */
				bool_t BgL_test5260z00_22843;

				{	/* Eval/evaluate_comp.scm 925 */
					obj_t BgL_classz00_9171;

					BgL_classz00_9171 = BGl_ev_littz00zz__evaluate_typesz00;
					if (BGL_OBJECTP(BgL_exprz00_187))
						{	/* Eval/evaluate_comp.scm 925 */
							BgL_objectz00_bglt BgL_arg4317z00_9173;

							BgL_arg4317z00_9173 = (BgL_objectz00_bglt) (BgL_exprz00_187);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Eval/evaluate_comp.scm 925 */
									long BgL_idxz00_9179;

									BgL_idxz00_9179 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg4317z00_9173);
									BgL_test5260z00_22843 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_9179 + 2L)) == BgL_classz00_9171);
								}
							else
								{	/* Eval/evaluate_comp.scm 925 */
									bool_t BgL_res4451z00_9204;

									{	/* Eval/evaluate_comp.scm 925 */
										obj_t BgL_oclassz00_9187;

										{	/* Eval/evaluate_comp.scm 925 */
											obj_t BgL_arg4324z00_9195;
											long BgL_arg4325z00_9196;

											BgL_arg4324z00_9195 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Eval/evaluate_comp.scm 925 */
												long BgL_arg4326z00_9197;

												BgL_arg4326z00_9197 =
													BGL_OBJECT_CLASS_NUM(BgL_arg4317z00_9173);
												BgL_arg4325z00_9196 =
													(BgL_arg4326z00_9197 - OBJECT_TYPE);
											}
											BgL_oclassz00_9187 =
												VECTOR_REF(BgL_arg4324z00_9195, BgL_arg4325z00_9196);
										}
										{	/* Eval/evaluate_comp.scm 925 */
											bool_t BgL__ortest_1296z00_9188;

											BgL__ortest_1296z00_9188 =
												(BgL_classz00_9171 == BgL_oclassz00_9187);
											if (BgL__ortest_1296z00_9188)
												{	/* Eval/evaluate_comp.scm 925 */
													BgL_res4451z00_9204 = BgL__ortest_1296z00_9188;
												}
											else
												{	/* Eval/evaluate_comp.scm 925 */
													long BgL_odepthz00_9189;

													{	/* Eval/evaluate_comp.scm 925 */
														obj_t BgL_arg4314z00_9190;

														BgL_arg4314z00_9190 = (BgL_oclassz00_9187);
														BgL_odepthz00_9189 =
															BGL_CLASS_DEPTH(BgL_arg4314z00_9190);
													}
													if ((2L < BgL_odepthz00_9189))
														{	/* Eval/evaluate_comp.scm 925 */
															obj_t BgL_arg4312z00_9192;

															{	/* Eval/evaluate_comp.scm 925 */
																obj_t BgL_arg4313z00_9193;

																BgL_arg4313z00_9193 = (BgL_oclassz00_9187);
																BgL_arg4312z00_9192 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg4313z00_9193,
																	2L);
															}
															BgL_res4451z00_9204 =
																(BgL_arg4312z00_9192 == BgL_classz00_9171);
														}
													else
														{	/* Eval/evaluate_comp.scm 925 */
															BgL_res4451z00_9204 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test5260z00_22843 = BgL_res4451z00_9204;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 925 */
							BgL_test5260z00_22843 = ((bool_t) 0);
						}
				}
				if (BgL_test5260z00_22843)
					{	/* Eval/evaluate_comp.scm 925 */
						if (INTEGERP(
								(((BgL_ev_littz00_bglt) COBJECT(
											((BgL_ev_littz00_bglt) BgL_exprz00_187)))->BgL_valuez00)))
							{	/* Eval/evaluate_comp.scm 927 */
								obj_t BgL_v1379z00_3080;

								BgL_v1379z00_3080 = create_vector(2L);
								VECTOR_SET(BgL_v1379z00_3080, 0L, BINT(1L));
								{	/* Eval/evaluate_comp.scm 927 */
									double BgL_arg2611z00_3081;

									BgL_arg2611z00_3081 =
										(double) (
										(long) CINT(
											(((BgL_ev_littz00_bglt) COBJECT(
														((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
												BgL_valuez00)));
									VECTOR_SET(BgL_v1379z00_3080, 1L,
										DOUBLE_TO_REAL(BgL_arg2611z00_3081));
								}
								return BgL_v1379z00_3080;
							}
						else
							{	/* Eval/evaluate_comp.scm 928 */
								bool_t BgL_test5266z00_22879;

								{	/* Eval/evaluate_comp.scm 928 */
									obj_t BgL_tmpz00_22880;

									BgL_tmpz00_22880 =
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
										BgL_valuez00);
									BgL_test5266z00_22879 = REALP(BgL_tmpz00_22880);
								}
								if (BgL_test5266z00_22879)
									{	/* Eval/evaluate_comp.scm 928 */
										obj_t BgL_v1380z00_3085;

										BgL_v1380z00_3085 = create_vector(2L);
										VECTOR_SET(BgL_v1380z00_3085, 0L, BINT(1L));
										{	/* Eval/evaluate_comp.scm 928 */
											obj_t BgL_arg2615z00_3086;

											BgL_arg2615z00_3086 =
												(((BgL_ev_littz00_bglt) COBJECT(
														((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
												BgL_valuez00);
											VECTOR_SET(BgL_v1380z00_3085, 1L, BgL_arg2615z00_3086);
										}
										return BgL_v1380z00_3085;
									}
								else
									{	/* Eval/evaluate_comp.scm 929 */
										obj_t BgL_v1381z00_3087;

										BgL_v1381z00_3087 = create_vector(2L);
										VECTOR_SET(BgL_v1381z00_3087, 0L, BINT(0L));
										{	/* Eval/evaluate_comp.scm 929 */
											obj_t BgL_arg2617z00_3088;

											BgL_arg2617z00_3088 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_exprz00_187),
												BgL_stkz00_188);
											VECTOR_SET(BgL_v1381z00_3087, 1L, BgL_arg2617z00_3088);
										}
										return BgL_v1381z00_3087;
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 930 */
						bool_t BgL_test5267z00_22896;

						{	/* Eval/evaluate_comp.scm 930 */
							obj_t BgL_classz00_9212;

							BgL_classz00_9212 = BGl_ev_varz00zz__evaluate_typesz00;
							if (BGL_OBJECTP(BgL_exprz00_187))
								{	/* Eval/evaluate_comp.scm 930 */
									BgL_objectz00_bglt BgL_arg4317z00_9214;

									BgL_arg4317z00_9214 = (BgL_objectz00_bglt) (BgL_exprz00_187);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Eval/evaluate_comp.scm 930 */
											long BgL_idxz00_9220;

											BgL_idxz00_9220 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg4317z00_9214);
											BgL_test5267z00_22896 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_9220 + 2L)) == BgL_classz00_9212);
										}
									else
										{	/* Eval/evaluate_comp.scm 930 */
											bool_t BgL_res4452z00_9245;

											{	/* Eval/evaluate_comp.scm 930 */
												obj_t BgL_oclassz00_9228;

												{	/* Eval/evaluate_comp.scm 930 */
													obj_t BgL_arg4324z00_9236;
													long BgL_arg4325z00_9237;

													BgL_arg4324z00_9236 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Eval/evaluate_comp.scm 930 */
														long BgL_arg4326z00_9238;

														BgL_arg4326z00_9238 =
															BGL_OBJECT_CLASS_NUM(BgL_arg4317z00_9214);
														BgL_arg4325z00_9237 =
															(BgL_arg4326z00_9238 - OBJECT_TYPE);
													}
													BgL_oclassz00_9228 =
														VECTOR_REF(BgL_arg4324z00_9236,
														BgL_arg4325z00_9237);
												}
												{	/* Eval/evaluate_comp.scm 930 */
													bool_t BgL__ortest_1296z00_9229;

													BgL__ortest_1296z00_9229 =
														(BgL_classz00_9212 == BgL_oclassz00_9228);
													if (BgL__ortest_1296z00_9229)
														{	/* Eval/evaluate_comp.scm 930 */
															BgL_res4452z00_9245 = BgL__ortest_1296z00_9229;
														}
													else
														{	/* Eval/evaluate_comp.scm 930 */
															long BgL_odepthz00_9230;

															{	/* Eval/evaluate_comp.scm 930 */
																obj_t BgL_arg4314z00_9231;

																BgL_arg4314z00_9231 = (BgL_oclassz00_9228);
																BgL_odepthz00_9230 =
																	BGL_CLASS_DEPTH(BgL_arg4314z00_9231);
															}
															if ((2L < BgL_odepthz00_9230))
																{	/* Eval/evaluate_comp.scm 930 */
																	obj_t BgL_arg4312z00_9233;

																	{	/* Eval/evaluate_comp.scm 930 */
																		obj_t BgL_arg4313z00_9234;

																		BgL_arg4313z00_9234 = (BgL_oclassz00_9228);
																		BgL_arg4312z00_9233 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg4313z00_9234, 2L);
																	}
																	BgL_res4452z00_9245 =
																		(BgL_arg4312z00_9233 == BgL_classz00_9212);
																}
															else
																{	/* Eval/evaluate_comp.scm 930 */
																	BgL_res4452z00_9245 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test5267z00_22896 = BgL_res4452z00_9245;
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 930 */
									BgL_test5267z00_22896 = ((bool_t) 0);
								}
						}
						if (BgL_test5267z00_22896)
							{	/* Eval/evaluate_comp.scm 930 */
								if (CBOOL(
										(((BgL_ev_varz00_bglt) COBJECT(
													((BgL_ev_varz00_bglt) BgL_exprz00_187)))->
											BgL_effz00)))
									{	/* Eval/evaluate_comp.scm 933 */
										obj_t BgL_v1382z00_3094;

										BgL_v1382z00_3094 = create_vector(2L);
										VECTOR_SET(BgL_v1382z00_3094, 0L, BINT(3L));
										VECTOR_SET(BgL_v1382z00_3094, 1L,
											BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
												BgL_stkz00_188));
										return BgL_v1382z00_3094;
									}
								else
									{	/* Eval/evaluate_comp.scm 934 */
										obj_t BgL_v1383z00_3096;

										BgL_v1383z00_3096 = create_vector(2L);
										VECTOR_SET(BgL_v1383z00_3096, 0L, BINT(2L));
										VECTOR_SET(BgL_v1383z00_3096, 1L,
											BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
												BgL_stkz00_188));
										return BgL_v1383z00_3096;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 935 */
								bool_t BgL_test5273z00_22933;

								{	/* Eval/evaluate_comp.scm 935 */
									obj_t BgL_classz00_9250;

									BgL_classz00_9250 = BGl_ev_globalz00zz__evaluate_typesz00;
									if (BGL_OBJECTP(BgL_exprz00_187))
										{	/* Eval/evaluate_comp.scm 935 */
											BgL_objectz00_bglt BgL_arg4317z00_9252;

											BgL_arg4317z00_9252 =
												(BgL_objectz00_bglt) (BgL_exprz00_187);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Eval/evaluate_comp.scm 935 */
													long BgL_idxz00_9258;

													BgL_idxz00_9258 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg4317z00_9252);
													BgL_test5273z00_22933 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_9258 + 2L)) == BgL_classz00_9250);
												}
											else
												{	/* Eval/evaluate_comp.scm 935 */
													bool_t BgL_res4453z00_9283;

													{	/* Eval/evaluate_comp.scm 935 */
														obj_t BgL_oclassz00_9266;

														{	/* Eval/evaluate_comp.scm 935 */
															obj_t BgL_arg4324z00_9274;
															long BgL_arg4325z00_9275;

															BgL_arg4324z00_9274 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Eval/evaluate_comp.scm 935 */
																long BgL_arg4326z00_9276;

																BgL_arg4326z00_9276 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg4317z00_9252);
																BgL_arg4325z00_9275 =
																	(BgL_arg4326z00_9276 - OBJECT_TYPE);
															}
															BgL_oclassz00_9266 =
																VECTOR_REF(BgL_arg4324z00_9274,
																BgL_arg4325z00_9275);
														}
														{	/* Eval/evaluate_comp.scm 935 */
															bool_t BgL__ortest_1296z00_9267;

															BgL__ortest_1296z00_9267 =
																(BgL_classz00_9250 == BgL_oclassz00_9266);
															if (BgL__ortest_1296z00_9267)
																{	/* Eval/evaluate_comp.scm 935 */
																	BgL_res4453z00_9283 =
																		BgL__ortest_1296z00_9267;
																}
															else
																{	/* Eval/evaluate_comp.scm 935 */
																	long BgL_odepthz00_9268;

																	{	/* Eval/evaluate_comp.scm 935 */
																		obj_t BgL_arg4314z00_9269;

																		BgL_arg4314z00_9269 = (BgL_oclassz00_9266);
																		BgL_odepthz00_9268 =
																			BGL_CLASS_DEPTH(BgL_arg4314z00_9269);
																	}
																	if ((2L < BgL_odepthz00_9268))
																		{	/* Eval/evaluate_comp.scm 935 */
																			obj_t BgL_arg4312z00_9271;

																			{	/* Eval/evaluate_comp.scm 935 */
																				obj_t BgL_arg4313z00_9272;

																				BgL_arg4313z00_9272 =
																					(BgL_oclassz00_9266);
																				BgL_arg4312z00_9271 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg4313z00_9272, 2L);
																			}
																			BgL_res4453z00_9283 =
																				(BgL_arg4312z00_9271 ==
																				BgL_classz00_9250);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 935 */
																			BgL_res4453z00_9283 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test5273z00_22933 = BgL_res4453z00_9283;
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 935 */
											BgL_test5273z00_22933 = ((bool_t) 0);
										}
								}
								if (BgL_test5273z00_22933)
									{	/* Eval/evaluate_comp.scm 937 */
										obj_t BgL_gz00_3100;

										{	/* Eval/evaluate_comp.scm 937 */
											obj_t BgL_arg2633z00_3108;
											obj_t BgL_arg2634z00_3109;

											BgL_arg2633z00_3108 =
												(((BgL_ev_globalz00_bglt) COBJECT(
														((BgL_ev_globalz00_bglt) BgL_exprz00_187)))->
												BgL_modz00);
											BgL_arg2634z00_3109 =
												(((BgL_ev_globalz00_bglt)
													COBJECT(((BgL_ev_globalz00_bglt) BgL_exprz00_187)))->
												BgL_namez00);
											BgL_gz00_3100 =
												BGl_evmodulezd2findzd2globalz00zz__evmodulez00
												(BgL_arg2633z00_3108, BgL_arg2634z00_3109);
										}
										if (CBOOL(BgL_gz00_3100))
											{	/* Eval/evaluate_comp.scm 939 */
												bool_t BgL_test5279z00_22963;

												{	/* Eval/evaluate_comp.scm 939 */
													int BgL_arg2630z00_3105;

													{	/* Eval/evaluate_comp.scm 939 */
														int BgL_res4454z00_9286;

														BgL_res4454z00_9286 =
															CINT(VECTOR_REF(((obj_t) BgL_gz00_3100), 0L));
														BgL_arg2630z00_3105 = BgL_res4454z00_9286;
													}
													BgL_test5279z00_22963 =
														(BINT(BgL_arg2630z00_3105) == BINT(1L));
												}
												if (BgL_test5279z00_22963)
													{	/* Eval/evaluate_comp.scm 940 */
														obj_t BgL_v1384z00_3103;

														BgL_v1384z00_3103 = create_vector(2L);
														VECTOR_SET(BgL_v1384z00_3103, 0L, BINT(4L));
														VECTOR_SET(BgL_v1384z00_3103, 1L, BgL_gz00_3100);
														return BgL_v1384z00_3103;
													}
												else
													{	/* Eval/evaluate_comp.scm 941 */
														obj_t BgL_v1385z00_3104;

														BgL_v1385z00_3104 = create_vector(2L);
														VECTOR_SET(BgL_v1385z00_3104, 0L, BINT(5L));
														VECTOR_SET(BgL_v1385z00_3104, 1L, BgL_gz00_3100);
														return BgL_v1385z00_3104;
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 942 */
												obj_t BgL_v1386z00_3106;

												BgL_v1386z00_3106 = create_vector(2L);
												VECTOR_SET(BgL_v1386z00_3106, 0L, BINT(0L));
												{	/* Eval/evaluate_comp.scm 942 */
													obj_t BgL_arg2631z00_3107;

													BgL_arg2631z00_3107 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_exprz00_187),
														BgL_stkz00_188);
													VECTOR_SET(BgL_v1386z00_3106, 1L,
														BgL_arg2631z00_3107);
												}
												return BgL_v1386z00_3106;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 943 */
										bool_t BgL_test5280z00_22984;

										{	/* Eval/evaluate_comp.scm 943 */
											obj_t BgL_classz00_9293;

											BgL_classz00_9293 = BGl_ev_appz00zz__evaluate_typesz00;
											if (BGL_OBJECTP(BgL_exprz00_187))
												{	/* Eval/evaluate_comp.scm 943 */
													BgL_objectz00_bglt BgL_arg4317z00_9295;

													BgL_arg4317z00_9295 =
														(BgL_objectz00_bglt) (BgL_exprz00_187);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Eval/evaluate_comp.scm 943 */
															long BgL_idxz00_9301;

															BgL_idxz00_9301 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg4317z00_9295);
															BgL_test5280z00_22984 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_9301 + 2L)) == BgL_classz00_9293);
														}
													else
														{	/* Eval/evaluate_comp.scm 943 */
															bool_t BgL_res4455z00_9326;

															{	/* Eval/evaluate_comp.scm 943 */
																obj_t BgL_oclassz00_9309;

																{	/* Eval/evaluate_comp.scm 943 */
																	obj_t BgL_arg4324z00_9317;
																	long BgL_arg4325z00_9318;

																	BgL_arg4324z00_9317 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Eval/evaluate_comp.scm 943 */
																		long BgL_arg4326z00_9319;

																		BgL_arg4326z00_9319 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg4317z00_9295);
																		BgL_arg4325z00_9318 =
																			(BgL_arg4326z00_9319 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_9309 =
																		VECTOR_REF(BgL_arg4324z00_9317,
																		BgL_arg4325z00_9318);
																}
																{	/* Eval/evaluate_comp.scm 943 */
																	bool_t BgL__ortest_1296z00_9310;

																	BgL__ortest_1296z00_9310 =
																		(BgL_classz00_9293 == BgL_oclassz00_9309);
																	if (BgL__ortest_1296z00_9310)
																		{	/* Eval/evaluate_comp.scm 943 */
																			BgL_res4455z00_9326 =
																				BgL__ortest_1296z00_9310;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 943 */
																			long BgL_odepthz00_9311;

																			{	/* Eval/evaluate_comp.scm 943 */
																				obj_t BgL_arg4314z00_9312;

																				BgL_arg4314z00_9312 =
																					(BgL_oclassz00_9309);
																				BgL_odepthz00_9311 =
																					BGL_CLASS_DEPTH(BgL_arg4314z00_9312);
																			}
																			if ((2L < BgL_odepthz00_9311))
																				{	/* Eval/evaluate_comp.scm 943 */
																					obj_t BgL_arg4312z00_9314;

																					{	/* Eval/evaluate_comp.scm 943 */
																						obj_t BgL_arg4313z00_9315;

																						BgL_arg4313z00_9315 =
																							(BgL_oclassz00_9309);
																						BgL_arg4312z00_9314 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg4313z00_9315, 2L);
																					}
																					BgL_res4455z00_9326 =
																						(BgL_arg4312z00_9314 ==
																						BgL_classz00_9293);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 943 */
																					BgL_res4455z00_9326 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test5280z00_22984 = BgL_res4455z00_9326;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 943 */
													BgL_test5280z00_22984 = ((bool_t) 0);
												}
										}
										if (BgL_test5280z00_22984)
											{	/* Eval/evaluate_comp.scm 945 */
												obj_t BgL_fvalz00_3112;

												{	/* Eval/evaluate_comp.scm 945 */
													BgL_ev_exprz00_bglt BgL_arg2730z00_3166;

													BgL_arg2730z00_3166 =
														(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
														BgL_funz00);
													BgL_fvalz00_3112 =
														BGl_globalzd2funzd2valuez00zz__evaluate_compz00
														(BgL_arg2730z00_3166);
												}
												if (
													(BgL_fvalz00_3112 ==
														BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
													{	/* Eval/evaluate_comp.scm 947 */
														{	/* Eval/evaluate_comp.scm 948 */
															obj_t BgL_arg2636z00_3113;
															BgL_ev_exprz00_bglt BgL_arg2640z00_3114;
															obj_t BgL_arg2643z00_3115;

															BgL_arg2636z00_3113 =
																(((BgL_ev_appz00_bglt) COBJECT(
																		((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
																BgL_locz00);
															BgL_arg2640z00_3114 =
																(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_exprz00_187)))->BgL_funz00);
															BgL_arg2643z00_3115 =
																(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_exprz00_187)))->BgL_argsz00);
															{	/* Eval/evaluate_comp.scm 921 */
																bool_t BgL_test5286z00_23018;

																if (PAIRP(BgL_arg2643z00_3115))
																	{	/* Eval/evaluate_comp.scm 921 */
																		bool_t BgL_test5288z00_23021;

																		{	/* Eval/evaluate_comp.scm 921 */
																			obj_t BgL_tmpz00_23022;

																			BgL_tmpz00_23022 =
																				CDR(BgL_arg2643z00_3115);
																			BgL_test5288z00_23021 =
																				PAIRP(BgL_tmpz00_23022);
																		}
																		if (BgL_test5288z00_23021)
																			{	/* Eval/evaluate_comp.scm 921 */
																				BgL_test5286z00_23018 =
																					NULLP(CDR(CDR(BgL_arg2643z00_3115)));
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 921 */
																				BgL_test5286z00_23018 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Eval/evaluate_comp.scm 921 */
																		BgL_test5286z00_23018 = ((bool_t) 0);
																	}
																if (BgL_test5286z00_23018)
																	{	/* Eval/evaluate_comp.scm 921 */
																		BFALSE;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 922 */
																		long BgL_arg2740z00_9332;

																		BgL_arg2740z00_9332 =
																			bgl_list_length(BgL_arg2643z00_3115);
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_arg2636z00_3113,
																			((obj_t) BgL_arg2640z00_3114), (int) (2L),
																			(int) (BgL_arg2740z00_9332));
														}}}
														{	/* Eval/evaluate_comp.scm 949 */
															obj_t BgL_v1387z00_3116;

															BgL_v1387z00_3116 = create_vector(3L);
															VECTOR_SET(BgL_v1387z00_3116, 0L, BINT(6L));
															{	/* Eval/evaluate_comp.scm 949 */
																obj_t BgL_arg2645z00_3117;

																{	/* Eval/evaluate_comp.scm 949 */
																	obj_t BgL_arg2649z00_3118;

																	{	/* Eval/evaluate_comp.scm 949 */
																		obj_t BgL_pairz00_9339;

																		BgL_pairz00_9339 =
																			(((BgL_ev_appz00_bglt) COBJECT(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2649z00_3118 = CAR(BgL_pairz00_9339);
																	}
																	BgL_arg2645z00_3117 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2649z00_3118, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1387z00_3116, 1L,
																	BgL_arg2645z00_3117);
															}
															{	/* Eval/evaluate_comp.scm 949 */
																obj_t BgL_arg2655z00_3120;

																{	/* Eval/evaluate_comp.scm 949 */
																	obj_t BgL_arg2656z00_3121;

																	{	/* Eval/evaluate_comp.scm 949 */
																		obj_t BgL_pairz00_9341;

																		BgL_pairz00_9341 =
																			(((BgL_ev_appz00_bglt) COBJECT(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2656z00_3121 =
																			CAR(CDR(BgL_pairz00_9341));
																	}
																	BgL_arg2655z00_3120 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2656z00_3121, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1387z00_3116, 2L,
																	BgL_arg2655z00_3120);
															}
															return BgL_v1387z00_3116;
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 947 */
														if (
															(BgL_fvalz00_3112 ==
																BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
															{	/* Eval/evaluate_comp.scm 950 */
																{	/* Eval/evaluate_comp.scm 951 */
																	obj_t BgL_arg2659z00_3123;
																	BgL_ev_exprz00_bglt BgL_arg2662z00_3124;
																	obj_t BgL_arg2663z00_3125;

																	BgL_arg2659z00_3123 =
																		(((BgL_ev_appz00_bglt) COBJECT(
																				((BgL_ev_appz00_bglt)
																					BgL_exprz00_187)))->BgL_locz00);
																	BgL_arg2662z00_3124 =
																		(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_exprz00_187)))->BgL_funz00);
																	BgL_arg2663z00_3125 =
																		(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_exprz00_187)))->BgL_argsz00);
																	{	/* Eval/evaluate_comp.scm 921 */
																		bool_t BgL_test5290z00_23055;

																		if (PAIRP(BgL_arg2663z00_3125))
																			{	/* Eval/evaluate_comp.scm 921 */
																				bool_t BgL_test5292z00_23058;

																				{	/* Eval/evaluate_comp.scm 921 */
																					obj_t BgL_tmpz00_23059;

																					BgL_tmpz00_23059 =
																						CDR(BgL_arg2663z00_3125);
																					BgL_test5292z00_23058 =
																						PAIRP(BgL_tmpz00_23059);
																				}
																				if (BgL_test5292z00_23058)
																					{	/* Eval/evaluate_comp.scm 921 */
																						BgL_test5290z00_23055 =
																							NULLP(CDR(CDR
																								(BgL_arg2663z00_3125)));
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 921 */
																						BgL_test5290z00_23055 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 921 */
																				BgL_test5290z00_23055 = ((bool_t) 0);
																			}
																		if (BgL_test5290z00_23055)
																			{	/* Eval/evaluate_comp.scm 921 */
																				BFALSE;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 922 */
																				long BgL_arg2740z00_9351;

																				BgL_arg2740z00_9351 =
																					bgl_list_length(BgL_arg2663z00_3125);
																				BGl_evarityzd2errorzd2zz__everrorz00
																					(BgL_arg2659z00_3123,
																					((obj_t) BgL_arg2662z00_3124),
																					(int) (2L),
																					(int) (BgL_arg2740z00_9351));
																}}}
																{	/* Eval/evaluate_comp.scm 952 */
																	obj_t BgL_v1388z00_3126;

																	BgL_v1388z00_3126 = create_vector(3L);
																	VECTOR_SET(BgL_v1388z00_3126, 0L, BINT(7L));
																	{	/* Eval/evaluate_comp.scm 952 */
																		obj_t BgL_arg2665z00_3127;

																		{	/* Eval/evaluate_comp.scm 952 */
																			obj_t BgL_arg2666z00_3128;

																			{	/* Eval/evaluate_comp.scm 952 */
																				obj_t BgL_pairz00_9358;

																				BgL_pairz00_9358 =
																					(((BgL_ev_appz00_bglt) COBJECT(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2666z00_3128 =
																					CAR(BgL_pairz00_9358);
																			}
																			BgL_arg2665z00_3127 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2666z00_3128, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1388z00_3126, 1L,
																			BgL_arg2665z00_3127);
																	}
																	{	/* Eval/evaluate_comp.scm 952 */
																		obj_t BgL_arg2668z00_3130;

																		{	/* Eval/evaluate_comp.scm 952 */
																			obj_t BgL_arg2670z00_3131;

																			{	/* Eval/evaluate_comp.scm 952 */
																				obj_t BgL_pairz00_9360;

																				BgL_pairz00_9360 =
																					(((BgL_ev_appz00_bglt) COBJECT(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2670z00_3131 =
																					CAR(CDR(BgL_pairz00_9360));
																			}
																			BgL_arg2668z00_3130 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2670z00_3131, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1388z00_3126, 2L,
																			BgL_arg2668z00_3130);
																	}
																	return BgL_v1388z00_3126;
																}
															}
														else
															{	/* Eval/evaluate_comp.scm 950 */
																if (
																	(BgL_fvalz00_3112 ==
																		BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																	{	/* Eval/evaluate_comp.scm 953 */
																		{	/* Eval/evaluate_comp.scm 954 */
																			obj_t BgL_arg2673z00_3133;
																			BgL_ev_exprz00_bglt BgL_arg2674z00_3134;
																			obj_t BgL_arg2675z00_3135;

																			BgL_arg2673z00_3133 =
																				(((BgL_ev_appz00_bglt) COBJECT(
																						((BgL_ev_appz00_bglt)
																							BgL_exprz00_187)))->BgL_locz00);
																			BgL_arg2674z00_3134 =
																				(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_exprz00_187)))->BgL_funz00);
																			BgL_arg2675z00_3135 =
																				(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_exprz00_187)))->BgL_argsz00);
																			{	/* Eval/evaluate_comp.scm 921 */
																				bool_t BgL_test5294z00_23092;

																				if (PAIRP(BgL_arg2675z00_3135))
																					{	/* Eval/evaluate_comp.scm 921 */
																						bool_t BgL_test5296z00_23095;

																						{	/* Eval/evaluate_comp.scm 921 */
																							obj_t BgL_tmpz00_23096;

																							BgL_tmpz00_23096 =
																								CDR(BgL_arg2675z00_3135);
																							BgL_test5296z00_23095 =
																								PAIRP(BgL_tmpz00_23096);
																						}
																						if (BgL_test5296z00_23095)
																							{	/* Eval/evaluate_comp.scm 921 */
																								BgL_test5294z00_23092 =
																									NULLP(CDR(CDR
																										(BgL_arg2675z00_3135)));
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 921 */
																								BgL_test5294z00_23092 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 921 */
																						BgL_test5294z00_23092 =
																							((bool_t) 0);
																					}
																				if (BgL_test5294z00_23092)
																					{	/* Eval/evaluate_comp.scm 921 */
																						BFALSE;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 922 */
																						long BgL_arg2740z00_9370;

																						BgL_arg2740z00_9370 =
																							bgl_list_length
																							(BgL_arg2675z00_3135);
																						BGl_evarityzd2errorzd2zz__everrorz00
																							(BgL_arg2673z00_3133,
																							((obj_t) BgL_arg2674z00_3134),
																							(int) (2L),
																							(int) (BgL_arg2740z00_9370));
																		}}}
																		{	/* Eval/evaluate_comp.scm 955 */
																			obj_t BgL_v1389z00_3136;

																			BgL_v1389z00_3136 = create_vector(3L);
																			VECTOR_SET(BgL_v1389z00_3136, 0L,
																				BINT(8L));
																			{	/* Eval/evaluate_comp.scm 955 */
																				obj_t BgL_arg2676z00_3137;

																				{	/* Eval/evaluate_comp.scm 955 */
																					obj_t BgL_arg2679z00_3138;

																					{	/* Eval/evaluate_comp.scm 955 */
																						obj_t BgL_pairz00_9377;

																						BgL_pairz00_9377 =
																							(((BgL_ev_appz00_bglt) COBJECT(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2679z00_3138 =
																							CAR(BgL_pairz00_9377);
																					}
																					BgL_arg2676z00_3137 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2679z00_3138,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1389z00_3136, 1L,
																					BgL_arg2676z00_3137);
																			}
																			{	/* Eval/evaluate_comp.scm 955 */
																				obj_t BgL_arg2681z00_3140;

																				{	/* Eval/evaluate_comp.scm 955 */
																					obj_t BgL_arg2684z00_3141;

																					{	/* Eval/evaluate_comp.scm 955 */
																						obj_t BgL_pairz00_9379;

																						BgL_pairz00_9379 =
																							(((BgL_ev_appz00_bglt) COBJECT(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2684z00_3141 =
																							CAR(CDR(BgL_pairz00_9379));
																					}
																					BgL_arg2681z00_3140 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2684z00_3141,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1389z00_3136, 2L,
																					BgL_arg2681z00_3140);
																			}
																			return BgL_v1389z00_3136;
																		}
																	}
																else
																	{	/* Eval/evaluate_comp.scm 953 */
																		if (
																			(BgL_fvalz00_3112 ==
																				BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																			{	/* Eval/evaluate_comp.scm 956 */
																				{	/* Eval/evaluate_comp.scm 957 */
																					obj_t BgL_arg2690z00_3143;
																					BgL_ev_exprz00_bglt
																						BgL_arg2697z00_3144;
																					obj_t BgL_arg2705z00_3145;

																					BgL_arg2690z00_3143 =
																						(((BgL_ev_appz00_bglt) COBJECT(
																								((BgL_ev_appz00_bglt)
																									BgL_exprz00_187)))->
																						BgL_locz00);
																					BgL_arg2697z00_3144 =
																						(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_exprz00_187)))->
																						BgL_funz00);
																					BgL_arg2705z00_3145 =
																						(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_exprz00_187)))->
																						BgL_argsz00);
																					{	/* Eval/evaluate_comp.scm 921 */
																						bool_t BgL_test5298z00_23129;

																						if (PAIRP(BgL_arg2705z00_3145))
																							{	/* Eval/evaluate_comp.scm 921 */
																								bool_t BgL_test5300z00_23132;

																								{	/* Eval/evaluate_comp.scm 921 */
																									obj_t BgL_tmpz00_23133;

																									BgL_tmpz00_23133 =
																										CDR(BgL_arg2705z00_3145);
																									BgL_test5300z00_23132 =
																										PAIRP(BgL_tmpz00_23133);
																								}
																								if (BgL_test5300z00_23132)
																									{	/* Eval/evaluate_comp.scm 921 */
																										BgL_test5298z00_23129 =
																											NULLP(CDR(CDR
																												(BgL_arg2705z00_3145)));
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 921 */
																										BgL_test5298z00_23129 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 921 */
																								BgL_test5298z00_23129 =
																									((bool_t) 0);
																							}
																						if (BgL_test5298z00_23129)
																							{	/* Eval/evaluate_comp.scm 921 */
																								BFALSE;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 922 */
																								long BgL_arg2740z00_9389;

																								BgL_arg2740z00_9389 =
																									bgl_list_length
																									(BgL_arg2705z00_3145);
																								BGl_evarityzd2errorzd2zz__everrorz00
																									(BgL_arg2690z00_3143,
																									((obj_t) BgL_arg2697z00_3144),
																									(int) (2L),
																									(int) (BgL_arg2740z00_9389));
																				}}}
																				{	/* Eval/evaluate_comp.scm 958 */
																					obj_t BgL_v1390z00_3146;

																					BgL_v1390z00_3146 = create_vector(3L);
																					VECTOR_SET(BgL_v1390z00_3146, 0L,
																						BINT(9L));
																					{	/* Eval/evaluate_comp.scm 958 */
																						obj_t BgL_arg2708z00_3147;

																						{	/* Eval/evaluate_comp.scm 958 */
																							obj_t BgL_arg2711z00_3148;

																							{	/* Eval/evaluate_comp.scm 958 */
																								obj_t BgL_pairz00_9396;

																								BgL_pairz00_9396 =
																									(((BgL_ev_appz00_bglt)
																										COBJECT((
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_187)))->
																									BgL_argsz00);
																								BgL_arg2711z00_3148 =
																									CAR(BgL_pairz00_9396);
																							}
																							BgL_arg2708z00_3147 =
																								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																								(BgL_arg2711z00_3148,
																								BgL_stkz00_188);
																						}
																						VECTOR_SET(BgL_v1390z00_3146, 1L,
																							BgL_arg2708z00_3147);
																					}
																					{	/* Eval/evaluate_comp.scm 958 */
																						obj_t BgL_arg2713z00_3150;

																						{	/* Eval/evaluate_comp.scm 958 */
																							obj_t BgL_arg2715z00_3151;

																							{	/* Eval/evaluate_comp.scm 958 */
																								obj_t BgL_pairz00_9398;

																								BgL_pairz00_9398 =
																									(((BgL_ev_appz00_bglt)
																										COBJECT((
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_187)))->
																									BgL_argsz00);
																								BgL_arg2715z00_3151 =
																									CAR(CDR(BgL_pairz00_9398));
																							}
																							BgL_arg2713z00_3150 =
																								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																								(BgL_arg2715z00_3151,
																								BgL_stkz00_188);
																						}
																						VECTOR_SET(BgL_v1390z00_3146, 2L,
																							BgL_arg2713z00_3150);
																					}
																					return BgL_v1390z00_3146;
																				}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 956 */
																				if (
																					(BgL_fvalz00_3112 ==
																						BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																					{	/* Eval/evaluate_comp.scm 960 */
																						obj_t BgL_v1391z00_3153;

																						BgL_v1391z00_3153 =
																							create_vector(2L);
																						VECTOR_SET(BgL_v1391z00_3153, 0L,
																							BINT(10L));
																						{	/* Eval/evaluate_comp.scm 960 */
																							obj_t BgL_arg2720z00_3154;

																							{	/* Eval/evaluate_comp.scm 960 */
																								obj_t BgL_arg2721z00_3155;

																								{	/* Eval/evaluate_comp.scm 960 */
																									obj_t BgL_pairz00_9404;

																									BgL_pairz00_9404 =
																										(((BgL_ev_appz00_bglt)
																											COBJECT((
																													(BgL_ev_appz00_bglt)
																													BgL_exprz00_187)))->
																										BgL_argsz00);
																									BgL_arg2721z00_3155 =
																										CAR(BgL_pairz00_9404);
																								}
																								BgL_arg2720z00_3154 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt)
																										BgL_arg2721z00_3155),
																									BgL_stkz00_188);
																							}
																							VECTOR_SET(BgL_v1391z00_3153, 1L,
																								BgL_arg2720z00_3154);
																						}
																						return BgL_v1391z00_3153;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 959 */
																						if (
																							(BgL_fvalz00_3112 ==
																								BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																							{	/* Eval/evaluate_comp.scm 962 */
																								obj_t BgL_v1392z00_3157;

																								BgL_v1392z00_3157 =
																									create_vector(3L);
																								VECTOR_SET(BgL_v1392z00_3157,
																									0L, BINT(11L));
																								{	/* Eval/evaluate_comp.scm 962 */
																									obj_t BgL_arg2723z00_3158;

																									{	/* Eval/evaluate_comp.scm 962 */
																										obj_t BgL_arg2724z00_3159;

																										{	/* Eval/evaluate_comp.scm 962 */
																											obj_t BgL_pairz00_9407;

																											BgL_pairz00_9407 =
																												(((BgL_ev_appz00_bglt)
																													COBJECT((
																															(BgL_ev_appz00_bglt)
																															BgL_exprz00_187)))->
																												BgL_argsz00);
																											BgL_arg2724z00_3159 =
																												CAR(BgL_pairz00_9407);
																										}
																										BgL_arg2723z00_3158 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2724z00_3159),
																											BgL_stkz00_188);
																									}
																									VECTOR_SET(BgL_v1392z00_3157,
																										1L, BgL_arg2723z00_3158);
																								}
																								{	/* Eval/evaluate_comp.scm 962 */
																									obj_t BgL_arg2726z00_3161;

																									{	/* Eval/evaluate_comp.scm 962 */
																										obj_t BgL_arg2727z00_3162;

																										{	/* Eval/evaluate_comp.scm 962 */
																											obj_t BgL_pairz00_9409;

																											BgL_pairz00_9409 =
																												(((BgL_ev_appz00_bglt)
																													COBJECT((
																															(BgL_ev_appz00_bglt)
																															BgL_exprz00_187)))->
																												BgL_argsz00);
																											BgL_arg2727z00_3162 =
																												CAR(CDR
																												(BgL_pairz00_9409));
																										}
																										BgL_arg2726z00_3161 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2727z00_3162),
																											BgL_stkz00_188);
																									}
																									VECTOR_SET(BgL_v1392z00_3157,
																										2L, BgL_arg2726z00_3161);
																								}
																								return BgL_v1392z00_3157;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 964 */
																								obj_t BgL_v1393z00_3164;

																								BgL_v1393z00_3164 =
																									create_vector(2L);
																								VECTOR_SET(BgL_v1393z00_3164,
																									0L, BINT(0L));
																								{	/* Eval/evaluate_comp.scm 964 */
																									obj_t BgL_arg2729z00_3165;

																									BgL_arg2729z00_3165 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_exprz00_187),
																										BgL_stkz00_188);
																									VECTOR_SET(BgL_v1393z00_3164,
																										1L, BgL_arg2729z00_3165);
																								}
																								return BgL_v1393z00_3164;
																							}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 965 */
												obj_t BgL_v1394z00_3167;

												BgL_v1394z00_3167 = create_vector(2L);
												VECTOR_SET(BgL_v1394z00_3167, 0L, BINT(0L));
												{	/* Eval/evaluate_comp.scm 965 */
													obj_t BgL_arg2731z00_3168;

													BgL_arg2731z00_3168 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_exprz00_187),
														BgL_stkz00_188);
													VECTOR_SET(BgL_v1394z00_3167, 1L,
														BgL_arg2731z00_3168);
												}
												return BgL_v1394z00_3167;
											}
									}
							}
					}
			}
		}

	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189,
		obj_t BgL_sz00_190)
	{
		{	/* Eval/evaluate_comp.scm 967 */
			return
				REAL_TO_DOUBLE(BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190,
					BgL_bcz00_189));
		}

	}



/* E~0 */
	obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_15675,
		obj_t BgL_bcz00_3189)
	{
		{	/* Eval/evaluate_comp.scm 982 */
			{	/* Eval/evaluate_comp.scm 969 */
				obj_t BgL_aux1229z00_3192;

				BgL_aux1229z00_3192 = VECTOR_REF(((obj_t) BgL_bcz00_3189), 0L);
				if (INTEGERP(BgL_aux1229z00_3192))
					{	/* Eval/evaluate_comp.scm 969 */
						switch ((long) CINT(BgL_aux1229z00_3192))
							{
							case 0L:

								{	/* Eval/evaluate_comp.scm 970 */
									obj_t BgL_fun2745z00_3193;

									BgL_fun2745z00_3193 =
										VECTOR_REF(((obj_t) BgL_bcz00_3189), 1L);
									return
										BGL_PROCEDURE_CALL1(BgL_fun2745z00_3193, BgL_sz00_15675);
								}
								break;
							case 1L:

								return VECTOR_REF(((obj_t) BgL_bcz00_3189), 1L);
								break;
							case 2L:

								{	/* Eval/evaluate_comp.scm 972 */
									long BgL_arg2749z00_3194;

									{	/* Eval/evaluate_comp.scm 972 */
										obj_t BgL_arg2750z00_3195;
										obj_t BgL_arg2751z00_3196;

										BgL_arg2750z00_3195 =
											VECTOR_REF(((obj_t) BgL_sz00_15675), 0L);
										BgL_arg2751z00_3196 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 1L);
										BgL_arg2749z00_3194 =
											(
											(long) CINT(BgL_arg2750z00_3195) +
											(long) CINT(BgL_arg2751z00_3196));
									}
									return
										VECTOR_REF(((obj_t) BgL_sz00_15675), BgL_arg2749z00_3194);
								}
								break;
							case 3L:

								{	/* Eval/evaluate_comp.scm 973 */
									obj_t BgL_arg2752z00_3197;

									{	/* Eval/evaluate_comp.scm 973 */
										long BgL_arg2753z00_3198;

										{	/* Eval/evaluate_comp.scm 973 */
											obj_t BgL_arg2754z00_3199;
											obj_t BgL_arg2755z00_3200;

											BgL_arg2754z00_3199 =
												VECTOR_REF(((obj_t) BgL_sz00_15675), 0L);
											BgL_arg2755z00_3200 =
												VECTOR_REF(((obj_t) BgL_bcz00_3189), 1L);
											BgL_arg2753z00_3198 =
												(
												(long) CINT(BgL_arg2754z00_3199) +
												(long) CINT(BgL_arg2755z00_3200));
										}
										BgL_arg2752z00_3197 =
											VECTOR_REF(((obj_t) BgL_sz00_15675), BgL_arg2753z00_3198);
									}
									return STRUCT_REF(((obj_t) BgL_arg2752z00_3197), (int) (0L));
								} break;
							case 4L:

								{	/* Eval/evaluate_comp.scm 974 */
									obj_t BgL_arg2756z00_3201;

									{	/* Eval/evaluate_comp.scm 974 */
										obj_t BgL_arg2757z00_3202;

										BgL_arg2757z00_3202 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 1L);
										BgL_arg2756z00_3201 =
											VECTOR_REF(((obj_t) BgL_arg2757z00_3202), 2L);
									}
									return __EVMEANING_ADDRESS_REF(BgL_arg2756z00_3201);
								}
								break;
							case 5L:

								{	/* Eval/evaluate_comp.scm 975 */
									obj_t BgL_arg2761z00_3203;

									BgL_arg2761z00_3203 =
										VECTOR_REF(((obj_t) BgL_bcz00_3189), 1L);
									return VECTOR_REF(((obj_t) BgL_arg2761z00_3203), 2L);
								}
								break;
							case 6L:

								{	/* Eval/evaluate_comp.scm 976 */
									obj_t BgL_arg2762z00_3204;
									obj_t BgL_arg2763z00_3205;

									{	/* Eval/evaluate_comp.scm 976 */
										obj_t BgL_arg2764z00_3206;

										BgL_arg2764z00_3206 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 1L);
										BgL_arg2762z00_3204 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15675,
											BgL_arg2764z00_3206);
									}
									{	/* Eval/evaluate_comp.scm 976 */
										obj_t BgL_arg2765z00_3207;

										BgL_arg2765z00_3207 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 2L);
										BgL_arg2763z00_3205 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15675,
											BgL_arg2765z00_3207);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2762z00_3204) +
											REAL_TO_DOUBLE(BgL_arg2763z00_3205)));
								}
								break;
							case 7L:

								{	/* Eval/evaluate_comp.scm 977 */
									obj_t BgL_arg2766z00_3208;
									obj_t BgL_arg2767z00_3209;

									{	/* Eval/evaluate_comp.scm 977 */
										obj_t BgL_arg2768z00_3210;

										BgL_arg2768z00_3210 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 1L);
										BgL_arg2766z00_3208 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15675,
											BgL_arg2768z00_3210);
									}
									{	/* Eval/evaluate_comp.scm 977 */
										obj_t BgL_arg2769z00_3211;

										BgL_arg2769z00_3211 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 2L);
										BgL_arg2767z00_3209 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15675,
											BgL_arg2769z00_3211);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2766z00_3208) -
											REAL_TO_DOUBLE(BgL_arg2767z00_3209)));
								}
								break;
							case 8L:

								{	/* Eval/evaluate_comp.scm 978 */
									obj_t BgL_arg2770z00_3212;
									obj_t BgL_arg2774z00_3213;

									{	/* Eval/evaluate_comp.scm 978 */
										obj_t BgL_arg2775z00_3214;

										BgL_arg2775z00_3214 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 1L);
										BgL_arg2770z00_3212 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15675,
											BgL_arg2775z00_3214);
									}
									{	/* Eval/evaluate_comp.scm 978 */
										obj_t BgL_arg2780z00_3215;

										BgL_arg2780z00_3215 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 2L);
										BgL_arg2774z00_3213 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15675,
											BgL_arg2780z00_3215);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2770z00_3212) *
											REAL_TO_DOUBLE(BgL_arg2774z00_3213)));
								}
								break;
							case 9L:

								{	/* Eval/evaluate_comp.scm 979 */
									obj_t BgL_arg2800z00_3216;
									obj_t BgL_arg2802z00_3217;

									{	/* Eval/evaluate_comp.scm 979 */
										obj_t BgL_arg2803z00_3218;

										BgL_arg2803z00_3218 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 1L);
										BgL_arg2800z00_3216 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15675,
											BgL_arg2803z00_3218);
									}
									{	/* Eval/evaluate_comp.scm 979 */
										obj_t BgL_arg2804z00_3219;

										BgL_arg2804z00_3219 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 2L);
										BgL_arg2802z00_3217 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15675,
											BgL_arg2804z00_3219);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2800z00_3216) /
											REAL_TO_DOUBLE(BgL_arg2802z00_3217)));
								}
								break;
							case 10L:

								{	/* Eval/evaluate_comp.scm 980 */
									obj_t BgL_arg2805z00_3220;

									{	/* Eval/evaluate_comp.scm 980 */
										obj_t BgL_fun2807z00_3221;

										BgL_fun2807z00_3221 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 1L);
										BgL_arg2805z00_3220 =
											BGL_PROCEDURE_CALL1(BgL_fun2807z00_3221, BgL_sz00_15675);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2805z00_3220)));
								} break;
							case 11L:

								{	/* Eval/evaluate_comp.scm 981 */
									obj_t BgL_arg2810z00_3222;
									obj_t BgL_arg2811z00_3223;

									{	/* Eval/evaluate_comp.scm 981 */
										obj_t BgL_fun2812z00_3224;

										BgL_fun2812z00_3224 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 1L);
										BgL_arg2810z00_3222 =
											BGL_PROCEDURE_CALL1(BgL_fun2812z00_3224, BgL_sz00_15675);
									}
									{	/* Eval/evaluate_comp.scm 981 */
										obj_t BgL_fun2813z00_3225;

										BgL_fun2813z00_3225 =
											VECTOR_REF(((obj_t) BgL_bcz00_3189), 2L);
										BgL_arg2811z00_3223 =
											BGL_PROCEDURE_CALL1(BgL_fun2813z00_3225, BgL_sz00_15675);
									}
									{	/* Eval/evaluate_comp.scm 981 */
										double BgL_tmpz00_23304;

										{	/* Eval/evaluate_comp.scm 981 */
											long BgL_tmpz00_23305;

											BgL_tmpz00_23305 = (long) CINT(BgL_arg2811z00_3223);
											BgL_tmpz00_23304 =
												BGL_F64VREF(BgL_arg2810z00_3222, BgL_tmpz00_23305);
										}
										return DOUBLE_TO_REAL(BgL_tmpz00_23304);
									}
								}
								break;
							default:
								{	/* Eval/evaluate_comp.scm 982 */
									obj_t BgL_arg2815z00_9462;

									BgL_arg2815z00_9462 =
										VECTOR_REF(((obj_t) BgL_bcz00_3189), 0L);
									return
										BGl_errorz00zz__errorz00
										(BGl_string4600z00zz__evaluate_compz00,
										BGl_string4619z00zz__evaluate_compz00, BgL_arg2815z00_9462);
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 982 */
						obj_t BgL_arg2815z00_9464;

						BgL_arg2815z00_9464 = VECTOR_REF(((obj_t) BgL_bcz00_3189), 0L);
						return
							BGl_errorz00zz__errorz00(BGl_string4600z00zz__evaluate_compz00,
							BGl_string4619z00zz__evaluate_compz00, BgL_arg2815z00_9464);
					}
			}
		}

	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_191, obj_t BgL_stkz00_192)
	{
		{	/* Eval/evaluate_comp.scm 985 */
			{	/* Eval/evaluate_comp.scm 987 */
				obj_t BgL_fvalz00_3229;

				BgL_fvalz00_3229 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_exprz00_191))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 988 */
					bool_t BgL_test5304z00_23319;

					if (
						(BgL_fvalz00_3229 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 988 */
							BgL_test5304z00_23319 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 988 */
							if (
								(BgL_fvalz00_3229 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 988 */
									BgL_test5304z00_23319 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 988 */
									if (
										(BgL_fvalz00_3229 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 988 */
											BgL_test5304z00_23319 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 988 */
											BgL_test5304z00_23319 =
												(BgL_fvalz00_3229 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_test5304z00_23319)
						{	/* Eval/evaluate_comp.scm 989 */
							obj_t BgL_bcz00_3231;

							BgL_bcz00_3231 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_191), BgL_stkz00_192);
							{	/* Eval/evaluate_comp.scm 990 */
								obj_t BgL_zc3z04anonymousza32817ze3z87_13947;

								BgL_zc3z04anonymousza32817ze3z87_13947 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32817ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32817ze3z87_13947,
									(int) (0L), BgL_bcz00_3231);
								return BgL_zc3z04anonymousza32817ze3z87_13947;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 988 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &<@anonymous:2817> */
	obj_t BGl_z62zc3z04anonymousza32817ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13948, obj_t BgL_sz00_13950)
	{
		{	/* Eval/evaluate_comp.scm 990 */
			{	/* Eval/evaluate_comp.scm 990 */
				obj_t BgL_bcz00_13949;

				BgL_bcz00_13949 = ((obj_t) PROCEDURE_REF(BgL_envz00_13948, (int) (0L)));
				{	/* Eval/evaluate_comp.scm 990 */
					double BgL_tmpz00_23337;

					{	/* Eval/evaluate_comp.scm 990 */
						obj_t BgL_bpz00_15949;

						BgL_bpz00_15949 = VECTOR_REF(((obj_t) BgL_sz00_13950), 0L);
						BgL_tmpz00_23337 =
							BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_13949,
							BgL_sz00_13950);
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_23337);
				}
			}
		}

	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193,
		BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195,
		obj_t BgL_stkz00_196)
	{
		{	/* Eval/evaluate_comp.scm 1019 */
			{	/* Eval/evaluate_comp.scm 1020 */
				obj_t BgL_valz00_3236;

				BgL_valz00_3236 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194);
				if (CBOOL(BgL_valz00_3236))
					{	/* Eval/evaluate_comp.scm 1022 */
						long BgL_nz00_3237;

						BgL_nz00_3237 = bgl_list_length(BgL_argsz00_195);
						{	/* Eval/evaluate_comp.scm 1023 */
							obj_t BgL__ortest_1235z00_3238;

							if ((BgL_nz00_3237 == 1L))
								{	/* Eval/evaluate_comp.scm 1024 */
									obj_t BgL_a1z00_3508;

									BgL_a1z00_3508 = CAR(((obj_t) BgL_argsz00_195));
									if (
										(BgL_valz00_3236 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 1025 */
											obj_t BgL_a1z00_3509;

											BgL_a1z00_3509 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_3508), BgL_stkz00_196);
											{	/* Eval/evaluate_comp.scm 1025 */
												obj_t BgL_zc3z04anonymousza32912ze3z87_13980;

												BgL_zc3z04anonymousza32912ze3z87_13980 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3z04anonymousza32912ze3ze5zz__evaluate_compz00,
													(int) (1L), (int) (2L));
												PROCEDURE_SET(BgL_zc3z04anonymousza32912ze3z87_13980,
													(int) (0L), BgL_a1z00_3509);
												PROCEDURE_SET(BgL_zc3z04anonymousza32912ze3z87_13980,
													(int) (1L), BgL_locz00_193);
												BgL__ortest_1235z00_3238 =
													BgL_zc3z04anonymousza32912ze3z87_13980;
										}}
									else
										{	/* Eval/evaluate_comp.scm 1025 */
											if (
												(BgL_valz00_3236 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 1025 */
													obj_t BgL_a1z00_3515;

													BgL_a1z00_3515 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3508),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1025 */
														obj_t BgL_zc3z04anonymousza32914ze3z87_13981;

														BgL_zc3z04anonymousza32914ze3z87_13981 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza32914ze3ze5zz__evaluate_compz00,
															(int) (1L), (int) (2L));
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32914ze3z87_13981,
															(int) (0L), BgL_a1z00_3515);
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32914ze3z87_13981,
															(int) (1L), BgL_locz00_193);
														BgL__ortest_1235z00_3238 =
															BgL_zc3z04anonymousza32914ze3z87_13981;
												}}
											else
												{	/* Eval/evaluate_comp.scm 1025 */
													if (
														(BgL_valz00_3236 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 1025 */
															obj_t BgL_a1z00_3521;

															BgL_a1z00_3521 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3508),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1025 */
																obj_t BgL_zc3z04anonymousza32916ze3z87_13982;

																BgL_zc3z04anonymousza32916ze3z87_13982 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3z04anonymousza32916ze3ze5zz__evaluate_compz00,
																	(int) (1L), (int) (2L));
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32916ze3z87_13982,
																	(int) (0L), BgL_a1z00_3521);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32916ze3z87_13982,
																	(int) (1L), BgL_locz00_193);
																BgL__ortest_1235z00_3238 =
																	BgL_zc3z04anonymousza32916ze3z87_13982;
														}}
													else
														{	/* Eval/evaluate_comp.scm 1025 */
															BgL__ortest_1235z00_3238 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1023 */
									BgL__ortest_1235z00_3238 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1235z00_3238))
								{	/* Eval/evaluate_comp.scm 1023 */
									return BgL__ortest_1235z00_3238;
								}
							else
								{	/* Eval/evaluate_comp.scm 1023 */
									if ((BgL_nz00_3237 == 2L))
										{	/* Eval/evaluate_comp.scm 1027 */
											obj_t BgL_a1z00_3240;
											obj_t BgL_a2z00_3241;

											BgL_a1z00_3240 = CAR(((obj_t) BgL_argsz00_195));
											{	/* Eval/evaluate_comp.scm 1027 */
												obj_t BgL_pairz00_9489;

												BgL_pairz00_9489 = CDR(((obj_t) BgL_argsz00_195));
												BgL_a2z00_3241 = CAR(BgL_pairz00_9489);
											}
											if (
												(BgL_valz00_3236 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 1028 */
													obj_t BgL_a1z00_3242;
													obj_t BgL_a2z00_3243;

													BgL_a1z00_3242 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3240),
														BgL_stkz00_196);
													BgL_a2z00_3243 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_3241),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1028 */
														obj_t BgL_zc3z04anonymousza32820ze3z87_13951;

														BgL_zc3z04anonymousza32820ze3z87_13951 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza32820ze3ze5zz__evaluate_compz00,
															(int) (1L), (int) (3L));
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32820ze3z87_13951,
															(int) (0L), BgL_a1z00_3242);
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32820ze3z87_13951,
															(int) (1L), BgL_a2z00_3243);
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32820ze3z87_13951,
															(int) (2L), BgL_locz00_193);
														return BgL_zc3z04anonymousza32820ze3z87_13951;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 1028 */
													if (
														(BgL_valz00_3236 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 1028 */
															obj_t BgL_a1z00_3252;
															obj_t BgL_a2z00_3253;

															BgL_a1z00_3252 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3240),
																BgL_stkz00_196);
															BgL_a2z00_3253 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_3241),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1028 */
																obj_t BgL_zc3z04anonymousza32824ze3z87_13952;

																BgL_zc3z04anonymousza32824ze3z87_13952 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3z04anonymousza32824ze3ze5zz__evaluate_compz00,
																	(int) (1L), (int) (3L));
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32824ze3z87_13952,
																	(int) (0L), BgL_a1z00_3252);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32824ze3z87_13952,
																	(int) (1L), BgL_a2z00_3253);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32824ze3z87_13952,
																	(int) (2L), BgL_locz00_193);
																return BgL_zc3z04anonymousza32824ze3z87_13952;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 1028 */
															if (
																(BgL_valz00_3236 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 1028 */
																	obj_t BgL_a1z00_3262;
																	obj_t BgL_a2z00_3263;

																	BgL_a1z00_3262 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_3240),
																		BgL_stkz00_196);
																	BgL_a2z00_3263 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_3241),
																		BgL_stkz00_196);
																	{	/* Eval/evaluate_comp.scm 1028 */
																		obj_t
																			BgL_zc3z04anonymousza32828ze3z87_13953;
																		BgL_zc3z04anonymousza32828ze3z87_13953 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3z04anonymousza32828ze3ze5zz__evaluate_compz00,
																			(int) (1L), (int) (3L));
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32828ze3z87_13953,
																			(int) (0L), BgL_a1z00_3262);
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32828ze3z87_13953,
																			(int) (1L), BgL_a2z00_3263);
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32828ze3z87_13953,
																			(int) (2L), BgL_locz00_193);
																		return
																			BgL_zc3z04anonymousza32828ze3z87_13953;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 1028 */
																	if (
																		(BgL_valz00_3236 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 1028 */
																			obj_t BgL_a1z00_3272;
																			obj_t BgL_a2z00_3273;

																			BgL_a1z00_3272 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_3240),
																				BgL_stkz00_196);
																			BgL_a2z00_3273 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_3241),
																				BgL_stkz00_196);
																			{	/* Eval/evaluate_comp.scm 1028 */
																				obj_t
																					BgL_zc3z04anonymousza32832ze3z87_13954;
																				BgL_zc3z04anonymousza32832ze3z87_13954 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3z04anonymousza32832ze3ze5zz__evaluate_compz00,
																					(int) (1L), (int) (3L));
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32832ze3z87_13954,
																					(int) (0L), BgL_a1z00_3272);
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32832ze3z87_13954,
																					(int) (1L), BgL_a2z00_3273);
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32832ze3z87_13954,
																					(int) (2L), BgL_locz00_193);
																				return
																					BgL_zc3z04anonymousza32832ze3z87_13954;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 1028 */
																			if (
																				(BgL_valz00_3236 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 1028 */
																					obj_t BgL_a1z00_3281;
																					obj_t BgL_a2z00_3282;

																					BgL_a1z00_3281 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_3240), BgL_stkz00_196);
																					BgL_a2z00_3282 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_3241), BgL_stkz00_196);
																					{	/* Eval/evaluate_comp.scm 1028 */
																						obj_t
																							BgL_zc3z04anonymousza32835ze3z87_13955;
																						BgL_zc3z04anonymousza32835ze3z87_13955
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3z04anonymousza32835ze3ze5zz__evaluate_compz00,
																							(int) (1L), (int) (3L));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32835ze3z87_13955,
																							(int) (0L), BgL_a1z00_3281);
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32835ze3z87_13955,
																							(int) (1L), BgL_a2z00_3282);
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32835ze3z87_13955,
																							(int) (2L), BgL_locz00_193);
																						return
																							BgL_zc3z04anonymousza32835ze3z87_13955;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 1028 */
																					if (
																						(BgL_valz00_3236 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 1028 */
																							obj_t BgL_a1z00_3291;
																							obj_t BgL_a2z00_3292;

																							BgL_a1z00_3291 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_3240),
																								BgL_stkz00_196);
																							BgL_a2z00_3292 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_3241),
																								BgL_stkz00_196);
																							{	/* Eval/evaluate_comp.scm 1028 */
																								obj_t
																									BgL_zc3z04anonymousza32839ze3z87_13956;
																								BgL_zc3z04anonymousza32839ze3z87_13956
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3z04anonymousza32839ze3ze5zz__evaluate_compz00,
																									(int) (1L), (int) (3L));
																								PROCEDURE_SET
																									(BgL_zc3z04anonymousza32839ze3z87_13956,
																									(int) (0L), BgL_a1z00_3291);
																								PROCEDURE_SET
																									(BgL_zc3z04anonymousza32839ze3z87_13956,
																									(int) (1L), BgL_a2z00_3292);
																								PROCEDURE_SET
																									(BgL_zc3z04anonymousza32839ze3z87_13956,
																									(int) (2L), BgL_locz00_193);
																								return
																									BgL_zc3z04anonymousza32839ze3z87_13956;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 1028 */
																							if (
																								(BgL_valz00_3236 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 1028 */
																									obj_t BgL_a1z00_3301;
																									obj_t BgL_a2z00_3302;

																									BgL_a1z00_3301 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_3240),
																										BgL_stkz00_196);
																									BgL_a2z00_3302 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_3241),
																										BgL_stkz00_196);
																									{	/* Eval/evaluate_comp.scm 1028 */
																										obj_t
																											BgL_zc3z04anonymousza32843ze3z87_13957;
																										BgL_zc3z04anonymousza32843ze3z87_13957
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3z04anonymousza32843ze3ze5zz__evaluate_compz00,
																											(int) (1L), (int) (3L));
																										PROCEDURE_SET
																											(BgL_zc3z04anonymousza32843ze3z87_13957,
																											(int) (0L),
																											BgL_a1z00_3301);
																										PROCEDURE_SET
																											(BgL_zc3z04anonymousza32843ze3z87_13957,
																											(int) (1L),
																											BgL_a2z00_3302);
																										PROCEDURE_SET
																											(BgL_zc3z04anonymousza32843ze3z87_13957,
																											(int) (2L),
																											BgL_locz00_193);
																										return
																											BgL_zc3z04anonymousza32843ze3z87_13957;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 1028 */
																									if (
																										(BgL_valz00_3236 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 1028 */
																											obj_t BgL_a1z00_3311;
																											obj_t BgL_a2z00_3312;

																											BgL_a1z00_3311 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_3240),
																												BgL_stkz00_196);
																											BgL_a2z00_3312 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_3241),
																												BgL_stkz00_196);
																											{	/* Eval/evaluate_comp.scm 1028 */
																												obj_t
																													BgL_zc3z04anonymousza32847ze3z87_13958;
																												BgL_zc3z04anonymousza32847ze3z87_13958
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3z04anonymousza32847ze3ze5zz__evaluate_compz00,
																													(int) (1L),
																													(int) (3L));
																												PROCEDURE_SET
																													(BgL_zc3z04anonymousza32847ze3z87_13958,
																													(int) (0L),
																													BgL_a1z00_3311);
																												PROCEDURE_SET
																													(BgL_zc3z04anonymousza32847ze3z87_13958,
																													(int) (1L),
																													BgL_a2z00_3312);
																												PROCEDURE_SET
																													(BgL_zc3z04anonymousza32847ze3z87_13958,
																													(int) (2L),
																													BgL_locz00_193);
																												return
																													BgL_zc3z04anonymousza32847ze3z87_13958;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 1028 */
																											if (
																												(BgL_valz00_3236 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 1028 */
																													obj_t BgL_a1z00_3321;
																													obj_t BgL_a2z00_3322;

																													BgL_a1z00_3321 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																													BgL_a2z00_3322 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																													{	/* Eval/evaluate_comp.scm 1028 */
																														obj_t
																															BgL_zc3z04anonymousza32851ze3z87_13959;
																														BgL_zc3z04anonymousza32851ze3z87_13959
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3z04anonymousza32851ze3ze5zz__evaluate_compz00,
																															(int) (1L),
																															(int) (3L));
																														PROCEDURE_SET
																															(BgL_zc3z04anonymousza32851ze3z87_13959,
																															(int) (0L),
																															BgL_a1z00_3321);
																														PROCEDURE_SET
																															(BgL_zc3z04anonymousza32851ze3z87_13959,
																															(int) (1L),
																															BgL_a2z00_3322);
																														PROCEDURE_SET
																															(BgL_zc3z04anonymousza32851ze3z87_13959,
																															(int) (2L),
																															BgL_locz00_193);
																														return
																															BgL_zc3z04anonymousza32851ze3z87_13959;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 1028 */
																													if (
																														(BgL_valz00_3236 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 1028 */
																															obj_t
																																BgL_a1z00_3331;
																															obj_t
																																BgL_a2z00_3332;
																															BgL_a1z00_3331 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																															BgL_a2z00_3332 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																															{	/* Eval/evaluate_comp.scm 1028 */
																																obj_t
																																	BgL_zc3z04anonymousza32855ze3z87_13960;
																																BgL_zc3z04anonymousza32855ze3z87_13960
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3z04anonymousza32855ze3ze5zz__evaluate_compz00,
																																	(int) (1L),
																																	(int) (3L));
																																PROCEDURE_SET
																																	(BgL_zc3z04anonymousza32855ze3z87_13960,
																																	(int) (0L),
																																	BgL_a1z00_3331);
																																PROCEDURE_SET
																																	(BgL_zc3z04anonymousza32855ze3z87_13960,
																																	(int) (1L),
																																	BgL_a2z00_3332);
																																PROCEDURE_SET
																																	(BgL_zc3z04anonymousza32855ze3z87_13960,
																																	(int) (2L),
																																	BgL_locz00_193);
																																return
																																	BgL_zc3z04anonymousza32855ze3z87_13960;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 1028 */
																															if (
																																(BgL_valz00_3236
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 1028 */
																																	obj_t
																																		BgL_a1z00_3340;
																																	obj_t
																																		BgL_a2z00_3341;
																																	BgL_a1z00_3340
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																	BgL_a2z00_3341
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																	{	/* Eval/evaluate_comp.scm 1028 */
																																		obj_t
																																			BgL_zc3z04anonymousza32858ze3z87_13961;
																																		BgL_zc3z04anonymousza32858ze3z87_13961
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3z04anonymousza32858ze3ze5zz__evaluate_compz00,
																																			(int)
																																			(1L),
																																			(int)
																																			(3L));
																																		PROCEDURE_SET
																																			(BgL_zc3z04anonymousza32858ze3z87_13961,
																																			(int)
																																			(0L),
																																			BgL_a1z00_3340);
																																		PROCEDURE_SET
																																			(BgL_zc3z04anonymousza32858ze3z87_13961,
																																			(int)
																																			(1L),
																																			BgL_a2z00_3341);
																																		PROCEDURE_SET
																																			(BgL_zc3z04anonymousza32858ze3z87_13961,
																																			(int)
																																			(2L),
																																			BgL_locz00_193);
																																		return
																																			BgL_zc3z04anonymousza32858ze3z87_13961;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 1028 */
																																	if (
																																		(BgL_valz00_3236
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 1028 */
																																			obj_t
																																				BgL_a1z00_3349;
																																			obj_t
																																				BgL_a2z00_3350;
																																			BgL_a1z00_3349
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																			BgL_a2z00_3350
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																			{	/* Eval/evaluate_comp.scm 1028 */
																																				obj_t
																																					BgL_zc3z04anonymousza32861ze3z87_13962;
																																				BgL_zc3z04anonymousza32861ze3z87_13962
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3z04anonymousza32861ze3ze5zz__evaluate_compz00,
																																					(int)
																																					(1L),
																																					(int)
																																					(3L));
																																				PROCEDURE_SET
																																					(BgL_zc3z04anonymousza32861ze3z87_13962,
																																					(int)
																																					(0L),
																																					BgL_a1z00_3349);
																																				PROCEDURE_SET
																																					(BgL_zc3z04anonymousza32861ze3z87_13962,
																																					(int)
																																					(1L),
																																					BgL_a2z00_3350);
																																				PROCEDURE_SET
																																					(BgL_zc3z04anonymousza32861ze3z87_13962,
																																					(int)
																																					(2L),
																																					BgL_locz00_193);
																																				return
																																					BgL_zc3z04anonymousza32861ze3z87_13962;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 1028 */
																																			if (
																																				(BgL_valz00_3236
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 1028 */
																																					obj_t
																																						BgL_a1z00_3358;
																																					obj_t
																																						BgL_a2z00_3359;
																																					BgL_a1z00_3358
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																					BgL_a2z00_3359
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																					{	/* Eval/evaluate_comp.scm 1028 */
																																						obj_t
																																							BgL_zc3z04anonymousza32864ze3z87_13963;
																																						BgL_zc3z04anonymousza32864ze3z87_13963
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3z04anonymousza32864ze3ze5zz__evaluate_compz00,
																																							(int)
																																							(1L),
																																							(int)
																																							(3L));
																																						PROCEDURE_SET
																																							(BgL_zc3z04anonymousza32864ze3z87_13963,
																																							(int)
																																							(0L),
																																							BgL_a1z00_3358);
																																						PROCEDURE_SET
																																							(BgL_zc3z04anonymousza32864ze3z87_13963,
																																							(int)
																																							(1L),
																																							BgL_a2z00_3359);
																																						PROCEDURE_SET
																																							(BgL_zc3z04anonymousza32864ze3z87_13963,
																																							(int)
																																							(2L),
																																							BgL_locz00_193);
																																						return
																																							BgL_zc3z04anonymousza32864ze3z87_13963;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 1028 */
																																					if (
																																						(BgL_valz00_3236
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 1028 */
																																							obj_t
																																								BgL_a1z00_3367;
																																							obj_t
																																								BgL_a2z00_3368;
																																							BgL_a1z00_3367
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																							BgL_a2z00_3368
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																							{	/* Eval/evaluate_comp.scm 1028 */
																																								obj_t
																																									BgL_zc3z04anonymousza32867ze3z87_13964;
																																								BgL_zc3z04anonymousza32867ze3z87_13964
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3z04anonymousza32867ze3ze5zz__evaluate_compz00,
																																									(int)
																																									(1L),
																																									(int)
																																									(3L));
																																								PROCEDURE_SET
																																									(BgL_zc3z04anonymousza32867ze3z87_13964,
																																									(int)
																																									(0L),
																																									BgL_a1z00_3367);
																																								PROCEDURE_SET
																																									(BgL_zc3z04anonymousza32867ze3z87_13964,
																																									(int)
																																									(1L),
																																									BgL_a2z00_3368);
																																								PROCEDURE_SET
																																									(BgL_zc3z04anonymousza32867ze3z87_13964,
																																									(int)
																																									(2L),
																																									BgL_locz00_193);
																																								return
																																									BgL_zc3z04anonymousza32867ze3z87_13964;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 1028 */
																																							if ((BgL_valz00_3236 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 1028 */
																																									obj_t
																																										BgL_a1z00_3376;
																																									obj_t
																																										BgL_a2z00_3377;
																																									BgL_a1z00_3376
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																									BgL_a2z00_3377
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																									{	/* Eval/evaluate_comp.scm 1028 */
																																										obj_t
																																											BgL_zc3z04anonymousza32870ze3z87_13965;
																																										BgL_zc3z04anonymousza32870ze3z87_13965
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3z04anonymousza32870ze3ze5zz__evaluate_compz00,
																																											(int)
																																											(1L),
																																											(int)
																																											(3L));
																																										PROCEDURE_SET
																																											(BgL_zc3z04anonymousza32870ze3z87_13965,
																																											(int)
																																											(0L),
																																											BgL_a1z00_3376);
																																										PROCEDURE_SET
																																											(BgL_zc3z04anonymousza32870ze3z87_13965,
																																											(int)
																																											(1L),
																																											BgL_a2z00_3377);
																																										PROCEDURE_SET
																																											(BgL_zc3z04anonymousza32870ze3z87_13965,
																																											(int)
																																											(2L),
																																											BgL_locz00_193);
																																										return
																																											BgL_zc3z04anonymousza32870ze3z87_13965;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 1028 */
																																									if ((BgL_valz00_3236 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 1028 */
																																											obj_t
																																												BgL_a1z00_3385;
																																											obj_t
																																												BgL_a2z00_3386;
																																											BgL_a1z00_3385
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																											BgL_a2z00_3386
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																											{	/* Eval/evaluate_comp.scm 1028 */
																																												obj_t
																																													BgL_zc3z04anonymousza32873ze3z87_13966;
																																												BgL_zc3z04anonymousza32873ze3z87_13966
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3z04anonymousza32873ze3ze5zz__evaluate_compz00,
																																													(int)
																																													(1L),
																																													(int)
																																													(3L));
																																												PROCEDURE_SET
																																													(BgL_zc3z04anonymousza32873ze3z87_13966,
																																													(int)
																																													(0L),
																																													BgL_a1z00_3385);
																																												PROCEDURE_SET
																																													(BgL_zc3z04anonymousza32873ze3z87_13966,
																																													(int)
																																													(1L),
																																													BgL_a2z00_3386);
																																												PROCEDURE_SET
																																													(BgL_zc3z04anonymousza32873ze3z87_13966,
																																													(int)
																																													(2L),
																																													BgL_locz00_193);
																																												return
																																													BgL_zc3z04anonymousza32873ze3z87_13966;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 1028 */
																																											if ((BgL_valz00_3236 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 1028 */
																																													obj_t
																																														BgL_a1z00_3394;
																																													obj_t
																																														BgL_a2z00_3395;
																																													BgL_a1z00_3394
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																													BgL_a2z00_3395
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																													{	/* Eval/evaluate_comp.scm 1028 */
																																														obj_t
																																															BgL_zc3z04anonymousza32876ze3z87_13967;
																																														BgL_zc3z04anonymousza32876ze3z87_13967
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3z04anonymousza32876ze3ze5zz__evaluate_compz00,
																																															(int)
																																															(1L),
																																															(int)
																																															(3L));
																																														PROCEDURE_SET
																																															(BgL_zc3z04anonymousza32876ze3z87_13967,
																																															(int)
																																															(0L),
																																															BgL_a1z00_3394);
																																														PROCEDURE_SET
																																															(BgL_zc3z04anonymousza32876ze3z87_13967,
																																															(int)
																																															(1L),
																																															BgL_a2z00_3395);
																																														PROCEDURE_SET
																																															(BgL_zc3z04anonymousza32876ze3z87_13967,
																																															(int)
																																															(2L),
																																															BgL_locz00_193);
																																														return
																																															BgL_zc3z04anonymousza32876ze3z87_13967;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 1028 */
																																													if ((BgL_valz00_3236 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 1028 */
																																															obj_t
																																																BgL_a1z00_3403;
																																															obj_t
																																																BgL_a2z00_3404;
																																															BgL_a1z00_3403
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																															BgL_a2z00_3404
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																															{	/* Eval/evaluate_comp.scm 1028 */
																																																obj_t
																																																	BgL_zc3z04anonymousza32879ze3z87_13968;
																																																BgL_zc3z04anonymousza32879ze3z87_13968
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3z04anonymousza32879ze3ze5zz__evaluate_compz00,
																																																	(int)
																																																	(1L),
																																																	(int)
																																																	(3L));
																																																PROCEDURE_SET
																																																	(BgL_zc3z04anonymousza32879ze3z87_13968,
																																																	(int)
																																																	(0L),
																																																	BgL_a1z00_3403);
																																																PROCEDURE_SET
																																																	(BgL_zc3z04anonymousza32879ze3z87_13968,
																																																	(int)
																																																	(1L),
																																																	BgL_a2z00_3404);
																																																PROCEDURE_SET
																																																	(BgL_zc3z04anonymousza32879ze3z87_13968,
																																																	(int)
																																																	(2L),
																																																	BgL_locz00_193);
																																																return
																																																	BgL_zc3z04anonymousza32879ze3z87_13968;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 1028 */
																																															if ((BgL_valz00_3236 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																	obj_t
																																																		BgL_a1z00_3412;
																																																	obj_t
																																																		BgL_a2z00_3413;
																																																	BgL_a1z00_3412
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																																	BgL_a2z00_3413
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																																	{	/* Eval/evaluate_comp.scm 1028 */
																																																		obj_t
																																																			BgL_zc3z04anonymousza32882ze3z87_13969;
																																																		BgL_zc3z04anonymousza32882ze3z87_13969
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3z04anonymousza32882ze3ze5zz__evaluate_compz00,
																																																			(int)
																																																			(1L),
																																																			(int)
																																																			(3L));
																																																		PROCEDURE_SET
																																																			(BgL_zc3z04anonymousza32882ze3z87_13969,
																																																			(int)
																																																			(0L),
																																																			BgL_a1z00_3412);
																																																		PROCEDURE_SET
																																																			(BgL_zc3z04anonymousza32882ze3z87_13969,
																																																			(int)
																																																			(1L),
																																																			BgL_a2z00_3413);
																																																		PROCEDURE_SET
																																																			(BgL_zc3z04anonymousza32882ze3z87_13969,
																																																			(int)
																																																			(2L),
																																																			BgL_locz00_193);
																																																		return
																																																			BgL_zc3z04anonymousza32882ze3z87_13969;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																	if ((BgL_valz00_3236 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																			obj_t
																																																				BgL_a1z00_3421;
																																																			obj_t
																																																				BgL_a2z00_3422;
																																																			BgL_a1z00_3421
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																																			BgL_a2z00_3422
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																																			{	/* Eval/evaluate_comp.scm 1028 */
																																																				obj_t
																																																					BgL_zc3z04anonymousza32885ze3z87_13970;
																																																				BgL_zc3z04anonymousza32885ze3z87_13970
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3z04anonymousza32885ze3ze5zz__evaluate_compz00,
																																																					(int)
																																																					(1L),
																																																					(int)
																																																					(3L));
																																																				PROCEDURE_SET
																																																					(BgL_zc3z04anonymousza32885ze3z87_13970,
																																																					(int)
																																																					(0L),
																																																					BgL_a1z00_3421);
																																																				PROCEDURE_SET
																																																					(BgL_zc3z04anonymousza32885ze3z87_13970,
																																																					(int)
																																																					(1L),
																																																					BgL_a2z00_3422);
																																																				PROCEDURE_SET
																																																					(BgL_zc3z04anonymousza32885ze3z87_13970,
																																																					(int)
																																																					(2L),
																																																					BgL_locz00_193);
																																																				return
																																																					BgL_zc3z04anonymousza32885ze3z87_13970;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																			if ((BgL_valz00_3236 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																					obj_t
																																																						BgL_a1z00_3430;
																																																					obj_t
																																																						BgL_a2z00_3431;
																																																					BgL_a1z00_3430
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																																					BgL_a2z00_3431
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																																					{	/* Eval/evaluate_comp.scm 1028 */
																																																						obj_t
																																																							BgL_zc3z04anonymousza32888ze3z87_13971;
																																																						BgL_zc3z04anonymousza32888ze3z87_13971
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3z04anonymousza32888ze3ze5zz__evaluate_compz00,
																																																							(int)
																																																							(1L),
																																																							(int)
																																																							(3L));
																																																						PROCEDURE_SET
																																																							(BgL_zc3z04anonymousza32888ze3z87_13971,
																																																							(int)
																																																							(0L),
																																																							BgL_a1z00_3430);
																																																						PROCEDURE_SET
																																																							(BgL_zc3z04anonymousza32888ze3z87_13971,
																																																							(int)
																																																							(1L),
																																																							BgL_a2z00_3431);
																																																						PROCEDURE_SET
																																																							(BgL_zc3z04anonymousza32888ze3z87_13971,
																																																							(int)
																																																							(2L),
																																																							BgL_locz00_193);
																																																						return
																																																							BgL_zc3z04anonymousza32888ze3z87_13971;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																					if ((BgL_valz00_3236 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 1028 */
																																																							obj_t
																																																								BgL_a1z00_3439;
																																																							obj_t
																																																								BgL_a2z00_3440;
																																																							BgL_a1z00_3439
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																																							BgL_a2z00_3440
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																																							{	/* Eval/evaluate_comp.scm 1028 */
																																																								obj_t
																																																									BgL_zc3z04anonymousza32891ze3z87_13972;
																																																								BgL_zc3z04anonymousza32891ze3z87_13972
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3z04anonymousza32891ze3ze5zz__evaluate_compz00,
																																																									(int)
																																																									(1L),
																																																									(int)
																																																									(3L));
																																																								PROCEDURE_SET
																																																									(BgL_zc3z04anonymousza32891ze3z87_13972,
																																																									(int)
																																																									(0L),
																																																									BgL_a1z00_3439);
																																																								PROCEDURE_SET
																																																									(BgL_zc3z04anonymousza32891ze3z87_13972,
																																																									(int)
																																																									(1L),
																																																									BgL_a2z00_3440);
																																																								PROCEDURE_SET
																																																									(BgL_zc3z04anonymousza32891ze3z87_13972,
																																																									(int)
																																																									(2L),
																																																									BgL_locz00_193);
																																																								return
																																																									BgL_zc3z04anonymousza32891ze3z87_13972;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 1028 */
																																																							if ((BgL_valz00_3236 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 1028 */
																																																									obj_t
																																																										BgL_a1z00_3448;
																																																									obj_t
																																																										BgL_a2z00_3449;
																																																									BgL_a1z00_3448
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																																									BgL_a2z00_3449
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																																									{	/* Eval/evaluate_comp.scm 1028 */
																																																										obj_t
																																																											BgL_zc3z04anonymousza32894ze3z87_13973;
																																																										BgL_zc3z04anonymousza32894ze3z87_13973
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3z04anonymousza32894ze3ze5zz__evaluate_compz00,
																																																											(int)
																																																											(1L),
																																																											(int)
																																																											(3L));
																																																										PROCEDURE_SET
																																																											(BgL_zc3z04anonymousza32894ze3z87_13973,
																																																											(int)
																																																											(0L),
																																																											BgL_a1z00_3448);
																																																										PROCEDURE_SET
																																																											(BgL_zc3z04anonymousza32894ze3z87_13973,
																																																											(int)
																																																											(1L),
																																																											BgL_a2z00_3449);
																																																										PROCEDURE_SET
																																																											(BgL_zc3z04anonymousza32894ze3z87_13973,
																																																											(int)
																																																											(2L),
																																																											BgL_locz00_193);
																																																										return
																																																											BgL_zc3z04anonymousza32894ze3z87_13973;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 1028 */
																																																									if ((BgL_valz00_3236 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 1028 */
																																																											obj_t
																																																												BgL_a1z00_3457;
																																																											obj_t
																																																												BgL_a2z00_3458;
																																																											BgL_a1z00_3457
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																																											BgL_a2z00_3458
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																																											{	/* Eval/evaluate_comp.scm 1028 */
																																																												obj_t
																																																													BgL_zc3z04anonymousza32897ze3z87_13974;
																																																												BgL_zc3z04anonymousza32897ze3z87_13974
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3z04anonymousza32897ze3ze5zz__evaluate_compz00,
																																																													(int)
																																																													(1L),
																																																													(int)
																																																													(3L));
																																																												PROCEDURE_SET
																																																													(BgL_zc3z04anonymousza32897ze3z87_13974,
																																																													(int)
																																																													(0L),
																																																													BgL_a1z00_3457);
																																																												PROCEDURE_SET
																																																													(BgL_zc3z04anonymousza32897ze3z87_13974,
																																																													(int)
																																																													(1L),
																																																													BgL_a2z00_3458);
																																																												PROCEDURE_SET
																																																													(BgL_zc3z04anonymousza32897ze3z87_13974,
																																																													(int)
																																																													(2L),
																																																													BgL_locz00_193);
																																																												return
																																																													BgL_zc3z04anonymousza32897ze3z87_13974;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 1028 */
																																																											if ((BgL_valz00_3236 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 1028 */
																																																													obj_t
																																																														BgL_a1z00_3466;
																																																													obj_t
																																																														BgL_a2z00_3467;
																																																													BgL_a1z00_3466
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																																													BgL_a2z00_3467
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																																													{	/* Eval/evaluate_comp.scm 1028 */
																																																														obj_t
																																																															BgL_zc3z04anonymousza32900ze3z87_13975;
																																																														BgL_zc3z04anonymousza32900ze3z87_13975
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3z04anonymousza32900ze3ze5zz__evaluate_compz00,
																																																															(int)
																																																															(1L),
																																																															(int)
																																																															(3L));
																																																														PROCEDURE_SET
																																																															(BgL_zc3z04anonymousza32900ze3z87_13975,
																																																															(int)
																																																															(0L),
																																																															BgL_a1z00_3466);
																																																														PROCEDURE_SET
																																																															(BgL_zc3z04anonymousza32900ze3z87_13975,
																																																															(int)
																																																															(1L),
																																																															BgL_a2z00_3467);
																																																														PROCEDURE_SET
																																																															(BgL_zc3z04anonymousza32900ze3z87_13975,
																																																															(int)
																																																															(2L),
																																																															BgL_locz00_193);
																																																														return
																																																															BgL_zc3z04anonymousza32900ze3z87_13975;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 1028 */
																																																													if ((BgL_valz00_3236 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 1028 */
																																																															obj_t
																																																																BgL_a1z00_3475;
																																																															obj_t
																																																																BgL_a2z00_3476;
																																																															BgL_a1z00_3475
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																																															BgL_a2z00_3476
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																																															{	/* Eval/evaluate_comp.scm 1028 */
																																																																obj_t
																																																																	BgL_zc3z04anonymousza32903ze3z87_13976;
																																																																BgL_zc3z04anonymousza32903ze3z87_13976
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3z04anonymousza32903ze3ze5zz__evaluate_compz00,
																																																																	(int)
																																																																	(1L),
																																																																	(int)
																																																																	(3L));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3z04anonymousza32903ze3z87_13976,
																																																																	(int)
																																																																	(0L),
																																																																	BgL_a1z00_3475);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3z04anonymousza32903ze3z87_13976,
																																																																	(int)
																																																																	(1L),
																																																																	BgL_a2z00_3476);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3z04anonymousza32903ze3z87_13976,
																																																																	(int)
																																																																	(2L),
																																																																	BgL_locz00_193);
																																																																return
																																																																	BgL_zc3z04anonymousza32903ze3z87_13976;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 1028 */
																																																															if ((BgL_valz00_3236 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																																	obj_t
																																																																		BgL_a1z00_3484;
																																																																	obj_t
																																																																		BgL_a2z00_3485;
																																																																	BgL_a1z00_3484
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																																																	BgL_a2z00_3485
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																																																	{	/* Eval/evaluate_comp.scm 1028 */
																																																																		obj_t
																																																																			BgL_zc3z04anonymousza32906ze3z87_13977;
																																																																		BgL_zc3z04anonymousza32906ze3z87_13977
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3z04anonymousza32906ze3ze5zz__evaluate_compz00,
																																																																			(int)
																																																																			(1L),
																																																																			(int)
																																																																			(3L));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3z04anonymousza32906ze3z87_13977,
																																																																			(int)
																																																																			(0L),
																																																																			BgL_a1z00_3484);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3z04anonymousza32906ze3z87_13977,
																																																																			(int)
																																																																			(1L),
																																																																			BgL_a2z00_3485);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3z04anonymousza32906ze3z87_13977,
																																																																			(int)
																																																																			(2L),
																																																																			BgL_locz00_193);
																																																																		return
																																																																			BgL_zc3z04anonymousza32906ze3z87_13977;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																																	if ((BgL_valz00_3236 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																																			obj_t
																																																																				BgL_a1z00_3493;
																																																																			obj_t
																																																																				BgL_a2z00_3494;
																																																																			BgL_a1z00_3493
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																																																			BgL_a2z00_3494
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																																																			{	/* Eval/evaluate_comp.scm 1028 */
																																																																				obj_t
																																																																					BgL_zc3z04anonymousza32909ze3z87_13978;
																																																																				BgL_zc3z04anonymousza32909ze3z87_13978
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3z04anonymousza32909ze3ze5zz__evaluate_compz00,
																																																																					(int)
																																																																					(1L),
																																																																					(int)
																																																																					(2L));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3z04anonymousza32909ze3z87_13978,
																																																																					(int)
																																																																					(0L),
																																																																					BgL_a1z00_3493);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3z04anonymousza32909ze3z87_13978,
																																																																					(int)
																																																																					(1L),
																																																																					BgL_a2z00_3494);
																																																																				return
																																																																					BgL_zc3z04anonymousza32909ze3z87_13978;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																																			if ((BgL_valz00_3236 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																																					obj_t
																																																																						BgL_a1z00_3500;
																																																																					obj_t
																																																																						BgL_a2z00_3501;
																																																																					BgL_a1z00_3500
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3240), BgL_stkz00_196);
																																																																					BgL_a2z00_3501
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3241), BgL_stkz00_196);
																																																																					{	/* Eval/evaluate_comp.scm 1028 */
																																																																						obj_t
																																																																							BgL_zc3z04anonymousza32910ze3z87_13979;
																																																																						BgL_zc3z04anonymousza32910ze3z87_13979
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00,
																																																																							(int)
																																																																							(1L),
																																																																							(int)
																																																																							(2L));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3z04anonymousza32910ze3z87_13979,
																																																																							(int)
																																																																							(0L),
																																																																							BgL_a1z00_3500);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3z04anonymousza32910ze3z87_13979,
																																																																							(int)
																																																																							(1L),
																																																																							BgL_a2z00_3501);
																																																																						return
																																																																							BgL_zc3z04anonymousza32910ze3z87_13979;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 1026 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 1021 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:2820> */
	obj_t BGl_z62zc3z04anonymousza32820ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13983, obj_t BgL_sz00_13987)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13984;
				obj_t BgL_a2z00_13985;
				obj_t BgL_locz00_13986;

				BgL_a1z00_13984 = PROCEDURE_REF(BgL_envz00_13983, (int) (0L));
				BgL_a2z00_13985 = PROCEDURE_REF(BgL_envz00_13983, (int) (1L));
				BgL_locz00_13986 = PROCEDURE_REF(BgL_envz00_13983, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_15950;

					BgL_bpz00_15950 = VECTOR_REF(((obj_t) BgL_sz00_13987), 0L);
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_15951;
						obj_t BgL_a2z00_15952;

						BgL_a1z00_15951 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_13984, BgL_sz00_13987);
						BgL_a2z00_15952 =
							BGL_PROCEDURE_CALL1(BgL_a2z00_13985, BgL_sz00_13987);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_15951))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4620z00zz__evaluate_compz00,
									BGl_symbol4622z00zz__evaluate_compz00, BgL_a1z00_15951,
									BgL_locz00_13986);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_15952))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4620z00zz__evaluate_compz00,
									BGl_symbol4622z00zz__evaluate_compz00, BgL_a2z00_15952,
									BgL_locz00_13986);
							}
						{	/* Eval/evaluate_comp.scm 1028 */
							bool_t BgL_test5346z00_23845;

							if (INTEGERP(BgL_a1z00_15951))
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5346z00_23845 = INTEGERP(BgL_a2z00_15952);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5346z00_23845 = ((bool_t) 0);
								}
							if (BgL_test5346z00_23845)
								{	/* Eval/evaluate_comp.scm 1028 */
									obj_t BgL_tmpz00_15953;

									BgL_tmpz00_15953 = BINT(0L);
									if (BGL_ADDFX_OV(BgL_a1z00_15951, BgL_a2z00_15952,
											BgL_tmpz00_15953))
										{	/* Eval/evaluate_comp.scm 1028 */
											return
												bgl_bignum_add(bgl_long_to_bignum(
													(long) CINT(BgL_a1z00_15951)),
												bgl_long_to_bignum((long) CINT(BgL_a2z00_15952)));
										}
									else
										{	/* Eval/evaluate_comp.scm 1028 */
											return BgL_tmpz00_15953;
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									return
										BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_15951,
										BgL_a2z00_15952);
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2824> */
	obj_t BGl_z62zc3z04anonymousza32824ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13988, obj_t BgL_sz00_13992)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13989;
				obj_t BgL_a2z00_13990;
				obj_t BgL_locz00_13991;

				BgL_a1z00_13989 = PROCEDURE_REF(BgL_envz00_13988, (int) (0L));
				BgL_a2z00_13990 = PROCEDURE_REF(BgL_envz00_13988, (int) (1L));
				BgL_locz00_13991 = PROCEDURE_REF(BgL_envz00_13988, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_15954;

					BgL_bpz00_15954 = VECTOR_REF(((obj_t) BgL_sz00_13992), 0L);
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_15955;
						obj_t BgL_a2z00_15956;

						BgL_a1z00_15955 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_13989, BgL_sz00_13992);
						BgL_a2z00_15956 =
							BGL_PROCEDURE_CALL1(BgL_a2z00_13990, BgL_sz00_13992);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_15955))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4624z00zz__evaluate_compz00,
									BGl_symbol4622z00zz__evaluate_compz00, BgL_a1z00_15955,
									BgL_locz00_13991);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_15956))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4624z00zz__evaluate_compz00,
									BGl_symbol4622z00zz__evaluate_compz00, BgL_a2z00_15956,
									BgL_locz00_13991);
							}
						{	/* Eval/evaluate_comp.scm 1028 */
							bool_t BgL_test5351z00_23880;

							if (INTEGERP(BgL_a1z00_15955))
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5351z00_23880 = INTEGERP(BgL_a2z00_15956);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5351z00_23880 = ((bool_t) 0);
								}
							if (BgL_test5351z00_23880)
								{	/* Eval/evaluate_comp.scm 1028 */
									obj_t BgL_tmpz00_15957;

									BgL_tmpz00_15957 = BINT(0L);
									if (BGL_SUBFX_OV(BgL_a1z00_15955, BgL_a2z00_15956,
											BgL_tmpz00_15957))
										{	/* Eval/evaluate_comp.scm 1028 */
											return
												bgl_bignum_sub(bgl_long_to_bignum(
													(long) CINT(BgL_a1z00_15955)),
												bgl_long_to_bignum((long) CINT(BgL_a2z00_15956)));
										}
									else
										{	/* Eval/evaluate_comp.scm 1028 */
											return BgL_tmpz00_15957;
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									return
										BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_15955,
										BgL_a2z00_15956);
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2828> */
	obj_t BGl_z62zc3z04anonymousza32828ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13993, obj_t BgL_sz00_13997)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13994;
				obj_t BgL_a2z00_13995;
				obj_t BgL_locz00_13996;

				BgL_a1z00_13994 = PROCEDURE_REF(BgL_envz00_13993, (int) (0L));
				BgL_a2z00_13995 = PROCEDURE_REF(BgL_envz00_13993, (int) (1L));
				BgL_locz00_13996 = PROCEDURE_REF(BgL_envz00_13993, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_15958;

					BgL_bpz00_15958 = VECTOR_REF(((obj_t) BgL_sz00_13997), 0L);
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_15959;
						obj_t BgL_a2z00_15960;

						BgL_a1z00_15959 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_13994, BgL_sz00_13997);
						BgL_a2z00_15960 =
							BGL_PROCEDURE_CALL1(BgL_a2z00_13995, BgL_sz00_13997);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_15959))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4626z00zz__evaluate_compz00,
									BGl_symbol4622z00zz__evaluate_compz00, BgL_a1z00_15959,
									BgL_locz00_13996);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_15960))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4626z00zz__evaluate_compz00,
									BGl_symbol4622z00zz__evaluate_compz00, BgL_a2z00_15960,
									BgL_locz00_13996);
							}
						{	/* Eval/evaluate_comp.scm 1028 */
							bool_t BgL_test5356z00_23915;

							if (INTEGERP(BgL_a1z00_15959))
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5356z00_23915 = INTEGERP(BgL_a2z00_15960);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5356z00_23915 = ((bool_t) 0);
								}
							if (BgL_test5356z00_23915)
								{	/* Eval/evaluate_comp.scm 1028 */
									obj_t BgL_tmpz00_15961;

									BgL_tmpz00_15961 = BINT(0L);
									if (BGL_MULFX_OV(BgL_a1z00_15959, BgL_a2z00_15960,
											BgL_tmpz00_15961))
										{	/* Eval/evaluate_comp.scm 1028 */
											return
												bgl_bignum_mul(bgl_long_to_bignum(
													(long) CINT(BgL_a1z00_15959)),
												bgl_long_to_bignum((long) CINT(BgL_a2z00_15960)));
										}
									else
										{	/* Eval/evaluate_comp.scm 1028 */
											return BgL_tmpz00_15961;
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									return
										BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_15959,
										BgL_a2z00_15960);
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2832> */
	obj_t BGl_z62zc3z04anonymousza32832ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13998, obj_t BgL_sz00_14002)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13999;
				obj_t BgL_a2z00_14000;
				obj_t BgL_locz00_14001;

				BgL_a1z00_13999 = PROCEDURE_REF(BgL_envz00_13998, (int) (0L));
				BgL_a2z00_14000 = PROCEDURE_REF(BgL_envz00_13998, (int) (1L));
				BgL_locz00_14001 = PROCEDURE_REF(BgL_envz00_13998, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_15962;

					BgL_bpz00_15962 = VECTOR_REF(((obj_t) BgL_sz00_14002), 0L);
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_15963;
						obj_t BgL_a2z00_15964;

						BgL_a1z00_15963 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_13999, BgL_sz00_14002);
						BgL_a2z00_15964 =
							BGL_PROCEDURE_CALL1(BgL_a2z00_14000, BgL_sz00_14002);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_15963))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4628z00zz__evaluate_compz00,
									BGl_symbol4622z00zz__evaluate_compz00, BgL_a1z00_15963,
									BgL_locz00_14001);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_15964))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4628z00zz__evaluate_compz00,
									BGl_symbol4622z00zz__evaluate_compz00, BgL_a2z00_15964,
									BgL_locz00_14001);
							}
						return
							BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_15963,
							BgL_a2z00_15964);
					}
				}
			}
		}

	}



/* &<@anonymous:2835> */
	obj_t BGl_z62zc3z04anonymousza32835ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14003, obj_t BgL_sz00_14007)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14004;
				obj_t BgL_a2z00_14005;
				obj_t BgL_locz00_14006;

				BgL_a1z00_14004 = PROCEDURE_REF(BgL_envz00_14003, (int) (0L));
				BgL_a2z00_14005 = PROCEDURE_REF(BgL_envz00_14003, (int) (1L));
				BgL_locz00_14006 = PROCEDURE_REF(BgL_envz00_14003, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_23957;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_15965;

						BgL_bpz00_15965 = VECTOR_REF(((obj_t) BgL_sz00_14007), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_15966;
							obj_t BgL_a2z00_15967;

							BgL_a1z00_15966 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14004, BgL_sz00_14007);
							BgL_a2z00_15967 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14005, BgL_sz00_14007);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_15966))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4630z00zz__evaluate_compz00,
										BGl_symbol4622z00zz__evaluate_compz00, BgL_a1z00_15966,
										BgL_locz00_14006);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_15967))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4630z00zz__evaluate_compz00,
										BGl_symbol4622z00zz__evaluate_compz00, BgL_a2z00_15967,
										BgL_locz00_14006);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5363z00_23974;

								if (INTEGERP(BgL_a1z00_15966))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5363z00_23974 = INTEGERP(BgL_a2z00_15967);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5363z00_23974 = ((bool_t) 0);
									}
								if (BgL_test5363z00_23974)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_23957 =
											(
											(long) CINT(BgL_a1z00_15966) <
											(long) CINT(BgL_a2z00_15967));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_23957 =
											BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_15966,
											BgL_a2z00_15967);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_23957);
				}
			}
		}

	}



/* &<@anonymous:2839> */
	obj_t BGl_z62zc3z04anonymousza32839ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14008, obj_t BgL_sz00_14012)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14009;
				obj_t BgL_a2z00_14010;
				obj_t BgL_locz00_14011;

				BgL_a1z00_14009 = PROCEDURE_REF(BgL_envz00_14008, (int) (0L));
				BgL_a2z00_14010 = PROCEDURE_REF(BgL_envz00_14008, (int) (1L));
				BgL_locz00_14011 = PROCEDURE_REF(BgL_envz00_14008, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_23989;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_15968;

						BgL_bpz00_15968 = VECTOR_REF(((obj_t) BgL_sz00_14012), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_15969;
							obj_t BgL_a2z00_15970;

							BgL_a1z00_15969 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14009, BgL_sz00_14012);
							BgL_a2z00_15970 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14010, BgL_sz00_14012);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_15969))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4632z00zz__evaluate_compz00,
										BGl_symbol4622z00zz__evaluate_compz00, BgL_a1z00_15969,
										BgL_locz00_14011);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_15970))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4632z00zz__evaluate_compz00,
										BGl_symbol4622z00zz__evaluate_compz00, BgL_a2z00_15970,
										BgL_locz00_14011);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5367z00_24006;

								if (INTEGERP(BgL_a1z00_15969))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5367z00_24006 = INTEGERP(BgL_a2z00_15970);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5367z00_24006 = ((bool_t) 0);
									}
								if (BgL_test5367z00_24006)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_23989 =
											(
											(long) CINT(BgL_a1z00_15969) >
											(long) CINT(BgL_a2z00_15970));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_23989 =
											BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_15969,
											BgL_a2z00_15970);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_23989);
				}
			}
		}

	}



/* &<@anonymous:2843> */
	obj_t BGl_z62zc3z04anonymousza32843ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14013, obj_t BgL_sz00_14017)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14014;
				obj_t BgL_a2z00_14015;
				obj_t BgL_locz00_14016;

				BgL_a1z00_14014 = PROCEDURE_REF(BgL_envz00_14013, (int) (0L));
				BgL_a2z00_14015 = PROCEDURE_REF(BgL_envz00_14013, (int) (1L));
				BgL_locz00_14016 = PROCEDURE_REF(BgL_envz00_14013, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24021;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_15971;

						BgL_bpz00_15971 = VECTOR_REF(((obj_t) BgL_sz00_14017), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_15972;
							obj_t BgL_a2z00_15973;

							BgL_a1z00_15972 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14014, BgL_sz00_14017);
							BgL_a2z00_15973 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14015, BgL_sz00_14017);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_15972))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4634z00zz__evaluate_compz00,
										BGl_symbol4622z00zz__evaluate_compz00, BgL_a1z00_15972,
										BgL_locz00_14016);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_15973))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4634z00zz__evaluate_compz00,
										BGl_symbol4622z00zz__evaluate_compz00, BgL_a2z00_15973,
										BgL_locz00_14016);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5371z00_24038;

								if (INTEGERP(BgL_a1z00_15972))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5371z00_24038 = INTEGERP(BgL_a2z00_15973);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5371z00_24038 = ((bool_t) 0);
									}
								if (BgL_test5371z00_24038)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_24021 =
											(
											(long) CINT(BgL_a1z00_15972) <=
											(long) CINT(BgL_a2z00_15973));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_24021 =
											BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_15972,
											BgL_a2z00_15973);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_24021);
				}
			}
		}

	}



/* &<@anonymous:2847> */
	obj_t BGl_z62zc3z04anonymousza32847ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14018, obj_t BgL_sz00_14022)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14019;
				obj_t BgL_a2z00_14020;
				obj_t BgL_locz00_14021;

				BgL_a1z00_14019 = PROCEDURE_REF(BgL_envz00_14018, (int) (0L));
				BgL_a2z00_14020 = PROCEDURE_REF(BgL_envz00_14018, (int) (1L));
				BgL_locz00_14021 = PROCEDURE_REF(BgL_envz00_14018, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24053;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_15974;

						BgL_bpz00_15974 = VECTOR_REF(((obj_t) BgL_sz00_14022), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_15975;
							obj_t BgL_a2z00_15976;

							BgL_a1z00_15975 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14019, BgL_sz00_14022);
							BgL_a2z00_15976 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14020, BgL_sz00_14022);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_15975))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4636z00zz__evaluate_compz00,
										BGl_symbol4622z00zz__evaluate_compz00, BgL_a1z00_15975,
										BgL_locz00_14021);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_15976))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4636z00zz__evaluate_compz00,
										BGl_symbol4622z00zz__evaluate_compz00, BgL_a2z00_15976,
										BgL_locz00_14021);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5375z00_24070;

								if (INTEGERP(BgL_a1z00_15975))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5375z00_24070 = INTEGERP(BgL_a2z00_15976);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5375z00_24070 = ((bool_t) 0);
									}
								if (BgL_test5375z00_24070)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_24053 =
											(
											(long) CINT(BgL_a1z00_15975) >=
											(long) CINT(BgL_a2z00_15976));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_24053 =
											BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_15975,
											BgL_a2z00_15976);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_24053);
				}
			}
		}

	}



/* &<@anonymous:2851> */
	obj_t BGl_z62zc3z04anonymousza32851ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14023, obj_t BgL_sz00_14027)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14024;
				obj_t BgL_a2z00_14025;
				obj_t BgL_locz00_14026;

				BgL_a1z00_14024 = PROCEDURE_REF(BgL_envz00_14023, (int) (0L));
				BgL_a2z00_14025 = PROCEDURE_REF(BgL_envz00_14023, (int) (1L));
				BgL_locz00_14026 = PROCEDURE_REF(BgL_envz00_14023, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24085;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_15977;

						BgL_bpz00_15977 = VECTOR_REF(((obj_t) BgL_sz00_14027), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_15978;
							obj_t BgL_a2z00_15979;

							BgL_a1z00_15978 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14024, BgL_sz00_14027);
							BgL_a2z00_15979 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14025, BgL_sz00_14027);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_15978))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4638z00zz__evaluate_compz00,
										BGl_symbol4622z00zz__evaluate_compz00, BgL_a1z00_15978,
										BgL_locz00_14026);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_15979))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4638z00zz__evaluate_compz00,
										BGl_symbol4622z00zz__evaluate_compz00, BgL_a2z00_15979,
										BgL_locz00_14026);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5379z00_24102;

								if (INTEGERP(BgL_a1z00_15978))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5379z00_24102 = INTEGERP(BgL_a2z00_15979);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5379z00_24102 = ((bool_t) 0);
									}
								if (BgL_test5379z00_24102)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_24085 =
											(
											(long) CINT(BgL_a1z00_15978) ==
											(long) CINT(BgL_a2z00_15979));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_24085 =
											BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_15978,
											BgL_a2z00_15979);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_24085);
				}
			}
		}

	}



/* &<@anonymous:2855> */
	obj_t BGl_z62zc3z04anonymousza32855ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14028, obj_t BgL_sz00_14032)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14029;
				obj_t BgL_a2z00_14030;
				obj_t BgL_locz00_14031;

				BgL_a1z00_14029 = PROCEDURE_REF(BgL_envz00_14028, (int) (0L));
				BgL_a2z00_14030 = PROCEDURE_REF(BgL_envz00_14028, (int) (1L));
				BgL_locz00_14031 = PROCEDURE_REF(BgL_envz00_14028, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_24117;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_15980;

						BgL_bpz00_15980 = VECTOR_REF(((obj_t) BgL_sz00_14032), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_15981;
							obj_t BgL_a2z00_15982;

							BgL_a1z00_15981 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14029, BgL_sz00_14032);
							BgL_a2z00_15982 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14030, BgL_sz00_14032);
							if (INTEGERP(BgL_a1z00_15981))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4640z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a1z00_15981,
										BgL_locz00_14031);
								}
							if (INTEGERP(BgL_a2z00_15982))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4640z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a2z00_15982,
										BgL_locz00_14031);
								}
							BgL_tmpz00_24117 =
								((long) CINT(BgL_a1z00_15981) + (long) CINT(BgL_a2z00_15982));
					}}
					return BINT(BgL_tmpz00_24117);
				}
			}
		}

	}



/* &<@anonymous:2858> */
	obj_t BGl_z62zc3z04anonymousza32858ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14033, obj_t BgL_sz00_14037)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14034;
				obj_t BgL_a2z00_14035;
				obj_t BgL_locz00_14036;

				BgL_a1z00_14034 = PROCEDURE_REF(BgL_envz00_14033, (int) (0L));
				BgL_a2z00_14035 = PROCEDURE_REF(BgL_envz00_14033, (int) (1L));
				BgL_locz00_14036 = PROCEDURE_REF(BgL_envz00_14033, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_24144;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_15983;

						BgL_bpz00_15983 = VECTOR_REF(((obj_t) BgL_sz00_14037), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_15984;
							obj_t BgL_a2z00_15985;

							BgL_a1z00_15984 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14034, BgL_sz00_14037);
							BgL_a2z00_15985 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14035, BgL_sz00_14037);
							if (INTEGERP(BgL_a1z00_15984))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4644z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a1z00_15984,
										BgL_locz00_14036);
								}
							if (INTEGERP(BgL_a2z00_15985))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4644z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a2z00_15985,
										BgL_locz00_14036);
								}
							BgL_tmpz00_24144 =
								((long) CINT(BgL_a1z00_15984) - (long) CINT(BgL_a2z00_15985));
					}}
					return BINT(BgL_tmpz00_24144);
				}
			}
		}

	}



/* &<@anonymous:2861> */
	obj_t BGl_z62zc3z04anonymousza32861ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14038, obj_t BgL_sz00_14042)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14039;
				obj_t BgL_a2z00_14040;
				obj_t BgL_locz00_14041;

				BgL_a1z00_14039 = PROCEDURE_REF(BgL_envz00_14038, (int) (0L));
				BgL_a2z00_14040 = PROCEDURE_REF(BgL_envz00_14038, (int) (1L));
				BgL_locz00_14041 = PROCEDURE_REF(BgL_envz00_14038, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_24171;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_15986;

						BgL_bpz00_15986 = VECTOR_REF(((obj_t) BgL_sz00_14042), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_15987;
							obj_t BgL_a2z00_15988;

							BgL_a1z00_15987 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14039, BgL_sz00_14042);
							BgL_a2z00_15988 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14040, BgL_sz00_14042);
							if (INTEGERP(BgL_a1z00_15987))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4646z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a1z00_15987,
										BgL_locz00_14041);
								}
							if (INTEGERP(BgL_a2z00_15988))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4646z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a2z00_15988,
										BgL_locz00_14041);
								}
							BgL_tmpz00_24171 =
								((long) CINT(BgL_a1z00_15987) * (long) CINT(BgL_a2z00_15988));
					}}
					return BINT(BgL_tmpz00_24171);
				}
			}
		}

	}



/* &<@anonymous:2864> */
	obj_t BGl_z62zc3z04anonymousza32864ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14043, obj_t BgL_sz00_14047)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14044;
				obj_t BgL_a2z00_14045;
				obj_t BgL_locz00_14046;

				BgL_a1z00_14044 = PROCEDURE_REF(BgL_envz00_14043, (int) (0L));
				BgL_a2z00_14045 = PROCEDURE_REF(BgL_envz00_14043, (int) (1L));
				BgL_locz00_14046 = PROCEDURE_REF(BgL_envz00_14043, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_24198;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_15989;

						BgL_bpz00_15989 = VECTOR_REF(((obj_t) BgL_sz00_14047), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_15990;
							obj_t BgL_a2z00_15991;

							BgL_a1z00_15990 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14044, BgL_sz00_14047);
							BgL_a2z00_15991 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14045, BgL_sz00_14047);
							if (INTEGERP(BgL_a1z00_15990))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4648z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a1z00_15990,
										BgL_locz00_14046);
								}
							if (INTEGERP(BgL_a2z00_15991))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4648z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a2z00_15991,
										BgL_locz00_14046);
								}
							BgL_tmpz00_24198 =
								((long) CINT(BgL_a1z00_15990) / (long) CINT(BgL_a2z00_15991));
					}}
					return BINT(BgL_tmpz00_24198);
				}
			}
		}

	}



/* &<@anonymous:2867> */
	obj_t BGl_z62zc3z04anonymousza32867ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14048, obj_t BgL_sz00_14052)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14049;
				obj_t BgL_a2z00_14050;
				obj_t BgL_locz00_14051;

				BgL_a1z00_14049 = PROCEDURE_REF(BgL_envz00_14048, (int) (0L));
				BgL_a2z00_14050 = PROCEDURE_REF(BgL_envz00_14048, (int) (1L));
				BgL_locz00_14051 = PROCEDURE_REF(BgL_envz00_14048, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24225;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_15992;

						BgL_bpz00_15992 = VECTOR_REF(((obj_t) BgL_sz00_14052), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_15993;
							obj_t BgL_a2z00_15994;

							BgL_a1z00_15993 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14049, BgL_sz00_14052);
							BgL_a2z00_15994 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14050, BgL_sz00_14052);
							if (INTEGERP(BgL_a1z00_15993))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4650z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a1z00_15993,
										BgL_locz00_14051);
								}
							if (INTEGERP(BgL_a2z00_15994))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4650z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a2z00_15994,
										BgL_locz00_14051);
								}
							BgL_tmpz00_24225 =
								((long) CINT(BgL_a1z00_15993) < (long) CINT(BgL_a2z00_15994));
					}}
					return BBOOL(BgL_tmpz00_24225);
				}
			}
		}

	}



/* &<@anonymous:2870> */
	obj_t BGl_z62zc3z04anonymousza32870ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14053, obj_t BgL_sz00_14057)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14054;
				obj_t BgL_a2z00_14055;
				obj_t BgL_locz00_14056;

				BgL_a1z00_14054 = PROCEDURE_REF(BgL_envz00_14053, (int) (0L));
				BgL_a2z00_14055 = PROCEDURE_REF(BgL_envz00_14053, (int) (1L));
				BgL_locz00_14056 = PROCEDURE_REF(BgL_envz00_14053, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24252;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_15995;

						BgL_bpz00_15995 = VECTOR_REF(((obj_t) BgL_sz00_14057), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_15996;
							obj_t BgL_a2z00_15997;

							BgL_a1z00_15996 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14054, BgL_sz00_14057);
							BgL_a2z00_15997 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14055, BgL_sz00_14057);
							if (INTEGERP(BgL_a1z00_15996))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4652z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a1z00_15996,
										BgL_locz00_14056);
								}
							if (INTEGERP(BgL_a2z00_15997))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4652z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a2z00_15997,
										BgL_locz00_14056);
								}
							BgL_tmpz00_24252 =
								((long) CINT(BgL_a1z00_15996) > (long) CINT(BgL_a2z00_15997));
					}}
					return BBOOL(BgL_tmpz00_24252);
				}
			}
		}

	}



/* &<@anonymous:2873> */
	obj_t BGl_z62zc3z04anonymousza32873ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14058, obj_t BgL_sz00_14062)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14059;
				obj_t BgL_a2z00_14060;
				obj_t BgL_locz00_14061;

				BgL_a1z00_14059 = PROCEDURE_REF(BgL_envz00_14058, (int) (0L));
				BgL_a2z00_14060 = PROCEDURE_REF(BgL_envz00_14058, (int) (1L));
				BgL_locz00_14061 = PROCEDURE_REF(BgL_envz00_14058, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24279;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_15998;

						BgL_bpz00_15998 = VECTOR_REF(((obj_t) BgL_sz00_14062), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_15999;
							obj_t BgL_a2z00_16000;

							BgL_a1z00_15999 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14059, BgL_sz00_14062);
							BgL_a2z00_16000 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14060, BgL_sz00_14062);
							if (INTEGERP(BgL_a1z00_15999))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4654z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a1z00_15999,
										BgL_locz00_14061);
								}
							if (INTEGERP(BgL_a2z00_16000))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4654z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a2z00_16000,
										BgL_locz00_14061);
								}
							BgL_tmpz00_24279 =
								((long) CINT(BgL_a1z00_15999) <= (long) CINT(BgL_a2z00_16000));
					}}
					return BBOOL(BgL_tmpz00_24279);
				}
			}
		}

	}



/* &<@anonymous:2876> */
	obj_t BGl_z62zc3z04anonymousza32876ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14063, obj_t BgL_sz00_14067)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14064;
				obj_t BgL_a2z00_14065;
				obj_t BgL_locz00_14066;

				BgL_a1z00_14064 = PROCEDURE_REF(BgL_envz00_14063, (int) (0L));
				BgL_a2z00_14065 = PROCEDURE_REF(BgL_envz00_14063, (int) (1L));
				BgL_locz00_14066 = PROCEDURE_REF(BgL_envz00_14063, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24306;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16001;

						BgL_bpz00_16001 = VECTOR_REF(((obj_t) BgL_sz00_14067), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16002;
							obj_t BgL_a2z00_16003;

							BgL_a1z00_16002 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14064, BgL_sz00_14067);
							BgL_a2z00_16003 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14065, BgL_sz00_14067);
							if (INTEGERP(BgL_a1z00_16002))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4656z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a1z00_16002,
										BgL_locz00_14066);
								}
							if (INTEGERP(BgL_a2z00_16003))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4656z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a2z00_16003,
										BgL_locz00_14066);
								}
							BgL_tmpz00_24306 =
								((long) CINT(BgL_a1z00_16002) >= (long) CINT(BgL_a2z00_16003));
					}}
					return BBOOL(BgL_tmpz00_24306);
				}
			}
		}

	}



/* &<@anonymous:2879> */
	obj_t BGl_z62zc3z04anonymousza32879ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14068, obj_t BgL_sz00_14072)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14069;
				obj_t BgL_a2z00_14070;
				obj_t BgL_locz00_14071;

				BgL_a1z00_14069 = PROCEDURE_REF(BgL_envz00_14068, (int) (0L));
				BgL_a2z00_14070 = PROCEDURE_REF(BgL_envz00_14068, (int) (1L));
				BgL_locz00_14071 = PROCEDURE_REF(BgL_envz00_14068, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24333;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16004;

						BgL_bpz00_16004 = VECTOR_REF(((obj_t) BgL_sz00_14072), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16005;
							obj_t BgL_a2z00_16006;

							BgL_a1z00_16005 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14069, BgL_sz00_14072);
							BgL_a2z00_16006 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14070, BgL_sz00_14072);
							if (INTEGERP(BgL_a1z00_16005))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4658z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a1z00_16005,
										BgL_locz00_14071);
								}
							if (INTEGERP(BgL_a2z00_16006))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4658z00zz__evaluate_compz00,
										BGl_symbol4642z00zz__evaluate_compz00, BgL_a2z00_16006,
										BgL_locz00_14071);
								}
							BgL_tmpz00_24333 =
								((long) CINT(BgL_a1z00_16005) == (long) CINT(BgL_a2z00_16006));
					}}
					return BBOOL(BgL_tmpz00_24333);
				}
			}
		}

	}



/* &<@anonymous:2882> */
	obj_t BGl_z62zc3z04anonymousza32882ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14073, obj_t BgL_sz00_14077)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14074;
				obj_t BgL_a2z00_14075;
				obj_t BgL_locz00_14076;

				BgL_a1z00_14074 = PROCEDURE_REF(BgL_envz00_14073, (int) (0L));
				BgL_a2z00_14075 = PROCEDURE_REF(BgL_envz00_14073, (int) (1L));
				BgL_locz00_14076 = PROCEDURE_REF(BgL_envz00_14073, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_24360;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16007;

						BgL_bpz00_16007 = VECTOR_REF(((obj_t) BgL_sz00_14077), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16008;
							obj_t BgL_a2z00_16009;

							BgL_a1z00_16008 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14074, BgL_sz00_14077);
							BgL_a2z00_16009 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14075, BgL_sz00_14077);
							if (REALP(BgL_a1z00_16008))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4660z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a1z00_16008,
										BgL_locz00_14076);
								}
							if (REALP(BgL_a2z00_16009))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4660z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a2z00_16009,
										BgL_locz00_14076);
								}
							BgL_tmpz00_24360 =
								(REAL_TO_DOUBLE(BgL_a1z00_16008) +
								REAL_TO_DOUBLE(BgL_a2z00_16009));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24360);
				}
			}
		}

	}



/* &<@anonymous:2885> */
	obj_t BGl_z62zc3z04anonymousza32885ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14078, obj_t BgL_sz00_14082)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14079;
				obj_t BgL_a2z00_14080;
				obj_t BgL_locz00_14081;

				BgL_a1z00_14079 = PROCEDURE_REF(BgL_envz00_14078, (int) (0L));
				BgL_a2z00_14080 = PROCEDURE_REF(BgL_envz00_14078, (int) (1L));
				BgL_locz00_14081 = PROCEDURE_REF(BgL_envz00_14078, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_24387;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16010;

						BgL_bpz00_16010 = VECTOR_REF(((obj_t) BgL_sz00_14082), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16011;
							obj_t BgL_a2z00_16012;

							BgL_a1z00_16011 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14079, BgL_sz00_14082);
							BgL_a2z00_16012 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14080, BgL_sz00_14082);
							if (REALP(BgL_a1z00_16011))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4664z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a1z00_16011,
										BgL_locz00_14081);
								}
							if (REALP(BgL_a2z00_16012))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4664z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a2z00_16012,
										BgL_locz00_14081);
								}
							BgL_tmpz00_24387 =
								(REAL_TO_DOUBLE(BgL_a1z00_16011) -
								REAL_TO_DOUBLE(BgL_a2z00_16012));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24387);
				}
			}
		}

	}



/* &<@anonymous:2888> */
	obj_t BGl_z62zc3z04anonymousza32888ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14083, obj_t BgL_sz00_14087)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14084;
				obj_t BgL_a2z00_14085;
				obj_t BgL_locz00_14086;

				BgL_a1z00_14084 = PROCEDURE_REF(BgL_envz00_14083, (int) (0L));
				BgL_a2z00_14085 = PROCEDURE_REF(BgL_envz00_14083, (int) (1L));
				BgL_locz00_14086 = PROCEDURE_REF(BgL_envz00_14083, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_24414;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16013;

						BgL_bpz00_16013 = VECTOR_REF(((obj_t) BgL_sz00_14087), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16014;
							obj_t BgL_a2z00_16015;

							BgL_a1z00_16014 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14084, BgL_sz00_14087);
							BgL_a2z00_16015 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14085, BgL_sz00_14087);
							if (REALP(BgL_a1z00_16014))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4666z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a1z00_16014,
										BgL_locz00_14086);
								}
							if (REALP(BgL_a2z00_16015))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4666z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a2z00_16015,
										BgL_locz00_14086);
								}
							BgL_tmpz00_24414 =
								(REAL_TO_DOUBLE(BgL_a1z00_16014) *
								REAL_TO_DOUBLE(BgL_a2z00_16015));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24414);
				}
			}
		}

	}



/* &<@anonymous:2891> */
	obj_t BGl_z62zc3z04anonymousza32891ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14088, obj_t BgL_sz00_14092)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14089;
				obj_t BgL_a2z00_14090;
				obj_t BgL_locz00_14091;

				BgL_a1z00_14089 = PROCEDURE_REF(BgL_envz00_14088, (int) (0L));
				BgL_a2z00_14090 = PROCEDURE_REF(BgL_envz00_14088, (int) (1L));
				BgL_locz00_14091 = PROCEDURE_REF(BgL_envz00_14088, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_24441;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16016;

						BgL_bpz00_16016 = VECTOR_REF(((obj_t) BgL_sz00_14092), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16017;
							obj_t BgL_a2z00_16018;

							BgL_a1z00_16017 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14089, BgL_sz00_14092);
							BgL_a2z00_16018 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14090, BgL_sz00_14092);
							if (REALP(BgL_a1z00_16017))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4668z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a1z00_16017,
										BgL_locz00_14091);
								}
							if (REALP(BgL_a2z00_16018))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4668z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a2z00_16018,
										BgL_locz00_14091);
								}
							BgL_tmpz00_24441 =
								(REAL_TO_DOUBLE(BgL_a1z00_16017) /
								REAL_TO_DOUBLE(BgL_a2z00_16018));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24441);
				}
			}
		}

	}



/* &<@anonymous:2894> */
	obj_t BGl_z62zc3z04anonymousza32894ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14093, obj_t BgL_sz00_14097)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14094;
				obj_t BgL_a2z00_14095;
				obj_t BgL_locz00_14096;

				BgL_a1z00_14094 = PROCEDURE_REF(BgL_envz00_14093, (int) (0L));
				BgL_a2z00_14095 = PROCEDURE_REF(BgL_envz00_14093, (int) (1L));
				BgL_locz00_14096 = PROCEDURE_REF(BgL_envz00_14093, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24468;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16019;

						BgL_bpz00_16019 = VECTOR_REF(((obj_t) BgL_sz00_14097), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16020;
							obj_t BgL_a2z00_16021;

							BgL_a1z00_16020 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14094, BgL_sz00_14097);
							BgL_a2z00_16021 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14095, BgL_sz00_14097);
							if (REALP(BgL_a1z00_16020))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4670z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a1z00_16020,
										BgL_locz00_14096);
								}
							if (REALP(BgL_a2z00_16021))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4670z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a2z00_16021,
										BgL_locz00_14096);
								}
							BgL_tmpz00_24468 =
								(REAL_TO_DOUBLE(BgL_a1z00_16020) <
								REAL_TO_DOUBLE(BgL_a2z00_16021));
						}
					}
					return BBOOL(BgL_tmpz00_24468);
				}
			}
		}

	}



/* &<@anonymous:2897> */
	obj_t BGl_z62zc3z04anonymousza32897ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14098, obj_t BgL_sz00_14102)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14099;
				obj_t BgL_a2z00_14100;
				obj_t BgL_locz00_14101;

				BgL_a1z00_14099 = PROCEDURE_REF(BgL_envz00_14098, (int) (0L));
				BgL_a2z00_14100 = PROCEDURE_REF(BgL_envz00_14098, (int) (1L));
				BgL_locz00_14101 = PROCEDURE_REF(BgL_envz00_14098, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24495;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16022;

						BgL_bpz00_16022 = VECTOR_REF(((obj_t) BgL_sz00_14102), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16023;
							obj_t BgL_a2z00_16024;

							BgL_a1z00_16023 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14099, BgL_sz00_14102);
							BgL_a2z00_16024 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14100, BgL_sz00_14102);
							if (REALP(BgL_a1z00_16023))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4672z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a1z00_16023,
										BgL_locz00_14101);
								}
							if (REALP(BgL_a2z00_16024))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4672z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a2z00_16024,
										BgL_locz00_14101);
								}
							BgL_tmpz00_24495 =
								(REAL_TO_DOUBLE(BgL_a1z00_16023) >
								REAL_TO_DOUBLE(BgL_a2z00_16024));
						}
					}
					return BBOOL(BgL_tmpz00_24495);
				}
			}
		}

	}



/* &<@anonymous:2900> */
	obj_t BGl_z62zc3z04anonymousza32900ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14103, obj_t BgL_sz00_14107)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14104;
				obj_t BgL_a2z00_14105;
				obj_t BgL_locz00_14106;

				BgL_a1z00_14104 = PROCEDURE_REF(BgL_envz00_14103, (int) (0L));
				BgL_a2z00_14105 = PROCEDURE_REF(BgL_envz00_14103, (int) (1L));
				BgL_locz00_14106 = PROCEDURE_REF(BgL_envz00_14103, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24522;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16025;

						BgL_bpz00_16025 = VECTOR_REF(((obj_t) BgL_sz00_14107), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16026;
							obj_t BgL_a2z00_16027;

							BgL_a1z00_16026 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14104, BgL_sz00_14107);
							BgL_a2z00_16027 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14105, BgL_sz00_14107);
							if (REALP(BgL_a1z00_16026))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4674z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a1z00_16026,
										BgL_locz00_14106);
								}
							if (REALP(BgL_a2z00_16027))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4674z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a2z00_16027,
										BgL_locz00_14106);
								}
							BgL_tmpz00_24522 =
								(REAL_TO_DOUBLE(BgL_a1z00_16026) <=
								REAL_TO_DOUBLE(BgL_a2z00_16027));
						}
					}
					return BBOOL(BgL_tmpz00_24522);
				}
			}
		}

	}



/* &<@anonymous:2903> */
	obj_t BGl_z62zc3z04anonymousza32903ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14108, obj_t BgL_sz00_14112)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14109;
				obj_t BgL_a2z00_14110;
				obj_t BgL_locz00_14111;

				BgL_a1z00_14109 = PROCEDURE_REF(BgL_envz00_14108, (int) (0L));
				BgL_a2z00_14110 = PROCEDURE_REF(BgL_envz00_14108, (int) (1L));
				BgL_locz00_14111 = PROCEDURE_REF(BgL_envz00_14108, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24549;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16028;

						BgL_bpz00_16028 = VECTOR_REF(((obj_t) BgL_sz00_14112), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16029;
							obj_t BgL_a2z00_16030;

							BgL_a1z00_16029 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14109, BgL_sz00_14112);
							BgL_a2z00_16030 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14110, BgL_sz00_14112);
							if (REALP(BgL_a1z00_16029))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4676z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a1z00_16029,
										BgL_locz00_14111);
								}
							if (REALP(BgL_a2z00_16030))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4676z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a2z00_16030,
										BgL_locz00_14111);
								}
							BgL_tmpz00_24549 =
								(REAL_TO_DOUBLE(BgL_a1z00_16029) >=
								REAL_TO_DOUBLE(BgL_a2z00_16030));
						}
					}
					return BBOOL(BgL_tmpz00_24549);
				}
			}
		}

	}



/* &<@anonymous:2906> */
	obj_t BGl_z62zc3z04anonymousza32906ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14113, obj_t BgL_sz00_14117)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14114;
				obj_t BgL_a2z00_14115;
				obj_t BgL_locz00_14116;

				BgL_a1z00_14114 = PROCEDURE_REF(BgL_envz00_14113, (int) (0L));
				BgL_a2z00_14115 = PROCEDURE_REF(BgL_envz00_14113, (int) (1L));
				BgL_locz00_14116 = PROCEDURE_REF(BgL_envz00_14113, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24576;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16031;

						BgL_bpz00_16031 = VECTOR_REF(((obj_t) BgL_sz00_14117), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16032;
							obj_t BgL_a2z00_16033;

							BgL_a1z00_16032 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14114, BgL_sz00_14117);
							BgL_a2z00_16033 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14115, BgL_sz00_14117);
							if (REALP(BgL_a1z00_16032))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4678z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a1z00_16032,
										BgL_locz00_14116);
								}
							if (REALP(BgL_a2z00_16033))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4678z00zz__evaluate_compz00,
										BGl_symbol4662z00zz__evaluate_compz00, BgL_a2z00_16033,
										BgL_locz00_14116);
								}
							BgL_tmpz00_24576 =
								(REAL_TO_DOUBLE(BgL_a1z00_16032) ==
								REAL_TO_DOUBLE(BgL_a2z00_16033));
						}
					}
					return BBOOL(BgL_tmpz00_24576);
				}
			}
		}

	}



/* &<@anonymous:2909> */
	obj_t BGl_z62zc3z04anonymousza32909ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14118, obj_t BgL_sz00_14121)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14119;
				obj_t BgL_a2z00_14120;

				BgL_a1z00_14119 = PROCEDURE_REF(BgL_envz00_14118, (int) (0L));
				BgL_a2z00_14120 = PROCEDURE_REF(BgL_envz00_14118, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_24601;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16034;

						BgL_bpz00_16034 = VECTOR_REF(((obj_t) BgL_sz00_14121), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16035;
							obj_t BgL_a2z00_16036;

							BgL_a1z00_16035 =
								BGL_PROCEDURE_CALL1(BgL_a1z00_14119, BgL_sz00_14121);
							BgL_a2z00_16036 =
								BGL_PROCEDURE_CALL1(BgL_a2z00_14120, BgL_sz00_14121);
							BgL_tmpz00_24601 = (BgL_a1z00_16035 == BgL_a2z00_16036);
					}}
					return BBOOL(BgL_tmpz00_24601);
				}
			}
		}

	}



/* &<@anonymous:2910> */
	obj_t BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14122, obj_t BgL_sz00_14125)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14123;
				obj_t BgL_a2z00_14124;

				BgL_a1z00_14123 = PROCEDURE_REF(BgL_envz00_14122, (int) (0L));
				BgL_a2z00_14124 = PROCEDURE_REF(BgL_envz00_14122, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16037;

					BgL_bpz00_16037 = VECTOR_REF(((obj_t) BgL_sz00_14125), 0L);
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16038;
						obj_t BgL_a2z00_16039;

						BgL_a1z00_16038 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_14123, BgL_sz00_14125);
						BgL_a2z00_16039 =
							BGL_PROCEDURE_CALL1(BgL_a2z00_14124, BgL_sz00_14125);
						return MAKE_YOUNG_PAIR(BgL_a1z00_16038, BgL_a2z00_16039);
					}
				}
			}
		}

	}



/* &<@anonymous:2912> */
	obj_t BGl_z62zc3z04anonymousza32912ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14126, obj_t BgL_sz00_14129)
	{
		{	/* Eval/evaluate_comp.scm 1025 */
			{	/* Eval/evaluate_comp.scm 1025 */
				obj_t BgL_a1z00_14127;
				obj_t BgL_locz00_14128;

				BgL_a1z00_14127 = PROCEDURE_REF(BgL_envz00_14126, (int) (0L));
				BgL_locz00_14128 = PROCEDURE_REF(BgL_envz00_14126, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1025 */
					obj_t BgL_bpz00_16040;

					BgL_bpz00_16040 = VECTOR_REF(((obj_t) BgL_sz00_14129), 0L);
					{	/* Eval/evaluate_comp.scm 1025 */
						obj_t BgL_a1z00_16041;

						BgL_a1z00_16041 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_14127, BgL_sz00_14129);
						if (PAIRP(BgL_a1z00_16041))
							{	/* Eval/evaluate_comp.scm 1025 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1025 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4680z00zz__evaluate_compz00,
									BGl_symbol4682z00zz__evaluate_compz00, BgL_a1z00_16041,
									BgL_locz00_14128);
							}
						return CAR(((obj_t) BgL_a1z00_16041));
					}
				}
			}
		}

	}



/* &<@anonymous:2914> */
	obj_t BGl_z62zc3z04anonymousza32914ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14130, obj_t BgL_sz00_14133)
	{
		{	/* Eval/evaluate_comp.scm 1025 */
			{	/* Eval/evaluate_comp.scm 1025 */
				obj_t BgL_a1z00_14131;
				obj_t BgL_locz00_14132;

				BgL_a1z00_14131 = PROCEDURE_REF(BgL_envz00_14130, (int) (0L));
				BgL_locz00_14132 = PROCEDURE_REF(BgL_envz00_14130, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1025 */
					obj_t BgL_bpz00_16042;

					BgL_bpz00_16042 = VECTOR_REF(((obj_t) BgL_sz00_14133), 0L);
					{	/* Eval/evaluate_comp.scm 1025 */
						obj_t BgL_a1z00_16043;

						BgL_a1z00_16043 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_14131, BgL_sz00_14133);
						if (PAIRP(BgL_a1z00_16043))
							{	/* Eval/evaluate_comp.scm 1025 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1025 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4684z00zz__evaluate_compz00,
									BGl_symbol4682z00zz__evaluate_compz00, BgL_a1z00_16043,
									BgL_locz00_14132);
							}
						return CDR(((obj_t) BgL_a1z00_16043));
					}
				}
			}
		}

	}



/* &<@anonymous:2916> */
	obj_t BGl_z62zc3z04anonymousza32916ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14134, obj_t BgL_sz00_14137)
	{
		{	/* Eval/evaluate_comp.scm 1025 */
			{	/* Eval/evaluate_comp.scm 1025 */
				obj_t BgL_a1z00_14135;
				obj_t BgL_locz00_14136;

				BgL_a1z00_14135 = PROCEDURE_REF(BgL_envz00_14134, (int) (0L));
				BgL_locz00_14136 = PROCEDURE_REF(BgL_envz00_14134, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1025 */
					obj_t BgL_bpz00_16044;

					BgL_bpz00_16044 = VECTOR_REF(((obj_t) BgL_sz00_14137), 0L);
					{	/* Eval/evaluate_comp.scm 1025 */
						obj_t BgL_a1z00_16045;

						BgL_a1z00_16045 =
							BGL_PROCEDURE_CALL1(BgL_a1z00_14135, BgL_sz00_14137);
						{	/* Eval/evaluate_comp.scm 1025 */
							bool_t BgL_test5419z00_24669;

							if (PAIRP(BgL_a1z00_16045))
								{	/* Eval/evaluate_comp.scm 1034 */
									obj_t BgL_tmpz00_24672;

									BgL_tmpz00_24672 = CDR(BgL_a1z00_16045);
									BgL_test5419z00_24669 = PAIRP(BgL_tmpz00_24672);
								}
							else
								{	/* Eval/evaluate_comp.scm 1034 */
									BgL_test5419z00_24669 = ((bool_t) 0);
								}
							if (BgL_test5419z00_24669)
								{	/* Eval/evaluate_comp.scm 1025 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1025 */
									obj_t BgL_arg2919z00_16046;

									if (PAIRP(BgL_a1z00_16045))
										{	/* Eval/evaluate_comp.scm 1037 */
											BgL_arg2919z00_16046 = CDR(BgL_a1z00_16045);
										}
									else
										{	/* Eval/evaluate_comp.scm 1037 */
											BgL_arg2919z00_16046 = BgL_a1z00_16045;
										}
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4686z00zz__evaluate_compz00,
										BGl_symbol4682z00zz__evaluate_compz00, BgL_arg2919z00_16046,
										BgL_locz00_14136);
								}
						}
						{	/* Eval/evaluate_comp.scm 1025 */
							obj_t BgL_pairz00_16047;

							BgL_pairz00_16047 = CDR(((obj_t) BgL_a1z00_16045));
							return CAR(BgL_pairz00_16047);
						}
					}
				}
			}
		}

	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203,
		obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206,
		obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
	{
		{	/* Eval/evaluate_comp.scm 1070 */
			if ((BgL_arityz00_206 < 0L))
				{	/* Eval/evaluate_comp.scm 1072 */
					long BgL_g1245z00_3533;

					BgL_g1245z00_3533 = ((-1L) - BgL_arityz00_206);
					{
						long BgL_rz00_3535;
						long BgL_spz00_3536;
						obj_t BgL_lz00_3537;

						BgL_rz00_3535 = BgL_g1245z00_3533;
						BgL_spz00_3536 = BgL_spz00_205;
						BgL_lz00_3537 = BgL_valsz00_207;
					BgL_zc3z04anonymousza32924ze3z87_3538:
						if ((BgL_rz00_3535 == 0L))
							{	/* Eval/evaluate_comp.scm 1074 */
								return
									VECTOR_SET(
									((obj_t) BgL_sz00_203), BgL_spz00_3536, BgL_lz00_3537);
							}
						else
							{	/* Eval/evaluate_comp.scm 1074 */
								if (PAIRP(BgL_lz00_3537))
									{	/* Eval/evaluate_comp.scm 1076 */
										{	/* Eval/evaluate_comp.scm 1079 */
											obj_t BgL_arg2927z00_3541;

											BgL_arg2927z00_3541 = CAR(BgL_lz00_3537);
											VECTOR_SET(
												((obj_t) BgL_sz00_203), BgL_spz00_3536,
												BgL_arg2927z00_3541);
										}
										{
											obj_t BgL_lz00_24698;
											long BgL_spz00_24696;
											long BgL_rz00_24694;

											BgL_rz00_24694 = (BgL_rz00_3535 - 1L);
											BgL_spz00_24696 = (BgL_spz00_3536 + 1L);
											BgL_lz00_24698 = CDR(BgL_lz00_3537);
											BgL_lz00_3537 = BgL_lz00_24698;
											BgL_spz00_3536 = BgL_spz00_24696;
											BgL_rz00_3535 = BgL_rz00_24694;
											goto BgL_zc3z04anonymousza32924ze3z87_3538;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1077 */
										long BgL_arg2937z00_3545;

										BgL_arg2937z00_3545 = bgl_list_length(BgL_valsz00_207);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
											BgL_wherez00_204, (int) (BgL_arityz00_206),
											(int) (BgL_arg2937z00_3545));
				}}}}
			else
				{
					long BgL_rz00_3548;
					long BgL_spz00_3549;
					obj_t BgL_lz00_3550;

					BgL_rz00_3548 = BgL_arityz00_206;
					BgL_spz00_3549 = BgL_spz00_205;
					BgL_lz00_3550 = BgL_valsz00_207;
				BgL_zc3z04anonymousza32938ze3z87_3551:
					if ((BgL_rz00_3548 == 0L))
						{	/* Eval/evaluate_comp.scm 1083 */
							if (NULLP(BgL_lz00_3550))
								{	/* Eval/evaluate_comp.scm 1084 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1085 */
									long BgL_arg2941z00_3554;

									BgL_arg2941z00_3554 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg2941z00_3554));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1083 */
							if (PAIRP(BgL_lz00_3550))
								{	/* Eval/evaluate_comp.scm 1086 */
									{	/* Eval/evaluate_comp.scm 1089 */
										obj_t BgL_arg2943z00_3556;

										BgL_arg2943z00_3556 = CAR(BgL_lz00_3550);
										VECTOR_SET(
											((obj_t) BgL_sz00_203), BgL_spz00_3549,
											BgL_arg2943z00_3556);
									}
									{
										obj_t BgL_lz00_24721;
										long BgL_spz00_24719;
										long BgL_rz00_24717;

										BgL_rz00_24717 = (BgL_rz00_3548 - 1L);
										BgL_spz00_24719 = (BgL_spz00_3549 + 1L);
										BgL_lz00_24721 = CDR(BgL_lz00_3550);
										BgL_lz00_3550 = BgL_lz00_24721;
										BgL_spz00_3549 = BgL_spz00_24719;
										BgL_rz00_3548 = BgL_rz00_24717;
										goto BgL_zc3z04anonymousza32938ze3z87_3551;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1087 */
									long BgL_arg2957z00_3560;

									BgL_arg2957z00_3560 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg2957z00_3560));
		}}}}

	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211,
		obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
	{
		{	/* Eval/evaluate_comp.scm 1184 */
			{
				long BgL_iz00_3564;

				BgL_iz00_3564 = 0L;
			BgL_zc3z04anonymousza32958ze3z87_3565:
				{	/* Eval/evaluate_comp.scm 1187 */
					long BgL_spz00_3566;

					{	/* Eval/evaluate_comp.scm 1187 */
						obj_t BgL_arg2962z00_3571;

						BgL_arg2962z00_3571 =
							VECTOR_REF(((obj_t) BgL_ibza2za2_212), BgL_iz00_3564);
						BgL_spz00_3566 =
							((long) CINT(BgL_bpz00_213) + (long) CINT(BgL_arg2962z00_3571));
					}
					{	/* Eval/evaluate_comp.scm 1188 */
						obj_t BgL_arg2959z00_3567;

						{	/* Eval/evaluate_comp.scm 1188 */
							obj_t BgL_arg2960z00_3568;

							BgL_arg2960z00_3568 =
								VECTOR_REF(((obj_t) BgL_sz00_211), BgL_spz00_3566);
							{	/* Eval/evaluate_comp.scm 202 */
								obj_t BgL_newz00_9637;

								BgL_newz00_9637 =
									create_struct(BGl_symbol4610z00zz__evaluate_compz00,
									(int) (1L));
								{	/* Eval/evaluate_comp.scm 202 */
									int BgL_tmpz00_24736;

									BgL_tmpz00_24736 = (int) (0L);
									STRUCT_SET(BgL_newz00_9637, BgL_tmpz00_24736,
										BgL_arg2960z00_3568);
								}
								BgL_arg2959z00_3567 = BgL_newz00_9637;
						}}
						VECTOR_SET(
							((obj_t) BgL_sz00_211), BgL_spz00_3566, BgL_arg2959z00_3567);
					}
					{	/* Eval/evaluate_comp.scm 1189 */
						long BgL_niz00_3569;

						BgL_niz00_3569 = (BgL_iz00_3564 + 1L);
						if ((BgL_niz00_3569 < VECTOR_LENGTH(((obj_t) BgL_ibza2za2_212))))
							{
								long BgL_iz00_24746;

								BgL_iz00_24746 = BgL_niz00_3569;
								BgL_iz00_3564 = BgL_iz00_24746;
								goto BgL_zc3z04anonymousza32958ze3z87_3565;
							}
						else
							{	/* Eval/evaluate_comp.scm 1190 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214,
		obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
	{
		{	/* Eval/evaluate_comp.scm 1192 */
			{	/* Eval/evaluate_comp.scm 1193 */
				obj_t BgL_rz00_3574;

				BgL_rz00_3574 =
					make_vector(VECTOR_LENGTH(((obj_t) BgL_iza2za2_216)), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 1193 */

					{
						long BgL_iz00_3576;

						BgL_iz00_3576 = 0L;
					BgL_zc3z04anonymousza32963ze3z87_3577:
						if ((BgL_iz00_3576 >= VECTOR_LENGTH(((obj_t) BgL_iza2za2_216))))
							{	/* Eval/evaluate_comp.scm 1195 */
								return BgL_rz00_3574;
							}
						else
							{	/* Eval/evaluate_comp.scm 1195 */
								{	/* Eval/evaluate_comp.scm 1198 */
									obj_t BgL_arg2965z00_3579;

									{	/* Eval/evaluate_comp.scm 1198 */
										long BgL_arg2966z00_3580;

										{	/* Eval/evaluate_comp.scm 1198 */
											obj_t BgL_arg2967z00_3581;

											BgL_arg2967z00_3581 =
												VECTOR_REF(((obj_t) BgL_iza2za2_216), BgL_iz00_3576);
											BgL_arg2966z00_3580 =
												(
												(long) CINT(BgL_bpz00_215) +
												(long) CINT(BgL_arg2967z00_3581));
										}
										BgL_arg2965z00_3579 =
											VECTOR_REF(((obj_t) BgL_sz00_214), BgL_arg2966z00_3580);
									}
									VECTOR_SET(BgL_rz00_3574, BgL_iz00_3576, BgL_arg2965z00_3579);
								}
								{
									long BgL_iz00_24762;

									BgL_iz00_24762 = (BgL_iz00_3576 + 1L);
									BgL_iz00_3576 = BgL_iz00_24762;
									goto BgL_zc3z04anonymousza32963ze3z87_3577;
								}
							}
					}
				}
			}
		}

	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217,
		obj_t BgL_valza2za2_218, long BgL_spz00_219)
	{
		{	/* Eval/evaluate_comp.scm 1201 */
			{	/* Eval/evaluate_comp.scm 1202 */
				long BgL_stopz00_3585;

				BgL_stopz00_3585 =
					(BgL_spz00_219 + VECTOR_LENGTH(((obj_t) BgL_valza2za2_218)));
				{
					long BgL_iz00_9685;
					long BgL_spz00_9686;

					BgL_iz00_9685 = 0L;
					BgL_spz00_9686 = BgL_spz00_219;
				BgL_recz00_9684:
					if ((BgL_spz00_9686 < BgL_stopz00_3585))
						{	/* Eval/evaluate_comp.scm 1204 */
							{	/* Eval/evaluate_comp.scm 1205 */
								obj_t BgL_arg2973z00_9692;

								BgL_arg2973z00_9692 =
									VECTOR_REF(((obj_t) BgL_valza2za2_218), BgL_iz00_9685);
								VECTOR_SET(
									((obj_t) BgL_sz00_217), BgL_spz00_9686, BgL_arg2973z00_9692);
							}
							{
								long BgL_spz00_24775;
								long BgL_iz00_24773;

								BgL_iz00_24773 = (BgL_iz00_9685 + 1L);
								BgL_spz00_24775 = (BgL_spz00_9686 + 1L);
								BgL_spz00_9686 = BgL_spz00_24775;
								BgL_iz00_9685 = BgL_iz00_24773;
								goto BgL_recz00_9684;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1204 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc4688z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string4689z00zz__evaluate_compz00);
		}

	}



/* &comp1418 */
	obj_t BGl_z62comp1418z62zz__evaluate_compz00(obj_t BgL_envz00_14223,
		obj_t BgL_ez00_14224, obj_t BgL_stkz00_14225)
	{
		{	/* Eval/evaluate_comp.scm 276 */
			return
				BGl_errorz00zz__errorz00(BGl_string4600z00zz__evaluate_compz00,
				BGl_string4690z00zz__evaluate_compz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_14224)));
		}

	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				obj_t BgL_method1419z00_3601;

				{	/* Eval/evaluate_comp.scm 276 */
					obj_t BgL_res4461z00_9733;

					{	/* Eval/evaluate_comp.scm 276 */
						long BgL_objzd2classzd2numz00_9704;

						BgL_objzd2classzd2numz00_9704 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_35));
						{	/* Eval/evaluate_comp.scm 276 */
							obj_t BgL_arg4321z00_9705;

							BgL_arg4321z00_9705 =
								PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
								(int) (1L));
							{	/* Eval/evaluate_comp.scm 276 */
								int BgL_offsetz00_9708;

								BgL_offsetz00_9708 = (int) (BgL_objzd2classzd2numz00_9704);
								{	/* Eval/evaluate_comp.scm 276 */
									long BgL_offsetz00_9709;

									BgL_offsetz00_9709 =
										((long) (BgL_offsetz00_9708) - OBJECT_TYPE);
									{	/* Eval/evaluate_comp.scm 276 */
										long BgL_modz00_9710;

										BgL_modz00_9710 =
											(BgL_offsetz00_9709 >> (int) ((long) ((int) (4L))));
										{	/* Eval/evaluate_comp.scm 276 */
											long BgL_restz00_9712;

											BgL_restz00_9712 =
												(BgL_offsetz00_9709 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Eval/evaluate_comp.scm 276 */

												{	/* Eval/evaluate_comp.scm 276 */
													obj_t BgL_bucketz00_9714;

													BgL_bucketz00_9714 =
														VECTOR_REF(
														((obj_t) BgL_arg4321z00_9705), BgL_modz00_9710);
													BgL_res4461z00_9733 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_9714), BgL_restz00_9712);
					}}}}}}}}
					BgL_method1419z00_3601 = BgL_res4461z00_9733;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1419z00_3601,
					((obj_t) BgL_ez00_35), BgL_stkz00_36);
			}
		}

	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_14226,
		obj_t BgL_ez00_14227, obj_t BgL_stkz00_14228)
	{
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				BgL_ev_exprz00_bglt BgL_auxz00_24812;

				{	/* Eval/evaluate_comp.scm 276 */
					bool_t BgL_test5431z00_24813;

					{	/* Eval/evaluate_comp.scm 276 */
						obj_t BgL_classz00_16049;

						BgL_classz00_16049 = BGl_ev_exprz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_ez00_14227))
							{	/* Eval/evaluate_comp.scm 276 */
								BgL_objectz00_bglt BgL_arg4319z00_16051;
								long BgL_arg4320z00_16052;

								BgL_arg4319z00_16051 = (BgL_objectz00_bglt) (BgL_ez00_14227);
								BgL_arg4320z00_16052 = BGL_CLASS_DEPTH(BgL_classz00_16049);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Eval/evaluate_comp.scm 276 */
										long BgL_idxz00_16060;

										BgL_idxz00_16060 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg4319z00_16051);
										{	/* Eval/evaluate_comp.scm 276 */
											obj_t BgL_arg4310z00_16061;

											{	/* Eval/evaluate_comp.scm 276 */
												long BgL_arg4311z00_16062;

												BgL_arg4311z00_16062 =
													(BgL_idxz00_16060 + BgL_arg4320z00_16052);
												BgL_arg4310z00_16061 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg4311z00_16062);
											}
											BgL_test5431z00_24813 =
												(BgL_arg4310z00_16061 == BgL_classz00_16049);
									}}
								else
									{	/* Eval/evaluate_comp.scm 276 */
										bool_t BgL_res4469z00_16067;

										{	/* Eval/evaluate_comp.scm 276 */
											obj_t BgL_oclassz00_16071;

											{	/* Eval/evaluate_comp.scm 276 */
												obj_t BgL_arg4324z00_16073;
												long BgL_arg4325z00_16074;

												BgL_arg4324z00_16073 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Eval/evaluate_comp.scm 276 */
													long BgL_arg4326z00_16075;

													BgL_arg4326z00_16075 =
														BGL_OBJECT_CLASS_NUM(BgL_arg4319z00_16051);
													BgL_arg4325z00_16074 =
														(BgL_arg4326z00_16075 - OBJECT_TYPE);
												}
												BgL_oclassz00_16071 =
													VECTOR_REF(BgL_arg4324z00_16073,
													BgL_arg4325z00_16074);
											}
											{	/* Eval/evaluate_comp.scm 276 */
												bool_t BgL__ortest_1296z00_16081;

												BgL__ortest_1296z00_16081 =
													(BgL_classz00_16049 == BgL_oclassz00_16071);
												if (BgL__ortest_1296z00_16081)
													{	/* Eval/evaluate_comp.scm 276 */
														BgL_res4469z00_16067 = BgL__ortest_1296z00_16081;
													}
												else
													{	/* Eval/evaluate_comp.scm 276 */
														long BgL_odepthz00_16082;

														{	/* Eval/evaluate_comp.scm 276 */
															obj_t BgL_arg4314z00_16083;

															BgL_arg4314z00_16083 = (BgL_oclassz00_16071);
															BgL_odepthz00_16082 =
																BGL_CLASS_DEPTH(BgL_arg4314z00_16083);
														}
														if ((BgL_arg4320z00_16052 < BgL_odepthz00_16082))
															{	/* Eval/evaluate_comp.scm 276 */
																obj_t BgL_arg4312z00_16087;

																{	/* Eval/evaluate_comp.scm 276 */
																	obj_t BgL_arg4313z00_16088;

																	BgL_arg4313z00_16088 = (BgL_oclassz00_16071);
																	BgL_arg4312z00_16087 =
																		BGL_CLASS_ANCESTORS_REF
																		(BgL_arg4313z00_16088,
																		BgL_arg4320z00_16052);
																}
																BgL_res4469z00_16067 =
																	(BgL_arg4312z00_16087 == BgL_classz00_16049);
															}
														else
															{	/* Eval/evaluate_comp.scm 276 */
																BgL_res4469z00_16067 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test5431z00_24813 = BgL_res4469z00_16067;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 276 */
								BgL_test5431z00_24813 = ((bool_t) 0);
							}
					}
					if (BgL_test5431z00_24813)
						{	/* Eval/evaluate_comp.scm 276 */
							BgL_auxz00_24812 = ((BgL_ev_exprz00_bglt) BgL_ez00_14227);
						}
					else
						{
							obj_t BgL_auxz00_24838;

							BgL_auxz00_24838 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string4605z00zz__evaluate_compz00, BINT(7022L),
								BGl_string4691z00zz__evaluate_compz00,
								BGl_string4607z00zz__evaluate_compz00, BgL_ez00_14227);
							FAILURE(BgL_auxz00_24838, BFALSE, BFALSE);
						}
				}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_24812, BgL_stkz00_14228);
			}
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc4692z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc4694z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc4695z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc4696z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc4697z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc4698z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc4699z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc4700z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc4701z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc4702z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc4703z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc4704z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc4705z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc4706z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc4707z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc4708z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc4709z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc4710z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc4711z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc4712z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc4713z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc4714z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00);
		}

	}



/* &comp-ev_abs1465 */
	obj_t BGl_z62compzd2ev_abs1465zb0zz__evaluate_compz00(obj_t BgL_envz00_14421,
		obj_t BgL_ez00_14422, obj_t BgL_stkz00_14423)
	{
		{	/* Eval/evaluate_comp.scm 1172 */
			{	/* Eval/evaluate_comp.scm 1174 */
				obj_t BgL_ifreesz00_16090;
				obj_t BgL_iboxesz00_16091;
				long BgL_siza7eza7_16092;
				long BgL_siza7ezd2framez75_16093;
				obj_t BgL_nstkz00_16094;

				{	/* Eval/evaluate_comp.scm 1174 */
					obj_t BgL_arg4015z00_16095;

					{	/* Eval/evaluate_comp.scm 1174 */
						obj_t BgL_l1395z00_16096;

						BgL_l1395z00_16096 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14422)))->BgL_freez00);
						if (NULLP(BgL_l1395z00_16096))
							{	/* Eval/evaluate_comp.scm 1174 */
								BgL_arg4015z00_16095 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1174 */
								obj_t BgL_head1397z00_16097;

								BgL_head1397z00_16097 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1395z00_16099;
									obj_t BgL_tail1398z00_16100;

									BgL_l1395z00_16099 = BgL_l1395z00_16096;
									BgL_tail1398z00_16100 = BgL_head1397z00_16097;
								BgL_zc3z04anonymousza34017ze3z87_16098:
									if (NULLP(BgL_l1395z00_16099))
										{	/* Eval/evaluate_comp.scm 1174 */
											BgL_arg4015z00_16095 = CDR(BgL_head1397z00_16097);
										}
									else
										{	/* Eval/evaluate_comp.scm 1174 */
											obj_t BgL_newtail1399z00_16101;

											{	/* Eval/evaluate_comp.scm 1174 */
												obj_t BgL_arg4020z00_16102;

												{	/* Eval/evaluate_comp.scm 1174 */
													obj_t BgL_vz00_16103;

													BgL_vz00_16103 = CAR(((obj_t) BgL_l1395z00_16099));
													BgL_arg4020z00_16102 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16103,
														BgL_stkz00_14423);
												}
												BgL_newtail1399z00_16101 =
													MAKE_YOUNG_PAIR(BgL_arg4020z00_16102, BNIL);
											}
											SET_CDR(BgL_tail1398z00_16100, BgL_newtail1399z00_16101);
											{	/* Eval/evaluate_comp.scm 1174 */
												obj_t BgL_arg4019z00_16104;

												BgL_arg4019z00_16104 =
													CDR(((obj_t) BgL_l1395z00_16099));
												{
													obj_t BgL_tail1398z00_24881;
													obj_t BgL_l1395z00_24880;

													BgL_l1395z00_24880 = BgL_arg4019z00_16104;
													BgL_tail1398z00_24881 = BgL_newtail1399z00_16101;
													BgL_tail1398z00_16100 = BgL_tail1398z00_24881;
													BgL_l1395z00_16099 = BgL_l1395z00_24880;
													goto BgL_zc3z04anonymousza34017ze3z87_16098;
												}
											}
										}
								}
							}
					}
					BgL_ifreesz00_16090 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4015z00_16095);
				}
				{	/* Eval/evaluate_comp.scm 1175 */
					obj_t BgL_arg4022z00_16105;

					{	/* Eval/evaluate_comp.scm 1175 */
						obj_t BgL_l1400z00_16106;

						BgL_l1400z00_16106 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14422)))->BgL_boxesz00);
						if (NULLP(BgL_l1400z00_16106))
							{	/* Eval/evaluate_comp.scm 1175 */
								BgL_arg4022z00_16105 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1175 */
								obj_t BgL_head1402z00_16107;

								BgL_head1402z00_16107 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1400z00_16109;
									obj_t BgL_tail1403z00_16110;

									BgL_l1400z00_16109 = BgL_l1400z00_16106;
									BgL_tail1403z00_16110 = BgL_head1402z00_16107;
								BgL_zc3z04anonymousza34024ze3z87_16108:
									if (NULLP(BgL_l1400z00_16109))
										{	/* Eval/evaluate_comp.scm 1175 */
											BgL_arg4022z00_16105 = CDR(BgL_head1402z00_16107);
										}
									else
										{	/* Eval/evaluate_comp.scm 1175 */
											obj_t BgL_newtail1404z00_16111;

											{	/* Eval/evaluate_comp.scm 1175 */
												obj_t BgL_arg4027z00_16112;

												{	/* Eval/evaluate_comp.scm 1175 */
													obj_t BgL_vz00_16113;

													BgL_vz00_16113 = CAR(((obj_t) BgL_l1400z00_16109));
													BgL_arg4027z00_16112 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16113,
														(((BgL_ev_absz00_bglt) COBJECT(
																	((BgL_ev_absz00_bglt) BgL_ez00_14422)))->
															BgL_varsz00));
												}
												BgL_newtail1404z00_16111 =
													MAKE_YOUNG_PAIR(BgL_arg4027z00_16112, BNIL);
											}
											SET_CDR(BgL_tail1403z00_16110, BgL_newtail1404z00_16111);
											{	/* Eval/evaluate_comp.scm 1175 */
												obj_t BgL_arg4026z00_16114;

												BgL_arg4026z00_16114 =
													CDR(((obj_t) BgL_l1400z00_16109));
												{
													obj_t BgL_tail1403z00_24901;
													obj_t BgL_l1400z00_24900;

													BgL_l1400z00_24900 = BgL_arg4026z00_16114;
													BgL_tail1403z00_24901 = BgL_newtail1404z00_16111;
													BgL_tail1403z00_16110 = BgL_tail1403z00_24901;
													BgL_l1400z00_16109 = BgL_l1400z00_24900;
													goto BgL_zc3z04anonymousza34024ze3z87_16108;
												}
											}
										}
								}
							}
					}
					BgL_iboxesz00_16091 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4022z00_16105);
				}
				BgL_siza7eza7_16092 =
					bgl_list_length(
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14422)))->BgL_varsz00));
				BgL_siza7ezd2framez75_16093 =
					(
					(long) (
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14422)))->BgL_siza7eza7)) +
					bgl_list_length(
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14422)))->BgL_freez00)));
				BgL_nstkz00_16094 =
					BGl_appendzd221011zd2zz__evaluate_compz00(
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14422)))->BgL_varsz00),
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14422)))->BgL_freez00));
				{	/* Eval/evaluate_comp.scm 1179 */
					obj_t BgL_bodyz00_16115;

					BgL_bodyz00_16115 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14422)))->BgL_bodyz00),
						BgL_nstkz00_16094);
					{

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_aux1257z00_16121;

							BgL_aux1257z00_16121 =
								(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_14422)))->BgL_arityz00);
							if (INTEGERP(BgL_aux1257z00_16121))
								{	/* Eval/evaluate_comp.scm 1181 */
									switch ((long) CINT(BgL_aux1257z00_16121))
										{
										case 0L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16090) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33453ze3z87_16122;

															BgL_zc3z04anonymousza33453ze3z87_16122 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33453ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33453ze3z87_16122,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33453ze3z87_16122,
																(int) (1L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33453ze3z87_16122,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33453ze3z87_16122;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33459ze3z87_16123;

															BgL_zc3z04anonymousza33459ze3z87_16123 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33459ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33459ze3z87_16123,
																(int) (0L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33459ze3z87_16123,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33459ze3z87_16123,
																(int) (2L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33459ze3z87_16123,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33459ze3z87_16123;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33469ze3z87_16124;

															BgL_zc3z04anonymousza33469ze3z87_16124 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33469ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33469ze3z87_16124,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33469ze3z87_16124,
																(int) (1L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33469ze3z87_16124,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33469ze3z87_16124,
																(int) (3L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33469ze3z87_16124,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33469ze3z87_16124;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33477ze3z87_16125;

															BgL_zc3z04anonymousza33477ze3z87_16125 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33477ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33477ze3z87_16125,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33477ze3z87_16125,
																(int) (1L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33477ze3z87_16125,
																(int) (2L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33477ze3z87_16125,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33477ze3z87_16125,
																(int) (4L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33477ze3z87_16125,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33477ze3z87_16125;
														}
												}
											break;
										case (-1L):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16090) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33492ze3z87_16126;

															BgL_zc3z04anonymousza33492ze3z87_16126 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33492ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33492ze3z87_16126,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33492ze3z87_16126,
																(int) (1L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33492ze3z87_16126,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33492ze3z87_16126;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33500ze3z87_16127;

															BgL_zc3z04anonymousza33500ze3z87_16127 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33500ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33500ze3z87_16127,
																(int) (0L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33500ze3z87_16127,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33500ze3z87_16127,
																(int) (2L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33500ze3z87_16127,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33500ze3z87_16127;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33513ze3z87_16128;

															BgL_zc3z04anonymousza33513ze3z87_16128 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33513ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33513ze3z87_16128,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33513ze3z87_16128,
																(int) (1L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33513ze3z87_16128,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33513ze3z87_16128,
																(int) (3L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33513ze3z87_16128,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33513ze3z87_16128;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33523ze3z87_16129;

															BgL_zc3z04anonymousza33523ze3z87_16129 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33523ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33523ze3z87_16129,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33523ze3z87_16129,
																(int) (1L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33523ze3z87_16129,
																(int) (2L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33523ze3z87_16129,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33523ze3z87_16129,
																(int) (4L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33523ze3z87_16129,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33523ze3z87_16129;
														}
												}
											break;
										case 1L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16090) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33539ze3z87_16130;

															BgL_zc3z04anonymousza33539ze3z87_16130 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33539ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33539ze3z87_16130,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33539ze3z87_16130,
																(int) (1L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33539ze3z87_16130,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33539ze3z87_16130;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33546ze3z87_16131;

															BgL_zc3z04anonymousza33546ze3z87_16131 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33546ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33546ze3z87_16131,
																(int) (0L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33546ze3z87_16131,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33546ze3z87_16131,
																(int) (2L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33546ze3z87_16131,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33546ze3z87_16131;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33558ze3z87_16132;

															BgL_zc3z04anonymousza33558ze3z87_16132 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33558ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33558ze3z87_16132,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33558ze3z87_16132,
																(int) (1L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33558ze3z87_16132,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33558ze3z87_16132,
																(int) (3L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33558ze3z87_16132,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33558ze3z87_16132;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33569ze3z87_16133;

															BgL_zc3z04anonymousza33569ze3z87_16133 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33569ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33569ze3z87_16133,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33569ze3z87_16133,
																(int) (1L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33569ze3z87_16133,
																(int) (2L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33569ze3z87_16133,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33569ze3z87_16133,
																(int) (4L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33569ze3z87_16133,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33569ze3z87_16133;
														}
												}
											break;
										case (-2L):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16090) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33585ze3z87_16134;

															BgL_zc3z04anonymousza33585ze3z87_16134 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33585ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33585ze3z87_16134,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33585ze3z87_16134,
																(int) (1L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33585ze3z87_16134,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33585ze3z87_16134;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33595ze3z87_16135;

															BgL_zc3z04anonymousza33595ze3z87_16135 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33595ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33595ze3z87_16135,
																(int) (0L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33595ze3z87_16135,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33595ze3z87_16135,
																(int) (2L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33595ze3z87_16135,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33595ze3z87_16135;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33606ze3z87_16136;

															BgL_zc3z04anonymousza33606ze3z87_16136 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33606ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33606ze3z87_16136,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33606ze3z87_16136,
																(int) (1L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33606ze3z87_16136,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33606ze3z87_16136,
																(int) (3L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33606ze3z87_16136,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33606ze3z87_16136;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33615ze3z87_16137;

															BgL_zc3z04anonymousza33615ze3z87_16137 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33615ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33615ze3z87_16137,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33615ze3z87_16137,
																(int) (1L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33615ze3z87_16137,
																(int) (2L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33615ze3z87_16137,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33615ze3z87_16137,
																(int) (4L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33615ze3z87_16137,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33615ze3z87_16137;
														}
												}
											break;
										case 2L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16090) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33632ze3z87_16138;

															BgL_zc3z04anonymousza33632ze3z87_16138 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33632ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33632ze3z87_16138,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33632ze3z87_16138,
																(int) (1L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33632ze3z87_16138,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33632ze3z87_16138;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33640ze3z87_16139;

															BgL_zc3z04anonymousza33640ze3z87_16139 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33640ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33640ze3z87_16139,
																(int) (0L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33640ze3z87_16139,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33640ze3z87_16139,
																(int) (2L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33640ze3z87_16139,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33640ze3z87_16139;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33651ze3z87_16140;

															BgL_zc3z04anonymousza33651ze3z87_16140 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33651ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33651ze3z87_16140,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33651ze3z87_16140,
																(int) (1L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33651ze3z87_16140,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33651ze3z87_16140,
																(int) (3L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33651ze3z87_16140,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33651ze3z87_16140;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33660ze3z87_16141;

															BgL_zc3z04anonymousza33660ze3z87_16141 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33660ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33660ze3z87_16141,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33660ze3z87_16141,
																(int) (1L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33660ze3z87_16141,
																(int) (2L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33660ze3z87_16141,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33660ze3z87_16141,
																(int) (4L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33660ze3z87_16141,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33660ze3z87_16141;
														}
												}
											break;
										case (-3L):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16090) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33675ze3z87_16142;

															BgL_zc3z04anonymousza33675ze3z87_16142 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33675ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33675ze3z87_16142,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33675ze3z87_16142,
																(int) (1L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33675ze3z87_16142,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33675ze3z87_16142;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33684ze3z87_16143;

															BgL_zc3z04anonymousza33684ze3z87_16143 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33684ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33684ze3z87_16143,
																(int) (0L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33684ze3z87_16143,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33684ze3z87_16143,
																(int) (2L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33684ze3z87_16143,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33684ze3z87_16143;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33696ze3z87_16144;

															BgL_zc3z04anonymousza33696ze3z87_16144 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33696ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33696ze3z87_16144,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33696ze3z87_16144,
																(int) (1L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33696ze3z87_16144,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33696ze3z87_16144,
																(int) (3L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33696ze3z87_16144,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33696ze3z87_16144;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33706ze3z87_16145;

															BgL_zc3z04anonymousza33706ze3z87_16145 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33706ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33706ze3z87_16145,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33706ze3z87_16145,
																(int) (1L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33706ze3z87_16145,
																(int) (2L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33706ze3z87_16145,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33706ze3z87_16145,
																(int) (4L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33706ze3z87_16145,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33706ze3z87_16145;
														}
												}
											break;
										case 3L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16090) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33722ze3z87_16146;

															BgL_zc3z04anonymousza33722ze3z87_16146 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33722ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16146,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16146,
																(int) (1L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16146,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33722ze3z87_16146;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33731ze3z87_16147;

															BgL_zc3z04anonymousza33731ze3z87_16147 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33731ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33731ze3z87_16147,
																(int) (0L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33731ze3z87_16147,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33731ze3z87_16147,
																(int) (2L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33731ze3z87_16147,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33731ze3z87_16147;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33744ze3z87_16148;

															BgL_zc3z04anonymousza33744ze3z87_16148 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33744ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33744ze3z87_16148,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33744ze3z87_16148,
																(int) (1L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33744ze3z87_16148,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33744ze3z87_16148,
																(int) (3L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33744ze3z87_16148,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33744ze3z87_16148;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33754ze3z87_16149;

															BgL_zc3z04anonymousza33754ze3z87_16149 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33754ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33754ze3z87_16149,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33754ze3z87_16149,
																(int) (1L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33754ze3z87_16149,
																(int) (2L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33754ze3z87_16149,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33754ze3z87_16149,
																(int) (4L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33754ze3z87_16149,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33754ze3z87_16149;
														}
												}
											break;
										case (-4L):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16090) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33770ze3z87_16150;

															BgL_zc3z04anonymousza33770ze3z87_16150 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33770ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33770ze3z87_16150,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33770ze3z87_16150,
																(int) (1L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33770ze3z87_16150,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33770ze3z87_16150;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33780ze3z87_16151;

															BgL_zc3z04anonymousza33780ze3z87_16151 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33780ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33780ze3z87_16151,
																(int) (0L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33780ze3z87_16151,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33780ze3z87_16151,
																(int) (2L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33780ze3z87_16151,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33780ze3z87_16151;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33793ze3z87_16152;

															BgL_zc3z04anonymousza33793ze3z87_16152 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33793ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33793ze3z87_16152,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33793ze3z87_16152,
																(int) (1L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33793ze3z87_16152,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33793ze3z87_16152,
																(int) (3L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33793ze3z87_16152,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33793ze3z87_16152;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33804ze3z87_16153;

															BgL_zc3z04anonymousza33804ze3z87_16153 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33804ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33804ze3z87_16153,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33804ze3z87_16153,
																(int) (1L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33804ze3z87_16153,
																(int) (2L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33804ze3z87_16153,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33804ze3z87_16153,
																(int) (4L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33804ze3z87_16153,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33804ze3z87_16153;
														}
												}
											break;
										case 4L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16090) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33821ze3z87_16154;

															BgL_zc3z04anonymousza33821ze3z87_16154 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33821ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33821ze3z87_16154,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33821ze3z87_16154,
																(int) (1L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33821ze3z87_16154,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33821ze3z87_16154;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33831ze3z87_16155;

															BgL_zc3z04anonymousza33831ze3z87_16155 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33831ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33831ze3z87_16155,
																(int) (0L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33831ze3z87_16155,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33831ze3z87_16155,
																(int) (2L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33831ze3z87_16155,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33831ze3z87_16155;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33844ze3z87_16156;

															BgL_zc3z04anonymousza33844ze3z87_16156 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33844ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33844ze3z87_16156,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33844ze3z87_16156,
																(int) (1L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33844ze3z87_16156,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33844ze3z87_16156,
																(int) (3L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33844ze3z87_16156,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33844ze3z87_16156;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33855ze3z87_16157;

															BgL_zc3z04anonymousza33855ze3z87_16157 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33855ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33855ze3z87_16157,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33855ze3z87_16157,
																(int) (1L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33855ze3z87_16157,
																(int) (2L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33855ze3z87_16157,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33855ze3z87_16157,
																(int) (4L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33855ze3z87_16157,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33855ze3z87_16157;
														}
												}
											break;
										case (-5L):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16090) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33872ze3z87_16158;

															BgL_zc3z04anonymousza33872ze3z87_16158 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33872ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33872ze3z87_16158,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33872ze3z87_16158,
																(int) (1L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33872ze3z87_16158,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33872ze3z87_16158;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33883ze3z87_16159;

															BgL_zc3z04anonymousza33883ze3z87_16159 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33883ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33883ze3z87_16159,
																(int) (0L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33883ze3z87_16159,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33883ze3z87_16159,
																(int) (2L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33883ze3z87_16159,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33883ze3z87_16159;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33897ze3z87_16160;

															BgL_zc3z04anonymousza33897ze3z87_16160 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33897ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33897ze3z87_16160,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33897ze3z87_16160,
																(int) (1L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33897ze3z87_16160,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33897ze3z87_16160,
																(int) (3L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33897ze3z87_16160,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33897ze3z87_16160;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33909ze3z87_16161;

															BgL_zc3z04anonymousza33909ze3z87_16161 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33909ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33909ze3z87_16161,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33909ze3z87_16161,
																(int) (1L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33909ze3z87_16161,
																(int) (2L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33909ze3z87_16161,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33909ze3z87_16161,
																(int) (4L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33909ze3z87_16161,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33909ze3z87_16161;
														}
												}
											break;
										default:
										BgL_case_else1256z00_16116:
											if ((VECTOR_LENGTH(BgL_ifreesz00_16090) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33927ze3z87_16117;

															BgL_zc3z04anonymousza33927ze3z87_16117 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33927ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33927ze3z87_16117,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33927ze3z87_16117,
																(int) (1L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33927ze3z87_16117,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33927ze3z87_16117;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33947ze3z87_16118;

															BgL_zc3z04anonymousza33947ze3z87_16118 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33947ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33947ze3z87_16118,
																(int) (0L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33947ze3z87_16118,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33947ze3z87_16118,
																(int) (2L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33947ze3z87_16118,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33947ze3z87_16118;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16091) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33970ze3z87_16119;

															BgL_zc3z04anonymousza33970ze3z87_16119 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33970ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33970ze3z87_16119,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33970ze3z87_16119,
																(int) (1L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33970ze3z87_16119,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33970ze3z87_16119,
																(int) (3L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33970ze3z87_16119,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33970ze3z87_16119;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33991ze3z87_16120;

															BgL_zc3z04anonymousza33991ze3z87_16120 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33991ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33991ze3z87_16120,
																(int) (0L), BgL_ifreesz00_16090);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33991ze3z87_16120,
																(int) (1L), BgL_iboxesz00_16091);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33991ze3z87_16120,
																(int) (2L), BINT(BgL_siza7eza7_16092));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33991ze3z87_16120,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14422)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33991ze3z87_16120,
																(int) (4L), BgL_bodyz00_16115);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33991ze3z87_16120,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16093));
															return BgL_zc3z04anonymousza33991ze3z87_16120;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1181 */
									goto BgL_case_else1256z00_16116;
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3872> */
	obj_t BGl_z62zc3z04anonymousza33872ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14424, obj_t BgL_sz00_14428)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14425;
				obj_t BgL_bodyz00_14426;
				obj_t BgL_siza7ezd2framez75_14427;

				BgL_i1255z00_14425 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14424, (int) (0L)));
				BgL_bodyz00_14426 = PROCEDURE_REF(BgL_envz00_14424, (int) (1L));
				BgL_siza7ezd2framez75_14427 =
					PROCEDURE_REF(BgL_envz00_14424, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16162;

					BgL_bpz00_16162 = VECTOR_REF(((obj_t) BgL_sz00_14428), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16163;

							BgL_runz00_16163 =
								MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_16163,
								(int) (0L), ((obj_t) BgL_i1255z00_14425));
							PROCEDURE_SET(BgL_runz00_16163, (int) (1L), BgL_bodyz00_14426);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16164;

								BgL_mainz00_16164 =
									MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
									(int) ((-5L)), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_16164,
									(int) (0L), ((obj_t) BgL_i1255z00_14425));
								PROCEDURE_SET(BgL_mainz00_16164, (int) (1L), BgL_bodyz00_14426);
								PROCEDURE_SET(BgL_mainz00_16164, (int) (2L), BgL_runz00_16163);
								PROCEDURE_SET(BgL_mainz00_16164,
									(int) (3L), BgL_siza7ezd2framez75_14427);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16165;

									BgL_objz00_16165 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16163, BgL_objz00_16165);
									BgL_objz00_16165;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3873z00_16166;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3874z00_16167;

										BgL_arg3874z00_16167 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14425))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16168;

											BgL_newz00_16168 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_25741;

												BgL_tmpz00_25741 = (int) (3L);
												STRUCT_SET(BgL_newz00_16168, BgL_tmpz00_25741,
													BgL_arg3874z00_16167);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_25744;

												BgL_tmpz00_25744 = (int) (2L);
												STRUCT_SET(BgL_newz00_16168, BgL_tmpz00_25744,
													BgL_siza7ezd2framez75_14427);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_25747;

												BgL_tmpz00_25747 = (int) (1L);
												STRUCT_SET(BgL_newz00_16168, BgL_tmpz00_25747,
													BgL_runz00_16163);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_25752;
												int BgL_tmpz00_25750;

												BgL_auxz00_25752 = BINT((-5L));
												BgL_tmpz00_25750 = (int) (0L);
												STRUCT_SET(BgL_newz00_16168, BgL_tmpz00_25750,
													BgL_auxz00_25752);
											}
											BgL_arg3873z00_16166 = BgL_newz00_16168;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16164, BgL_arg3873z00_16166);
									BgL_arg3873z00_16166;
								}
								return BgL_mainz00_16164;
							}
						}
					}
				}
			}
		}

	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_14429,
		obj_t BgL_az00_14434, obj_t BgL_bz00_14435, obj_t BgL_cz00_14436,
		obj_t BgL_dz00_14437, obj_t BgL_lastz00_14438)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14432;
				long BgL_siza7ezd2framez75_14433;

				BgL_runz00_14432 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14429, (int) (2L)));
				BgL_siza7ezd2framez75_14433 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14429, (int) (3L)));
				return
					BGl_mainze743ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14433,
					BgL_runz00_14432, BgL_az00_14434, BgL_bz00_14435, BgL_cz00_14436,
					BgL_dz00_14437, BgL_lastz00_14438);
			}
		}

	}



/* main~43 */
	obj_t BGl_mainze743ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15674,
		obj_t BgL_runz00_15673, obj_t BgL_az00_5635, obj_t BgL_bz00_5636,
		obj_t BgL_cz00_5637, obj_t BgL_dz00_5638, obj_t BgL_lastz00_5639)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5641;

				BgL_sz00_5641 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5642;

					BgL_bpz00_5642 = VECTOR_REF(((obj_t) BgL_sz00_5641), 0L);
					if (
						(((long) CINT(BgL_bpz00_5642) + BgL_siza7ezd2framez75_15674) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5641))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3877z00_5644;

								BgL_arg3877z00_5644 = ((long) CINT(BgL_bpz00_5642) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5641), BgL_arg3877z00_5644, BgL_az00_5635);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3878z00_5645;

								BgL_arg3878z00_5645 = ((long) CINT(BgL_bpz00_5642) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5641), BgL_arg3878z00_5645, BgL_bz00_5636);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3879z00_5646;

								BgL_arg3879z00_5646 = ((long) CINT(BgL_bpz00_5642) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5641), BgL_arg3879z00_5646, BgL_cz00_5637);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3880z00_5647;

								BgL_arg3880z00_5647 = ((long) CINT(BgL_bpz00_5642) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5641), BgL_arg3880z00_5647, BgL_dz00_5638);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3881z00_5648;

								BgL_arg3881z00_5648 = ((long) CINT(BgL_bpz00_5642) + 4L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5641), BgL_arg3881z00_5648,
									BgL_lastz00_5639);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5649;

								BgL_ez00_5649 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12975;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12976;

										BgL_arg4345z00_12976 = BGL_EXITD_PROTECT(BgL_ez00_5649);
										BgL_arg4344z00_12975 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5642, BgL_arg4345z00_12976);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5649, BgL_arg4344z00_12975);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5650;

									BgL_accz00_5650 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15673, BgL_sz00_5641, BgL_bpz00_5642);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5475z00_25797;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12978;

											BgL_arg4343z00_12978 = BGL_EXITD_PROTECT(BgL_ez00_5649);
											BgL_test5475z00_25797 = PAIRP(BgL_arg4343z00_12978);
										}
										if (BgL_test5475z00_25797)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12979;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12980;

													BgL_arg4342z00_12980 =
														BGL_EXITD_PROTECT(BgL_ez00_5649);
													BgL_arg4341z00_12979 =
														CDR(((obj_t) BgL_arg4342z00_12980));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5649,
													BgL_arg4341z00_12979);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5641), 0L, BgL_bpz00_5642);
									return BgL_accz00_5650;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5651;

							BgL_nsz00_5651 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5651, 1L, BgL_sz00_5641);
							VECTOR_SET(BgL_nsz00_5651, 2L, BgL_az00_5635);
							VECTOR_SET(BgL_nsz00_5651, 3L, BgL_bz00_5636);
							VECTOR_SET(BgL_nsz00_5651, 4L, BgL_cz00_5637);
							VECTOR_SET(BgL_nsz00_5651, 5L, BgL_dz00_5638);
							VECTOR_SET(BgL_nsz00_5651, 6L, BgL_lastz00_5639);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5652;

								BgL_z12denvz12_5652 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5652, BgL_nsz00_5651);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5653;

									BgL_ez00_5653 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12989;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12990;

											BgL_arg4345z00_12990 = BGL_EXITD_PROTECT(BgL_ez00_5653);
											BgL_arg4344z00_12989 =
												MAKE_YOUNG_PAIR(BgL_sz00_5641, BgL_arg4345z00_12990);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5653, BgL_arg4344z00_12989);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5654;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12991;

											BgL_savedzd2bpzd2_12991 = VECTOR_REF(BgL_nsz00_5651, 0L);
											VECTOR_SET(BgL_nsz00_5651, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12995;

												BgL_fz00_12995 = BgL_runz00_15673;
											BgL_recz00_12994:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12996;

													BgL_rz00_12996 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12995, BgL_nsz00_5651);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5476z00_25826;

														if (PROCEDUREP(BgL_rz00_12996))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12999;

																BgL_arg1763z00_12999 =
																	PROCEDURE_ATTR(BgL_rz00_12996);
																if (STRUCTP(BgL_arg1763z00_12999))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5476z00_25826 =
																			(STRUCT_KEY(BgL_arg1763z00_12999) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5476z00_25826 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5476z00_25826 = ((bool_t) 0);
															}
														if (BgL_test5476z00_25826)
															{
																obj_t BgL_fz00_25834;

																BgL_fz00_25834 = BgL_rz00_12996;
																BgL_fz00_12995 = BgL_fz00_25834;
																goto BgL_recz00_12994;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5651, 0L,
																	BgL_savedzd2bpzd2_12991);
																BgL_____rz00_5654 = BgL_rz00_12996;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5479z00_25836;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_13007;

												BgL_arg4343z00_13007 = BGL_EXITD_PROTECT(BgL_ez00_5653);
												BgL_test5479z00_25836 = PAIRP(BgL_arg4343z00_13007);
											}
											if (BgL_test5479z00_25836)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_13008;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_13009;

														BgL_arg4342z00_13009 =
															BGL_EXITD_PROTECT(BgL_ez00_5653);
														BgL_arg4341z00_13008 =
															CDR(((obj_t) BgL_arg4342z00_13009));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5653,
														BgL_arg4341z00_13008);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5652, BgL_sz00_5641);
										return BgL_____rz00_5654;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_14439,
		obj_t BgL_sz00_14442)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14440;
				obj_t BgL_bodyz00_14441;

				BgL_i1255z00_14440 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14439, (int) (0L)));
				BgL_bodyz00_14441 = PROCEDURE_REF(BgL_envz00_14439, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16169;

					BgL_bpz00_16169 = VECTOR_REF(((obj_t) BgL_sz00_14442), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16170;
						obj_t BgL_wherez00_16171;
						obj_t BgL_locz00_16172;

						BgL_z12denvz12_16170 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16171 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14440))->
							BgL_wherez00);
						BgL_locz00_16172 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14440))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16170, BgL_wherez00_16171,
								BgL_locz00_16172);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16173;

								BgL_za2za2resza2za2z00_16173 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14441, BgL_sz00_14442);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16170);
								return BgL_za2za2resza2za2z00_16173;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3883> */
	obj_t BGl_z62zc3z04anonymousza33883ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14443, obj_t BgL_sz00_14448)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14444;
				BgL_ev_absz00_bglt BgL_i1255z00_14445;
				obj_t BgL_bodyz00_14446;
				obj_t BgL_siza7ezd2framez75_14447;

				BgL_iboxesz00_14444 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14443, (int) (0L)));
				BgL_i1255z00_14445 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14443, (int) (1L)));
				BgL_bodyz00_14446 = PROCEDURE_REF(BgL_envz00_14443, (int) (2L));
				BgL_siza7ezd2framez75_14447 =
					PROCEDURE_REF(BgL_envz00_14443, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16174;

					BgL_bpz00_16174 = VECTOR_REF(((obj_t) BgL_sz00_14448), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16175;

							BgL_runz00_16175 =
								MAKE_FX_PROCEDURE(BGl_z62run4503z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_16175, (int) (0L), BgL_iboxesz00_14444);
							PROCEDURE_SET(BgL_runz00_16175,
								(int) (1L), ((obj_t) BgL_i1255z00_14445));
							PROCEDURE_SET(BgL_runz00_16175, (int) (2L), BgL_bodyz00_14446);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16176;

								BgL_mainz00_16176 =
									MAKE_VA_PROCEDURE(BGl_z62main4502z62zz__evaluate_compz00,
									(int) ((-5L)), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_16176,
									(int) (0L), BgL_iboxesz00_14444);
								PROCEDURE_SET(BgL_mainz00_16176,
									(int) (1L), ((obj_t) BgL_i1255z00_14445));
								PROCEDURE_SET(BgL_mainz00_16176, (int) (2L), BgL_bodyz00_14446);
								PROCEDURE_SET(BgL_mainz00_16176, (int) (3L), BgL_runz00_16175);
								PROCEDURE_SET(BgL_mainz00_16176,
									(int) (4L), BgL_siza7ezd2framez75_14447);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16177;

									BgL_objz00_16177 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16175, BgL_objz00_16177);
									BgL_objz00_16177;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3884z00_16178;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3885z00_16179;

										BgL_arg3885z00_16179 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14445))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16180;

											BgL_newz00_16180 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_25900;

												BgL_tmpz00_25900 = (int) (3L);
												STRUCT_SET(BgL_newz00_16180, BgL_tmpz00_25900,
													BgL_arg3885z00_16179);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_25903;

												BgL_tmpz00_25903 = (int) (2L);
												STRUCT_SET(BgL_newz00_16180, BgL_tmpz00_25903,
													BgL_siza7ezd2framez75_14447);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_25906;

												BgL_tmpz00_25906 = (int) (1L);
												STRUCT_SET(BgL_newz00_16180, BgL_tmpz00_25906,
													BgL_runz00_16175);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_25911;
												int BgL_tmpz00_25909;

												BgL_auxz00_25911 = BINT((-5L));
												BgL_tmpz00_25909 = (int) (0L);
												STRUCT_SET(BgL_newz00_16180, BgL_tmpz00_25909,
													BgL_auxz00_25911);
											}
											BgL_arg3884z00_16178 = BgL_newz00_16180;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16176, BgL_arg3884z00_16178);
									BgL_arg3884z00_16178;
								}
								return BgL_mainz00_16176;
							}
						}
					}
				}
			}
		}

	}



/* &main4502 */
	obj_t BGl_z62main4502z62zz__evaluate_compz00(obj_t BgL_envz00_14449,
		obj_t BgL_az00_14455, obj_t BgL_bz00_14456, obj_t BgL_cz00_14457,
		obj_t BgL_dz00_14458, obj_t BgL_lastz00_14459)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14453;
				long BgL_siza7ezd2framez75_14454;

				BgL_runz00_14453 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14449, (int) (3L)));
				BgL_siza7ezd2framez75_14454 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14449, (int) (4L)));
				return
					BGl_mainze742ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14454,
					BgL_runz00_14453, BgL_az00_14455, BgL_bz00_14456, BgL_cz00_14457,
					BgL_dz00_14458, BgL_lastz00_14459);
			}
		}

	}



/* main~42 */
	obj_t BGl_mainze742ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15672,
		obj_t BgL_runz00_15671, obj_t BgL_az00_5671, obj_t BgL_bz00_5672,
		obj_t BgL_cz00_5673, obj_t BgL_dz00_5674, obj_t BgL_lastz00_5675)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5677;

				BgL_sz00_5677 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5678;

					BgL_bpz00_5678 = VECTOR_REF(((obj_t) BgL_sz00_5677), 0L);
					if (
						(((long) CINT(BgL_bpz00_5678) + BgL_siza7ezd2framez75_15672) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5677))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3888z00_5680;

								BgL_arg3888z00_5680 = ((long) CINT(BgL_bpz00_5678) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5677), BgL_arg3888z00_5680, BgL_az00_5671);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3889z00_5681;

								BgL_arg3889z00_5681 = ((long) CINT(BgL_bpz00_5678) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5677), BgL_arg3889z00_5681, BgL_bz00_5672);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3890z00_5682;

								BgL_arg3890z00_5682 = ((long) CINT(BgL_bpz00_5678) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5677), BgL_arg3890z00_5682, BgL_cz00_5673);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3891z00_5683;

								BgL_arg3891z00_5683 = ((long) CINT(BgL_bpz00_5678) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5677), BgL_arg3891z00_5683, BgL_dz00_5674);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3892z00_5684;

								BgL_arg3892z00_5684 = ((long) CINT(BgL_bpz00_5678) + 4L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5677), BgL_arg3892z00_5684,
									BgL_lastz00_5675);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5685;

								BgL_ez00_5685 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_13042;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_13043;

										BgL_arg4345z00_13043 = BGL_EXITD_PROTECT(BgL_ez00_5685);
										BgL_arg4344z00_13042 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5678, BgL_arg4345z00_13043);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5685, BgL_arg4344z00_13042);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5686;

									BgL_accz00_5686 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15671, BgL_sz00_5677, BgL_bpz00_5678);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5481z00_25956;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_13045;

											BgL_arg4343z00_13045 = BGL_EXITD_PROTECT(BgL_ez00_5685);
											BgL_test5481z00_25956 = PAIRP(BgL_arg4343z00_13045);
										}
										if (BgL_test5481z00_25956)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_13046;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_13047;

													BgL_arg4342z00_13047 =
														BGL_EXITD_PROTECT(BgL_ez00_5685);
													BgL_arg4341z00_13046 =
														CDR(((obj_t) BgL_arg4342z00_13047));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5685,
													BgL_arg4341z00_13046);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5677), 0L, BgL_bpz00_5678);
									return BgL_accz00_5686;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5687;

							BgL_nsz00_5687 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5687, 1L, BgL_sz00_5677);
							VECTOR_SET(BgL_nsz00_5687, 2L, BgL_az00_5671);
							VECTOR_SET(BgL_nsz00_5687, 3L, BgL_bz00_5672);
							VECTOR_SET(BgL_nsz00_5687, 4L, BgL_cz00_5673);
							VECTOR_SET(BgL_nsz00_5687, 5L, BgL_dz00_5674);
							VECTOR_SET(BgL_nsz00_5687, 6L, BgL_lastz00_5675);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5688;

								BgL_z12denvz12_5688 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5688, BgL_nsz00_5687);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5689;

									BgL_ez00_5689 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_13056;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_13057;

											BgL_arg4345z00_13057 = BGL_EXITD_PROTECT(BgL_ez00_5689);
											BgL_arg4344z00_13056 =
												MAKE_YOUNG_PAIR(BgL_sz00_5677, BgL_arg4345z00_13057);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5689, BgL_arg4344z00_13056);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5690;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_13058;

											BgL_savedzd2bpzd2_13058 = VECTOR_REF(BgL_nsz00_5687, 0L);
											VECTOR_SET(BgL_nsz00_5687, 0L, BINT(2L));
											{
												obj_t BgL_fz00_13062;

												BgL_fz00_13062 = BgL_runz00_15671;
											BgL_recz00_13061:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_13063;

													BgL_rz00_13063 =
														BGL_PROCEDURE_CALL1(BgL_fz00_13062, BgL_nsz00_5687);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5482z00_25985;

														if (PROCEDUREP(BgL_rz00_13063))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_13066;

																BgL_arg1763z00_13066 =
																	PROCEDURE_ATTR(BgL_rz00_13063);
																if (STRUCTP(BgL_arg1763z00_13066))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5482z00_25985 =
																			(STRUCT_KEY(BgL_arg1763z00_13066) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5482z00_25985 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5482z00_25985 = ((bool_t) 0);
															}
														if (BgL_test5482z00_25985)
															{
																obj_t BgL_fz00_25993;

																BgL_fz00_25993 = BgL_rz00_13063;
																BgL_fz00_13062 = BgL_fz00_25993;
																goto BgL_recz00_13061;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5687, 0L,
																	BgL_savedzd2bpzd2_13058);
																BgL_____rz00_5690 = BgL_rz00_13063;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5485z00_25995;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_13074;

												BgL_arg4343z00_13074 = BGL_EXITD_PROTECT(BgL_ez00_5689);
												BgL_test5485z00_25995 = PAIRP(BgL_arg4343z00_13074);
											}
											if (BgL_test5485z00_25995)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_13075;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_13076;

														BgL_arg4342z00_13076 =
															BGL_EXITD_PROTECT(BgL_ez00_5689);
														BgL_arg4341z00_13075 =
															CDR(((obj_t) BgL_arg4342z00_13076));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5689,
														BgL_arg4341z00_13075);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5688, BgL_sz00_5677);
										return BgL_____rz00_5690;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4503 */
	obj_t BGl_z62run4503z62zz__evaluate_compz00(obj_t BgL_envz00_14460,
		obj_t BgL_sz00_14464)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14461;
				BgL_ev_absz00_bglt BgL_i1255z00_14462;
				obj_t BgL_bodyz00_14463;

				BgL_iboxesz00_14461 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14460, (int) (0L)));
				BgL_i1255z00_14462 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14460, (int) (1L)));
				BgL_bodyz00_14463 = PROCEDURE_REF(BgL_envz00_14460, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16181;

					BgL_bpz00_16181 = VECTOR_REF(((obj_t) BgL_sz00_14464), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14464,
						BgL_iboxesz00_14461, BgL_bpz00_16181);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16182;
						obj_t BgL_wherez00_16183;
						obj_t BgL_locz00_16184;

						BgL_z12denvz12_16182 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16183 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14462))->
							BgL_wherez00);
						BgL_locz00_16184 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14462))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16182, BgL_wherez00_16183,
								BgL_locz00_16184);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16185;

								BgL_za2za2resza2za2z00_16185 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14463, BgL_sz00_14464);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16182);
								return BgL_za2za2resza2za2z00_16185;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3897> */
	obj_t BGl_z62zc3z04anonymousza33897ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14465, obj_t BgL_sz00_14471)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14466;
				obj_t BgL_siza7eza7_14467;
				BgL_ev_absz00_bglt BgL_i1255z00_14468;
				obj_t BgL_bodyz00_14469;
				obj_t BgL_siza7ezd2framez75_14470;

				BgL_ifreesz00_14466 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14465, (int) (0L)));
				BgL_siza7eza7_14467 = PROCEDURE_REF(BgL_envz00_14465, (int) (1L));
				BgL_i1255z00_14468 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14465, (int) (2L)));
				BgL_bodyz00_14469 = PROCEDURE_REF(BgL_envz00_14465, (int) (3L));
				BgL_siza7ezd2framez75_14470 =
					PROCEDURE_REF(BgL_envz00_14465, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16186;

					BgL_bpz00_16186 = VECTOR_REF(((obj_t) BgL_sz00_14471), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16187;

						BgL_valza2za2_16187 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14471,
							BgL_bpz00_16186, BgL_ifreesz00_14466);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16188;

							BgL_runz00_16188 =
								MAKE_FX_PROCEDURE(BGl_z62run4505z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_16188, (int) (0L), BgL_siza7eza7_14467);
							PROCEDURE_SET(BgL_runz00_16188, (int) (1L), BgL_valza2za2_16187);
							PROCEDURE_SET(BgL_runz00_16188,
								(int) (2L), ((obj_t) BgL_i1255z00_14468));
							PROCEDURE_SET(BgL_runz00_16188, (int) (3L), BgL_bodyz00_14469);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16189;

								BgL_mainz00_16189 =
									MAKE_VA_PROCEDURE(BGl_z62main4504z62zz__evaluate_compz00,
									(int) ((-5L)), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_16189,
									(int) (0L), BgL_siza7eza7_14467);
								PROCEDURE_SET(BgL_mainz00_16189,
									(int) (1L), BgL_valza2za2_16187);
								PROCEDURE_SET(BgL_mainz00_16189,
									(int) (2L), ((obj_t) BgL_i1255z00_14468));
								PROCEDURE_SET(BgL_mainz00_16189, (int) (3L), BgL_bodyz00_14469);
								PROCEDURE_SET(BgL_mainz00_16189, (int) (4L), BgL_runz00_16188);
								PROCEDURE_SET(BgL_mainz00_16189,
									(int) (5L), BgL_siza7ezd2framez75_14470);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16190;

									BgL_objz00_16190 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16188, BgL_objz00_16190);
									BgL_objz00_16190;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3898z00_16191;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3899z00_16192;

										BgL_arg3899z00_16192 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14468))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16193;

											BgL_newz00_16193 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26070;

												BgL_tmpz00_26070 = (int) (3L);
												STRUCT_SET(BgL_newz00_16193, BgL_tmpz00_26070,
													BgL_arg3899z00_16192);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26073;

												BgL_tmpz00_26073 = (int) (2L);
												STRUCT_SET(BgL_newz00_16193, BgL_tmpz00_26073,
													BgL_siza7ezd2framez75_14470);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26076;

												BgL_tmpz00_26076 = (int) (1L);
												STRUCT_SET(BgL_newz00_16193, BgL_tmpz00_26076,
													BgL_runz00_16188);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_26081;
												int BgL_tmpz00_26079;

												BgL_auxz00_26081 = BINT((-5L));
												BgL_tmpz00_26079 = (int) (0L);
												STRUCT_SET(BgL_newz00_16193, BgL_tmpz00_26079,
													BgL_auxz00_26081);
											}
											BgL_arg3898z00_16191 = BgL_newz00_16193;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16189, BgL_arg3898z00_16191);
									BgL_arg3898z00_16191;
								}
								return BgL_mainz00_16189;
							}
						}
					}
				}
			}
		}

	}



/* &main4504 */
	obj_t BGl_z62main4504z62zz__evaluate_compz00(obj_t BgL_envz00_14472,
		obj_t BgL_az00_14479, obj_t BgL_bz00_14480, obj_t BgL_cz00_14481,
		obj_t BgL_dz00_14482, obj_t BgL_lastz00_14483)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14477;
				long BgL_siza7ezd2framez75_14478;

				BgL_runz00_14477 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14472, (int) (4L)));
				BgL_siza7ezd2framez75_14478 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14472, (int) (5L)));
				return
					BGl_mainze741ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14478,
					BgL_runz00_14477, BgL_az00_14479, BgL_bz00_14480, BgL_cz00_14481,
					BgL_dz00_14482, BgL_lastz00_14483);
			}
		}

	}



/* main~41 */
	obj_t BGl_mainze741ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15670,
		obj_t BgL_runz00_15669, obj_t BgL_az00_5711, obj_t BgL_bz00_5712,
		obj_t BgL_cz00_5713, obj_t BgL_dz00_5714, obj_t BgL_lastz00_5715)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5717;

				BgL_sz00_5717 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5718;

					BgL_bpz00_5718 = VECTOR_REF(((obj_t) BgL_sz00_5717), 0L);
					if (
						(((long) CINT(BgL_bpz00_5718) + BgL_siza7ezd2framez75_15670) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5717))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3902z00_5720;

								BgL_arg3902z00_5720 = ((long) CINT(BgL_bpz00_5718) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5717), BgL_arg3902z00_5720, BgL_az00_5711);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3903z00_5721;

								BgL_arg3903z00_5721 = ((long) CINT(BgL_bpz00_5718) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5717), BgL_arg3903z00_5721, BgL_bz00_5712);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3904z00_5722;

								BgL_arg3904z00_5722 = ((long) CINT(BgL_bpz00_5718) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5717), BgL_arg3904z00_5722, BgL_cz00_5713);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3905z00_5723;

								BgL_arg3905z00_5723 = ((long) CINT(BgL_bpz00_5718) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5717), BgL_arg3905z00_5723, BgL_dz00_5714);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3906z00_5724;

								BgL_arg3906z00_5724 = ((long) CINT(BgL_bpz00_5718) + 4L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5717), BgL_arg3906z00_5724,
									BgL_lastz00_5715);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5725;

								BgL_ez00_5725 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_13113;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_13114;

										BgL_arg4345z00_13114 = BGL_EXITD_PROTECT(BgL_ez00_5725);
										BgL_arg4344z00_13113 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5718, BgL_arg4345z00_13114);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5725, BgL_arg4344z00_13113);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5726;

									BgL_accz00_5726 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15669, BgL_sz00_5717, BgL_bpz00_5718);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5487z00_26126;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_13116;

											BgL_arg4343z00_13116 = BGL_EXITD_PROTECT(BgL_ez00_5725);
											BgL_test5487z00_26126 = PAIRP(BgL_arg4343z00_13116);
										}
										if (BgL_test5487z00_26126)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_13117;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_13118;

													BgL_arg4342z00_13118 =
														BGL_EXITD_PROTECT(BgL_ez00_5725);
													BgL_arg4341z00_13117 =
														CDR(((obj_t) BgL_arg4342z00_13118));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5725,
													BgL_arg4341z00_13117);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5717), 0L, BgL_bpz00_5718);
									return BgL_accz00_5726;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5727;

							BgL_nsz00_5727 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5727, 1L, BgL_sz00_5717);
							VECTOR_SET(BgL_nsz00_5727, 2L, BgL_az00_5711);
							VECTOR_SET(BgL_nsz00_5727, 3L, BgL_bz00_5712);
							VECTOR_SET(BgL_nsz00_5727, 4L, BgL_cz00_5713);
							VECTOR_SET(BgL_nsz00_5727, 5L, BgL_dz00_5714);
							VECTOR_SET(BgL_nsz00_5727, 6L, BgL_lastz00_5715);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5728;

								BgL_z12denvz12_5728 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5728, BgL_nsz00_5727);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5729;

									BgL_ez00_5729 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_13127;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_13128;

											BgL_arg4345z00_13128 = BGL_EXITD_PROTECT(BgL_ez00_5729);
											BgL_arg4344z00_13127 =
												MAKE_YOUNG_PAIR(BgL_sz00_5717, BgL_arg4345z00_13128);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5729, BgL_arg4344z00_13127);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5730;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_13129;

											BgL_savedzd2bpzd2_13129 = VECTOR_REF(BgL_nsz00_5727, 0L);
											VECTOR_SET(BgL_nsz00_5727, 0L, BINT(2L));
											{
												obj_t BgL_fz00_13133;

												BgL_fz00_13133 = BgL_runz00_15669;
											BgL_recz00_13132:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_13134;

													BgL_rz00_13134 =
														BGL_PROCEDURE_CALL1(BgL_fz00_13133, BgL_nsz00_5727);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5488z00_26155;

														if (PROCEDUREP(BgL_rz00_13134))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_13137;

																BgL_arg1763z00_13137 =
																	PROCEDURE_ATTR(BgL_rz00_13134);
																if (STRUCTP(BgL_arg1763z00_13137))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5488z00_26155 =
																			(STRUCT_KEY(BgL_arg1763z00_13137) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5488z00_26155 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5488z00_26155 = ((bool_t) 0);
															}
														if (BgL_test5488z00_26155)
															{
																obj_t BgL_fz00_26163;

																BgL_fz00_26163 = BgL_rz00_13134;
																BgL_fz00_13133 = BgL_fz00_26163;
																goto BgL_recz00_13132;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5727, 0L,
																	BgL_savedzd2bpzd2_13129);
																BgL_____rz00_5730 = BgL_rz00_13134;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5491z00_26165;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_13145;

												BgL_arg4343z00_13145 = BGL_EXITD_PROTECT(BgL_ez00_5729);
												BgL_test5491z00_26165 = PAIRP(BgL_arg4343z00_13145);
											}
											if (BgL_test5491z00_26165)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_13146;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_13147;

														BgL_arg4342z00_13147 =
															BGL_EXITD_PROTECT(BgL_ez00_5729);
														BgL_arg4341z00_13146 =
															CDR(((obj_t) BgL_arg4342z00_13147));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5729,
														BgL_arg4341z00_13146);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5728, BgL_sz00_5717);
										return BgL_____rz00_5730;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4505 */
	obj_t BGl_z62run4505z62zz__evaluate_compz00(obj_t BgL_envz00_14484,
		obj_t BgL_sz00_14489)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14485;
				obj_t BgL_valza2za2_14486;
				BgL_ev_absz00_bglt BgL_i1255z00_14487;
				obj_t BgL_bodyz00_14488;

				BgL_siza7eza7_14485 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14484, (int) (0L)));
				BgL_valza2za2_14486 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14484, (int) (1L)));
				BgL_i1255z00_14487 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14484, (int) (2L)));
				BgL_bodyz00_14488 = PROCEDURE_REF(BgL_envz00_14484, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16194;

					BgL_bpz00_16194 = VECTOR_REF(((obj_t) BgL_sz00_14489), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14489,
						BgL_valza2za2_14486,
						((long) CINT(BgL_bpz00_16194) + BgL_siza7eza7_14485));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16195;
						obj_t BgL_wherez00_16196;
						obj_t BgL_locz00_16197;

						BgL_z12denvz12_16195 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16196 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14487))->
							BgL_wherez00);
						BgL_locz00_16197 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14487))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16195, BgL_wherez00_16196,
								BgL_locz00_16197);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16198;

								BgL_za2za2resza2za2z00_16198 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14488, BgL_sz00_14489);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16195);
								return BgL_za2za2resza2za2z00_16198;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3909> */
	obj_t BGl_z62zc3z04anonymousza33909ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14490, obj_t BgL_sz00_14497)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14491;
				obj_t BgL_iboxesz00_14492;
				obj_t BgL_siza7eza7_14493;
				BgL_ev_absz00_bglt BgL_i1255z00_14494;
				obj_t BgL_bodyz00_14495;
				obj_t BgL_siza7ezd2framez75_14496;

				BgL_ifreesz00_14491 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14490, (int) (0L)));
				BgL_iboxesz00_14492 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14490, (int) (1L)));
				BgL_siza7eza7_14493 = PROCEDURE_REF(BgL_envz00_14490, (int) (2L));
				BgL_i1255z00_14494 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14490, (int) (3L)));
				BgL_bodyz00_14495 = PROCEDURE_REF(BgL_envz00_14490, (int) (4L));
				BgL_siza7ezd2framez75_14496 =
					PROCEDURE_REF(BgL_envz00_14490, (int) (5L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16199;

					BgL_bpz00_16199 = VECTOR_REF(((obj_t) BgL_sz00_14497), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16200;

						BgL_valza2za2_16200 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14497,
							BgL_bpz00_16199, BgL_ifreesz00_14491);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16201;

							BgL_runz00_16201 =
								MAKE_FX_PROCEDURE(BGl_z62run4507z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_16201, (int) (0L), BgL_iboxesz00_14492);
							PROCEDURE_SET(BgL_runz00_16201, (int) (1L), BgL_siza7eza7_14493);
							PROCEDURE_SET(BgL_runz00_16201, (int) (2L), BgL_valza2za2_16200);
							PROCEDURE_SET(BgL_runz00_16201,
								(int) (3L), ((obj_t) BgL_i1255z00_14494));
							PROCEDURE_SET(BgL_runz00_16201, (int) (4L), BgL_bodyz00_14495);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16202;

								BgL_mainz00_16202 =
									MAKE_VA_PROCEDURE(BGl_z62main4506z62zz__evaluate_compz00,
									(int) ((-5L)), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_16202,
									(int) (0L), BgL_iboxesz00_14492);
								PROCEDURE_SET(BgL_mainz00_16202,
									(int) (1L), BgL_siza7eza7_14493);
								PROCEDURE_SET(BgL_mainz00_16202,
									(int) (2L), BgL_valza2za2_16200);
								PROCEDURE_SET(BgL_mainz00_16202,
									(int) (3L), ((obj_t) BgL_i1255z00_14494));
								PROCEDURE_SET(BgL_mainz00_16202, (int) (4L), BgL_bodyz00_14495);
								PROCEDURE_SET(BgL_mainz00_16202, (int) (5L), BgL_runz00_16201);
								PROCEDURE_SET(BgL_mainz00_16202,
									(int) (6L), BgL_siza7ezd2framez75_14496);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16203;

									BgL_objz00_16203 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16201, BgL_objz00_16203);
									BgL_objz00_16203;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3910z00_16204;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3911z00_16205;

										BgL_arg3911z00_16205 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14494))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16206;

											BgL_newz00_16206 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26252;

												BgL_tmpz00_26252 = (int) (3L);
												STRUCT_SET(BgL_newz00_16206, BgL_tmpz00_26252,
													BgL_arg3911z00_16205);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26255;

												BgL_tmpz00_26255 = (int) (2L);
												STRUCT_SET(BgL_newz00_16206, BgL_tmpz00_26255,
													BgL_siza7ezd2framez75_14496);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26258;

												BgL_tmpz00_26258 = (int) (1L);
												STRUCT_SET(BgL_newz00_16206, BgL_tmpz00_26258,
													BgL_runz00_16201);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_26263;
												int BgL_tmpz00_26261;

												BgL_auxz00_26263 = BINT((-5L));
												BgL_tmpz00_26261 = (int) (0L);
												STRUCT_SET(BgL_newz00_16206, BgL_tmpz00_26261,
													BgL_auxz00_26263);
											}
											BgL_arg3910z00_16204 = BgL_newz00_16206;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16202, BgL_arg3910z00_16204);
									BgL_arg3910z00_16204;
								}
								return BgL_mainz00_16202;
							}
						}
					}
				}
			}
		}

	}



/* &main4506 */
	obj_t BGl_z62main4506z62zz__evaluate_compz00(obj_t BgL_envz00_14498,
		obj_t BgL_az00_14506, obj_t BgL_bz00_14507, obj_t BgL_cz00_14508,
		obj_t BgL_dz00_14509, obj_t BgL_lastz00_14510)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14504;
				long BgL_siza7ezd2framez75_14505;

				BgL_runz00_14504 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14498, (int) (5L)));
				BgL_siza7ezd2framez75_14505 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14498, (int) (6L)));
				return
					BGl_mainze740ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14505,
					BgL_runz00_14504, BgL_az00_14506, BgL_bz00_14507, BgL_cz00_14508,
					BgL_dz00_14509, BgL_lastz00_14510);
			}
		}

	}



/* main~40 */
	obj_t BGl_mainze740ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15668,
		obj_t BgL_runz00_15667, obj_t BgL_az00_5749, obj_t BgL_bz00_5750,
		obj_t BgL_cz00_5751, obj_t BgL_dz00_5752, obj_t BgL_lastz00_5753)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5755;

				BgL_sz00_5755 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5756;

					BgL_bpz00_5756 = VECTOR_REF(((obj_t) BgL_sz00_5755), 0L);
					if (
						(((long) CINT(BgL_bpz00_5756) + BgL_siza7ezd2framez75_15668) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5755))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3914z00_5758;

								BgL_arg3914z00_5758 = ((long) CINT(BgL_bpz00_5756) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5755), BgL_arg3914z00_5758, BgL_az00_5749);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3915z00_5759;

								BgL_arg3915z00_5759 = ((long) CINT(BgL_bpz00_5756) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5755), BgL_arg3915z00_5759, BgL_bz00_5750);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3916z00_5760;

								BgL_arg3916z00_5760 = ((long) CINT(BgL_bpz00_5756) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5755), BgL_arg3916z00_5760, BgL_cz00_5751);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3917z00_5761;

								BgL_arg3917z00_5761 = ((long) CINT(BgL_bpz00_5756) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5755), BgL_arg3917z00_5761, BgL_dz00_5752);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3918z00_5762;

								BgL_arg3918z00_5762 = ((long) CINT(BgL_bpz00_5756) + 4L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5755), BgL_arg3918z00_5762,
									BgL_lastz00_5753);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5763;

								BgL_ez00_5763 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_13182;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_13183;

										BgL_arg4345z00_13183 = BGL_EXITD_PROTECT(BgL_ez00_5763);
										BgL_arg4344z00_13182 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5756, BgL_arg4345z00_13183);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5763, BgL_arg4344z00_13182);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5764;

									BgL_accz00_5764 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15667, BgL_sz00_5755, BgL_bpz00_5756);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5493z00_26308;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_13185;

											BgL_arg4343z00_13185 = BGL_EXITD_PROTECT(BgL_ez00_5763);
											BgL_test5493z00_26308 = PAIRP(BgL_arg4343z00_13185);
										}
										if (BgL_test5493z00_26308)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_13186;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_13187;

													BgL_arg4342z00_13187 =
														BGL_EXITD_PROTECT(BgL_ez00_5763);
													BgL_arg4341z00_13186 =
														CDR(((obj_t) BgL_arg4342z00_13187));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5763,
													BgL_arg4341z00_13186);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5755), 0L, BgL_bpz00_5756);
									return BgL_accz00_5764;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5765;

							BgL_nsz00_5765 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5765, 1L, BgL_sz00_5755);
							VECTOR_SET(BgL_nsz00_5765, 2L, BgL_az00_5749);
							VECTOR_SET(BgL_nsz00_5765, 3L, BgL_bz00_5750);
							VECTOR_SET(BgL_nsz00_5765, 4L, BgL_cz00_5751);
							VECTOR_SET(BgL_nsz00_5765, 5L, BgL_dz00_5752);
							VECTOR_SET(BgL_nsz00_5765, 6L, BgL_lastz00_5753);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5766;

								BgL_z12denvz12_5766 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5766, BgL_nsz00_5765);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5767;

									BgL_ez00_5767 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_13196;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_13197;

											BgL_arg4345z00_13197 = BGL_EXITD_PROTECT(BgL_ez00_5767);
											BgL_arg4344z00_13196 =
												MAKE_YOUNG_PAIR(BgL_sz00_5755, BgL_arg4345z00_13197);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5767, BgL_arg4344z00_13196);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5768;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_13198;

											BgL_savedzd2bpzd2_13198 = VECTOR_REF(BgL_nsz00_5765, 0L);
											VECTOR_SET(BgL_nsz00_5765, 0L, BINT(2L));
											{
												obj_t BgL_fz00_13202;

												BgL_fz00_13202 = BgL_runz00_15667;
											BgL_recz00_13201:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_13203;

													BgL_rz00_13203 =
														BGL_PROCEDURE_CALL1(BgL_fz00_13202, BgL_nsz00_5765);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5494z00_26337;

														if (PROCEDUREP(BgL_rz00_13203))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_13206;

																BgL_arg1763z00_13206 =
																	PROCEDURE_ATTR(BgL_rz00_13203);
																if (STRUCTP(BgL_arg1763z00_13206))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5494z00_26337 =
																			(STRUCT_KEY(BgL_arg1763z00_13206) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5494z00_26337 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5494z00_26337 = ((bool_t) 0);
															}
														if (BgL_test5494z00_26337)
															{
																obj_t BgL_fz00_26345;

																BgL_fz00_26345 = BgL_rz00_13203;
																BgL_fz00_13202 = BgL_fz00_26345;
																goto BgL_recz00_13201;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5765, 0L,
																	BgL_savedzd2bpzd2_13198);
																BgL_____rz00_5768 = BgL_rz00_13203;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5497z00_26347;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_13214;

												BgL_arg4343z00_13214 = BGL_EXITD_PROTECT(BgL_ez00_5767);
												BgL_test5497z00_26347 = PAIRP(BgL_arg4343z00_13214);
											}
											if (BgL_test5497z00_26347)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_13215;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_13216;

														BgL_arg4342z00_13216 =
															BGL_EXITD_PROTECT(BgL_ez00_5767);
														BgL_arg4341z00_13215 =
															CDR(((obj_t) BgL_arg4342z00_13216));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5767,
														BgL_arg4341z00_13215);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5766, BgL_sz00_5755);
										return BgL_____rz00_5768;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4507 */
	obj_t BGl_z62run4507z62zz__evaluate_compz00(obj_t BgL_envz00_14511,
		obj_t BgL_sz00_14517)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14512;
				long BgL_siza7eza7_14513;
				obj_t BgL_valza2za2_14514;
				BgL_ev_absz00_bglt BgL_i1255z00_14515;
				obj_t BgL_bodyz00_14516;

				BgL_iboxesz00_14512 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14511, (int) (0L)));
				BgL_siza7eza7_14513 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14511, (int) (1L)));
				BgL_valza2za2_14514 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14511, (int) (2L)));
				BgL_i1255z00_14515 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14511, (int) (3L)));
				BgL_bodyz00_14516 = PROCEDURE_REF(BgL_envz00_14511, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16207;

					BgL_bpz00_16207 = VECTOR_REF(((obj_t) BgL_sz00_14517), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14517,
						BgL_iboxesz00_14512, BgL_bpz00_16207);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14517,
						BgL_valza2za2_14514,
						((long) CINT(BgL_bpz00_16207) + BgL_siza7eza7_14513));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16208;
						obj_t BgL_wherez00_16209;
						obj_t BgL_locz00_16210;

						BgL_z12denvz12_16208 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16209 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14515))->
							BgL_wherez00);
						BgL_locz00_16210 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14515))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16208, BgL_wherez00_16209,
								BgL_locz00_16210);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16211;

								BgL_za2za2resza2za2z00_16211 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14516, BgL_sz00_14517);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16208);
								return BgL_za2za2resza2za2z00_16211;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3821> */
	obj_t BGl_z62zc3z04anonymousza33821ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14518, obj_t BgL_sz00_14522)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14519;
				obj_t BgL_bodyz00_14520;
				obj_t BgL_siza7ezd2framez75_14521;

				BgL_i1255z00_14519 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14518, (int) (0L)));
				BgL_bodyz00_14520 = PROCEDURE_REF(BgL_envz00_14518, (int) (1L));
				BgL_siza7ezd2framez75_14521 =
					PROCEDURE_REF(BgL_envz00_14518, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16212;

					BgL_bpz00_16212 = VECTOR_REF(((obj_t) BgL_sz00_14522), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16213;

							BgL_runz00_16213 =
								MAKE_FX_PROCEDURE(BGl_z62run4509z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_16213,
								(int) (0L), ((obj_t) BgL_i1255z00_14519));
							PROCEDURE_SET(BgL_runz00_16213, (int) (1L), BgL_bodyz00_14520);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16214;

								BgL_mainz00_16214 =
									MAKE_FX_PROCEDURE(BGl_z62main4508z62zz__evaluate_compz00,
									(int) (4L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_16214,
									(int) (0L), ((obj_t) BgL_i1255z00_14519));
								PROCEDURE_SET(BgL_mainz00_16214, (int) (1L), BgL_bodyz00_14520);
								PROCEDURE_SET(BgL_mainz00_16214, (int) (2L), BgL_runz00_16213);
								PROCEDURE_SET(BgL_mainz00_16214,
									(int) (3L), BgL_siza7ezd2framez75_14521);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16215;

									BgL_objz00_16215 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16213, BgL_objz00_16215);
									BgL_objz00_16215;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3822z00_16216;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3823z00_16217;

										BgL_arg3823z00_16217 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14519))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16218;

											BgL_newz00_16218 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26417;

												BgL_tmpz00_26417 = (int) (3L);
												STRUCT_SET(BgL_newz00_16218, BgL_tmpz00_26417,
													BgL_arg3823z00_16217);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26420;

												BgL_tmpz00_26420 = (int) (2L);
												STRUCT_SET(BgL_newz00_16218, BgL_tmpz00_26420,
													BgL_siza7ezd2framez75_14521);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26423;

												BgL_tmpz00_26423 = (int) (1L);
												STRUCT_SET(BgL_newz00_16218, BgL_tmpz00_26423,
													BgL_runz00_16213);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_26428;
												int BgL_tmpz00_26426;

												BgL_auxz00_26428 = BINT(4L);
												BgL_tmpz00_26426 = (int) (0L);
												STRUCT_SET(BgL_newz00_16218, BgL_tmpz00_26426,
													BgL_auxz00_26428);
											}
											BgL_arg3822z00_16216 = BgL_newz00_16218;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16214, BgL_arg3822z00_16216);
									BgL_arg3822z00_16216;
								}
								return BgL_mainz00_16214;
							}
						}
					}
				}
			}
		}

	}



/* &main4508 */
	obj_t BGl_z62main4508z62zz__evaluate_compz00(obj_t BgL_envz00_14523,
		obj_t BgL_az00_14528, obj_t BgL_bz00_14529, obj_t BgL_cz00_14530,
		obj_t BgL_dz00_14531)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14526;
				long BgL_siza7ezd2framez75_14527;

				BgL_runz00_14526 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14523, (int) (2L)));
				BgL_siza7ezd2framez75_14527 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14523, (int) (3L)));
				return
					BGl_mainze739ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14527,
					BgL_runz00_14526, BgL_az00_14528, BgL_bz00_14529, BgL_cz00_14530,
					BgL_dz00_14531);
			}
		}

	}



/* main~39 */
	obj_t BGl_mainze739ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15666,
		obj_t BgL_runz00_15665, obj_t BgL_az00_5486, obj_t BgL_bz00_5487,
		obj_t BgL_cz00_5488, obj_t BgL_dz00_5489)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5491;

				BgL_sz00_5491 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5492;

					BgL_bpz00_5492 = VECTOR_REF(((obj_t) BgL_sz00_5491), 0L);
					if (
						(((long) CINT(BgL_bpz00_5492) + BgL_siza7ezd2framez75_15666) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5491))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3826z00_5494;

								BgL_arg3826z00_5494 = ((long) CINT(BgL_bpz00_5492) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5491), BgL_arg3826z00_5494, BgL_az00_5486);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3827z00_5495;

								BgL_arg3827z00_5495 = ((long) CINT(BgL_bpz00_5492) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5491), BgL_arg3827z00_5495, BgL_bz00_5487);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3828z00_5496;

								BgL_arg3828z00_5496 = ((long) CINT(BgL_bpz00_5492) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5491), BgL_arg3828z00_5496, BgL_cz00_5488);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3829z00_5497;

								BgL_arg3829z00_5497 = ((long) CINT(BgL_bpz00_5492) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5491), BgL_arg3829z00_5497, BgL_dz00_5489);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5498;

								BgL_ez00_5498 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12710;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12711;

										BgL_arg4345z00_12711 = BGL_EXITD_PROTECT(BgL_ez00_5498);
										BgL_arg4344z00_12710 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5492, BgL_arg4345z00_12711);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5498, BgL_arg4344z00_12710);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5499;

									BgL_accz00_5499 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15665, BgL_sz00_5491, BgL_bpz00_5492);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5499z00_26469;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12713;

											BgL_arg4343z00_12713 = BGL_EXITD_PROTECT(BgL_ez00_5498);
											BgL_test5499z00_26469 = PAIRP(BgL_arg4343z00_12713);
										}
										if (BgL_test5499z00_26469)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12714;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12715;

													BgL_arg4342z00_12715 =
														BGL_EXITD_PROTECT(BgL_ez00_5498);
													BgL_arg4341z00_12714 =
														CDR(((obj_t) BgL_arg4342z00_12715));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5498,
													BgL_arg4341z00_12714);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5491), 0L, BgL_bpz00_5492);
									return BgL_accz00_5499;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5500;

							BgL_nsz00_5500 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5500, 1L, BgL_sz00_5491);
							VECTOR_SET(BgL_nsz00_5500, 2L, BgL_az00_5486);
							VECTOR_SET(BgL_nsz00_5500, 3L, BgL_bz00_5487);
							VECTOR_SET(BgL_nsz00_5500, 4L, BgL_cz00_5488);
							VECTOR_SET(BgL_nsz00_5500, 5L, BgL_dz00_5489);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5501;

								BgL_z12denvz12_5501 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5501, BgL_nsz00_5500);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5502;

									BgL_ez00_5502 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12723;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12724;

											BgL_arg4345z00_12724 = BGL_EXITD_PROTECT(BgL_ez00_5502);
											BgL_arg4344z00_12723 =
												MAKE_YOUNG_PAIR(BgL_sz00_5491, BgL_arg4345z00_12724);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5502, BgL_arg4344z00_12723);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5503;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12725;

											BgL_savedzd2bpzd2_12725 = VECTOR_REF(BgL_nsz00_5500, 0L);
											VECTOR_SET(BgL_nsz00_5500, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12729;

												BgL_fz00_12729 = BgL_runz00_15665;
											BgL_recz00_12728:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12730;

													BgL_rz00_12730 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12729, BgL_nsz00_5500);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5500z00_26497;

														if (PROCEDUREP(BgL_rz00_12730))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12733;

																BgL_arg1763z00_12733 =
																	PROCEDURE_ATTR(BgL_rz00_12730);
																if (STRUCTP(BgL_arg1763z00_12733))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5500z00_26497 =
																			(STRUCT_KEY(BgL_arg1763z00_12733) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5500z00_26497 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5500z00_26497 = ((bool_t) 0);
															}
														if (BgL_test5500z00_26497)
															{
																obj_t BgL_fz00_26505;

																BgL_fz00_26505 = BgL_rz00_12730;
																BgL_fz00_12729 = BgL_fz00_26505;
																goto BgL_recz00_12728;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5500, 0L,
																	BgL_savedzd2bpzd2_12725);
																BgL_____rz00_5503 = BgL_rz00_12730;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5503z00_26507;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12741;

												BgL_arg4343z00_12741 = BGL_EXITD_PROTECT(BgL_ez00_5502);
												BgL_test5503z00_26507 = PAIRP(BgL_arg4343z00_12741);
											}
											if (BgL_test5503z00_26507)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12742;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12743;

														BgL_arg4342z00_12743 =
															BGL_EXITD_PROTECT(BgL_ez00_5502);
														BgL_arg4341z00_12742 =
															CDR(((obj_t) BgL_arg4342z00_12743));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5502,
														BgL_arg4341z00_12742);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5501, BgL_sz00_5491);
										return BgL_____rz00_5503;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4509 */
	obj_t BGl_z62run4509z62zz__evaluate_compz00(obj_t BgL_envz00_14532,
		obj_t BgL_sz00_14535)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14533;
				obj_t BgL_bodyz00_14534;

				BgL_i1255z00_14533 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14532, (int) (0L)));
				BgL_bodyz00_14534 = PROCEDURE_REF(BgL_envz00_14532, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16219;

					BgL_bpz00_16219 = VECTOR_REF(((obj_t) BgL_sz00_14535), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16220;
						obj_t BgL_wherez00_16221;
						obj_t BgL_locz00_16222;

						BgL_z12denvz12_16220 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16221 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14533))->
							BgL_wherez00);
						BgL_locz00_16222 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14533))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16220, BgL_wherez00_16221,
								BgL_locz00_16222);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16223;

								BgL_za2za2resza2za2z00_16223 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14534, BgL_sz00_14535);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16220);
								return BgL_za2za2resza2za2z00_16223;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3831> */
	obj_t BGl_z62zc3z04anonymousza33831ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14536, obj_t BgL_sz00_14541)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14537;
				BgL_ev_absz00_bglt BgL_i1255z00_14538;
				obj_t BgL_bodyz00_14539;
				obj_t BgL_siza7ezd2framez75_14540;

				BgL_iboxesz00_14537 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14536, (int) (0L)));
				BgL_i1255z00_14538 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14536, (int) (1L)));
				BgL_bodyz00_14539 = PROCEDURE_REF(BgL_envz00_14536, (int) (2L));
				BgL_siza7ezd2framez75_14540 =
					PROCEDURE_REF(BgL_envz00_14536, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16224;

					BgL_bpz00_16224 = VECTOR_REF(((obj_t) BgL_sz00_14541), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16225;

							BgL_runz00_16225 =
								MAKE_FX_PROCEDURE(BGl_z62run4511z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_16225, (int) (0L), BgL_iboxesz00_14537);
							PROCEDURE_SET(BgL_runz00_16225,
								(int) (1L), ((obj_t) BgL_i1255z00_14538));
							PROCEDURE_SET(BgL_runz00_16225, (int) (2L), BgL_bodyz00_14539);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16226;

								BgL_mainz00_16226 =
									MAKE_FX_PROCEDURE(BGl_z62main4510z62zz__evaluate_compz00,
									(int) (4L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_16226,
									(int) (0L), BgL_iboxesz00_14537);
								PROCEDURE_SET(BgL_mainz00_16226,
									(int) (1L), ((obj_t) BgL_i1255z00_14538));
								PROCEDURE_SET(BgL_mainz00_16226, (int) (2L), BgL_bodyz00_14539);
								PROCEDURE_SET(BgL_mainz00_16226, (int) (3L), BgL_runz00_16225);
								PROCEDURE_SET(BgL_mainz00_16226,
									(int) (4L), BgL_siza7ezd2framez75_14540);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16227;

									BgL_objz00_16227 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16225, BgL_objz00_16227);
									BgL_objz00_16227;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3832z00_16228;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3833z00_16229;

										BgL_arg3833z00_16229 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14538))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16230;

											BgL_newz00_16230 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26571;

												BgL_tmpz00_26571 = (int) (3L);
												STRUCT_SET(BgL_newz00_16230, BgL_tmpz00_26571,
													BgL_arg3833z00_16229);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26574;

												BgL_tmpz00_26574 = (int) (2L);
												STRUCT_SET(BgL_newz00_16230, BgL_tmpz00_26574,
													BgL_siza7ezd2framez75_14540);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26577;

												BgL_tmpz00_26577 = (int) (1L);
												STRUCT_SET(BgL_newz00_16230, BgL_tmpz00_26577,
													BgL_runz00_16225);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_26582;
												int BgL_tmpz00_26580;

												BgL_auxz00_26582 = BINT(4L);
												BgL_tmpz00_26580 = (int) (0L);
												STRUCT_SET(BgL_newz00_16230, BgL_tmpz00_26580,
													BgL_auxz00_26582);
											}
											BgL_arg3832z00_16228 = BgL_newz00_16230;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16226, BgL_arg3832z00_16228);
									BgL_arg3832z00_16228;
								}
								return BgL_mainz00_16226;
							}
						}
					}
				}
			}
		}

	}



/* &main4510 */
	obj_t BGl_z62main4510z62zz__evaluate_compz00(obj_t BgL_envz00_14542,
		obj_t BgL_az00_14548, obj_t BgL_bz00_14549, obj_t BgL_cz00_14550,
		obj_t BgL_dz00_14551)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14546;
				long BgL_siza7ezd2framez75_14547;

				BgL_runz00_14546 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14542, (int) (3L)));
				BgL_siza7ezd2framez75_14547 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14542, (int) (4L)));
				return
					BGl_mainze738ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14547,
					BgL_runz00_14546, BgL_az00_14548, BgL_bz00_14549, BgL_cz00_14550,
					BgL_dz00_14551);
			}
		}

	}



/* main~38 */
	obj_t BGl_mainze738ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15664,
		obj_t BgL_runz00_15663, obj_t BgL_az00_5520, obj_t BgL_bz00_5521,
		obj_t BgL_cz00_5522, obj_t BgL_dz00_5523)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5525;

				BgL_sz00_5525 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5526;

					BgL_bpz00_5526 = VECTOR_REF(((obj_t) BgL_sz00_5525), 0L);
					if (
						(((long) CINT(BgL_bpz00_5526) + BgL_siza7ezd2framez75_15664) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5525))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3836z00_5528;

								BgL_arg3836z00_5528 = ((long) CINT(BgL_bpz00_5526) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5525), BgL_arg3836z00_5528, BgL_az00_5520);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3837z00_5529;

								BgL_arg3837z00_5529 = ((long) CINT(BgL_bpz00_5526) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5525), BgL_arg3837z00_5529, BgL_bz00_5521);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3838z00_5530;

								BgL_arg3838z00_5530 = ((long) CINT(BgL_bpz00_5526) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5525), BgL_arg3838z00_5530, BgL_cz00_5522);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3839z00_5531;

								BgL_arg3839z00_5531 = ((long) CINT(BgL_bpz00_5526) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5525), BgL_arg3839z00_5531, BgL_dz00_5523);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5532;

								BgL_ez00_5532 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12773;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12774;

										BgL_arg4345z00_12774 = BGL_EXITD_PROTECT(BgL_ez00_5532);
										BgL_arg4344z00_12773 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5526, BgL_arg4345z00_12774);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5532, BgL_arg4344z00_12773);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5533;

									BgL_accz00_5533 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15663, BgL_sz00_5525, BgL_bpz00_5526);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5505z00_26623;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12776;

											BgL_arg4343z00_12776 = BGL_EXITD_PROTECT(BgL_ez00_5532);
											BgL_test5505z00_26623 = PAIRP(BgL_arg4343z00_12776);
										}
										if (BgL_test5505z00_26623)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12777;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12778;

													BgL_arg4342z00_12778 =
														BGL_EXITD_PROTECT(BgL_ez00_5532);
													BgL_arg4341z00_12777 =
														CDR(((obj_t) BgL_arg4342z00_12778));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5532,
													BgL_arg4341z00_12777);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5525), 0L, BgL_bpz00_5526);
									return BgL_accz00_5533;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5534;

							BgL_nsz00_5534 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5534, 1L, BgL_sz00_5525);
							VECTOR_SET(BgL_nsz00_5534, 2L, BgL_az00_5520);
							VECTOR_SET(BgL_nsz00_5534, 3L, BgL_bz00_5521);
							VECTOR_SET(BgL_nsz00_5534, 4L, BgL_cz00_5522);
							VECTOR_SET(BgL_nsz00_5534, 5L, BgL_dz00_5523);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5535;

								BgL_z12denvz12_5535 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5535, BgL_nsz00_5534);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5536;

									BgL_ez00_5536 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12786;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12787;

											BgL_arg4345z00_12787 = BGL_EXITD_PROTECT(BgL_ez00_5536);
											BgL_arg4344z00_12786 =
												MAKE_YOUNG_PAIR(BgL_sz00_5525, BgL_arg4345z00_12787);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5536, BgL_arg4344z00_12786);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5537;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12788;

											BgL_savedzd2bpzd2_12788 = VECTOR_REF(BgL_nsz00_5534, 0L);
											VECTOR_SET(BgL_nsz00_5534, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12792;

												BgL_fz00_12792 = BgL_runz00_15663;
											BgL_recz00_12791:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12793;

													BgL_rz00_12793 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12792, BgL_nsz00_5534);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5506z00_26651;

														if (PROCEDUREP(BgL_rz00_12793))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12796;

																BgL_arg1763z00_12796 =
																	PROCEDURE_ATTR(BgL_rz00_12793);
																if (STRUCTP(BgL_arg1763z00_12796))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5506z00_26651 =
																			(STRUCT_KEY(BgL_arg1763z00_12796) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5506z00_26651 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5506z00_26651 = ((bool_t) 0);
															}
														if (BgL_test5506z00_26651)
															{
																obj_t BgL_fz00_26659;

																BgL_fz00_26659 = BgL_rz00_12793;
																BgL_fz00_12792 = BgL_fz00_26659;
																goto BgL_recz00_12791;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5534, 0L,
																	BgL_savedzd2bpzd2_12788);
																BgL_____rz00_5537 = BgL_rz00_12793;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5509z00_26661;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12804;

												BgL_arg4343z00_12804 = BGL_EXITD_PROTECT(BgL_ez00_5536);
												BgL_test5509z00_26661 = PAIRP(BgL_arg4343z00_12804);
											}
											if (BgL_test5509z00_26661)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12805;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12806;

														BgL_arg4342z00_12806 =
															BGL_EXITD_PROTECT(BgL_ez00_5536);
														BgL_arg4341z00_12805 =
															CDR(((obj_t) BgL_arg4342z00_12806));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5536,
														BgL_arg4341z00_12805);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5535, BgL_sz00_5525);
										return BgL_____rz00_5537;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4511 */
	obj_t BGl_z62run4511z62zz__evaluate_compz00(obj_t BgL_envz00_14552,
		obj_t BgL_sz00_14556)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14553;
				BgL_ev_absz00_bglt BgL_i1255z00_14554;
				obj_t BgL_bodyz00_14555;

				BgL_iboxesz00_14553 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14552, (int) (0L)));
				BgL_i1255z00_14554 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14552, (int) (1L)));
				BgL_bodyz00_14555 = PROCEDURE_REF(BgL_envz00_14552, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16231;

					BgL_bpz00_16231 = VECTOR_REF(((obj_t) BgL_sz00_14556), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14556,
						BgL_iboxesz00_14553, BgL_bpz00_16231);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16232;
						obj_t BgL_wherez00_16233;
						obj_t BgL_locz00_16234;

						BgL_z12denvz12_16232 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16233 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14554))->
							BgL_wherez00);
						BgL_locz00_16234 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14554))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16232, BgL_wherez00_16233,
								BgL_locz00_16234);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16235;

								BgL_za2za2resza2za2z00_16235 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14555, BgL_sz00_14556);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16232);
								return BgL_za2za2resza2za2z00_16235;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3844> */
	obj_t BGl_z62zc3z04anonymousza33844ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14557, obj_t BgL_sz00_14563)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14558;
				obj_t BgL_siza7eza7_14559;
				BgL_ev_absz00_bglt BgL_i1255z00_14560;
				obj_t BgL_bodyz00_14561;
				obj_t BgL_siza7ezd2framez75_14562;

				BgL_ifreesz00_14558 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14557, (int) (0L)));
				BgL_siza7eza7_14559 = PROCEDURE_REF(BgL_envz00_14557, (int) (1L));
				BgL_i1255z00_14560 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14557, (int) (2L)));
				BgL_bodyz00_14561 = PROCEDURE_REF(BgL_envz00_14557, (int) (3L));
				BgL_siza7ezd2framez75_14562 =
					PROCEDURE_REF(BgL_envz00_14557, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16236;

					BgL_bpz00_16236 = VECTOR_REF(((obj_t) BgL_sz00_14563), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16237;

						BgL_valza2za2_16237 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14563,
							BgL_bpz00_16236, BgL_ifreesz00_14558);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16238;

							BgL_runz00_16238 =
								MAKE_FX_PROCEDURE(BGl_z62run4513z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_16238, (int) (0L), BgL_siza7eza7_14559);
							PROCEDURE_SET(BgL_runz00_16238, (int) (1L), BgL_valza2za2_16237);
							PROCEDURE_SET(BgL_runz00_16238,
								(int) (2L), ((obj_t) BgL_i1255z00_14560));
							PROCEDURE_SET(BgL_runz00_16238, (int) (3L), BgL_bodyz00_14561);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16239;

								BgL_mainz00_16239 =
									MAKE_FX_PROCEDURE(BGl_z62main4512z62zz__evaluate_compz00,
									(int) (4L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_16239,
									(int) (0L), BgL_siza7eza7_14559);
								PROCEDURE_SET(BgL_mainz00_16239,
									(int) (1L), BgL_valza2za2_16237);
								PROCEDURE_SET(BgL_mainz00_16239,
									(int) (2L), ((obj_t) BgL_i1255z00_14560));
								PROCEDURE_SET(BgL_mainz00_16239, (int) (3L), BgL_bodyz00_14561);
								PROCEDURE_SET(BgL_mainz00_16239, (int) (4L), BgL_runz00_16238);
								PROCEDURE_SET(BgL_mainz00_16239,
									(int) (5L), BgL_siza7ezd2framez75_14562);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16240;

									BgL_objz00_16240 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16238, BgL_objz00_16240);
									BgL_objz00_16240;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3845z00_16241;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3846z00_16242;

										BgL_arg3846z00_16242 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14560))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16243;

											BgL_newz00_16243 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26736;

												BgL_tmpz00_26736 = (int) (3L);
												STRUCT_SET(BgL_newz00_16243, BgL_tmpz00_26736,
													BgL_arg3846z00_16242);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26739;

												BgL_tmpz00_26739 = (int) (2L);
												STRUCT_SET(BgL_newz00_16243, BgL_tmpz00_26739,
													BgL_siza7ezd2framez75_14562);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26742;

												BgL_tmpz00_26742 = (int) (1L);
												STRUCT_SET(BgL_newz00_16243, BgL_tmpz00_26742,
													BgL_runz00_16238);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_26747;
												int BgL_tmpz00_26745;

												BgL_auxz00_26747 = BINT(4L);
												BgL_tmpz00_26745 = (int) (0L);
												STRUCT_SET(BgL_newz00_16243, BgL_tmpz00_26745,
													BgL_auxz00_26747);
											}
											BgL_arg3845z00_16241 = BgL_newz00_16243;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16239, BgL_arg3845z00_16241);
									BgL_arg3845z00_16241;
								}
								return BgL_mainz00_16239;
							}
						}
					}
				}
			}
		}

	}



/* &main4512 */
	obj_t BGl_z62main4512z62zz__evaluate_compz00(obj_t BgL_envz00_14564,
		obj_t BgL_az00_14571, obj_t BgL_bz00_14572, obj_t BgL_cz00_14573,
		obj_t BgL_dz00_14574)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14569;
				long BgL_siza7ezd2framez75_14570;

				BgL_runz00_14569 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14564, (int) (4L)));
				BgL_siza7ezd2framez75_14570 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14564, (int) (5L)));
				return
					BGl_mainze737ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14570,
					BgL_runz00_14569, BgL_az00_14571, BgL_bz00_14572, BgL_cz00_14573,
					BgL_dz00_14574);
			}
		}

	}



/* main~37 */
	obj_t BGl_mainze737ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15662,
		obj_t BgL_runz00_15661, obj_t BgL_az00_5558, obj_t BgL_bz00_5559,
		obj_t BgL_cz00_5560, obj_t BgL_dz00_5561)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5563;

				BgL_sz00_5563 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5564;

					BgL_bpz00_5564 = VECTOR_REF(((obj_t) BgL_sz00_5563), 0L);
					if (
						(((long) CINT(BgL_bpz00_5564) + BgL_siza7ezd2framez75_15662) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5563))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3849z00_5566;

								BgL_arg3849z00_5566 = ((long) CINT(BgL_bpz00_5564) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5563), BgL_arg3849z00_5566, BgL_az00_5558);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3850z00_5567;

								BgL_arg3850z00_5567 = ((long) CINT(BgL_bpz00_5564) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5563), BgL_arg3850z00_5567, BgL_bz00_5559);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3851z00_5568;

								BgL_arg3851z00_5568 = ((long) CINT(BgL_bpz00_5564) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5563), BgL_arg3851z00_5568, BgL_cz00_5560);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3852z00_5569;

								BgL_arg3852z00_5569 = ((long) CINT(BgL_bpz00_5564) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5563), BgL_arg3852z00_5569, BgL_dz00_5561);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5570;

								BgL_ez00_5570 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12840;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12841;

										BgL_arg4345z00_12841 = BGL_EXITD_PROTECT(BgL_ez00_5570);
										BgL_arg4344z00_12840 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5564, BgL_arg4345z00_12841);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5570, BgL_arg4344z00_12840);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5571;

									BgL_accz00_5571 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15661, BgL_sz00_5563, BgL_bpz00_5564);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5511z00_26788;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12843;

											BgL_arg4343z00_12843 = BGL_EXITD_PROTECT(BgL_ez00_5570);
											BgL_test5511z00_26788 = PAIRP(BgL_arg4343z00_12843);
										}
										if (BgL_test5511z00_26788)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12844;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12845;

													BgL_arg4342z00_12845 =
														BGL_EXITD_PROTECT(BgL_ez00_5570);
													BgL_arg4341z00_12844 =
														CDR(((obj_t) BgL_arg4342z00_12845));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5570,
													BgL_arg4341z00_12844);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5563), 0L, BgL_bpz00_5564);
									return BgL_accz00_5571;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5572;

							BgL_nsz00_5572 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5572, 1L, BgL_sz00_5563);
							VECTOR_SET(BgL_nsz00_5572, 2L, BgL_az00_5558);
							VECTOR_SET(BgL_nsz00_5572, 3L, BgL_bz00_5559);
							VECTOR_SET(BgL_nsz00_5572, 4L, BgL_cz00_5560);
							VECTOR_SET(BgL_nsz00_5572, 5L, BgL_dz00_5561);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5573;

								BgL_z12denvz12_5573 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5573, BgL_nsz00_5572);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5574;

									BgL_ez00_5574 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12853;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12854;

											BgL_arg4345z00_12854 = BGL_EXITD_PROTECT(BgL_ez00_5574);
											BgL_arg4344z00_12853 =
												MAKE_YOUNG_PAIR(BgL_sz00_5563, BgL_arg4345z00_12854);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5574, BgL_arg4344z00_12853);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5575;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12855;

											BgL_savedzd2bpzd2_12855 = VECTOR_REF(BgL_nsz00_5572, 0L);
											VECTOR_SET(BgL_nsz00_5572, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12859;

												BgL_fz00_12859 = BgL_runz00_15661;
											BgL_recz00_12858:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12860;

													BgL_rz00_12860 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12859, BgL_nsz00_5572);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5512z00_26816;

														if (PROCEDUREP(BgL_rz00_12860))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12863;

																BgL_arg1763z00_12863 =
																	PROCEDURE_ATTR(BgL_rz00_12860);
																if (STRUCTP(BgL_arg1763z00_12863))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5512z00_26816 =
																			(STRUCT_KEY(BgL_arg1763z00_12863) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5512z00_26816 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5512z00_26816 = ((bool_t) 0);
															}
														if (BgL_test5512z00_26816)
															{
																obj_t BgL_fz00_26824;

																BgL_fz00_26824 = BgL_rz00_12860;
																BgL_fz00_12859 = BgL_fz00_26824;
																goto BgL_recz00_12858;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5572, 0L,
																	BgL_savedzd2bpzd2_12855);
																BgL_____rz00_5575 = BgL_rz00_12860;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5515z00_26826;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12871;

												BgL_arg4343z00_12871 = BGL_EXITD_PROTECT(BgL_ez00_5574);
												BgL_test5515z00_26826 = PAIRP(BgL_arg4343z00_12871);
											}
											if (BgL_test5515z00_26826)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12872;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12873;

														BgL_arg4342z00_12873 =
															BGL_EXITD_PROTECT(BgL_ez00_5574);
														BgL_arg4341z00_12872 =
															CDR(((obj_t) BgL_arg4342z00_12873));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5574,
														BgL_arg4341z00_12872);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5573, BgL_sz00_5563);
										return BgL_____rz00_5575;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4513 */
	obj_t BGl_z62run4513z62zz__evaluate_compz00(obj_t BgL_envz00_14575,
		obj_t BgL_sz00_14580)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14576;
				obj_t BgL_valza2za2_14577;
				BgL_ev_absz00_bglt BgL_i1255z00_14578;
				obj_t BgL_bodyz00_14579;

				BgL_siza7eza7_14576 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14575, (int) (0L)));
				BgL_valza2za2_14577 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14575, (int) (1L)));
				BgL_i1255z00_14578 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14575, (int) (2L)));
				BgL_bodyz00_14579 = PROCEDURE_REF(BgL_envz00_14575, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16244;

					BgL_bpz00_16244 = VECTOR_REF(((obj_t) BgL_sz00_14580), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14580,
						BgL_valza2za2_14577,
						((long) CINT(BgL_bpz00_16244) + BgL_siza7eza7_14576));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16245;
						obj_t BgL_wherez00_16246;
						obj_t BgL_locz00_16247;

						BgL_z12denvz12_16245 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16246 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14578))->
							BgL_wherez00);
						BgL_locz00_16247 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14578))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16245, BgL_wherez00_16246,
								BgL_locz00_16247);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16248;

								BgL_za2za2resza2za2z00_16248 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14579, BgL_sz00_14580);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16245);
								return BgL_za2za2resza2za2z00_16248;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3855> */
	obj_t BGl_z62zc3z04anonymousza33855ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14581, obj_t BgL_sz00_14588)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14582;
				obj_t BgL_iboxesz00_14583;
				obj_t BgL_siza7eza7_14584;
				BgL_ev_absz00_bglt BgL_i1255z00_14585;
				obj_t BgL_bodyz00_14586;
				obj_t BgL_siza7ezd2framez75_14587;

				BgL_ifreesz00_14582 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14581, (int) (0L)));
				BgL_iboxesz00_14583 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14581, (int) (1L)));
				BgL_siza7eza7_14584 = PROCEDURE_REF(BgL_envz00_14581, (int) (2L));
				BgL_i1255z00_14585 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14581, (int) (3L)));
				BgL_bodyz00_14586 = PROCEDURE_REF(BgL_envz00_14581, (int) (4L));
				BgL_siza7ezd2framez75_14587 =
					PROCEDURE_REF(BgL_envz00_14581, (int) (5L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16249;

					BgL_bpz00_16249 = VECTOR_REF(((obj_t) BgL_sz00_14588), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16250;

						BgL_valza2za2_16250 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14588,
							BgL_bpz00_16249, BgL_ifreesz00_14582);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16251;

							BgL_runz00_16251 =
								MAKE_FX_PROCEDURE(BGl_z62run4515z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_16251, (int) (0L), BgL_iboxesz00_14583);
							PROCEDURE_SET(BgL_runz00_16251, (int) (1L), BgL_siza7eza7_14584);
							PROCEDURE_SET(BgL_runz00_16251, (int) (2L), BgL_valza2za2_16250);
							PROCEDURE_SET(BgL_runz00_16251,
								(int) (3L), ((obj_t) BgL_i1255z00_14585));
							PROCEDURE_SET(BgL_runz00_16251, (int) (4L), BgL_bodyz00_14586);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16252;

								BgL_mainz00_16252 =
									MAKE_FX_PROCEDURE(BGl_z62main4514z62zz__evaluate_compz00,
									(int) (4L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_16252,
									(int) (0L), BgL_iboxesz00_14583);
								PROCEDURE_SET(BgL_mainz00_16252,
									(int) (1L), BgL_siza7eza7_14584);
								PROCEDURE_SET(BgL_mainz00_16252,
									(int) (2L), BgL_valza2za2_16250);
								PROCEDURE_SET(BgL_mainz00_16252,
									(int) (3L), ((obj_t) BgL_i1255z00_14585));
								PROCEDURE_SET(BgL_mainz00_16252, (int) (4L), BgL_bodyz00_14586);
								PROCEDURE_SET(BgL_mainz00_16252, (int) (5L), BgL_runz00_16251);
								PROCEDURE_SET(BgL_mainz00_16252,
									(int) (6L), BgL_siza7ezd2framez75_14587);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16253;

									BgL_objz00_16253 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16251, BgL_objz00_16253);
									BgL_objz00_16253;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3856z00_16254;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3857z00_16255;

										BgL_arg3857z00_16255 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14585))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16256;

											BgL_newz00_16256 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26913;

												BgL_tmpz00_26913 = (int) (3L);
												STRUCT_SET(BgL_newz00_16256, BgL_tmpz00_26913,
													BgL_arg3857z00_16255);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26916;

												BgL_tmpz00_26916 = (int) (2L);
												STRUCT_SET(BgL_newz00_16256, BgL_tmpz00_26916,
													BgL_siza7ezd2framez75_14587);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_26919;

												BgL_tmpz00_26919 = (int) (1L);
												STRUCT_SET(BgL_newz00_16256, BgL_tmpz00_26919,
													BgL_runz00_16251);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_26924;
												int BgL_tmpz00_26922;

												BgL_auxz00_26924 = BINT(4L);
												BgL_tmpz00_26922 = (int) (0L);
												STRUCT_SET(BgL_newz00_16256, BgL_tmpz00_26922,
													BgL_auxz00_26924);
											}
											BgL_arg3856z00_16254 = BgL_newz00_16256;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16252, BgL_arg3856z00_16254);
									BgL_arg3856z00_16254;
								}
								return BgL_mainz00_16252;
							}
						}
					}
				}
			}
		}

	}



/* &main4514 */
	obj_t BGl_z62main4514z62zz__evaluate_compz00(obj_t BgL_envz00_14589,
		obj_t BgL_az00_14597, obj_t BgL_bz00_14598, obj_t BgL_cz00_14599,
		obj_t BgL_dz00_14600)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14595;
				long BgL_siza7ezd2framez75_14596;

				BgL_runz00_14595 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14589, (int) (5L)));
				BgL_siza7ezd2framez75_14596 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14589, (int) (6L)));
				return
					BGl_mainze736ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14596,
					BgL_runz00_14595, BgL_az00_14597, BgL_bz00_14598, BgL_cz00_14599,
					BgL_dz00_14600);
			}
		}

	}



/* main~36 */
	obj_t BGl_mainze736ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15660,
		obj_t BgL_runz00_15659, obj_t BgL_az00_5594, obj_t BgL_bz00_5595,
		obj_t BgL_cz00_5596, obj_t BgL_dz00_5597)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5599;

				BgL_sz00_5599 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5600;

					BgL_bpz00_5600 = VECTOR_REF(((obj_t) BgL_sz00_5599), 0L);
					if (
						(((long) CINT(BgL_bpz00_5600) + BgL_siza7ezd2framez75_15660) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5599))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3860z00_5602;

								BgL_arg3860z00_5602 = ((long) CINT(BgL_bpz00_5600) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5599), BgL_arg3860z00_5602, BgL_az00_5594);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3861z00_5603;

								BgL_arg3861z00_5603 = ((long) CINT(BgL_bpz00_5600) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5599), BgL_arg3861z00_5603, BgL_bz00_5595);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3862z00_5604;

								BgL_arg3862z00_5604 = ((long) CINT(BgL_bpz00_5600) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5599), BgL_arg3862z00_5604, BgL_cz00_5596);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3863z00_5605;

								BgL_arg3863z00_5605 = ((long) CINT(BgL_bpz00_5600) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5599), BgL_arg3863z00_5605, BgL_dz00_5597);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5606;

								BgL_ez00_5606 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12905;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12906;

										BgL_arg4345z00_12906 = BGL_EXITD_PROTECT(BgL_ez00_5606);
										BgL_arg4344z00_12905 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5600, BgL_arg4345z00_12906);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5606, BgL_arg4344z00_12905);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5607;

									BgL_accz00_5607 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15659, BgL_sz00_5599, BgL_bpz00_5600);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5517z00_26965;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12908;

											BgL_arg4343z00_12908 = BGL_EXITD_PROTECT(BgL_ez00_5606);
											BgL_test5517z00_26965 = PAIRP(BgL_arg4343z00_12908);
										}
										if (BgL_test5517z00_26965)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12909;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12910;

													BgL_arg4342z00_12910 =
														BGL_EXITD_PROTECT(BgL_ez00_5606);
													BgL_arg4341z00_12909 =
														CDR(((obj_t) BgL_arg4342z00_12910));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5606,
													BgL_arg4341z00_12909);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5599), 0L, BgL_bpz00_5600);
									return BgL_accz00_5607;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5608;

							BgL_nsz00_5608 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5608, 1L, BgL_sz00_5599);
							VECTOR_SET(BgL_nsz00_5608, 2L, BgL_az00_5594);
							VECTOR_SET(BgL_nsz00_5608, 3L, BgL_bz00_5595);
							VECTOR_SET(BgL_nsz00_5608, 4L, BgL_cz00_5596);
							VECTOR_SET(BgL_nsz00_5608, 5L, BgL_dz00_5597);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5609;

								BgL_z12denvz12_5609 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5609, BgL_nsz00_5608);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5610;

									BgL_ez00_5610 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12918;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12919;

											BgL_arg4345z00_12919 = BGL_EXITD_PROTECT(BgL_ez00_5610);
											BgL_arg4344z00_12918 =
												MAKE_YOUNG_PAIR(BgL_sz00_5599, BgL_arg4345z00_12919);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5610, BgL_arg4344z00_12918);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5611;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12920;

											BgL_savedzd2bpzd2_12920 = VECTOR_REF(BgL_nsz00_5608, 0L);
											VECTOR_SET(BgL_nsz00_5608, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12924;

												BgL_fz00_12924 = BgL_runz00_15659;
											BgL_recz00_12923:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12925;

													BgL_rz00_12925 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12924, BgL_nsz00_5608);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5518z00_26993;

														if (PROCEDUREP(BgL_rz00_12925))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12928;

																BgL_arg1763z00_12928 =
																	PROCEDURE_ATTR(BgL_rz00_12925);
																if (STRUCTP(BgL_arg1763z00_12928))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5518z00_26993 =
																			(STRUCT_KEY(BgL_arg1763z00_12928) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5518z00_26993 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5518z00_26993 = ((bool_t) 0);
															}
														if (BgL_test5518z00_26993)
															{
																obj_t BgL_fz00_27001;

																BgL_fz00_27001 = BgL_rz00_12925;
																BgL_fz00_12924 = BgL_fz00_27001;
																goto BgL_recz00_12923;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5608, 0L,
																	BgL_savedzd2bpzd2_12920);
																BgL_____rz00_5611 = BgL_rz00_12925;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5521z00_27003;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12936;

												BgL_arg4343z00_12936 = BGL_EXITD_PROTECT(BgL_ez00_5610);
												BgL_test5521z00_27003 = PAIRP(BgL_arg4343z00_12936);
											}
											if (BgL_test5521z00_27003)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12937;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12938;

														BgL_arg4342z00_12938 =
															BGL_EXITD_PROTECT(BgL_ez00_5610);
														BgL_arg4341z00_12937 =
															CDR(((obj_t) BgL_arg4342z00_12938));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5610,
														BgL_arg4341z00_12937);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5609, BgL_sz00_5599);
										return BgL_____rz00_5611;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4515 */
	obj_t BGl_z62run4515z62zz__evaluate_compz00(obj_t BgL_envz00_14601,
		obj_t BgL_sz00_14607)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14602;
				long BgL_siza7eza7_14603;
				obj_t BgL_valza2za2_14604;
				BgL_ev_absz00_bglt BgL_i1255z00_14605;
				obj_t BgL_bodyz00_14606;

				BgL_iboxesz00_14602 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14601, (int) (0L)));
				BgL_siza7eza7_14603 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14601, (int) (1L)));
				BgL_valza2za2_14604 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14601, (int) (2L)));
				BgL_i1255z00_14605 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14601, (int) (3L)));
				BgL_bodyz00_14606 = PROCEDURE_REF(BgL_envz00_14601, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16257;

					BgL_bpz00_16257 = VECTOR_REF(((obj_t) BgL_sz00_14607), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14607,
						BgL_iboxesz00_14602, BgL_bpz00_16257);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14607,
						BgL_valza2za2_14604,
						((long) CINT(BgL_bpz00_16257) + BgL_siza7eza7_14603));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16258;
						obj_t BgL_wherez00_16259;
						obj_t BgL_locz00_16260;

						BgL_z12denvz12_16258 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16259 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14605))->
							BgL_wherez00);
						BgL_locz00_16260 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14605))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16258, BgL_wherez00_16259,
								BgL_locz00_16260);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16261;

								BgL_za2za2resza2za2z00_16261 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14606, BgL_sz00_14607);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16258);
								return BgL_za2za2resza2za2z00_16261;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3770> */
	obj_t BGl_z62zc3z04anonymousza33770ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14608, obj_t BgL_sz00_14612)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14609;
				obj_t BgL_bodyz00_14610;
				obj_t BgL_siza7ezd2framez75_14611;

				BgL_i1255z00_14609 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14608, (int) (0L)));
				BgL_bodyz00_14610 = PROCEDURE_REF(BgL_envz00_14608, (int) (1L));
				BgL_siza7ezd2framez75_14611 =
					PROCEDURE_REF(BgL_envz00_14608, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16262;

					BgL_bpz00_16262 = VECTOR_REF(((obj_t) BgL_sz00_14612), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16263;

							BgL_runz00_16263 =
								MAKE_FX_PROCEDURE(BGl_z62run4517z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_16263,
								(int) (0L), ((obj_t) BgL_i1255z00_14609));
							PROCEDURE_SET(BgL_runz00_16263, (int) (1L), BgL_bodyz00_14610);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16264;

								BgL_mainz00_16264 =
									MAKE_VA_PROCEDURE(BGl_z62main4516z62zz__evaluate_compz00,
									(int) ((-4L)), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_16264,
									(int) (0L), ((obj_t) BgL_i1255z00_14609));
								PROCEDURE_SET(BgL_mainz00_16264, (int) (1L), BgL_bodyz00_14610);
								PROCEDURE_SET(BgL_mainz00_16264, (int) (2L), BgL_runz00_16263);
								PROCEDURE_SET(BgL_mainz00_16264,
									(int) (3L), BgL_siza7ezd2framez75_14611);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16265;

									BgL_objz00_16265 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16263, BgL_objz00_16265);
									BgL_objz00_16265;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3771z00_16266;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3772z00_16267;

										BgL_arg3772z00_16267 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14609))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16268;

											BgL_newz00_16268 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27073;

												BgL_tmpz00_27073 = (int) (3L);
												STRUCT_SET(BgL_newz00_16268, BgL_tmpz00_27073,
													BgL_arg3772z00_16267);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27076;

												BgL_tmpz00_27076 = (int) (2L);
												STRUCT_SET(BgL_newz00_16268, BgL_tmpz00_27076,
													BgL_siza7ezd2framez75_14611);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27079;

												BgL_tmpz00_27079 = (int) (1L);
												STRUCT_SET(BgL_newz00_16268, BgL_tmpz00_27079,
													BgL_runz00_16263);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27084;
												int BgL_tmpz00_27082;

												BgL_auxz00_27084 = BINT((-4L));
												BgL_tmpz00_27082 = (int) (0L);
												STRUCT_SET(BgL_newz00_16268, BgL_tmpz00_27082,
													BgL_auxz00_27084);
											}
											BgL_arg3771z00_16266 = BgL_newz00_16268;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16264, BgL_arg3771z00_16266);
									BgL_arg3771z00_16266;
								}
								return BgL_mainz00_16264;
							}
						}
					}
				}
			}
		}

	}



/* &main4516 */
	obj_t BGl_z62main4516z62zz__evaluate_compz00(obj_t BgL_envz00_14613,
		obj_t BgL_bz00_14618, obj_t BgL_cz00_14619, obj_t BgL_dz00_14620,
		obj_t BgL_lastz00_14621)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14616;
				long BgL_siza7ezd2framez75_14617;

				BgL_runz00_14616 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14613, (int) (2L)));
				BgL_siza7ezd2framez75_14617 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14613, (int) (3L)));
				return
					BGl_mainze735ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14617,
					BgL_runz00_14616, BgL_bz00_14618, BgL_cz00_14619, BgL_dz00_14620,
					BgL_lastz00_14621);
			}
		}

	}



/* main~35 */
	obj_t BGl_mainze735ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15658,
		obj_t BgL_runz00_15657, obj_t BgL_bz00_5337, obj_t BgL_cz00_5338,
		obj_t BgL_dz00_5339, obj_t BgL_lastz00_5340)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5342;

				BgL_sz00_5342 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5343;

					BgL_bpz00_5343 = VECTOR_REF(((obj_t) BgL_sz00_5342), 0L);
					if (
						(((long) CINT(BgL_bpz00_5343) + BgL_siza7ezd2framez75_15658) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5342))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3775z00_5345;

								BgL_arg3775z00_5345 = ((long) CINT(BgL_bpz00_5343) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5342), BgL_arg3775z00_5345, BgL_bz00_5337);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3776z00_5346;

								BgL_arg3776z00_5346 = ((long) CINT(BgL_bpz00_5343) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5342), BgL_arg3776z00_5346, BgL_cz00_5338);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3777z00_5347;

								BgL_arg3777z00_5347 = ((long) CINT(BgL_bpz00_5343) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5342), BgL_arg3777z00_5347, BgL_dz00_5339);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3778z00_5348;

								BgL_arg3778z00_5348 = ((long) CINT(BgL_bpz00_5343) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5342), BgL_arg3778z00_5348,
									BgL_lastz00_5340);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5349;

								BgL_ez00_5349 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12448;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12449;

										BgL_arg4345z00_12449 = BGL_EXITD_PROTECT(BgL_ez00_5349);
										BgL_arg4344z00_12448 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5343, BgL_arg4345z00_12449);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5349, BgL_arg4344z00_12448);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5350;

									BgL_accz00_5350 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15657, BgL_sz00_5342, BgL_bpz00_5343);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5523z00_27125;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12451;

											BgL_arg4343z00_12451 = BGL_EXITD_PROTECT(BgL_ez00_5349);
											BgL_test5523z00_27125 = PAIRP(BgL_arg4343z00_12451);
										}
										if (BgL_test5523z00_27125)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12452;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12453;

													BgL_arg4342z00_12453 =
														BGL_EXITD_PROTECT(BgL_ez00_5349);
													BgL_arg4341z00_12452 =
														CDR(((obj_t) BgL_arg4342z00_12453));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5349,
													BgL_arg4341z00_12452);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5342), 0L, BgL_bpz00_5343);
									return BgL_accz00_5350;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5351;

							BgL_nsz00_5351 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5351, 1L, BgL_sz00_5342);
							VECTOR_SET(BgL_nsz00_5351, 2L, BgL_bz00_5337);
							VECTOR_SET(BgL_nsz00_5351, 3L, BgL_cz00_5338);
							VECTOR_SET(BgL_nsz00_5351, 4L, BgL_dz00_5339);
							VECTOR_SET(BgL_nsz00_5351, 5L, BgL_lastz00_5340);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5352;

								BgL_z12denvz12_5352 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5352, BgL_nsz00_5351);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5353;

									BgL_ez00_5353 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12461;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12462;

											BgL_arg4345z00_12462 = BGL_EXITD_PROTECT(BgL_ez00_5353);
											BgL_arg4344z00_12461 =
												MAKE_YOUNG_PAIR(BgL_sz00_5342, BgL_arg4345z00_12462);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5353, BgL_arg4344z00_12461);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5354;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12463;

											BgL_savedzd2bpzd2_12463 = VECTOR_REF(BgL_nsz00_5351, 0L);
											VECTOR_SET(BgL_nsz00_5351, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12467;

												BgL_fz00_12467 = BgL_runz00_15657;
											BgL_recz00_12466:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12468;

													BgL_rz00_12468 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12467, BgL_nsz00_5351);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5524z00_27153;

														if (PROCEDUREP(BgL_rz00_12468))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12471;

																BgL_arg1763z00_12471 =
																	PROCEDURE_ATTR(BgL_rz00_12468);
																if (STRUCTP(BgL_arg1763z00_12471))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5524z00_27153 =
																			(STRUCT_KEY(BgL_arg1763z00_12471) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5524z00_27153 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5524z00_27153 = ((bool_t) 0);
															}
														if (BgL_test5524z00_27153)
															{
																obj_t BgL_fz00_27161;

																BgL_fz00_27161 = BgL_rz00_12468;
																BgL_fz00_12467 = BgL_fz00_27161;
																goto BgL_recz00_12466;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5351, 0L,
																	BgL_savedzd2bpzd2_12463);
																BgL_____rz00_5354 = BgL_rz00_12468;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5527z00_27163;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12479;

												BgL_arg4343z00_12479 = BGL_EXITD_PROTECT(BgL_ez00_5353);
												BgL_test5527z00_27163 = PAIRP(BgL_arg4343z00_12479);
											}
											if (BgL_test5527z00_27163)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12480;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12481;

														BgL_arg4342z00_12481 =
															BGL_EXITD_PROTECT(BgL_ez00_5353);
														BgL_arg4341z00_12480 =
															CDR(((obj_t) BgL_arg4342z00_12481));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5353,
														BgL_arg4341z00_12480);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5352, BgL_sz00_5342);
										return BgL_____rz00_5354;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4517 */
	obj_t BGl_z62run4517z62zz__evaluate_compz00(obj_t BgL_envz00_14622,
		obj_t BgL_sz00_14625)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14623;
				obj_t BgL_bodyz00_14624;

				BgL_i1255z00_14623 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14622, (int) (0L)));
				BgL_bodyz00_14624 = PROCEDURE_REF(BgL_envz00_14622, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16269;

					BgL_bpz00_16269 = VECTOR_REF(((obj_t) BgL_sz00_14625), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16270;
						obj_t BgL_wherez00_16271;
						obj_t BgL_locz00_16272;

						BgL_z12denvz12_16270 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16271 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14623))->
							BgL_wherez00);
						BgL_locz00_16272 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14623))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16270, BgL_wherez00_16271,
								BgL_locz00_16272);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16273;

								BgL_za2za2resza2za2z00_16273 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14624, BgL_sz00_14625);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16270);
								return BgL_za2za2resza2za2z00_16273;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3780> */
	obj_t BGl_z62zc3z04anonymousza33780ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14626, obj_t BgL_sz00_14631)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14627;
				BgL_ev_absz00_bglt BgL_i1255z00_14628;
				obj_t BgL_bodyz00_14629;
				obj_t BgL_siza7ezd2framez75_14630;

				BgL_iboxesz00_14627 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14626, (int) (0L)));
				BgL_i1255z00_14628 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14626, (int) (1L)));
				BgL_bodyz00_14629 = PROCEDURE_REF(BgL_envz00_14626, (int) (2L));
				BgL_siza7ezd2framez75_14630 =
					PROCEDURE_REF(BgL_envz00_14626, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16274;

					BgL_bpz00_16274 = VECTOR_REF(((obj_t) BgL_sz00_14631), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16275;

							BgL_runz00_16275 =
								MAKE_FX_PROCEDURE(BGl_z62run4519z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_16275, (int) (0L), BgL_iboxesz00_14627);
							PROCEDURE_SET(BgL_runz00_16275,
								(int) (1L), ((obj_t) BgL_i1255z00_14628));
							PROCEDURE_SET(BgL_runz00_16275, (int) (2L), BgL_bodyz00_14629);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16276;

								BgL_mainz00_16276 =
									MAKE_VA_PROCEDURE(BGl_z62main4518z62zz__evaluate_compz00,
									(int) ((-4L)), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_16276,
									(int) (0L), BgL_iboxesz00_14627);
								PROCEDURE_SET(BgL_mainz00_16276,
									(int) (1L), ((obj_t) BgL_i1255z00_14628));
								PROCEDURE_SET(BgL_mainz00_16276, (int) (2L), BgL_bodyz00_14629);
								PROCEDURE_SET(BgL_mainz00_16276, (int) (3L), BgL_runz00_16275);
								PROCEDURE_SET(BgL_mainz00_16276,
									(int) (4L), BgL_siza7ezd2framez75_14630);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16277;

									BgL_objz00_16277 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16275, BgL_objz00_16277);
									BgL_objz00_16277;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3781z00_16278;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3782z00_16279;

										BgL_arg3782z00_16279 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14628))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16280;

											BgL_newz00_16280 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27227;

												BgL_tmpz00_27227 = (int) (3L);
												STRUCT_SET(BgL_newz00_16280, BgL_tmpz00_27227,
													BgL_arg3782z00_16279);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27230;

												BgL_tmpz00_27230 = (int) (2L);
												STRUCT_SET(BgL_newz00_16280, BgL_tmpz00_27230,
													BgL_siza7ezd2framez75_14630);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27233;

												BgL_tmpz00_27233 = (int) (1L);
												STRUCT_SET(BgL_newz00_16280, BgL_tmpz00_27233,
													BgL_runz00_16275);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27238;
												int BgL_tmpz00_27236;

												BgL_auxz00_27238 = BINT((-4L));
												BgL_tmpz00_27236 = (int) (0L);
												STRUCT_SET(BgL_newz00_16280, BgL_tmpz00_27236,
													BgL_auxz00_27238);
											}
											BgL_arg3781z00_16278 = BgL_newz00_16280;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16276, BgL_arg3781z00_16278);
									BgL_arg3781z00_16278;
								}
								return BgL_mainz00_16276;
							}
						}
					}
				}
			}
		}

	}



/* &main4518 */
	obj_t BGl_z62main4518z62zz__evaluate_compz00(obj_t BgL_envz00_14632,
		obj_t BgL_bz00_14638, obj_t BgL_cz00_14639, obj_t BgL_dz00_14640,
		obj_t BgL_lastz00_14641)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14636;
				long BgL_siza7ezd2framez75_14637;

				BgL_runz00_14636 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14632, (int) (3L)));
				BgL_siza7ezd2framez75_14637 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14632, (int) (4L)));
				return
					BGl_mainze734ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14637,
					BgL_runz00_14636, BgL_bz00_14638, BgL_cz00_14639, BgL_dz00_14640,
					BgL_lastz00_14641);
			}
		}

	}



/* main~34 */
	obj_t BGl_mainze734ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15656,
		obj_t BgL_runz00_15655, obj_t BgL_bz00_5371, obj_t BgL_cz00_5372,
		obj_t BgL_dz00_5373, obj_t BgL_lastz00_5374)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5376;

				BgL_sz00_5376 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5377;

					BgL_bpz00_5377 = VECTOR_REF(((obj_t) BgL_sz00_5376), 0L);
					if (
						(((long) CINT(BgL_bpz00_5377) + BgL_siza7ezd2framez75_15656) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5376))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3785z00_5379;

								BgL_arg3785z00_5379 = ((long) CINT(BgL_bpz00_5377) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5376), BgL_arg3785z00_5379, BgL_bz00_5371);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3786z00_5380;

								BgL_arg3786z00_5380 = ((long) CINT(BgL_bpz00_5377) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5376), BgL_arg3786z00_5380, BgL_cz00_5372);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3787z00_5381;

								BgL_arg3787z00_5381 = ((long) CINT(BgL_bpz00_5377) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5376), BgL_arg3787z00_5381, BgL_dz00_5373);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3788z00_5382;

								BgL_arg3788z00_5382 = ((long) CINT(BgL_bpz00_5377) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5376), BgL_arg3788z00_5382,
									BgL_lastz00_5374);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5383;

								BgL_ez00_5383 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12511;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12512;

										BgL_arg4345z00_12512 = BGL_EXITD_PROTECT(BgL_ez00_5383);
										BgL_arg4344z00_12511 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5377, BgL_arg4345z00_12512);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5383, BgL_arg4344z00_12511);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5384;

									BgL_accz00_5384 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15655, BgL_sz00_5376, BgL_bpz00_5377);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5529z00_27279;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12514;

											BgL_arg4343z00_12514 = BGL_EXITD_PROTECT(BgL_ez00_5383);
											BgL_test5529z00_27279 = PAIRP(BgL_arg4343z00_12514);
										}
										if (BgL_test5529z00_27279)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12515;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12516;

													BgL_arg4342z00_12516 =
														BGL_EXITD_PROTECT(BgL_ez00_5383);
													BgL_arg4341z00_12515 =
														CDR(((obj_t) BgL_arg4342z00_12516));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5383,
													BgL_arg4341z00_12515);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5376), 0L, BgL_bpz00_5377);
									return BgL_accz00_5384;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5385;

							BgL_nsz00_5385 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5385, 1L, BgL_sz00_5376);
							VECTOR_SET(BgL_nsz00_5385, 2L, BgL_bz00_5371);
							VECTOR_SET(BgL_nsz00_5385, 3L, BgL_cz00_5372);
							VECTOR_SET(BgL_nsz00_5385, 4L, BgL_dz00_5373);
							VECTOR_SET(BgL_nsz00_5385, 5L, BgL_lastz00_5374);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5386;

								BgL_z12denvz12_5386 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5386, BgL_nsz00_5385);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5387;

									BgL_ez00_5387 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12524;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12525;

											BgL_arg4345z00_12525 = BGL_EXITD_PROTECT(BgL_ez00_5387);
											BgL_arg4344z00_12524 =
												MAKE_YOUNG_PAIR(BgL_sz00_5376, BgL_arg4345z00_12525);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5387, BgL_arg4344z00_12524);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5388;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12526;

											BgL_savedzd2bpzd2_12526 = VECTOR_REF(BgL_nsz00_5385, 0L);
											VECTOR_SET(BgL_nsz00_5385, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12530;

												BgL_fz00_12530 = BgL_runz00_15655;
											BgL_recz00_12529:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12531;

													BgL_rz00_12531 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12530, BgL_nsz00_5385);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5530z00_27307;

														if (PROCEDUREP(BgL_rz00_12531))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12534;

																BgL_arg1763z00_12534 =
																	PROCEDURE_ATTR(BgL_rz00_12531);
																if (STRUCTP(BgL_arg1763z00_12534))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5530z00_27307 =
																			(STRUCT_KEY(BgL_arg1763z00_12534) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5530z00_27307 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5530z00_27307 = ((bool_t) 0);
															}
														if (BgL_test5530z00_27307)
															{
																obj_t BgL_fz00_27315;

																BgL_fz00_27315 = BgL_rz00_12531;
																BgL_fz00_12530 = BgL_fz00_27315;
																goto BgL_recz00_12529;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5385, 0L,
																	BgL_savedzd2bpzd2_12526);
																BgL_____rz00_5388 = BgL_rz00_12531;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5533z00_27317;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12542;

												BgL_arg4343z00_12542 = BGL_EXITD_PROTECT(BgL_ez00_5387);
												BgL_test5533z00_27317 = PAIRP(BgL_arg4343z00_12542);
											}
											if (BgL_test5533z00_27317)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12543;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12544;

														BgL_arg4342z00_12544 =
															BGL_EXITD_PROTECT(BgL_ez00_5387);
														BgL_arg4341z00_12543 =
															CDR(((obj_t) BgL_arg4342z00_12544));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5387,
														BgL_arg4341z00_12543);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5386, BgL_sz00_5376);
										return BgL_____rz00_5388;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4519 */
	obj_t BGl_z62run4519z62zz__evaluate_compz00(obj_t BgL_envz00_14642,
		obj_t BgL_sz00_14646)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14643;
				BgL_ev_absz00_bglt BgL_i1255z00_14644;
				obj_t BgL_bodyz00_14645;

				BgL_iboxesz00_14643 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14642, (int) (0L)));
				BgL_i1255z00_14644 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14642, (int) (1L)));
				BgL_bodyz00_14645 = PROCEDURE_REF(BgL_envz00_14642, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16281;

					BgL_bpz00_16281 = VECTOR_REF(((obj_t) BgL_sz00_14646), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14646,
						BgL_iboxesz00_14643, BgL_bpz00_16281);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16282;
						obj_t BgL_wherez00_16283;
						obj_t BgL_locz00_16284;

						BgL_z12denvz12_16282 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16283 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14644))->
							BgL_wherez00);
						BgL_locz00_16284 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14644))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16282, BgL_wherez00_16283,
								BgL_locz00_16284);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16285;

								BgL_za2za2resza2za2z00_16285 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14645, BgL_sz00_14646);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16282);
								return BgL_za2za2resza2za2z00_16285;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3793> */
	obj_t BGl_z62zc3z04anonymousza33793ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14647, obj_t BgL_sz00_14653)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14648;
				obj_t BgL_siza7eza7_14649;
				BgL_ev_absz00_bglt BgL_i1255z00_14650;
				obj_t BgL_bodyz00_14651;
				obj_t BgL_siza7ezd2framez75_14652;

				BgL_ifreesz00_14648 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14647, (int) (0L)));
				BgL_siza7eza7_14649 = PROCEDURE_REF(BgL_envz00_14647, (int) (1L));
				BgL_i1255z00_14650 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14647, (int) (2L)));
				BgL_bodyz00_14651 = PROCEDURE_REF(BgL_envz00_14647, (int) (3L));
				BgL_siza7ezd2framez75_14652 =
					PROCEDURE_REF(BgL_envz00_14647, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16286;

					BgL_bpz00_16286 = VECTOR_REF(((obj_t) BgL_sz00_14653), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16287;

						BgL_valza2za2_16287 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14653,
							BgL_bpz00_16286, BgL_ifreesz00_14648);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16288;

							BgL_runz00_16288 =
								MAKE_FX_PROCEDURE(BGl_z62run4521z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_16288, (int) (0L), BgL_siza7eza7_14649);
							PROCEDURE_SET(BgL_runz00_16288, (int) (1L), BgL_valza2za2_16287);
							PROCEDURE_SET(BgL_runz00_16288,
								(int) (2L), ((obj_t) BgL_i1255z00_14650));
							PROCEDURE_SET(BgL_runz00_16288, (int) (3L), BgL_bodyz00_14651);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16289;

								BgL_mainz00_16289 =
									MAKE_VA_PROCEDURE(BGl_z62main4520z62zz__evaluate_compz00,
									(int) ((-4L)), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_16289,
									(int) (0L), BgL_siza7eza7_14649);
								PROCEDURE_SET(BgL_mainz00_16289,
									(int) (1L), BgL_valza2za2_16287);
								PROCEDURE_SET(BgL_mainz00_16289,
									(int) (2L), ((obj_t) BgL_i1255z00_14650));
								PROCEDURE_SET(BgL_mainz00_16289, (int) (3L), BgL_bodyz00_14651);
								PROCEDURE_SET(BgL_mainz00_16289, (int) (4L), BgL_runz00_16288);
								PROCEDURE_SET(BgL_mainz00_16289,
									(int) (5L), BgL_siza7ezd2framez75_14652);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16290;

									BgL_objz00_16290 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16288, BgL_objz00_16290);
									BgL_objz00_16290;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3794z00_16291;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3795z00_16292;

										BgL_arg3795z00_16292 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14650))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16293;

											BgL_newz00_16293 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27392;

												BgL_tmpz00_27392 = (int) (3L);
												STRUCT_SET(BgL_newz00_16293, BgL_tmpz00_27392,
													BgL_arg3795z00_16292);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27395;

												BgL_tmpz00_27395 = (int) (2L);
												STRUCT_SET(BgL_newz00_16293, BgL_tmpz00_27395,
													BgL_siza7ezd2framez75_14652);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27398;

												BgL_tmpz00_27398 = (int) (1L);
												STRUCT_SET(BgL_newz00_16293, BgL_tmpz00_27398,
													BgL_runz00_16288);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27403;
												int BgL_tmpz00_27401;

												BgL_auxz00_27403 = BINT((-4L));
												BgL_tmpz00_27401 = (int) (0L);
												STRUCT_SET(BgL_newz00_16293, BgL_tmpz00_27401,
													BgL_auxz00_27403);
											}
											BgL_arg3794z00_16291 = BgL_newz00_16293;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16289, BgL_arg3794z00_16291);
									BgL_arg3794z00_16291;
								}
								return BgL_mainz00_16289;
							}
						}
					}
				}
			}
		}

	}



/* &main4520 */
	obj_t BGl_z62main4520z62zz__evaluate_compz00(obj_t BgL_envz00_14654,
		obj_t BgL_bz00_14661, obj_t BgL_cz00_14662, obj_t BgL_dz00_14663,
		obj_t BgL_lastz00_14664)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14659;
				long BgL_siza7ezd2framez75_14660;

				BgL_runz00_14659 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14654, (int) (4L)));
				BgL_siza7ezd2framez75_14660 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14654, (int) (5L)));
				return
					BGl_mainze733ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14660,
					BgL_runz00_14659, BgL_bz00_14661, BgL_cz00_14662, BgL_dz00_14663,
					BgL_lastz00_14664);
			}
		}

	}



/* main~33 */
	obj_t BGl_mainze733ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15654,
		obj_t BgL_runz00_15653, obj_t BgL_bz00_5409, obj_t BgL_cz00_5410,
		obj_t BgL_dz00_5411, obj_t BgL_lastz00_5412)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5414;

				BgL_sz00_5414 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5415;

					BgL_bpz00_5415 = VECTOR_REF(((obj_t) BgL_sz00_5414), 0L);
					if (
						(((long) CINT(BgL_bpz00_5415) + BgL_siza7ezd2framez75_15654) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5414))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3798z00_5417;

								BgL_arg3798z00_5417 = ((long) CINT(BgL_bpz00_5415) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5414), BgL_arg3798z00_5417, BgL_bz00_5409);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3799z00_5418;

								BgL_arg3799z00_5418 = ((long) CINT(BgL_bpz00_5415) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5414), BgL_arg3799z00_5418, BgL_cz00_5410);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3800z00_5419;

								BgL_arg3800z00_5419 = ((long) CINT(BgL_bpz00_5415) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5414), BgL_arg3800z00_5419, BgL_dz00_5411);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3801z00_5420;

								BgL_arg3801z00_5420 = ((long) CINT(BgL_bpz00_5415) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5414), BgL_arg3801z00_5420,
									BgL_lastz00_5412);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5421;

								BgL_ez00_5421 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12578;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12579;

										BgL_arg4345z00_12579 = BGL_EXITD_PROTECT(BgL_ez00_5421);
										BgL_arg4344z00_12578 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5415, BgL_arg4345z00_12579);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5421, BgL_arg4344z00_12578);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5422;

									BgL_accz00_5422 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15653, BgL_sz00_5414, BgL_bpz00_5415);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5535z00_27444;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12581;

											BgL_arg4343z00_12581 = BGL_EXITD_PROTECT(BgL_ez00_5421);
											BgL_test5535z00_27444 = PAIRP(BgL_arg4343z00_12581);
										}
										if (BgL_test5535z00_27444)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12582;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12583;

													BgL_arg4342z00_12583 =
														BGL_EXITD_PROTECT(BgL_ez00_5421);
													BgL_arg4341z00_12582 =
														CDR(((obj_t) BgL_arg4342z00_12583));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5421,
													BgL_arg4341z00_12582);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5414), 0L, BgL_bpz00_5415);
									return BgL_accz00_5422;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5423;

							BgL_nsz00_5423 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5423, 1L, BgL_sz00_5414);
							VECTOR_SET(BgL_nsz00_5423, 2L, BgL_bz00_5409);
							VECTOR_SET(BgL_nsz00_5423, 3L, BgL_cz00_5410);
							VECTOR_SET(BgL_nsz00_5423, 4L, BgL_dz00_5411);
							VECTOR_SET(BgL_nsz00_5423, 5L, BgL_lastz00_5412);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5424;

								BgL_z12denvz12_5424 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5424, BgL_nsz00_5423);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5425;

									BgL_ez00_5425 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12591;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12592;

											BgL_arg4345z00_12592 = BGL_EXITD_PROTECT(BgL_ez00_5425);
											BgL_arg4344z00_12591 =
												MAKE_YOUNG_PAIR(BgL_sz00_5414, BgL_arg4345z00_12592);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5425, BgL_arg4344z00_12591);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5426;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12593;

											BgL_savedzd2bpzd2_12593 = VECTOR_REF(BgL_nsz00_5423, 0L);
											VECTOR_SET(BgL_nsz00_5423, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12597;

												BgL_fz00_12597 = BgL_runz00_15653;
											BgL_recz00_12596:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12598;

													BgL_rz00_12598 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12597, BgL_nsz00_5423);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5536z00_27472;

														if (PROCEDUREP(BgL_rz00_12598))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12601;

																BgL_arg1763z00_12601 =
																	PROCEDURE_ATTR(BgL_rz00_12598);
																if (STRUCTP(BgL_arg1763z00_12601))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5536z00_27472 =
																			(STRUCT_KEY(BgL_arg1763z00_12601) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5536z00_27472 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5536z00_27472 = ((bool_t) 0);
															}
														if (BgL_test5536z00_27472)
															{
																obj_t BgL_fz00_27480;

																BgL_fz00_27480 = BgL_rz00_12598;
																BgL_fz00_12597 = BgL_fz00_27480;
																goto BgL_recz00_12596;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5423, 0L,
																	BgL_savedzd2bpzd2_12593);
																BgL_____rz00_5426 = BgL_rz00_12598;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5539z00_27482;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12609;

												BgL_arg4343z00_12609 = BGL_EXITD_PROTECT(BgL_ez00_5425);
												BgL_test5539z00_27482 = PAIRP(BgL_arg4343z00_12609);
											}
											if (BgL_test5539z00_27482)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12610;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12611;

														BgL_arg4342z00_12611 =
															BGL_EXITD_PROTECT(BgL_ez00_5425);
														BgL_arg4341z00_12610 =
															CDR(((obj_t) BgL_arg4342z00_12611));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5425,
														BgL_arg4341z00_12610);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5424, BgL_sz00_5414);
										return BgL_____rz00_5426;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4521 */
	obj_t BGl_z62run4521z62zz__evaluate_compz00(obj_t BgL_envz00_14665,
		obj_t BgL_sz00_14670)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14666;
				obj_t BgL_valza2za2_14667;
				BgL_ev_absz00_bglt BgL_i1255z00_14668;
				obj_t BgL_bodyz00_14669;

				BgL_siza7eza7_14666 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14665, (int) (0L)));
				BgL_valza2za2_14667 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14665, (int) (1L)));
				BgL_i1255z00_14668 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14665, (int) (2L)));
				BgL_bodyz00_14669 = PROCEDURE_REF(BgL_envz00_14665, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16294;

					BgL_bpz00_16294 = VECTOR_REF(((obj_t) BgL_sz00_14670), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14670,
						BgL_valza2za2_14667,
						((long) CINT(BgL_bpz00_16294) + BgL_siza7eza7_14666));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16295;
						obj_t BgL_wherez00_16296;
						obj_t BgL_locz00_16297;

						BgL_z12denvz12_16295 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16296 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14668))->
							BgL_wherez00);
						BgL_locz00_16297 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14668))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16295, BgL_wherez00_16296,
								BgL_locz00_16297);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16298;

								BgL_za2za2resza2za2z00_16298 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14669, BgL_sz00_14670);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16295);
								return BgL_za2za2resza2za2z00_16298;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3804> */
	obj_t BGl_z62zc3z04anonymousza33804ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14671, obj_t BgL_sz00_14678)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14672;
				obj_t BgL_iboxesz00_14673;
				obj_t BgL_siza7eza7_14674;
				BgL_ev_absz00_bglt BgL_i1255z00_14675;
				obj_t BgL_bodyz00_14676;
				obj_t BgL_siza7ezd2framez75_14677;

				BgL_ifreesz00_14672 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14671, (int) (0L)));
				BgL_iboxesz00_14673 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14671, (int) (1L)));
				BgL_siza7eza7_14674 = PROCEDURE_REF(BgL_envz00_14671, (int) (2L));
				BgL_i1255z00_14675 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14671, (int) (3L)));
				BgL_bodyz00_14676 = PROCEDURE_REF(BgL_envz00_14671, (int) (4L));
				BgL_siza7ezd2framez75_14677 =
					PROCEDURE_REF(BgL_envz00_14671, (int) (5L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16299;

					BgL_bpz00_16299 = VECTOR_REF(((obj_t) BgL_sz00_14678), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16300;

						BgL_valza2za2_16300 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14678,
							BgL_bpz00_16299, BgL_ifreesz00_14672);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16301;

							BgL_runz00_16301 =
								MAKE_FX_PROCEDURE(BGl_z62run4523z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_16301, (int) (0L), BgL_iboxesz00_14673);
							PROCEDURE_SET(BgL_runz00_16301, (int) (1L), BgL_siza7eza7_14674);
							PROCEDURE_SET(BgL_runz00_16301, (int) (2L), BgL_valza2za2_16300);
							PROCEDURE_SET(BgL_runz00_16301,
								(int) (3L), ((obj_t) BgL_i1255z00_14675));
							PROCEDURE_SET(BgL_runz00_16301, (int) (4L), BgL_bodyz00_14676);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16302;

								BgL_mainz00_16302 =
									MAKE_VA_PROCEDURE(BGl_z62main4522z62zz__evaluate_compz00,
									(int) ((-4L)), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_16302,
									(int) (0L), BgL_iboxesz00_14673);
								PROCEDURE_SET(BgL_mainz00_16302,
									(int) (1L), BgL_siza7eza7_14674);
								PROCEDURE_SET(BgL_mainz00_16302,
									(int) (2L), BgL_valza2za2_16300);
								PROCEDURE_SET(BgL_mainz00_16302,
									(int) (3L), ((obj_t) BgL_i1255z00_14675));
								PROCEDURE_SET(BgL_mainz00_16302, (int) (4L), BgL_bodyz00_14676);
								PROCEDURE_SET(BgL_mainz00_16302, (int) (5L), BgL_runz00_16301);
								PROCEDURE_SET(BgL_mainz00_16302,
									(int) (6L), BgL_siza7ezd2framez75_14677);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16303;

									BgL_objz00_16303 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16301, BgL_objz00_16303);
									BgL_objz00_16303;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3805z00_16304;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3806z00_16305;

										BgL_arg3806z00_16305 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14675))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16306;

											BgL_newz00_16306 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27569;

												BgL_tmpz00_27569 = (int) (3L);
												STRUCT_SET(BgL_newz00_16306, BgL_tmpz00_27569,
													BgL_arg3806z00_16305);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27572;

												BgL_tmpz00_27572 = (int) (2L);
												STRUCT_SET(BgL_newz00_16306, BgL_tmpz00_27572,
													BgL_siza7ezd2framez75_14677);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27575;

												BgL_tmpz00_27575 = (int) (1L);
												STRUCT_SET(BgL_newz00_16306, BgL_tmpz00_27575,
													BgL_runz00_16301);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27580;
												int BgL_tmpz00_27578;

												BgL_auxz00_27580 = BINT((-4L));
												BgL_tmpz00_27578 = (int) (0L);
												STRUCT_SET(BgL_newz00_16306, BgL_tmpz00_27578,
													BgL_auxz00_27580);
											}
											BgL_arg3805z00_16304 = BgL_newz00_16306;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16302, BgL_arg3805z00_16304);
									BgL_arg3805z00_16304;
								}
								return BgL_mainz00_16302;
							}
						}
					}
				}
			}
		}

	}



/* &main4522 */
	obj_t BGl_z62main4522z62zz__evaluate_compz00(obj_t BgL_envz00_14679,
		obj_t BgL_bz00_14687, obj_t BgL_cz00_14688, obj_t BgL_dz00_14689,
		obj_t BgL_lastz00_14690)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14685;
				long BgL_siza7ezd2framez75_14686;

				BgL_runz00_14685 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14679, (int) (5L)));
				BgL_siza7ezd2framez75_14686 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14679, (int) (6L)));
				return
					BGl_mainze732ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14686,
					BgL_runz00_14685, BgL_bz00_14687, BgL_cz00_14688, BgL_dz00_14689,
					BgL_lastz00_14690);
			}
		}

	}



/* main~32 */
	obj_t BGl_mainze732ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15652,
		obj_t BgL_runz00_15651, obj_t BgL_bz00_5445, obj_t BgL_cz00_5446,
		obj_t BgL_dz00_5447, obj_t BgL_lastz00_5448)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5450;

				BgL_sz00_5450 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5451;

					BgL_bpz00_5451 = VECTOR_REF(((obj_t) BgL_sz00_5450), 0L);
					if (
						(((long) CINT(BgL_bpz00_5451) + BgL_siza7ezd2framez75_15652) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5450))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3809z00_5453;

								BgL_arg3809z00_5453 = ((long) CINT(BgL_bpz00_5451) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5450), BgL_arg3809z00_5453, BgL_bz00_5445);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3810z00_5454;

								BgL_arg3810z00_5454 = ((long) CINT(BgL_bpz00_5451) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5450), BgL_arg3810z00_5454, BgL_cz00_5446);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3811z00_5455;

								BgL_arg3811z00_5455 = ((long) CINT(BgL_bpz00_5451) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5450), BgL_arg3811z00_5455, BgL_dz00_5447);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3812z00_5456;

								BgL_arg3812z00_5456 = ((long) CINT(BgL_bpz00_5451) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5450), BgL_arg3812z00_5456,
									BgL_lastz00_5448);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5457;

								BgL_ez00_5457 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12643;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12644;

										BgL_arg4345z00_12644 = BGL_EXITD_PROTECT(BgL_ez00_5457);
										BgL_arg4344z00_12643 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5451, BgL_arg4345z00_12644);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5457, BgL_arg4344z00_12643);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5458;

									BgL_accz00_5458 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15651, BgL_sz00_5450, BgL_bpz00_5451);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5541z00_27621;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12646;

											BgL_arg4343z00_12646 = BGL_EXITD_PROTECT(BgL_ez00_5457);
											BgL_test5541z00_27621 = PAIRP(BgL_arg4343z00_12646);
										}
										if (BgL_test5541z00_27621)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12647;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12648;

													BgL_arg4342z00_12648 =
														BGL_EXITD_PROTECT(BgL_ez00_5457);
													BgL_arg4341z00_12647 =
														CDR(((obj_t) BgL_arg4342z00_12648));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5457,
													BgL_arg4341z00_12647);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5450), 0L, BgL_bpz00_5451);
									return BgL_accz00_5458;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5459;

							BgL_nsz00_5459 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5459, 1L, BgL_sz00_5450);
							VECTOR_SET(BgL_nsz00_5459, 2L, BgL_bz00_5445);
							VECTOR_SET(BgL_nsz00_5459, 3L, BgL_cz00_5446);
							VECTOR_SET(BgL_nsz00_5459, 4L, BgL_dz00_5447);
							VECTOR_SET(BgL_nsz00_5459, 5L, BgL_lastz00_5448);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5460;

								BgL_z12denvz12_5460 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5460, BgL_nsz00_5459);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5461;

									BgL_ez00_5461 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12656;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12657;

											BgL_arg4345z00_12657 = BGL_EXITD_PROTECT(BgL_ez00_5461);
											BgL_arg4344z00_12656 =
												MAKE_YOUNG_PAIR(BgL_sz00_5450, BgL_arg4345z00_12657);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5461, BgL_arg4344z00_12656);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5462;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12658;

											BgL_savedzd2bpzd2_12658 = VECTOR_REF(BgL_nsz00_5459, 0L);
											VECTOR_SET(BgL_nsz00_5459, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12662;

												BgL_fz00_12662 = BgL_runz00_15651;
											BgL_recz00_12661:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12663;

													BgL_rz00_12663 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12662, BgL_nsz00_5459);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5542z00_27649;

														if (PROCEDUREP(BgL_rz00_12663))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12666;

																BgL_arg1763z00_12666 =
																	PROCEDURE_ATTR(BgL_rz00_12663);
																if (STRUCTP(BgL_arg1763z00_12666))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5542z00_27649 =
																			(STRUCT_KEY(BgL_arg1763z00_12666) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5542z00_27649 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5542z00_27649 = ((bool_t) 0);
															}
														if (BgL_test5542z00_27649)
															{
																obj_t BgL_fz00_27657;

																BgL_fz00_27657 = BgL_rz00_12663;
																BgL_fz00_12662 = BgL_fz00_27657;
																goto BgL_recz00_12661;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5459, 0L,
																	BgL_savedzd2bpzd2_12658);
																BgL_____rz00_5462 = BgL_rz00_12663;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5545z00_27659;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12674;

												BgL_arg4343z00_12674 = BGL_EXITD_PROTECT(BgL_ez00_5461);
												BgL_test5545z00_27659 = PAIRP(BgL_arg4343z00_12674);
											}
											if (BgL_test5545z00_27659)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12675;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12676;

														BgL_arg4342z00_12676 =
															BGL_EXITD_PROTECT(BgL_ez00_5461);
														BgL_arg4341z00_12675 =
															CDR(((obj_t) BgL_arg4342z00_12676));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5461,
														BgL_arg4341z00_12675);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5460, BgL_sz00_5450);
										return BgL_____rz00_5462;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4523 */
	obj_t BGl_z62run4523z62zz__evaluate_compz00(obj_t BgL_envz00_14691,
		obj_t BgL_sz00_14697)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14692;
				long BgL_siza7eza7_14693;
				obj_t BgL_valza2za2_14694;
				BgL_ev_absz00_bglt BgL_i1255z00_14695;
				obj_t BgL_bodyz00_14696;

				BgL_iboxesz00_14692 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14691, (int) (0L)));
				BgL_siza7eza7_14693 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14691, (int) (1L)));
				BgL_valza2za2_14694 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14691, (int) (2L)));
				BgL_i1255z00_14695 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14691, (int) (3L)));
				BgL_bodyz00_14696 = PROCEDURE_REF(BgL_envz00_14691, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16307;

					BgL_bpz00_16307 = VECTOR_REF(((obj_t) BgL_sz00_14697), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14697,
						BgL_iboxesz00_14692, BgL_bpz00_16307);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14697,
						BgL_valza2za2_14694,
						((long) CINT(BgL_bpz00_16307) + BgL_siza7eza7_14693));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16308;
						obj_t BgL_wherez00_16309;
						obj_t BgL_locz00_16310;

						BgL_z12denvz12_16308 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16309 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14695))->
							BgL_wherez00);
						BgL_locz00_16310 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14695))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16308, BgL_wherez00_16309,
								BgL_locz00_16310);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16311;

								BgL_za2za2resza2za2z00_16311 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14696, BgL_sz00_14697);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16308);
								return BgL_za2za2resza2za2z00_16311;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3722> */
	obj_t BGl_z62zc3z04anonymousza33722ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14698, obj_t BgL_sz00_14702)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14699;
				obj_t BgL_bodyz00_14700;
				obj_t BgL_siza7ezd2framez75_14701;

				BgL_i1255z00_14699 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14698, (int) (0L)));
				BgL_bodyz00_14700 = PROCEDURE_REF(BgL_envz00_14698, (int) (1L));
				BgL_siza7ezd2framez75_14701 =
					PROCEDURE_REF(BgL_envz00_14698, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16312;

					BgL_bpz00_16312 = VECTOR_REF(((obj_t) BgL_sz00_14702), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16313;

							BgL_runz00_16313 =
								MAKE_FX_PROCEDURE(BGl_z62run4525z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_16313,
								(int) (0L), ((obj_t) BgL_i1255z00_14699));
							PROCEDURE_SET(BgL_runz00_16313, (int) (1L), BgL_bodyz00_14700);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16314;

								BgL_mainz00_16314 =
									MAKE_FX_PROCEDURE(BGl_z62main4524z62zz__evaluate_compz00,
									(int) (3L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_16314,
									(int) (0L), ((obj_t) BgL_i1255z00_14699));
								PROCEDURE_SET(BgL_mainz00_16314, (int) (1L), BgL_bodyz00_14700);
								PROCEDURE_SET(BgL_mainz00_16314, (int) (2L), BgL_runz00_16313);
								PROCEDURE_SET(BgL_mainz00_16314,
									(int) (3L), BgL_siza7ezd2framez75_14701);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16315;

									BgL_objz00_16315 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16313, BgL_objz00_16315);
									BgL_objz00_16315;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3723z00_16316;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3724z00_16317;

										BgL_arg3724z00_16317 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14699))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16318;

											BgL_newz00_16318 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27729;

												BgL_tmpz00_27729 = (int) (3L);
												STRUCT_SET(BgL_newz00_16318, BgL_tmpz00_27729,
													BgL_arg3724z00_16317);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27732;

												BgL_tmpz00_27732 = (int) (2L);
												STRUCT_SET(BgL_newz00_16318, BgL_tmpz00_27732,
													BgL_siza7ezd2framez75_14701);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27735;

												BgL_tmpz00_27735 = (int) (1L);
												STRUCT_SET(BgL_newz00_16318, BgL_tmpz00_27735,
													BgL_runz00_16313);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27740;
												int BgL_tmpz00_27738;

												BgL_auxz00_27740 = BINT(3L);
												BgL_tmpz00_27738 = (int) (0L);
												STRUCT_SET(BgL_newz00_16318, BgL_tmpz00_27738,
													BgL_auxz00_27740);
											}
											BgL_arg3723z00_16316 = BgL_newz00_16318;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16314, BgL_arg3723z00_16316);
									BgL_arg3723z00_16316;
								}
								return BgL_mainz00_16314;
							}
						}
					}
				}
			}
		}

	}



/* &main4524 */
	obj_t BGl_z62main4524z62zz__evaluate_compz00(obj_t BgL_envz00_14703,
		obj_t BgL_bz00_14708, obj_t BgL_cz00_14709, obj_t BgL_dz00_14710)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14706;
				long BgL_siza7ezd2framez75_14707;

				BgL_runz00_14706 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14703, (int) (2L)));
				BgL_siza7ezd2framez75_14707 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14703, (int) (3L)));
				return
					BGl_mainze731ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14707,
					BgL_runz00_14706, BgL_bz00_14708, BgL_cz00_14709, BgL_dz00_14710);
			}
		}

	}



/* main~31 */
	obj_t BGl_mainze731ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15650,
		obj_t BgL_runz00_15649, obj_t BgL_bz00_5196, obj_t BgL_cz00_5197,
		obj_t BgL_dz00_5198)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5200;

				BgL_sz00_5200 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5201;

					BgL_bpz00_5201 = VECTOR_REF(((obj_t) BgL_sz00_5200), 0L);
					if (
						(((long) CINT(BgL_bpz00_5201) + BgL_siza7ezd2framez75_15650) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5200))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3727z00_5203;

								BgL_arg3727z00_5203 = ((long) CINT(BgL_bpz00_5201) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5200), BgL_arg3727z00_5203, BgL_bz00_5196);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3728z00_5204;

								BgL_arg3728z00_5204 = ((long) CINT(BgL_bpz00_5201) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5200), BgL_arg3728z00_5204, BgL_cz00_5197);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3729z00_5205;

								BgL_arg3729z00_5205 = ((long) CINT(BgL_bpz00_5201) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5200), BgL_arg3729z00_5205, BgL_dz00_5198);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5206;

								BgL_ez00_5206 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12199;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12200;

										BgL_arg4345z00_12200 = BGL_EXITD_PROTECT(BgL_ez00_5206);
										BgL_arg4344z00_12199 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5201, BgL_arg4345z00_12200);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5206, BgL_arg4344z00_12199);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5207;

									BgL_accz00_5207 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15649, BgL_sz00_5200, BgL_bpz00_5201);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5547z00_27777;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12202;

											BgL_arg4343z00_12202 = BGL_EXITD_PROTECT(BgL_ez00_5206);
											BgL_test5547z00_27777 = PAIRP(BgL_arg4343z00_12202);
										}
										if (BgL_test5547z00_27777)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12203;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12204;

													BgL_arg4342z00_12204 =
														BGL_EXITD_PROTECT(BgL_ez00_5206);
													BgL_arg4341z00_12203 =
														CDR(((obj_t) BgL_arg4342z00_12204));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5206,
													BgL_arg4341z00_12203);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5200), 0L, BgL_bpz00_5201);
									return BgL_accz00_5207;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5208;

							BgL_nsz00_5208 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5208, 1L, BgL_sz00_5200);
							VECTOR_SET(BgL_nsz00_5208, 2L, BgL_bz00_5196);
							VECTOR_SET(BgL_nsz00_5208, 3L, BgL_cz00_5197);
							VECTOR_SET(BgL_nsz00_5208, 4L, BgL_dz00_5198);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5209;

								BgL_z12denvz12_5209 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5209, BgL_nsz00_5208);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5210;

									BgL_ez00_5210 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12211;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12212;

											BgL_arg4345z00_12212 = BGL_EXITD_PROTECT(BgL_ez00_5210);
											BgL_arg4344z00_12211 =
												MAKE_YOUNG_PAIR(BgL_sz00_5200, BgL_arg4345z00_12212);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5210, BgL_arg4344z00_12211);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5211;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12213;

											BgL_savedzd2bpzd2_12213 = VECTOR_REF(BgL_nsz00_5208, 0L);
											VECTOR_SET(BgL_nsz00_5208, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12217;

												BgL_fz00_12217 = BgL_runz00_15649;
											BgL_recz00_12216:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12218;

													BgL_rz00_12218 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12217, BgL_nsz00_5208);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5548z00_27804;

														if (PROCEDUREP(BgL_rz00_12218))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12221;

																BgL_arg1763z00_12221 =
																	PROCEDURE_ATTR(BgL_rz00_12218);
																if (STRUCTP(BgL_arg1763z00_12221))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5548z00_27804 =
																			(STRUCT_KEY(BgL_arg1763z00_12221) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5548z00_27804 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5548z00_27804 = ((bool_t) 0);
															}
														if (BgL_test5548z00_27804)
															{
																obj_t BgL_fz00_27812;

																BgL_fz00_27812 = BgL_rz00_12218;
																BgL_fz00_12217 = BgL_fz00_27812;
																goto BgL_recz00_12216;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5208, 0L,
																	BgL_savedzd2bpzd2_12213);
																BgL_____rz00_5211 = BgL_rz00_12218;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5551z00_27814;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12229;

												BgL_arg4343z00_12229 = BGL_EXITD_PROTECT(BgL_ez00_5210);
												BgL_test5551z00_27814 = PAIRP(BgL_arg4343z00_12229);
											}
											if (BgL_test5551z00_27814)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12230;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12231;

														BgL_arg4342z00_12231 =
															BGL_EXITD_PROTECT(BgL_ez00_5210);
														BgL_arg4341z00_12230 =
															CDR(((obj_t) BgL_arg4342z00_12231));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5210,
														BgL_arg4341z00_12230);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5209, BgL_sz00_5200);
										return BgL_____rz00_5211;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4525 */
	obj_t BGl_z62run4525z62zz__evaluate_compz00(obj_t BgL_envz00_14711,
		obj_t BgL_sz00_14714)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14712;
				obj_t BgL_bodyz00_14713;

				BgL_i1255z00_14712 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14711, (int) (0L)));
				BgL_bodyz00_14713 = PROCEDURE_REF(BgL_envz00_14711, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16319;

					BgL_bpz00_16319 = VECTOR_REF(((obj_t) BgL_sz00_14714), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16320;
						obj_t BgL_wherez00_16321;
						obj_t BgL_locz00_16322;

						BgL_z12denvz12_16320 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16321 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14712))->
							BgL_wherez00);
						BgL_locz00_16322 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14712))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16320, BgL_wherez00_16321,
								BgL_locz00_16322);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16323;

								BgL_za2za2resza2za2z00_16323 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14713, BgL_sz00_14714);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16320);
								return BgL_za2za2resza2za2z00_16323;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3731> */
	obj_t BGl_z62zc3z04anonymousza33731ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14715, obj_t BgL_sz00_14720)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14716;
				BgL_ev_absz00_bglt BgL_i1255z00_14717;
				obj_t BgL_bodyz00_14718;
				obj_t BgL_siza7ezd2framez75_14719;

				BgL_iboxesz00_14716 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14715, (int) (0L)));
				BgL_i1255z00_14717 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14715, (int) (1L)));
				BgL_bodyz00_14718 = PROCEDURE_REF(BgL_envz00_14715, (int) (2L));
				BgL_siza7ezd2framez75_14719 =
					PROCEDURE_REF(BgL_envz00_14715, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16324;

					BgL_bpz00_16324 = VECTOR_REF(((obj_t) BgL_sz00_14720), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16325;

							BgL_runz00_16325 =
								MAKE_FX_PROCEDURE(BGl_z62run4527z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_16325, (int) (0L), BgL_iboxesz00_14716);
							PROCEDURE_SET(BgL_runz00_16325,
								(int) (1L), ((obj_t) BgL_i1255z00_14717));
							PROCEDURE_SET(BgL_runz00_16325, (int) (2L), BgL_bodyz00_14718);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16326;

								BgL_mainz00_16326 =
									MAKE_FX_PROCEDURE(BGl_z62main4526z62zz__evaluate_compz00,
									(int) (3L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_16326,
									(int) (0L), BgL_iboxesz00_14716);
								PROCEDURE_SET(BgL_mainz00_16326,
									(int) (1L), ((obj_t) BgL_i1255z00_14717));
								PROCEDURE_SET(BgL_mainz00_16326, (int) (2L), BgL_bodyz00_14718);
								PROCEDURE_SET(BgL_mainz00_16326, (int) (3L), BgL_runz00_16325);
								PROCEDURE_SET(BgL_mainz00_16326,
									(int) (4L), BgL_siza7ezd2framez75_14719);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16327;

									BgL_objz00_16327 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16325, BgL_objz00_16327);
									BgL_objz00_16327;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3732z00_16328;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3734z00_16329;

										BgL_arg3734z00_16329 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14717))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16330;

											BgL_newz00_16330 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27878;

												BgL_tmpz00_27878 = (int) (3L);
												STRUCT_SET(BgL_newz00_16330, BgL_tmpz00_27878,
													BgL_arg3734z00_16329);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27881;

												BgL_tmpz00_27881 = (int) (2L);
												STRUCT_SET(BgL_newz00_16330, BgL_tmpz00_27881,
													BgL_siza7ezd2framez75_14719);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27884;

												BgL_tmpz00_27884 = (int) (1L);
												STRUCT_SET(BgL_newz00_16330, BgL_tmpz00_27884,
													BgL_runz00_16325);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27889;
												int BgL_tmpz00_27887;

												BgL_auxz00_27889 = BINT(3L);
												BgL_tmpz00_27887 = (int) (0L);
												STRUCT_SET(BgL_newz00_16330, BgL_tmpz00_27887,
													BgL_auxz00_27889);
											}
											BgL_arg3732z00_16328 = BgL_newz00_16330;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16326, BgL_arg3732z00_16328);
									BgL_arg3732z00_16328;
								}
								return BgL_mainz00_16326;
							}
						}
					}
				}
			}
		}

	}



/* &main4526 */
	obj_t BGl_z62main4526z62zz__evaluate_compz00(obj_t BgL_envz00_14721,
		obj_t BgL_bz00_14727, obj_t BgL_cz00_14728, obj_t BgL_dz00_14729)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14725;
				long BgL_siza7ezd2framez75_14726;

				BgL_runz00_14725 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14721, (int) (3L)));
				BgL_siza7ezd2framez75_14726 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14721, (int) (4L)));
				return
					BGl_mainze730ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14726,
					BgL_runz00_14725, BgL_bz00_14727, BgL_cz00_14728, BgL_dz00_14729);
			}
		}

	}



/* main~30 */
	obj_t BGl_mainze730ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15648,
		obj_t BgL_runz00_15647, obj_t BgL_bz00_5228, obj_t BgL_cz00_5229,
		obj_t BgL_dz00_5230)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5232;

				BgL_sz00_5232 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5233;

					BgL_bpz00_5233 = VECTOR_REF(((obj_t) BgL_sz00_5232), 0L);
					if (
						(((long) CINT(BgL_bpz00_5233) + BgL_siza7ezd2framez75_15648) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5232))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3737z00_5235;

								BgL_arg3737z00_5235 = ((long) CINT(BgL_bpz00_5233) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5232), BgL_arg3737z00_5235, BgL_bz00_5228);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3738z00_5236;

								BgL_arg3738z00_5236 = ((long) CINT(BgL_bpz00_5233) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5232), BgL_arg3738z00_5236, BgL_cz00_5229);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3739z00_5237;

								BgL_arg3739z00_5237 = ((long) CINT(BgL_bpz00_5233) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5232), BgL_arg3739z00_5237, BgL_dz00_5230);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5238;

								BgL_ez00_5238 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12258;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12259;

										BgL_arg4345z00_12259 = BGL_EXITD_PROTECT(BgL_ez00_5238);
										BgL_arg4344z00_12258 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5233, BgL_arg4345z00_12259);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5238, BgL_arg4344z00_12258);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5239;

									BgL_accz00_5239 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15647, BgL_sz00_5232, BgL_bpz00_5233);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5553z00_27926;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12261;

											BgL_arg4343z00_12261 = BGL_EXITD_PROTECT(BgL_ez00_5238);
											BgL_test5553z00_27926 = PAIRP(BgL_arg4343z00_12261);
										}
										if (BgL_test5553z00_27926)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12262;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12263;

													BgL_arg4342z00_12263 =
														BGL_EXITD_PROTECT(BgL_ez00_5238);
													BgL_arg4341z00_12262 =
														CDR(((obj_t) BgL_arg4342z00_12263));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5238,
													BgL_arg4341z00_12262);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5232), 0L, BgL_bpz00_5233);
									return BgL_accz00_5239;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5240;

							BgL_nsz00_5240 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5240, 1L, BgL_sz00_5232);
							VECTOR_SET(BgL_nsz00_5240, 2L, BgL_bz00_5228);
							VECTOR_SET(BgL_nsz00_5240, 3L, BgL_cz00_5229);
							VECTOR_SET(BgL_nsz00_5240, 4L, BgL_dz00_5230);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5241;

								BgL_z12denvz12_5241 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5241, BgL_nsz00_5240);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5242;

									BgL_ez00_5242 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12270;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12271;

											BgL_arg4345z00_12271 = BGL_EXITD_PROTECT(BgL_ez00_5242);
											BgL_arg4344z00_12270 =
												MAKE_YOUNG_PAIR(BgL_sz00_5232, BgL_arg4345z00_12271);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5242, BgL_arg4344z00_12270);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5243;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12272;

											BgL_savedzd2bpzd2_12272 = VECTOR_REF(BgL_nsz00_5240, 0L);
											VECTOR_SET(BgL_nsz00_5240, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12276;

												BgL_fz00_12276 = BgL_runz00_15647;
											BgL_recz00_12275:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12277;

													BgL_rz00_12277 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12276, BgL_nsz00_5240);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5554z00_27953;

														if (PROCEDUREP(BgL_rz00_12277))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12280;

																BgL_arg1763z00_12280 =
																	PROCEDURE_ATTR(BgL_rz00_12277);
																if (STRUCTP(BgL_arg1763z00_12280))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5554z00_27953 =
																			(STRUCT_KEY(BgL_arg1763z00_12280) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5554z00_27953 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5554z00_27953 = ((bool_t) 0);
															}
														if (BgL_test5554z00_27953)
															{
																obj_t BgL_fz00_27961;

																BgL_fz00_27961 = BgL_rz00_12277;
																BgL_fz00_12276 = BgL_fz00_27961;
																goto BgL_recz00_12275;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5240, 0L,
																	BgL_savedzd2bpzd2_12272);
																BgL_____rz00_5243 = BgL_rz00_12277;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5557z00_27963;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12288;

												BgL_arg4343z00_12288 = BGL_EXITD_PROTECT(BgL_ez00_5242);
												BgL_test5557z00_27963 = PAIRP(BgL_arg4343z00_12288);
											}
											if (BgL_test5557z00_27963)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12289;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12290;

														BgL_arg4342z00_12290 =
															BGL_EXITD_PROTECT(BgL_ez00_5242);
														BgL_arg4341z00_12289 =
															CDR(((obj_t) BgL_arg4342z00_12290));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5242,
														BgL_arg4341z00_12289);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5241, BgL_sz00_5232);
										return BgL_____rz00_5243;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4527 */
	obj_t BGl_z62run4527z62zz__evaluate_compz00(obj_t BgL_envz00_14730,
		obj_t BgL_sz00_14734)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14731;
				BgL_ev_absz00_bglt BgL_i1255z00_14732;
				obj_t BgL_bodyz00_14733;

				BgL_iboxesz00_14731 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14730, (int) (0L)));
				BgL_i1255z00_14732 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14730, (int) (1L)));
				BgL_bodyz00_14733 = PROCEDURE_REF(BgL_envz00_14730, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16331;

					BgL_bpz00_16331 = VECTOR_REF(((obj_t) BgL_sz00_14734), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14734,
						BgL_iboxesz00_14731, BgL_bpz00_16331);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16332;
						obj_t BgL_wherez00_16333;
						obj_t BgL_locz00_16334;

						BgL_z12denvz12_16332 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16333 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14732))->
							BgL_wherez00);
						BgL_locz00_16334 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14732))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16332, BgL_wherez00_16333,
								BgL_locz00_16334);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16335;

								BgL_za2za2resza2za2z00_16335 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14733, BgL_sz00_14734);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16332);
								return BgL_za2za2resza2za2z00_16335;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3744> */
	obj_t BGl_z62zc3z04anonymousza33744ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14735, obj_t BgL_sz00_14741)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14736;
				obj_t BgL_siza7eza7_14737;
				BgL_ev_absz00_bglt BgL_i1255z00_14738;
				obj_t BgL_bodyz00_14739;
				obj_t BgL_siza7ezd2framez75_14740;

				BgL_ifreesz00_14736 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14735, (int) (0L)));
				BgL_siza7eza7_14737 = PROCEDURE_REF(BgL_envz00_14735, (int) (1L));
				BgL_i1255z00_14738 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14735, (int) (2L)));
				BgL_bodyz00_14739 = PROCEDURE_REF(BgL_envz00_14735, (int) (3L));
				BgL_siza7ezd2framez75_14740 =
					PROCEDURE_REF(BgL_envz00_14735, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16336;

					BgL_bpz00_16336 = VECTOR_REF(((obj_t) BgL_sz00_14741), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16337;

						BgL_valza2za2_16337 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14741,
							BgL_bpz00_16336, BgL_ifreesz00_14736);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16338;

							BgL_runz00_16338 =
								MAKE_FX_PROCEDURE(BGl_z62run4529z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_16338, (int) (0L), BgL_siza7eza7_14737);
							PROCEDURE_SET(BgL_runz00_16338, (int) (1L), BgL_valza2za2_16337);
							PROCEDURE_SET(BgL_runz00_16338,
								(int) (2L), ((obj_t) BgL_i1255z00_14738));
							PROCEDURE_SET(BgL_runz00_16338, (int) (3L), BgL_bodyz00_14739);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16339;

								BgL_mainz00_16339 =
									MAKE_FX_PROCEDURE(BGl_z62main4528z62zz__evaluate_compz00,
									(int) (3L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_16339,
									(int) (0L), BgL_siza7eza7_14737);
								PROCEDURE_SET(BgL_mainz00_16339,
									(int) (1L), BgL_valza2za2_16337);
								PROCEDURE_SET(BgL_mainz00_16339,
									(int) (2L), ((obj_t) BgL_i1255z00_14738));
								PROCEDURE_SET(BgL_mainz00_16339, (int) (3L), BgL_bodyz00_14739);
								PROCEDURE_SET(BgL_mainz00_16339, (int) (4L), BgL_runz00_16338);
								PROCEDURE_SET(BgL_mainz00_16339,
									(int) (5L), BgL_siza7ezd2framez75_14740);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16340;

									BgL_objz00_16340 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16338, BgL_objz00_16340);
									BgL_objz00_16340;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3745z00_16341;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3746z00_16342;

										BgL_arg3746z00_16342 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14738))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16343;

											BgL_newz00_16343 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28038;

												BgL_tmpz00_28038 = (int) (3L);
												STRUCT_SET(BgL_newz00_16343, BgL_tmpz00_28038,
													BgL_arg3746z00_16342);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28041;

												BgL_tmpz00_28041 = (int) (2L);
												STRUCT_SET(BgL_newz00_16343, BgL_tmpz00_28041,
													BgL_siza7ezd2framez75_14740);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28044;

												BgL_tmpz00_28044 = (int) (1L);
												STRUCT_SET(BgL_newz00_16343, BgL_tmpz00_28044,
													BgL_runz00_16338);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28049;
												int BgL_tmpz00_28047;

												BgL_auxz00_28049 = BINT(3L);
												BgL_tmpz00_28047 = (int) (0L);
												STRUCT_SET(BgL_newz00_16343, BgL_tmpz00_28047,
													BgL_auxz00_28049);
											}
											BgL_arg3745z00_16341 = BgL_newz00_16343;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16339, BgL_arg3745z00_16341);
									BgL_arg3745z00_16341;
								}
								return BgL_mainz00_16339;
							}
						}
					}
				}
			}
		}

	}



/* &main4528 */
	obj_t BGl_z62main4528z62zz__evaluate_compz00(obj_t BgL_envz00_14742,
		obj_t BgL_bz00_14749, obj_t BgL_cz00_14750, obj_t BgL_dz00_14751)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14747;
				long BgL_siza7ezd2framez75_14748;

				BgL_runz00_14747 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14742, (int) (4L)));
				BgL_siza7ezd2framez75_14748 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14742, (int) (5L)));
				return
					BGl_mainze729ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14748,
					BgL_runz00_14747, BgL_bz00_14749, BgL_cz00_14750, BgL_dz00_14751);
			}
		}

	}



/* main~29 */
	obj_t BGl_mainze729ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15646,
		obj_t BgL_runz00_15645, obj_t BgL_bz00_5264, obj_t BgL_cz00_5265,
		obj_t BgL_dz00_5266)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5268;

				BgL_sz00_5268 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5269;

					BgL_bpz00_5269 = VECTOR_REF(((obj_t) BgL_sz00_5268), 0L);
					if (
						(((long) CINT(BgL_bpz00_5269) + BgL_siza7ezd2framez75_15646) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5268))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3749z00_5271;

								BgL_arg3749z00_5271 = ((long) CINT(BgL_bpz00_5269) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5268), BgL_arg3749z00_5271, BgL_bz00_5264);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3750z00_5272;

								BgL_arg3750z00_5272 = ((long) CINT(BgL_bpz00_5269) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5268), BgL_arg3750z00_5272, BgL_cz00_5265);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3751z00_5273;

								BgL_arg3751z00_5273 = ((long) CINT(BgL_bpz00_5269) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5268), BgL_arg3751z00_5273, BgL_dz00_5266);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5274;

								BgL_ez00_5274 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12321;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12322;

										BgL_arg4345z00_12322 = BGL_EXITD_PROTECT(BgL_ez00_5274);
										BgL_arg4344z00_12321 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5269, BgL_arg4345z00_12322);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5274, BgL_arg4344z00_12321);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5275;

									BgL_accz00_5275 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15645, BgL_sz00_5268, BgL_bpz00_5269);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5559z00_28086;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12324;

											BgL_arg4343z00_12324 = BGL_EXITD_PROTECT(BgL_ez00_5274);
											BgL_test5559z00_28086 = PAIRP(BgL_arg4343z00_12324);
										}
										if (BgL_test5559z00_28086)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12325;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12326;

													BgL_arg4342z00_12326 =
														BGL_EXITD_PROTECT(BgL_ez00_5274);
													BgL_arg4341z00_12325 =
														CDR(((obj_t) BgL_arg4342z00_12326));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5274,
													BgL_arg4341z00_12325);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5268), 0L, BgL_bpz00_5269);
									return BgL_accz00_5275;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5276;

							BgL_nsz00_5276 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5276, 1L, BgL_sz00_5268);
							VECTOR_SET(BgL_nsz00_5276, 2L, BgL_bz00_5264);
							VECTOR_SET(BgL_nsz00_5276, 3L, BgL_cz00_5265);
							VECTOR_SET(BgL_nsz00_5276, 4L, BgL_dz00_5266);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5277;

								BgL_z12denvz12_5277 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5277, BgL_nsz00_5276);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5278;

									BgL_ez00_5278 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12333;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12334;

											BgL_arg4345z00_12334 = BGL_EXITD_PROTECT(BgL_ez00_5278);
											BgL_arg4344z00_12333 =
												MAKE_YOUNG_PAIR(BgL_sz00_5268, BgL_arg4345z00_12334);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5278, BgL_arg4344z00_12333);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5279;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12335;

											BgL_savedzd2bpzd2_12335 = VECTOR_REF(BgL_nsz00_5276, 0L);
											VECTOR_SET(BgL_nsz00_5276, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12339;

												BgL_fz00_12339 = BgL_runz00_15645;
											BgL_recz00_12338:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12340;

													BgL_rz00_12340 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12339, BgL_nsz00_5276);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5560z00_28113;

														if (PROCEDUREP(BgL_rz00_12340))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12343;

																BgL_arg1763z00_12343 =
																	PROCEDURE_ATTR(BgL_rz00_12340);
																if (STRUCTP(BgL_arg1763z00_12343))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5560z00_28113 =
																			(STRUCT_KEY(BgL_arg1763z00_12343) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5560z00_28113 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5560z00_28113 = ((bool_t) 0);
															}
														if (BgL_test5560z00_28113)
															{
																obj_t BgL_fz00_28121;

																BgL_fz00_28121 = BgL_rz00_12340;
																BgL_fz00_12339 = BgL_fz00_28121;
																goto BgL_recz00_12338;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5276, 0L,
																	BgL_savedzd2bpzd2_12335);
																BgL_____rz00_5279 = BgL_rz00_12340;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5563z00_28123;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12351;

												BgL_arg4343z00_12351 = BGL_EXITD_PROTECT(BgL_ez00_5278);
												BgL_test5563z00_28123 = PAIRP(BgL_arg4343z00_12351);
											}
											if (BgL_test5563z00_28123)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12352;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12353;

														BgL_arg4342z00_12353 =
															BGL_EXITD_PROTECT(BgL_ez00_5278);
														BgL_arg4341z00_12352 =
															CDR(((obj_t) BgL_arg4342z00_12353));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5278,
														BgL_arg4341z00_12352);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5277, BgL_sz00_5268);
										return BgL_____rz00_5279;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4529 */
	obj_t BGl_z62run4529z62zz__evaluate_compz00(obj_t BgL_envz00_14752,
		obj_t BgL_sz00_14757)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14753;
				obj_t BgL_valza2za2_14754;
				BgL_ev_absz00_bglt BgL_i1255z00_14755;
				obj_t BgL_bodyz00_14756;

				BgL_siza7eza7_14753 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14752, (int) (0L)));
				BgL_valza2za2_14754 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14752, (int) (1L)));
				BgL_i1255z00_14755 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14752, (int) (2L)));
				BgL_bodyz00_14756 = PROCEDURE_REF(BgL_envz00_14752, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16344;

					BgL_bpz00_16344 = VECTOR_REF(((obj_t) BgL_sz00_14757), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14757,
						BgL_valza2za2_14754,
						((long) CINT(BgL_bpz00_16344) + BgL_siza7eza7_14753));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16345;
						obj_t BgL_wherez00_16346;
						obj_t BgL_locz00_16347;

						BgL_z12denvz12_16345 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16346 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14755))->
							BgL_wherez00);
						BgL_locz00_16347 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14755))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16345, BgL_wherez00_16346,
								BgL_locz00_16347);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16348;

								BgL_za2za2resza2za2z00_16348 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14756, BgL_sz00_14757);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16345);
								return BgL_za2za2resza2za2z00_16348;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3754> */
	obj_t BGl_z62zc3z04anonymousza33754ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14758, obj_t BgL_sz00_14765)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14759;
				obj_t BgL_iboxesz00_14760;
				obj_t BgL_siza7eza7_14761;
				BgL_ev_absz00_bglt BgL_i1255z00_14762;
				obj_t BgL_bodyz00_14763;
				obj_t BgL_siza7ezd2framez75_14764;

				BgL_ifreesz00_14759 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14758, (int) (0L)));
				BgL_iboxesz00_14760 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14758, (int) (1L)));
				BgL_siza7eza7_14761 = PROCEDURE_REF(BgL_envz00_14758, (int) (2L));
				BgL_i1255z00_14762 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14758, (int) (3L)));
				BgL_bodyz00_14763 = PROCEDURE_REF(BgL_envz00_14758, (int) (4L));
				BgL_siza7ezd2framez75_14764 =
					PROCEDURE_REF(BgL_envz00_14758, (int) (5L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16349;

					BgL_bpz00_16349 = VECTOR_REF(((obj_t) BgL_sz00_14765), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16350;

						BgL_valza2za2_16350 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14765,
							BgL_bpz00_16349, BgL_ifreesz00_14759);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16351;

							BgL_runz00_16351 =
								MAKE_FX_PROCEDURE(BGl_z62run4531z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_16351, (int) (0L), BgL_iboxesz00_14760);
							PROCEDURE_SET(BgL_runz00_16351, (int) (1L), BgL_siza7eza7_14761);
							PROCEDURE_SET(BgL_runz00_16351, (int) (2L), BgL_valza2za2_16350);
							PROCEDURE_SET(BgL_runz00_16351,
								(int) (3L), ((obj_t) BgL_i1255z00_14762));
							PROCEDURE_SET(BgL_runz00_16351, (int) (4L), BgL_bodyz00_14763);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16352;

								BgL_mainz00_16352 =
									MAKE_FX_PROCEDURE(BGl_z62main4530z62zz__evaluate_compz00,
									(int) (3L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_16352,
									(int) (0L), BgL_iboxesz00_14760);
								PROCEDURE_SET(BgL_mainz00_16352,
									(int) (1L), BgL_siza7eza7_14761);
								PROCEDURE_SET(BgL_mainz00_16352,
									(int) (2L), BgL_valza2za2_16350);
								PROCEDURE_SET(BgL_mainz00_16352,
									(int) (3L), ((obj_t) BgL_i1255z00_14762));
								PROCEDURE_SET(BgL_mainz00_16352, (int) (4L), BgL_bodyz00_14763);
								PROCEDURE_SET(BgL_mainz00_16352, (int) (5L), BgL_runz00_16351);
								PROCEDURE_SET(BgL_mainz00_16352,
									(int) (6L), BgL_siza7ezd2framez75_14764);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16353;

									BgL_objz00_16353 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16351, BgL_objz00_16353);
									BgL_objz00_16353;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3755z00_16354;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3756z00_16355;

										BgL_arg3756z00_16355 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14762))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16356;

											BgL_newz00_16356 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28210;

												BgL_tmpz00_28210 = (int) (3L);
												STRUCT_SET(BgL_newz00_16356, BgL_tmpz00_28210,
													BgL_arg3756z00_16355);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28213;

												BgL_tmpz00_28213 = (int) (2L);
												STRUCT_SET(BgL_newz00_16356, BgL_tmpz00_28213,
													BgL_siza7ezd2framez75_14764);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28216;

												BgL_tmpz00_28216 = (int) (1L);
												STRUCT_SET(BgL_newz00_16356, BgL_tmpz00_28216,
													BgL_runz00_16351);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28221;
												int BgL_tmpz00_28219;

												BgL_auxz00_28221 = BINT(3L);
												BgL_tmpz00_28219 = (int) (0L);
												STRUCT_SET(BgL_newz00_16356, BgL_tmpz00_28219,
													BgL_auxz00_28221);
											}
											BgL_arg3755z00_16354 = BgL_newz00_16356;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16352, BgL_arg3755z00_16354);
									BgL_arg3755z00_16354;
								}
								return BgL_mainz00_16352;
							}
						}
					}
				}
			}
		}

	}



/* &main4530 */
	obj_t BGl_z62main4530z62zz__evaluate_compz00(obj_t BgL_envz00_14766,
		obj_t BgL_bz00_14774, obj_t BgL_cz00_14775, obj_t BgL_dz00_14776)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14772;
				long BgL_siza7ezd2framez75_14773;

				BgL_runz00_14772 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14766, (int) (5L)));
				BgL_siza7ezd2framez75_14773 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14766, (int) (6L)));
				return
					BGl_mainze728ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14773,
					BgL_runz00_14772, BgL_bz00_14774, BgL_cz00_14775, BgL_dz00_14776);
			}
		}

	}



/* main~28 */
	obj_t BGl_mainze728ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15644,
		obj_t BgL_runz00_15643, obj_t BgL_bz00_5298, obj_t BgL_cz00_5299,
		obj_t BgL_dz00_5300)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5302;

				BgL_sz00_5302 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5303;

					BgL_bpz00_5303 = VECTOR_REF(((obj_t) BgL_sz00_5302), 0L);
					if (
						(((long) CINT(BgL_bpz00_5303) + BgL_siza7ezd2framez75_15644) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5302))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3759z00_5305;

								BgL_arg3759z00_5305 = ((long) CINT(BgL_bpz00_5303) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5302), BgL_arg3759z00_5305, BgL_bz00_5298);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3760z00_5306;

								BgL_arg3760z00_5306 = ((long) CINT(BgL_bpz00_5303) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5302), BgL_arg3760z00_5306, BgL_cz00_5299);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3761z00_5307;

								BgL_arg3761z00_5307 = ((long) CINT(BgL_bpz00_5303) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5302), BgL_arg3761z00_5307, BgL_dz00_5300);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5308;

								BgL_ez00_5308 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12382;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12383;

										BgL_arg4345z00_12383 = BGL_EXITD_PROTECT(BgL_ez00_5308);
										BgL_arg4344z00_12382 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5303, BgL_arg4345z00_12383);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5308, BgL_arg4344z00_12382);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5309;

									BgL_accz00_5309 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15643, BgL_sz00_5302, BgL_bpz00_5303);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5565z00_28258;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12385;

											BgL_arg4343z00_12385 = BGL_EXITD_PROTECT(BgL_ez00_5308);
											BgL_test5565z00_28258 = PAIRP(BgL_arg4343z00_12385);
										}
										if (BgL_test5565z00_28258)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12386;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12387;

													BgL_arg4342z00_12387 =
														BGL_EXITD_PROTECT(BgL_ez00_5308);
													BgL_arg4341z00_12386 =
														CDR(((obj_t) BgL_arg4342z00_12387));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5308,
													BgL_arg4341z00_12386);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5302), 0L, BgL_bpz00_5303);
									return BgL_accz00_5309;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5310;

							BgL_nsz00_5310 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5310, 1L, BgL_sz00_5302);
							VECTOR_SET(BgL_nsz00_5310, 2L, BgL_bz00_5298);
							VECTOR_SET(BgL_nsz00_5310, 3L, BgL_cz00_5299);
							VECTOR_SET(BgL_nsz00_5310, 4L, BgL_dz00_5300);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5311;

								BgL_z12denvz12_5311 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5311, BgL_nsz00_5310);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5312;

									BgL_ez00_5312 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12394;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12395;

											BgL_arg4345z00_12395 = BGL_EXITD_PROTECT(BgL_ez00_5312);
											BgL_arg4344z00_12394 =
												MAKE_YOUNG_PAIR(BgL_sz00_5302, BgL_arg4345z00_12395);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5312, BgL_arg4344z00_12394);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5313;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12396;

											BgL_savedzd2bpzd2_12396 = VECTOR_REF(BgL_nsz00_5310, 0L);
											VECTOR_SET(BgL_nsz00_5310, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12400;

												BgL_fz00_12400 = BgL_runz00_15643;
											BgL_recz00_12399:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12401;

													BgL_rz00_12401 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12400, BgL_nsz00_5310);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5566z00_28285;

														if (PROCEDUREP(BgL_rz00_12401))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12404;

																BgL_arg1763z00_12404 =
																	PROCEDURE_ATTR(BgL_rz00_12401);
																if (STRUCTP(BgL_arg1763z00_12404))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5566z00_28285 =
																			(STRUCT_KEY(BgL_arg1763z00_12404) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5566z00_28285 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5566z00_28285 = ((bool_t) 0);
															}
														if (BgL_test5566z00_28285)
															{
																obj_t BgL_fz00_28293;

																BgL_fz00_28293 = BgL_rz00_12401;
																BgL_fz00_12400 = BgL_fz00_28293;
																goto BgL_recz00_12399;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5310, 0L,
																	BgL_savedzd2bpzd2_12396);
																BgL_____rz00_5313 = BgL_rz00_12401;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5569z00_28295;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12412;

												BgL_arg4343z00_12412 = BGL_EXITD_PROTECT(BgL_ez00_5312);
												BgL_test5569z00_28295 = PAIRP(BgL_arg4343z00_12412);
											}
											if (BgL_test5569z00_28295)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12413;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12414;

														BgL_arg4342z00_12414 =
															BGL_EXITD_PROTECT(BgL_ez00_5312);
														BgL_arg4341z00_12413 =
															CDR(((obj_t) BgL_arg4342z00_12414));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5312,
														BgL_arg4341z00_12413);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5311, BgL_sz00_5302);
										return BgL_____rz00_5313;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4531 */
	obj_t BGl_z62run4531z62zz__evaluate_compz00(obj_t BgL_envz00_14777,
		obj_t BgL_sz00_14783)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14778;
				long BgL_siza7eza7_14779;
				obj_t BgL_valza2za2_14780;
				BgL_ev_absz00_bglt BgL_i1255z00_14781;
				obj_t BgL_bodyz00_14782;

				BgL_iboxesz00_14778 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14777, (int) (0L)));
				BgL_siza7eza7_14779 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14777, (int) (1L)));
				BgL_valza2za2_14780 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14777, (int) (2L)));
				BgL_i1255z00_14781 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14777, (int) (3L)));
				BgL_bodyz00_14782 = PROCEDURE_REF(BgL_envz00_14777, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16357;

					BgL_bpz00_16357 = VECTOR_REF(((obj_t) BgL_sz00_14783), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14783,
						BgL_iboxesz00_14778, BgL_bpz00_16357);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14783,
						BgL_valza2za2_14780,
						((long) CINT(BgL_bpz00_16357) + BgL_siza7eza7_14779));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16358;
						obj_t BgL_wherez00_16359;
						obj_t BgL_locz00_16360;

						BgL_z12denvz12_16358 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16359 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14781))->
							BgL_wherez00);
						BgL_locz00_16360 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14781))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16358, BgL_wherez00_16359,
								BgL_locz00_16360);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16361;

								BgL_za2za2resza2za2z00_16361 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14782, BgL_sz00_14783);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16358);
								return BgL_za2za2resza2za2z00_16361;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3675> */
	obj_t BGl_z62zc3z04anonymousza33675ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14784, obj_t BgL_sz00_14788)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14785;
				obj_t BgL_bodyz00_14786;
				obj_t BgL_siza7ezd2framez75_14787;

				BgL_i1255z00_14785 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14784, (int) (0L)));
				BgL_bodyz00_14786 = PROCEDURE_REF(BgL_envz00_14784, (int) (1L));
				BgL_siza7ezd2framez75_14787 =
					PROCEDURE_REF(BgL_envz00_14784, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16362;

					BgL_bpz00_16362 = VECTOR_REF(((obj_t) BgL_sz00_14788), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16363;

							BgL_runz00_16363 =
								MAKE_FX_PROCEDURE(BGl_z62run4533z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_16363,
								(int) (0L), ((obj_t) BgL_i1255z00_14785));
							PROCEDURE_SET(BgL_runz00_16363, (int) (1L), BgL_bodyz00_14786);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16364;

								BgL_mainz00_16364 =
									MAKE_VA_PROCEDURE(BGl_z62main4532z62zz__evaluate_compz00,
									(int) ((-3L)), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_16364,
									(int) (0L), ((obj_t) BgL_i1255z00_14785));
								PROCEDURE_SET(BgL_mainz00_16364, (int) (1L), BgL_bodyz00_14786);
								PROCEDURE_SET(BgL_mainz00_16364, (int) (2L), BgL_runz00_16363);
								PROCEDURE_SET(BgL_mainz00_16364,
									(int) (3L), BgL_siza7ezd2framez75_14787);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16365;

									BgL_objz00_16365 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16363, BgL_objz00_16365);
									BgL_objz00_16365;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3676z00_16366;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3677z00_16367;

										BgL_arg3677z00_16367 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14785))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16368;

											BgL_newz00_16368 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28365;

												BgL_tmpz00_28365 = (int) (3L);
												STRUCT_SET(BgL_newz00_16368, BgL_tmpz00_28365,
													BgL_arg3677z00_16367);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28368;

												BgL_tmpz00_28368 = (int) (2L);
												STRUCT_SET(BgL_newz00_16368, BgL_tmpz00_28368,
													BgL_siza7ezd2framez75_14787);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28371;

												BgL_tmpz00_28371 = (int) (1L);
												STRUCT_SET(BgL_newz00_16368, BgL_tmpz00_28371,
													BgL_runz00_16363);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28376;
												int BgL_tmpz00_28374;

												BgL_auxz00_28376 = BINT((-3L));
												BgL_tmpz00_28374 = (int) (0L);
												STRUCT_SET(BgL_newz00_16368, BgL_tmpz00_28374,
													BgL_auxz00_28376);
											}
											BgL_arg3676z00_16366 = BgL_newz00_16368;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16364, BgL_arg3676z00_16366);
									BgL_arg3676z00_16366;
								}
								return BgL_mainz00_16364;
							}
						}
					}
				}
			}
		}

	}



/* &main4532 */
	obj_t BGl_z62main4532z62zz__evaluate_compz00(obj_t BgL_envz00_14789,
		obj_t BgL_cz00_14794, obj_t BgL_dz00_14795, obj_t BgL_lastz00_14796)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14792;
				long BgL_siza7ezd2framez75_14793;

				BgL_runz00_14792 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14789, (int) (2L)));
				BgL_siza7ezd2framez75_14793 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14789, (int) (3L)));
				return
					BGl_mainze727ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14793,
					BgL_runz00_14792, BgL_cz00_14794, BgL_dz00_14795, BgL_lastz00_14796);
			}
		}

	}



/* main~27 */
	obj_t BGl_mainze727ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15642,
		obj_t BgL_runz00_15641, obj_t BgL_cz00_5055, obj_t BgL_dz00_5056,
		obj_t BgL_lastz00_5057)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5059;

				BgL_sz00_5059 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5060;

					BgL_bpz00_5060 = VECTOR_REF(((obj_t) BgL_sz00_5059), 0L);
					if (
						(((long) CINT(BgL_bpz00_5060) + BgL_siza7ezd2framez75_15642) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5059))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3680z00_5062;

								BgL_arg3680z00_5062 = ((long) CINT(BgL_bpz00_5060) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5059), BgL_arg3680z00_5062, BgL_cz00_5055);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3681z00_5063;

								BgL_arg3681z00_5063 = ((long) CINT(BgL_bpz00_5060) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5059), BgL_arg3681z00_5063, BgL_dz00_5056);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3682z00_5064;

								BgL_arg3682z00_5064 = ((long) CINT(BgL_bpz00_5060) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5059), BgL_arg3682z00_5064,
									BgL_lastz00_5057);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5065;

								BgL_ez00_5065 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11953;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11954;

										BgL_arg4345z00_11954 = BGL_EXITD_PROTECT(BgL_ez00_5065);
										BgL_arg4344z00_11953 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5060, BgL_arg4345z00_11954);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5065, BgL_arg4344z00_11953);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5066;

									BgL_accz00_5066 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15641, BgL_sz00_5059, BgL_bpz00_5060);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5571z00_28413;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11956;

											BgL_arg4343z00_11956 = BGL_EXITD_PROTECT(BgL_ez00_5065);
											BgL_test5571z00_28413 = PAIRP(BgL_arg4343z00_11956);
										}
										if (BgL_test5571z00_28413)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11957;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11958;

													BgL_arg4342z00_11958 =
														BGL_EXITD_PROTECT(BgL_ez00_5065);
													BgL_arg4341z00_11957 =
														CDR(((obj_t) BgL_arg4342z00_11958));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5065,
													BgL_arg4341z00_11957);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5059), 0L, BgL_bpz00_5060);
									return BgL_accz00_5066;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5067;

							BgL_nsz00_5067 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5067, 1L, BgL_sz00_5059);
							VECTOR_SET(BgL_nsz00_5067, 2L, BgL_cz00_5055);
							VECTOR_SET(BgL_nsz00_5067, 3L, BgL_dz00_5056);
							VECTOR_SET(BgL_nsz00_5067, 4L, BgL_lastz00_5057);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5068;

								BgL_z12denvz12_5068 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5068, BgL_nsz00_5067);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5069;

									BgL_ez00_5069 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11965;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11966;

											BgL_arg4345z00_11966 = BGL_EXITD_PROTECT(BgL_ez00_5069);
											BgL_arg4344z00_11965 =
												MAKE_YOUNG_PAIR(BgL_sz00_5059, BgL_arg4345z00_11966);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5069, BgL_arg4344z00_11965);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5070;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11967;

											BgL_savedzd2bpzd2_11967 = VECTOR_REF(BgL_nsz00_5067, 0L);
											VECTOR_SET(BgL_nsz00_5067, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11971;

												BgL_fz00_11971 = BgL_runz00_15641;
											BgL_recz00_11970:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11972;

													BgL_rz00_11972 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11971, BgL_nsz00_5067);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5572z00_28440;

														if (PROCEDUREP(BgL_rz00_11972))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11975;

																BgL_arg1763z00_11975 =
																	PROCEDURE_ATTR(BgL_rz00_11972);
																if (STRUCTP(BgL_arg1763z00_11975))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5572z00_28440 =
																			(STRUCT_KEY(BgL_arg1763z00_11975) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5572z00_28440 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5572z00_28440 = ((bool_t) 0);
															}
														if (BgL_test5572z00_28440)
															{
																obj_t BgL_fz00_28448;

																BgL_fz00_28448 = BgL_rz00_11972;
																BgL_fz00_11971 = BgL_fz00_28448;
																goto BgL_recz00_11970;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5067, 0L,
																	BgL_savedzd2bpzd2_11967);
																BgL_____rz00_5070 = BgL_rz00_11972;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5575z00_28450;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11983;

												BgL_arg4343z00_11983 = BGL_EXITD_PROTECT(BgL_ez00_5069);
												BgL_test5575z00_28450 = PAIRP(BgL_arg4343z00_11983);
											}
											if (BgL_test5575z00_28450)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11984;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11985;

														BgL_arg4342z00_11985 =
															BGL_EXITD_PROTECT(BgL_ez00_5069);
														BgL_arg4341z00_11984 =
															CDR(((obj_t) BgL_arg4342z00_11985));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5069,
														BgL_arg4341z00_11984);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5068, BgL_sz00_5059);
										return BgL_____rz00_5070;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4533 */
	obj_t BGl_z62run4533z62zz__evaluate_compz00(obj_t BgL_envz00_14797,
		obj_t BgL_sz00_14800)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14798;
				obj_t BgL_bodyz00_14799;

				BgL_i1255z00_14798 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14797, (int) (0L)));
				BgL_bodyz00_14799 = PROCEDURE_REF(BgL_envz00_14797, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16369;

					BgL_bpz00_16369 = VECTOR_REF(((obj_t) BgL_sz00_14800), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16370;
						obj_t BgL_wherez00_16371;
						obj_t BgL_locz00_16372;

						BgL_z12denvz12_16370 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16371 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14798))->
							BgL_wherez00);
						BgL_locz00_16372 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14798))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16370, BgL_wherez00_16371,
								BgL_locz00_16372);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16373;

								BgL_za2za2resza2za2z00_16373 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14799, BgL_sz00_14800);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16370);
								return BgL_za2za2resza2za2z00_16373;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3684> */
	obj_t BGl_z62zc3z04anonymousza33684ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14801, obj_t BgL_sz00_14806)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14802;
				BgL_ev_absz00_bglt BgL_i1255z00_14803;
				obj_t BgL_bodyz00_14804;
				obj_t BgL_siza7ezd2framez75_14805;

				BgL_iboxesz00_14802 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14801, (int) (0L)));
				BgL_i1255z00_14803 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14801, (int) (1L)));
				BgL_bodyz00_14804 = PROCEDURE_REF(BgL_envz00_14801, (int) (2L));
				BgL_siza7ezd2framez75_14805 =
					PROCEDURE_REF(BgL_envz00_14801, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16374;

					BgL_bpz00_16374 = VECTOR_REF(((obj_t) BgL_sz00_14806), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16375;

							BgL_runz00_16375 =
								MAKE_FX_PROCEDURE(BGl_z62run4535z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_16375, (int) (0L), BgL_iboxesz00_14802);
							PROCEDURE_SET(BgL_runz00_16375,
								(int) (1L), ((obj_t) BgL_i1255z00_14803));
							PROCEDURE_SET(BgL_runz00_16375, (int) (2L), BgL_bodyz00_14804);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16376;

								BgL_mainz00_16376 =
									MAKE_VA_PROCEDURE(BGl_z62main4534z62zz__evaluate_compz00,
									(int) ((-3L)), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_16376,
									(int) (0L), BgL_iboxesz00_14802);
								PROCEDURE_SET(BgL_mainz00_16376,
									(int) (1L), ((obj_t) BgL_i1255z00_14803));
								PROCEDURE_SET(BgL_mainz00_16376, (int) (2L), BgL_bodyz00_14804);
								PROCEDURE_SET(BgL_mainz00_16376, (int) (3L), BgL_runz00_16375);
								PROCEDURE_SET(BgL_mainz00_16376,
									(int) (4L), BgL_siza7ezd2framez75_14805);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16377;

									BgL_objz00_16377 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16375, BgL_objz00_16377);
									BgL_objz00_16377;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3685z00_16378;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3686z00_16379;

										BgL_arg3686z00_16379 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14803))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16380;

											BgL_newz00_16380 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28514;

												BgL_tmpz00_28514 = (int) (3L);
												STRUCT_SET(BgL_newz00_16380, BgL_tmpz00_28514,
													BgL_arg3686z00_16379);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28517;

												BgL_tmpz00_28517 = (int) (2L);
												STRUCT_SET(BgL_newz00_16380, BgL_tmpz00_28517,
													BgL_siza7ezd2framez75_14805);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28520;

												BgL_tmpz00_28520 = (int) (1L);
												STRUCT_SET(BgL_newz00_16380, BgL_tmpz00_28520,
													BgL_runz00_16375);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28525;
												int BgL_tmpz00_28523;

												BgL_auxz00_28525 = BINT((-3L));
												BgL_tmpz00_28523 = (int) (0L);
												STRUCT_SET(BgL_newz00_16380, BgL_tmpz00_28523,
													BgL_auxz00_28525);
											}
											BgL_arg3685z00_16378 = BgL_newz00_16380;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16376, BgL_arg3685z00_16378);
									BgL_arg3685z00_16378;
								}
								return BgL_mainz00_16376;
							}
						}
					}
				}
			}
		}

	}



/* &main4534 */
	obj_t BGl_z62main4534z62zz__evaluate_compz00(obj_t BgL_envz00_14807,
		obj_t BgL_cz00_14813, obj_t BgL_dz00_14814, obj_t BgL_lastz00_14815)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14811;
				long BgL_siza7ezd2framez75_14812;

				BgL_runz00_14811 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14807, (int) (3L)));
				BgL_siza7ezd2framez75_14812 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14807, (int) (4L)));
				return
					BGl_mainze726ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14812,
					BgL_runz00_14811, BgL_cz00_14813, BgL_dz00_14814, BgL_lastz00_14815);
			}
		}

	}



/* main~26 */
	obj_t BGl_mainze726ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15640,
		obj_t BgL_runz00_15639, obj_t BgL_cz00_5087, obj_t BgL_dz00_5088,
		obj_t BgL_lastz00_5089)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5091;

				BgL_sz00_5091 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5092;

					BgL_bpz00_5092 = VECTOR_REF(((obj_t) BgL_sz00_5091), 0L);
					if (
						(((long) CINT(BgL_bpz00_5092) + BgL_siza7ezd2framez75_15640) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5091))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3689z00_5094;

								BgL_arg3689z00_5094 = ((long) CINT(BgL_bpz00_5092) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5091), BgL_arg3689z00_5094, BgL_cz00_5087);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3690z00_5095;

								BgL_arg3690z00_5095 = ((long) CINT(BgL_bpz00_5092) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5091), BgL_arg3690z00_5095, BgL_dz00_5088);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3691z00_5096;

								BgL_arg3691z00_5096 = ((long) CINT(BgL_bpz00_5092) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5091), BgL_arg3691z00_5096,
									BgL_lastz00_5089);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5097;

								BgL_ez00_5097 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12012;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12013;

										BgL_arg4345z00_12013 = BGL_EXITD_PROTECT(BgL_ez00_5097);
										BgL_arg4344z00_12012 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5092, BgL_arg4345z00_12013);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5097, BgL_arg4344z00_12012);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5098;

									BgL_accz00_5098 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15639, BgL_sz00_5091, BgL_bpz00_5092);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5577z00_28562;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12015;

											BgL_arg4343z00_12015 = BGL_EXITD_PROTECT(BgL_ez00_5097);
											BgL_test5577z00_28562 = PAIRP(BgL_arg4343z00_12015);
										}
										if (BgL_test5577z00_28562)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12016;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12017;

													BgL_arg4342z00_12017 =
														BGL_EXITD_PROTECT(BgL_ez00_5097);
													BgL_arg4341z00_12016 =
														CDR(((obj_t) BgL_arg4342z00_12017));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5097,
													BgL_arg4341z00_12016);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5091), 0L, BgL_bpz00_5092);
									return BgL_accz00_5098;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5099;

							BgL_nsz00_5099 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5099, 1L, BgL_sz00_5091);
							VECTOR_SET(BgL_nsz00_5099, 2L, BgL_cz00_5087);
							VECTOR_SET(BgL_nsz00_5099, 3L, BgL_dz00_5088);
							VECTOR_SET(BgL_nsz00_5099, 4L, BgL_lastz00_5089);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5100;

								BgL_z12denvz12_5100 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5100, BgL_nsz00_5099);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5101;

									BgL_ez00_5101 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12024;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12025;

											BgL_arg4345z00_12025 = BGL_EXITD_PROTECT(BgL_ez00_5101);
											BgL_arg4344z00_12024 =
												MAKE_YOUNG_PAIR(BgL_sz00_5091, BgL_arg4345z00_12025);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5101, BgL_arg4344z00_12024);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5102;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12026;

											BgL_savedzd2bpzd2_12026 = VECTOR_REF(BgL_nsz00_5099, 0L);
											VECTOR_SET(BgL_nsz00_5099, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12030;

												BgL_fz00_12030 = BgL_runz00_15639;
											BgL_recz00_12029:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12031;

													BgL_rz00_12031 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12030, BgL_nsz00_5099);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5578z00_28589;

														if (PROCEDUREP(BgL_rz00_12031))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12034;

																BgL_arg1763z00_12034 =
																	PROCEDURE_ATTR(BgL_rz00_12031);
																if (STRUCTP(BgL_arg1763z00_12034))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5578z00_28589 =
																			(STRUCT_KEY(BgL_arg1763z00_12034) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5578z00_28589 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5578z00_28589 = ((bool_t) 0);
															}
														if (BgL_test5578z00_28589)
															{
																obj_t BgL_fz00_28597;

																BgL_fz00_28597 = BgL_rz00_12031;
																BgL_fz00_12030 = BgL_fz00_28597;
																goto BgL_recz00_12029;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5099, 0L,
																	BgL_savedzd2bpzd2_12026);
																BgL_____rz00_5102 = BgL_rz00_12031;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5581z00_28599;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12042;

												BgL_arg4343z00_12042 = BGL_EXITD_PROTECT(BgL_ez00_5101);
												BgL_test5581z00_28599 = PAIRP(BgL_arg4343z00_12042);
											}
											if (BgL_test5581z00_28599)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12043;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12044;

														BgL_arg4342z00_12044 =
															BGL_EXITD_PROTECT(BgL_ez00_5101);
														BgL_arg4341z00_12043 =
															CDR(((obj_t) BgL_arg4342z00_12044));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5101,
														BgL_arg4341z00_12043);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5100, BgL_sz00_5091);
										return BgL_____rz00_5102;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4535 */
	obj_t BGl_z62run4535z62zz__evaluate_compz00(obj_t BgL_envz00_14816,
		obj_t BgL_sz00_14820)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14817;
				BgL_ev_absz00_bglt BgL_i1255z00_14818;
				obj_t BgL_bodyz00_14819;

				BgL_iboxesz00_14817 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14816, (int) (0L)));
				BgL_i1255z00_14818 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14816, (int) (1L)));
				BgL_bodyz00_14819 = PROCEDURE_REF(BgL_envz00_14816, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16381;

					BgL_bpz00_16381 = VECTOR_REF(((obj_t) BgL_sz00_14820), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14820,
						BgL_iboxesz00_14817, BgL_bpz00_16381);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16382;
						obj_t BgL_wherez00_16383;
						obj_t BgL_locz00_16384;

						BgL_z12denvz12_16382 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16383 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14818))->
							BgL_wherez00);
						BgL_locz00_16384 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14818))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16382, BgL_wherez00_16383,
								BgL_locz00_16384);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16385;

								BgL_za2za2resza2za2z00_16385 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14819, BgL_sz00_14820);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16382);
								return BgL_za2za2resza2za2z00_16385;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3696> */
	obj_t BGl_z62zc3z04anonymousza33696ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14821, obj_t BgL_sz00_14827)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14822;
				obj_t BgL_siza7eza7_14823;
				BgL_ev_absz00_bglt BgL_i1255z00_14824;
				obj_t BgL_bodyz00_14825;
				obj_t BgL_siza7ezd2framez75_14826;

				BgL_ifreesz00_14822 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14821, (int) (0L)));
				BgL_siza7eza7_14823 = PROCEDURE_REF(BgL_envz00_14821, (int) (1L));
				BgL_i1255z00_14824 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14821, (int) (2L)));
				BgL_bodyz00_14825 = PROCEDURE_REF(BgL_envz00_14821, (int) (3L));
				BgL_siza7ezd2framez75_14826 =
					PROCEDURE_REF(BgL_envz00_14821, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16386;

					BgL_bpz00_16386 = VECTOR_REF(((obj_t) BgL_sz00_14827), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16387;

						BgL_valza2za2_16387 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14827,
							BgL_bpz00_16386, BgL_ifreesz00_14822);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16388;

							BgL_runz00_16388 =
								MAKE_FX_PROCEDURE(BGl_z62run4537z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_16388, (int) (0L), BgL_siza7eza7_14823);
							PROCEDURE_SET(BgL_runz00_16388, (int) (1L), BgL_valza2za2_16387);
							PROCEDURE_SET(BgL_runz00_16388,
								(int) (2L), ((obj_t) BgL_i1255z00_14824));
							PROCEDURE_SET(BgL_runz00_16388, (int) (3L), BgL_bodyz00_14825);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16389;

								BgL_mainz00_16389 =
									MAKE_VA_PROCEDURE(BGl_z62main4536z62zz__evaluate_compz00,
									(int) ((-3L)), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_16389,
									(int) (0L), BgL_siza7eza7_14823);
								PROCEDURE_SET(BgL_mainz00_16389,
									(int) (1L), BgL_valza2za2_16387);
								PROCEDURE_SET(BgL_mainz00_16389,
									(int) (2L), ((obj_t) BgL_i1255z00_14824));
								PROCEDURE_SET(BgL_mainz00_16389, (int) (3L), BgL_bodyz00_14825);
								PROCEDURE_SET(BgL_mainz00_16389, (int) (4L), BgL_runz00_16388);
								PROCEDURE_SET(BgL_mainz00_16389,
									(int) (5L), BgL_siza7ezd2framez75_14826);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16390;

									BgL_objz00_16390 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16388, BgL_objz00_16390);
									BgL_objz00_16390;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3697z00_16391;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3698z00_16392;

										BgL_arg3698z00_16392 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14824))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16393;

											BgL_newz00_16393 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28674;

												BgL_tmpz00_28674 = (int) (3L);
												STRUCT_SET(BgL_newz00_16393, BgL_tmpz00_28674,
													BgL_arg3698z00_16392);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28677;

												BgL_tmpz00_28677 = (int) (2L);
												STRUCT_SET(BgL_newz00_16393, BgL_tmpz00_28677,
													BgL_siza7ezd2framez75_14826);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28680;

												BgL_tmpz00_28680 = (int) (1L);
												STRUCT_SET(BgL_newz00_16393, BgL_tmpz00_28680,
													BgL_runz00_16388);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28685;
												int BgL_tmpz00_28683;

												BgL_auxz00_28685 = BINT((-3L));
												BgL_tmpz00_28683 = (int) (0L);
												STRUCT_SET(BgL_newz00_16393, BgL_tmpz00_28683,
													BgL_auxz00_28685);
											}
											BgL_arg3697z00_16391 = BgL_newz00_16393;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16389, BgL_arg3697z00_16391);
									BgL_arg3697z00_16391;
								}
								return BgL_mainz00_16389;
							}
						}
					}
				}
			}
		}

	}



/* &main4536 */
	obj_t BGl_z62main4536z62zz__evaluate_compz00(obj_t BgL_envz00_14828,
		obj_t BgL_cz00_14835, obj_t BgL_dz00_14836, obj_t BgL_lastz00_14837)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14833;
				long BgL_siza7ezd2framez75_14834;

				BgL_runz00_14833 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14828, (int) (4L)));
				BgL_siza7ezd2framez75_14834 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14828, (int) (5L)));
				return
					BGl_mainze725ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14834,
					BgL_runz00_14833, BgL_cz00_14835, BgL_dz00_14836, BgL_lastz00_14837);
			}
		}

	}



/* main~25 */
	obj_t BGl_mainze725ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15638,
		obj_t BgL_runz00_15637, obj_t BgL_cz00_5123, obj_t BgL_dz00_5124,
		obj_t BgL_lastz00_5125)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5127;

				BgL_sz00_5127 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5128;

					BgL_bpz00_5128 = VECTOR_REF(((obj_t) BgL_sz00_5127), 0L);
					if (
						(((long) CINT(BgL_bpz00_5128) + BgL_siza7ezd2framez75_15638) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5127))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3701z00_5130;

								BgL_arg3701z00_5130 = ((long) CINT(BgL_bpz00_5128) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5127), BgL_arg3701z00_5130, BgL_cz00_5123);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3702z00_5131;

								BgL_arg3702z00_5131 = ((long) CINT(BgL_bpz00_5128) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5127), BgL_arg3702z00_5131, BgL_dz00_5124);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3703z00_5132;

								BgL_arg3703z00_5132 = ((long) CINT(BgL_bpz00_5128) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5127), BgL_arg3703z00_5132,
									BgL_lastz00_5125);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5133;

								BgL_ez00_5133 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12075;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12076;

										BgL_arg4345z00_12076 = BGL_EXITD_PROTECT(BgL_ez00_5133);
										BgL_arg4344z00_12075 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5128, BgL_arg4345z00_12076);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5133, BgL_arg4344z00_12075);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5134;

									BgL_accz00_5134 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15637, BgL_sz00_5127, BgL_bpz00_5128);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5583z00_28722;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12078;

											BgL_arg4343z00_12078 = BGL_EXITD_PROTECT(BgL_ez00_5133);
											BgL_test5583z00_28722 = PAIRP(BgL_arg4343z00_12078);
										}
										if (BgL_test5583z00_28722)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12079;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12080;

													BgL_arg4342z00_12080 =
														BGL_EXITD_PROTECT(BgL_ez00_5133);
													BgL_arg4341z00_12079 =
														CDR(((obj_t) BgL_arg4342z00_12080));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5133,
													BgL_arg4341z00_12079);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5127), 0L, BgL_bpz00_5128);
									return BgL_accz00_5134;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5135;

							BgL_nsz00_5135 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5135, 1L, BgL_sz00_5127);
							VECTOR_SET(BgL_nsz00_5135, 2L, BgL_cz00_5123);
							VECTOR_SET(BgL_nsz00_5135, 3L, BgL_dz00_5124);
							VECTOR_SET(BgL_nsz00_5135, 4L, BgL_lastz00_5125);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5136;

								BgL_z12denvz12_5136 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5136, BgL_nsz00_5135);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5137;

									BgL_ez00_5137 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12087;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12088;

											BgL_arg4345z00_12088 = BGL_EXITD_PROTECT(BgL_ez00_5137);
											BgL_arg4344z00_12087 =
												MAKE_YOUNG_PAIR(BgL_sz00_5127, BgL_arg4345z00_12088);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5137, BgL_arg4344z00_12087);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5138;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12089;

											BgL_savedzd2bpzd2_12089 = VECTOR_REF(BgL_nsz00_5135, 0L);
											VECTOR_SET(BgL_nsz00_5135, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12093;

												BgL_fz00_12093 = BgL_runz00_15637;
											BgL_recz00_12092:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12094;

													BgL_rz00_12094 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12093, BgL_nsz00_5135);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5584z00_28749;

														if (PROCEDUREP(BgL_rz00_12094))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12097;

																BgL_arg1763z00_12097 =
																	PROCEDURE_ATTR(BgL_rz00_12094);
																if (STRUCTP(BgL_arg1763z00_12097))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5584z00_28749 =
																			(STRUCT_KEY(BgL_arg1763z00_12097) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5584z00_28749 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5584z00_28749 = ((bool_t) 0);
															}
														if (BgL_test5584z00_28749)
															{
																obj_t BgL_fz00_28757;

																BgL_fz00_28757 = BgL_rz00_12094;
																BgL_fz00_12093 = BgL_fz00_28757;
																goto BgL_recz00_12092;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5135, 0L,
																	BgL_savedzd2bpzd2_12089);
																BgL_____rz00_5138 = BgL_rz00_12094;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5587z00_28759;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12105;

												BgL_arg4343z00_12105 = BGL_EXITD_PROTECT(BgL_ez00_5137);
												BgL_test5587z00_28759 = PAIRP(BgL_arg4343z00_12105);
											}
											if (BgL_test5587z00_28759)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12106;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12107;

														BgL_arg4342z00_12107 =
															BGL_EXITD_PROTECT(BgL_ez00_5137);
														BgL_arg4341z00_12106 =
															CDR(((obj_t) BgL_arg4342z00_12107));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5137,
														BgL_arg4341z00_12106);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5136, BgL_sz00_5127);
										return BgL_____rz00_5138;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4537 */
	obj_t BGl_z62run4537z62zz__evaluate_compz00(obj_t BgL_envz00_14838,
		obj_t BgL_sz00_14843)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14839;
				obj_t BgL_valza2za2_14840;
				BgL_ev_absz00_bglt BgL_i1255z00_14841;
				obj_t BgL_bodyz00_14842;

				BgL_siza7eza7_14839 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14838, (int) (0L)));
				BgL_valza2za2_14840 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14838, (int) (1L)));
				BgL_i1255z00_14841 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14838, (int) (2L)));
				BgL_bodyz00_14842 = PROCEDURE_REF(BgL_envz00_14838, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16394;

					BgL_bpz00_16394 = VECTOR_REF(((obj_t) BgL_sz00_14843), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14843,
						BgL_valza2za2_14840,
						((long) CINT(BgL_bpz00_16394) + BgL_siza7eza7_14839));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16395;
						obj_t BgL_wherez00_16396;
						obj_t BgL_locz00_16397;

						BgL_z12denvz12_16395 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16396 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14841))->
							BgL_wherez00);
						BgL_locz00_16397 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14841))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16395, BgL_wherez00_16396,
								BgL_locz00_16397);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16398;

								BgL_za2za2resza2za2z00_16398 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14842, BgL_sz00_14843);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16395);
								return BgL_za2za2resza2za2z00_16398;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3706> */
	obj_t BGl_z62zc3z04anonymousza33706ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14844, obj_t BgL_sz00_14851)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14845;
				obj_t BgL_iboxesz00_14846;
				obj_t BgL_siza7eza7_14847;
				BgL_ev_absz00_bglt BgL_i1255z00_14848;
				obj_t BgL_bodyz00_14849;
				obj_t BgL_siza7ezd2framez75_14850;

				BgL_ifreesz00_14845 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14844, (int) (0L)));
				BgL_iboxesz00_14846 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14844, (int) (1L)));
				BgL_siza7eza7_14847 = PROCEDURE_REF(BgL_envz00_14844, (int) (2L));
				BgL_i1255z00_14848 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14844, (int) (3L)));
				BgL_bodyz00_14849 = PROCEDURE_REF(BgL_envz00_14844, (int) (4L));
				BgL_siza7ezd2framez75_14850 =
					PROCEDURE_REF(BgL_envz00_14844, (int) (5L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16399;

					BgL_bpz00_16399 = VECTOR_REF(((obj_t) BgL_sz00_14851), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16400;

						BgL_valza2za2_16400 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14851,
							BgL_bpz00_16399, BgL_ifreesz00_14845);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16401;

							BgL_runz00_16401 =
								MAKE_FX_PROCEDURE(BGl_z62run4539z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_16401, (int) (0L), BgL_iboxesz00_14846);
							PROCEDURE_SET(BgL_runz00_16401, (int) (1L), BgL_siza7eza7_14847);
							PROCEDURE_SET(BgL_runz00_16401, (int) (2L), BgL_valza2za2_16400);
							PROCEDURE_SET(BgL_runz00_16401,
								(int) (3L), ((obj_t) BgL_i1255z00_14848));
							PROCEDURE_SET(BgL_runz00_16401, (int) (4L), BgL_bodyz00_14849);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16402;

								BgL_mainz00_16402 =
									MAKE_VA_PROCEDURE(BGl_z62main4538z62zz__evaluate_compz00,
									(int) ((-3L)), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_16402,
									(int) (0L), BgL_iboxesz00_14846);
								PROCEDURE_SET(BgL_mainz00_16402,
									(int) (1L), BgL_siza7eza7_14847);
								PROCEDURE_SET(BgL_mainz00_16402,
									(int) (2L), BgL_valza2za2_16400);
								PROCEDURE_SET(BgL_mainz00_16402,
									(int) (3L), ((obj_t) BgL_i1255z00_14848));
								PROCEDURE_SET(BgL_mainz00_16402, (int) (4L), BgL_bodyz00_14849);
								PROCEDURE_SET(BgL_mainz00_16402, (int) (5L), BgL_runz00_16401);
								PROCEDURE_SET(BgL_mainz00_16402,
									(int) (6L), BgL_siza7ezd2framez75_14850);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16403;

									BgL_objz00_16403 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16401, BgL_objz00_16403);
									BgL_objz00_16403;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3707z00_16404;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3708z00_16405;

										BgL_arg3708z00_16405 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14848))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16406;

											BgL_newz00_16406 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28846;

												BgL_tmpz00_28846 = (int) (3L);
												STRUCT_SET(BgL_newz00_16406, BgL_tmpz00_28846,
													BgL_arg3708z00_16405);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28849;

												BgL_tmpz00_28849 = (int) (2L);
												STRUCT_SET(BgL_newz00_16406, BgL_tmpz00_28849,
													BgL_siza7ezd2framez75_14850);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28852;

												BgL_tmpz00_28852 = (int) (1L);
												STRUCT_SET(BgL_newz00_16406, BgL_tmpz00_28852,
													BgL_runz00_16401);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28857;
												int BgL_tmpz00_28855;

												BgL_auxz00_28857 = BINT((-3L));
												BgL_tmpz00_28855 = (int) (0L);
												STRUCT_SET(BgL_newz00_16406, BgL_tmpz00_28855,
													BgL_auxz00_28857);
											}
											BgL_arg3707z00_16404 = BgL_newz00_16406;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16402, BgL_arg3707z00_16404);
									BgL_arg3707z00_16404;
								}
								return BgL_mainz00_16402;
							}
						}
					}
				}
			}
		}

	}



/* &main4538 */
	obj_t BGl_z62main4538z62zz__evaluate_compz00(obj_t BgL_envz00_14852,
		obj_t BgL_cz00_14860, obj_t BgL_dz00_14861, obj_t BgL_lastz00_14862)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14858;
				long BgL_siza7ezd2framez75_14859;

				BgL_runz00_14858 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14852, (int) (5L)));
				BgL_siza7ezd2framez75_14859 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14852, (int) (6L)));
				return
					BGl_mainze724ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14859,
					BgL_runz00_14858, BgL_cz00_14860, BgL_dz00_14861, BgL_lastz00_14862);
			}
		}

	}



/* main~24 */
	obj_t BGl_mainze724ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15636,
		obj_t BgL_runz00_15635, obj_t BgL_cz00_5157, obj_t BgL_dz00_5158,
		obj_t BgL_lastz00_5159)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5161;

				BgL_sz00_5161 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5162;

					BgL_bpz00_5162 = VECTOR_REF(((obj_t) BgL_sz00_5161), 0L);
					if (
						(((long) CINT(BgL_bpz00_5162) + BgL_siza7ezd2framez75_15636) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5161))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3711z00_5164;

								BgL_arg3711z00_5164 = ((long) CINT(BgL_bpz00_5162) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5161), BgL_arg3711z00_5164, BgL_cz00_5157);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3712z00_5165;

								BgL_arg3712z00_5165 = ((long) CINT(BgL_bpz00_5162) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5161), BgL_arg3712z00_5165, BgL_dz00_5158);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3713z00_5166;

								BgL_arg3713z00_5166 = ((long) CINT(BgL_bpz00_5162) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5161), BgL_arg3713z00_5166,
									BgL_lastz00_5159);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5167;

								BgL_ez00_5167 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_12136;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_12137;

										BgL_arg4345z00_12137 = BGL_EXITD_PROTECT(BgL_ez00_5167);
										BgL_arg4344z00_12136 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5162, BgL_arg4345z00_12137);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5167, BgL_arg4344z00_12136);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5168;

									BgL_accz00_5168 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15635, BgL_sz00_5161, BgL_bpz00_5162);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5589z00_28894;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_12139;

											BgL_arg4343z00_12139 = BGL_EXITD_PROTECT(BgL_ez00_5167);
											BgL_test5589z00_28894 = PAIRP(BgL_arg4343z00_12139);
										}
										if (BgL_test5589z00_28894)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_12140;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_12141;

													BgL_arg4342z00_12141 =
														BGL_EXITD_PROTECT(BgL_ez00_5167);
													BgL_arg4341z00_12140 =
														CDR(((obj_t) BgL_arg4342z00_12141));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5167,
													BgL_arg4341z00_12140);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5161), 0L, BgL_bpz00_5162);
									return BgL_accz00_5168;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5169;

							BgL_nsz00_5169 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5169, 1L, BgL_sz00_5161);
							VECTOR_SET(BgL_nsz00_5169, 2L, BgL_cz00_5157);
							VECTOR_SET(BgL_nsz00_5169, 3L, BgL_dz00_5158);
							VECTOR_SET(BgL_nsz00_5169, 4L, BgL_lastz00_5159);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5170;

								BgL_z12denvz12_5170 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5170, BgL_nsz00_5169);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5171;

									BgL_ez00_5171 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_12148;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_12149;

											BgL_arg4345z00_12149 = BGL_EXITD_PROTECT(BgL_ez00_5171);
											BgL_arg4344z00_12148 =
												MAKE_YOUNG_PAIR(BgL_sz00_5161, BgL_arg4345z00_12149);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5171, BgL_arg4344z00_12148);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5172;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_12150;

											BgL_savedzd2bpzd2_12150 = VECTOR_REF(BgL_nsz00_5169, 0L);
											VECTOR_SET(BgL_nsz00_5169, 0L, BINT(2L));
											{
												obj_t BgL_fz00_12154;

												BgL_fz00_12154 = BgL_runz00_15635;
											BgL_recz00_12153:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_12155;

													BgL_rz00_12155 =
														BGL_PROCEDURE_CALL1(BgL_fz00_12154, BgL_nsz00_5169);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5590z00_28921;

														if (PROCEDUREP(BgL_rz00_12155))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_12158;

																BgL_arg1763z00_12158 =
																	PROCEDURE_ATTR(BgL_rz00_12155);
																if (STRUCTP(BgL_arg1763z00_12158))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5590z00_28921 =
																			(STRUCT_KEY(BgL_arg1763z00_12158) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5590z00_28921 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5590z00_28921 = ((bool_t) 0);
															}
														if (BgL_test5590z00_28921)
															{
																obj_t BgL_fz00_28929;

																BgL_fz00_28929 = BgL_rz00_12155;
																BgL_fz00_12154 = BgL_fz00_28929;
																goto BgL_recz00_12153;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5169, 0L,
																	BgL_savedzd2bpzd2_12150);
																BgL_____rz00_5172 = BgL_rz00_12155;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5594z00_28931;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_12166;

												BgL_arg4343z00_12166 = BGL_EXITD_PROTECT(BgL_ez00_5171);
												BgL_test5594z00_28931 = PAIRP(BgL_arg4343z00_12166);
											}
											if (BgL_test5594z00_28931)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_12167;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_12168;

														BgL_arg4342z00_12168 =
															BGL_EXITD_PROTECT(BgL_ez00_5171);
														BgL_arg4341z00_12167 =
															CDR(((obj_t) BgL_arg4342z00_12168));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5171,
														BgL_arg4341z00_12167);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5170, BgL_sz00_5161);
										return BgL_____rz00_5172;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4539 */
	obj_t BGl_z62run4539z62zz__evaluate_compz00(obj_t BgL_envz00_14863,
		obj_t BgL_sz00_14869)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14864;
				long BgL_siza7eza7_14865;
				obj_t BgL_valza2za2_14866;
				BgL_ev_absz00_bglt BgL_i1255z00_14867;
				obj_t BgL_bodyz00_14868;

				BgL_iboxesz00_14864 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14863, (int) (0L)));
				BgL_siza7eza7_14865 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14863, (int) (1L)));
				BgL_valza2za2_14866 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14863, (int) (2L)));
				BgL_i1255z00_14867 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14863, (int) (3L)));
				BgL_bodyz00_14868 = PROCEDURE_REF(BgL_envz00_14863, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16407;

					BgL_bpz00_16407 = VECTOR_REF(((obj_t) BgL_sz00_14869), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14869,
						BgL_iboxesz00_14864, BgL_bpz00_16407);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14869,
						BgL_valza2za2_14866,
						((long) CINT(BgL_bpz00_16407) + BgL_siza7eza7_14865));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16408;
						obj_t BgL_wherez00_16409;
						obj_t BgL_locz00_16410;

						BgL_z12denvz12_16408 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16409 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14867))->
							BgL_wherez00);
						BgL_locz00_16410 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14867))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16408, BgL_wherez00_16409,
								BgL_locz00_16410);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16411;

								BgL_za2za2resza2za2z00_16411 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14868, BgL_sz00_14869);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16408);
								return BgL_za2za2resza2za2z00_16411;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3632> */
	obj_t BGl_z62zc3z04anonymousza33632ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14870, obj_t BgL_sz00_14874)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14871;
				obj_t BgL_bodyz00_14872;
				obj_t BgL_siza7ezd2framez75_14873;

				BgL_i1255z00_14871 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14870, (int) (0L)));
				BgL_bodyz00_14872 = PROCEDURE_REF(BgL_envz00_14870, (int) (1L));
				BgL_siza7ezd2framez75_14873 =
					PROCEDURE_REF(BgL_envz00_14870, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16412;

					BgL_bpz00_16412 = VECTOR_REF(((obj_t) BgL_sz00_14874), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16413;

							BgL_runz00_16413 =
								MAKE_FX_PROCEDURE(BGl_z62run4541z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_16413,
								(int) (0L), ((obj_t) BgL_i1255z00_14871));
							PROCEDURE_SET(BgL_runz00_16413, (int) (1L), BgL_bodyz00_14872);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16414;

								BgL_mainz00_16414 =
									MAKE_FX_PROCEDURE(BGl_z62main4540z62zz__evaluate_compz00,
									(int) (2L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_16414,
									(int) (0L), ((obj_t) BgL_i1255z00_14871));
								PROCEDURE_SET(BgL_mainz00_16414, (int) (1L), BgL_bodyz00_14872);
								PROCEDURE_SET(BgL_mainz00_16414, (int) (2L), BgL_runz00_16413);
								PROCEDURE_SET(BgL_mainz00_16414,
									(int) (3L), BgL_siza7ezd2framez75_14873);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16415;

									BgL_objz00_16415 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16413, BgL_objz00_16415);
									BgL_objz00_16415;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3633z00_16416;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3634z00_16417;

										BgL_arg3634z00_16417 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14871))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16418;

											BgL_newz00_16418 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29001;

												BgL_tmpz00_29001 = (int) (3L);
												STRUCT_SET(BgL_newz00_16418, BgL_tmpz00_29001,
													BgL_arg3634z00_16417);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29004;

												BgL_tmpz00_29004 = (int) (2L);
												STRUCT_SET(BgL_newz00_16418, BgL_tmpz00_29004,
													BgL_siza7ezd2framez75_14873);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29007;

												BgL_tmpz00_29007 = (int) (1L);
												STRUCT_SET(BgL_newz00_16418, BgL_tmpz00_29007,
													BgL_runz00_16413);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29012;
												int BgL_tmpz00_29010;

												BgL_auxz00_29012 = BINT(2L);
												BgL_tmpz00_29010 = (int) (0L);
												STRUCT_SET(BgL_newz00_16418, BgL_tmpz00_29010,
													BgL_auxz00_29012);
											}
											BgL_arg3633z00_16416 = BgL_newz00_16418;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16414, BgL_arg3633z00_16416);
									BgL_arg3633z00_16416;
								}
								return BgL_mainz00_16414;
							}
						}
					}
				}
			}
		}

	}



/* &main4540 */
	obj_t BGl_z62main4540z62zz__evaluate_compz00(obj_t BgL_envz00_14875,
		obj_t BgL_cz00_14880, obj_t BgL_dz00_14881)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14878;
				long BgL_siza7ezd2framez75_14879;

				BgL_runz00_14878 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14875, (int) (2L)));
				BgL_siza7ezd2framez75_14879 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14875, (int) (3L)));
				return
					BGl_mainze723ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14879,
					BgL_runz00_14878, BgL_cz00_14880, BgL_dz00_14881);
			}
		}

	}



/* main~23 */
	obj_t BGl_mainze723ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15634,
		obj_t BgL_runz00_15633, obj_t BgL_cz00_4922, obj_t BgL_dz00_4923)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4925;

				BgL_sz00_4925 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4926;

					BgL_bpz00_4926 = VECTOR_REF(((obj_t) BgL_sz00_4925), 0L);
					if (
						(((long) CINT(BgL_bpz00_4926) + BgL_siza7ezd2framez75_15634) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4925))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3637z00_4928;

								BgL_arg3637z00_4928 = ((long) CINT(BgL_bpz00_4926) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4925), BgL_arg3637z00_4928, BgL_cz00_4922);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3638z00_4929;

								BgL_arg3638z00_4929 = ((long) CINT(BgL_bpz00_4926) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4925), BgL_arg3638z00_4929, BgL_dz00_4923);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4930;

								BgL_ez00_4930 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11720;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11721;

										BgL_arg4345z00_11721 = BGL_EXITD_PROTECT(BgL_ez00_4930);
										BgL_arg4344z00_11720 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4926, BgL_arg4345z00_11721);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4930, BgL_arg4344z00_11720);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4931;

									BgL_accz00_4931 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15633, BgL_sz00_4925, BgL_bpz00_4926);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5596z00_29045;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11723;

											BgL_arg4343z00_11723 = BGL_EXITD_PROTECT(BgL_ez00_4930);
											BgL_test5596z00_29045 = PAIRP(BgL_arg4343z00_11723);
										}
										if (BgL_test5596z00_29045)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11724;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11725;

													BgL_arg4342z00_11725 =
														BGL_EXITD_PROTECT(BgL_ez00_4930);
													BgL_arg4341z00_11724 =
														CDR(((obj_t) BgL_arg4342z00_11725));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4930,
													BgL_arg4341z00_11724);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4925), 0L, BgL_bpz00_4926);
									return BgL_accz00_4931;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4932;

							BgL_nsz00_4932 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4932, 1L, BgL_sz00_4925);
							VECTOR_SET(BgL_nsz00_4932, 2L, BgL_cz00_4922);
							VECTOR_SET(BgL_nsz00_4932, 3L, BgL_dz00_4923);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4933;

								BgL_z12denvz12_4933 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4933, BgL_nsz00_4932);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4934;

									BgL_ez00_4934 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11731;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11732;

											BgL_arg4345z00_11732 = BGL_EXITD_PROTECT(BgL_ez00_4934);
											BgL_arg4344z00_11731 =
												MAKE_YOUNG_PAIR(BgL_sz00_4925, BgL_arg4345z00_11732);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4934, BgL_arg4344z00_11731);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4935;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11733;

											BgL_savedzd2bpzd2_11733 = VECTOR_REF(BgL_nsz00_4932, 0L);
											VECTOR_SET(BgL_nsz00_4932, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11737;

												BgL_fz00_11737 = BgL_runz00_15633;
											BgL_recz00_11736:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11738;

													BgL_rz00_11738 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11737, BgL_nsz00_4932);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5597z00_29071;

														if (PROCEDUREP(BgL_rz00_11738))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11741;

																BgL_arg1763z00_11741 =
																	PROCEDURE_ATTR(BgL_rz00_11738);
																if (STRUCTP(BgL_arg1763z00_11741))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5597z00_29071 =
																			(STRUCT_KEY(BgL_arg1763z00_11741) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5597z00_29071 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5597z00_29071 = ((bool_t) 0);
															}
														if (BgL_test5597z00_29071)
															{
																obj_t BgL_fz00_29079;

																BgL_fz00_29079 = BgL_rz00_11738;
																BgL_fz00_11737 = BgL_fz00_29079;
																goto BgL_recz00_11736;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4932, 0L,
																	BgL_savedzd2bpzd2_11733);
																BgL_____rz00_4935 = BgL_rz00_11738;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5600z00_29081;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11749;

												BgL_arg4343z00_11749 = BGL_EXITD_PROTECT(BgL_ez00_4934);
												BgL_test5600z00_29081 = PAIRP(BgL_arg4343z00_11749);
											}
											if (BgL_test5600z00_29081)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11750;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11751;

														BgL_arg4342z00_11751 =
															BGL_EXITD_PROTECT(BgL_ez00_4934);
														BgL_arg4341z00_11750 =
															CDR(((obj_t) BgL_arg4342z00_11751));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4934,
														BgL_arg4341z00_11750);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4933, BgL_sz00_4925);
										return BgL_____rz00_4935;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4541 */
	obj_t BGl_z62run4541z62zz__evaluate_compz00(obj_t BgL_envz00_14882,
		obj_t BgL_sz00_14885)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14883;
				obj_t BgL_bodyz00_14884;

				BgL_i1255z00_14883 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14882, (int) (0L)));
				BgL_bodyz00_14884 = PROCEDURE_REF(BgL_envz00_14882, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16419;

					BgL_bpz00_16419 = VECTOR_REF(((obj_t) BgL_sz00_14885), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16420;
						obj_t BgL_wherez00_16421;
						obj_t BgL_locz00_16422;

						BgL_z12denvz12_16420 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16421 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14883))->
							BgL_wherez00);
						BgL_locz00_16422 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14883))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16420, BgL_wherez00_16421,
								BgL_locz00_16422);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16423;

								BgL_za2za2resza2za2z00_16423 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14884, BgL_sz00_14885);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16420);
								return BgL_za2za2resza2za2z00_16423;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3640> */
	obj_t BGl_z62zc3z04anonymousza33640ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14886, obj_t BgL_sz00_14891)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14887;
				BgL_ev_absz00_bglt BgL_i1255z00_14888;
				obj_t BgL_bodyz00_14889;
				obj_t BgL_siza7ezd2framez75_14890;

				BgL_iboxesz00_14887 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14886, (int) (0L)));
				BgL_i1255z00_14888 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14886, (int) (1L)));
				BgL_bodyz00_14889 = PROCEDURE_REF(BgL_envz00_14886, (int) (2L));
				BgL_siza7ezd2framez75_14890 =
					PROCEDURE_REF(BgL_envz00_14886, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16424;

					BgL_bpz00_16424 = VECTOR_REF(((obj_t) BgL_sz00_14891), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16425;

							BgL_runz00_16425 =
								MAKE_FX_PROCEDURE(BGl_z62run4543z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_16425, (int) (0L), BgL_iboxesz00_14887);
							PROCEDURE_SET(BgL_runz00_16425,
								(int) (1L), ((obj_t) BgL_i1255z00_14888));
							PROCEDURE_SET(BgL_runz00_16425, (int) (2L), BgL_bodyz00_14889);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16426;

								BgL_mainz00_16426 =
									MAKE_FX_PROCEDURE(BGl_z62main4542z62zz__evaluate_compz00,
									(int) (2L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_16426,
									(int) (0L), BgL_iboxesz00_14887);
								PROCEDURE_SET(BgL_mainz00_16426,
									(int) (1L), ((obj_t) BgL_i1255z00_14888));
								PROCEDURE_SET(BgL_mainz00_16426, (int) (2L), BgL_bodyz00_14889);
								PROCEDURE_SET(BgL_mainz00_16426, (int) (3L), BgL_runz00_16425);
								PROCEDURE_SET(BgL_mainz00_16426,
									(int) (4L), BgL_siza7ezd2framez75_14890);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16427;

									BgL_objz00_16427 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16425, BgL_objz00_16427);
									BgL_objz00_16427;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3641z00_16428;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3642z00_16429;

										BgL_arg3642z00_16429 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14888))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16430;

											BgL_newz00_16430 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29145;

												BgL_tmpz00_29145 = (int) (3L);
												STRUCT_SET(BgL_newz00_16430, BgL_tmpz00_29145,
													BgL_arg3642z00_16429);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29148;

												BgL_tmpz00_29148 = (int) (2L);
												STRUCT_SET(BgL_newz00_16430, BgL_tmpz00_29148,
													BgL_siza7ezd2framez75_14890);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29151;

												BgL_tmpz00_29151 = (int) (1L);
												STRUCT_SET(BgL_newz00_16430, BgL_tmpz00_29151,
													BgL_runz00_16425);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29156;
												int BgL_tmpz00_29154;

												BgL_auxz00_29156 = BINT(2L);
												BgL_tmpz00_29154 = (int) (0L);
												STRUCT_SET(BgL_newz00_16430, BgL_tmpz00_29154,
													BgL_auxz00_29156);
											}
											BgL_arg3641z00_16428 = BgL_newz00_16430;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16426, BgL_arg3641z00_16428);
									BgL_arg3641z00_16428;
								}
								return BgL_mainz00_16426;
							}
						}
					}
				}
			}
		}

	}



/* &main4542 */
	obj_t BGl_z62main4542z62zz__evaluate_compz00(obj_t BgL_envz00_14892,
		obj_t BgL_cz00_14898, obj_t BgL_dz00_14899)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14896;
				long BgL_siza7ezd2framez75_14897;

				BgL_runz00_14896 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14892, (int) (3L)));
				BgL_siza7ezd2framez75_14897 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14892, (int) (4L)));
				return
					BGl_mainze722ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14897,
					BgL_runz00_14896, BgL_cz00_14898, BgL_dz00_14899);
			}
		}

	}



/* main~22 */
	obj_t BGl_mainze722ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15632,
		obj_t BgL_runz00_15631, obj_t BgL_cz00_4952, obj_t BgL_dz00_4953)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4955;

				BgL_sz00_4955 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4956;

					BgL_bpz00_4956 = VECTOR_REF(((obj_t) BgL_sz00_4955), 0L);
					if (
						(((long) CINT(BgL_bpz00_4956) + BgL_siza7ezd2framez75_15632) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4955))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3645z00_4958;

								BgL_arg3645z00_4958 = ((long) CINT(BgL_bpz00_4956) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4955), BgL_arg3645z00_4958, BgL_cz00_4952);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3646z00_4959;

								BgL_arg3646z00_4959 = ((long) CINT(BgL_bpz00_4956) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4955), BgL_arg3646z00_4959, BgL_dz00_4953);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4960;

								BgL_ez00_4960 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11775;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11776;

										BgL_arg4345z00_11776 = BGL_EXITD_PROTECT(BgL_ez00_4960);
										BgL_arg4344z00_11775 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4956, BgL_arg4345z00_11776);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4960, BgL_arg4344z00_11775);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4961;

									BgL_accz00_4961 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15631, BgL_sz00_4955, BgL_bpz00_4956);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5602z00_29189;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11778;

											BgL_arg4343z00_11778 = BGL_EXITD_PROTECT(BgL_ez00_4960);
											BgL_test5602z00_29189 = PAIRP(BgL_arg4343z00_11778);
										}
										if (BgL_test5602z00_29189)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11779;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11780;

													BgL_arg4342z00_11780 =
														BGL_EXITD_PROTECT(BgL_ez00_4960);
													BgL_arg4341z00_11779 =
														CDR(((obj_t) BgL_arg4342z00_11780));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4960,
													BgL_arg4341z00_11779);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4955), 0L, BgL_bpz00_4956);
									return BgL_accz00_4961;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4962;

							BgL_nsz00_4962 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4962, 1L, BgL_sz00_4955);
							VECTOR_SET(BgL_nsz00_4962, 2L, BgL_cz00_4952);
							VECTOR_SET(BgL_nsz00_4962, 3L, BgL_dz00_4953);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4963;

								BgL_z12denvz12_4963 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4963, BgL_nsz00_4962);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4964;

									BgL_ez00_4964 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11786;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11787;

											BgL_arg4345z00_11787 = BGL_EXITD_PROTECT(BgL_ez00_4964);
											BgL_arg4344z00_11786 =
												MAKE_YOUNG_PAIR(BgL_sz00_4955, BgL_arg4345z00_11787);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4964, BgL_arg4344z00_11786);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4965;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11788;

											BgL_savedzd2bpzd2_11788 = VECTOR_REF(BgL_nsz00_4962, 0L);
											VECTOR_SET(BgL_nsz00_4962, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11792;

												BgL_fz00_11792 = BgL_runz00_15631;
											BgL_recz00_11791:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11793;

													BgL_rz00_11793 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11792, BgL_nsz00_4962);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5603z00_29215;

														if (PROCEDUREP(BgL_rz00_11793))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11796;

																BgL_arg1763z00_11796 =
																	PROCEDURE_ATTR(BgL_rz00_11793);
																if (STRUCTP(BgL_arg1763z00_11796))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5603z00_29215 =
																			(STRUCT_KEY(BgL_arg1763z00_11796) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5603z00_29215 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5603z00_29215 = ((bool_t) 0);
															}
														if (BgL_test5603z00_29215)
															{
																obj_t BgL_fz00_29223;

																BgL_fz00_29223 = BgL_rz00_11793;
																BgL_fz00_11792 = BgL_fz00_29223;
																goto BgL_recz00_11791;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4962, 0L,
																	BgL_savedzd2bpzd2_11788);
																BgL_____rz00_4965 = BgL_rz00_11793;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5606z00_29225;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11804;

												BgL_arg4343z00_11804 = BGL_EXITD_PROTECT(BgL_ez00_4964);
												BgL_test5606z00_29225 = PAIRP(BgL_arg4343z00_11804);
											}
											if (BgL_test5606z00_29225)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11805;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11806;

														BgL_arg4342z00_11806 =
															BGL_EXITD_PROTECT(BgL_ez00_4964);
														BgL_arg4341z00_11805 =
															CDR(((obj_t) BgL_arg4342z00_11806));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4964,
														BgL_arg4341z00_11805);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4963, BgL_sz00_4955);
										return BgL_____rz00_4965;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4543 */
	obj_t BGl_z62run4543z62zz__evaluate_compz00(obj_t BgL_envz00_14900,
		obj_t BgL_sz00_14904)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14901;
				BgL_ev_absz00_bglt BgL_i1255z00_14902;
				obj_t BgL_bodyz00_14903;

				BgL_iboxesz00_14901 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14900, (int) (0L)));
				BgL_i1255z00_14902 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14900, (int) (1L)));
				BgL_bodyz00_14903 = PROCEDURE_REF(BgL_envz00_14900, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16431;

					BgL_bpz00_16431 = VECTOR_REF(((obj_t) BgL_sz00_14904), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14904,
						BgL_iboxesz00_14901, BgL_bpz00_16431);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16432;
						obj_t BgL_wherez00_16433;
						obj_t BgL_locz00_16434;

						BgL_z12denvz12_16432 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16433 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14902))->
							BgL_wherez00);
						BgL_locz00_16434 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14902))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16432, BgL_wherez00_16433,
								BgL_locz00_16434);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16435;

								BgL_za2za2resza2za2z00_16435 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14903, BgL_sz00_14904);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16432);
								return BgL_za2za2resza2za2z00_16435;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3651> */
	obj_t BGl_z62zc3z04anonymousza33651ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14905, obj_t BgL_sz00_14911)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14906;
				obj_t BgL_siza7eza7_14907;
				BgL_ev_absz00_bglt BgL_i1255z00_14908;
				obj_t BgL_bodyz00_14909;
				obj_t BgL_siza7ezd2framez75_14910;

				BgL_ifreesz00_14906 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14905, (int) (0L)));
				BgL_siza7eza7_14907 = PROCEDURE_REF(BgL_envz00_14905, (int) (1L));
				BgL_i1255z00_14908 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14905, (int) (2L)));
				BgL_bodyz00_14909 = PROCEDURE_REF(BgL_envz00_14905, (int) (3L));
				BgL_siza7ezd2framez75_14910 =
					PROCEDURE_REF(BgL_envz00_14905, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16436;

					BgL_bpz00_16436 = VECTOR_REF(((obj_t) BgL_sz00_14911), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16437;

						BgL_valza2za2_16437 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14911,
							BgL_bpz00_16436, BgL_ifreesz00_14906);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16438;

							BgL_runz00_16438 =
								MAKE_FX_PROCEDURE(BGl_z62run4545z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_16438, (int) (0L), BgL_siza7eza7_14907);
							PROCEDURE_SET(BgL_runz00_16438, (int) (1L), BgL_valza2za2_16437);
							PROCEDURE_SET(BgL_runz00_16438,
								(int) (2L), ((obj_t) BgL_i1255z00_14908));
							PROCEDURE_SET(BgL_runz00_16438, (int) (3L), BgL_bodyz00_14909);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16439;

								BgL_mainz00_16439 =
									MAKE_FX_PROCEDURE(BGl_z62main4544z62zz__evaluate_compz00,
									(int) (2L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_16439,
									(int) (0L), BgL_siza7eza7_14907);
								PROCEDURE_SET(BgL_mainz00_16439,
									(int) (1L), BgL_valza2za2_16437);
								PROCEDURE_SET(BgL_mainz00_16439,
									(int) (2L), ((obj_t) BgL_i1255z00_14908));
								PROCEDURE_SET(BgL_mainz00_16439, (int) (3L), BgL_bodyz00_14909);
								PROCEDURE_SET(BgL_mainz00_16439, (int) (4L), BgL_runz00_16438);
								PROCEDURE_SET(BgL_mainz00_16439,
									(int) (5L), BgL_siza7ezd2framez75_14910);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16440;

									BgL_objz00_16440 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16438, BgL_objz00_16440);
									BgL_objz00_16440;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3652z00_16441;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3653z00_16442;

										BgL_arg3653z00_16442 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14908))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16443;

											BgL_newz00_16443 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29300;

												BgL_tmpz00_29300 = (int) (3L);
												STRUCT_SET(BgL_newz00_16443, BgL_tmpz00_29300,
													BgL_arg3653z00_16442);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29303;

												BgL_tmpz00_29303 = (int) (2L);
												STRUCT_SET(BgL_newz00_16443, BgL_tmpz00_29303,
													BgL_siza7ezd2framez75_14910);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29306;

												BgL_tmpz00_29306 = (int) (1L);
												STRUCT_SET(BgL_newz00_16443, BgL_tmpz00_29306,
													BgL_runz00_16438);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29311;
												int BgL_tmpz00_29309;

												BgL_auxz00_29311 = BINT(2L);
												BgL_tmpz00_29309 = (int) (0L);
												STRUCT_SET(BgL_newz00_16443, BgL_tmpz00_29309,
													BgL_auxz00_29311);
											}
											BgL_arg3652z00_16441 = BgL_newz00_16443;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16439, BgL_arg3652z00_16441);
									BgL_arg3652z00_16441;
								}
								return BgL_mainz00_16439;
							}
						}
					}
				}
			}
		}

	}



/* &main4544 */
	obj_t BGl_z62main4544z62zz__evaluate_compz00(obj_t BgL_envz00_14912,
		obj_t BgL_cz00_14919, obj_t BgL_dz00_14920)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14917;
				long BgL_siza7ezd2framez75_14918;

				BgL_runz00_14917 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14912, (int) (4L)));
				BgL_siza7ezd2framez75_14918 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14912, (int) (5L)));
				return
					BGl_mainze721ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14918,
					BgL_runz00_14917, BgL_cz00_14919, BgL_dz00_14920);
			}
		}

	}



/* main~21 */
	obj_t BGl_mainze721ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15630,
		obj_t BgL_runz00_15629, obj_t BgL_cz00_4986, obj_t BgL_dz00_4987)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4989;

				BgL_sz00_4989 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4990;

					BgL_bpz00_4990 = VECTOR_REF(((obj_t) BgL_sz00_4989), 0L);
					if (
						(((long) CINT(BgL_bpz00_4990) + BgL_siza7ezd2framez75_15630) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4989))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3656z00_4992;

								BgL_arg3656z00_4992 = ((long) CINT(BgL_bpz00_4990) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4989), BgL_arg3656z00_4992, BgL_cz00_4986);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3657z00_4993;

								BgL_arg3657z00_4993 = ((long) CINT(BgL_bpz00_4990) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4989), BgL_arg3657z00_4993, BgL_dz00_4987);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4994;

								BgL_ez00_4994 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11834;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11835;

										BgL_arg4345z00_11835 = BGL_EXITD_PROTECT(BgL_ez00_4994);
										BgL_arg4344z00_11834 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4990, BgL_arg4345z00_11835);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4994, BgL_arg4344z00_11834);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4995;

									BgL_accz00_4995 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15629, BgL_sz00_4989, BgL_bpz00_4990);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5608z00_29344;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11837;

											BgL_arg4343z00_11837 = BGL_EXITD_PROTECT(BgL_ez00_4994);
											BgL_test5608z00_29344 = PAIRP(BgL_arg4343z00_11837);
										}
										if (BgL_test5608z00_29344)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11838;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11839;

													BgL_arg4342z00_11839 =
														BGL_EXITD_PROTECT(BgL_ez00_4994);
													BgL_arg4341z00_11838 =
														CDR(((obj_t) BgL_arg4342z00_11839));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4994,
													BgL_arg4341z00_11838);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4989), 0L, BgL_bpz00_4990);
									return BgL_accz00_4995;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4996;

							BgL_nsz00_4996 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4996, 1L, BgL_sz00_4989);
							VECTOR_SET(BgL_nsz00_4996, 2L, BgL_cz00_4986);
							VECTOR_SET(BgL_nsz00_4996, 3L, BgL_dz00_4987);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4997;

								BgL_z12denvz12_4997 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4997, BgL_nsz00_4996);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4998;

									BgL_ez00_4998 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11845;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11846;

											BgL_arg4345z00_11846 = BGL_EXITD_PROTECT(BgL_ez00_4998);
											BgL_arg4344z00_11845 =
												MAKE_YOUNG_PAIR(BgL_sz00_4989, BgL_arg4345z00_11846);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4998, BgL_arg4344z00_11845);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4999;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11847;

											BgL_savedzd2bpzd2_11847 = VECTOR_REF(BgL_nsz00_4996, 0L);
											VECTOR_SET(BgL_nsz00_4996, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11851;

												BgL_fz00_11851 = BgL_runz00_15629;
											BgL_recz00_11850:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11852;

													BgL_rz00_11852 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11851, BgL_nsz00_4996);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5609z00_29370;

														if (PROCEDUREP(BgL_rz00_11852))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11855;

																BgL_arg1763z00_11855 =
																	PROCEDURE_ATTR(BgL_rz00_11852);
																if (STRUCTP(BgL_arg1763z00_11855))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5609z00_29370 =
																			(STRUCT_KEY(BgL_arg1763z00_11855) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5609z00_29370 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5609z00_29370 = ((bool_t) 0);
															}
														if (BgL_test5609z00_29370)
															{
																obj_t BgL_fz00_29378;

																BgL_fz00_29378 = BgL_rz00_11852;
																BgL_fz00_11851 = BgL_fz00_29378;
																goto BgL_recz00_11850;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4996, 0L,
																	BgL_savedzd2bpzd2_11847);
																BgL_____rz00_4999 = BgL_rz00_11852;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5612z00_29380;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11863;

												BgL_arg4343z00_11863 = BGL_EXITD_PROTECT(BgL_ez00_4998);
												BgL_test5612z00_29380 = PAIRP(BgL_arg4343z00_11863);
											}
											if (BgL_test5612z00_29380)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11864;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11865;

														BgL_arg4342z00_11865 =
															BGL_EXITD_PROTECT(BgL_ez00_4998);
														BgL_arg4341z00_11864 =
															CDR(((obj_t) BgL_arg4342z00_11865));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4998,
														BgL_arg4341z00_11864);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4997, BgL_sz00_4989);
										return BgL_____rz00_4999;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4545 */
	obj_t BGl_z62run4545z62zz__evaluate_compz00(obj_t BgL_envz00_14921,
		obj_t BgL_sz00_14926)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14922;
				obj_t BgL_valza2za2_14923;
				BgL_ev_absz00_bglt BgL_i1255z00_14924;
				obj_t BgL_bodyz00_14925;

				BgL_siza7eza7_14922 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14921, (int) (0L)));
				BgL_valza2za2_14923 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14921, (int) (1L)));
				BgL_i1255z00_14924 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14921, (int) (2L)));
				BgL_bodyz00_14925 = PROCEDURE_REF(BgL_envz00_14921, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16444;

					BgL_bpz00_16444 = VECTOR_REF(((obj_t) BgL_sz00_14926), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14926,
						BgL_valza2za2_14923,
						((long) CINT(BgL_bpz00_16444) + BgL_siza7eza7_14922));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16445;
						obj_t BgL_wherez00_16446;
						obj_t BgL_locz00_16447;

						BgL_z12denvz12_16445 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16446 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14924))->
							BgL_wherez00);
						BgL_locz00_16447 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14924))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16445, BgL_wherez00_16446,
								BgL_locz00_16447);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16448;

								BgL_za2za2resza2za2z00_16448 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14925, BgL_sz00_14926);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16445);
								return BgL_za2za2resza2za2z00_16448;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3660> */
	obj_t BGl_z62zc3z04anonymousza33660ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14927, obj_t BgL_sz00_14934)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14928;
				obj_t BgL_iboxesz00_14929;
				obj_t BgL_siza7eza7_14930;
				BgL_ev_absz00_bglt BgL_i1255z00_14931;
				obj_t BgL_bodyz00_14932;
				obj_t BgL_siza7ezd2framez75_14933;

				BgL_ifreesz00_14928 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14927, (int) (0L)));
				BgL_iboxesz00_14929 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14927, (int) (1L)));
				BgL_siza7eza7_14930 = PROCEDURE_REF(BgL_envz00_14927, (int) (2L));
				BgL_i1255z00_14931 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14927, (int) (3L)));
				BgL_bodyz00_14932 = PROCEDURE_REF(BgL_envz00_14927, (int) (4L));
				BgL_siza7ezd2framez75_14933 =
					PROCEDURE_REF(BgL_envz00_14927, (int) (5L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16449;

					BgL_bpz00_16449 = VECTOR_REF(((obj_t) BgL_sz00_14934), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16450;

						BgL_valza2za2_16450 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14934,
							BgL_bpz00_16449, BgL_ifreesz00_14928);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16451;

							BgL_runz00_16451 =
								MAKE_FX_PROCEDURE(BGl_z62run4547z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_16451, (int) (0L), BgL_iboxesz00_14929);
							PROCEDURE_SET(BgL_runz00_16451, (int) (1L), BgL_siza7eza7_14930);
							PROCEDURE_SET(BgL_runz00_16451, (int) (2L), BgL_valza2za2_16450);
							PROCEDURE_SET(BgL_runz00_16451,
								(int) (3L), ((obj_t) BgL_i1255z00_14931));
							PROCEDURE_SET(BgL_runz00_16451, (int) (4L), BgL_bodyz00_14932);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16452;

								BgL_mainz00_16452 =
									MAKE_FX_PROCEDURE(BGl_z62main4546z62zz__evaluate_compz00,
									(int) (2L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_16452,
									(int) (0L), BgL_iboxesz00_14929);
								PROCEDURE_SET(BgL_mainz00_16452,
									(int) (1L), BgL_siza7eza7_14930);
								PROCEDURE_SET(BgL_mainz00_16452,
									(int) (2L), BgL_valza2za2_16450);
								PROCEDURE_SET(BgL_mainz00_16452,
									(int) (3L), ((obj_t) BgL_i1255z00_14931));
								PROCEDURE_SET(BgL_mainz00_16452, (int) (4L), BgL_bodyz00_14932);
								PROCEDURE_SET(BgL_mainz00_16452, (int) (5L), BgL_runz00_16451);
								PROCEDURE_SET(BgL_mainz00_16452,
									(int) (6L), BgL_siza7ezd2framez75_14933);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16453;

									BgL_objz00_16453 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16451, BgL_objz00_16453);
									BgL_objz00_16453;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3661z00_16454;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3662z00_16455;

										BgL_arg3662z00_16455 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14931))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16456;

											BgL_newz00_16456 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29467;

												BgL_tmpz00_29467 = (int) (3L);
												STRUCT_SET(BgL_newz00_16456, BgL_tmpz00_29467,
													BgL_arg3662z00_16455);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29470;

												BgL_tmpz00_29470 = (int) (2L);
												STRUCT_SET(BgL_newz00_16456, BgL_tmpz00_29470,
													BgL_siza7ezd2framez75_14933);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29473;

												BgL_tmpz00_29473 = (int) (1L);
												STRUCT_SET(BgL_newz00_16456, BgL_tmpz00_29473,
													BgL_runz00_16451);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29478;
												int BgL_tmpz00_29476;

												BgL_auxz00_29478 = BINT(2L);
												BgL_tmpz00_29476 = (int) (0L);
												STRUCT_SET(BgL_newz00_16456, BgL_tmpz00_29476,
													BgL_auxz00_29478);
											}
											BgL_arg3661z00_16454 = BgL_newz00_16456;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16452, BgL_arg3661z00_16454);
									BgL_arg3661z00_16454;
								}
								return BgL_mainz00_16452;
							}
						}
					}
				}
			}
		}

	}



/* &main4546 */
	obj_t BGl_z62main4546z62zz__evaluate_compz00(obj_t BgL_envz00_14935,
		obj_t BgL_cz00_14943, obj_t BgL_dz00_14944)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14941;
				long BgL_siza7ezd2framez75_14942;

				BgL_runz00_14941 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14935, (int) (5L)));
				BgL_siza7ezd2framez75_14942 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14935, (int) (6L)));
				return
					BGl_mainze720ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14942,
					BgL_runz00_14941, BgL_cz00_14943, BgL_dz00_14944);
			}
		}

	}



/* main~20 */
	obj_t BGl_mainze720ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15628,
		obj_t BgL_runz00_15627, obj_t BgL_cz00_5018, obj_t BgL_dz00_5019)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5021;

				BgL_sz00_5021 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5022;

					BgL_bpz00_5022 = VECTOR_REF(((obj_t) BgL_sz00_5021), 0L);
					if (
						(((long) CINT(BgL_bpz00_5022) + BgL_siza7ezd2framez75_15628) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5021))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3665z00_5024;

								BgL_arg3665z00_5024 = ((long) CINT(BgL_bpz00_5022) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5021), BgL_arg3665z00_5024, BgL_cz00_5018);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3666z00_5025;

								BgL_arg3666z00_5025 = ((long) CINT(BgL_bpz00_5022) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5021), BgL_arg3666z00_5025, BgL_dz00_5019);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5026;

								BgL_ez00_5026 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11891;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11892;

										BgL_arg4345z00_11892 = BGL_EXITD_PROTECT(BgL_ez00_5026);
										BgL_arg4344z00_11891 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5022, BgL_arg4345z00_11892);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5026, BgL_arg4344z00_11891);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5027;

									BgL_accz00_5027 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15627, BgL_sz00_5021, BgL_bpz00_5022);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5614z00_29511;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11894;

											BgL_arg4343z00_11894 = BGL_EXITD_PROTECT(BgL_ez00_5026);
											BgL_test5614z00_29511 = PAIRP(BgL_arg4343z00_11894);
										}
										if (BgL_test5614z00_29511)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11895;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11896;

													BgL_arg4342z00_11896 =
														BGL_EXITD_PROTECT(BgL_ez00_5026);
													BgL_arg4341z00_11895 =
														CDR(((obj_t) BgL_arg4342z00_11896));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5026,
													BgL_arg4341z00_11895);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5021), 0L, BgL_bpz00_5022);
									return BgL_accz00_5027;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5028;

							BgL_nsz00_5028 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5028, 1L, BgL_sz00_5021);
							VECTOR_SET(BgL_nsz00_5028, 2L, BgL_cz00_5018);
							VECTOR_SET(BgL_nsz00_5028, 3L, BgL_dz00_5019);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5029;

								BgL_z12denvz12_5029 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5029, BgL_nsz00_5028);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5030;

									BgL_ez00_5030 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11902;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11903;

											BgL_arg4345z00_11903 = BGL_EXITD_PROTECT(BgL_ez00_5030);
											BgL_arg4344z00_11902 =
												MAKE_YOUNG_PAIR(BgL_sz00_5021, BgL_arg4345z00_11903);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5030, BgL_arg4344z00_11902);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5031;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11904;

											BgL_savedzd2bpzd2_11904 = VECTOR_REF(BgL_nsz00_5028, 0L);
											VECTOR_SET(BgL_nsz00_5028, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11908;

												BgL_fz00_11908 = BgL_runz00_15627;
											BgL_recz00_11907:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11909;

													BgL_rz00_11909 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11908, BgL_nsz00_5028);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5615z00_29537;

														if (PROCEDUREP(BgL_rz00_11909))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11912;

																BgL_arg1763z00_11912 =
																	PROCEDURE_ATTR(BgL_rz00_11909);
																if (STRUCTP(BgL_arg1763z00_11912))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5615z00_29537 =
																			(STRUCT_KEY(BgL_arg1763z00_11912) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5615z00_29537 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5615z00_29537 = ((bool_t) 0);
															}
														if (BgL_test5615z00_29537)
															{
																obj_t BgL_fz00_29545;

																BgL_fz00_29545 = BgL_rz00_11909;
																BgL_fz00_11908 = BgL_fz00_29545;
																goto BgL_recz00_11907;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5028, 0L,
																	BgL_savedzd2bpzd2_11904);
																BgL_____rz00_5031 = BgL_rz00_11909;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5618z00_29547;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11920;

												BgL_arg4343z00_11920 = BGL_EXITD_PROTECT(BgL_ez00_5030);
												BgL_test5618z00_29547 = PAIRP(BgL_arg4343z00_11920);
											}
											if (BgL_test5618z00_29547)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11921;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11922;

														BgL_arg4342z00_11922 =
															BGL_EXITD_PROTECT(BgL_ez00_5030);
														BgL_arg4341z00_11921 =
															CDR(((obj_t) BgL_arg4342z00_11922));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5030,
														BgL_arg4341z00_11921);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5029, BgL_sz00_5021);
										return BgL_____rz00_5031;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4547 */
	obj_t BGl_z62run4547z62zz__evaluate_compz00(obj_t BgL_envz00_14945,
		obj_t BgL_sz00_14951)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14946;
				long BgL_siza7eza7_14947;
				obj_t BgL_valza2za2_14948;
				BgL_ev_absz00_bglt BgL_i1255z00_14949;
				obj_t BgL_bodyz00_14950;

				BgL_iboxesz00_14946 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14945, (int) (0L)));
				BgL_siza7eza7_14947 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14945, (int) (1L)));
				BgL_valza2za2_14948 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14945, (int) (2L)));
				BgL_i1255z00_14949 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14945, (int) (3L)));
				BgL_bodyz00_14950 = PROCEDURE_REF(BgL_envz00_14945, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16457;

					BgL_bpz00_16457 = VECTOR_REF(((obj_t) BgL_sz00_14951), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14951,
						BgL_iboxesz00_14946, BgL_bpz00_16457);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14951,
						BgL_valza2za2_14948,
						((long) CINT(BgL_bpz00_16457) + BgL_siza7eza7_14947));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16458;
						obj_t BgL_wherez00_16459;
						obj_t BgL_locz00_16460;

						BgL_z12denvz12_16458 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16459 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14949))->
							BgL_wherez00);
						BgL_locz00_16460 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14949))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16458, BgL_wherez00_16459,
								BgL_locz00_16460);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16461;

								BgL_za2za2resza2za2z00_16461 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14950, BgL_sz00_14951);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16458);
								return BgL_za2za2resza2za2z00_16461;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3585> */
	obj_t BGl_z62zc3z04anonymousza33585ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14952, obj_t BgL_sz00_14956)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14953;
				obj_t BgL_bodyz00_14954;
				obj_t BgL_siza7ezd2framez75_14955;

				BgL_i1255z00_14953 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14952, (int) (0L)));
				BgL_bodyz00_14954 = PROCEDURE_REF(BgL_envz00_14952, (int) (1L));
				BgL_siza7ezd2framez75_14955 =
					PROCEDURE_REF(BgL_envz00_14952, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16462;

					BgL_bpz00_16462 = VECTOR_REF(((obj_t) BgL_sz00_14956), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16463;

							BgL_runz00_16463 =
								MAKE_FX_PROCEDURE(BGl_z62run4549z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_16463,
								(int) (0L), ((obj_t) BgL_i1255z00_14953));
							PROCEDURE_SET(BgL_runz00_16463, (int) (1L), BgL_bodyz00_14954);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16464;

								BgL_mainz00_16464 =
									MAKE_VA_PROCEDURE(BGl_z62main4548z62zz__evaluate_compz00,
									(int) ((-2L)), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_16464,
									(int) (0L), ((obj_t) BgL_i1255z00_14953));
								PROCEDURE_SET(BgL_mainz00_16464, (int) (1L), BgL_bodyz00_14954);
								PROCEDURE_SET(BgL_mainz00_16464, (int) (2L), BgL_runz00_16463);
								PROCEDURE_SET(BgL_mainz00_16464,
									(int) (3L), BgL_siza7ezd2framez75_14955);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16465;

									BgL_objz00_16465 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16463, BgL_objz00_16465);
									BgL_objz00_16465;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3586z00_16466;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3588z00_16467;

										BgL_arg3588z00_16467 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14953))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16468;

											BgL_newz00_16468 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29617;

												BgL_tmpz00_29617 = (int) (3L);
												STRUCT_SET(BgL_newz00_16468, BgL_tmpz00_29617,
													BgL_arg3588z00_16467);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29620;

												BgL_tmpz00_29620 = (int) (2L);
												STRUCT_SET(BgL_newz00_16468, BgL_tmpz00_29620,
													BgL_siza7ezd2framez75_14955);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29623;

												BgL_tmpz00_29623 = (int) (1L);
												STRUCT_SET(BgL_newz00_16468, BgL_tmpz00_29623,
													BgL_runz00_16463);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29628;
												int BgL_tmpz00_29626;

												BgL_auxz00_29628 = BINT((-2L));
												BgL_tmpz00_29626 = (int) (0L);
												STRUCT_SET(BgL_newz00_16468, BgL_tmpz00_29626,
													BgL_auxz00_29628);
											}
											BgL_arg3586z00_16466 = BgL_newz00_16468;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16464, BgL_arg3586z00_16466);
									BgL_arg3586z00_16466;
								}
								return BgL_mainz00_16464;
							}
						}
					}
				}
			}
		}

	}



/* &main4548 */
	obj_t BGl_z62main4548z62zz__evaluate_compz00(obj_t BgL_envz00_14957,
		obj_t BgL_dz00_14962, obj_t BgL_lastz00_14963)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14960;
				long BgL_siza7ezd2framez75_14961;

				BgL_runz00_14960 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14957, (int) (2L)));
				BgL_siza7ezd2framez75_14961 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14957, (int) (3L)));
				return
					BGl_mainze719ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14961,
					BgL_runz00_14960, BgL_dz00_14962, BgL_lastz00_14963);
			}
		}

	}



/* main~19 */
	obj_t BGl_mainze719ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15626,
		obj_t BgL_runz00_15625, obj_t BgL_dz00_4789, obj_t BgL_lastz00_4790)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4792;

				BgL_sz00_4792 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4793;

					BgL_bpz00_4793 = VECTOR_REF(((obj_t) BgL_sz00_4792), 0L);
					if (
						(((long) CINT(BgL_bpz00_4793) + BgL_siza7ezd2framez75_15626) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4792))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3592z00_4795;

								BgL_arg3592z00_4795 = ((long) CINT(BgL_bpz00_4793) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4792), BgL_arg3592z00_4795, BgL_dz00_4789);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3593z00_4796;

								BgL_arg3593z00_4796 = ((long) CINT(BgL_bpz00_4793) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4792), BgL_arg3593z00_4796,
									BgL_lastz00_4790);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4797;

								BgL_ez00_4797 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11490;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11491;

										BgL_arg4345z00_11491 = BGL_EXITD_PROTECT(BgL_ez00_4797);
										BgL_arg4344z00_11490 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4793, BgL_arg4345z00_11491);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4797, BgL_arg4344z00_11490);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4798;

									BgL_accz00_4798 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15625, BgL_sz00_4792, BgL_bpz00_4793);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5620z00_29661;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11493;

											BgL_arg4343z00_11493 = BGL_EXITD_PROTECT(BgL_ez00_4797);
											BgL_test5620z00_29661 = PAIRP(BgL_arg4343z00_11493);
										}
										if (BgL_test5620z00_29661)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11494;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11495;

													BgL_arg4342z00_11495 =
														BGL_EXITD_PROTECT(BgL_ez00_4797);
													BgL_arg4341z00_11494 =
														CDR(((obj_t) BgL_arg4342z00_11495));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4797,
													BgL_arg4341z00_11494);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4792), 0L, BgL_bpz00_4793);
									return BgL_accz00_4798;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4799;

							BgL_nsz00_4799 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4799, 1L, BgL_sz00_4792);
							VECTOR_SET(BgL_nsz00_4799, 2L, BgL_dz00_4789);
							VECTOR_SET(BgL_nsz00_4799, 3L, BgL_lastz00_4790);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4800;

								BgL_z12denvz12_4800 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4800, BgL_nsz00_4799);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4801;

									BgL_ez00_4801 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11501;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11502;

											BgL_arg4345z00_11502 = BGL_EXITD_PROTECT(BgL_ez00_4801);
											BgL_arg4344z00_11501 =
												MAKE_YOUNG_PAIR(BgL_sz00_4792, BgL_arg4345z00_11502);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4801, BgL_arg4344z00_11501);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4802;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11503;

											BgL_savedzd2bpzd2_11503 = VECTOR_REF(BgL_nsz00_4799, 0L);
											VECTOR_SET(BgL_nsz00_4799, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11507;

												BgL_fz00_11507 = BgL_runz00_15625;
											BgL_recz00_11506:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11508;

													BgL_rz00_11508 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11507, BgL_nsz00_4799);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5621z00_29687;

														if (PROCEDUREP(BgL_rz00_11508))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11511;

																BgL_arg1763z00_11511 =
																	PROCEDURE_ATTR(BgL_rz00_11508);
																if (STRUCTP(BgL_arg1763z00_11511))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5621z00_29687 =
																			(STRUCT_KEY(BgL_arg1763z00_11511) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5621z00_29687 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5621z00_29687 = ((bool_t) 0);
															}
														if (BgL_test5621z00_29687)
															{
																obj_t BgL_fz00_29695;

																BgL_fz00_29695 = BgL_rz00_11508;
																BgL_fz00_11507 = BgL_fz00_29695;
																goto BgL_recz00_11506;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4799, 0L,
																	BgL_savedzd2bpzd2_11503);
																BgL_____rz00_4802 = BgL_rz00_11508;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5624z00_29697;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11519;

												BgL_arg4343z00_11519 = BGL_EXITD_PROTECT(BgL_ez00_4801);
												BgL_test5624z00_29697 = PAIRP(BgL_arg4343z00_11519);
											}
											if (BgL_test5624z00_29697)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11520;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11521;

														BgL_arg4342z00_11521 =
															BGL_EXITD_PROTECT(BgL_ez00_4801);
														BgL_arg4341z00_11520 =
															CDR(((obj_t) BgL_arg4342z00_11521));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4801,
														BgL_arg4341z00_11520);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4800, BgL_sz00_4792);
										return BgL_____rz00_4802;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4549 */
	obj_t BGl_z62run4549z62zz__evaluate_compz00(obj_t BgL_envz00_14964,
		obj_t BgL_sz00_14967)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14965;
				obj_t BgL_bodyz00_14966;

				BgL_i1255z00_14965 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14964, (int) (0L)));
				BgL_bodyz00_14966 = PROCEDURE_REF(BgL_envz00_14964, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16469;

					BgL_bpz00_16469 = VECTOR_REF(((obj_t) BgL_sz00_14967), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16470;
						obj_t BgL_wherez00_16471;
						obj_t BgL_locz00_16472;

						BgL_z12denvz12_16470 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16471 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14965))->
							BgL_wherez00);
						BgL_locz00_16472 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14965))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16470, BgL_wherez00_16471,
								BgL_locz00_16472);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16473;

								BgL_za2za2resza2za2z00_16473 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14966, BgL_sz00_14967);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16470);
								return BgL_za2za2resza2za2z00_16473;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3595> */
	obj_t BGl_z62zc3z04anonymousza33595ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14968, obj_t BgL_sz00_14973)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14969;
				BgL_ev_absz00_bglt BgL_i1255z00_14970;
				obj_t BgL_bodyz00_14971;
				obj_t BgL_siza7ezd2framez75_14972;

				BgL_iboxesz00_14969 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14968, (int) (0L)));
				BgL_i1255z00_14970 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14968, (int) (1L)));
				BgL_bodyz00_14971 = PROCEDURE_REF(BgL_envz00_14968, (int) (2L));
				BgL_siza7ezd2framez75_14972 =
					PROCEDURE_REF(BgL_envz00_14968, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16474;

					BgL_bpz00_16474 = VECTOR_REF(((obj_t) BgL_sz00_14973), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16475;

							BgL_runz00_16475 =
								MAKE_FX_PROCEDURE(BGl_z62run4551z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_16475, (int) (0L), BgL_iboxesz00_14969);
							PROCEDURE_SET(BgL_runz00_16475,
								(int) (1L), ((obj_t) BgL_i1255z00_14970));
							PROCEDURE_SET(BgL_runz00_16475, (int) (2L), BgL_bodyz00_14971);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16476;

								BgL_mainz00_16476 =
									MAKE_VA_PROCEDURE(BGl_z62main4550z62zz__evaluate_compz00,
									(int) ((-2L)), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_16476,
									(int) (0L), BgL_iboxesz00_14969);
								PROCEDURE_SET(BgL_mainz00_16476,
									(int) (1L), ((obj_t) BgL_i1255z00_14970));
								PROCEDURE_SET(BgL_mainz00_16476, (int) (2L), BgL_bodyz00_14971);
								PROCEDURE_SET(BgL_mainz00_16476, (int) (3L), BgL_runz00_16475);
								PROCEDURE_SET(BgL_mainz00_16476,
									(int) (4L), BgL_siza7ezd2framez75_14972);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16477;

									BgL_objz00_16477 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16475, BgL_objz00_16477);
									BgL_objz00_16477;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3596z00_16478;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3597z00_16479;

										BgL_arg3597z00_16479 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14970))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16480;

											BgL_newz00_16480 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29761;

												BgL_tmpz00_29761 = (int) (3L);
												STRUCT_SET(BgL_newz00_16480, BgL_tmpz00_29761,
													BgL_arg3597z00_16479);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29764;

												BgL_tmpz00_29764 = (int) (2L);
												STRUCT_SET(BgL_newz00_16480, BgL_tmpz00_29764,
													BgL_siza7ezd2framez75_14972);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29767;

												BgL_tmpz00_29767 = (int) (1L);
												STRUCT_SET(BgL_newz00_16480, BgL_tmpz00_29767,
													BgL_runz00_16475);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29772;
												int BgL_tmpz00_29770;

												BgL_auxz00_29772 = BINT((-2L));
												BgL_tmpz00_29770 = (int) (0L);
												STRUCT_SET(BgL_newz00_16480, BgL_tmpz00_29770,
													BgL_auxz00_29772);
											}
											BgL_arg3596z00_16478 = BgL_newz00_16480;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16476, BgL_arg3596z00_16478);
									BgL_arg3596z00_16478;
								}
								return BgL_mainz00_16476;
							}
						}
					}
				}
			}
		}

	}



/* &main4550 */
	obj_t BGl_z62main4550z62zz__evaluate_compz00(obj_t BgL_envz00_14974,
		obj_t BgL_dz00_14980, obj_t BgL_lastz00_14981)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14978;
				long BgL_siza7ezd2framez75_14979;

				BgL_runz00_14978 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14974, (int) (3L)));
				BgL_siza7ezd2framez75_14979 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14974, (int) (4L)));
				return
					BGl_mainze718ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_14979,
					BgL_runz00_14978, BgL_dz00_14980, BgL_lastz00_14981);
			}
		}

	}



/* main~18 */
	obj_t BGl_mainze718ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15624,
		obj_t BgL_runz00_15623, obj_t BgL_dz00_4819, obj_t BgL_lastz00_4820)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4822;

				BgL_sz00_4822 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4823;

					BgL_bpz00_4823 = VECTOR_REF(((obj_t) BgL_sz00_4822), 0L);
					if (
						(((long) CINT(BgL_bpz00_4823) + BgL_siza7ezd2framez75_15624) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4822))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3600z00_4825;

								BgL_arg3600z00_4825 = ((long) CINT(BgL_bpz00_4823) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4822), BgL_arg3600z00_4825, BgL_dz00_4819);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3601z00_4826;

								BgL_arg3601z00_4826 = ((long) CINT(BgL_bpz00_4823) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4822), BgL_arg3601z00_4826,
									BgL_lastz00_4820);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4827;

								BgL_ez00_4827 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11545;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11546;

										BgL_arg4345z00_11546 = BGL_EXITD_PROTECT(BgL_ez00_4827);
										BgL_arg4344z00_11545 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4823, BgL_arg4345z00_11546);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4827, BgL_arg4344z00_11545);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4828;

									BgL_accz00_4828 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15623, BgL_sz00_4822, BgL_bpz00_4823);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5626z00_29805;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11548;

											BgL_arg4343z00_11548 = BGL_EXITD_PROTECT(BgL_ez00_4827);
											BgL_test5626z00_29805 = PAIRP(BgL_arg4343z00_11548);
										}
										if (BgL_test5626z00_29805)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11549;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11550;

													BgL_arg4342z00_11550 =
														BGL_EXITD_PROTECT(BgL_ez00_4827);
													BgL_arg4341z00_11549 =
														CDR(((obj_t) BgL_arg4342z00_11550));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4827,
													BgL_arg4341z00_11549);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4822), 0L, BgL_bpz00_4823);
									return BgL_accz00_4828;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4829;

							BgL_nsz00_4829 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4829, 1L, BgL_sz00_4822);
							VECTOR_SET(BgL_nsz00_4829, 2L, BgL_dz00_4819);
							VECTOR_SET(BgL_nsz00_4829, 3L, BgL_lastz00_4820);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4830;

								BgL_z12denvz12_4830 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4830, BgL_nsz00_4829);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4831;

									BgL_ez00_4831 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11556;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11557;

											BgL_arg4345z00_11557 = BGL_EXITD_PROTECT(BgL_ez00_4831);
											BgL_arg4344z00_11556 =
												MAKE_YOUNG_PAIR(BgL_sz00_4822, BgL_arg4345z00_11557);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4831, BgL_arg4344z00_11556);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4832;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11558;

											BgL_savedzd2bpzd2_11558 = VECTOR_REF(BgL_nsz00_4829, 0L);
											VECTOR_SET(BgL_nsz00_4829, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11562;

												BgL_fz00_11562 = BgL_runz00_15623;
											BgL_recz00_11561:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11563;

													BgL_rz00_11563 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11562, BgL_nsz00_4829);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5627z00_29831;

														if (PROCEDUREP(BgL_rz00_11563))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11566;

																BgL_arg1763z00_11566 =
																	PROCEDURE_ATTR(BgL_rz00_11563);
																if (STRUCTP(BgL_arg1763z00_11566))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5627z00_29831 =
																			(STRUCT_KEY(BgL_arg1763z00_11566) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5627z00_29831 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5627z00_29831 = ((bool_t) 0);
															}
														if (BgL_test5627z00_29831)
															{
																obj_t BgL_fz00_29839;

																BgL_fz00_29839 = BgL_rz00_11563;
																BgL_fz00_11562 = BgL_fz00_29839;
																goto BgL_recz00_11561;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4829, 0L,
																	BgL_savedzd2bpzd2_11558);
																BgL_____rz00_4832 = BgL_rz00_11563;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5630z00_29841;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11574;

												BgL_arg4343z00_11574 = BGL_EXITD_PROTECT(BgL_ez00_4831);
												BgL_test5630z00_29841 = PAIRP(BgL_arg4343z00_11574);
											}
											if (BgL_test5630z00_29841)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11575;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11576;

														BgL_arg4342z00_11576 =
															BGL_EXITD_PROTECT(BgL_ez00_4831);
														BgL_arg4341z00_11575 =
															CDR(((obj_t) BgL_arg4342z00_11576));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4831,
														BgL_arg4341z00_11575);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4830, BgL_sz00_4822);
										return BgL_____rz00_4832;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4551 */
	obj_t BGl_z62run4551z62zz__evaluate_compz00(obj_t BgL_envz00_14982,
		obj_t BgL_sz00_14986)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14983;
				BgL_ev_absz00_bglt BgL_i1255z00_14984;
				obj_t BgL_bodyz00_14985;

				BgL_iboxesz00_14983 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14982, (int) (0L)));
				BgL_i1255z00_14984 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14982, (int) (1L)));
				BgL_bodyz00_14985 = PROCEDURE_REF(BgL_envz00_14982, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16481;

					BgL_bpz00_16481 = VECTOR_REF(((obj_t) BgL_sz00_14986), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14986,
						BgL_iboxesz00_14983, BgL_bpz00_16481);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16482;
						obj_t BgL_wherez00_16483;
						obj_t BgL_locz00_16484;

						BgL_z12denvz12_16482 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16483 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14984))->
							BgL_wherez00);
						BgL_locz00_16484 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14984))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16482, BgL_wherez00_16483,
								BgL_locz00_16484);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16485;

								BgL_za2za2resza2za2z00_16485 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_14985, BgL_sz00_14986);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16482);
								return BgL_za2za2resza2za2z00_16485;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3606> */
	obj_t BGl_z62zc3z04anonymousza33606ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14987, obj_t BgL_sz00_14993)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14988;
				obj_t BgL_siza7eza7_14989;
				BgL_ev_absz00_bglt BgL_i1255z00_14990;
				obj_t BgL_bodyz00_14991;
				obj_t BgL_siza7ezd2framez75_14992;

				BgL_ifreesz00_14988 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14987, (int) (0L)));
				BgL_siza7eza7_14989 = PROCEDURE_REF(BgL_envz00_14987, (int) (1L));
				BgL_i1255z00_14990 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14987, (int) (2L)));
				BgL_bodyz00_14991 = PROCEDURE_REF(BgL_envz00_14987, (int) (3L));
				BgL_siza7ezd2framez75_14992 =
					PROCEDURE_REF(BgL_envz00_14987, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16486;

					BgL_bpz00_16486 = VECTOR_REF(((obj_t) BgL_sz00_14993), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16487;

						BgL_valza2za2_16487 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14993,
							BgL_bpz00_16486, BgL_ifreesz00_14988);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16488;

							BgL_runz00_16488 =
								MAKE_FX_PROCEDURE(BGl_z62run4553z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_16488, (int) (0L), BgL_siza7eza7_14989);
							PROCEDURE_SET(BgL_runz00_16488, (int) (1L), BgL_valza2za2_16487);
							PROCEDURE_SET(BgL_runz00_16488,
								(int) (2L), ((obj_t) BgL_i1255z00_14990));
							PROCEDURE_SET(BgL_runz00_16488, (int) (3L), BgL_bodyz00_14991);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16489;

								BgL_mainz00_16489 =
									MAKE_VA_PROCEDURE(BGl_z62main4552z62zz__evaluate_compz00,
									(int) ((-2L)), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_16489,
									(int) (0L), BgL_siza7eza7_14989);
								PROCEDURE_SET(BgL_mainz00_16489,
									(int) (1L), BgL_valza2za2_16487);
								PROCEDURE_SET(BgL_mainz00_16489,
									(int) (2L), ((obj_t) BgL_i1255z00_14990));
								PROCEDURE_SET(BgL_mainz00_16489, (int) (3L), BgL_bodyz00_14991);
								PROCEDURE_SET(BgL_mainz00_16489, (int) (4L), BgL_runz00_16488);
								PROCEDURE_SET(BgL_mainz00_16489,
									(int) (5L), BgL_siza7ezd2framez75_14992);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16490;

									BgL_objz00_16490 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16488, BgL_objz00_16490);
									BgL_objz00_16490;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3607z00_16491;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3608z00_16492;

										BgL_arg3608z00_16492 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14990))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16493;

											BgL_newz00_16493 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29916;

												BgL_tmpz00_29916 = (int) (3L);
												STRUCT_SET(BgL_newz00_16493, BgL_tmpz00_29916,
													BgL_arg3608z00_16492);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29919;

												BgL_tmpz00_29919 = (int) (2L);
												STRUCT_SET(BgL_newz00_16493, BgL_tmpz00_29919,
													BgL_siza7ezd2framez75_14992);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29922;

												BgL_tmpz00_29922 = (int) (1L);
												STRUCT_SET(BgL_newz00_16493, BgL_tmpz00_29922,
													BgL_runz00_16488);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29927;
												int BgL_tmpz00_29925;

												BgL_auxz00_29927 = BINT((-2L));
												BgL_tmpz00_29925 = (int) (0L);
												STRUCT_SET(BgL_newz00_16493, BgL_tmpz00_29925,
													BgL_auxz00_29927);
											}
											BgL_arg3607z00_16491 = BgL_newz00_16493;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16489, BgL_arg3607z00_16491);
									BgL_arg3607z00_16491;
								}
								return BgL_mainz00_16489;
							}
						}
					}
				}
			}
		}

	}



/* &main4552 */
	obj_t BGl_z62main4552z62zz__evaluate_compz00(obj_t BgL_envz00_14994,
		obj_t BgL_dz00_15001, obj_t BgL_lastz00_15002)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14999;
				long BgL_siza7ezd2framez75_15000;

				BgL_runz00_14999 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14994, (int) (4L)));
				BgL_siza7ezd2framez75_15000 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14994, (int) (5L)));
				return
					BGl_mainze717ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15000,
					BgL_runz00_14999, BgL_dz00_15001, BgL_lastz00_15002);
			}
		}

	}



/* main~17 */
	obj_t BGl_mainze717ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15622,
		obj_t BgL_runz00_15621, obj_t BgL_dz00_4853, obj_t BgL_lastz00_4854)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4856;

				BgL_sz00_4856 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4857;

					BgL_bpz00_4857 = VECTOR_REF(((obj_t) BgL_sz00_4856), 0L);
					if (
						(((long) CINT(BgL_bpz00_4857) + BgL_siza7ezd2framez75_15622) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4856))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3611z00_4859;

								BgL_arg3611z00_4859 = ((long) CINT(BgL_bpz00_4857) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4856), BgL_arg3611z00_4859, BgL_dz00_4853);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3612z00_4860;

								BgL_arg3612z00_4860 = ((long) CINT(BgL_bpz00_4857) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4856), BgL_arg3612z00_4860,
									BgL_lastz00_4854);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4861;

								BgL_ez00_4861 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11604;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11605;

										BgL_arg4345z00_11605 = BGL_EXITD_PROTECT(BgL_ez00_4861);
										BgL_arg4344z00_11604 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4857, BgL_arg4345z00_11605);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4861, BgL_arg4344z00_11604);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4862;

									BgL_accz00_4862 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15621, BgL_sz00_4856, BgL_bpz00_4857);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5632z00_29960;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11607;

											BgL_arg4343z00_11607 = BGL_EXITD_PROTECT(BgL_ez00_4861);
											BgL_test5632z00_29960 = PAIRP(BgL_arg4343z00_11607);
										}
										if (BgL_test5632z00_29960)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11608;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11609;

													BgL_arg4342z00_11609 =
														BGL_EXITD_PROTECT(BgL_ez00_4861);
													BgL_arg4341z00_11608 =
														CDR(((obj_t) BgL_arg4342z00_11609));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4861,
													BgL_arg4341z00_11608);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4856), 0L, BgL_bpz00_4857);
									return BgL_accz00_4862;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4863;

							BgL_nsz00_4863 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4863, 1L, BgL_sz00_4856);
							VECTOR_SET(BgL_nsz00_4863, 2L, BgL_dz00_4853);
							VECTOR_SET(BgL_nsz00_4863, 3L, BgL_lastz00_4854);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4864;

								BgL_z12denvz12_4864 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4864, BgL_nsz00_4863);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4865;

									BgL_ez00_4865 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11615;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11616;

											BgL_arg4345z00_11616 = BGL_EXITD_PROTECT(BgL_ez00_4865);
											BgL_arg4344z00_11615 =
												MAKE_YOUNG_PAIR(BgL_sz00_4856, BgL_arg4345z00_11616);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4865, BgL_arg4344z00_11615);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4866;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11617;

											BgL_savedzd2bpzd2_11617 = VECTOR_REF(BgL_nsz00_4863, 0L);
											VECTOR_SET(BgL_nsz00_4863, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11621;

												BgL_fz00_11621 = BgL_runz00_15621;
											BgL_recz00_11620:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11622;

													BgL_rz00_11622 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11621, BgL_nsz00_4863);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5633z00_29986;

														if (PROCEDUREP(BgL_rz00_11622))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11625;

																BgL_arg1763z00_11625 =
																	PROCEDURE_ATTR(BgL_rz00_11622);
																if (STRUCTP(BgL_arg1763z00_11625))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5633z00_29986 =
																			(STRUCT_KEY(BgL_arg1763z00_11625) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5633z00_29986 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5633z00_29986 = ((bool_t) 0);
															}
														if (BgL_test5633z00_29986)
															{
																obj_t BgL_fz00_29994;

																BgL_fz00_29994 = BgL_rz00_11622;
																BgL_fz00_11621 = BgL_fz00_29994;
																goto BgL_recz00_11620;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4863, 0L,
																	BgL_savedzd2bpzd2_11617);
																BgL_____rz00_4866 = BgL_rz00_11622;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5636z00_29996;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11633;

												BgL_arg4343z00_11633 = BGL_EXITD_PROTECT(BgL_ez00_4865);
												BgL_test5636z00_29996 = PAIRP(BgL_arg4343z00_11633);
											}
											if (BgL_test5636z00_29996)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11634;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11635;

														BgL_arg4342z00_11635 =
															BGL_EXITD_PROTECT(BgL_ez00_4865);
														BgL_arg4341z00_11634 =
															CDR(((obj_t) BgL_arg4342z00_11635));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4865,
														BgL_arg4341z00_11634);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4864, BgL_sz00_4856);
										return BgL_____rz00_4866;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4553 */
	obj_t BGl_z62run4553z62zz__evaluate_compz00(obj_t BgL_envz00_15003,
		obj_t BgL_sz00_15008)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15004;
				obj_t BgL_valza2za2_15005;
				BgL_ev_absz00_bglt BgL_i1255z00_15006;
				obj_t BgL_bodyz00_15007;

				BgL_siza7eza7_15004 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15003, (int) (0L)));
				BgL_valza2za2_15005 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15003, (int) (1L)));
				BgL_i1255z00_15006 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15003, (int) (2L)));
				BgL_bodyz00_15007 = PROCEDURE_REF(BgL_envz00_15003, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16494;

					BgL_bpz00_16494 = VECTOR_REF(((obj_t) BgL_sz00_15008), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15008,
						BgL_valza2za2_15005,
						((long) CINT(BgL_bpz00_16494) + BgL_siza7eza7_15004));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16495;
						obj_t BgL_wherez00_16496;
						obj_t BgL_locz00_16497;

						BgL_z12denvz12_16495 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16496 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15006))->
							BgL_wherez00);
						BgL_locz00_16497 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15006))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16495, BgL_wherez00_16496,
								BgL_locz00_16497);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16498;

								BgL_za2za2resza2za2z00_16498 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15007, BgL_sz00_15008);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16495);
								return BgL_za2za2resza2za2z00_16498;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3615> */
	obj_t BGl_z62zc3z04anonymousza33615ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15009, obj_t BgL_sz00_15016)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15010;
				obj_t BgL_iboxesz00_15011;
				obj_t BgL_siza7eza7_15012;
				BgL_ev_absz00_bglt BgL_i1255z00_15013;
				obj_t BgL_bodyz00_15014;
				obj_t BgL_siza7ezd2framez75_15015;

				BgL_ifreesz00_15010 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15009, (int) (0L)));
				BgL_iboxesz00_15011 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15009, (int) (1L)));
				BgL_siza7eza7_15012 = PROCEDURE_REF(BgL_envz00_15009, (int) (2L));
				BgL_i1255z00_15013 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15009, (int) (3L)));
				BgL_bodyz00_15014 = PROCEDURE_REF(BgL_envz00_15009, (int) (4L));
				BgL_siza7ezd2framez75_15015 =
					PROCEDURE_REF(BgL_envz00_15009, (int) (5L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16499;

					BgL_bpz00_16499 = VECTOR_REF(((obj_t) BgL_sz00_15016), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16500;

						BgL_valza2za2_16500 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15016,
							BgL_bpz00_16499, BgL_ifreesz00_15010);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16501;

							BgL_runz00_16501 =
								MAKE_FX_PROCEDURE(BGl_z62run4555z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_16501, (int) (0L), BgL_iboxesz00_15011);
							PROCEDURE_SET(BgL_runz00_16501, (int) (1L), BgL_siza7eza7_15012);
							PROCEDURE_SET(BgL_runz00_16501, (int) (2L), BgL_valza2za2_16500);
							PROCEDURE_SET(BgL_runz00_16501,
								(int) (3L), ((obj_t) BgL_i1255z00_15013));
							PROCEDURE_SET(BgL_runz00_16501, (int) (4L), BgL_bodyz00_15014);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16502;

								BgL_mainz00_16502 =
									MAKE_VA_PROCEDURE(BGl_z62main4554z62zz__evaluate_compz00,
									(int) ((-2L)), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_16502,
									(int) (0L), BgL_iboxesz00_15011);
								PROCEDURE_SET(BgL_mainz00_16502,
									(int) (1L), BgL_siza7eza7_15012);
								PROCEDURE_SET(BgL_mainz00_16502,
									(int) (2L), BgL_valza2za2_16500);
								PROCEDURE_SET(BgL_mainz00_16502,
									(int) (3L), ((obj_t) BgL_i1255z00_15013));
								PROCEDURE_SET(BgL_mainz00_16502, (int) (4L), BgL_bodyz00_15014);
								PROCEDURE_SET(BgL_mainz00_16502, (int) (5L), BgL_runz00_16501);
								PROCEDURE_SET(BgL_mainz00_16502,
									(int) (6L), BgL_siza7ezd2framez75_15015);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16503;

									BgL_objz00_16503 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16501, BgL_objz00_16503);
									BgL_objz00_16503;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3616z00_16504;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3617z00_16505;

										BgL_arg3617z00_16505 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15013))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16506;

											BgL_newz00_16506 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30083;

												BgL_tmpz00_30083 = (int) (3L);
												STRUCT_SET(BgL_newz00_16506, BgL_tmpz00_30083,
													BgL_arg3617z00_16505);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30086;

												BgL_tmpz00_30086 = (int) (2L);
												STRUCT_SET(BgL_newz00_16506, BgL_tmpz00_30086,
													BgL_siza7ezd2framez75_15015);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30089;

												BgL_tmpz00_30089 = (int) (1L);
												STRUCT_SET(BgL_newz00_16506, BgL_tmpz00_30089,
													BgL_runz00_16501);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30094;
												int BgL_tmpz00_30092;

												BgL_auxz00_30094 = BINT((-2L));
												BgL_tmpz00_30092 = (int) (0L);
												STRUCT_SET(BgL_newz00_16506, BgL_tmpz00_30092,
													BgL_auxz00_30094);
											}
											BgL_arg3616z00_16504 = BgL_newz00_16506;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16502, BgL_arg3616z00_16504);
									BgL_arg3616z00_16504;
								}
								return BgL_mainz00_16502;
							}
						}
					}
				}
			}
		}

	}



/* &main4554 */
	obj_t BGl_z62main4554z62zz__evaluate_compz00(obj_t BgL_envz00_15017,
		obj_t BgL_dz00_15025, obj_t BgL_lastz00_15026)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15023;
				long BgL_siza7ezd2framez75_15024;

				BgL_runz00_15023 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15017, (int) (5L)));
				BgL_siza7ezd2framez75_15024 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15017, (int) (6L)));
				return
					BGl_mainze716ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15024,
					BgL_runz00_15023, BgL_dz00_15025, BgL_lastz00_15026);
			}
		}

	}



/* main~16 */
	obj_t BGl_mainze716ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15620,
		obj_t BgL_runz00_15619, obj_t BgL_dz00_4885, obj_t BgL_lastz00_4886)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4888;

				BgL_sz00_4888 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4889;

					BgL_bpz00_4889 = VECTOR_REF(((obj_t) BgL_sz00_4888), 0L);
					if (
						(((long) CINT(BgL_bpz00_4889) + BgL_siza7ezd2framez75_15620) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4888))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3621z00_4891;

								BgL_arg3621z00_4891 = ((long) CINT(BgL_bpz00_4889) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4888), BgL_arg3621z00_4891, BgL_dz00_4885);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3622z00_4892;

								BgL_arg3622z00_4892 = ((long) CINT(BgL_bpz00_4889) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4888), BgL_arg3622z00_4892,
									BgL_lastz00_4886);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4893;

								BgL_ez00_4893 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11661;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11662;

										BgL_arg4345z00_11662 = BGL_EXITD_PROTECT(BgL_ez00_4893);
										BgL_arg4344z00_11661 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4889, BgL_arg4345z00_11662);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4893, BgL_arg4344z00_11661);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4894;

									BgL_accz00_4894 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15619, BgL_sz00_4888, BgL_bpz00_4889);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5638z00_30127;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11664;

											BgL_arg4343z00_11664 = BGL_EXITD_PROTECT(BgL_ez00_4893);
											BgL_test5638z00_30127 = PAIRP(BgL_arg4343z00_11664);
										}
										if (BgL_test5638z00_30127)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11665;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11666;

													BgL_arg4342z00_11666 =
														BGL_EXITD_PROTECT(BgL_ez00_4893);
													BgL_arg4341z00_11665 =
														CDR(((obj_t) BgL_arg4342z00_11666));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4893,
													BgL_arg4341z00_11665);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4888), 0L, BgL_bpz00_4889);
									return BgL_accz00_4894;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4895;

							BgL_nsz00_4895 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4895, 1L, BgL_sz00_4888);
							VECTOR_SET(BgL_nsz00_4895, 2L, BgL_dz00_4885);
							VECTOR_SET(BgL_nsz00_4895, 3L, BgL_lastz00_4886);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4896;

								BgL_z12denvz12_4896 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4896, BgL_nsz00_4895);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4897;

									BgL_ez00_4897 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11672;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11673;

											BgL_arg4345z00_11673 = BGL_EXITD_PROTECT(BgL_ez00_4897);
											BgL_arg4344z00_11672 =
												MAKE_YOUNG_PAIR(BgL_sz00_4888, BgL_arg4345z00_11673);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4897, BgL_arg4344z00_11672);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4898;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11674;

											BgL_savedzd2bpzd2_11674 = VECTOR_REF(BgL_nsz00_4895, 0L);
											VECTOR_SET(BgL_nsz00_4895, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11678;

												BgL_fz00_11678 = BgL_runz00_15619;
											BgL_recz00_11677:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11679;

													BgL_rz00_11679 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11678, BgL_nsz00_4895);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5639z00_30153;

														if (PROCEDUREP(BgL_rz00_11679))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11682;

																BgL_arg1763z00_11682 =
																	PROCEDURE_ATTR(BgL_rz00_11679);
																if (STRUCTP(BgL_arg1763z00_11682))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5639z00_30153 =
																			(STRUCT_KEY(BgL_arg1763z00_11682) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5639z00_30153 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5639z00_30153 = ((bool_t) 0);
															}
														if (BgL_test5639z00_30153)
															{
																obj_t BgL_fz00_30161;

																BgL_fz00_30161 = BgL_rz00_11679;
																BgL_fz00_11678 = BgL_fz00_30161;
																goto BgL_recz00_11677;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4895, 0L,
																	BgL_savedzd2bpzd2_11674);
																BgL_____rz00_4898 = BgL_rz00_11679;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5642z00_30163;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11690;

												BgL_arg4343z00_11690 = BGL_EXITD_PROTECT(BgL_ez00_4897);
												BgL_test5642z00_30163 = PAIRP(BgL_arg4343z00_11690);
											}
											if (BgL_test5642z00_30163)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11691;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11692;

														BgL_arg4342z00_11692 =
															BGL_EXITD_PROTECT(BgL_ez00_4897);
														BgL_arg4341z00_11691 =
															CDR(((obj_t) BgL_arg4342z00_11692));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4897,
														BgL_arg4341z00_11691);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4896, BgL_sz00_4888);
										return BgL_____rz00_4898;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4555 */
	obj_t BGl_z62run4555z62zz__evaluate_compz00(obj_t BgL_envz00_15027,
		obj_t BgL_sz00_15033)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15028;
				long BgL_siza7eza7_15029;
				obj_t BgL_valza2za2_15030;
				BgL_ev_absz00_bglt BgL_i1255z00_15031;
				obj_t BgL_bodyz00_15032;

				BgL_iboxesz00_15028 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15027, (int) (0L)));
				BgL_siza7eza7_15029 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15027, (int) (1L)));
				BgL_valza2za2_15030 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15027, (int) (2L)));
				BgL_i1255z00_15031 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15027, (int) (3L)));
				BgL_bodyz00_15032 = PROCEDURE_REF(BgL_envz00_15027, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16507;

					BgL_bpz00_16507 = VECTOR_REF(((obj_t) BgL_sz00_15033), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15033,
						BgL_iboxesz00_15028, BgL_bpz00_16507);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15033,
						BgL_valza2za2_15030,
						((long) CINT(BgL_bpz00_16507) + BgL_siza7eza7_15029));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16508;
						obj_t BgL_wherez00_16509;
						obj_t BgL_locz00_16510;

						BgL_z12denvz12_16508 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16509 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15031))->
							BgL_wherez00);
						BgL_locz00_16510 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15031))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16508, BgL_wherez00_16509,
								BgL_locz00_16510);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16511;

								BgL_za2za2resza2za2z00_16511 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15032, BgL_sz00_15033);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16508);
								return BgL_za2za2resza2za2z00_16511;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3539> */
	obj_t BGl_z62zc3z04anonymousza33539ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15034, obj_t BgL_sz00_15038)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15035;
				obj_t BgL_bodyz00_15036;
				obj_t BgL_siza7ezd2framez75_15037;

				BgL_i1255z00_15035 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15034, (int) (0L)));
				BgL_bodyz00_15036 = PROCEDURE_REF(BgL_envz00_15034, (int) (1L));
				BgL_siza7ezd2framez75_15037 =
					PROCEDURE_REF(BgL_envz00_15034, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16512;

					BgL_bpz00_16512 = VECTOR_REF(((obj_t) BgL_sz00_15038), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16513;

							BgL_runz00_16513 =
								MAKE_FX_PROCEDURE(BGl_z62run4557z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_16513,
								(int) (0L), ((obj_t) BgL_i1255z00_15035));
							PROCEDURE_SET(BgL_runz00_16513, (int) (1L), BgL_bodyz00_15036);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16514;

								BgL_mainz00_16514 =
									MAKE_FX_PROCEDURE(BGl_z62main4556z62zz__evaluate_compz00,
									(int) (1L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_16514,
									(int) (0L), ((obj_t) BgL_i1255z00_15035));
								PROCEDURE_SET(BgL_mainz00_16514, (int) (1L), BgL_bodyz00_15036);
								PROCEDURE_SET(BgL_mainz00_16514, (int) (2L), BgL_runz00_16513);
								PROCEDURE_SET(BgL_mainz00_16514,
									(int) (3L), BgL_siza7ezd2framez75_15037);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16515;

									BgL_objz00_16515 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16513, BgL_objz00_16515);
									BgL_objz00_16515;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3540z00_16516;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3541z00_16517;

										BgL_arg3541z00_16517 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15035))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16518;

											BgL_newz00_16518 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30233;

												BgL_tmpz00_30233 = (int) (3L);
												STRUCT_SET(BgL_newz00_16518, BgL_tmpz00_30233,
													BgL_arg3541z00_16517);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30236;

												BgL_tmpz00_30236 = (int) (2L);
												STRUCT_SET(BgL_newz00_16518, BgL_tmpz00_30236,
													BgL_siza7ezd2framez75_15037);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30239;

												BgL_tmpz00_30239 = (int) (1L);
												STRUCT_SET(BgL_newz00_16518, BgL_tmpz00_30239,
													BgL_runz00_16513);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30244;
												int BgL_tmpz00_30242;

												BgL_auxz00_30244 = BINT(1L);
												BgL_tmpz00_30242 = (int) (0L);
												STRUCT_SET(BgL_newz00_16518, BgL_tmpz00_30242,
													BgL_auxz00_30244);
											}
											BgL_arg3540z00_16516 = BgL_newz00_16518;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16514, BgL_arg3540z00_16516);
									BgL_arg3540z00_16516;
								}
								return BgL_mainz00_16514;
							}
						}
					}
				}
			}
		}

	}



/* &main4556 */
	obj_t BGl_z62main4556z62zz__evaluate_compz00(obj_t BgL_envz00_15039,
		obj_t BgL_dz00_15044)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15042;
				long BgL_siza7ezd2framez75_15043;

				BgL_runz00_15042 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15039, (int) (2L)));
				BgL_siza7ezd2framez75_15043 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15039, (int) (3L)));
				return
					BGl_mainze715ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15043,
					BgL_runz00_15042, BgL_dz00_15044);
			}
		}

	}



/* main~15 */
	obj_t BGl_mainze715ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15618,
		obj_t BgL_runz00_15617, obj_t BgL_dz00_4664)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4666;

				BgL_sz00_4666 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4667;

					BgL_bpz00_4667 = VECTOR_REF(((obj_t) BgL_sz00_4666), 0L);
					if (
						(((long) CINT(BgL_bpz00_4667) + BgL_siza7ezd2framez75_15618) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4666))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3544z00_4669;

								BgL_arg3544z00_4669 = ((long) CINT(BgL_bpz00_4667) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4666), BgL_arg3544z00_4669, BgL_dz00_4664);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4670;

								BgL_ez00_4670 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11273;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11274;

										BgL_arg4345z00_11274 = BGL_EXITD_PROTECT(BgL_ez00_4670);
										BgL_arg4344z00_11273 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4667, BgL_arg4345z00_11274);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4670, BgL_arg4344z00_11273);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4671;

									BgL_accz00_4671 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15617, BgL_sz00_4666, BgL_bpz00_4667);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5644z00_30273;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11276;

											BgL_arg4343z00_11276 = BGL_EXITD_PROTECT(BgL_ez00_4670);
											BgL_test5644z00_30273 = PAIRP(BgL_arg4343z00_11276);
										}
										if (BgL_test5644z00_30273)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11277;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11278;

													BgL_arg4342z00_11278 =
														BGL_EXITD_PROTECT(BgL_ez00_4670);
													BgL_arg4341z00_11277 =
														CDR(((obj_t) BgL_arg4342z00_11278));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4670,
													BgL_arg4341z00_11277);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4666), 0L, BgL_bpz00_4667);
									return BgL_accz00_4671;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4672;

							BgL_nsz00_4672 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4672, 1L, BgL_sz00_4666);
							VECTOR_SET(BgL_nsz00_4672, 2L, BgL_dz00_4664);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4673;

								BgL_z12denvz12_4673 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4673, BgL_nsz00_4672);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4674;

									BgL_ez00_4674 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11283;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11284;

											BgL_arg4345z00_11284 = BGL_EXITD_PROTECT(BgL_ez00_4674);
											BgL_arg4344z00_11283 =
												MAKE_YOUNG_PAIR(BgL_sz00_4666, BgL_arg4345z00_11284);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4674, BgL_arg4344z00_11283);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4675;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11285;

											BgL_savedzd2bpzd2_11285 = VECTOR_REF(BgL_nsz00_4672, 0L);
											VECTOR_SET(BgL_nsz00_4672, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11289;

												BgL_fz00_11289 = BgL_runz00_15617;
											BgL_recz00_11288:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11290;

													BgL_rz00_11290 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11289, BgL_nsz00_4672);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5645z00_30298;

														if (PROCEDUREP(BgL_rz00_11290))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11293;

																BgL_arg1763z00_11293 =
																	PROCEDURE_ATTR(BgL_rz00_11290);
																if (STRUCTP(BgL_arg1763z00_11293))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5645z00_30298 =
																			(STRUCT_KEY(BgL_arg1763z00_11293) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5645z00_30298 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5645z00_30298 = ((bool_t) 0);
															}
														if (BgL_test5645z00_30298)
															{
																obj_t BgL_fz00_30306;

																BgL_fz00_30306 = BgL_rz00_11290;
																BgL_fz00_11289 = BgL_fz00_30306;
																goto BgL_recz00_11288;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4672, 0L,
																	BgL_savedzd2bpzd2_11285);
																BgL_____rz00_4675 = BgL_rz00_11290;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5648z00_30308;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11301;

												BgL_arg4343z00_11301 = BGL_EXITD_PROTECT(BgL_ez00_4674);
												BgL_test5648z00_30308 = PAIRP(BgL_arg4343z00_11301);
											}
											if (BgL_test5648z00_30308)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11302;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11303;

														BgL_arg4342z00_11303 =
															BGL_EXITD_PROTECT(BgL_ez00_4674);
														BgL_arg4341z00_11302 =
															CDR(((obj_t) BgL_arg4342z00_11303));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4674,
														BgL_arg4341z00_11302);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4673, BgL_sz00_4666);
										return BgL_____rz00_4675;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4557 */
	obj_t BGl_z62run4557z62zz__evaluate_compz00(obj_t BgL_envz00_15045,
		obj_t BgL_sz00_15048)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15046;
				obj_t BgL_bodyz00_15047;

				BgL_i1255z00_15046 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15045, (int) (0L)));
				BgL_bodyz00_15047 = PROCEDURE_REF(BgL_envz00_15045, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16519;

					BgL_bpz00_16519 = VECTOR_REF(((obj_t) BgL_sz00_15048), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16520;
						obj_t BgL_wherez00_16521;
						obj_t BgL_locz00_16522;

						BgL_z12denvz12_16520 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16521 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15046))->
							BgL_wherez00);
						BgL_locz00_16522 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15046))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16520, BgL_wherez00_16521,
								BgL_locz00_16522);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16523;

								BgL_za2za2resza2za2z00_16523 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15047, BgL_sz00_15048);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16520);
								return BgL_za2za2resza2za2z00_16523;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3546> */
	obj_t BGl_z62zc3z04anonymousza33546ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15049, obj_t BgL_sz00_15054)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15050;
				BgL_ev_absz00_bglt BgL_i1255z00_15051;
				obj_t BgL_bodyz00_15052;
				obj_t BgL_siza7ezd2framez75_15053;

				BgL_iboxesz00_15050 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15049, (int) (0L)));
				BgL_i1255z00_15051 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15049, (int) (1L)));
				BgL_bodyz00_15052 = PROCEDURE_REF(BgL_envz00_15049, (int) (2L));
				BgL_siza7ezd2framez75_15053 =
					PROCEDURE_REF(BgL_envz00_15049, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16524;

					BgL_bpz00_16524 = VECTOR_REF(((obj_t) BgL_sz00_15054), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16525;

							BgL_runz00_16525 =
								MAKE_FX_PROCEDURE(BGl_z62run4559z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_16525, (int) (0L), BgL_iboxesz00_15050);
							PROCEDURE_SET(BgL_runz00_16525,
								(int) (1L), ((obj_t) BgL_i1255z00_15051));
							PROCEDURE_SET(BgL_runz00_16525, (int) (2L), BgL_bodyz00_15052);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16526;

								BgL_mainz00_16526 =
									MAKE_FX_PROCEDURE(BGl_z62main4558z62zz__evaluate_compz00,
									(int) (1L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_16526,
									(int) (0L), BgL_iboxesz00_15050);
								PROCEDURE_SET(BgL_mainz00_16526,
									(int) (1L), ((obj_t) BgL_i1255z00_15051));
								PROCEDURE_SET(BgL_mainz00_16526, (int) (2L), BgL_bodyz00_15052);
								PROCEDURE_SET(BgL_mainz00_16526, (int) (3L), BgL_runz00_16525);
								PROCEDURE_SET(BgL_mainz00_16526,
									(int) (4L), BgL_siza7ezd2framez75_15053);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16527;

									BgL_objz00_16527 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16525, BgL_objz00_16527);
									BgL_objz00_16527;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3548z00_16528;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3550z00_16529;

										BgL_arg3550z00_16529 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15051))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16530;

											BgL_newz00_16530 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30372;

												BgL_tmpz00_30372 = (int) (3L);
												STRUCT_SET(BgL_newz00_16530, BgL_tmpz00_30372,
													BgL_arg3550z00_16529);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30375;

												BgL_tmpz00_30375 = (int) (2L);
												STRUCT_SET(BgL_newz00_16530, BgL_tmpz00_30375,
													BgL_siza7ezd2framez75_15053);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30378;

												BgL_tmpz00_30378 = (int) (1L);
												STRUCT_SET(BgL_newz00_16530, BgL_tmpz00_30378,
													BgL_runz00_16525);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30383;
												int BgL_tmpz00_30381;

												BgL_auxz00_30383 = BINT(1L);
												BgL_tmpz00_30381 = (int) (0L);
												STRUCT_SET(BgL_newz00_16530, BgL_tmpz00_30381,
													BgL_auxz00_30383);
											}
											BgL_arg3548z00_16528 = BgL_newz00_16530;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16526, BgL_arg3548z00_16528);
									BgL_arg3548z00_16528;
								}
								return BgL_mainz00_16526;
							}
						}
					}
				}
			}
		}

	}



/* &main4558 */
	obj_t BGl_z62main4558z62zz__evaluate_compz00(obj_t BgL_envz00_15055,
		obj_t BgL_dz00_15061)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15059;
				long BgL_siza7ezd2framez75_15060;

				BgL_runz00_15059 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15055, (int) (3L)));
				BgL_siza7ezd2framez75_15060 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15055, (int) (4L)));
				return
					BGl_mainze714ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15060,
					BgL_runz00_15059, BgL_dz00_15061);
			}
		}

	}



/* main~14 */
	obj_t BGl_mainze714ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15616,
		obj_t BgL_runz00_15615, obj_t BgL_dz00_4692)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4694;

				BgL_sz00_4694 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4695;

					BgL_bpz00_4695 = VECTOR_REF(((obj_t) BgL_sz00_4694), 0L);
					if (
						(((long) CINT(BgL_bpz00_4695) + BgL_siza7ezd2framez75_15616) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4694))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3553z00_4697;

								BgL_arg3553z00_4697 = ((long) CINT(BgL_bpz00_4695) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4694), BgL_arg3553z00_4697, BgL_dz00_4692);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4698;

								BgL_ez00_4698 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11324;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11325;

										BgL_arg4345z00_11325 = BGL_EXITD_PROTECT(BgL_ez00_4698);
										BgL_arg4344z00_11324 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4695, BgL_arg4345z00_11325);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4698, BgL_arg4344z00_11324);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4699;

									BgL_accz00_4699 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15615, BgL_sz00_4694, BgL_bpz00_4695);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5650z00_30412;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11327;

											BgL_arg4343z00_11327 = BGL_EXITD_PROTECT(BgL_ez00_4698);
											BgL_test5650z00_30412 = PAIRP(BgL_arg4343z00_11327);
										}
										if (BgL_test5650z00_30412)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11328;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11329;

													BgL_arg4342z00_11329 =
														BGL_EXITD_PROTECT(BgL_ez00_4698);
													BgL_arg4341z00_11328 =
														CDR(((obj_t) BgL_arg4342z00_11329));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4698,
													BgL_arg4341z00_11328);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4694), 0L, BgL_bpz00_4695);
									return BgL_accz00_4699;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4700;

							BgL_nsz00_4700 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4700, 1L, BgL_sz00_4694);
							VECTOR_SET(BgL_nsz00_4700, 2L, BgL_dz00_4692);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4701;

								BgL_z12denvz12_4701 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4701, BgL_nsz00_4700);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4702;

									BgL_ez00_4702 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11334;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11335;

											BgL_arg4345z00_11335 = BGL_EXITD_PROTECT(BgL_ez00_4702);
											BgL_arg4344z00_11334 =
												MAKE_YOUNG_PAIR(BgL_sz00_4694, BgL_arg4345z00_11335);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4702, BgL_arg4344z00_11334);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4703;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11336;

											BgL_savedzd2bpzd2_11336 = VECTOR_REF(BgL_nsz00_4700, 0L);
											VECTOR_SET(BgL_nsz00_4700, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11340;

												BgL_fz00_11340 = BgL_runz00_15615;
											BgL_recz00_11339:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11341;

													BgL_rz00_11341 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11340, BgL_nsz00_4700);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5651z00_30437;

														if (PROCEDUREP(BgL_rz00_11341))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11344;

																BgL_arg1763z00_11344 =
																	PROCEDURE_ATTR(BgL_rz00_11341);
																if (STRUCTP(BgL_arg1763z00_11344))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5651z00_30437 =
																			(STRUCT_KEY(BgL_arg1763z00_11344) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5651z00_30437 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5651z00_30437 = ((bool_t) 0);
															}
														if (BgL_test5651z00_30437)
															{
																obj_t BgL_fz00_30445;

																BgL_fz00_30445 = BgL_rz00_11341;
																BgL_fz00_11340 = BgL_fz00_30445;
																goto BgL_recz00_11339;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4700, 0L,
																	BgL_savedzd2bpzd2_11336);
																BgL_____rz00_4703 = BgL_rz00_11341;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5654z00_30447;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11352;

												BgL_arg4343z00_11352 = BGL_EXITD_PROTECT(BgL_ez00_4702);
												BgL_test5654z00_30447 = PAIRP(BgL_arg4343z00_11352);
											}
											if (BgL_test5654z00_30447)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11353;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11354;

														BgL_arg4342z00_11354 =
															BGL_EXITD_PROTECT(BgL_ez00_4702);
														BgL_arg4341z00_11353 =
															CDR(((obj_t) BgL_arg4342z00_11354));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4702,
														BgL_arg4341z00_11353);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4701, BgL_sz00_4694);
										return BgL_____rz00_4703;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4559 */
	obj_t BGl_z62run4559z62zz__evaluate_compz00(obj_t BgL_envz00_15062,
		obj_t BgL_sz00_15066)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15063;
				BgL_ev_absz00_bglt BgL_i1255z00_15064;
				obj_t BgL_bodyz00_15065;

				BgL_iboxesz00_15063 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15062, (int) (0L)));
				BgL_i1255z00_15064 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15062, (int) (1L)));
				BgL_bodyz00_15065 = PROCEDURE_REF(BgL_envz00_15062, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16531;

					BgL_bpz00_16531 = VECTOR_REF(((obj_t) BgL_sz00_15066), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15066,
						BgL_iboxesz00_15063, BgL_bpz00_16531);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16532;
						obj_t BgL_wherez00_16533;
						obj_t BgL_locz00_16534;

						BgL_z12denvz12_16532 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16533 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15064))->
							BgL_wherez00);
						BgL_locz00_16534 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15064))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16532, BgL_wherez00_16533,
								BgL_locz00_16534);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16535;

								BgL_za2za2resza2za2z00_16535 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15065, BgL_sz00_15066);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16532);
								return BgL_za2za2resza2za2z00_16535;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3558> */
	obj_t BGl_z62zc3z04anonymousza33558ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15067, obj_t BgL_sz00_15073)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15068;
				obj_t BgL_siza7eza7_15069;
				BgL_ev_absz00_bglt BgL_i1255z00_15070;
				obj_t BgL_bodyz00_15071;
				obj_t BgL_siza7ezd2framez75_15072;

				BgL_ifreesz00_15068 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15067, (int) (0L)));
				BgL_siza7eza7_15069 = PROCEDURE_REF(BgL_envz00_15067, (int) (1L));
				BgL_i1255z00_15070 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15067, (int) (2L)));
				BgL_bodyz00_15071 = PROCEDURE_REF(BgL_envz00_15067, (int) (3L));
				BgL_siza7ezd2framez75_15072 =
					PROCEDURE_REF(BgL_envz00_15067, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16536;

					BgL_bpz00_16536 = VECTOR_REF(((obj_t) BgL_sz00_15073), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16537;

						BgL_valza2za2_16537 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15073,
							BgL_bpz00_16536, BgL_ifreesz00_15068);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16538;

							BgL_runz00_16538 =
								MAKE_FX_PROCEDURE(BGl_z62run4561z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_16538, (int) (0L), BgL_siza7eza7_15069);
							PROCEDURE_SET(BgL_runz00_16538, (int) (1L), BgL_valza2za2_16537);
							PROCEDURE_SET(BgL_runz00_16538,
								(int) (2L), ((obj_t) BgL_i1255z00_15070));
							PROCEDURE_SET(BgL_runz00_16538, (int) (3L), BgL_bodyz00_15071);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16539;

								BgL_mainz00_16539 =
									MAKE_FX_PROCEDURE(BGl_z62main4560z62zz__evaluate_compz00,
									(int) (1L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_16539,
									(int) (0L), BgL_siza7eza7_15069);
								PROCEDURE_SET(BgL_mainz00_16539,
									(int) (1L), BgL_valza2za2_16537);
								PROCEDURE_SET(BgL_mainz00_16539,
									(int) (2L), ((obj_t) BgL_i1255z00_15070));
								PROCEDURE_SET(BgL_mainz00_16539, (int) (3L), BgL_bodyz00_15071);
								PROCEDURE_SET(BgL_mainz00_16539, (int) (4L), BgL_runz00_16538);
								PROCEDURE_SET(BgL_mainz00_16539,
									(int) (5L), BgL_siza7ezd2framez75_15072);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16540;

									BgL_objz00_16540 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16538, BgL_objz00_16540);
									BgL_objz00_16540;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3560z00_16541;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3561z00_16542;

										BgL_arg3561z00_16542 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15070))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16543;

											BgL_newz00_16543 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30522;

												BgL_tmpz00_30522 = (int) (3L);
												STRUCT_SET(BgL_newz00_16543, BgL_tmpz00_30522,
													BgL_arg3561z00_16542);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30525;

												BgL_tmpz00_30525 = (int) (2L);
												STRUCT_SET(BgL_newz00_16543, BgL_tmpz00_30525,
													BgL_siza7ezd2framez75_15072);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30528;

												BgL_tmpz00_30528 = (int) (1L);
												STRUCT_SET(BgL_newz00_16543, BgL_tmpz00_30528,
													BgL_runz00_16538);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30533;
												int BgL_tmpz00_30531;

												BgL_auxz00_30533 = BINT(1L);
												BgL_tmpz00_30531 = (int) (0L);
												STRUCT_SET(BgL_newz00_16543, BgL_tmpz00_30531,
													BgL_auxz00_30533);
											}
											BgL_arg3560z00_16541 = BgL_newz00_16543;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16539, BgL_arg3560z00_16541);
									BgL_arg3560z00_16541;
								}
								return BgL_mainz00_16539;
							}
						}
					}
				}
			}
		}

	}



/* &main4560 */
	obj_t BGl_z62main4560z62zz__evaluate_compz00(obj_t BgL_envz00_15074,
		obj_t BgL_dz00_15081)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15079;
				long BgL_siza7ezd2framez75_15080;

				BgL_runz00_15079 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15074, (int) (4L)));
				BgL_siza7ezd2framez75_15080 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15074, (int) (5L)));
				return
					BGl_mainze713ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15080,
					BgL_runz00_15079, BgL_dz00_15081);
			}
		}

	}



/* main~13 */
	obj_t BGl_mainze713ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15614,
		obj_t BgL_runz00_15613, obj_t BgL_dz00_4724)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4726;

				BgL_sz00_4726 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4727;

					BgL_bpz00_4727 = VECTOR_REF(((obj_t) BgL_sz00_4726), 0L);
					if (
						(((long) CINT(BgL_bpz00_4727) + BgL_siza7ezd2framez75_15614) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4726))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3565z00_4729;

								BgL_arg3565z00_4729 = ((long) CINT(BgL_bpz00_4727) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4726), BgL_arg3565z00_4729, BgL_dz00_4724);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4730;

								BgL_ez00_4730 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11379;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11380;

										BgL_arg4345z00_11380 = BGL_EXITD_PROTECT(BgL_ez00_4730);
										BgL_arg4344z00_11379 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4727, BgL_arg4345z00_11380);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4730, BgL_arg4344z00_11379);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4731;

									BgL_accz00_4731 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15613, BgL_sz00_4726, BgL_bpz00_4727);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5656z00_30562;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11382;

											BgL_arg4343z00_11382 = BGL_EXITD_PROTECT(BgL_ez00_4730);
											BgL_test5656z00_30562 = PAIRP(BgL_arg4343z00_11382);
										}
										if (BgL_test5656z00_30562)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11383;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11384;

													BgL_arg4342z00_11384 =
														BGL_EXITD_PROTECT(BgL_ez00_4730);
													BgL_arg4341z00_11383 =
														CDR(((obj_t) BgL_arg4342z00_11384));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4730,
													BgL_arg4341z00_11383);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4726), 0L, BgL_bpz00_4727);
									return BgL_accz00_4731;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4732;

							BgL_nsz00_4732 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4732, 1L, BgL_sz00_4726);
							VECTOR_SET(BgL_nsz00_4732, 2L, BgL_dz00_4724);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4733;

								BgL_z12denvz12_4733 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4733, BgL_nsz00_4732);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4734;

									BgL_ez00_4734 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11389;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11390;

											BgL_arg4345z00_11390 = BGL_EXITD_PROTECT(BgL_ez00_4734);
											BgL_arg4344z00_11389 =
												MAKE_YOUNG_PAIR(BgL_sz00_4726, BgL_arg4345z00_11390);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4734, BgL_arg4344z00_11389);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4735;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11391;

											BgL_savedzd2bpzd2_11391 = VECTOR_REF(BgL_nsz00_4732, 0L);
											VECTOR_SET(BgL_nsz00_4732, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11395;

												BgL_fz00_11395 = BgL_runz00_15613;
											BgL_recz00_11394:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11396;

													BgL_rz00_11396 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11395, BgL_nsz00_4732);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5657z00_30587;

														if (PROCEDUREP(BgL_rz00_11396))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11399;

																BgL_arg1763z00_11399 =
																	PROCEDURE_ATTR(BgL_rz00_11396);
																if (STRUCTP(BgL_arg1763z00_11399))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5657z00_30587 =
																			(STRUCT_KEY(BgL_arg1763z00_11399) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5657z00_30587 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5657z00_30587 = ((bool_t) 0);
															}
														if (BgL_test5657z00_30587)
															{
																obj_t BgL_fz00_30595;

																BgL_fz00_30595 = BgL_rz00_11396;
																BgL_fz00_11395 = BgL_fz00_30595;
																goto BgL_recz00_11394;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4732, 0L,
																	BgL_savedzd2bpzd2_11391);
																BgL_____rz00_4735 = BgL_rz00_11396;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5660z00_30597;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11407;

												BgL_arg4343z00_11407 = BGL_EXITD_PROTECT(BgL_ez00_4734);
												BgL_test5660z00_30597 = PAIRP(BgL_arg4343z00_11407);
											}
											if (BgL_test5660z00_30597)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11408;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11409;

														BgL_arg4342z00_11409 =
															BGL_EXITD_PROTECT(BgL_ez00_4734);
														BgL_arg4341z00_11408 =
															CDR(((obj_t) BgL_arg4342z00_11409));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4734,
														BgL_arg4341z00_11408);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4733, BgL_sz00_4726);
										return BgL_____rz00_4735;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4561 */
	obj_t BGl_z62run4561z62zz__evaluate_compz00(obj_t BgL_envz00_15082,
		obj_t BgL_sz00_15087)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15083;
				obj_t BgL_valza2za2_15084;
				BgL_ev_absz00_bglt BgL_i1255z00_15085;
				obj_t BgL_bodyz00_15086;

				BgL_siza7eza7_15083 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15082, (int) (0L)));
				BgL_valza2za2_15084 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15082, (int) (1L)));
				BgL_i1255z00_15085 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15082, (int) (2L)));
				BgL_bodyz00_15086 = PROCEDURE_REF(BgL_envz00_15082, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16544;

					BgL_bpz00_16544 = VECTOR_REF(((obj_t) BgL_sz00_15087), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15087,
						BgL_valza2za2_15084,
						((long) CINT(BgL_bpz00_16544) + BgL_siza7eza7_15083));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16545;
						obj_t BgL_wherez00_16546;
						obj_t BgL_locz00_16547;

						BgL_z12denvz12_16545 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16546 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15085))->
							BgL_wherez00);
						BgL_locz00_16547 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15085))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16545, BgL_wherez00_16546,
								BgL_locz00_16547);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16548;

								BgL_za2za2resza2za2z00_16548 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15086, BgL_sz00_15087);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16545);
								return BgL_za2za2resza2za2z00_16548;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3569> */
	obj_t BGl_z62zc3z04anonymousza33569ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15088, obj_t BgL_sz00_15095)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15089;
				obj_t BgL_iboxesz00_15090;
				obj_t BgL_siza7eza7_15091;
				BgL_ev_absz00_bglt BgL_i1255z00_15092;
				obj_t BgL_bodyz00_15093;
				obj_t BgL_siza7ezd2framez75_15094;

				BgL_ifreesz00_15089 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15088, (int) (0L)));
				BgL_iboxesz00_15090 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15088, (int) (1L)));
				BgL_siza7eza7_15091 = PROCEDURE_REF(BgL_envz00_15088, (int) (2L));
				BgL_i1255z00_15092 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15088, (int) (3L)));
				BgL_bodyz00_15093 = PROCEDURE_REF(BgL_envz00_15088, (int) (4L));
				BgL_siza7ezd2framez75_15094 =
					PROCEDURE_REF(BgL_envz00_15088, (int) (5L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16549;

					BgL_bpz00_16549 = VECTOR_REF(((obj_t) BgL_sz00_15095), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16550;

						BgL_valza2za2_16550 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15095,
							BgL_bpz00_16549, BgL_ifreesz00_15089);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16551;

							BgL_runz00_16551 =
								MAKE_FX_PROCEDURE(BGl_z62run4563z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_16551, (int) (0L), BgL_iboxesz00_15090);
							PROCEDURE_SET(BgL_runz00_16551, (int) (1L), BgL_siza7eza7_15091);
							PROCEDURE_SET(BgL_runz00_16551, (int) (2L), BgL_valza2za2_16550);
							PROCEDURE_SET(BgL_runz00_16551,
								(int) (3L), ((obj_t) BgL_i1255z00_15092));
							PROCEDURE_SET(BgL_runz00_16551, (int) (4L), BgL_bodyz00_15093);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16552;

								BgL_mainz00_16552 =
									MAKE_FX_PROCEDURE(BGl_z62main4562z62zz__evaluate_compz00,
									(int) (1L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_16552,
									(int) (0L), BgL_iboxesz00_15090);
								PROCEDURE_SET(BgL_mainz00_16552,
									(int) (1L), BgL_siza7eza7_15091);
								PROCEDURE_SET(BgL_mainz00_16552,
									(int) (2L), BgL_valza2za2_16550);
								PROCEDURE_SET(BgL_mainz00_16552,
									(int) (3L), ((obj_t) BgL_i1255z00_15092));
								PROCEDURE_SET(BgL_mainz00_16552, (int) (4L), BgL_bodyz00_15093);
								PROCEDURE_SET(BgL_mainz00_16552, (int) (5L), BgL_runz00_16551);
								PROCEDURE_SET(BgL_mainz00_16552,
									(int) (6L), BgL_siza7ezd2framez75_15094);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16553;

									BgL_objz00_16553 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16551, BgL_objz00_16553);
									BgL_objz00_16553;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3570z00_16554;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3571z00_16555;

										BgL_arg3571z00_16555 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15092))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16556;

											BgL_newz00_16556 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30684;

												BgL_tmpz00_30684 = (int) (3L);
												STRUCT_SET(BgL_newz00_16556, BgL_tmpz00_30684,
													BgL_arg3571z00_16555);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30687;

												BgL_tmpz00_30687 = (int) (2L);
												STRUCT_SET(BgL_newz00_16556, BgL_tmpz00_30687,
													BgL_siza7ezd2framez75_15094);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30690;

												BgL_tmpz00_30690 = (int) (1L);
												STRUCT_SET(BgL_newz00_16556, BgL_tmpz00_30690,
													BgL_runz00_16551);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30695;
												int BgL_tmpz00_30693;

												BgL_auxz00_30695 = BINT(1L);
												BgL_tmpz00_30693 = (int) (0L);
												STRUCT_SET(BgL_newz00_16556, BgL_tmpz00_30693,
													BgL_auxz00_30695);
											}
											BgL_arg3570z00_16554 = BgL_newz00_16556;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16552, BgL_arg3570z00_16554);
									BgL_arg3570z00_16554;
								}
								return BgL_mainz00_16552;
							}
						}
					}
				}
			}
		}

	}



/* &main4562 */
	obj_t BGl_z62main4562z62zz__evaluate_compz00(obj_t BgL_envz00_15096,
		obj_t BgL_dz00_15104)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15102;
				long BgL_siza7ezd2framez75_15103;

				BgL_runz00_15102 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15096, (int) (5L)));
				BgL_siza7ezd2framez75_15103 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15096, (int) (6L)));
				return
					BGl_mainze712ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15103,
					BgL_runz00_15102, BgL_dz00_15104);
			}
		}

	}



/* main~12 */
	obj_t BGl_mainze712ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15612,
		obj_t BgL_runz00_15611, obj_t BgL_dz00_4754)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4756;

				BgL_sz00_4756 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4757;

					BgL_bpz00_4757 = VECTOR_REF(((obj_t) BgL_sz00_4756), 0L);
					if (
						(((long) CINT(BgL_bpz00_4757) + BgL_siza7ezd2framez75_15612) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4756))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3574z00_4759;

								BgL_arg3574z00_4759 = ((long) CINT(BgL_bpz00_4757) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4756), BgL_arg3574z00_4759, BgL_dz00_4754);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4760;

								BgL_ez00_4760 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11432;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11433;

										BgL_arg4345z00_11433 = BGL_EXITD_PROTECT(BgL_ez00_4760);
										BgL_arg4344z00_11432 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4757, BgL_arg4345z00_11433);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4760, BgL_arg4344z00_11432);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4761;

									BgL_accz00_4761 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15611, BgL_sz00_4756, BgL_bpz00_4757);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5662z00_30724;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11435;

											BgL_arg4343z00_11435 = BGL_EXITD_PROTECT(BgL_ez00_4760);
											BgL_test5662z00_30724 = PAIRP(BgL_arg4343z00_11435);
										}
										if (BgL_test5662z00_30724)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11436;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11437;

													BgL_arg4342z00_11437 =
														BGL_EXITD_PROTECT(BgL_ez00_4760);
													BgL_arg4341z00_11436 =
														CDR(((obj_t) BgL_arg4342z00_11437));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4760,
													BgL_arg4341z00_11436);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4756), 0L, BgL_bpz00_4757);
									return BgL_accz00_4761;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4762;

							BgL_nsz00_4762 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4762, 1L, BgL_sz00_4756);
							VECTOR_SET(BgL_nsz00_4762, 2L, BgL_dz00_4754);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4763;

								BgL_z12denvz12_4763 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4763, BgL_nsz00_4762);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4764;

									BgL_ez00_4764 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11442;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11443;

											BgL_arg4345z00_11443 = BGL_EXITD_PROTECT(BgL_ez00_4764);
											BgL_arg4344z00_11442 =
												MAKE_YOUNG_PAIR(BgL_sz00_4756, BgL_arg4345z00_11443);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4764, BgL_arg4344z00_11442);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4765;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11444;

											BgL_savedzd2bpzd2_11444 = VECTOR_REF(BgL_nsz00_4762, 0L);
											VECTOR_SET(BgL_nsz00_4762, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11448;

												BgL_fz00_11448 = BgL_runz00_15611;
											BgL_recz00_11447:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11449;

													BgL_rz00_11449 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11448, BgL_nsz00_4762);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5663z00_30749;

														if (PROCEDUREP(BgL_rz00_11449))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11452;

																BgL_arg1763z00_11452 =
																	PROCEDURE_ATTR(BgL_rz00_11449);
																if (STRUCTP(BgL_arg1763z00_11452))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5663z00_30749 =
																			(STRUCT_KEY(BgL_arg1763z00_11452) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5663z00_30749 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5663z00_30749 = ((bool_t) 0);
															}
														if (BgL_test5663z00_30749)
															{
																obj_t BgL_fz00_30757;

																BgL_fz00_30757 = BgL_rz00_11449;
																BgL_fz00_11448 = BgL_fz00_30757;
																goto BgL_recz00_11447;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4762, 0L,
																	BgL_savedzd2bpzd2_11444);
																BgL_____rz00_4765 = BgL_rz00_11449;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5666z00_30759;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11460;

												BgL_arg4343z00_11460 = BGL_EXITD_PROTECT(BgL_ez00_4764);
												BgL_test5666z00_30759 = PAIRP(BgL_arg4343z00_11460);
											}
											if (BgL_test5666z00_30759)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11461;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11462;

														BgL_arg4342z00_11462 =
															BGL_EXITD_PROTECT(BgL_ez00_4764);
														BgL_arg4341z00_11461 =
															CDR(((obj_t) BgL_arg4342z00_11462));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4764,
														BgL_arg4341z00_11461);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4763, BgL_sz00_4756);
										return BgL_____rz00_4765;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4563 */
	obj_t BGl_z62run4563z62zz__evaluate_compz00(obj_t BgL_envz00_15105,
		obj_t BgL_sz00_15111)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15106;
				long BgL_siza7eza7_15107;
				obj_t BgL_valza2za2_15108;
				BgL_ev_absz00_bglt BgL_i1255z00_15109;
				obj_t BgL_bodyz00_15110;

				BgL_iboxesz00_15106 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15105, (int) (0L)));
				BgL_siza7eza7_15107 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15105, (int) (1L)));
				BgL_valza2za2_15108 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15105, (int) (2L)));
				BgL_i1255z00_15109 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15105, (int) (3L)));
				BgL_bodyz00_15110 = PROCEDURE_REF(BgL_envz00_15105, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16557;

					BgL_bpz00_16557 = VECTOR_REF(((obj_t) BgL_sz00_15111), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15111,
						BgL_iboxesz00_15106, BgL_bpz00_16557);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15111,
						BgL_valza2za2_15108,
						((long) CINT(BgL_bpz00_16557) + BgL_siza7eza7_15107));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16558;
						obj_t BgL_wherez00_16559;
						obj_t BgL_locz00_16560;

						BgL_z12denvz12_16558 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16559 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15109))->
							BgL_wherez00);
						BgL_locz00_16560 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15109))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16558, BgL_wherez00_16559,
								BgL_locz00_16560);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16561;

								BgL_za2za2resza2za2z00_16561 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15110, BgL_sz00_15111);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16558);
								return BgL_za2za2resza2za2z00_16561;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3492> */
	obj_t BGl_z62zc3z04anonymousza33492ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15112, obj_t BgL_sz00_15116)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15113;
				obj_t BgL_bodyz00_15114;
				obj_t BgL_siza7ezd2framez75_15115;

				BgL_i1255z00_15113 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15112, (int) (0L)));
				BgL_bodyz00_15114 = PROCEDURE_REF(BgL_envz00_15112, (int) (1L));
				BgL_siza7ezd2framez75_15115 =
					PROCEDURE_REF(BgL_envz00_15112, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16562;

					BgL_bpz00_16562 = VECTOR_REF(((obj_t) BgL_sz00_15116), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16563;

							BgL_runz00_16563 =
								MAKE_FX_PROCEDURE(BGl_z62run4565z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_16563,
								(int) (0L), ((obj_t) BgL_i1255z00_15113));
							PROCEDURE_SET(BgL_runz00_16563, (int) (1L), BgL_bodyz00_15114);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16564;

								BgL_mainz00_16564 =
									MAKE_VA_PROCEDURE(BGl_z62main4564z62zz__evaluate_compz00,
									(int) ((-1L)), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_16564,
									(int) (0L), ((obj_t) BgL_i1255z00_15113));
								PROCEDURE_SET(BgL_mainz00_16564, (int) (1L), BgL_bodyz00_15114);
								PROCEDURE_SET(BgL_mainz00_16564, (int) (2L), BgL_runz00_16563);
								PROCEDURE_SET(BgL_mainz00_16564,
									(int) (3L), BgL_siza7ezd2framez75_15115);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16565;

									BgL_objz00_16565 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16563, BgL_objz00_16565);
									BgL_objz00_16565;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3493z00_16566;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3494z00_16567;

										BgL_arg3494z00_16567 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15113))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16568;

											BgL_newz00_16568 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30829;

												BgL_tmpz00_30829 = (int) (3L);
												STRUCT_SET(BgL_newz00_16568, BgL_tmpz00_30829,
													BgL_arg3494z00_16567);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30832;

												BgL_tmpz00_30832 = (int) (2L);
												STRUCT_SET(BgL_newz00_16568, BgL_tmpz00_30832,
													BgL_siza7ezd2framez75_15115);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30835;

												BgL_tmpz00_30835 = (int) (1L);
												STRUCT_SET(BgL_newz00_16568, BgL_tmpz00_30835,
													BgL_runz00_16563);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30840;
												int BgL_tmpz00_30838;

												BgL_auxz00_30840 = BINT((-1L));
												BgL_tmpz00_30838 = (int) (0L);
												STRUCT_SET(BgL_newz00_16568, BgL_tmpz00_30838,
													BgL_auxz00_30840);
											}
											BgL_arg3493z00_16566 = BgL_newz00_16568;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16564, BgL_arg3493z00_16566);
									BgL_arg3493z00_16566;
								}
								return BgL_mainz00_16564;
							}
						}
					}
				}
			}
		}

	}



/* &main4564 */
	obj_t BGl_z62main4564z62zz__evaluate_compz00(obj_t BgL_envz00_15117,
		obj_t BgL_lastz00_15122)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15120;
				long BgL_siza7ezd2framez75_15121;

				BgL_runz00_15120 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15117, (int) (2L)));
				BgL_siza7ezd2framez75_15121 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15117, (int) (3L)));
				return
					BGl_mainze711ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15121,
					BgL_runz00_15120, BgL_lastz00_15122);
			}
		}

	}



/* main~11 */
	obj_t BGl_mainze711ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15610,
		obj_t BgL_runz00_15609, obj_t BgL_lastz00_4539)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4541;

				BgL_sz00_4541 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4542;

					BgL_bpz00_4542 = VECTOR_REF(((obj_t) BgL_sz00_4541), 0L);
					if (
						(((long) CINT(BgL_bpz00_4542) + BgL_siza7ezd2framez75_15610) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4541))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3498z00_4544;

								BgL_arg3498z00_4544 = ((long) CINT(BgL_bpz00_4542) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4541), BgL_arg3498z00_4544,
									BgL_lastz00_4539);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4545;

								BgL_ez00_4545 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11059;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11060;

										BgL_arg4345z00_11060 = BGL_EXITD_PROTECT(BgL_ez00_4545);
										BgL_arg4344z00_11059 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4542, BgL_arg4345z00_11060);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4545, BgL_arg4344z00_11059);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4546;

									BgL_accz00_4546 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15609, BgL_sz00_4541, BgL_bpz00_4542);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5668z00_30869;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11062;

											BgL_arg4343z00_11062 = BGL_EXITD_PROTECT(BgL_ez00_4545);
											BgL_test5668z00_30869 = PAIRP(BgL_arg4343z00_11062);
										}
										if (BgL_test5668z00_30869)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11063;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11064;

													BgL_arg4342z00_11064 =
														BGL_EXITD_PROTECT(BgL_ez00_4545);
													BgL_arg4341z00_11063 =
														CDR(((obj_t) BgL_arg4342z00_11064));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4545,
													BgL_arg4341z00_11063);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4541), 0L, BgL_bpz00_4542);
									return BgL_accz00_4546;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4547;

							BgL_nsz00_4547 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4547, 1L, BgL_sz00_4541);
							VECTOR_SET(BgL_nsz00_4547, 2L, BgL_lastz00_4539);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4548;

								BgL_z12denvz12_4548 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4548, BgL_nsz00_4547);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4549;

									BgL_ez00_4549 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11069;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11070;

											BgL_arg4345z00_11070 = BGL_EXITD_PROTECT(BgL_ez00_4549);
											BgL_arg4344z00_11069 =
												MAKE_YOUNG_PAIR(BgL_sz00_4541, BgL_arg4345z00_11070);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4549, BgL_arg4344z00_11069);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4550;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11071;

											BgL_savedzd2bpzd2_11071 = VECTOR_REF(BgL_nsz00_4547, 0L);
											VECTOR_SET(BgL_nsz00_4547, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11075;

												BgL_fz00_11075 = BgL_runz00_15609;
											BgL_recz00_11074:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11076;

													BgL_rz00_11076 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11075, BgL_nsz00_4547);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5669z00_30894;

														if (PROCEDUREP(BgL_rz00_11076))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11079;

																BgL_arg1763z00_11079 =
																	PROCEDURE_ATTR(BgL_rz00_11076);
																if (STRUCTP(BgL_arg1763z00_11079))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5669z00_30894 =
																			(STRUCT_KEY(BgL_arg1763z00_11079) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5669z00_30894 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5669z00_30894 = ((bool_t) 0);
															}
														if (BgL_test5669z00_30894)
															{
																obj_t BgL_fz00_30902;

																BgL_fz00_30902 = BgL_rz00_11076;
																BgL_fz00_11075 = BgL_fz00_30902;
																goto BgL_recz00_11074;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4547, 0L,
																	BgL_savedzd2bpzd2_11071);
																BgL_____rz00_4550 = BgL_rz00_11076;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5672z00_30904;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11087;

												BgL_arg4343z00_11087 = BGL_EXITD_PROTECT(BgL_ez00_4549);
												BgL_test5672z00_30904 = PAIRP(BgL_arg4343z00_11087);
											}
											if (BgL_test5672z00_30904)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11088;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11089;

														BgL_arg4342z00_11089 =
															BGL_EXITD_PROTECT(BgL_ez00_4549);
														BgL_arg4341z00_11088 =
															CDR(((obj_t) BgL_arg4342z00_11089));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4549,
														BgL_arg4341z00_11088);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4548, BgL_sz00_4541);
										return BgL_____rz00_4550;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4565 */
	obj_t BGl_z62run4565z62zz__evaluate_compz00(obj_t BgL_envz00_15123,
		obj_t BgL_sz00_15126)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15124;
				obj_t BgL_bodyz00_15125;

				BgL_i1255z00_15124 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15123, (int) (0L)));
				BgL_bodyz00_15125 = PROCEDURE_REF(BgL_envz00_15123, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16569;

					BgL_bpz00_16569 = VECTOR_REF(((obj_t) BgL_sz00_15126), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16570;
						obj_t BgL_wherez00_16571;
						obj_t BgL_locz00_16572;

						BgL_z12denvz12_16570 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16571 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15124))->
							BgL_wherez00);
						BgL_locz00_16572 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15124))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16570, BgL_wherez00_16571,
								BgL_locz00_16572);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16573;

								BgL_za2za2resza2za2z00_16573 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15125, BgL_sz00_15126);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16570);
								return BgL_za2za2resza2za2z00_16573;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3500> */
	obj_t BGl_z62zc3z04anonymousza33500ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15127, obj_t BgL_sz00_15132)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15128;
				BgL_ev_absz00_bglt BgL_i1255z00_15129;
				obj_t BgL_bodyz00_15130;
				obj_t BgL_siza7ezd2framez75_15131;

				BgL_iboxesz00_15128 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15127, (int) (0L)));
				BgL_i1255z00_15129 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15127, (int) (1L)));
				BgL_bodyz00_15130 = PROCEDURE_REF(BgL_envz00_15127, (int) (2L));
				BgL_siza7ezd2framez75_15131 =
					PROCEDURE_REF(BgL_envz00_15127, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16574;

					BgL_bpz00_16574 = VECTOR_REF(((obj_t) BgL_sz00_15132), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16575;

							BgL_runz00_16575 =
								MAKE_FX_PROCEDURE(BGl_z62run4567z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_16575, (int) (0L), BgL_iboxesz00_15128);
							PROCEDURE_SET(BgL_runz00_16575,
								(int) (1L), ((obj_t) BgL_i1255z00_15129));
							PROCEDURE_SET(BgL_runz00_16575, (int) (2L), BgL_bodyz00_15130);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16576;

								BgL_mainz00_16576 =
									MAKE_VA_PROCEDURE(BGl_z62main4566z62zz__evaluate_compz00,
									(int) ((-1L)), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_16576,
									(int) (0L), BgL_iboxesz00_15128);
								PROCEDURE_SET(BgL_mainz00_16576,
									(int) (1L), ((obj_t) BgL_i1255z00_15129));
								PROCEDURE_SET(BgL_mainz00_16576, (int) (2L), BgL_bodyz00_15130);
								PROCEDURE_SET(BgL_mainz00_16576, (int) (3L), BgL_runz00_16575);
								PROCEDURE_SET(BgL_mainz00_16576,
									(int) (4L), BgL_siza7ezd2framez75_15131);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16577;

									BgL_objz00_16577 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16575, BgL_objz00_16577);
									BgL_objz00_16577;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3502z00_16578;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3503z00_16579;

										BgL_arg3503z00_16579 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15129))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16580;

											BgL_newz00_16580 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30968;

												BgL_tmpz00_30968 = (int) (3L);
												STRUCT_SET(BgL_newz00_16580, BgL_tmpz00_30968,
													BgL_arg3503z00_16579);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30971;

												BgL_tmpz00_30971 = (int) (2L);
												STRUCT_SET(BgL_newz00_16580, BgL_tmpz00_30971,
													BgL_siza7ezd2framez75_15131);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30974;

												BgL_tmpz00_30974 = (int) (1L);
												STRUCT_SET(BgL_newz00_16580, BgL_tmpz00_30974,
													BgL_runz00_16575);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30979;
												int BgL_tmpz00_30977;

												BgL_auxz00_30979 = BINT((-1L));
												BgL_tmpz00_30977 = (int) (0L);
												STRUCT_SET(BgL_newz00_16580, BgL_tmpz00_30977,
													BgL_auxz00_30979);
											}
											BgL_arg3502z00_16578 = BgL_newz00_16580;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16576, BgL_arg3502z00_16578);
									BgL_arg3502z00_16578;
								}
								return BgL_mainz00_16576;
							}
						}
					}
				}
			}
		}

	}



/* &main4566 */
	obj_t BGl_z62main4566z62zz__evaluate_compz00(obj_t BgL_envz00_15133,
		obj_t BgL_lastz00_15139)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15137;
				long BgL_siza7ezd2framez75_15138;

				BgL_runz00_15137 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15133, (int) (3L)));
				BgL_siza7ezd2framez75_15138 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15133, (int) (4L)));
				return
					BGl_mainze710ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15138,
					BgL_runz00_15137, BgL_lastz00_15139);
			}
		}

	}



/* main~10 */
	obj_t BGl_mainze710ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15608,
		obj_t BgL_runz00_15607, obj_t BgL_lastz00_4567)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4569;

				BgL_sz00_4569 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4570;

					BgL_bpz00_4570 = VECTOR_REF(((obj_t) BgL_sz00_4569), 0L);
					if (
						(((long) CINT(BgL_bpz00_4570) + BgL_siza7ezd2framez75_15608) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4569))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3507z00_4572;

								BgL_arg3507z00_4572 = ((long) CINT(BgL_bpz00_4570) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4569), BgL_arg3507z00_4572,
									BgL_lastz00_4567);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4573;

								BgL_ez00_4573 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11110;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11111;

										BgL_arg4345z00_11111 = BGL_EXITD_PROTECT(BgL_ez00_4573);
										BgL_arg4344z00_11110 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4570, BgL_arg4345z00_11111);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4573, BgL_arg4344z00_11110);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4574;

									BgL_accz00_4574 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15607, BgL_sz00_4569, BgL_bpz00_4570);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5674z00_31008;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11113;

											BgL_arg4343z00_11113 = BGL_EXITD_PROTECT(BgL_ez00_4573);
											BgL_test5674z00_31008 = PAIRP(BgL_arg4343z00_11113);
										}
										if (BgL_test5674z00_31008)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11114;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11115;

													BgL_arg4342z00_11115 =
														BGL_EXITD_PROTECT(BgL_ez00_4573);
													BgL_arg4341z00_11114 =
														CDR(((obj_t) BgL_arg4342z00_11115));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4573,
													BgL_arg4341z00_11114);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4569), 0L, BgL_bpz00_4570);
									return BgL_accz00_4574;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4575;

							BgL_nsz00_4575 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4575, 1L, BgL_sz00_4569);
							VECTOR_SET(BgL_nsz00_4575, 2L, BgL_lastz00_4567);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4576;

								BgL_z12denvz12_4576 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4576, BgL_nsz00_4575);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4577;

									BgL_ez00_4577 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11120;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11121;

											BgL_arg4345z00_11121 = BGL_EXITD_PROTECT(BgL_ez00_4577);
											BgL_arg4344z00_11120 =
												MAKE_YOUNG_PAIR(BgL_sz00_4569, BgL_arg4345z00_11121);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4577, BgL_arg4344z00_11120);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4578;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11122;

											BgL_savedzd2bpzd2_11122 = VECTOR_REF(BgL_nsz00_4575, 0L);
											VECTOR_SET(BgL_nsz00_4575, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11126;

												BgL_fz00_11126 = BgL_runz00_15607;
											BgL_recz00_11125:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11127;

													BgL_rz00_11127 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11126, BgL_nsz00_4575);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5675z00_31033;

														if (PROCEDUREP(BgL_rz00_11127))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11130;

																BgL_arg1763z00_11130 =
																	PROCEDURE_ATTR(BgL_rz00_11127);
																if (STRUCTP(BgL_arg1763z00_11130))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5675z00_31033 =
																			(STRUCT_KEY(BgL_arg1763z00_11130) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5675z00_31033 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5675z00_31033 = ((bool_t) 0);
															}
														if (BgL_test5675z00_31033)
															{
																obj_t BgL_fz00_31041;

																BgL_fz00_31041 = BgL_rz00_11127;
																BgL_fz00_11126 = BgL_fz00_31041;
																goto BgL_recz00_11125;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4575, 0L,
																	BgL_savedzd2bpzd2_11122);
																BgL_____rz00_4578 = BgL_rz00_11127;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5678z00_31043;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11138;

												BgL_arg4343z00_11138 = BGL_EXITD_PROTECT(BgL_ez00_4577);
												BgL_test5678z00_31043 = PAIRP(BgL_arg4343z00_11138);
											}
											if (BgL_test5678z00_31043)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11139;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11140;

														BgL_arg4342z00_11140 =
															BGL_EXITD_PROTECT(BgL_ez00_4577);
														BgL_arg4341z00_11139 =
															CDR(((obj_t) BgL_arg4342z00_11140));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4577,
														BgL_arg4341z00_11139);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4576, BgL_sz00_4569);
										return BgL_____rz00_4578;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4567 */
	obj_t BGl_z62run4567z62zz__evaluate_compz00(obj_t BgL_envz00_15140,
		obj_t BgL_sz00_15144)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15141;
				BgL_ev_absz00_bglt BgL_i1255z00_15142;
				obj_t BgL_bodyz00_15143;

				BgL_iboxesz00_15141 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15140, (int) (0L)));
				BgL_i1255z00_15142 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15140, (int) (1L)));
				BgL_bodyz00_15143 = PROCEDURE_REF(BgL_envz00_15140, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16581;

					BgL_bpz00_16581 = VECTOR_REF(((obj_t) BgL_sz00_15144), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15144,
						BgL_iboxesz00_15141, BgL_bpz00_16581);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16582;
						obj_t BgL_wherez00_16583;
						obj_t BgL_locz00_16584;

						BgL_z12denvz12_16582 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16583 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15142))->
							BgL_wherez00);
						BgL_locz00_16584 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15142))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16582, BgL_wherez00_16583,
								BgL_locz00_16584);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16585;

								BgL_za2za2resza2za2z00_16585 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15143, BgL_sz00_15144);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16582);
								return BgL_za2za2resza2za2z00_16585;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3513> */
	obj_t BGl_z62zc3z04anonymousza33513ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15145, obj_t BgL_sz00_15151)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15146;
				obj_t BgL_siza7eza7_15147;
				BgL_ev_absz00_bglt BgL_i1255z00_15148;
				obj_t BgL_bodyz00_15149;
				obj_t BgL_siza7ezd2framez75_15150;

				BgL_ifreesz00_15146 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15145, (int) (0L)));
				BgL_siza7eza7_15147 = PROCEDURE_REF(BgL_envz00_15145, (int) (1L));
				BgL_i1255z00_15148 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15145, (int) (2L)));
				BgL_bodyz00_15149 = PROCEDURE_REF(BgL_envz00_15145, (int) (3L));
				BgL_siza7ezd2framez75_15150 =
					PROCEDURE_REF(BgL_envz00_15145, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16586;

					BgL_bpz00_16586 = VECTOR_REF(((obj_t) BgL_sz00_15151), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16587;

						BgL_valza2za2_16587 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15151,
							BgL_bpz00_16586, BgL_ifreesz00_15146);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16588;

							BgL_runz00_16588 =
								MAKE_FX_PROCEDURE(BGl_z62run4569z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_16588, (int) (0L), BgL_siza7eza7_15147);
							PROCEDURE_SET(BgL_runz00_16588, (int) (1L), BgL_valza2za2_16587);
							PROCEDURE_SET(BgL_runz00_16588,
								(int) (2L), ((obj_t) BgL_i1255z00_15148));
							PROCEDURE_SET(BgL_runz00_16588, (int) (3L), BgL_bodyz00_15149);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16589;

								BgL_mainz00_16589 =
									MAKE_VA_PROCEDURE(BGl_z62main4568z62zz__evaluate_compz00,
									(int) ((-1L)), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_16589,
									(int) (0L), BgL_siza7eza7_15147);
								PROCEDURE_SET(BgL_mainz00_16589,
									(int) (1L), BgL_valza2za2_16587);
								PROCEDURE_SET(BgL_mainz00_16589,
									(int) (2L), ((obj_t) BgL_i1255z00_15148));
								PROCEDURE_SET(BgL_mainz00_16589, (int) (3L), BgL_bodyz00_15149);
								PROCEDURE_SET(BgL_mainz00_16589, (int) (4L), BgL_runz00_16588);
								PROCEDURE_SET(BgL_mainz00_16589,
									(int) (5L), BgL_siza7ezd2framez75_15150);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16590;

									BgL_objz00_16590 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16588, BgL_objz00_16590);
									BgL_objz00_16590;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3514z00_16591;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3516z00_16592;

										BgL_arg3516z00_16592 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15148))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16593;

											BgL_newz00_16593 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31118;

												BgL_tmpz00_31118 = (int) (3L);
												STRUCT_SET(BgL_newz00_16593, BgL_tmpz00_31118,
													BgL_arg3516z00_16592);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31121;

												BgL_tmpz00_31121 = (int) (2L);
												STRUCT_SET(BgL_newz00_16593, BgL_tmpz00_31121,
													BgL_siza7ezd2framez75_15150);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31124;

												BgL_tmpz00_31124 = (int) (1L);
												STRUCT_SET(BgL_newz00_16593, BgL_tmpz00_31124,
													BgL_runz00_16588);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31129;
												int BgL_tmpz00_31127;

												BgL_auxz00_31129 = BINT((-1L));
												BgL_tmpz00_31127 = (int) (0L);
												STRUCT_SET(BgL_newz00_16593, BgL_tmpz00_31127,
													BgL_auxz00_31129);
											}
											BgL_arg3514z00_16591 = BgL_newz00_16593;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16589, BgL_arg3514z00_16591);
									BgL_arg3514z00_16591;
								}
								return BgL_mainz00_16589;
							}
						}
					}
				}
			}
		}

	}



/* &main4568 */
	obj_t BGl_z62main4568z62zz__evaluate_compz00(obj_t BgL_envz00_15152,
		obj_t BgL_lastz00_15159)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15157;
				long BgL_siza7ezd2framez75_15158;

				BgL_runz00_15157 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15152, (int) (4L)));
				BgL_siza7ezd2framez75_15158 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15152, (int) (5L)));
				return
					BGl_mainze79ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15158,
					BgL_runz00_15157, BgL_lastz00_15159);
			}
		}

	}



/* main~9 */
	obj_t BGl_mainze79ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15606,
		obj_t BgL_runz00_15605, obj_t BgL_lastz00_4599)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4601;

				BgL_sz00_4601 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4602;

					BgL_bpz00_4602 = VECTOR_REF(((obj_t) BgL_sz00_4601), 0L);
					if (
						(((long) CINT(BgL_bpz00_4602) + BgL_siza7ezd2framez75_15606) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4601))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3520z00_4604;

								BgL_arg3520z00_4604 = ((long) CINT(BgL_bpz00_4602) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4601), BgL_arg3520z00_4604,
									BgL_lastz00_4599);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4605;

								BgL_ez00_4605 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11165;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11166;

										BgL_arg4345z00_11166 = BGL_EXITD_PROTECT(BgL_ez00_4605);
										BgL_arg4344z00_11165 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4602, BgL_arg4345z00_11166);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4605, BgL_arg4344z00_11165);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4606;

									BgL_accz00_4606 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15605, BgL_sz00_4601, BgL_bpz00_4602);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5680z00_31158;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11168;

											BgL_arg4343z00_11168 = BGL_EXITD_PROTECT(BgL_ez00_4605);
											BgL_test5680z00_31158 = PAIRP(BgL_arg4343z00_11168);
										}
										if (BgL_test5680z00_31158)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11169;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11170;

													BgL_arg4342z00_11170 =
														BGL_EXITD_PROTECT(BgL_ez00_4605);
													BgL_arg4341z00_11169 =
														CDR(((obj_t) BgL_arg4342z00_11170));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4605,
													BgL_arg4341z00_11169);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4601), 0L, BgL_bpz00_4602);
									return BgL_accz00_4606;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4607;

							BgL_nsz00_4607 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4607, 1L, BgL_sz00_4601);
							VECTOR_SET(BgL_nsz00_4607, 2L, BgL_lastz00_4599);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4608;

								BgL_z12denvz12_4608 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4608, BgL_nsz00_4607);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4609;

									BgL_ez00_4609 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11175;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11176;

											BgL_arg4345z00_11176 = BGL_EXITD_PROTECT(BgL_ez00_4609);
											BgL_arg4344z00_11175 =
												MAKE_YOUNG_PAIR(BgL_sz00_4601, BgL_arg4345z00_11176);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4609, BgL_arg4344z00_11175);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4610;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11177;

											BgL_savedzd2bpzd2_11177 = VECTOR_REF(BgL_nsz00_4607, 0L);
											VECTOR_SET(BgL_nsz00_4607, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11181;

												BgL_fz00_11181 = BgL_runz00_15605;
											BgL_recz00_11180:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11182;

													BgL_rz00_11182 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11181, BgL_nsz00_4607);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5681z00_31183;

														if (PROCEDUREP(BgL_rz00_11182))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11185;

																BgL_arg1763z00_11185 =
																	PROCEDURE_ATTR(BgL_rz00_11182);
																if (STRUCTP(BgL_arg1763z00_11185))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5681z00_31183 =
																			(STRUCT_KEY(BgL_arg1763z00_11185) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5681z00_31183 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5681z00_31183 = ((bool_t) 0);
															}
														if (BgL_test5681z00_31183)
															{
																obj_t BgL_fz00_31191;

																BgL_fz00_31191 = BgL_rz00_11182;
																BgL_fz00_11181 = BgL_fz00_31191;
																goto BgL_recz00_11180;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4607, 0L,
																	BgL_savedzd2bpzd2_11177);
																BgL_____rz00_4610 = BgL_rz00_11182;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5684z00_31193;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11193;

												BgL_arg4343z00_11193 = BGL_EXITD_PROTECT(BgL_ez00_4609);
												BgL_test5684z00_31193 = PAIRP(BgL_arg4343z00_11193);
											}
											if (BgL_test5684z00_31193)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11194;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11195;

														BgL_arg4342z00_11195 =
															BGL_EXITD_PROTECT(BgL_ez00_4609);
														BgL_arg4341z00_11194 =
															CDR(((obj_t) BgL_arg4342z00_11195));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4609,
														BgL_arg4341z00_11194);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4608, BgL_sz00_4601);
										return BgL_____rz00_4610;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4569 */
	obj_t BGl_z62run4569z62zz__evaluate_compz00(obj_t BgL_envz00_15160,
		obj_t BgL_sz00_15165)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15161;
				obj_t BgL_valza2za2_15162;
				BgL_ev_absz00_bglt BgL_i1255z00_15163;
				obj_t BgL_bodyz00_15164;

				BgL_siza7eza7_15161 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15160, (int) (0L)));
				BgL_valza2za2_15162 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15160, (int) (1L)));
				BgL_i1255z00_15163 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15160, (int) (2L)));
				BgL_bodyz00_15164 = PROCEDURE_REF(BgL_envz00_15160, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16594;

					BgL_bpz00_16594 = VECTOR_REF(((obj_t) BgL_sz00_15165), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15165,
						BgL_valza2za2_15162,
						((long) CINT(BgL_bpz00_16594) + BgL_siza7eza7_15161));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16595;
						obj_t BgL_wherez00_16596;
						obj_t BgL_locz00_16597;

						BgL_z12denvz12_16595 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16596 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15163))->
							BgL_wherez00);
						BgL_locz00_16597 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15163))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16595, BgL_wherez00_16596,
								BgL_locz00_16597);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16598;

								BgL_za2za2resza2za2z00_16598 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15164, BgL_sz00_15165);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16595);
								return BgL_za2za2resza2za2z00_16598;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3523> */
	obj_t BGl_z62zc3z04anonymousza33523ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15166, obj_t BgL_sz00_15173)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15167;
				obj_t BgL_iboxesz00_15168;
				obj_t BgL_siza7eza7_15169;
				BgL_ev_absz00_bglt BgL_i1255z00_15170;
				obj_t BgL_bodyz00_15171;
				obj_t BgL_siza7ezd2framez75_15172;

				BgL_ifreesz00_15167 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15166, (int) (0L)));
				BgL_iboxesz00_15168 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15166, (int) (1L)));
				BgL_siza7eza7_15169 = PROCEDURE_REF(BgL_envz00_15166, (int) (2L));
				BgL_i1255z00_15170 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15166, (int) (3L)));
				BgL_bodyz00_15171 = PROCEDURE_REF(BgL_envz00_15166, (int) (4L));
				BgL_siza7ezd2framez75_15172 =
					PROCEDURE_REF(BgL_envz00_15166, (int) (5L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16599;

					BgL_bpz00_16599 = VECTOR_REF(((obj_t) BgL_sz00_15173), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16600;

						BgL_valza2za2_16600 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15173,
							BgL_bpz00_16599, BgL_ifreesz00_15167);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16601;

							BgL_runz00_16601 =
								MAKE_FX_PROCEDURE(BGl_z62run4571z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_16601, (int) (0L), BgL_iboxesz00_15168);
							PROCEDURE_SET(BgL_runz00_16601, (int) (1L), BgL_siza7eza7_15169);
							PROCEDURE_SET(BgL_runz00_16601, (int) (2L), BgL_valza2za2_16600);
							PROCEDURE_SET(BgL_runz00_16601,
								(int) (3L), ((obj_t) BgL_i1255z00_15170));
							PROCEDURE_SET(BgL_runz00_16601, (int) (4L), BgL_bodyz00_15171);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16602;

								BgL_mainz00_16602 =
									MAKE_VA_PROCEDURE(BGl_z62main4570z62zz__evaluate_compz00,
									(int) ((-1L)), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_16602,
									(int) (0L), BgL_iboxesz00_15168);
								PROCEDURE_SET(BgL_mainz00_16602,
									(int) (1L), BgL_siza7eza7_15169);
								PROCEDURE_SET(BgL_mainz00_16602,
									(int) (2L), BgL_valza2za2_16600);
								PROCEDURE_SET(BgL_mainz00_16602,
									(int) (3L), ((obj_t) BgL_i1255z00_15170));
								PROCEDURE_SET(BgL_mainz00_16602, (int) (4L), BgL_bodyz00_15171);
								PROCEDURE_SET(BgL_mainz00_16602, (int) (5L), BgL_runz00_16601);
								PROCEDURE_SET(BgL_mainz00_16602,
									(int) (6L), BgL_siza7ezd2framez75_15172);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16603;

									BgL_objz00_16603 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16601, BgL_objz00_16603);
									BgL_objz00_16603;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3524z00_16604;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3525z00_16605;

										BgL_arg3525z00_16605 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15170))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16606;

											BgL_newz00_16606 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31280;

												BgL_tmpz00_31280 = (int) (3L);
												STRUCT_SET(BgL_newz00_16606, BgL_tmpz00_31280,
													BgL_arg3525z00_16605);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31283;

												BgL_tmpz00_31283 = (int) (2L);
												STRUCT_SET(BgL_newz00_16606, BgL_tmpz00_31283,
													BgL_siza7ezd2framez75_15172);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31286;

												BgL_tmpz00_31286 = (int) (1L);
												STRUCT_SET(BgL_newz00_16606, BgL_tmpz00_31286,
													BgL_runz00_16601);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31291;
												int BgL_tmpz00_31289;

												BgL_auxz00_31291 = BINT((-1L));
												BgL_tmpz00_31289 = (int) (0L);
												STRUCT_SET(BgL_newz00_16606, BgL_tmpz00_31289,
													BgL_auxz00_31291);
											}
											BgL_arg3524z00_16604 = BgL_newz00_16606;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16602, BgL_arg3524z00_16604);
									BgL_arg3524z00_16604;
								}
								return BgL_mainz00_16602;
							}
						}
					}
				}
			}
		}

	}



/* &main4570 */
	obj_t BGl_z62main4570z62zz__evaluate_compz00(obj_t BgL_envz00_15174,
		obj_t BgL_lastz00_15182)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15180;
				long BgL_siza7ezd2framez75_15181;

				BgL_runz00_15180 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15174, (int) (5L)));
				BgL_siza7ezd2framez75_15181 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15174, (int) (6L)));
				return
					BGl_mainze78ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15181,
					BgL_runz00_15180, BgL_lastz00_15182);
			}
		}

	}



/* main~8 */
	obj_t BGl_mainze78ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15604,
		obj_t BgL_runz00_15603, obj_t BgL_lastz00_4629)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4631;

				BgL_sz00_4631 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4632;

					BgL_bpz00_4632 = VECTOR_REF(((obj_t) BgL_sz00_4631), 0L);
					if (
						(((long) CINT(BgL_bpz00_4632) + BgL_siza7ezd2framez75_15604) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4631))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3528z00_4634;

								BgL_arg3528z00_4634 = ((long) CINT(BgL_bpz00_4632) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_4631), BgL_arg3528z00_4634,
									BgL_lastz00_4629);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_4635;

								BgL_ez00_4635 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_11218;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_11219;

										BgL_arg4345z00_11219 = BGL_EXITD_PROTECT(BgL_ez00_4635);
										BgL_arg4344z00_11218 =
											MAKE_YOUNG_PAIR(BgL_bpz00_4632, BgL_arg4345z00_11219);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_4635, BgL_arg4344z00_11218);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_4636;

									BgL_accz00_4636 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15603, BgL_sz00_4631, BgL_bpz00_4632);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5686z00_31320;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_11221;

											BgL_arg4343z00_11221 = BGL_EXITD_PROTECT(BgL_ez00_4635);
											BgL_test5686z00_31320 = PAIRP(BgL_arg4343z00_11221);
										}
										if (BgL_test5686z00_31320)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_11222;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_11223;

													BgL_arg4342z00_11223 =
														BGL_EXITD_PROTECT(BgL_ez00_4635);
													BgL_arg4341z00_11222 =
														CDR(((obj_t) BgL_arg4342z00_11223));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_4635,
													BgL_arg4341z00_11222);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_4631), 0L, BgL_bpz00_4632);
									return BgL_accz00_4636;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4637;

							BgL_nsz00_4637 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4637, 1L, BgL_sz00_4631);
							VECTOR_SET(BgL_nsz00_4637, 2L, BgL_lastz00_4629);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4638;

								BgL_z12denvz12_4638 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4638, BgL_nsz00_4637);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4639;

									BgL_ez00_4639 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11228;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11229;

											BgL_arg4345z00_11229 = BGL_EXITD_PROTECT(BgL_ez00_4639);
											BgL_arg4344z00_11228 =
												MAKE_YOUNG_PAIR(BgL_sz00_4631, BgL_arg4345z00_11229);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4639, BgL_arg4344z00_11228);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4640;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11230;

											BgL_savedzd2bpzd2_11230 = VECTOR_REF(BgL_nsz00_4637, 0L);
											VECTOR_SET(BgL_nsz00_4637, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11234;

												BgL_fz00_11234 = BgL_runz00_15603;
											BgL_recz00_11233:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11235;

													BgL_rz00_11235 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11234, BgL_nsz00_4637);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5687z00_31345;

														if (PROCEDUREP(BgL_rz00_11235))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11238;

																BgL_arg1763z00_11238 =
																	PROCEDURE_ATTR(BgL_rz00_11235);
																if (STRUCTP(BgL_arg1763z00_11238))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5687z00_31345 =
																			(STRUCT_KEY(BgL_arg1763z00_11238) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5687z00_31345 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5687z00_31345 = ((bool_t) 0);
															}
														if (BgL_test5687z00_31345)
															{
																obj_t BgL_fz00_31353;

																BgL_fz00_31353 = BgL_rz00_11235;
																BgL_fz00_11234 = BgL_fz00_31353;
																goto BgL_recz00_11233;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4637, 0L,
																	BgL_savedzd2bpzd2_11230);
																BgL_____rz00_4640 = BgL_rz00_11235;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5690z00_31355;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11246;

												BgL_arg4343z00_11246 = BGL_EXITD_PROTECT(BgL_ez00_4639);
												BgL_test5690z00_31355 = PAIRP(BgL_arg4343z00_11246);
											}
											if (BgL_test5690z00_31355)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11247;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11248;

														BgL_arg4342z00_11248 =
															BGL_EXITD_PROTECT(BgL_ez00_4639);
														BgL_arg4341z00_11247 =
															CDR(((obj_t) BgL_arg4342z00_11248));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4639,
														BgL_arg4341z00_11247);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4638, BgL_sz00_4631);
										return BgL_____rz00_4640;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4571 */
	obj_t BGl_z62run4571z62zz__evaluate_compz00(obj_t BgL_envz00_15183,
		obj_t BgL_sz00_15189)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15184;
				long BgL_siza7eza7_15185;
				obj_t BgL_valza2za2_15186;
				BgL_ev_absz00_bglt BgL_i1255z00_15187;
				obj_t BgL_bodyz00_15188;

				BgL_iboxesz00_15184 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15183, (int) (0L)));
				BgL_siza7eza7_15185 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15183, (int) (1L)));
				BgL_valza2za2_15186 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15183, (int) (2L)));
				BgL_i1255z00_15187 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15183, (int) (3L)));
				BgL_bodyz00_15188 = PROCEDURE_REF(BgL_envz00_15183, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16607;

					BgL_bpz00_16607 = VECTOR_REF(((obj_t) BgL_sz00_15189), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15189,
						BgL_iboxesz00_15184, BgL_bpz00_16607);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15189,
						BgL_valza2za2_15186,
						((long) CINT(BgL_bpz00_16607) + BgL_siza7eza7_15185));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16608;
						obj_t BgL_wherez00_16609;
						obj_t BgL_locz00_16610;

						BgL_z12denvz12_16608 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16609 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15187))->
							BgL_wherez00);
						BgL_locz00_16610 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15187))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16608, BgL_wherez00_16609,
								BgL_locz00_16610);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16611;

								BgL_za2za2resza2za2z00_16611 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15188, BgL_sz00_15189);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16608);
								return BgL_za2za2resza2za2z00_16611;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3453> */
	obj_t BGl_z62zc3z04anonymousza33453ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15190, obj_t BgL_sz00_15194)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15191;
				obj_t BgL_bodyz00_15192;
				obj_t BgL_siza7ezd2framez75_15193;

				BgL_i1255z00_15191 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15190, (int) (0L)));
				BgL_bodyz00_15192 = PROCEDURE_REF(BgL_envz00_15190, (int) (1L));
				BgL_siza7ezd2framez75_15193 =
					PROCEDURE_REF(BgL_envz00_15190, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16612;

					BgL_bpz00_16612 = VECTOR_REF(((obj_t) BgL_sz00_15194), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16613;

							BgL_runz00_16613 =
								MAKE_FX_PROCEDURE(BGl_z62run4573z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_16613,
								(int) (0L), ((obj_t) BgL_i1255z00_15191));
							PROCEDURE_SET(BgL_runz00_16613, (int) (1L), BgL_bodyz00_15192);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16614;

								BgL_mainz00_16614 =
									MAKE_FX_PROCEDURE(BGl_z62main4572z62zz__evaluate_compz00,
									(int) (0L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_16614,
									(int) (0L), ((obj_t) BgL_i1255z00_15191));
								PROCEDURE_SET(BgL_mainz00_16614, (int) (1L), BgL_bodyz00_15192);
								PROCEDURE_SET(BgL_mainz00_16614, (int) (2L), BgL_runz00_16613);
								PROCEDURE_SET(BgL_mainz00_16614,
									(int) (3L), BgL_siza7ezd2framez75_15193);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16615;

									BgL_objz00_16615 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16613, BgL_objz00_16615);
									BgL_objz00_16615;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3454z00_16616;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3455z00_16617;

										BgL_arg3455z00_16617 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15191))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16618;

											BgL_newz00_16618 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31425;

												BgL_tmpz00_31425 = (int) (3L);
												STRUCT_SET(BgL_newz00_16618, BgL_tmpz00_31425,
													BgL_arg3455z00_16617);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31428;

												BgL_tmpz00_31428 = (int) (2L);
												STRUCT_SET(BgL_newz00_16618, BgL_tmpz00_31428,
													BgL_siza7ezd2framez75_15193);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31431;

												BgL_tmpz00_31431 = (int) (1L);
												STRUCT_SET(BgL_newz00_16618, BgL_tmpz00_31431,
													BgL_runz00_16613);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31436;
												int BgL_tmpz00_31434;

												BgL_auxz00_31436 = BINT(0L);
												BgL_tmpz00_31434 = (int) (0L);
												STRUCT_SET(BgL_newz00_16618, BgL_tmpz00_31434,
													BgL_auxz00_31436);
											}
											BgL_arg3454z00_16616 = BgL_newz00_16618;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16614, BgL_arg3454z00_16616);
									BgL_arg3454z00_16616;
								}
								return BgL_mainz00_16614;
							}
						}
					}
				}
			}
		}

	}



/* &main4572 */
	obj_t BGl_z62main4572z62zz__evaluate_compz00(obj_t BgL_envz00_15195)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15198;
				long BgL_siza7ezd2framez75_15199;

				BgL_runz00_15198 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15195, (int) (2L)));
				BgL_siza7ezd2framez75_15199 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15195, (int) (3L)));
				return
					BGl_mainze77ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15199,
					BgL_runz00_15198);
			}
		}

	}



/* main~7 */
	obj_t BGl_mainze77ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15602,
		obj_t BgL_runz00_15601)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4423;

				BgL_sz00_4423 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4424;

					BgL_bpz00_4424 = VECTOR_REF(((obj_t) BgL_sz00_4423), 0L);
					if (
						(((long) CINT(BgL_bpz00_4424) + BgL_siza7ezd2framez75_15602) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4423))))
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_ez00_4426;

							BgL_ez00_4426 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_arg4344z00_10858;

								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4345z00_10859;

									BgL_arg4345z00_10859 = BGL_EXITD_PROTECT(BgL_ez00_4426);
									BgL_arg4344z00_10858 =
										MAKE_YOUNG_PAIR(BgL_bpz00_4424, BgL_arg4345z00_10859);
								}
								BGL_EXITD_PROTECT_SET(BgL_ez00_4426, BgL_arg4344z00_10858);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_accz00_4427;

								BgL_accz00_4427 =
									BGl_catchzd2trampolinezd2zz__evaluate_compz00
									(BgL_runz00_15601, BgL_sz00_4423, BgL_bpz00_4424);
								{	/* Eval/evaluate_comp.scm 1181 */
									bool_t BgL_test5692z00_31461;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4343z00_10861;

										BgL_arg4343z00_10861 = BGL_EXITD_PROTECT(BgL_ez00_4426);
										BgL_test5692z00_31461 = PAIRP(BgL_arg4343z00_10861);
									}
									if (BgL_test5692z00_31461)
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4341z00_10862;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4342z00_10863;

												BgL_arg4342z00_10863 = BGL_EXITD_PROTECT(BgL_ez00_4426);
												BgL_arg4341z00_10862 =
													CDR(((obj_t) BgL_arg4342z00_10863));
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_4426,
												BgL_arg4341z00_10862);
											BUNSPEC;
										}
									else
										{	/* Eval/evaluate_comp.scm 1181 */
											BFALSE;
										}
								}
								VECTOR_SET(((obj_t) BgL_sz00_4423), 0L, BgL_bpz00_4424);
								return BgL_accz00_4427;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4428;

							BgL_nsz00_4428 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4428, 1L, BgL_sz00_4423);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4429;

								BgL_z12denvz12_4429 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4429, BgL_nsz00_4428);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4430;

									BgL_ez00_4430 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_10867;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_10868;

											BgL_arg4345z00_10868 = BGL_EXITD_PROTECT(BgL_ez00_4430);
											BgL_arg4344z00_10867 =
												MAKE_YOUNG_PAIR(BgL_sz00_4423, BgL_arg4345z00_10868);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4430, BgL_arg4344z00_10867);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4431;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_10869;

											BgL_savedzd2bpzd2_10869 = VECTOR_REF(BgL_nsz00_4428, 0L);
											VECTOR_SET(BgL_nsz00_4428, 0L, BINT(2L));
											{
												obj_t BgL_fz00_10873;

												BgL_fz00_10873 = BgL_runz00_15601;
											BgL_recz00_10872:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_10874;

													BgL_rz00_10874 =
														BGL_PROCEDURE_CALL1(BgL_fz00_10873, BgL_nsz00_4428);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5693z00_31485;

														if (PROCEDUREP(BgL_rz00_10874))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_10877;

																BgL_arg1763z00_10877 =
																	PROCEDURE_ATTR(BgL_rz00_10874);
																if (STRUCTP(BgL_arg1763z00_10877))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5693z00_31485 =
																			(STRUCT_KEY(BgL_arg1763z00_10877) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5693z00_31485 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5693z00_31485 = ((bool_t) 0);
															}
														if (BgL_test5693z00_31485)
															{
																obj_t BgL_fz00_31493;

																BgL_fz00_31493 = BgL_rz00_10874;
																BgL_fz00_10873 = BgL_fz00_31493;
																goto BgL_recz00_10872;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4428, 0L,
																	BgL_savedzd2bpzd2_10869);
																BgL_____rz00_4431 = BgL_rz00_10874;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5696z00_31495;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_10885;

												BgL_arg4343z00_10885 = BGL_EXITD_PROTECT(BgL_ez00_4430);
												BgL_test5696z00_31495 = PAIRP(BgL_arg4343z00_10885);
											}
											if (BgL_test5696z00_31495)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_10886;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_10887;

														BgL_arg4342z00_10887 =
															BGL_EXITD_PROTECT(BgL_ez00_4430);
														BgL_arg4341z00_10886 =
															CDR(((obj_t) BgL_arg4342z00_10887));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4430,
														BgL_arg4341z00_10886);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4429, BgL_sz00_4423);
										return BgL_____rz00_4431;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4573 */
	obj_t BGl_z62run4573z62zz__evaluate_compz00(obj_t BgL_envz00_15200,
		obj_t BgL_sz00_15203)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15201;
				obj_t BgL_bodyz00_15202;

				BgL_i1255z00_15201 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15200, (int) (0L)));
				BgL_bodyz00_15202 = PROCEDURE_REF(BgL_envz00_15200, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16619;

					BgL_bpz00_16619 = VECTOR_REF(((obj_t) BgL_sz00_15203), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16620;
						obj_t BgL_wherez00_16621;
						obj_t BgL_locz00_16622;

						BgL_z12denvz12_16620 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16621 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15201))->
							BgL_wherez00);
						BgL_locz00_16622 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15201))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16620, BgL_wherez00_16621,
								BgL_locz00_16622);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16623;

								BgL_za2za2resza2za2z00_16623 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15202, BgL_sz00_15203);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16620);
								return BgL_za2za2resza2za2z00_16623;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3459> */
	obj_t BGl_z62zc3z04anonymousza33459ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15204, obj_t BgL_sz00_15209)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15205;
				BgL_ev_absz00_bglt BgL_i1255z00_15206;
				obj_t BgL_bodyz00_15207;
				obj_t BgL_siza7ezd2framez75_15208;

				BgL_iboxesz00_15205 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15204, (int) (0L)));
				BgL_i1255z00_15206 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15204, (int) (1L)));
				BgL_bodyz00_15207 = PROCEDURE_REF(BgL_envz00_15204, (int) (2L));
				BgL_siza7ezd2framez75_15208 =
					PROCEDURE_REF(BgL_envz00_15204, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16624;

					BgL_bpz00_16624 = VECTOR_REF(((obj_t) BgL_sz00_15209), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16625;

							BgL_runz00_16625 =
								MAKE_FX_PROCEDURE(BGl_z62run4575z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_16625, (int) (0L), BgL_iboxesz00_15205);
							PROCEDURE_SET(BgL_runz00_16625,
								(int) (1L), ((obj_t) BgL_i1255z00_15206));
							PROCEDURE_SET(BgL_runz00_16625, (int) (2L), BgL_bodyz00_15207);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16626;

								BgL_mainz00_16626 =
									MAKE_FX_PROCEDURE(BGl_z62main4574z62zz__evaluate_compz00,
									(int) (0L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_16626,
									(int) (0L), BgL_iboxesz00_15205);
								PROCEDURE_SET(BgL_mainz00_16626,
									(int) (1L), ((obj_t) BgL_i1255z00_15206));
								PROCEDURE_SET(BgL_mainz00_16626, (int) (2L), BgL_bodyz00_15207);
								PROCEDURE_SET(BgL_mainz00_16626, (int) (3L), BgL_runz00_16625);
								PROCEDURE_SET(BgL_mainz00_16626,
									(int) (4L), BgL_siza7ezd2framez75_15208);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16627;

									BgL_objz00_16627 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16625, BgL_objz00_16627);
									BgL_objz00_16627;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3460z00_16628;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3461z00_16629;

										BgL_arg3461z00_16629 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15206))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16630;

											BgL_newz00_16630 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31559;

												BgL_tmpz00_31559 = (int) (3L);
												STRUCT_SET(BgL_newz00_16630, BgL_tmpz00_31559,
													BgL_arg3461z00_16629);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31562;

												BgL_tmpz00_31562 = (int) (2L);
												STRUCT_SET(BgL_newz00_16630, BgL_tmpz00_31562,
													BgL_siza7ezd2framez75_15208);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31565;

												BgL_tmpz00_31565 = (int) (1L);
												STRUCT_SET(BgL_newz00_16630, BgL_tmpz00_31565,
													BgL_runz00_16625);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31570;
												int BgL_tmpz00_31568;

												BgL_auxz00_31570 = BINT(0L);
												BgL_tmpz00_31568 = (int) (0L);
												STRUCT_SET(BgL_newz00_16630, BgL_tmpz00_31568,
													BgL_auxz00_31570);
											}
											BgL_arg3460z00_16628 = BgL_newz00_16630;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16626, BgL_arg3460z00_16628);
									BgL_arg3460z00_16628;
								}
								return BgL_mainz00_16626;
							}
						}
					}
				}
			}
		}

	}



/* &main4574 */
	obj_t BGl_z62main4574z62zz__evaluate_compz00(obj_t BgL_envz00_15210)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15214;
				long BgL_siza7ezd2framez75_15215;

				BgL_runz00_15214 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15210, (int) (3L)));
				BgL_siza7ezd2framez75_15215 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15210, (int) (4L)));
				return
					BGl_mainze76ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15215,
					BgL_runz00_15214);
			}
		}

	}



/* main~6 */
	obj_t BGl_mainze76ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15600,
		obj_t BgL_runz00_15599)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4449;

				BgL_sz00_4449 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4450;

					BgL_bpz00_4450 = VECTOR_REF(((obj_t) BgL_sz00_4449), 0L);
					if (
						(((long) CINT(BgL_bpz00_4450) + BgL_siza7ezd2framez75_15600) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4449))))
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_ez00_4452;

							BgL_ez00_4452 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_arg4344z00_10905;

								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4345z00_10906;

									BgL_arg4345z00_10906 = BGL_EXITD_PROTECT(BgL_ez00_4452);
									BgL_arg4344z00_10905 =
										MAKE_YOUNG_PAIR(BgL_bpz00_4450, BgL_arg4345z00_10906);
								}
								BGL_EXITD_PROTECT_SET(BgL_ez00_4452, BgL_arg4344z00_10905);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_accz00_4453;

								BgL_accz00_4453 =
									BGl_catchzd2trampolinezd2zz__evaluate_compz00
									(BgL_runz00_15599, BgL_sz00_4449, BgL_bpz00_4450);
								{	/* Eval/evaluate_comp.scm 1181 */
									bool_t BgL_test5698z00_31595;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4343z00_10908;

										BgL_arg4343z00_10908 = BGL_EXITD_PROTECT(BgL_ez00_4452);
										BgL_test5698z00_31595 = PAIRP(BgL_arg4343z00_10908);
									}
									if (BgL_test5698z00_31595)
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4341z00_10909;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4342z00_10910;

												BgL_arg4342z00_10910 = BGL_EXITD_PROTECT(BgL_ez00_4452);
												BgL_arg4341z00_10909 =
													CDR(((obj_t) BgL_arg4342z00_10910));
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_4452,
												BgL_arg4341z00_10909);
											BUNSPEC;
										}
									else
										{	/* Eval/evaluate_comp.scm 1181 */
											BFALSE;
										}
								}
								VECTOR_SET(((obj_t) BgL_sz00_4449), 0L, BgL_bpz00_4450);
								return BgL_accz00_4453;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4454;

							BgL_nsz00_4454 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4454, 1L, BgL_sz00_4449);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4455;

								BgL_z12denvz12_4455 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4455, BgL_nsz00_4454);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4456;

									BgL_ez00_4456 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_10914;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_10915;

											BgL_arg4345z00_10915 = BGL_EXITD_PROTECT(BgL_ez00_4456);
											BgL_arg4344z00_10914 =
												MAKE_YOUNG_PAIR(BgL_sz00_4449, BgL_arg4345z00_10915);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4456, BgL_arg4344z00_10914);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4457;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_10916;

											BgL_savedzd2bpzd2_10916 = VECTOR_REF(BgL_nsz00_4454, 0L);
											VECTOR_SET(BgL_nsz00_4454, 0L, BINT(2L));
											{
												obj_t BgL_fz00_10920;

												BgL_fz00_10920 = BgL_runz00_15599;
											BgL_recz00_10919:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_10921;

													BgL_rz00_10921 =
														BGL_PROCEDURE_CALL1(BgL_fz00_10920, BgL_nsz00_4454);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5699z00_31619;

														if (PROCEDUREP(BgL_rz00_10921))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_10924;

																BgL_arg1763z00_10924 =
																	PROCEDURE_ATTR(BgL_rz00_10921);
																if (STRUCTP(BgL_arg1763z00_10924))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5699z00_31619 =
																			(STRUCT_KEY(BgL_arg1763z00_10924) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5699z00_31619 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5699z00_31619 = ((bool_t) 0);
															}
														if (BgL_test5699z00_31619)
															{
																obj_t BgL_fz00_31627;

																BgL_fz00_31627 = BgL_rz00_10921;
																BgL_fz00_10920 = BgL_fz00_31627;
																goto BgL_recz00_10919;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4454, 0L,
																	BgL_savedzd2bpzd2_10916);
																BgL_____rz00_4457 = BgL_rz00_10921;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5702z00_31629;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_10932;

												BgL_arg4343z00_10932 = BGL_EXITD_PROTECT(BgL_ez00_4456);
												BgL_test5702z00_31629 = PAIRP(BgL_arg4343z00_10932);
											}
											if (BgL_test5702z00_31629)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_10933;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_10934;

														BgL_arg4342z00_10934 =
															BGL_EXITD_PROTECT(BgL_ez00_4456);
														BgL_arg4341z00_10933 =
															CDR(((obj_t) BgL_arg4342z00_10934));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4456,
														BgL_arg4341z00_10933);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4455, BgL_sz00_4449);
										return BgL_____rz00_4457;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4575 */
	obj_t BGl_z62run4575z62zz__evaluate_compz00(obj_t BgL_envz00_15216,
		obj_t BgL_sz00_15220)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15217;
				BgL_ev_absz00_bglt BgL_i1255z00_15218;
				obj_t BgL_bodyz00_15219;

				BgL_iboxesz00_15217 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15216, (int) (0L)));
				BgL_i1255z00_15218 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15216, (int) (1L)));
				BgL_bodyz00_15219 = PROCEDURE_REF(BgL_envz00_15216, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16631;

					BgL_bpz00_16631 = VECTOR_REF(((obj_t) BgL_sz00_15220), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15220,
						BgL_iboxesz00_15217, BgL_bpz00_16631);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16632;
						obj_t BgL_wherez00_16633;
						obj_t BgL_locz00_16634;

						BgL_z12denvz12_16632 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16633 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15218))->
							BgL_wherez00);
						BgL_locz00_16634 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15218))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16632, BgL_wherez00_16633,
								BgL_locz00_16634);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16635;

								BgL_za2za2resza2za2z00_16635 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15219, BgL_sz00_15220);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16632);
								return BgL_za2za2resza2za2z00_16635;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3469> */
	obj_t BGl_z62zc3z04anonymousza33469ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15221, obj_t BgL_sz00_15227)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15222;
				obj_t BgL_siza7eza7_15223;
				BgL_ev_absz00_bglt BgL_i1255z00_15224;
				obj_t BgL_bodyz00_15225;
				obj_t BgL_siza7ezd2framez75_15226;

				BgL_ifreesz00_15222 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15221, (int) (0L)));
				BgL_siza7eza7_15223 = PROCEDURE_REF(BgL_envz00_15221, (int) (1L));
				BgL_i1255z00_15224 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15221, (int) (2L)));
				BgL_bodyz00_15225 = PROCEDURE_REF(BgL_envz00_15221, (int) (3L));
				BgL_siza7ezd2framez75_15226 =
					PROCEDURE_REF(BgL_envz00_15221, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16636;

					BgL_bpz00_16636 = VECTOR_REF(((obj_t) BgL_sz00_15227), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16637;

						BgL_valza2za2_16637 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15227,
							BgL_bpz00_16636, BgL_ifreesz00_15222);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16638;

							BgL_runz00_16638 =
								MAKE_FX_PROCEDURE(BGl_z62run4577z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_16638, (int) (0L), BgL_siza7eza7_15223);
							PROCEDURE_SET(BgL_runz00_16638, (int) (1L), BgL_valza2za2_16637);
							PROCEDURE_SET(BgL_runz00_16638,
								(int) (2L), ((obj_t) BgL_i1255z00_15224));
							PROCEDURE_SET(BgL_runz00_16638, (int) (3L), BgL_bodyz00_15225);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16639;

								BgL_mainz00_16639 =
									MAKE_FX_PROCEDURE(BGl_z62main4576z62zz__evaluate_compz00,
									(int) (0L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_16639,
									(int) (0L), BgL_siza7eza7_15223);
								PROCEDURE_SET(BgL_mainz00_16639,
									(int) (1L), BgL_valza2za2_16637);
								PROCEDURE_SET(BgL_mainz00_16639,
									(int) (2L), ((obj_t) BgL_i1255z00_15224));
								PROCEDURE_SET(BgL_mainz00_16639, (int) (3L), BgL_bodyz00_15225);
								PROCEDURE_SET(BgL_mainz00_16639, (int) (4L), BgL_runz00_16638);
								PROCEDURE_SET(BgL_mainz00_16639,
									(int) (5L), BgL_siza7ezd2framez75_15226);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16640;

									BgL_objz00_16640 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16638, BgL_objz00_16640);
									BgL_objz00_16640;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3471z00_16641;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3472z00_16642;

										BgL_arg3472z00_16642 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15224))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16643;

											BgL_newz00_16643 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31704;

												BgL_tmpz00_31704 = (int) (3L);
												STRUCT_SET(BgL_newz00_16643, BgL_tmpz00_31704,
													BgL_arg3472z00_16642);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31707;

												BgL_tmpz00_31707 = (int) (2L);
												STRUCT_SET(BgL_newz00_16643, BgL_tmpz00_31707,
													BgL_siza7ezd2framez75_15226);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31710;

												BgL_tmpz00_31710 = (int) (1L);
												STRUCT_SET(BgL_newz00_16643, BgL_tmpz00_31710,
													BgL_runz00_16638);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31715;
												int BgL_tmpz00_31713;

												BgL_auxz00_31715 = BINT(0L);
												BgL_tmpz00_31713 = (int) (0L);
												STRUCT_SET(BgL_newz00_16643, BgL_tmpz00_31713,
													BgL_auxz00_31715);
											}
											BgL_arg3471z00_16641 = BgL_newz00_16643;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16639, BgL_arg3471z00_16641);
									BgL_arg3471z00_16641;
								}
								return BgL_mainz00_16639;
							}
						}
					}
				}
			}
		}

	}



/* &main4576 */
	obj_t BGl_z62main4576z62zz__evaluate_compz00(obj_t BgL_envz00_15228)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15233;
				long BgL_siza7ezd2framez75_15234;

				BgL_runz00_15233 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15228, (int) (4L)));
				BgL_siza7ezd2framez75_15234 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15228, (int) (5L)));
				return
					BGl_mainze75ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15234,
					BgL_runz00_15233);
			}
		}

	}



/* main~5 */
	obj_t BGl_mainze75ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15598,
		obj_t BgL_runz00_15597)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4479;

				BgL_sz00_4479 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4480;

					BgL_bpz00_4480 = VECTOR_REF(((obj_t) BgL_sz00_4479), 0L);
					if (
						(((long) CINT(BgL_bpz00_4480) + BgL_siza7ezd2framez75_15598) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4479))))
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_ez00_4482;

							BgL_ez00_4482 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_arg4344z00_10956;

								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4345z00_10957;

									BgL_arg4345z00_10957 = BGL_EXITD_PROTECT(BgL_ez00_4482);
									BgL_arg4344z00_10956 =
										MAKE_YOUNG_PAIR(BgL_bpz00_4480, BgL_arg4345z00_10957);
								}
								BGL_EXITD_PROTECT_SET(BgL_ez00_4482, BgL_arg4344z00_10956);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_accz00_4483;

								BgL_accz00_4483 =
									BGl_catchzd2trampolinezd2zz__evaluate_compz00
									(BgL_runz00_15597, BgL_sz00_4479, BgL_bpz00_4480);
								{	/* Eval/evaluate_comp.scm 1181 */
									bool_t BgL_test5704z00_31740;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4343z00_10959;

										BgL_arg4343z00_10959 = BGL_EXITD_PROTECT(BgL_ez00_4482);
										BgL_test5704z00_31740 = PAIRP(BgL_arg4343z00_10959);
									}
									if (BgL_test5704z00_31740)
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4341z00_10960;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4342z00_10961;

												BgL_arg4342z00_10961 = BGL_EXITD_PROTECT(BgL_ez00_4482);
												BgL_arg4341z00_10960 =
													CDR(((obj_t) BgL_arg4342z00_10961));
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_4482,
												BgL_arg4341z00_10960);
											BUNSPEC;
										}
									else
										{	/* Eval/evaluate_comp.scm 1181 */
											BFALSE;
										}
								}
								VECTOR_SET(((obj_t) BgL_sz00_4479), 0L, BgL_bpz00_4480);
								return BgL_accz00_4483;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4484;

							BgL_nsz00_4484 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4484, 1L, BgL_sz00_4479);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4485;

								BgL_z12denvz12_4485 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4485, BgL_nsz00_4484);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4486;

									BgL_ez00_4486 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_10965;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_10966;

											BgL_arg4345z00_10966 = BGL_EXITD_PROTECT(BgL_ez00_4486);
											BgL_arg4344z00_10965 =
												MAKE_YOUNG_PAIR(BgL_sz00_4479, BgL_arg4345z00_10966);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4486, BgL_arg4344z00_10965);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4487;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_10967;

											BgL_savedzd2bpzd2_10967 = VECTOR_REF(BgL_nsz00_4484, 0L);
											VECTOR_SET(BgL_nsz00_4484, 0L, BINT(2L));
											{
												obj_t BgL_fz00_10971;

												BgL_fz00_10971 = BgL_runz00_15597;
											BgL_recz00_10970:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_10972;

													BgL_rz00_10972 =
														BGL_PROCEDURE_CALL1(BgL_fz00_10971, BgL_nsz00_4484);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5705z00_31764;

														if (PROCEDUREP(BgL_rz00_10972))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_10975;

																BgL_arg1763z00_10975 =
																	PROCEDURE_ATTR(BgL_rz00_10972);
																if (STRUCTP(BgL_arg1763z00_10975))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5705z00_31764 =
																			(STRUCT_KEY(BgL_arg1763z00_10975) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5705z00_31764 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5705z00_31764 = ((bool_t) 0);
															}
														if (BgL_test5705z00_31764)
															{
																obj_t BgL_fz00_31772;

																BgL_fz00_31772 = BgL_rz00_10972;
																BgL_fz00_10971 = BgL_fz00_31772;
																goto BgL_recz00_10970;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4484, 0L,
																	BgL_savedzd2bpzd2_10967);
																BgL_____rz00_4487 = BgL_rz00_10972;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5708z00_31774;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_10983;

												BgL_arg4343z00_10983 = BGL_EXITD_PROTECT(BgL_ez00_4486);
												BgL_test5708z00_31774 = PAIRP(BgL_arg4343z00_10983);
											}
											if (BgL_test5708z00_31774)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_10984;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_10985;

														BgL_arg4342z00_10985 =
															BGL_EXITD_PROTECT(BgL_ez00_4486);
														BgL_arg4341z00_10984 =
															CDR(((obj_t) BgL_arg4342z00_10985));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4486,
														BgL_arg4341z00_10984);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4485, BgL_sz00_4479);
										return BgL_____rz00_4487;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4577 */
	obj_t BGl_z62run4577z62zz__evaluate_compz00(obj_t BgL_envz00_15235,
		obj_t BgL_sz00_15240)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15236;
				obj_t BgL_valza2za2_15237;
				BgL_ev_absz00_bglt BgL_i1255z00_15238;
				obj_t BgL_bodyz00_15239;

				BgL_siza7eza7_15236 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15235, (int) (0L)));
				BgL_valza2za2_15237 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15235, (int) (1L)));
				BgL_i1255z00_15238 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15235, (int) (2L)));
				BgL_bodyz00_15239 = PROCEDURE_REF(BgL_envz00_15235, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16644;

					BgL_bpz00_16644 = VECTOR_REF(((obj_t) BgL_sz00_15240), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15240,
						BgL_valza2za2_15237,
						((long) CINT(BgL_bpz00_16644) + BgL_siza7eza7_15236));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16645;
						obj_t BgL_wherez00_16646;
						obj_t BgL_locz00_16647;

						BgL_z12denvz12_16645 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16646 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15238))->
							BgL_wherez00);
						BgL_locz00_16647 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15238))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16645, BgL_wherez00_16646,
								BgL_locz00_16647);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16648;

								BgL_za2za2resza2za2z00_16648 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15239, BgL_sz00_15240);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16645);
								return BgL_za2za2resza2za2z00_16648;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3477> */
	obj_t BGl_z62zc3z04anonymousza33477ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15241, obj_t BgL_sz00_15248)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15242;
				obj_t BgL_iboxesz00_15243;
				obj_t BgL_siza7eza7_15244;
				BgL_ev_absz00_bglt BgL_i1255z00_15245;
				obj_t BgL_bodyz00_15246;
				obj_t BgL_siza7ezd2framez75_15247;

				BgL_ifreesz00_15242 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15241, (int) (0L)));
				BgL_iboxesz00_15243 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15241, (int) (1L)));
				BgL_siza7eza7_15244 = PROCEDURE_REF(BgL_envz00_15241, (int) (2L));
				BgL_i1255z00_15245 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15241, (int) (3L)));
				BgL_bodyz00_15246 = PROCEDURE_REF(BgL_envz00_15241, (int) (4L));
				BgL_siza7ezd2framez75_15247 =
					PROCEDURE_REF(BgL_envz00_15241, (int) (5L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16649;

					BgL_bpz00_16649 = VECTOR_REF(((obj_t) BgL_sz00_15248), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16650;

						BgL_valza2za2_16650 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15248,
							BgL_bpz00_16649, BgL_ifreesz00_15242);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16651;

							BgL_runz00_16651 =
								MAKE_FX_PROCEDURE(BGl_z62run4579z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_16651, (int) (0L), BgL_iboxesz00_15243);
							PROCEDURE_SET(BgL_runz00_16651, (int) (1L), BgL_siza7eza7_15244);
							PROCEDURE_SET(BgL_runz00_16651, (int) (2L), BgL_valza2za2_16650);
							PROCEDURE_SET(BgL_runz00_16651,
								(int) (3L), ((obj_t) BgL_i1255z00_15245));
							PROCEDURE_SET(BgL_runz00_16651, (int) (4L), BgL_bodyz00_15246);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16652;

								BgL_mainz00_16652 =
									MAKE_FX_PROCEDURE(BGl_z62main4578z62zz__evaluate_compz00,
									(int) (0L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_16652,
									(int) (0L), BgL_iboxesz00_15243);
								PROCEDURE_SET(BgL_mainz00_16652,
									(int) (1L), BgL_siza7eza7_15244);
								PROCEDURE_SET(BgL_mainz00_16652,
									(int) (2L), BgL_valza2za2_16650);
								PROCEDURE_SET(BgL_mainz00_16652,
									(int) (3L), ((obj_t) BgL_i1255z00_15245));
								PROCEDURE_SET(BgL_mainz00_16652, (int) (4L), BgL_bodyz00_15246);
								PROCEDURE_SET(BgL_mainz00_16652, (int) (5L), BgL_runz00_16651);
								PROCEDURE_SET(BgL_mainz00_16652,
									(int) (6L), BgL_siza7ezd2framez75_15247);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16653;

									BgL_objz00_16653 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16651, BgL_objz00_16653);
									BgL_objz00_16653;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3479z00_16654;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3480z00_16655;

										BgL_arg3480z00_16655 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15245))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16656;

											BgL_newz00_16656 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31861;

												BgL_tmpz00_31861 = (int) (3L);
												STRUCT_SET(BgL_newz00_16656, BgL_tmpz00_31861,
													BgL_arg3480z00_16655);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31864;

												BgL_tmpz00_31864 = (int) (2L);
												STRUCT_SET(BgL_newz00_16656, BgL_tmpz00_31864,
													BgL_siza7ezd2framez75_15247);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31867;

												BgL_tmpz00_31867 = (int) (1L);
												STRUCT_SET(BgL_newz00_16656, BgL_tmpz00_31867,
													BgL_runz00_16651);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31872;
												int BgL_tmpz00_31870;

												BgL_auxz00_31872 = BINT(0L);
												BgL_tmpz00_31870 = (int) (0L);
												STRUCT_SET(BgL_newz00_16656, BgL_tmpz00_31870,
													BgL_auxz00_31872);
											}
											BgL_arg3479z00_16654 = BgL_newz00_16656;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16652, BgL_arg3479z00_16654);
									BgL_arg3479z00_16654;
								}
								return BgL_mainz00_16652;
							}
						}
					}
				}
			}
		}

	}



/* &main4578 */
	obj_t BGl_z62main4578z62zz__evaluate_compz00(obj_t BgL_envz00_15249)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15255;
				long BgL_siza7ezd2framez75_15256;

				BgL_runz00_15255 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15249, (int) (5L)));
				BgL_siza7ezd2framez75_15256 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15249, (int) (6L)));
				return
					BGl_mainze74ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15256,
					BgL_runz00_15255);
			}
		}

	}



/* main~4 */
	obj_t BGl_mainze74ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15596,
		obj_t BgL_runz00_15595)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_4507;

				BgL_sz00_4507 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_4508;

					BgL_bpz00_4508 = VECTOR_REF(((obj_t) BgL_sz00_4507), 0L);
					if (
						(((long) CINT(BgL_bpz00_4508) + BgL_siza7ezd2framez75_15596) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_4507))))
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_ez00_4510;

							BgL_ez00_4510 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_arg4344z00_11005;

								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4345z00_11006;

									BgL_arg4345z00_11006 = BGL_EXITD_PROTECT(BgL_ez00_4510);
									BgL_arg4344z00_11005 =
										MAKE_YOUNG_PAIR(BgL_bpz00_4508, BgL_arg4345z00_11006);
								}
								BGL_EXITD_PROTECT_SET(BgL_ez00_4510, BgL_arg4344z00_11005);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_accz00_4511;

								BgL_accz00_4511 =
									BGl_catchzd2trampolinezd2zz__evaluate_compz00
									(BgL_runz00_15595, BgL_sz00_4507, BgL_bpz00_4508);
								{	/* Eval/evaluate_comp.scm 1181 */
									bool_t BgL_test5710z00_31897;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4343z00_11008;

										BgL_arg4343z00_11008 = BGL_EXITD_PROTECT(BgL_ez00_4510);
										BgL_test5710z00_31897 = PAIRP(BgL_arg4343z00_11008);
									}
									if (BgL_test5710z00_31897)
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4341z00_11009;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4342z00_11010;

												BgL_arg4342z00_11010 = BGL_EXITD_PROTECT(BgL_ez00_4510);
												BgL_arg4341z00_11009 =
													CDR(((obj_t) BgL_arg4342z00_11010));
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_4510,
												BgL_arg4341z00_11009);
											BUNSPEC;
										}
									else
										{	/* Eval/evaluate_comp.scm 1181 */
											BFALSE;
										}
								}
								VECTOR_SET(((obj_t) BgL_sz00_4507), 0L, BgL_bpz00_4508);
								return BgL_accz00_4511;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_4512;

							BgL_nsz00_4512 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_4512, 1L, BgL_sz00_4507);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_4513;

								BgL_z12denvz12_4513 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4513, BgL_nsz00_4512);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_4514;

									BgL_ez00_4514 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_11014;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_11015;

											BgL_arg4345z00_11015 = BGL_EXITD_PROTECT(BgL_ez00_4514);
											BgL_arg4344z00_11014 =
												MAKE_YOUNG_PAIR(BgL_sz00_4507, BgL_arg4345z00_11015);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_4514, BgL_arg4344z00_11014);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_4515;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_11016;

											BgL_savedzd2bpzd2_11016 = VECTOR_REF(BgL_nsz00_4512, 0L);
											VECTOR_SET(BgL_nsz00_4512, 0L, BINT(2L));
											{
												obj_t BgL_fz00_11020;

												BgL_fz00_11020 = BgL_runz00_15595;
											BgL_recz00_11019:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_11021;

													BgL_rz00_11021 =
														BGL_PROCEDURE_CALL1(BgL_fz00_11020, BgL_nsz00_4512);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5711z00_31921;

														if (PROCEDUREP(BgL_rz00_11021))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_11024;

																BgL_arg1763z00_11024 =
																	PROCEDURE_ATTR(BgL_rz00_11021);
																if (STRUCTP(BgL_arg1763z00_11024))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5711z00_31921 =
																			(STRUCT_KEY(BgL_arg1763z00_11024) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5711z00_31921 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5711z00_31921 = ((bool_t) 0);
															}
														if (BgL_test5711z00_31921)
															{
																obj_t BgL_fz00_31929;

																BgL_fz00_31929 = BgL_rz00_11021;
																BgL_fz00_11020 = BgL_fz00_31929;
																goto BgL_recz00_11019;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_4512, 0L,
																	BgL_savedzd2bpzd2_11016);
																BgL_____rz00_4515 = BgL_rz00_11021;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5714z00_31931;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_11032;

												BgL_arg4343z00_11032 = BGL_EXITD_PROTECT(BgL_ez00_4514);
												BgL_test5714z00_31931 = PAIRP(BgL_arg4343z00_11032);
											}
											if (BgL_test5714z00_31931)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_11033;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_11034;

														BgL_arg4342z00_11034 =
															BGL_EXITD_PROTECT(BgL_ez00_4514);
														BgL_arg4341z00_11033 =
															CDR(((obj_t) BgL_arg4342z00_11034));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_4514,
														BgL_arg4341z00_11033);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_4513, BgL_sz00_4507);
										return BgL_____rz00_4515;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4579 */
	obj_t BGl_z62run4579z62zz__evaluate_compz00(obj_t BgL_envz00_15257,
		obj_t BgL_sz00_15263)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15258;
				long BgL_siza7eza7_15259;
				obj_t BgL_valza2za2_15260;
				BgL_ev_absz00_bglt BgL_i1255z00_15261;
				obj_t BgL_bodyz00_15262;

				BgL_iboxesz00_15258 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15257, (int) (0L)));
				BgL_siza7eza7_15259 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15257, (int) (1L)));
				BgL_valza2za2_15260 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15257, (int) (2L)));
				BgL_i1255z00_15261 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15257, (int) (3L)));
				BgL_bodyz00_15262 = PROCEDURE_REF(BgL_envz00_15257, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16657;

					BgL_bpz00_16657 = VECTOR_REF(((obj_t) BgL_sz00_15263), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15263,
						BgL_iboxesz00_15258, BgL_bpz00_16657);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15263,
						BgL_valza2za2_15260,
						((long) CINT(BgL_bpz00_16657) + BgL_siza7eza7_15259));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16658;
						obj_t BgL_wherez00_16659;
						obj_t BgL_locz00_16660;

						BgL_z12denvz12_16658 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16659 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15261))->
							BgL_wherez00);
						BgL_locz00_16660 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15261))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16658, BgL_wherez00_16659,
								BgL_locz00_16660);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16661;

								BgL_za2za2resza2za2z00_16661 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15262, BgL_sz00_15263);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16658);
								return BgL_za2za2resza2za2z00_16661;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3927> */
	obj_t BGl_z62zc3z04anonymousza33927ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15264, obj_t BgL_sz00_15268)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15265;
				obj_t BgL_bodyz00_15266;
				obj_t BgL_siza7ezd2framez75_15267;

				BgL_i1255z00_15265 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15264, (int) (0L)));
				BgL_bodyz00_15266 = PROCEDURE_REF(BgL_envz00_15264, (int) (1L));
				BgL_siza7ezd2framez75_15267 =
					PROCEDURE_REF(BgL_envz00_15264, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16662;

					BgL_bpz00_16662 = VECTOR_REF(((obj_t) BgL_sz00_15268), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16663;

							BgL_runz00_16663 =
								MAKE_FX_PROCEDURE(BGl_z62run4581z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_16663,
								(int) (0L), ((obj_t) BgL_i1255z00_15265));
							PROCEDURE_SET(BgL_runz00_16663, (int) (1L), BgL_bodyz00_15266);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16664;

								BgL_mainz00_16664 =
									MAKE_VA_PROCEDURE(BGl_z62main4580z62zz__evaluate_compz00,
									(int) ((-5L)), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_16664, (int) (0L), BgL_bodyz00_15266);
								PROCEDURE_SET(BgL_mainz00_16664,
									(int) (1L), ((obj_t) BgL_i1255z00_15265));
								PROCEDURE_SET(BgL_mainz00_16664, (int) (2L), BgL_runz00_16663);
								PROCEDURE_SET(BgL_mainz00_16664,
									(int) (3L), BgL_siza7ezd2framez75_15267);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16665;

									BgL_objz00_16665 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16663, BgL_objz00_16665);
									BgL_objz00_16665;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3928z00_16666;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3929z00_16667;
										obj_t BgL_arg3930z00_16668;

										BgL_arg3929z00_16667 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15265))->
											BgL_arityz00);
										BgL_arg3930z00_16668 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15265))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16669;

											BgL_newz00_16669 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32002;

												BgL_tmpz00_32002 = (int) (3L);
												STRUCT_SET(BgL_newz00_16669, BgL_tmpz00_32002,
													BgL_arg3930z00_16668);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32005;

												BgL_tmpz00_32005 = (int) (2L);
												STRUCT_SET(BgL_newz00_16669, BgL_tmpz00_32005,
													BgL_siza7ezd2framez75_15267);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32008;

												BgL_tmpz00_32008 = (int) (1L);
												STRUCT_SET(BgL_newz00_16669, BgL_tmpz00_32008,
													BgL_runz00_16663);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32011;

												BgL_tmpz00_32011 = (int) (0L);
												STRUCT_SET(BgL_newz00_16669, BgL_tmpz00_32011,
													BgL_arg3929z00_16667);
											}
											BgL_arg3928z00_16666 = BgL_newz00_16669;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16664, BgL_arg3928z00_16666);
									BgL_arg3928z00_16666;
								}
								return BgL_mainz00_16664;
							}
						}
					}
				}
			}
		}

	}



/* &main4580 */
	obj_t BGl_z62main4580z62zz__evaluate_compz00(obj_t BgL_envz00_15269,
		obj_t BgL_az00_15274, obj_t BgL_bz00_15275, obj_t BgL_cz00_15276,
		obj_t BgL_dz00_15277, obj_t BgL_restz00_15278)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15271;
				obj_t BgL_runz00_15272;
				long BgL_siza7ezd2framez75_15273;

				BgL_i1255z00_15271 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15269, (int) (1L)));
				BgL_runz00_15272 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15269, (int) (2L)));
				BgL_siza7ezd2framez75_15273 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15269, (int) (3L)));
				return
					BGl_mainze73ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15273,
					BgL_runz00_15272, BgL_i1255z00_15271, BgL_az00_15274, BgL_bz00_15275,
					BgL_cz00_15276, BgL_dz00_15277, BgL_restz00_15278);
			}
		}

	}



/* main~3 */
	obj_t BGl_mainze73ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15594,
		obj_t BgL_runz00_15593, BgL_ev_absz00_bglt BgL_i1255z00_15592,
		obj_t BgL_az00_5793, obj_t BgL_bz00_5794, obj_t BgL_cz00_5795,
		obj_t BgL_dz00_5796, obj_t BgL_restz00_5797)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5799;

				BgL_sz00_5799 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5800;

					BgL_bpz00_5800 = VECTOR_REF(((obj_t) BgL_sz00_5799), 0L);
					if (
						(((long) CINT(BgL_bpz00_5800) + BgL_siza7ezd2framez75_15594) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5799))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3933z00_5802;

								BgL_arg3933z00_5802 = ((long) CINT(BgL_bpz00_5800) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5799), BgL_arg3933z00_5802, BgL_az00_5793);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3934z00_5803;

								BgL_arg3934z00_5803 = ((long) CINT(BgL_bpz00_5800) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5799), BgL_arg3934z00_5803, BgL_bz00_5794);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3935z00_5804;

								BgL_arg3935z00_5804 = ((long) CINT(BgL_bpz00_5800) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5799), BgL_arg3935z00_5804, BgL_cz00_5795);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3936z00_5805;

								BgL_arg3936z00_5805 = ((long) CINT(BgL_bpz00_5800) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5799), BgL_arg3936z00_5805, BgL_dz00_5796);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_arg3937z00_5806;
								long BgL_arg3938z00_5807;
								long BgL_arg3939z00_5808;
								obj_t BgL_arg3940z00_5809;

								BgL_arg3937z00_5806 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15592))->
									BgL_wherez00);
								BgL_arg3938z00_5807 = ((long) CINT(BgL_bpz00_5800) + 4L);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3941z00_5810;

									BgL_arg3941z00_5810 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15592))->
										BgL_arityz00);
									if (((long) CINT(BgL_arg3941z00_5810) < 0L))
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg3939z00_5808 =
												((long) CINT(BgL_arg3941z00_5810) + 4L);
										}
									else
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg3939z00_5808 =
												((long) CINT(BgL_arg3941z00_5810) - 4L);
								}}
								BgL_arg3940z00_5809 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15592))->
									BgL_locz00);
								BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5799,
									BgL_arg3937z00_5806, BgL_arg3938z00_5807, BgL_arg3939z00_5808,
									BgL_restz00_5797, BgL_arg3940z00_5809);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5811;

								BgL_ez00_5811 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_10577;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_10578;

										BgL_arg4345z00_10578 = BGL_EXITD_PROTECT(BgL_ez00_5811);
										BgL_arg4344z00_10577 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5800, BgL_arg4345z00_10578);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5811, BgL_arg4344z00_10577);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5812;

									BgL_accz00_5812 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15593, BgL_sz00_5799, BgL_bpz00_5800);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5717z00_32068;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_10580;

											BgL_arg4343z00_10580 = BGL_EXITD_PROTECT(BgL_ez00_5811);
											BgL_test5717z00_32068 = PAIRP(BgL_arg4343z00_10580);
										}
										if (BgL_test5717z00_32068)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_10581;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_10582;

													BgL_arg4342z00_10582 =
														BGL_EXITD_PROTECT(BgL_ez00_5811);
													BgL_arg4341z00_10581 =
														CDR(((obj_t) BgL_arg4342z00_10582));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5811,
													BgL_arg4341z00_10581);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5799), 0L, BgL_bpz00_5800);
									return BgL_accz00_5812;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5813;

							BgL_nsz00_5813 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5813, 1L, BgL_sz00_5799);
							VECTOR_SET(BgL_nsz00_5813, 2L, BgL_az00_5793);
							VECTOR_SET(BgL_nsz00_5813, 3L, BgL_bz00_5794);
							VECTOR_SET(BgL_nsz00_5813, 4L, BgL_cz00_5795);
							VECTOR_SET(BgL_nsz00_5813, 5L, BgL_dz00_5796);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_arg3942z00_5814;
								long BgL_arg3943z00_5815;
								obj_t BgL_arg3944z00_5816;

								BgL_arg3942z00_5814 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15592))->
									BgL_wherez00);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3945z00_5817;

									BgL_arg3945z00_5817 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15592))->
										BgL_arityz00);
									if (((long) CINT(BgL_arg3945z00_5817) < 0L))
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg3943z00_5815 =
												((long) CINT(BgL_arg3945z00_5817) + 4L);
										}
									else
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg3943z00_5815 =
												((long) CINT(BgL_arg3945z00_5817) - 4L);
								}}
								BgL_arg3944z00_5816 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15592))->
									BgL_locz00);
								BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5813,
									BgL_arg3942z00_5814, 6L, BgL_arg3943z00_5815,
									BgL_restz00_5797, BgL_arg3944z00_5816);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5818;

								BgL_z12denvz12_5818 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5818, BgL_nsz00_5813);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5819;

									BgL_ez00_5819 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_10594;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_10595;

											BgL_arg4345z00_10595 = BGL_EXITD_PROTECT(BgL_ez00_5819);
											BgL_arg4344z00_10594 =
												MAKE_YOUNG_PAIR(BgL_sz00_5799, BgL_arg4345z00_10595);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5819, BgL_arg4344z00_10594);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5820;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_10596;

											BgL_savedzd2bpzd2_10596 = VECTOR_REF(BgL_nsz00_5813, 0L);
											VECTOR_SET(BgL_nsz00_5813, 0L, BINT(2L));
											{
												obj_t BgL_fz00_10600;

												BgL_fz00_10600 = BgL_runz00_15593;
											BgL_recz00_10599:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_10601;

													BgL_rz00_10601 =
														BGL_PROCEDURE_CALL1(BgL_fz00_10600, BgL_nsz00_5813);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5719z00_32107;

														if (PROCEDUREP(BgL_rz00_10601))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_10604;

																BgL_arg1763z00_10604 =
																	PROCEDURE_ATTR(BgL_rz00_10601);
																if (STRUCTP(BgL_arg1763z00_10604))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5719z00_32107 =
																			(STRUCT_KEY(BgL_arg1763z00_10604) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5719z00_32107 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5719z00_32107 = ((bool_t) 0);
															}
														if (BgL_test5719z00_32107)
															{
																obj_t BgL_fz00_32115;

																BgL_fz00_32115 = BgL_rz00_10601;
																BgL_fz00_10600 = BgL_fz00_32115;
																goto BgL_recz00_10599;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5813, 0L,
																	BgL_savedzd2bpzd2_10596);
																BgL_____rz00_5820 = BgL_rz00_10601;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5722z00_32117;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_10612;

												BgL_arg4343z00_10612 = BGL_EXITD_PROTECT(BgL_ez00_5819);
												BgL_test5722z00_32117 = PAIRP(BgL_arg4343z00_10612);
											}
											if (BgL_test5722z00_32117)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_10613;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_10614;

														BgL_arg4342z00_10614 =
															BGL_EXITD_PROTECT(BgL_ez00_5819);
														BgL_arg4341z00_10613 =
															CDR(((obj_t) BgL_arg4342z00_10614));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5819,
														BgL_arg4341z00_10613);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5818, BgL_sz00_5799);
										return BgL_____rz00_5820;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4581 */
	obj_t BGl_z62run4581z62zz__evaluate_compz00(obj_t BgL_envz00_15279,
		obj_t BgL_sz00_15282)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15280;
				obj_t BgL_bodyz00_15281;

				BgL_i1255z00_15280 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15279, (int) (0L)));
				BgL_bodyz00_15281 = PROCEDURE_REF(BgL_envz00_15279, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16670;

					BgL_bpz00_16670 = VECTOR_REF(((obj_t) BgL_sz00_15282), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16671;
						obj_t BgL_wherez00_16672;
						obj_t BgL_locz00_16673;

						BgL_z12denvz12_16671 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16672 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15280))->
							BgL_wherez00);
						BgL_locz00_16673 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15280))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16671, BgL_wherez00_16672,
								BgL_locz00_16673);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16674;

								BgL_za2za2resza2za2z00_16674 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15281, BgL_sz00_15282);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16671);
								return BgL_za2za2resza2za2z00_16674;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3947> */
	obj_t BGl_z62zc3z04anonymousza33947ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15283, obj_t BgL_sz00_15288)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15284;
				BgL_ev_absz00_bglt BgL_i1255z00_15285;
				obj_t BgL_bodyz00_15286;
				obj_t BgL_siza7ezd2framez75_15287;

				BgL_iboxesz00_15284 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15283, (int) (0L)));
				BgL_i1255z00_15285 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15283, (int) (1L)));
				BgL_bodyz00_15286 = PROCEDURE_REF(BgL_envz00_15283, (int) (2L));
				BgL_siza7ezd2framez75_15287 =
					PROCEDURE_REF(BgL_envz00_15283, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16675;

					BgL_bpz00_16675 = VECTOR_REF(((obj_t) BgL_sz00_15288), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16676;

							BgL_runz00_16676 =
								MAKE_FX_PROCEDURE(BGl_z62run4583z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_16676, (int) (0L), BgL_iboxesz00_15284);
							PROCEDURE_SET(BgL_runz00_16676,
								(int) (1L), ((obj_t) BgL_i1255z00_15285));
							PROCEDURE_SET(BgL_runz00_16676, (int) (2L), BgL_bodyz00_15286);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16677;

								BgL_mainz00_16677 =
									MAKE_VA_PROCEDURE(BGl_z62main4582z62zz__evaluate_compz00,
									(int) ((-5L)), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_16677,
									(int) (0L), BgL_iboxesz00_15284);
								PROCEDURE_SET(BgL_mainz00_16677, (int) (1L), BgL_bodyz00_15286);
								PROCEDURE_SET(BgL_mainz00_16677,
									(int) (2L), ((obj_t) BgL_i1255z00_15285));
								PROCEDURE_SET(BgL_mainz00_16677, (int) (3L), BgL_runz00_16676);
								PROCEDURE_SET(BgL_mainz00_16677,
									(int) (4L), BgL_siza7ezd2framez75_15287);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16678;

									BgL_objz00_16678 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16676, BgL_objz00_16678);
									BgL_objz00_16678;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3948z00_16679;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3949z00_16680;
										obj_t BgL_arg3950z00_16681;

										BgL_arg3949z00_16680 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15285))->
											BgL_arityz00);
										BgL_arg3950z00_16681 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15285))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16682;

											BgL_newz00_16682 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32182;

												BgL_tmpz00_32182 = (int) (3L);
												STRUCT_SET(BgL_newz00_16682, BgL_tmpz00_32182,
													BgL_arg3950z00_16681);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32185;

												BgL_tmpz00_32185 = (int) (2L);
												STRUCT_SET(BgL_newz00_16682, BgL_tmpz00_32185,
													BgL_siza7ezd2framez75_15287);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32188;

												BgL_tmpz00_32188 = (int) (1L);
												STRUCT_SET(BgL_newz00_16682, BgL_tmpz00_32188,
													BgL_runz00_16676);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32191;

												BgL_tmpz00_32191 = (int) (0L);
												STRUCT_SET(BgL_newz00_16682, BgL_tmpz00_32191,
													BgL_arg3949z00_16680);
											}
											BgL_arg3948z00_16679 = BgL_newz00_16682;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16677, BgL_arg3948z00_16679);
									BgL_arg3948z00_16679;
								}
								return BgL_mainz00_16677;
							}
						}
					}
				}
			}
		}

	}



/* &main4582 */
	obj_t BGl_z62main4582z62zz__evaluate_compz00(obj_t BgL_envz00_15289,
		obj_t BgL_az00_15295, obj_t BgL_bz00_15296, obj_t BgL_cz00_15297,
		obj_t BgL_dz00_15298, obj_t BgL_restz00_15299)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15292;
				obj_t BgL_runz00_15293;
				long BgL_siza7ezd2framez75_15294;

				BgL_i1255z00_15292 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15289, (int) (2L)));
				BgL_runz00_15293 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15289, (int) (3L)));
				BgL_siza7ezd2framez75_15294 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15289, (int) (4L)));
				return
					BGl_mainze72ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15294,
					BgL_runz00_15293, BgL_i1255z00_15292, BgL_az00_15295, BgL_bz00_15296,
					BgL_cz00_15297, BgL_dz00_15298, BgL_restz00_15299);
			}
		}

	}



/* main~2 */
	obj_t BGl_mainze72ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15591,
		obj_t BgL_runz00_15590, BgL_ev_absz00_bglt BgL_i1255z00_15589,
		obj_t BgL_az00_5838, obj_t BgL_bz00_5839, obj_t BgL_cz00_5840,
		obj_t BgL_dz00_5841, obj_t BgL_restz00_5842)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5844;

				BgL_sz00_5844 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5845;

					BgL_bpz00_5845 = VECTOR_REF(((obj_t) BgL_sz00_5844), 0L);
					if (
						(((long) CINT(BgL_bpz00_5845) + BgL_siza7ezd2framez75_15591) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5844))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3953z00_5847;

								BgL_arg3953z00_5847 = ((long) CINT(BgL_bpz00_5845) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5844), BgL_arg3953z00_5847, BgL_az00_5838);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3954z00_5848;

								BgL_arg3954z00_5848 = ((long) CINT(BgL_bpz00_5845) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5844), BgL_arg3954z00_5848, BgL_bz00_5839);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3955z00_5849;

								BgL_arg3955z00_5849 = ((long) CINT(BgL_bpz00_5845) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5844), BgL_arg3955z00_5849, BgL_cz00_5840);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3956z00_5850;

								BgL_arg3956z00_5850 = ((long) CINT(BgL_bpz00_5845) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5844), BgL_arg3956z00_5850, BgL_dz00_5841);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_arg3957z00_5851;
								long BgL_arg3958z00_5852;
								long BgL_arg3959z00_5853;
								obj_t BgL_arg3960z00_5854;

								BgL_arg3957z00_5851 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15589))->
									BgL_wherez00);
								BgL_arg3958z00_5852 = ((long) CINT(BgL_bpz00_5845) + 4L);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3961z00_5855;

									BgL_arg3961z00_5855 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15589))->
										BgL_arityz00);
									if (((long) CINT(BgL_arg3961z00_5855) < 0L))
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg3959z00_5853 =
												((long) CINT(BgL_arg3961z00_5855) + 4L);
										}
									else
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg3959z00_5853 =
												((long) CINT(BgL_arg3961z00_5855) - 4L);
								}}
								BgL_arg3960z00_5854 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15589))->
									BgL_locz00);
								BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5844,
									BgL_arg3957z00_5851, BgL_arg3958z00_5852, BgL_arg3959z00_5853,
									BgL_restz00_5842, BgL_arg3960z00_5854);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5856;

								BgL_ez00_5856 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_10649;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_10650;

										BgL_arg4345z00_10650 = BGL_EXITD_PROTECT(BgL_ez00_5856);
										BgL_arg4344z00_10649 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5845, BgL_arg4345z00_10650);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5856, BgL_arg4344z00_10649);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5857;

									BgL_accz00_5857 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15590, BgL_sz00_5844, BgL_bpz00_5845);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5725z00_32248;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_10652;

											BgL_arg4343z00_10652 = BGL_EXITD_PROTECT(BgL_ez00_5856);
											BgL_test5725z00_32248 = PAIRP(BgL_arg4343z00_10652);
										}
										if (BgL_test5725z00_32248)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_10653;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_10654;

													BgL_arg4342z00_10654 =
														BGL_EXITD_PROTECT(BgL_ez00_5856);
													BgL_arg4341z00_10653 =
														CDR(((obj_t) BgL_arg4342z00_10654));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5856,
													BgL_arg4341z00_10653);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5844), 0L, BgL_bpz00_5845);
									return BgL_accz00_5857;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5858;

							BgL_nsz00_5858 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5858, 1L, BgL_sz00_5844);
							VECTOR_SET(BgL_nsz00_5858, 2L, BgL_az00_5838);
							VECTOR_SET(BgL_nsz00_5858, 3L, BgL_bz00_5839);
							VECTOR_SET(BgL_nsz00_5858, 4L, BgL_cz00_5840);
							VECTOR_SET(BgL_nsz00_5858, 5L, BgL_dz00_5841);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_arg3962z00_5859;
								long BgL_arg3963z00_5860;
								obj_t BgL_arg3964z00_5861;

								BgL_arg3962z00_5859 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15589))->
									BgL_wherez00);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3965z00_5862;

									BgL_arg3965z00_5862 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15589))->
										BgL_arityz00);
									if (((long) CINT(BgL_arg3965z00_5862) < 0L))
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg3963z00_5860 =
												((long) CINT(BgL_arg3965z00_5862) + 4L);
										}
									else
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg3963z00_5860 =
												((long) CINT(BgL_arg3965z00_5862) - 4L);
								}}
								BgL_arg3964z00_5861 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15589))->
									BgL_locz00);
								BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5858,
									BgL_arg3962z00_5859, 6L, BgL_arg3963z00_5860,
									BgL_restz00_5842, BgL_arg3964z00_5861);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5863;

								BgL_z12denvz12_5863 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5863, BgL_nsz00_5858);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5864;

									BgL_ez00_5864 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_10666;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_10667;

											BgL_arg4345z00_10667 = BGL_EXITD_PROTECT(BgL_ez00_5864);
											BgL_arg4344z00_10666 =
												MAKE_YOUNG_PAIR(BgL_sz00_5844, BgL_arg4345z00_10667);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5864, BgL_arg4344z00_10666);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5865;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_10668;

											BgL_savedzd2bpzd2_10668 = VECTOR_REF(BgL_nsz00_5858, 0L);
											VECTOR_SET(BgL_nsz00_5858, 0L, BINT(2L));
											{
												obj_t BgL_fz00_10672;

												BgL_fz00_10672 = BgL_runz00_15590;
											BgL_recz00_10671:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_10673;

													BgL_rz00_10673 =
														BGL_PROCEDURE_CALL1(BgL_fz00_10672, BgL_nsz00_5858);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5727z00_32287;

														if (PROCEDUREP(BgL_rz00_10673))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_10676;

																BgL_arg1763z00_10676 =
																	PROCEDURE_ATTR(BgL_rz00_10673);
																if (STRUCTP(BgL_arg1763z00_10676))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5727z00_32287 =
																			(STRUCT_KEY(BgL_arg1763z00_10676) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5727z00_32287 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5727z00_32287 = ((bool_t) 0);
															}
														if (BgL_test5727z00_32287)
															{
																obj_t BgL_fz00_32295;

																BgL_fz00_32295 = BgL_rz00_10673;
																BgL_fz00_10672 = BgL_fz00_32295;
																goto BgL_recz00_10671;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5858, 0L,
																	BgL_savedzd2bpzd2_10668);
																BgL_____rz00_5865 = BgL_rz00_10673;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5730z00_32297;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_10684;

												BgL_arg4343z00_10684 = BGL_EXITD_PROTECT(BgL_ez00_5864);
												BgL_test5730z00_32297 = PAIRP(BgL_arg4343z00_10684);
											}
											if (BgL_test5730z00_32297)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_10685;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_10686;

														BgL_arg4342z00_10686 =
															BGL_EXITD_PROTECT(BgL_ez00_5864);
														BgL_arg4341z00_10685 =
															CDR(((obj_t) BgL_arg4342z00_10686));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5864,
														BgL_arg4341z00_10685);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5863, BgL_sz00_5844);
										return BgL_____rz00_5865;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4583 */
	obj_t BGl_z62run4583z62zz__evaluate_compz00(obj_t BgL_envz00_15300,
		obj_t BgL_sz00_15304)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15301;
				BgL_ev_absz00_bglt BgL_i1255z00_15302;
				obj_t BgL_bodyz00_15303;

				BgL_iboxesz00_15301 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15300, (int) (0L)));
				BgL_i1255z00_15302 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15300, (int) (1L)));
				BgL_bodyz00_15303 = PROCEDURE_REF(BgL_envz00_15300, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16683;

					BgL_bpz00_16683 = VECTOR_REF(((obj_t) BgL_sz00_15304), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15304,
						BgL_iboxesz00_15301, BgL_bpz00_16683);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16684;
						obj_t BgL_wherez00_16685;
						obj_t BgL_locz00_16686;

						BgL_z12denvz12_16684 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16685 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15302))->
							BgL_wherez00);
						BgL_locz00_16686 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15302))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16684, BgL_wherez00_16685,
								BgL_locz00_16686);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16687;

								BgL_za2za2resza2za2z00_16687 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15303, BgL_sz00_15304);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16684);
								return BgL_za2za2resza2za2z00_16687;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3970> */
	obj_t BGl_z62zc3z04anonymousza33970ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15305, obj_t BgL_sz00_15311)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15306;
				obj_t BgL_siza7eza7_15307;
				BgL_ev_absz00_bglt BgL_i1255z00_15308;
				obj_t BgL_bodyz00_15309;
				obj_t BgL_siza7ezd2framez75_15310;

				BgL_ifreesz00_15306 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15305, (int) (0L)));
				BgL_siza7eza7_15307 = PROCEDURE_REF(BgL_envz00_15305, (int) (1L));
				BgL_i1255z00_15308 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15305, (int) (2L)));
				BgL_bodyz00_15309 = PROCEDURE_REF(BgL_envz00_15305, (int) (3L));
				BgL_siza7ezd2framez75_15310 =
					PROCEDURE_REF(BgL_envz00_15305, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16688;

					BgL_bpz00_16688 = VECTOR_REF(((obj_t) BgL_sz00_15311), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16689;

						BgL_valza2za2_16689 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15311,
							BgL_bpz00_16688, BgL_ifreesz00_15306);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16690;

							BgL_runz00_16690 =
								MAKE_FX_PROCEDURE(BGl_z62run4585z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_16690, (int) (0L), BgL_siza7eza7_15307);
							PROCEDURE_SET(BgL_runz00_16690, (int) (1L), BgL_valza2za2_16689);
							PROCEDURE_SET(BgL_runz00_16690,
								(int) (2L), ((obj_t) BgL_i1255z00_15308));
							PROCEDURE_SET(BgL_runz00_16690, (int) (3L), BgL_bodyz00_15309);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16691;

								BgL_mainz00_16691 =
									MAKE_VA_PROCEDURE(BGl_z62main4584z62zz__evaluate_compz00,
									(int) ((-5L)), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_16691,
									(int) (0L), BgL_siza7eza7_15307);
								PROCEDURE_SET(BgL_mainz00_16691,
									(int) (1L), BgL_valza2za2_16689);
								PROCEDURE_SET(BgL_mainz00_16691, (int) (2L), BgL_bodyz00_15309);
								PROCEDURE_SET(BgL_mainz00_16691,
									(int) (3L), ((obj_t) BgL_i1255z00_15308));
								PROCEDURE_SET(BgL_mainz00_16691, (int) (4L), BgL_runz00_16690);
								PROCEDURE_SET(BgL_mainz00_16691,
									(int) (5L), BgL_siza7ezd2framez75_15310);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16692;

									BgL_objz00_16692 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16690, BgL_objz00_16692);
									BgL_objz00_16692;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3971z00_16693;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3972z00_16694;
										obj_t BgL_arg3973z00_16695;

										BgL_arg3972z00_16694 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15308))->
											BgL_arityz00);
										BgL_arg3973z00_16695 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15308))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16696;

											BgL_newz00_16696 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32373;

												BgL_tmpz00_32373 = (int) (3L);
												STRUCT_SET(BgL_newz00_16696, BgL_tmpz00_32373,
													BgL_arg3973z00_16695);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32376;

												BgL_tmpz00_32376 = (int) (2L);
												STRUCT_SET(BgL_newz00_16696, BgL_tmpz00_32376,
													BgL_siza7ezd2framez75_15310);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32379;

												BgL_tmpz00_32379 = (int) (1L);
												STRUCT_SET(BgL_newz00_16696, BgL_tmpz00_32379,
													BgL_runz00_16690);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32382;

												BgL_tmpz00_32382 = (int) (0L);
												STRUCT_SET(BgL_newz00_16696, BgL_tmpz00_32382,
													BgL_arg3972z00_16694);
											}
											BgL_arg3971z00_16693 = BgL_newz00_16696;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16691, BgL_arg3971z00_16693);
									BgL_arg3971z00_16693;
								}
								return BgL_mainz00_16691;
							}
						}
					}
				}
			}
		}

	}



/* &main4584 */
	obj_t BGl_z62main4584z62zz__evaluate_compz00(obj_t BgL_envz00_15312,
		obj_t BgL_az00_15319, obj_t BgL_bz00_15320, obj_t BgL_cz00_15321,
		obj_t BgL_dz00_15322, obj_t BgL_restz00_15323)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15316;
				obj_t BgL_runz00_15317;
				long BgL_siza7ezd2framez75_15318;

				BgL_i1255z00_15316 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15312, (int) (3L)));
				BgL_runz00_15317 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15312, (int) (4L)));
				BgL_siza7ezd2framez75_15318 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15312, (int) (5L)));
				return
					BGl_mainze71ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15318,
					BgL_runz00_15317, BgL_i1255z00_15316, BgL_az00_15319, BgL_bz00_15320,
					BgL_cz00_15321, BgL_dz00_15322, BgL_restz00_15323);
			}
		}

	}



/* main~1 */
	obj_t BGl_mainze71ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15588,
		obj_t BgL_runz00_15587, BgL_ev_absz00_bglt BgL_i1255z00_15586,
		obj_t BgL_az00_5887, obj_t BgL_bz00_5888, obj_t BgL_cz00_5889,
		obj_t BgL_dz00_5890, obj_t BgL_restz00_5891)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5893;

				BgL_sz00_5893 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5894;

					BgL_bpz00_5894 = VECTOR_REF(((obj_t) BgL_sz00_5893), 0L);
					if (
						(((long) CINT(BgL_bpz00_5894) + BgL_siza7ezd2framez75_15588) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5893))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3976z00_5896;

								BgL_arg3976z00_5896 = ((long) CINT(BgL_bpz00_5894) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5893), BgL_arg3976z00_5896, BgL_az00_5887);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3977z00_5897;

								BgL_arg3977z00_5897 = ((long) CINT(BgL_bpz00_5894) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5893), BgL_arg3977z00_5897, BgL_bz00_5888);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3978z00_5898;

								BgL_arg3978z00_5898 = ((long) CINT(BgL_bpz00_5894) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5893), BgL_arg3978z00_5898, BgL_cz00_5889);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3979z00_5899;

								BgL_arg3979z00_5899 = ((long) CINT(BgL_bpz00_5894) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5893), BgL_arg3979z00_5899, BgL_dz00_5890);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_arg3980z00_5900;
								long BgL_arg3981z00_5901;
								long BgL_arg3982z00_5902;
								obj_t BgL_arg3983z00_5903;

								BgL_arg3980z00_5900 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15586))->
									BgL_wherez00);
								BgL_arg3981z00_5901 = ((long) CINT(BgL_bpz00_5894) + 4L);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3984z00_5904;

									BgL_arg3984z00_5904 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15586))->
										BgL_arityz00);
									if (((long) CINT(BgL_arg3984z00_5904) < 0L))
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg3982z00_5902 =
												((long) CINT(BgL_arg3984z00_5904) + 4L);
										}
									else
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg3982z00_5902 =
												((long) CINT(BgL_arg3984z00_5904) - 4L);
								}}
								BgL_arg3983z00_5903 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15586))->
									BgL_locz00);
								BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5893,
									BgL_arg3980z00_5900, BgL_arg3981z00_5901, BgL_arg3982z00_5902,
									BgL_restz00_5891, BgL_arg3983z00_5903);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5905;

								BgL_ez00_5905 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_10725;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_10726;

										BgL_arg4345z00_10726 = BGL_EXITD_PROTECT(BgL_ez00_5905);
										BgL_arg4344z00_10725 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5894, BgL_arg4345z00_10726);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5905, BgL_arg4344z00_10725);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5906;

									BgL_accz00_5906 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15587, BgL_sz00_5893, BgL_bpz00_5894);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5733z00_32439;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_10728;

											BgL_arg4343z00_10728 = BGL_EXITD_PROTECT(BgL_ez00_5905);
											BgL_test5733z00_32439 = PAIRP(BgL_arg4343z00_10728);
										}
										if (BgL_test5733z00_32439)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_10729;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_10730;

													BgL_arg4342z00_10730 =
														BGL_EXITD_PROTECT(BgL_ez00_5905);
													BgL_arg4341z00_10729 =
														CDR(((obj_t) BgL_arg4342z00_10730));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5905,
													BgL_arg4341z00_10729);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5893), 0L, BgL_bpz00_5894);
									return BgL_accz00_5906;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5907;

							BgL_nsz00_5907 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5907, 1L, BgL_sz00_5893);
							VECTOR_SET(BgL_nsz00_5907, 2L, BgL_az00_5887);
							VECTOR_SET(BgL_nsz00_5907, 3L, BgL_bz00_5888);
							VECTOR_SET(BgL_nsz00_5907, 4L, BgL_cz00_5889);
							VECTOR_SET(BgL_nsz00_5907, 5L, BgL_dz00_5890);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_arg3985z00_5908;
								long BgL_arg3986z00_5909;
								obj_t BgL_arg3987z00_5910;

								BgL_arg3985z00_5908 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15586))->
									BgL_wherez00);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3988z00_5911;

									BgL_arg3988z00_5911 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15586))->
										BgL_arityz00);
									if (((long) CINT(BgL_arg3988z00_5911) < 0L))
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg3986z00_5909 =
												((long) CINT(BgL_arg3988z00_5911) + 4L);
										}
									else
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg3986z00_5909 =
												((long) CINT(BgL_arg3988z00_5911) - 4L);
								}}
								BgL_arg3987z00_5910 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15586))->
									BgL_locz00);
								BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5907,
									BgL_arg3985z00_5908, 6L, BgL_arg3986z00_5909,
									BgL_restz00_5891, BgL_arg3987z00_5910);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5912;

								BgL_z12denvz12_5912 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5912, BgL_nsz00_5907);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5913;

									BgL_ez00_5913 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_10742;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_10743;

											BgL_arg4345z00_10743 = BGL_EXITD_PROTECT(BgL_ez00_5913);
											BgL_arg4344z00_10742 =
												MAKE_YOUNG_PAIR(BgL_sz00_5893, BgL_arg4345z00_10743);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5913, BgL_arg4344z00_10742);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5914;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_10744;

											BgL_savedzd2bpzd2_10744 = VECTOR_REF(BgL_nsz00_5907, 0L);
											VECTOR_SET(BgL_nsz00_5907, 0L, BINT(2L));
											{
												obj_t BgL_fz00_10748;

												BgL_fz00_10748 = BgL_runz00_15587;
											BgL_recz00_10747:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_10749;

													BgL_rz00_10749 =
														BGL_PROCEDURE_CALL1(BgL_fz00_10748, BgL_nsz00_5907);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5735z00_32478;

														if (PROCEDUREP(BgL_rz00_10749))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_10752;

																BgL_arg1763z00_10752 =
																	PROCEDURE_ATTR(BgL_rz00_10749);
																if (STRUCTP(BgL_arg1763z00_10752))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5735z00_32478 =
																			(STRUCT_KEY(BgL_arg1763z00_10752) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5735z00_32478 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5735z00_32478 = ((bool_t) 0);
															}
														if (BgL_test5735z00_32478)
															{
																obj_t BgL_fz00_32486;

																BgL_fz00_32486 = BgL_rz00_10749;
																BgL_fz00_10748 = BgL_fz00_32486;
																goto BgL_recz00_10747;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5907, 0L,
																	BgL_savedzd2bpzd2_10744);
																BgL_____rz00_5914 = BgL_rz00_10749;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5738z00_32488;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_10760;

												BgL_arg4343z00_10760 = BGL_EXITD_PROTECT(BgL_ez00_5913);
												BgL_test5738z00_32488 = PAIRP(BgL_arg4343z00_10760);
											}
											if (BgL_test5738z00_32488)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_10761;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_10762;

														BgL_arg4342z00_10762 =
															BGL_EXITD_PROTECT(BgL_ez00_5913);
														BgL_arg4341z00_10761 =
															CDR(((obj_t) BgL_arg4342z00_10762));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5913,
														BgL_arg4341z00_10761);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5912, BgL_sz00_5893);
										return BgL_____rz00_5914;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4585 */
	obj_t BGl_z62run4585z62zz__evaluate_compz00(obj_t BgL_envz00_15324,
		obj_t BgL_sz00_15329)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15325;
				obj_t BgL_valza2za2_15326;
				BgL_ev_absz00_bglt BgL_i1255z00_15327;
				obj_t BgL_bodyz00_15328;

				BgL_siza7eza7_15325 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15324, (int) (0L)));
				BgL_valza2za2_15326 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15324, (int) (1L)));
				BgL_i1255z00_15327 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15324, (int) (2L)));
				BgL_bodyz00_15328 = PROCEDURE_REF(BgL_envz00_15324, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16697;

					BgL_bpz00_16697 = VECTOR_REF(((obj_t) BgL_sz00_15329), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15329,
						BgL_valza2za2_15326,
						((long) CINT(BgL_bpz00_16697) + BgL_siza7eza7_15325));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16698;
						obj_t BgL_wherez00_16699;
						obj_t BgL_locz00_16700;

						BgL_z12denvz12_16698 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16699 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15327))->
							BgL_wherez00);
						BgL_locz00_16700 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15327))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16698, BgL_wherez00_16699,
								BgL_locz00_16700);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16701;

								BgL_za2za2resza2za2z00_16701 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15328, BgL_sz00_15329);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16698);
								return BgL_za2za2resza2za2z00_16701;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3991> */
	obj_t BGl_z62zc3z04anonymousza33991ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15330, obj_t BgL_sz00_15337)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15331;
				obj_t BgL_iboxesz00_15332;
				obj_t BgL_siza7eza7_15333;
				BgL_ev_absz00_bglt BgL_i1255z00_15334;
				obj_t BgL_bodyz00_15335;
				obj_t BgL_siza7ezd2framez75_15336;

				BgL_ifreesz00_15331 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15330, (int) (0L)));
				BgL_iboxesz00_15332 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15330, (int) (1L)));
				BgL_siza7eza7_15333 = PROCEDURE_REF(BgL_envz00_15330, (int) (2L));
				BgL_i1255z00_15334 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15330, (int) (3L)));
				BgL_bodyz00_15335 = PROCEDURE_REF(BgL_envz00_15330, (int) (4L));
				BgL_siza7ezd2framez75_15336 =
					PROCEDURE_REF(BgL_envz00_15330, (int) (5L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16702;

					BgL_bpz00_16702 = VECTOR_REF(((obj_t) BgL_sz00_15337), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16703;

						BgL_valza2za2_16703 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15337,
							BgL_bpz00_16702, BgL_ifreesz00_15331);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16704;

							BgL_runz00_16704 =
								MAKE_FX_PROCEDURE(BGl_z62run4587z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_16704, (int) (0L), BgL_iboxesz00_15332);
							PROCEDURE_SET(BgL_runz00_16704, (int) (1L), BgL_siza7eza7_15333);
							PROCEDURE_SET(BgL_runz00_16704, (int) (2L), BgL_valza2za2_16703);
							PROCEDURE_SET(BgL_runz00_16704,
								(int) (3L), ((obj_t) BgL_i1255z00_15334));
							PROCEDURE_SET(BgL_runz00_16704, (int) (4L), BgL_bodyz00_15335);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16705;

								BgL_mainz00_16705 =
									MAKE_VA_PROCEDURE(BGl_z62main4586z62zz__evaluate_compz00,
									(int) ((-5L)), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_16705,
									(int) (0L), BgL_iboxesz00_15332);
								PROCEDURE_SET(BgL_mainz00_16705,
									(int) (1L), BgL_siza7eza7_15333);
								PROCEDURE_SET(BgL_mainz00_16705,
									(int) (2L), BgL_valza2za2_16703);
								PROCEDURE_SET(BgL_mainz00_16705, (int) (3L), BgL_bodyz00_15335);
								PROCEDURE_SET(BgL_mainz00_16705,
									(int) (4L), ((obj_t) BgL_i1255z00_15334));
								PROCEDURE_SET(BgL_mainz00_16705, (int) (5L), BgL_runz00_16704);
								PROCEDURE_SET(BgL_mainz00_16705,
									(int) (6L), BgL_siza7ezd2framez75_15336);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16706;

									BgL_objz00_16706 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16704, BgL_objz00_16706);
									BgL_objz00_16706;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3992z00_16707;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3993z00_16708;
										obj_t BgL_arg3994z00_16709;

										BgL_arg3993z00_16708 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15334))->
											BgL_arityz00);
										BgL_arg3994z00_16709 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15334))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16710;

											BgL_newz00_16710 =
												create_struct(BGl_symbol4617z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32576;

												BgL_tmpz00_32576 = (int) (3L);
												STRUCT_SET(BgL_newz00_16710, BgL_tmpz00_32576,
													BgL_arg3994z00_16709);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32579;

												BgL_tmpz00_32579 = (int) (2L);
												STRUCT_SET(BgL_newz00_16710, BgL_tmpz00_32579,
													BgL_siza7ezd2framez75_15336);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32582;

												BgL_tmpz00_32582 = (int) (1L);
												STRUCT_SET(BgL_newz00_16710, BgL_tmpz00_32582,
													BgL_runz00_16704);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32585;

												BgL_tmpz00_32585 = (int) (0L);
												STRUCT_SET(BgL_newz00_16710, BgL_tmpz00_32585,
													BgL_arg3993z00_16708);
											}
											BgL_arg3992z00_16707 = BgL_newz00_16710;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16705, BgL_arg3992z00_16707);
									BgL_arg3992z00_16707;
								}
								return BgL_mainz00_16705;
							}
						}
					}
				}
			}
		}

	}



/* &main4586 */
	obj_t BGl_z62main4586z62zz__evaluate_compz00(obj_t BgL_envz00_15338,
		obj_t BgL_az00_15346, obj_t BgL_bz00_15347, obj_t BgL_cz00_15348,
		obj_t BgL_dz00_15349, obj_t BgL_restz00_15350)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15343;
				obj_t BgL_runz00_15344;
				long BgL_siza7ezd2framez75_15345;

				BgL_i1255z00_15343 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15338, (int) (4L)));
				BgL_runz00_15344 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15338, (int) (5L)));
				BgL_siza7ezd2framez75_15345 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15338, (int) (6L)));
				return
					BGl_mainze70ze7zz__evaluate_compz00(BgL_siza7ezd2framez75_15345,
					BgL_runz00_15344, BgL_i1255z00_15343, BgL_az00_15346, BgL_bz00_15347,
					BgL_cz00_15348, BgL_dz00_15349, BgL_restz00_15350);
			}
		}

	}



/* main~0 */
	obj_t BGl_mainze70ze7zz__evaluate_compz00(long BgL_siza7ezd2framez75_15585,
		obj_t BgL_runz00_15584, BgL_ev_absz00_bglt BgL_i1255z00_15583,
		obj_t BgL_az00_5934, obj_t BgL_bz00_5935, obj_t BgL_cz00_5936,
		obj_t BgL_dz00_5937, obj_t BgL_restz00_5938)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_sz00_5940;

				BgL_sz00_5940 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_5941;

					BgL_bpz00_5941 = VECTOR_REF(((obj_t) BgL_sz00_5940), 0L);
					if (
						(((long) CINT(BgL_bpz00_5941) + BgL_siza7ezd2framez75_15585) <
							VECTOR_LENGTH(((obj_t) BgL_sz00_5940))))
						{	/* Eval/evaluate_comp.scm 1181 */
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3997z00_5943;

								BgL_arg3997z00_5943 = ((long) CINT(BgL_bpz00_5941) + 0L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5940), BgL_arg3997z00_5943, BgL_az00_5934);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3998z00_5944;

								BgL_arg3998z00_5944 = ((long) CINT(BgL_bpz00_5941) + 1L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5940), BgL_arg3998z00_5944, BgL_bz00_5935);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg3999z00_5945;

								BgL_arg3999z00_5945 = ((long) CINT(BgL_bpz00_5941) + 2L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5940), BgL_arg3999z00_5945, BgL_cz00_5936);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								long BgL_arg4000z00_5946;

								BgL_arg4000z00_5946 = ((long) CINT(BgL_bpz00_5941) + 3L);
								VECTOR_SET(
									((obj_t) BgL_sz00_5940), BgL_arg4000z00_5946, BgL_dz00_5937);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_arg4001z00_5947;
								long BgL_arg4002z00_5948;
								long BgL_arg4003z00_5949;
								obj_t BgL_arg4004z00_5950;

								BgL_arg4001z00_5947 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15583))->
									BgL_wherez00);
								BgL_arg4002z00_5948 = ((long) CINT(BgL_bpz00_5941) + 4L);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4005z00_5951;

									BgL_arg4005z00_5951 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15583))->
										BgL_arityz00);
									if (((long) CINT(BgL_arg4005z00_5951) < 0L))
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg4003z00_5949 =
												((long) CINT(BgL_arg4005z00_5951) + 4L);
										}
									else
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg4003z00_5949 =
												((long) CINT(BgL_arg4005z00_5951) - 4L);
								}}
								BgL_arg4004z00_5950 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15583))->
									BgL_locz00);
								BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5940,
									BgL_arg4001z00_5947, BgL_arg4002z00_5948, BgL_arg4003z00_5949,
									BgL_restz00_5938, BgL_arg4004z00_5950);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_5952;

								BgL_ez00_5952 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4344z00_10799;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4345z00_10800;

										BgL_arg4345z00_10800 = BGL_EXITD_PROTECT(BgL_ez00_5952);
										BgL_arg4344z00_10799 =
											MAKE_YOUNG_PAIR(BgL_bpz00_5941, BgL_arg4345z00_10800);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_5952, BgL_arg4344z00_10799);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_5953;

									BgL_accz00_5953 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15584, BgL_sz00_5940, BgL_bpz00_5941);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5741z00_32642;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4343z00_10802;

											BgL_arg4343z00_10802 = BGL_EXITD_PROTECT(BgL_ez00_5952);
											BgL_test5741z00_32642 = PAIRP(BgL_arg4343z00_10802);
										}
										if (BgL_test5741z00_32642)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4341z00_10803;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4342z00_10804;

													BgL_arg4342z00_10804 =
														BGL_EXITD_PROTECT(BgL_ez00_5952);
													BgL_arg4341z00_10803 =
														CDR(((obj_t) BgL_arg4342z00_10804));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_5952,
													BgL_arg4341z00_10803);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_5940), 0L, BgL_bpz00_5941);
									return BgL_accz00_5953;
								}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_nsz00_5954;

							BgL_nsz00_5954 = BGl_makezd2statezd2zz__evaluate_compz00();
							VECTOR_SET(BgL_nsz00_5954, 1L, BgL_sz00_5940);
							VECTOR_SET(BgL_nsz00_5954, 2L, BgL_az00_5934);
							VECTOR_SET(BgL_nsz00_5954, 3L, BgL_bz00_5935);
							VECTOR_SET(BgL_nsz00_5954, 4L, BgL_cz00_5936);
							VECTOR_SET(BgL_nsz00_5954, 5L, BgL_dz00_5937);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_arg4006z00_5955;
								long BgL_arg4007z00_5956;
								obj_t BgL_arg4008z00_5957;

								BgL_arg4006z00_5955 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15583))->
									BgL_wherez00);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4009z00_5958;

									BgL_arg4009z00_5958 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15583))->
										BgL_arityz00);
									if (((long) CINT(BgL_arg4009z00_5958) < 0L))
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg4007z00_5956 =
												((long) CINT(BgL_arg4009z00_5958) + 4L);
										}
									else
										{	/* Eval/evaluate_comp.scm 1066 */
											BgL_arg4007z00_5956 =
												((long) CINT(BgL_arg4009z00_5958) - 4L);
								}}
								BgL_arg4008z00_5957 =
									(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15583))->
									BgL_locz00);
								BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5954,
									BgL_arg4006z00_5955, 6L, BgL_arg4007z00_5956,
									BgL_restz00_5938, BgL_arg4008z00_5957);
							}
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_z12denvz12_5959;

								BgL_z12denvz12_5959 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5959, BgL_nsz00_5954);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_5960;

									BgL_ez00_5960 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4344z00_10816;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4345z00_10817;

											BgL_arg4345z00_10817 = BGL_EXITD_PROTECT(BgL_ez00_5960);
											BgL_arg4344z00_10816 =
												MAKE_YOUNG_PAIR(BgL_sz00_5940, BgL_arg4345z00_10817);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_5960, BgL_arg4344z00_10816);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_____rz00_5961;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_savedzd2bpzd2_10818;

											BgL_savedzd2bpzd2_10818 = VECTOR_REF(BgL_nsz00_5954, 0L);
											VECTOR_SET(BgL_nsz00_5954, 0L, BINT(2L));
											{
												obj_t BgL_fz00_10822;

												BgL_fz00_10822 = BgL_runz00_15584;
											BgL_recz00_10821:
												{	/* Eval/evaluate_comp.scm 673 */
													obj_t BgL_rz00_10823;

													BgL_rz00_10823 =
														BGL_PROCEDURE_CALL1(BgL_fz00_10822, BgL_nsz00_5954);
													{	/* Eval/evaluate_comp.scm 674 */
														bool_t BgL_test5743z00_32681;

														if (PROCEDUREP(BgL_rz00_10823))
															{	/* Eval/evaluate_comp.scm 674 */
																obj_t BgL_arg1763z00_10826;

																BgL_arg1763z00_10826 =
																	PROCEDURE_ATTR(BgL_rz00_10823);
																if (STRUCTP(BgL_arg1763z00_10826))
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5743z00_32681 =
																			(STRUCT_KEY(BgL_arg1763z00_10826) ==
																			BGl_symbol4596z00zz__evaluate_compz00);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 654 */
																		BgL_test5743z00_32681 = ((bool_t) 0);
																	}
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																BgL_test5743z00_32681 = ((bool_t) 0);
															}
														if (BgL_test5743z00_32681)
															{
																obj_t BgL_fz00_32689;

																BgL_fz00_32689 = BgL_rz00_10823;
																BgL_fz00_10822 = BgL_fz00_32689;
																goto BgL_recz00_10821;
															}
														else
															{	/* Eval/evaluate_comp.scm 674 */
																VECTOR_SET(BgL_nsz00_5954, 0L,
																	BgL_savedzd2bpzd2_10818);
																BgL_____rz00_5961 = BgL_rz00_10823;
															}
													}
												}
											}
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5746z00_32691;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4343z00_10834;

												BgL_arg4343z00_10834 = BGL_EXITD_PROTECT(BgL_ez00_5960);
												BgL_test5746z00_32691 = PAIRP(BgL_arg4343z00_10834);
											}
											if (BgL_test5746z00_32691)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4341z00_10835;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4342z00_10836;

														BgL_arg4342z00_10836 =
															BGL_EXITD_PROTECT(BgL_ez00_5960);
														BgL_arg4341z00_10835 =
															CDR(((obj_t) BgL_arg4342z00_10836));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_5960,
														BgL_arg4341z00_10835);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										BGL_ENV_EVSTATE_SET(BgL_z12denvz12_5959, BgL_sz00_5940);
										return BgL_____rz00_5961;
									}
								}
							}
						}
				}
			}
		}

	}



/* &run4587 */
	obj_t BGl_z62run4587z62zz__evaluate_compz00(obj_t BgL_envz00_15351,
		obj_t BgL_sz00_15357)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15352;
				long BgL_siza7eza7_15353;
				obj_t BgL_valza2za2_15354;
				BgL_ev_absz00_bglt BgL_i1255z00_15355;
				obj_t BgL_bodyz00_15356;

				BgL_iboxesz00_15352 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15351, (int) (0L)));
				BgL_siza7eza7_15353 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15351, (int) (1L)));
				BgL_valza2za2_15354 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15351, (int) (2L)));
				BgL_i1255z00_15355 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15351, (int) (3L)));
				BgL_bodyz00_15356 = PROCEDURE_REF(BgL_envz00_15351, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16711;

					BgL_bpz00_16711 = VECTOR_REF(((obj_t) BgL_sz00_15357), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15357,
						BgL_iboxesz00_15352, BgL_bpz00_16711);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15357,
						BgL_valza2za2_15354,
						((long) CINT(BgL_bpz00_16711) + BgL_siza7eza7_15353));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16712;
						obj_t BgL_wherez00_16713;
						obj_t BgL_locz00_16714;

						BgL_z12denvz12_16712 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16713 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15355))->
							BgL_wherez00);
						BgL_locz00_16714 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15355))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16712, BgL_wherez00_16713,
								BgL_locz00_16714);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16715;

								BgL_za2za2resza2za2z00_16715 =
									BGL_PROCEDURE_CALL1(BgL_bodyz00_15356, BgL_sz00_15357);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16712);
								return BgL_za2za2resza2za2z00_16715;
							}
						}
					}
				}
			}
		}

	}



/* &comp-ev_app1463 */
	obj_t BGl_z62compzd2ev_app1463zb0zz__evaluate_compz00(obj_t BgL_envz00_15358,
		obj_t BgL_ez00_15359, obj_t BgL_stkz00_15360)
	{
		{	/* Eval/evaluate_comp.scm 1051 */
			{	/* Eval/evaluate_comp.scm 1053 */
				obj_t BgL__ortest_1241z00_16717;

				BgL__ortest_1241z00_16717 =
					BGl_arithzd2expressionzd2zz__evaluate_compz00(
					((BgL_ev_appz00_bglt) BgL_ez00_15359), BgL_stkz00_15360);
				if (CBOOL(BgL__ortest_1241z00_16717))
					{	/* Eval/evaluate_comp.scm 1053 */
						return BgL__ortest_1241z00_16717;
					}
				else
					{	/* Eval/evaluate_comp.scm 1054 */
						obj_t BgL__ortest_1242z00_16718;

						BgL__ortest_1242z00_16718 =
							BGl_inlinezd2callzd2zz__evaluate_compz00(
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15359)))->BgL_locz00),
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15359)))->BgL_funz00),
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15359)))->BgL_argsz00),
							BgL_stkz00_15360);
						if (CBOOL(BgL__ortest_1242z00_16718))
							{	/* Eval/evaluate_comp.scm 1054 */
								return BgL__ortest_1242z00_16718;
							}
						else
							{	/* Eval/evaluate_comp.scm 1054 */
								if (
									(bgl_list_length(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15359)))->
												BgL_argsz00)) > 4L))
									{	/* Eval/evaluate_comp.scm 1055 */
										return
											BGl_compzd2oldzd2callz00zz__evaluate_compz00(
											((BgL_ev_appz00_bglt) BgL_ez00_15359), BgL_stkz00_15360);
									}
								else
									{	/* Eval/evaluate_comp.scm 1057 */
										obj_t BgL_fz00_16719;
										long BgL_siza7eza7_16720;
										obj_t BgL_symbzd2funzd2_16721;

										BgL_fz00_16719 =
											BGl_compz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15359)))->
												BgL_funz00), BgL_stkz00_15360);
										BgL_siza7eza7_16720 = bgl_list_length(BgL_stkz00_15360);
										BgL_symbzd2funzd2_16721 =
											BGl_uncompilez00zz__evaluate_uncompz00(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15359)))->
												BgL_funz00));
										if (NULLP((((BgL_ev_appz00_bglt)
														COBJECT(((BgL_ev_appz00_bglt) BgL_ez00_15359)))->
													BgL_argsz00)))
											{	/* Eval/evaluate_comp.scm 1058 */
												return
													BGl_compzd2call0zd2zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_ez00_15359)))->
														BgL_locz00),
													(((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
																	BgL_ez00_15359)))->BgL_funz00),
													BgL_symbzd2funzd2_16721, BgL_fz00_16719,
													(((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
																	BgL_ez00_15359)))->BgL_tailzf3zf3),
													BgL_stkz00_15360, BgL_siza7eza7_16720);
											}
										else
											{	/* Eval/evaluate_comp.scm 1060 */
												obj_t BgL_a1z00_16722;
												obj_t BgL_argsz00_16723;

												{	/* Eval/evaluate_comp.scm 1060 */
													obj_t BgL_arg3436z00_16724;

													BgL_arg3436z00_16724 =
														CAR(
														(((BgL_ev_appz00_bglt) COBJECT(
																	((BgL_ev_appz00_bglt) BgL_ez00_15359)))->
															BgL_argsz00));
													BgL_a1z00_16722 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg3436z00_16724),
														BgL_stkz00_15360);
												}
												BgL_argsz00_16723 =
													CDR(
													(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_ez00_15359)))->
														BgL_argsz00));
												if (NULLP(BgL_argsz00_16723))
													{	/* Eval/evaluate_comp.scm 1060 */
														return
															BGl_compzd2call1zd2zz__evaluate_compz00(
															(((BgL_ev_appz00_bglt) COBJECT(
																		((BgL_ev_appz00_bglt) BgL_ez00_15359)))->
																BgL_locz00),
															(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_ez00_15359)))->BgL_funz00),
															BgL_symbzd2funzd2_16721, BgL_fz00_16719,
															(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_ez00_15359)))->BgL_tailzf3zf3),
															BgL_stkz00_15360, BgL_siza7eza7_16720,
															BgL_a1z00_16722);
													}
												else
													{	/* Eval/evaluate_comp.scm 1060 */
														obj_t BgL_a2z00_16725;
														obj_t BgL_argsz00_16726;

														{	/* Eval/evaluate_comp.scm 1060 */
															obj_t BgL_arg3435z00_16727;

															BgL_arg3435z00_16727 =
																CAR(((obj_t) BgL_argsz00_16723));
															BgL_a2z00_16725 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_arg3435z00_16727),
																BgL_stkz00_15360);
														}
														BgL_argsz00_16726 =
															CDR(((obj_t) BgL_argsz00_16723));
														if (NULLP(BgL_argsz00_16726))
															{	/* Eval/evaluate_comp.scm 1060 */
																return
																	BGl_compzd2call2zd2zz__evaluate_compz00(
																	(((BgL_ev_appz00_bglt) COBJECT(
																				((BgL_ev_appz00_bglt)
																					BgL_ez00_15359)))->BgL_locz00),
																	(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_ez00_15359)))->BgL_funz00),
																	BgL_symbzd2funzd2_16721, BgL_fz00_16719,
																	(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_ez00_15359)))->BgL_tailzf3zf3),
																	BgL_stkz00_15360, BgL_siza7eza7_16720,
																	BgL_a1z00_16722, BgL_a2z00_16725);
															}
														else
															{	/* Eval/evaluate_comp.scm 1060 */
																obj_t BgL_a3z00_16728;
																obj_t BgL_argsz00_16729;

																{	/* Eval/evaluate_comp.scm 1060 */
																	obj_t BgL_arg3433z00_16730;

																	BgL_arg3433z00_16730 =
																		CAR(((obj_t) BgL_argsz00_16726));
																	BgL_a3z00_16728 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt)
																			BgL_arg3433z00_16730), BgL_stkz00_15360);
																}
																BgL_argsz00_16729 =
																	CDR(((obj_t) BgL_argsz00_16726));
																if (NULLP(BgL_argsz00_16729))
																	{	/* Eval/evaluate_comp.scm 1060 */
																		return
																			BGl_compzd2call3zd2zz__evaluate_compz00(
																			(((BgL_ev_appz00_bglt) COBJECT(
																						((BgL_ev_appz00_bglt)
																							BgL_ez00_15359)))->BgL_locz00),
																			(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_ez00_15359)))->BgL_funz00),
																			BgL_symbzd2funzd2_16721, BgL_fz00_16719,
																			(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_ez00_15359)))->
																				BgL_tailzf3zf3), BgL_stkz00_15360,
																			BgL_siza7eza7_16720, BgL_a1z00_16722,
																			BgL_a2z00_16725, BgL_a3z00_16728);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 1060 */
																		obj_t BgL_a4z00_16731;
																		obj_t BgL_argsz00_16732;

																		{	/* Eval/evaluate_comp.scm 1060 */
																			obj_t BgL_arg3432z00_16733;

																			BgL_arg3432z00_16733 =
																				CAR(((obj_t) BgL_argsz00_16729));
																			BgL_a4z00_16731 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg3432z00_16733),
																				BgL_stkz00_15360);
																		}
																		BgL_argsz00_16732 =
																			CDR(((obj_t) BgL_argsz00_16729));
																		if (NULLP(BgL_argsz00_16732))
																			{	/* Eval/evaluate_comp.scm 1060 */
																				return
																					BGl_compzd2call4zd2zz__evaluate_compz00
																					((((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15359)))->
																						BgL_locz00),
																					(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15359)))->
																						BgL_funz00),
																					BgL_symbzd2funzd2_16721,
																					BgL_fz00_16719,
																					(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15359)))->
																						BgL_tailzf3zf3), BgL_stkz00_15360,
																					BgL_siza7eza7_16720, BgL_a1z00_16722,
																					BgL_a2z00_16725, BgL_a3z00_16728,
																					BgL_a4z00_16731);
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 1060 */
																				return
																					BGl_errorz00zz__errorz00
																					(BGl_string4600z00zz__evaluate_compz00,
																					BGl_string4715z00zz__evaluate_compz00,
																					BGl_string4716z00zz__evaluate_compz00);
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &comp-ev_goto1461 */
	obj_t BGl_z62compzd2ev_goto1461zb0zz__evaluate_compz00(obj_t BgL_envz00_15361,
		obj_t BgL_ez00_15362, obj_t BgL_stkz00_15363)
	{
		{	/* Eval/evaluate_comp.scm 604 */
			{	/* Eval/evaluate_comp.scm 607 */
				obj_t BgL_slotz00_16737;
				long BgL_siza7eza7_16738;
				obj_t BgL_lstkz00_16739;

				BgL_slotz00_16737 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
					((obj_t)
						(((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_ez00_15362)))->BgL_labelz00)),
					(((BgL_ev_labelsz00_bglt) COBJECT(
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15362)))->
									BgL_labelsz00)))->BgL_envz00));
				BgL_siza7eza7_16738 = bgl_list_length(BgL_stkz00_15363);
				BgL_lstkz00_16739 =
					(((BgL_ev_labelsz00_bglt) COBJECT(
							(((BgL_ev_gotoz00_bglt) COBJECT(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15362)))->BgL_labelsz00)))->
					BgL_stkz00);
				{	/* Eval/evaluate_comp.scm 609 */
					long BgL_llstkz00_16740;
					obj_t BgL_substkz00_16741;
					obj_t BgL_boxesz00_16742;

					BgL_llstkz00_16740 = bgl_list_length(BgL_lstkz00_16739);
					BgL_substkz00_16741 =
						BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_16739,
						BgL_stkz00_15363);
					{	/* Eval/evaluate_comp.scm 609 */
						obj_t BgL_pairz00_16743;

						BgL_pairz00_16743 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15362)))->BgL_labelz00)),
							(((BgL_ev_labelsz00_bglt) COBJECT(
										(((BgL_ev_gotoz00_bglt) COBJECT(
													((BgL_ev_gotoz00_bglt) BgL_ez00_15362)))->
											BgL_labelsz00)))->BgL_boxesz00));
						BgL_boxesz00_16742 = CDR(BgL_pairz00_16743);
					}
					if (BGl_needzd2shiftzd2zz__evaluate_compz00(
							(((BgL_ev_gotoz00_bglt) COBJECT(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15362)))->BgL_argsz00),
							BgL_substkz00_16741))
						{	/* Eval/evaluate_comp.scm 612 */
							obj_t BgL_argsz00_16744;
							long BgL_nbargsz00_16745;

							BgL_argsz00_16744 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15362)))->BgL_argsz00),
								BgL_stkz00_15363);
							BgL_nbargsz00_16745 =
								bgl_list_length((((BgL_ev_gotoz00_bglt)
										COBJECT(((BgL_ev_gotoz00_bglt) BgL_ez00_15362)))->
									BgL_argsz00));
							{	/* Eval/evaluate_comp.scm 613 */
								obj_t BgL_zc3z04anonymousza33381ze3z87_16746;

								BgL_zc3z04anonymousza33381ze3z87_16746 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33381ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (7L));
								PROCEDURE_SET(BgL_zc3z04anonymousza33381ze3z87_16746,
									(int) (0L), BINT(BgL_siza7eza7_16738));
								PROCEDURE_SET(BgL_zc3z04anonymousza33381ze3z87_16746,
									(int) (1L), BINT(BgL_llstkz00_16740));
								PROCEDURE_SET(BgL_zc3z04anonymousza33381ze3z87_16746,
									(int) (2L), ((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15362)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33381ze3z87_16746,
									(int) (3L), BgL_argsz00_16744);
								PROCEDURE_SET(BgL_zc3z04anonymousza33381ze3z87_16746,
									(int) (4L), BgL_boxesz00_16742);
								PROCEDURE_SET(BgL_zc3z04anonymousza33381ze3z87_16746,
									(int) (5L), BINT(BgL_nbargsz00_16745));
								PROCEDURE_SET(BgL_zc3z04anonymousza33381ze3z87_16746,
									(int) (6L), BgL_slotz00_16737);
								return BgL_zc3z04anonymousza33381ze3z87_16746;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 618 */
							obj_t BgL_argsz00_16747;

							{	/* Eval/evaluate_comp.scm 618 */
								obj_t BgL_lz00_16748;
								long BgL_nz00_16749;

								BgL_lz00_16748 =
									(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15362)))->BgL_argsz00);
								BgL_nz00_16749 = (BgL_siza7eza7_16738 - BgL_llstkz00_16740);
								BgL_argsz00_16747 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15363,
									BgL_lz00_16748, BgL_nz00_16749);
							}
							{	/* Eval/evaluate_comp.scm 619 */
								obj_t BgL_zc3z04anonymousza33389ze3z87_16750;

								BgL_zc3z04anonymousza33389ze3z87_16750 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33389ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (5L));
								PROCEDURE_SET(BgL_zc3z04anonymousza33389ze3z87_16750,
									(int) (0L), BINT(BgL_llstkz00_16740));
								PROCEDURE_SET(BgL_zc3z04anonymousza33389ze3z87_16750,
									(int) (1L), ((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15362)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33389ze3z87_16750,
									(int) (2L), BgL_argsz00_16747);
								PROCEDURE_SET(BgL_zc3z04anonymousza33389ze3z87_16750,
									(int) (3L), BgL_boxesz00_16742);
								PROCEDURE_SET(BgL_zc3z04anonymousza33389ze3z87_16750,
									(int) (4L), BgL_slotz00_16737);
								return BgL_zc3z04anonymousza33389ze3z87_16750;
							}
						}
				}
			}
		}

	}



/* &<@anonymous:3381> */
	obj_t BGl_z62zc3z04anonymousza33381ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15364, obj_t BgL_sz00_15372)
	{
		{	/* Eval/evaluate_comp.scm 613 */
			{	/* Eval/evaluate_comp.scm 613 */
				long BgL_siza7eza7_15365;
				long BgL_llstkz00_15366;
				BgL_ev_gotoz00_bglt BgL_i1153z00_15367;
				obj_t BgL_argsz00_15368;
				obj_t BgL_boxesz00_15369;
				long BgL_nbargsz00_15370;
				obj_t BgL_slotz00_15371;

				BgL_siza7eza7_15365 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15364, (int) (0L)));
				BgL_llstkz00_15366 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15364, (int) (1L)));
				BgL_i1153z00_15367 =
					((BgL_ev_gotoz00_bglt) PROCEDURE_REF(BgL_envz00_15364, (int) (2L)));
				BgL_argsz00_15368 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15364, (int) (3L)));
				BgL_boxesz00_15369 = PROCEDURE_REF(BgL_envz00_15364, (int) (4L));
				BgL_nbargsz00_15370 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15364, (int) (5L)));
				BgL_slotz00_15371 = PROCEDURE_REF(BgL_envz00_15364, (int) (6L));
				{	/* Eval/evaluate_comp.scm 613 */
					obj_t BgL_bpz00_16751;

					BgL_bpz00_16751 = VECTOR_REF(((obj_t) BgL_sz00_15372), 0L);
					{	/* Eval/evaluate_comp.scm 614 */
						long BgL_spz00_16752;
						long BgL_lspz00_16753;

						BgL_spz00_16752 =
							((long) CINT(BgL_bpz00_16751) + BgL_siza7eza7_15365);
						BgL_lspz00_16753 =
							((long) CINT(BgL_bpz00_16751) + BgL_llstkz00_15366);
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_15372, BgL_argsz00_15368, BgL_boxesz00_15369,
							BgL_spz00_16752,
							(((BgL_ev_gotoz00_bglt) COBJECT(BgL_i1153z00_15367))->
								BgL_locz00));
						{	/* Eval/evaluate_comp.scm 616 */
							long BgL_arg3384z00_16754;

							BgL_arg3384z00_16754 = (BgL_spz00_16752 + BgL_nbargsz00_15370);
							BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_15372,
								BgL_lspz00_16753, BgL_sz00_15372, BINT(BgL_spz00_16752),
								BINT(BgL_arg3384z00_16754));
						}
						return CDR(((obj_t) BgL_slotz00_15371));
					}
				}
			}
		}

	}



/* &<@anonymous:3389> */
	obj_t BGl_z62zc3z04anonymousza33389ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15373, obj_t BgL_sz00_15379)
	{
		{	/* Eval/evaluate_comp.scm 619 */
			{	/* Eval/evaluate_comp.scm 619 */
				long BgL_llstkz00_15374;
				BgL_ev_gotoz00_bglt BgL_i1153z00_15375;
				obj_t BgL_argsz00_15376;
				obj_t BgL_boxesz00_15377;
				obj_t BgL_slotz00_15378;

				BgL_llstkz00_15374 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15373, (int) (0L)));
				BgL_i1153z00_15375 =
					((BgL_ev_gotoz00_bglt) PROCEDURE_REF(BgL_envz00_15373, (int) (1L)));
				BgL_argsz00_15376 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15373, (int) (2L)));
				BgL_boxesz00_15377 = PROCEDURE_REF(BgL_envz00_15373, (int) (3L));
				BgL_slotz00_15378 = PROCEDURE_REF(BgL_envz00_15373, (int) (4L));
				{	/* Eval/evaluate_comp.scm 619 */
					obj_t BgL_bpz00_16755;

					BgL_bpz00_16755 = VECTOR_REF(((obj_t) BgL_sz00_15379), 0L);
					BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
						(BgL_sz00_15379, BgL_argsz00_15376, BgL_boxesz00_15377,
						((long) CINT(BgL_bpz00_16755) + BgL_llstkz00_15374),
						(((BgL_ev_gotoz00_bglt) COBJECT(BgL_i1153z00_15375))->BgL_locz00));
					return CDR(((obj_t) BgL_slotz00_15378));
				}
			}
		}

	}



/* &comp-ev_labels1459 */
	obj_t BGl_z62compzd2ev_labels1459zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15380, obj_t BgL_ez00_15381, obj_t BgL_stkz00_15382)
	{
		{	/* Eval/evaluate_comp.scm 572 */
			((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_ez00_15381)))->BgL_stkz00) =
				((obj_t) BgL_stkz00_15382), BUNSPEC);
			{	/* Eval/evaluate_comp.scm 579 */
				obj_t BgL_envz00_16757;

				{	/* Eval/evaluate_comp.scm 579 */
					obj_t BgL_l1343z00_16758;

					BgL_l1343z00_16758 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15381)))->BgL_varsz00);
					if (NULLP(BgL_l1343z00_16758))
						{	/* Eval/evaluate_comp.scm 579 */
							BgL_envz00_16757 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 579 */
							obj_t BgL_head1345z00_16759;

							BgL_head1345z00_16759 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1343z00_16761;
								obj_t BgL_tail1346z00_16762;

								BgL_l1343z00_16761 = BgL_l1343z00_16758;
								BgL_tail1346z00_16762 = BgL_head1345z00_16759;
							BgL_zc3z04anonymousza33371ze3z87_16760:
								if (NULLP(BgL_l1343z00_16761))
									{	/* Eval/evaluate_comp.scm 579 */
										BgL_envz00_16757 = CDR(BgL_head1345z00_16759);
									}
								else
									{	/* Eval/evaluate_comp.scm 579 */
										obj_t BgL_newtail1347z00_16763;

										{	/* Eval/evaluate_comp.scm 579 */
											obj_t BgL_arg3375z00_16764;

											{	/* Eval/evaluate_comp.scm 579 */
												obj_t BgL_vz00_16765;

												BgL_vz00_16765 = CAR(((obj_t) BgL_l1343z00_16761));
												BgL_arg3375z00_16764 =
													MAKE_YOUNG_PAIR(BgL_vz00_16765,
													BGl_symbol4717z00zz__evaluate_compz00);
											}
											BgL_newtail1347z00_16763 =
												MAKE_YOUNG_PAIR(BgL_arg3375z00_16764, BNIL);
										}
										SET_CDR(BgL_tail1346z00_16762, BgL_newtail1347z00_16763);
										{	/* Eval/evaluate_comp.scm 579 */
											obj_t BgL_arg3374z00_16766;

											BgL_arg3374z00_16766 = CDR(((obj_t) BgL_l1343z00_16761));
											{
												obj_t BgL_tail1346z00_32974;
												obj_t BgL_l1343z00_32973;

												BgL_l1343z00_32973 = BgL_arg3374z00_16766;
												BgL_tail1346z00_32974 = BgL_newtail1347z00_16763;
												BgL_tail1346z00_16762 = BgL_tail1346z00_32974;
												BgL_l1343z00_16761 = BgL_l1343z00_32973;
												goto BgL_zc3z04anonymousza33371ze3z87_16760;
											}
										}
									}
							}
						}
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15381)))->BgL_envz00) =
					((obj_t) BgL_envz00_16757), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 582 */
					obj_t BgL_g1351z00_16767;

					BgL_g1351z00_16767 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15381)))->BgL_valsz00);
					{
						obj_t BgL_ll1348z00_16769;
						obj_t BgL_ll1349z00_16770;

						BgL_ll1348z00_16769 = BgL_envz00_16757;
						BgL_ll1349z00_16770 = BgL_g1351z00_16767;
					BgL_zc3z04anonymousza33359ze3z87_16768:
						if (NULLP(BgL_ll1348z00_16769))
							{	/* Eval/evaluate_comp.scm 582 */
								((bool_t) 1);
							}
						else
							{	/* Eval/evaluate_comp.scm 582 */
								{	/* Eval/evaluate_comp.scm 584 */
									obj_t BgL_slotz00_16771;
									obj_t BgL_valz00_16772;

									BgL_slotz00_16771 = CAR(((obj_t) BgL_ll1348z00_16769));
									BgL_valz00_16772 = CAR(((obj_t) BgL_ll1349z00_16770));
									{	/* Eval/evaluate_comp.scm 585 */
										obj_t BgL_arg3361z00_16773;

										{	/* Eval/evaluate_comp.scm 585 */
											obj_t BgL_arg3362z00_16774;

											{	/* Eval/evaluate_comp.scm 585 */
												obj_t BgL_arg3364z00_16775;
												obj_t BgL_arg3365z00_16776;

												BgL_arg3364z00_16775 = CDR(((obj_t) BgL_valz00_16772));
												{	/* Eval/evaluate_comp.scm 585 */
													obj_t BgL_arg3367z00_16777;

													BgL_arg3367z00_16777 =
														CAR(((obj_t) BgL_valz00_16772));
													BgL_arg3365z00_16776 =
														BGl_appendzd221011zd2zz__evaluate_compz00
														(BgL_stkz00_15382, BgL_arg3367z00_16777);
												}
												BgL_arg3362z00_16774 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_arg3364z00_16775),
													BgL_arg3365z00_16776);
											}
											{	/* Eval/evaluate_comp.scm 574 */
												obj_t BgL_objz00_16778;

												BgL_objz00_16778 =
													BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
												{	/* Eval/evaluate_comp.scm 574 */
													obj_t BgL_tmpz00_32992;

													BgL_tmpz00_32992 = ((obj_t) BgL_arg3362z00_16774);
													PROCEDURE_ATTR_SET(BgL_tmpz00_32992,
														BgL_objz00_16778);
												}
												BgL_objz00_16778;
											}
											BgL_arg3361z00_16773 = BgL_arg3362z00_16774;
										}
										{	/* Eval/evaluate_comp.scm 584 */
											obj_t BgL_tmpz00_32995;

											BgL_tmpz00_32995 = ((obj_t) BgL_slotz00_16771);
											SET_CDR(BgL_tmpz00_32995, BgL_arg3361z00_16773);
										}
									}
								}
								{	/* Eval/evaluate_comp.scm 582 */
									obj_t BgL_arg3368z00_16779;
									obj_t BgL_arg3369z00_16780;

									BgL_arg3368z00_16779 = CDR(((obj_t) BgL_ll1348z00_16769));
									BgL_arg3369z00_16780 = CDR(((obj_t) BgL_ll1349z00_16770));
									{
										obj_t BgL_ll1349z00_33003;
										obj_t BgL_ll1348z00_33002;

										BgL_ll1348z00_33002 = BgL_arg3368z00_16779;
										BgL_ll1349z00_33003 = BgL_arg3369z00_16780;
										BgL_ll1349z00_16770 = BgL_ll1349z00_33003;
										BgL_ll1348z00_16769 = BgL_ll1348z00_33002;
										goto BgL_zc3z04anonymousza33359ze3z87_16768;
									}
								}
							}
					}
				}
			}
			{	/* Eval/evaluate_comp.scm 589 */
				obj_t BgL_bodyz00_16781;

				BgL_bodyz00_16781 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15381)))->BgL_bodyz00),
					BgL_stkz00_15382);
				{	/* Eval/evaluate_comp.scm 590 */
					obj_t BgL_zc3z04anonymousza33376ze3z87_16782;

					BgL_zc3z04anonymousza33376ze3z87_16782 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33376ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33376ze3z87_16782, (int) (0L),
						BgL_bodyz00_16781);
					return BgL_zc3z04anonymousza33376ze3z87_16782;
				}
			}
		}

	}



/* &<@anonymous:3376> */
	obj_t BGl_z62zc3z04anonymousza33376ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15383, obj_t BgL_sz00_15385)
	{
		{	/* Eval/evaluate_comp.scm 590 */
			{	/* Eval/evaluate_comp.scm 590 */
				obj_t BgL_bodyz00_15384;

				BgL_bodyz00_15384 = PROCEDURE_REF(BgL_envz00_15383, (int) (0L));
				{	/* Eval/evaluate_comp.scm 590 */
					obj_t BgL_bpz00_16783;

					BgL_bpz00_16783 = VECTOR_REF(((obj_t) BgL_sz00_15385), 0L);
					{
						obj_t BgL_fz00_16785;

						BgL_fz00_16785 = BgL_bodyz00_15384;
					BgL_recz00_16784:
						{	/* Eval/evaluate_comp.scm 597 */
							obj_t BgL_rz00_16786;

							BgL_rz00_16786 =
								BGL_PROCEDURE_CALL1(BgL_fz00_16785, BgL_sz00_15385);
							{	/* Eval/evaluate_comp.scm 599 */
								bool_t BgL_test5759z00_33020;

								if (PROCEDUREP(BgL_rz00_16786))
									{	/* Eval/evaluate_comp.scm 599 */
										obj_t BgL_arg1715z00_16787;

										BgL_arg1715z00_16787 = PROCEDURE_ATTR(BgL_rz00_16786);
										if (STRUCTP(BgL_arg1715z00_16787))
											{	/* Eval/evaluate_comp.scm 569 */
												BgL_test5759z00_33020 =
													(STRUCT_KEY(BgL_arg1715z00_16787) ==
													BGl_symbol4594z00zz__evaluate_compz00);
											}
										else
											{	/* Eval/evaluate_comp.scm 569 */
												BgL_test5759z00_33020 = ((bool_t) 0);
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 599 */
										BgL_test5759z00_33020 = ((bool_t) 0);
									}
								if (BgL_test5759z00_33020)
									{
										obj_t BgL_fz00_33028;

										BgL_fz00_33028 = BgL_rz00_16786;
										BgL_fz00_16785 = BgL_fz00_33028;
										goto BgL_recz00_16784;
									}
								else
									{	/* Eval/evaluate_comp.scm 599 */
										return BgL_rz00_16786;
									}
							}
						}
					}
				}
			}
		}

	}



/* &comp-ev_synchronize1457 */
	obj_t BGl_z62compzd2ev_synchroniza7e1457z17zz__evaluate_compz00(obj_t
		BgL_envz00_15386, obj_t BgL_ez00_15387, obj_t BgL_stkz00_15388)
	{
		{	/* Eval/evaluate_comp.scm 552 */
			{	/* Eval/evaluate_comp.scm 554 */
				obj_t BgL_mutexz00_16789;
				obj_t BgL_prelockz00_16790;
				obj_t BgL_bodyz00_16791;

				BgL_mutexz00_16789 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15387)))->
						BgL_mutexz00), BgL_stkz00_15388);
				BgL_prelockz00_16790 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15387)))->
						BgL_prelockz00), BgL_stkz00_15388);
				BgL_bodyz00_16791 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15387)))->
						BgL_bodyz00), BgL_stkz00_15388);
				{	/* Eval/evaluate_comp.scm 557 */
					obj_t BgL_zc3z04anonymousza33350ze3z87_16792;

					BgL_zc3z04anonymousza33350ze3z87_16792 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33350ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (4L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33350ze3z87_16792, (int) (0L),
						BgL_mutexz00_16789);
					PROCEDURE_SET(BgL_zc3z04anonymousza33350ze3z87_16792, (int) (1L),
						((obj_t) ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15387)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33350ze3z87_16792, (int) (2L),
						BgL_prelockz00_16790);
					PROCEDURE_SET(BgL_zc3z04anonymousza33350ze3z87_16792, (int) (3L),
						BgL_bodyz00_16791);
					return BgL_zc3z04anonymousza33350ze3z87_16792;
				}
			}
		}

	}



/* &<@anonymous:3350> */
	obj_t BGl_z62zc3z04anonymousza33350ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15389, obj_t BgL_sz00_15394)
	{
		{	/* Eval/evaluate_comp.scm 557 */
			{	/* Eval/evaluate_comp.scm 557 */
				obj_t BgL_mutexz00_15390;
				BgL_ev_synchroniza7eza7_bglt BgL_i1150z00_15391;
				obj_t BgL_prelockz00_15392;
				obj_t BgL_bodyz00_15393;

				BgL_mutexz00_15390 = PROCEDURE_REF(BgL_envz00_15389, (int) (0L));
				BgL_i1150z00_15391 =
					((BgL_ev_synchroniza7eza7_bglt)
					PROCEDURE_REF(BgL_envz00_15389, (int) (1L)));
				BgL_prelockz00_15392 = PROCEDURE_REF(BgL_envz00_15389, (int) (2L));
				BgL_bodyz00_15393 = PROCEDURE_REF(BgL_envz00_15389, (int) (3L));
				{	/* Eval/evaluate_comp.scm 557 */
					obj_t BgL_bpz00_16793;

					BgL_bpz00_16793 = VECTOR_REF(((obj_t) BgL_sz00_15394), 0L);
					{	/* Eval/evaluate_comp.scm 558 */
						obj_t BgL_mz00_16794;

						BgL_mz00_16794 =
							BGL_PROCEDURE_CALL1(BgL_mutexz00_15390, BgL_sz00_15394);
						if (BGL_MUTEXP(BgL_mz00_16794))
							{	/* Eval/evaluate_comp.scm 560 */
								obj_t BgL_pz00_16795;

								BgL_pz00_16795 =
									BGL_PROCEDURE_CALL1(BgL_prelockz00_15392, BgL_sz00_15394);
								{	/* Eval/evaluate_comp.scm 562 */
									obj_t BgL_za2za2resza2za2z00_16796;

									if (PAIRP(BgL_pz00_16795))
										{	/* Eval/evaluate_comp.scm 563 */
											obj_t BgL_top5765z00_33075;

											BgL_top5765z00_33075 = BGL_EXITD_TOP_AS_OBJ();
											BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_16794, BgL_pz00_16795);
											BGL_EXITD_PUSH_PROTECT(BgL_top5765z00_33075,
												BgL_mz00_16794);
											BUNSPEC;
											{	/* Eval/evaluate_comp.scm 563 */
												obj_t BgL_tmp5764z00_33074;

												BgL_tmp5764z00_33074 =
													BGL_PROCEDURE_CALL1(BgL_bodyz00_15393,
													BgL_sz00_15394);
												BGL_EXITD_POP_PROTECT(BgL_top5765z00_33075);
												BUNSPEC;
												BGL_MUTEX_UNLOCK(BgL_mz00_16794);
												BgL_za2za2resza2za2z00_16796 = BgL_tmp5764z00_33074;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 564 */
											obj_t BgL_top5767z00_33086;

											BgL_top5767z00_33086 = BGL_EXITD_TOP_AS_OBJ();
											BGL_MUTEX_LOCK(BgL_mz00_16794);
											BGL_EXITD_PUSH_PROTECT(BgL_top5767z00_33086,
												BgL_mz00_16794);
											BUNSPEC;
											{	/* Eval/evaluate_comp.scm 564 */
												obj_t BgL_tmp5766z00_33085;

												BgL_tmp5766z00_33085 =
													BGL_PROCEDURE_CALL1(BgL_bodyz00_15393,
													BgL_sz00_15394);
												BGL_EXITD_POP_PROTECT(BgL_top5767z00_33086);
												BUNSPEC;
												BGL_MUTEX_UNLOCK(BgL_mz00_16794);
												BgL_za2za2resza2za2z00_16796 = BgL_tmp5766z00_33085;
											}
										}
									VECTOR_SET(((obj_t) BgL_sz00_15394), 0L, BgL_bpz00_16793);
									return BgL_za2za2resza2za2z00_16796;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 559 */
								return
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_string4719z00zz__evaluate_compz00,
									BGl_string4720z00zz__evaluate_compz00, BgL_mz00_16794,
									(((BgL_ev_synchroniza7eza7_bglt)
											COBJECT(BgL_i1150z00_15391))->BgL_locz00));
							}
					}
				}
			}
		}

	}



/* &comp-ev_with-handler1455 */
	obj_t BGl_z62compzd2ev_withzd2handler1455z62zz__evaluate_compz00(obj_t
		BgL_envz00_15395, obj_t BgL_ez00_15396, obj_t BgL_stkz00_15397)
	{
		{	/* Eval/evaluate_comp.scm 543 */
			{	/* Eval/evaluate_comp.scm 545 */
				obj_t BgL_handlerz00_16798;
				obj_t BgL_bodyz00_16799;

				BgL_handlerz00_16798 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
								((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15396)))->
						BgL_handlerz00), BgL_stkz00_15397);
				BgL_bodyz00_16799 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
							COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15396)))->
						BgL_bodyz00), BgL_stkz00_15397);
				{	/* Eval/evaluate_comp.scm 546 */
					obj_t BgL_zc3z04anonymousza33343ze3z87_16800;

					BgL_zc3z04anonymousza33343ze3z87_16800 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33343ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33343ze3z87_16800, (int) (0L),
						BgL_handlerz00_16798);
					PROCEDURE_SET(BgL_zc3z04anonymousza33343ze3z87_16800, (int) (1L),
						BgL_bodyz00_16799);
					return BgL_zc3z04anonymousza33343ze3z87_16800;
				}
			}
		}

	}



/* &<@anonymous:3343> */
	obj_t BGl_z62zc3z04anonymousza33343ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15398, obj_t BgL_sz00_15401)
	{
		{	/* Eval/evaluate_comp.scm 546 */
			{	/* Eval/evaluate_comp.scm 546 */
				obj_t BgL_handlerz00_15399;
				obj_t BgL_bodyz00_15400;

				BgL_handlerz00_15399 = PROCEDURE_REF(BgL_envz00_15398, (int) (0L));
				BgL_bodyz00_15400 = PROCEDURE_REF(BgL_envz00_15398, (int) (1L));
				{	/* Eval/evaluate_comp.scm 546 */
					obj_t BgL_bpz00_16801;

					BgL_bpz00_16801 = VECTOR_REF(((obj_t) BgL_sz00_15401), 0L);
					{	/* Eval/evaluate_comp.scm 547 */
						obj_t BgL_hz00_16802;

						BgL_hz00_16802 =
							BGL_PROCEDURE_CALL1(BgL_handlerz00_15399, BgL_sz00_15401);
						{	/* Eval/evaluate_comp.scm 549 */
							obj_t BgL_za2za2resza2za2z00_16803;

							{	/* Eval/evaluate_comp.scm 549 */
								obj_t BgL_env1141z00_16804;

								BgL_env1141z00_16804 = BGL_CURRENT_DYNAMIC_ENV();
								{	/* Eval/evaluate_comp.scm 549 */
									obj_t BgL_cell1136z00_16805;

									BgL_cell1136z00_16805 = MAKE_STACK_CELL(BUNSPEC);
									{	/* Eval/evaluate_comp.scm 549 */
										obj_t BgL_val1140z00_16806;

										BgL_val1140z00_16806 =
											BGl_zc3z04exitza33345ze3ze70z60zz__evaluate_compz00
											(BgL_sz00_15401, BgL_bodyz00_15400, BgL_cell1136z00_16805,
											BgL_env1141z00_16804);
										if ((BgL_val1140z00_16806 == BgL_cell1136z00_16805))
											{	/* Eval/evaluate_comp.scm 549 */
												{	/* Eval/evaluate_comp.scm 549 */
													int BgL_tmpz00_33128;

													BgL_tmpz00_33128 = (int) (0L);
													BGL_SIGSETMASK(BgL_tmpz00_33128);
												}
												{	/* Eval/evaluate_comp.scm 549 */
													obj_t BgL_arg3344z00_16807;

													BgL_arg3344z00_16807 =
														CELL_REF(((obj_t) BgL_val1140z00_16806));
													BgL_za2za2resza2za2z00_16803 =
														BGL_PROCEDURE_CALL1(BgL_hz00_16802,
														BgL_arg3344z00_16807);
											}}
										else
											{	/* Eval/evaluate_comp.scm 549 */
												BgL_za2za2resza2za2z00_16803 = BgL_val1140z00_16806;
											}
									}
								}
							}
							VECTOR_SET(((obj_t) BgL_sz00_15401), 0L, BgL_bpz00_16801);
							return BgL_za2za2resza2za2z00_16803;
						}
					}
				}
			}
		}

	}



/* <@exit:3345>~0 */
	obj_t BGl_zc3z04exitza33345ze3ze70z60zz__evaluate_compz00(obj_t
		BgL_sz00_15582, obj_t BgL_bodyz00_15581, obj_t BgL_cell1136z00_15580,
		obj_t BgL_env1141z00_15579)
	{
		{	/* Eval/evaluate_comp.scm 549 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1145z00_4215;

			if (SET_EXIT(BgL_an_exit1145z00_4215))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if (SIGSETJMP_SAVESIGS == 0)
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1145z00_4215 = (void *) jmpbuf;
					PUSH_ENV_EXIT(BgL_env1141z00_15579, BgL_an_exit1145z00_4215, 1L);
					{	/* Eval/evaluate_comp.scm 549 */
						obj_t BgL_escape1137z00_4216;

						BgL_escape1137z00_4216 =
							BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1141z00_15579);
						{	/* Eval/evaluate_comp.scm 549 */
							obj_t BgL_res1148z00_4217;

							{	/* Eval/evaluate_comp.scm 549 */
								obj_t BgL_ohs1133z00_4218;

								BgL_ohs1133z00_4218 =
									BGL_ENV_ERROR_HANDLER_GET(BgL_env1141z00_15579);
								{	/* Eval/evaluate_comp.scm 549 */
									obj_t BgL_hds1134z00_4219;

									BgL_hds1134z00_4219 =
										MAKE_STACK_PAIR(BgL_escape1137z00_4216,
										BgL_cell1136z00_15580);
									BGL_ENV_ERROR_HANDLER_SET(BgL_env1141z00_15579,
										BgL_hds1134z00_4219);
									BUNSPEC;
									{	/* Eval/evaluate_comp.scm 549 */
										obj_t BgL_exitd1142z00_4220;

										BgL_exitd1142z00_4220 =
											BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1141z00_15579);
										{	/* Eval/evaluate_comp.scm 549 */
											obj_t BgL_tmp1144z00_4221;

											{	/* Eval/evaluate_comp.scm 549 */
												obj_t BgL_arg3346z00_4223;

												BgL_arg3346z00_4223 =
													BGL_EXITD_PROTECT(BgL_exitd1142z00_4220);
												BgL_tmp1144z00_4221 =
													MAKE_YOUNG_PAIR(BgL_ohs1133z00_4218,
													BgL_arg3346z00_4223);
											}
											{	/* Eval/evaluate_comp.scm 549 */

												BGL_EXITD_PROTECT_SET(BgL_exitd1142z00_4220,
													BgL_tmp1144z00_4221);
												BUNSPEC;
												{	/* Eval/evaluate_comp.scm 549 */
													obj_t BgL_tmp1143z00_4222;

													BgL_tmp1143z00_4222 =
														BGL_PROCEDURE_CALL1(BgL_bodyz00_15581,
														BgL_sz00_15582);
													{	/* Eval/evaluate_comp.scm 549 */
														bool_t BgL_test5769z00_33154;

														{	/* Eval/evaluate_comp.scm 549 */
															obj_t BgL_arg4343z00_10414;

															BgL_arg4343z00_10414 =
																BGL_EXITD_PROTECT(BgL_exitd1142z00_4220);
															BgL_test5769z00_33154 =
																PAIRP(BgL_arg4343z00_10414);
														}
														if (BgL_test5769z00_33154)
															{	/* Eval/evaluate_comp.scm 549 */
																obj_t BgL_arg4341z00_10415;

																{	/* Eval/evaluate_comp.scm 549 */
																	obj_t BgL_arg4342z00_10416;

																	BgL_arg4342z00_10416 =
																		BGL_EXITD_PROTECT(BgL_exitd1142z00_4220);
																	BgL_arg4341z00_10415 =
																		CDR(((obj_t) BgL_arg4342z00_10416));
																}
																BGL_EXITD_PROTECT_SET(BgL_exitd1142z00_4220,
																	BgL_arg4341z00_10415);
																BUNSPEC;
															}
														else
															{	/* Eval/evaluate_comp.scm 549 */
																BFALSE;
															}
													}
													BGL_ENV_ERROR_HANDLER_SET(BgL_env1141z00_15579,
														BgL_ohs1133z00_4218);
													BUNSPEC;
													BgL_res1148z00_4217 = BgL_tmp1143z00_4222;
												}
											}
										}
									}
								}
							}
							POP_ENV_EXIT(BgL_env1141z00_15579);
							return BgL_res1148z00_4217;
						}
					}
				}
		}

	}



/* &comp-ev_unwind-prote1452 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1452z62zz__evaluate_compz00(obj_t
		BgL_envz00_15402, obj_t BgL_ez00_15403, obj_t BgL_stkz00_15404)
	{
		{	/* Eval/evaluate_comp.scm 534 */
			{	/* Eval/evaluate_comp.scm 536 */
				obj_t BgL_ez00_16809;
				obj_t BgL_bodyz00_16810;

				BgL_ez00_16809 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
								((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15403)))->BgL_ez00),
					BgL_stkz00_15404);
				BgL_bodyz00_16810 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
							COBJECT(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15403)))->
						BgL_bodyz00), BgL_stkz00_15404);
				{	/* Eval/evaluate_comp.scm 537 */
					obj_t BgL_zc3z04anonymousza33339ze3z87_16811;

					BgL_zc3z04anonymousza33339ze3z87_16811 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33339ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33339ze3z87_16811, (int) (0L),
						BgL_bodyz00_16810);
					PROCEDURE_SET(BgL_zc3z04anonymousza33339ze3z87_16811, (int) (1L),
						BgL_ez00_16809);
					return BgL_zc3z04anonymousza33339ze3z87_16811;
				}
			}
		}

	}



/* &<@anonymous:3339> */
	obj_t BGl_z62zc3z04anonymousza33339ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15405, obj_t BgL_sz00_15408)
	{
		{	/* Eval/evaluate_comp.scm 537 */
			return
				BGl_zc3z04anonymousza33339ze3ze70z60zz__evaluate_compz00(PROCEDURE_REF
				(BgL_envz00_15405, (int) (1L)), PROCEDURE_REF(BgL_envz00_15405,
					(int) (0L)), BgL_sz00_15408);
		}

	}



/* <@anonymous:3339>~0 */
	obj_t BGl_zc3z04anonymousza33339ze3ze70z60zz__evaluate_compz00(obj_t
		BgL_ez00_15578, obj_t BgL_bodyz00_15577, obj_t BgL_sz00_4184)
	{
		{	/* Eval/evaluate_comp.scm 537 */
			{	/* Eval/evaluate_comp.scm 537 */
				obj_t BgL_bpz00_4186;

				BgL_bpz00_4186 = VECTOR_REF(((obj_t) BgL_sz00_4184), 0L);
				{	/* Eval/evaluate_comp.scm 539 */
					obj_t BgL_exitd1128z00_4188;

					BgL_exitd1128z00_4188 = BGL_EXITD_TOP_AS_OBJ();
					{	/* Eval/evaluate_comp.scm 540 */
						obj_t BgL_zc3z04anonymousza33340ze3z87_14372;

						BgL_zc3z04anonymousza33340ze3z87_14372 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33340ze3ze5zz__evaluate_compz00,
							(int) (0L), (int) (3L));
						PROCEDURE_SET(BgL_zc3z04anonymousza33340ze3z87_14372, (int) (0L),
							BgL_sz00_4184);
						PROCEDURE_SET(BgL_zc3z04anonymousza33340ze3z87_14372, (int) (1L),
							BgL_bpz00_4186);
						PROCEDURE_SET(BgL_zc3z04anonymousza33340ze3z87_14372, (int) (2L),
							BgL_bodyz00_15577);
						{	/* Eval/evaluate_comp.scm 539 */
							obj_t BgL_arg4344z00_10404;

							{	/* Eval/evaluate_comp.scm 539 */
								obj_t BgL_arg4345z00_10405;

								BgL_arg4345z00_10405 = BGL_EXITD_PROTECT(BgL_exitd1128z00_4188);
								BgL_arg4344z00_10404 =
									MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza33340ze3z87_14372,
									BgL_arg4345z00_10405);
							}
							BGL_EXITD_PROTECT_SET(BgL_exitd1128z00_4188,
								BgL_arg4344z00_10404);
							BUNSPEC;
						}
						{	/* Eval/evaluate_comp.scm 539 */
							obj_t BgL_tmp1130z00_4190;

							BgL_tmp1130z00_4190 =
								BGL_PROCEDURE_CALL1(BgL_ez00_15578, BgL_sz00_4184);
							{	/* Eval/evaluate_comp.scm 539 */
								bool_t BgL_test5770z00_33200;

								{	/* Eval/evaluate_comp.scm 539 */
									obj_t BgL_arg4343z00_10407;

									BgL_arg4343z00_10407 =
										BGL_EXITD_PROTECT(BgL_exitd1128z00_4188);
									BgL_test5770z00_33200 = PAIRP(BgL_arg4343z00_10407);
								}
								if (BgL_test5770z00_33200)
									{	/* Eval/evaluate_comp.scm 539 */
										obj_t BgL_arg4341z00_10408;

										{	/* Eval/evaluate_comp.scm 539 */
											obj_t BgL_arg4342z00_10409;

											BgL_arg4342z00_10409 =
												BGL_EXITD_PROTECT(BgL_exitd1128z00_4188);
											BgL_arg4341z00_10408 =
												CDR(((obj_t) BgL_arg4342z00_10409));
										}
										BGL_EXITD_PROTECT_SET(BgL_exitd1128z00_4188,
											BgL_arg4341z00_10408);
										BUNSPEC;
									}
								else
									{	/* Eval/evaluate_comp.scm 539 */
										BFALSE;
									}
							}
							VECTOR_SET(((obj_t) BgL_sz00_4184), 0L, BgL_bpz00_4186);
							BGL_PROCEDURE_CALL1(BgL_bodyz00_15577, BgL_sz00_4184);
							return BgL_tmp1130z00_4190;
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3340> */
	obj_t BGl_z62zc3z04anonymousza33340ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15409)
	{
		{	/* Eval/evaluate_comp.scm 539 */
			{	/* Eval/evaluate_comp.scm 540 */
				obj_t BgL_sz00_15410;
				obj_t BgL_savedzd2bpzd2_15411;
				obj_t BgL_bodyz00_15412;

				BgL_sz00_15410 = PROCEDURE_REF(BgL_envz00_15409, (int) (0L));
				BgL_savedzd2bpzd2_15411 = PROCEDURE_REF(BgL_envz00_15409, (int) (1L));
				BgL_bodyz00_15412 = PROCEDURE_REF(BgL_envz00_15409, (int) (2L));
				VECTOR_SET(((obj_t) BgL_sz00_15410), 0L, BgL_savedzd2bpzd2_15411);
				return BGL_PROCEDURE_CALL1(BgL_bodyz00_15412, BgL_sz00_15410);
			}
		}

	}



/* &comp-ev_bind-exit1450 */
	obj_t BGl_z62compzd2ev_bindzd2exit1450z62zz__evaluate_compz00(obj_t
		BgL_envz00_15413, obj_t BgL_ez00_15414, obj_t BgL_stkz00_15415)
	{
		{	/* Eval/evaluate_comp.scm 523 */
			{	/* Eval/evaluate_comp.scm 525 */
				long BgL_siza7eza7_16813;
				obj_t BgL_nstkz00_16814;

				BgL_siza7eza7_16813 = bgl_list_length(BgL_stkz00_15415);
				{	/* Eval/evaluate_comp.scm 525 */
					obj_t BgL_arg3336z00_16815;

					{	/* Eval/evaluate_comp.scm 525 */
						BgL_ev_varz00_bglt BgL_arg3338z00_16816;

						BgL_arg3338z00_16816 =
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15414)))->BgL_varz00);
						BgL_arg3336z00_16815 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg3338z00_16816), BNIL);
					}
					BgL_nstkz00_16814 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15415,
						BgL_arg3336z00_16815);
				}
				{	/* Eval/evaluate_comp.scm 526 */
					obj_t BgL_bodyz00_16817;
					obj_t BgL_effzf3zf3_16818;

					BgL_bodyz00_16817 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15414)))->BgL_bodyz00),
						BgL_nstkz00_16814);
					BgL_effzf3zf3_16818 =
						(((BgL_ev_varz00_bglt) COBJECT((((BgL_ev_bindzd2exitzd2_bglt)
										COBJECT(((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15414)))->
									BgL_varz00)))->BgL_effz00);
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_zc3z04anonymousza33330ze3z87_16819;

						BgL_zc3z04anonymousza33330ze3z87_16819 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33330ze3ze5zz__evaluate_compz00,
							(int) (1L), (int) (3L));
						PROCEDURE_SET(BgL_zc3z04anonymousza33330ze3z87_16819, (int) (0L),
							BINT(BgL_siza7eza7_16813));
						PROCEDURE_SET(BgL_zc3z04anonymousza33330ze3z87_16819, (int) (1L),
							BgL_effzf3zf3_16818);
						PROCEDURE_SET(BgL_zc3z04anonymousza33330ze3z87_16819, (int) (2L),
							BgL_bodyz00_16817);
						return BgL_zc3z04anonymousza33330ze3z87_16819;
					}
				}
			}
		}

	}



/* &<@anonymous:3330> */
	obj_t BGl_z62zc3z04anonymousza33330ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15416, obj_t BgL_sz00_15420)
	{
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 527 */
				long BgL_siza7eza7_15417;
				obj_t BgL_effzf3zf3_15418;
				obj_t BgL_bodyz00_15419;

				BgL_siza7eza7_15417 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15416, (int) (0L)));
				BgL_effzf3zf3_15418 = PROCEDURE_REF(BgL_envz00_15416, (int) (1L));
				BgL_bodyz00_15419 = PROCEDURE_REF(BgL_envz00_15416, (int) (2L));
				{	/* Eval/evaluate_comp.scm 527 */
					obj_t BgL_bpz00_16820;

					BgL_bpz00_16820 = VECTOR_REF(((obj_t) BgL_sz00_15420), 0L);
					{	/* Eval/evaluate_comp.scm 529 */
						obj_t BgL_za2za2resza2za2z00_16821;

						BgL_za2za2resza2za2z00_16821 =
							BGl_zc3z04exitza33331ze3ze70z60zz__evaluate_compz00
							(BgL_bodyz00_15419, BgL_sz00_15420, BgL_effzf3zf3_15418,
							BgL_siza7eza7_15417, BgL_bpz00_16820);
						VECTOR_SET(((obj_t) BgL_sz00_15420), 0L, BgL_bpz00_16820);
						return BgL_za2za2resza2za2z00_16821;
					}
				}
			}
		}

	}



/* <@exit:3331>~0 */
	obj_t BGl_zc3z04exitza33331ze3ze70z60zz__evaluate_compz00(obj_t
		BgL_bodyz00_15576, obj_t BgL_sz00_15575, obj_t BgL_effzf3zf3_15574,
		long BgL_siza7eza7_15573, obj_t BgL_bpz00_15572)
	{
		{	/* Eval/evaluate_comp.scm 529 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1121z00_4164;

			if (SET_EXIT(BgL_an_exit1121z00_4164))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if (SIGSETJMP_SAVESIGS == 0)
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1121z00_4164 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 529 */
						obj_t BgL_env1125z00_4165;

						BgL_env1125z00_4165 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1125z00_4165, BgL_an_exit1121z00_4164, 1L);
						{	/* Eval/evaluate_comp.scm 529 */
							obj_t BgL_an_exitd1122z00_4166;

							BgL_an_exitd1122z00_4166 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1125z00_4165);
							{	/* Eval/evaluate_comp.scm 529 */
								obj_t BgL_exitz00_14375;

								BgL_exitz00_14375 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_exitz00_14375,
									(int) (0L), BgL_an_exitd1122z00_4166);
								{	/* Eval/evaluate_comp.scm 529 */
									obj_t BgL_res1124z00_4169;

									{	/* Eval/evaluate_comp.scm 530 */
										long BgL_arg3333z00_4170;
										obj_t BgL_arg3334z00_4171;

										BgL_arg3333z00_4170 =
											((long) CINT(BgL_bpz00_15572) + BgL_siza7eza7_15573);
										if (CBOOL(BgL_effzf3zf3_15574))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_10397;

												BgL_newz00_10397 =
													create_struct(BGl_symbol4610z00zz__evaluate_compz00,
													(int) (1L));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_33275;

													BgL_tmpz00_33275 = (int) (0L);
													STRUCT_SET(BgL_newz00_10397, BgL_tmpz00_33275,
														BgL_exitz00_14375);
												}
												BgL_arg3334z00_4171 = BgL_newz00_10397;
											}
										else
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_arg3334z00_4171 = BgL_exitz00_14375;
											}
										VECTOR_SET(
											((obj_t) BgL_sz00_15575), BgL_arg3333z00_4170,
											BgL_arg3334z00_4171);
									}
									BgL_res1124z00_4169 =
										BGL_PROCEDURE_CALL1(BgL_bodyz00_15576, BgL_sz00_15575);
									POP_ENV_EXIT(BgL_env1125z00_4165);
									return BgL_res1124z00_4169;
								}
							}
						}
					}
				}
		}

	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_15421,
		obj_t BgL_val1123z00_15423)
	{
		{	/* Eval/evaluate_comp.scm 529 */
			return
				unwind_stack_until(PROCEDURE_REF(BgL_envz00_15421,
					(int) (0L)), BFALSE, BgL_val1123z00_15423, BFALSE, BFALSE);
		}

	}



/* &comp-ev_letrec1448 */
	obj_t BGl_z62compzd2ev_letrec1448zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15424, obj_t BgL_ez00_15425, obj_t BgL_stkz00_15426)
	{
		{	/* Eval/evaluate_comp.scm 494 */
			{	/* Eval/evaluate_comp.scm 496 */
				long BgL_siza7eza7_16823;
				obj_t BgL_nstkz00_16824;

				BgL_siza7eza7_16823 = bgl_list_length(BgL_stkz00_15426);
				{	/* Eval/evaluate_comp.scm 496 */
					obj_t BgL_arg3329z00_16825;

					BgL_arg3329z00_16825 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_ez00_15425))))->BgL_varsz00);
					BgL_nstkz00_16824 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15426,
						BgL_arg3329z00_16825);
				}
				{	/* Eval/evaluate_comp.scm 497 */
					obj_t BgL_cvalsz00_16826;
					obj_t BgL_bodyz00_16827;

					{	/* Eval/evaluate_comp.scm 497 */
						obj_t BgL_l1329z00_16828;

						BgL_l1329z00_16828 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15425))))->BgL_valsz00);
						if (NULLP(BgL_l1329z00_16828))
							{	/* Eval/evaluate_comp.scm 497 */
								BgL_cvalsz00_16826 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 497 */
								obj_t BgL_head1331z00_16829;

								BgL_head1331z00_16829 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1329z00_16831;
									obj_t BgL_tail1332z00_16832;

									BgL_l1329z00_16831 = BgL_l1329z00_16828;
									BgL_tail1332z00_16832 = BgL_head1331z00_16829;
								BgL_zc3z04anonymousza33323ze3z87_16830:
									if (NULLP(BgL_l1329z00_16831))
										{	/* Eval/evaluate_comp.scm 497 */
											BgL_cvalsz00_16826 = CDR(BgL_head1331z00_16829);
										}
									else
										{	/* Eval/evaluate_comp.scm 497 */
											obj_t BgL_newtail1333z00_16833;

											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_arg3326z00_16834;

												{	/* Eval/evaluate_comp.scm 497 */
													obj_t BgL_vz00_16835;

													BgL_vz00_16835 = CAR(((obj_t) BgL_l1329z00_16831));
													BgL_arg3326z00_16834 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_16835),
														BgL_nstkz00_16824);
												}
												BgL_newtail1333z00_16833 =
													MAKE_YOUNG_PAIR(BgL_arg3326z00_16834, BNIL);
											}
											SET_CDR(BgL_tail1332z00_16832, BgL_newtail1333z00_16833);
											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_arg3325z00_16836;

												BgL_arg3325z00_16836 =
													CDR(((obj_t) BgL_l1329z00_16831));
												{
													obj_t BgL_tail1332z00_33311;
													obj_t BgL_l1329z00_33310;

													BgL_l1329z00_33310 = BgL_arg3325z00_16836;
													BgL_tail1332z00_33311 = BgL_newtail1333z00_16833;
													BgL_tail1332z00_16832 = BgL_tail1332z00_33311;
													BgL_l1329z00_16831 = BgL_l1329z00_33310;
													goto BgL_zc3z04anonymousza33323ze3z87_16830;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 498 */
						BgL_ev_exprz00_bglt BgL_arg3328z00_16837;

						BgL_arg3328z00_16837 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15425))))->BgL_bodyz00);
						BgL_bodyz00_16827 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3328z00_16837,
							BgL_nstkz00_16824);
					}
					{	/* Eval/evaluate_comp.scm 499 */
						bool_t BgL_test5774z00_33316;

						{
							obj_t BgL_l1334z00_16839;

							BgL_l1334z00_16839 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_15425))))->BgL_valsz00);
						BgL_zc3z04anonymousza33320ze3z87_16838:
							if (NULLP(BgL_l1334z00_16839))
								{	/* Eval/evaluate_comp.scm 499 */
									BgL_test5774z00_33316 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 499 */
									bool_t BgL_test5776z00_33319;

									{	/* Eval/evaluate_comp.scm 499 */
										obj_t BgL_vz00_16840;

										BgL_vz00_16840 = CAR(((obj_t) BgL_l1334z00_16839));
										{	/* Eval/evaluate_comp.scm 499 */
											obj_t BgL_classz00_16841;

											BgL_classz00_16841 = BGl_ev_absz00zz__evaluate_typesz00;
											if (BGL_OBJECTP(BgL_vz00_16840))
												{	/* Eval/evaluate_comp.scm 499 */
													BgL_objectz00_bglt BgL_arg4317z00_16842;

													BgL_arg4317z00_16842 =
														(BgL_objectz00_bglt) (BgL_vz00_16840);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Eval/evaluate_comp.scm 499 */
															long BgL_idxz00_16843;

															BgL_idxz00_16843 =
																BGL_OBJECT_INHERITANCE_NUM
																(BgL_arg4317z00_16842);
															BgL_test5776z00_33319 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_16843 + 2L)) ==
																BgL_classz00_16841);
														}
													else
														{	/* Eval/evaluate_comp.scm 499 */
															bool_t BgL_res4466z00_16846;

															{	/* Eval/evaluate_comp.scm 499 */
																obj_t BgL_oclassz00_16847;

																{	/* Eval/evaluate_comp.scm 499 */
																	obj_t BgL_arg4324z00_16848;
																	long BgL_arg4325z00_16849;

																	BgL_arg4324z00_16848 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Eval/evaluate_comp.scm 499 */
																		long BgL_arg4326z00_16850;

																		BgL_arg4326z00_16850 =
																			BGL_OBJECT_CLASS_NUM
																			(BgL_arg4317z00_16842);
																		BgL_arg4325z00_16849 =
																			(BgL_arg4326z00_16850 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_16847 =
																		VECTOR_REF(BgL_arg4324z00_16848,
																		BgL_arg4325z00_16849);
																}
																{	/* Eval/evaluate_comp.scm 499 */
																	bool_t BgL__ortest_1296z00_16851;

																	BgL__ortest_1296z00_16851 =
																		(BgL_classz00_16841 == BgL_oclassz00_16847);
																	if (BgL__ortest_1296z00_16851)
																		{	/* Eval/evaluate_comp.scm 499 */
																			BgL_res4466z00_16846 =
																				BgL__ortest_1296z00_16851;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 499 */
																			long BgL_odepthz00_16852;

																			{	/* Eval/evaluate_comp.scm 499 */
																				obj_t BgL_arg4314z00_16853;

																				BgL_arg4314z00_16853 =
																					(BgL_oclassz00_16847);
																				BgL_odepthz00_16852 =
																					BGL_CLASS_DEPTH(BgL_arg4314z00_16853);
																			}
																			if ((2L < BgL_odepthz00_16852))
																				{	/* Eval/evaluate_comp.scm 499 */
																					obj_t BgL_arg4312z00_16854;

																					{	/* Eval/evaluate_comp.scm 499 */
																						obj_t BgL_arg4313z00_16855;

																						BgL_arg4313z00_16855 =
																							(BgL_oclassz00_16847);
																						BgL_arg4312z00_16854 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg4313z00_16855, 2L);
																					}
																					BgL_res4466z00_16846 =
																						(BgL_arg4312z00_16854 ==
																						BgL_classz00_16841);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 499 */
																					BgL_res4466z00_16846 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test5776z00_33319 = BgL_res4466z00_16846;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 499 */
													BgL_test5776z00_33319 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test5776z00_33319)
										{
											obj_t BgL_l1334z00_33344;

											BgL_l1334z00_33344 = CDR(((obj_t) BgL_l1334z00_16839));
											BgL_l1334z00_16839 = BgL_l1334z00_33344;
											goto BgL_zc3z04anonymousza33320ze3z87_16838;
										}
									else
										{	/* Eval/evaluate_comp.scm 499 */
											BgL_test5774z00_33316 = ((bool_t) 0);
										}
								}
						}
						if (BgL_test5774z00_33316)
							{	/* Eval/evaluate_comp.scm 500 */
								obj_t BgL_zc3z04anonymousza33284ze3z87_16856;

								BgL_zc3z04anonymousza33284ze3z87_16856 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33284ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (3L));
								PROCEDURE_SET(BgL_zc3z04anonymousza33284ze3z87_16856,
									(int) (0L), BINT(BgL_siza7eza7_16823));
								PROCEDURE_SET(BgL_zc3z04anonymousza33284ze3z87_16856,
									(int) (1L), BgL_cvalsz00_16826);
								PROCEDURE_SET(BgL_zc3z04anonymousza33284ze3z87_16856,
									(int) (2L), BgL_bodyz00_16827);
								return BgL_zc3z04anonymousza33284ze3z87_16856;
							}
						else
							{	/* Eval/evaluate_comp.scm 510 */
								obj_t BgL_zc3z04anonymousza33301ze3z87_16857;

								BgL_zc3z04anonymousza33301ze3z87_16857 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33301ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (3L));
								PROCEDURE_SET(BgL_zc3z04anonymousza33301ze3z87_16857,
									(int) (0L), BINT(BgL_siza7eza7_16823));
								PROCEDURE_SET(BgL_zc3z04anonymousza33301ze3z87_16857,
									(int) (1L), BgL_cvalsz00_16826);
								PROCEDURE_SET(BgL_zc3z04anonymousza33301ze3z87_16857,
									(int) (2L), BgL_bodyz00_16827);
								return BgL_zc3z04anonymousza33301ze3z87_16857;
							}
					}
				}
			}
		}

	}



/* &<@anonymous:3284> */
	obj_t BGl_z62zc3z04anonymousza33284ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15427, obj_t BgL_sz00_15431)
	{
		{	/* Eval/evaluate_comp.scm 500 */
			{	/* Eval/evaluate_comp.scm 500 */
				long BgL_siza7eza7_15428;
				obj_t BgL_cvalsz00_15429;
				obj_t BgL_bodyz00_15430;

				BgL_siza7eza7_15428 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15427, (int) (0L)));
				BgL_cvalsz00_15429 = PROCEDURE_REF(BgL_envz00_15427, (int) (1L));
				BgL_bodyz00_15430 = PROCEDURE_REF(BgL_envz00_15427, (int) (2L));
				{	/* Eval/evaluate_comp.scm 500 */
					obj_t BgL_bpz00_16858;

					BgL_bpz00_16858 = VECTOR_REF(((obj_t) BgL_sz00_15431), 0L);
					{	/* Eval/evaluate_comp.scm 501 */
						long BgL_g1115z00_16859;

						BgL_g1115z00_16859 =
							((long) CINT(BgL_bpz00_16858) + BgL_siza7eza7_15428);
						{
							obj_t BgL_lz00_16861;
							long BgL_iz00_16862;

							BgL_lz00_16861 = BgL_cvalsz00_15429;
							BgL_iz00_16862 = BgL_g1115z00_16859;
						BgL_recz00_16860:
							if (NULLP(BgL_lz00_16861))
								{	/* Eval/evaluate_comp.scm 502 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 502 */
									{	/* Eval/evaluate_comp.scm 503 */
										obj_t BgL_arg3288z00_16863;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_16864;

											BgL_newz00_16864 =
												create_struct(BGl_symbol4610z00zz__evaluate_compz00,
												(int) (1L));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_33385;

												BgL_tmpz00_33385 = (int) (0L);
												STRUCT_SET(BgL_newz00_16864, BgL_tmpz00_33385, BUNSPEC);
											}
											BgL_arg3288z00_16863 = BgL_newz00_16864;
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15431), BgL_iz00_16862,
											BgL_arg3288z00_16863);
									}
									{	/* Eval/evaluate_comp.scm 504 */
										obj_t BgL_arg3290z00_16865;
										long BgL_arg3291z00_16866;

										BgL_arg3290z00_16865 = CDR(((obj_t) BgL_lz00_16861));
										BgL_arg3291z00_16866 = (BgL_iz00_16862 + 1L);
										{
											long BgL_iz00_33394;
											obj_t BgL_lz00_33393;

											BgL_lz00_33393 = BgL_arg3290z00_16865;
											BgL_iz00_33394 = BgL_arg3291z00_16866;
											BgL_iz00_16862 = BgL_iz00_33394;
											BgL_lz00_16861 = BgL_lz00_33393;
											goto BgL_recz00_16860;
										}
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 505 */
						long BgL_g1116z00_16867;

						BgL_g1116z00_16867 =
							((long) CINT(BgL_bpz00_16858) + BgL_siza7eza7_15428);
						{
							obj_t BgL_lz00_16869;
							long BgL_iz00_16870;

							BgL_lz00_16869 = BgL_cvalsz00_15429;
							BgL_iz00_16870 = BgL_g1116z00_16867;
						BgL_recz00_16868:
							if (NULLP(BgL_lz00_16869))
								{	/* Eval/evaluate_comp.scm 506 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 506 */
									{	/* Eval/evaluate_comp.scm 507 */
										obj_t BgL_arg3294z00_16871;
										obj_t BgL_arg3296z00_16872;

										BgL_arg3294z00_16871 =
											VECTOR_REF(((obj_t) BgL_sz00_15431), BgL_iz00_16870);
										{	/* Eval/evaluate_comp.scm 507 */
											obj_t BgL_fun3297z00_16873;

											BgL_fun3297z00_16873 = CAR(((obj_t) BgL_lz00_16869));
											BgL_arg3296z00_16872 =
												BGL_PROCEDURE_CALL1(BgL_fun3297z00_16873,
												BgL_sz00_15431);
										}
										{	/* Eval/evaluate_comp.scm 202 */
											int BgL_auxz00_33409;
											obj_t BgL_tmpz00_33407;

											BgL_auxz00_33409 = (int) (0L);
											BgL_tmpz00_33407 = ((obj_t) BgL_arg3294z00_16871);
											STRUCT_SET(BgL_tmpz00_33407, BgL_auxz00_33409,
												BgL_arg3296z00_16872);
									}}
									{	/* Eval/evaluate_comp.scm 508 */
										obj_t BgL_arg3299z00_16874;
										long BgL_arg3300z00_16875;

										BgL_arg3299z00_16874 = CDR(((obj_t) BgL_lz00_16869));
										BgL_arg3300z00_16875 = (BgL_iz00_16870 + 1L);
										{
											long BgL_iz00_33416;
											obj_t BgL_lz00_33415;

											BgL_lz00_33415 = BgL_arg3299z00_16874;
											BgL_iz00_33416 = BgL_arg3300z00_16875;
											BgL_iz00_16870 = BgL_iz00_33416;
											BgL_lz00_16869 = BgL_lz00_33415;
											goto BgL_recz00_16868;
										}
									}
								}
						}
					}
					return BGL_PROCEDURE_CALL1(BgL_bodyz00_15430, BgL_sz00_15431);
				}
			}
		}

	}



/* &<@anonymous:3301> */
	obj_t BGl_z62zc3z04anonymousza33301ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15432, obj_t BgL_sz00_15436)
	{
		{	/* Eval/evaluate_comp.scm 510 */
			{	/* Eval/evaluate_comp.scm 510 */
				long BgL_siza7eza7_15433;
				obj_t BgL_cvalsz00_15434;
				obj_t BgL_bodyz00_15435;

				BgL_siza7eza7_15433 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15432, (int) (0L)));
				BgL_cvalsz00_15434 = PROCEDURE_REF(BgL_envz00_15432, (int) (1L));
				BgL_bodyz00_15435 = PROCEDURE_REF(BgL_envz00_15432, (int) (2L));
				{	/* Eval/evaluate_comp.scm 510 */
					obj_t BgL_bpz00_16876;

					BgL_bpz00_16876 = VECTOR_REF(((obj_t) BgL_sz00_15436), 0L);
					{	/* Eval/evaluate_comp.scm 511 */
						long BgL_g1117z00_16877;

						BgL_g1117z00_16877 =
							((long) CINT(BgL_bpz00_16876) + BgL_siza7eza7_15433);
						{
							obj_t BgL_lz00_16879;
							long BgL_iz00_16880;

							BgL_lz00_16879 = BgL_cvalsz00_15434;
							BgL_iz00_16880 = BgL_g1117z00_16877;
						BgL_recz00_16878:
							if (NULLP(BgL_lz00_16879))
								{	/* Eval/evaluate_comp.scm 512 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 512 */
									{	/* Eval/evaluate_comp.scm 513 */
										obj_t BgL_arg3304z00_16881;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_16882;

											BgL_newz00_16882 =
												create_struct(BGl_symbol4610z00zz__evaluate_compz00,
												(int) (1L));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_33436;

												BgL_tmpz00_33436 = (int) (0L);
												STRUCT_SET(BgL_newz00_16882, BgL_tmpz00_33436, BUNSPEC);
											}
											BgL_arg3304z00_16881 = BgL_newz00_16882;
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15436), BgL_iz00_16880,
											BgL_arg3304z00_16881);
									}
									{	/* Eval/evaluate_comp.scm 514 */
										obj_t BgL_arg3306z00_16883;
										long BgL_arg3307z00_16884;

										BgL_arg3306z00_16883 = CDR(((obj_t) BgL_lz00_16879));
										BgL_arg3307z00_16884 = (BgL_iz00_16880 + 1L);
										{
											long BgL_iz00_33445;
											obj_t BgL_lz00_33444;

											BgL_lz00_33444 = BgL_arg3306z00_16883;
											BgL_iz00_33445 = BgL_arg3307z00_16884;
											BgL_iz00_16880 = BgL_iz00_33445;
											BgL_lz00_16879 = BgL_lz00_33444;
											goto BgL_recz00_16878;
										}
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 515 */
						obj_t BgL_rvalsz00_16885;

						if (NULLP(BgL_cvalsz00_15434))
							{	/* Eval/evaluate_comp.scm 515 */
								BgL_rvalsz00_16885 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 515 */
								obj_t BgL_head1340z00_16886;

								BgL_head1340z00_16886 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1338z00_16888;
									obj_t BgL_tail1341z00_16889;

									BgL_l1338z00_16888 = BgL_cvalsz00_15434;
									BgL_tail1341z00_16889 = BgL_head1340z00_16886;
								BgL_zc3z04anonymousza33316ze3z87_16887:
									if (NULLP(BgL_l1338z00_16888))
										{	/* Eval/evaluate_comp.scm 515 */
											BgL_rvalsz00_16885 = CDR(BgL_head1340z00_16886);
										}
									else
										{	/* Eval/evaluate_comp.scm 515 */
											obj_t BgL_newtail1342z00_16890;

											{	/* Eval/evaluate_comp.scm 515 */
												obj_t BgL_arg3319z00_16891;

												{	/* Eval/evaluate_comp.scm 515 */
													obj_t BgL_vz00_16892;

													BgL_vz00_16892 = CAR(((obj_t) BgL_l1338z00_16888));
													BgL_arg3319z00_16891 =
														BGL_PROCEDURE_CALL1(BgL_vz00_16892, BgL_sz00_15436);
												}
												BgL_newtail1342z00_16890 =
													MAKE_YOUNG_PAIR(BgL_arg3319z00_16891, BNIL);
											}
											SET_CDR(BgL_tail1341z00_16889, BgL_newtail1342z00_16890);
											{	/* Eval/evaluate_comp.scm 515 */
												obj_t BgL_arg3318z00_16893;

												BgL_arg3318z00_16893 =
													CDR(((obj_t) BgL_l1338z00_16888));
												{
													obj_t BgL_tail1341z00_33463;
													obj_t BgL_l1338z00_33462;

													BgL_l1338z00_33462 = BgL_arg3318z00_16893;
													BgL_tail1341z00_33463 = BgL_newtail1342z00_16890;
													BgL_tail1341z00_16889 = BgL_tail1341z00_33463;
													BgL_l1338z00_16888 = BgL_l1338z00_33462;
													goto BgL_zc3z04anonymousza33316ze3z87_16887;
												}
											}
										}
								}
							}
						{	/* Eval/evaluate_comp.scm 516 */
							long BgL_g1118z00_16894;

							BgL_g1118z00_16894 =
								((long) CINT(BgL_bpz00_16876) + BgL_siza7eza7_15433);
							{
								obj_t BgL_lz00_16896;
								long BgL_iz00_16897;

								BgL_lz00_16896 = BgL_rvalsz00_16885;
								BgL_iz00_16897 = BgL_g1118z00_16894;
							BgL_recz00_16895:
								if (NULLP(BgL_lz00_16896))
									{	/* Eval/evaluate_comp.scm 517 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 517 */
										{	/* Eval/evaluate_comp.scm 518 */
											obj_t BgL_arg3310z00_16898;
											obj_t BgL_arg3312z00_16899;

											BgL_arg3310z00_16898 =
												VECTOR_REF(((obj_t) BgL_sz00_15436), BgL_iz00_16897);
											BgL_arg3312z00_16899 = CAR(((obj_t) BgL_lz00_16896));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_auxz00_33474;
												obj_t BgL_tmpz00_33472;

												BgL_auxz00_33474 = (int) (0L);
												BgL_tmpz00_33472 = ((obj_t) BgL_arg3310z00_16898);
												STRUCT_SET(BgL_tmpz00_33472, BgL_auxz00_33474,
													BgL_arg3312z00_16899);
										}}
										{	/* Eval/evaluate_comp.scm 519 */
											obj_t BgL_arg3313z00_16900;
											long BgL_arg3314z00_16901;

											BgL_arg3313z00_16900 = CDR(((obj_t) BgL_lz00_16896));
											BgL_arg3314z00_16901 = (BgL_iz00_16897 + 1L);
											{
												long BgL_iz00_33481;
												obj_t BgL_lz00_33480;

												BgL_lz00_33480 = BgL_arg3313z00_16900;
												BgL_iz00_33481 = BgL_arg3314z00_16901;
												BgL_iz00_16897 = BgL_iz00_33481;
												BgL_lz00_16896 = BgL_lz00_33480;
												goto BgL_recz00_16895;
											}
										}
									}
							}
						}
						return BGL_PROCEDURE_CALL1(BgL_bodyz00_15435, BgL_sz00_15436);
					}
				}
			}
		}

	}



/* &comp-ev_let*1446 */
	obj_t BGl_z62compzd2ev_letza21446z12zz__evaluate_compz00(obj_t
		BgL_envz00_15437, obj_t BgL_ez00_15438, obj_t BgL_stkz00_15439)
	{
		{	/* Eval/evaluate_comp.scm 481 */
			{	/* Eval/evaluate_comp.scm 483 */
				long BgL_siza7eza7_16903;
				obj_t BgL_nstkz00_16904;

				BgL_siza7eza7_16903 = bgl_list_length(BgL_stkz00_15439);
				{	/* Eval/evaluate_comp.scm 483 */
					obj_t BgL_arg3276z00_16905;

					BgL_arg3276z00_16905 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_ez00_15438))))->BgL_varsz00);
					BgL_nstkz00_16904 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15439,
						BgL_arg3276z00_16905);
				}
				{	/* Eval/evaluate_comp.scm 484 */
					obj_t BgL_valsz00_16906;
					obj_t BgL_bodyz00_16907;

					{	/* Eval/evaluate_comp.scm 484 */
						obj_t BgL_l1324z00_16908;

						BgL_l1324z00_16908 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15438))))->BgL_valsz00);
						if (NULLP(BgL_l1324z00_16908))
							{	/* Eval/evaluate_comp.scm 484 */
								BgL_valsz00_16906 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 484 */
								obj_t BgL_head1326z00_16909;

								BgL_head1326z00_16909 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1324z00_16911;
									obj_t BgL_tail1327z00_16912;

									BgL_l1324z00_16911 = BgL_l1324z00_16908;
									BgL_tail1327z00_16912 = BgL_head1326z00_16909;
								BgL_zc3z04anonymousza33270ze3z87_16910:
									if (NULLP(BgL_l1324z00_16911))
										{	/* Eval/evaluate_comp.scm 484 */
											BgL_valsz00_16906 = CDR(BgL_head1326z00_16909);
										}
									else
										{	/* Eval/evaluate_comp.scm 484 */
											obj_t BgL_newtail1328z00_16913;

											{	/* Eval/evaluate_comp.scm 484 */
												obj_t BgL_arg3274z00_16914;

												{	/* Eval/evaluate_comp.scm 484 */
													obj_t BgL_vz00_16915;

													BgL_vz00_16915 = CAR(((obj_t) BgL_l1324z00_16911));
													BgL_arg3274z00_16914 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_16915),
														BgL_nstkz00_16904);
												}
												BgL_newtail1328z00_16913 =
													MAKE_YOUNG_PAIR(BgL_arg3274z00_16914, BNIL);
											}
											SET_CDR(BgL_tail1327z00_16912, BgL_newtail1328z00_16913);
											{	/* Eval/evaluate_comp.scm 484 */
												obj_t BgL_arg3273z00_16916;

												BgL_arg3273z00_16916 =
													CDR(((obj_t) BgL_l1324z00_16911));
												{
													obj_t BgL_tail1327z00_33509;
													obj_t BgL_l1324z00_33508;

													BgL_l1324z00_33508 = BgL_arg3273z00_16916;
													BgL_tail1327z00_33509 = BgL_newtail1328z00_16913;
													BgL_tail1327z00_16912 = BgL_tail1327z00_33509;
													BgL_l1324z00_16911 = BgL_l1324z00_33508;
													goto BgL_zc3z04anonymousza33270ze3z87_16910;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 485 */
						BgL_ev_exprz00_bglt BgL_arg3275z00_16917;

						BgL_arg3275z00_16917 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15438))))->BgL_bodyz00);
						BgL_bodyz00_16907 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3275z00_16917,
							BgL_nstkz00_16904);
					}
					{	/* Eval/evaluate_comp.scm 486 */
						obj_t BgL_zc3z04anonymousza33254ze3z87_16918;

						BgL_zc3z04anonymousza33254ze3z87_16918 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33254ze3ze5zz__evaluate_compz00,
							(int) (1L), (int) (4L));
						PROCEDURE_SET(BgL_zc3z04anonymousza33254ze3z87_16918, (int) (0L),
							BINT(BgL_siza7eza7_16903));
						PROCEDURE_SET(BgL_zc3z04anonymousza33254ze3z87_16918, (int) (1L),
							((obj_t) ((BgL_ev_letza2za2_bglt) BgL_ez00_15438)));
						PROCEDURE_SET(BgL_zc3z04anonymousza33254ze3z87_16918, (int) (2L),
							BgL_valsz00_16906);
						PROCEDURE_SET(BgL_zc3z04anonymousza33254ze3z87_16918, (int) (3L),
							BgL_bodyz00_16907);
						return BgL_zc3z04anonymousza33254ze3z87_16918;
					}
				}
			}
		}

	}



/* &<@anonymous:3254> */
	obj_t BGl_z62zc3z04anonymousza33254ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15440, obj_t BgL_sz00_15445)
	{
		{	/* Eval/evaluate_comp.scm 486 */
			{	/* Eval/evaluate_comp.scm 486 */
				long BgL_siza7eza7_15441;
				BgL_ev_letza2za2_bglt BgL_i1112z00_15442;
				obj_t BgL_valsz00_15443;
				obj_t BgL_bodyz00_15444;

				BgL_siza7eza7_15441 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15440, (int) (0L)));
				BgL_i1112z00_15442 =
					((BgL_ev_letza2za2_bglt) PROCEDURE_REF(BgL_envz00_15440, (int) (1L)));
				BgL_valsz00_15443 = PROCEDURE_REF(BgL_envz00_15440, (int) (2L));
				BgL_bodyz00_15444 = PROCEDURE_REF(BgL_envz00_15440, (int) (3L));
				{	/* Eval/evaluate_comp.scm 486 */
					obj_t BgL_bpz00_16919;

					BgL_bpz00_16919 = VECTOR_REF(((obj_t) BgL_sz00_15445), 0L);
					{	/* Eval/evaluate_comp.scm 487 */
						long BgL_g1113z00_16920;

						BgL_g1113z00_16920 =
							((long) CINT(BgL_bpz00_16919) + BgL_siza7eza7_15441);
						{
							obj_t BgL_lz00_16922;
							long BgL_iz00_16923;
							obj_t BgL_bza2za2_16924;

							BgL_lz00_16922 = BgL_valsz00_15443;
							BgL_iz00_16923 = BgL_g1113z00_16920;
							BgL_bza2za2_16924 =
								(((BgL_ev_letza2za2_bglt) COBJECT(BgL_i1112z00_15442))->
								BgL_boxesz00);
						BgL_recz00_16921:
							if (NULLP(BgL_lz00_16922))
								{	/* Eval/evaluate_comp.scm 488 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 488 */
									{	/* Eval/evaluate_comp.scm 489 */
										obj_t BgL_valz00_16925;

										{	/* Eval/evaluate_comp.scm 489 */
											obj_t BgL_fun3260z00_16926;

											BgL_fun3260z00_16926 = CAR(((obj_t) BgL_lz00_16922));
											BgL_valz00_16925 =
												BGL_PROCEDURE_CALL1(BgL_fun3260z00_16926,
												BgL_sz00_15445);
										}
										{	/* Eval/evaluate_comp.scm 490 */
											obj_t BgL_arg3258z00_16927;

											if (CBOOL(CAR(((obj_t) BgL_bza2za2_16924))))
												{	/* Eval/evaluate_comp.scm 202 */
													obj_t BgL_newz00_16928;

													BgL_newz00_16928 =
														create_struct(BGl_symbol4610z00zz__evaluate_compz00,
														(int) (1L));
													{	/* Eval/evaluate_comp.scm 202 */
														int BgL_tmpz00_33556;

														BgL_tmpz00_33556 = (int) (0L);
														STRUCT_SET(BgL_newz00_16928, BgL_tmpz00_33556,
															BgL_valz00_16925);
													}
													BgL_arg3258z00_16927 = BgL_newz00_16928;
												}
											else
												{	/* Eval/evaluate_comp.scm 490 */
													BgL_arg3258z00_16927 = BgL_valz00_16925;
												}
											VECTOR_SET(
												((obj_t) BgL_sz00_15445), BgL_iz00_16923,
												BgL_arg3258z00_16927);
										}
									}
									{	/* Eval/evaluate_comp.scm 491 */
										obj_t BgL_arg3266z00_16929;
										long BgL_arg3267z00_16930;
										obj_t BgL_arg3268z00_16931;

										BgL_arg3266z00_16929 = CDR(((obj_t) BgL_lz00_16922));
										BgL_arg3267z00_16930 = (BgL_iz00_16923 + 1L);
										BgL_arg3268z00_16931 = CDR(((obj_t) BgL_bza2za2_16924));
										{
											obj_t BgL_bza2za2_33568;
											long BgL_iz00_33567;
											obj_t BgL_lz00_33566;

											BgL_lz00_33566 = BgL_arg3266z00_16929;
											BgL_iz00_33567 = BgL_arg3267z00_16930;
											BgL_bza2za2_33568 = BgL_arg3268z00_16931;
											BgL_bza2za2_16924 = BgL_bza2za2_33568;
											BgL_iz00_16923 = BgL_iz00_33567;
											BgL_lz00_16922 = BgL_lz00_33566;
											goto BgL_recz00_16921;
										}
									}
								}
						}
					}
					return BGL_PROCEDURE_CALL1(BgL_bodyz00_15444, BgL_sz00_15445);
				}
			}
		}

	}



/* &comp-ev_let1444 */
	obj_t BGl_z62compzd2ev_let1444zb0zz__evaluate_compz00(obj_t BgL_envz00_15446,
		obj_t BgL_ez00_15447, obj_t BgL_stkz00_15448)
	{
		{	/* Eval/evaluate_comp.scm 462 */
			{	/* Eval/evaluate_comp.scm 464 */
				long BgL_siza7eza7_16933;
				obj_t BgL_nstkz00_16934;

				BgL_siza7eza7_16933 = bgl_list_length(BgL_stkz00_15448);
				{	/* Eval/evaluate_comp.scm 464 */
					obj_t BgL_arg3253z00_16935;

					BgL_arg3253z00_16935 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_ez00_15447))))->BgL_varsz00);
					BgL_nstkz00_16934 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15448,
						BgL_arg3253z00_16935);
				}
				{	/* Eval/evaluate_comp.scm 465 */
					obj_t BgL_valsz00_16936;
					obj_t BgL_iboxesz00_16937;
					obj_t BgL_bodyz00_16938;

					{	/* Eval/evaluate_comp.scm 466 */
						obj_t BgL_arg3246z00_16939;

						BgL_arg3246z00_16939 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15447))))->BgL_valsz00);
						BgL_valsz00_16936 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00
							(BgL_arg3246z00_16939, BgL_stkz00_15448);
					}
					{	/* Eval/evaluate_comp.scm 467 */
						obj_t BgL_l1319z00_16940;

						BgL_l1319z00_16940 =
							(((BgL_ev_letz00_bglt) COBJECT(
									((BgL_ev_letz00_bglt) BgL_ez00_15447)))->BgL_boxesz00);
						if (NULLP(BgL_l1319z00_16940))
							{	/* Eval/evaluate_comp.scm 467 */
								BgL_iboxesz00_16937 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 467 */
								obj_t BgL_head1321z00_16941;

								BgL_head1321z00_16941 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1319z00_16943;
									obj_t BgL_tail1322z00_16944;

									BgL_l1319z00_16943 = BgL_l1319z00_16940;
									BgL_tail1322z00_16944 = BgL_head1321z00_16941;
								BgL_zc3z04anonymousza33248ze3z87_16942:
									if (NULLP(BgL_l1319z00_16943))
										{	/* Eval/evaluate_comp.scm 467 */
											BgL_iboxesz00_16937 = CDR(BgL_head1321z00_16941);
										}
									else
										{	/* Eval/evaluate_comp.scm 467 */
											obj_t BgL_newtail1323z00_16945;

											{	/* Eval/evaluate_comp.scm 467 */
												obj_t BgL_arg3251z00_16946;

												{	/* Eval/evaluate_comp.scm 467 */
													obj_t BgL_vz00_16947;

													BgL_vz00_16947 = CAR(((obj_t) BgL_l1319z00_16943));
													BgL_arg3251z00_16946 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16947,
														BgL_nstkz00_16934);
												}
												BgL_newtail1323z00_16945 =
													MAKE_YOUNG_PAIR(BgL_arg3251z00_16946, BNIL);
											}
											SET_CDR(BgL_tail1322z00_16944, BgL_newtail1323z00_16945);
											{	/* Eval/evaluate_comp.scm 467 */
												obj_t BgL_arg3250z00_16948;

												BgL_arg3250z00_16948 =
													CDR(((obj_t) BgL_l1319z00_16943));
												{
													obj_t BgL_tail1322z00_33599;
													obj_t BgL_l1319z00_33598;

													BgL_l1319z00_33598 = BgL_arg3250z00_16948;
													BgL_tail1322z00_33599 = BgL_newtail1323z00_16945;
													BgL_tail1322z00_16944 = BgL_tail1322z00_33599;
													BgL_l1319z00_16943 = BgL_l1319z00_33598;
													goto BgL_zc3z04anonymousza33248ze3z87_16942;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 468 */
						BgL_ev_exprz00_bglt BgL_arg3252z00_16949;

						BgL_arg3252z00_16949 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15447))))->BgL_bodyz00);
						BgL_bodyz00_16938 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3252z00_16949,
							BgL_nstkz00_16934);
					}
					{	/* Eval/evaluate_comp.scm 469 */
						obj_t BgL_zc3z04anonymousza33231ze3z87_16950;

						BgL_zc3z04anonymousza33231ze3z87_16950 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00,
							(int) (1L), (int) (4L));
						PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_16950, (int) (0L),
							BINT(BgL_siza7eza7_16933));
						PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_16950, (int) (1L),
							BgL_valsz00_16936);
						PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_16950, (int) (2L),
							BgL_iboxesz00_16937);
						PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_16950, (int) (3L),
							BgL_bodyz00_16938);
						return BgL_zc3z04anonymousza33231ze3z87_16950;
					}
				}
			}
		}

	}



/* &<@anonymous:3231> */
	obj_t BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15449, obj_t BgL_sz00_15454)
	{
		{	/* Eval/evaluate_comp.scm 469 */
			{	/* Eval/evaluate_comp.scm 469 */
				long BgL_siza7eza7_15450;
				obj_t BgL_valsz00_15451;
				obj_t BgL_iboxesz00_15452;
				obj_t BgL_bodyz00_15453;

				BgL_siza7eza7_15450 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15449, (int) (0L)));
				BgL_valsz00_15451 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15449, (int) (1L)));
				BgL_iboxesz00_15452 = PROCEDURE_REF(BgL_envz00_15449, (int) (2L));
				BgL_bodyz00_15453 = PROCEDURE_REF(BgL_envz00_15449, (int) (3L));
				{	/* Eval/evaluate_comp.scm 469 */
					obj_t BgL_bpz00_16951;

					BgL_bpz00_16951 = VECTOR_REF(((obj_t) BgL_sz00_15454), 0L);
					{	/* Eval/evaluate_comp.scm 470 */
						long BgL_g1111z00_16952;

						BgL_g1111z00_16952 =
							((long) CINT(BgL_bpz00_16951) + BgL_siza7eza7_15450);
						{
							obj_t BgL_lz00_16954;
							long BgL_iz00_16955;

							BgL_lz00_16954 = BgL_valsz00_15451;
							BgL_iz00_16955 = BgL_g1111z00_16952;
						BgL_recz00_16953:
							if (NULLP(BgL_lz00_16954))
								{	/* Eval/evaluate_comp.scm 471 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 471 */
									{	/* Eval/evaluate_comp.scm 472 */
										obj_t BgL_arg3234z00_16956;

										{	/* Eval/evaluate_comp.scm 472 */
											obj_t BgL_fun3235z00_16957;

											BgL_fun3235z00_16957 = CAR(((obj_t) BgL_lz00_16954));
											BgL_arg3234z00_16956 =
												BGL_PROCEDURE_CALL1(BgL_fun3235z00_16957,
												BgL_sz00_15454);
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15454), BgL_iz00_16955,
											BgL_arg3234z00_16956);
									}
									{	/* Eval/evaluate_comp.scm 473 */
										obj_t BgL_arg3238z00_16958;
										long BgL_arg3239z00_16959;

										BgL_arg3238z00_16958 = CDR(((obj_t) BgL_lz00_16954));
										BgL_arg3239z00_16959 = (BgL_iz00_16955 + 1L);
										{
											long BgL_iz00_33644;
											obj_t BgL_lz00_33643;

											BgL_lz00_33643 = BgL_arg3238z00_16958;
											BgL_iz00_33644 = BgL_arg3239z00_16959;
											BgL_iz00_16955 = BgL_iz00_33644;
											BgL_lz00_16954 = BgL_lz00_33643;
											goto BgL_recz00_16953;
										}
									}
								}
						}
					}
					{
						obj_t BgL_lz00_16961;

						BgL_lz00_16961 = BgL_iboxesz00_15452;
					BgL_recz00_16960:
						if (NULLP(BgL_lz00_16961))
							{	/* Eval/evaluate_comp.scm 475 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_comp.scm 475 */
								{	/* Eval/evaluate_comp.scm 476 */
									long BgL_iz00_16962;

									BgL_iz00_16962 =
										(
										(long) CINT(BgL_bpz00_16951) +
										(long) CINT(CAR(((obj_t) BgL_lz00_16961))));
									{	/* Eval/evaluate_comp.scm 477 */
										obj_t BgL_arg3242z00_16963;

										{	/* Eval/evaluate_comp.scm 477 */
											obj_t BgL_arg3243z00_16964;

											BgL_arg3243z00_16964 =
												VECTOR_REF(((obj_t) BgL_sz00_15454), BgL_iz00_16962);
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_16965;

												BgL_newz00_16965 =
													create_struct(BGl_symbol4610z00zz__evaluate_compz00,
													(int) (1L));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_33656;

													BgL_tmpz00_33656 = (int) (0L);
													STRUCT_SET(BgL_newz00_16965, BgL_tmpz00_33656,
														BgL_arg3243z00_16964);
												}
												BgL_arg3242z00_16963 = BgL_newz00_16965;
										}}
										VECTOR_SET(
											((obj_t) BgL_sz00_15454), BgL_iz00_16962,
											BgL_arg3242z00_16963);
								}}
								{	/* Eval/evaluate_comp.scm 478 */
									obj_t BgL_arg3245z00_16966;

									BgL_arg3245z00_16966 = CDR(((obj_t) BgL_lz00_16961));
									{
										obj_t BgL_lz00_33663;

										BgL_lz00_33663 = BgL_arg3245z00_16966;
										BgL_lz00_16961 = BgL_lz00_33663;
										goto BgL_recz00_16960;
									}
								}
							}
					}
					return BGL_PROCEDURE_CALL1(BgL_bodyz00_15453, BgL_sz00_15454);
				}
			}
		}

	}



/* &comp-ev_prog21442 */
	obj_t BGl_z62compzd2ev_prog21442zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15455, obj_t BgL_ez00_15456, obj_t BgL_stkz00_15457)
	{
		{	/* Eval/evaluate_comp.scm 456 */
			{	/* Eval/evaluate_comp.scm 458 */
				obj_t BgL_e1z00_16968;
				obj_t BgL_e2z00_16969;

				BgL_e1z00_16968 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_15456)))->BgL_e1z00),
					BgL_stkz00_15457);
				BgL_e2z00_16969 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
							COBJECT(((BgL_ev_prog2z00_bglt) BgL_ez00_15456)))->BgL_e2z00),
					BgL_stkz00_15457);
				{	/* Eval/evaluate_comp.scm 459 */
					obj_t BgL_zc3z04anonymousza33228ze3z87_16970;

					BgL_zc3z04anonymousza33228ze3z87_16970 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33228ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33228ze3z87_16970, (int) (0L),
						BgL_e1z00_16968);
					PROCEDURE_SET(BgL_zc3z04anonymousza33228ze3z87_16970, (int) (1L),
						BgL_e2z00_16969);
					return BgL_zc3z04anonymousza33228ze3z87_16970;
				}
			}
		}

	}



/* &<@anonymous:3228> */
	obj_t BGl_z62zc3z04anonymousza33228ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15458, obj_t BgL_sz00_15461)
	{
		{	/* Eval/evaluate_comp.scm 459 */
			{	/* Eval/evaluate_comp.scm 459 */
				obj_t BgL_e1z00_15459;
				obj_t BgL_e2z00_15460;

				BgL_e1z00_15459 = PROCEDURE_REF(BgL_envz00_15458, (int) (0L));
				BgL_e2z00_15460 = PROCEDURE_REF(BgL_envz00_15458, (int) (1L));
				{	/* Eval/evaluate_comp.scm 459 */
					obj_t BgL_bpz00_16971;

					BgL_bpz00_16971 = VECTOR_REF(((obj_t) BgL_sz00_15461), 0L);
					BGL_PROCEDURE_CALL1(BgL_e1z00_15459, BgL_sz00_15461);
					return BGL_PROCEDURE_CALL1(BgL_e2z00_15460, BgL_sz00_15461);
				}
			}
		}

	}



/* &comp-ev_and1440 */
	obj_t BGl_z62compzd2ev_and1440zb0zz__evaluate_compz00(obj_t BgL_envz00_15462,
		obj_t BgL_ez00_15463, obj_t BgL_stkz00_15464)
	{
		{	/* Eval/evaluate_comp.scm 446 */
			{	/* Eval/evaluate_comp.scm 448 */
				obj_t BgL_argsz00_16973;

				{	/* Eval/evaluate_comp.scm 448 */
					obj_t BgL_l1314z00_16974;

					BgL_l1314z00_16974 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_ez00_15463))))->BgL_argsz00);
					if (NULLP(BgL_l1314z00_16974))
						{	/* Eval/evaluate_comp.scm 448 */
							BgL_argsz00_16973 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 448 */
							obj_t BgL_head1316z00_16975;

							BgL_head1316z00_16975 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1314z00_16977;
								obj_t BgL_tail1317z00_16978;

								BgL_l1314z00_16977 = BgL_l1314z00_16974;
								BgL_tail1317z00_16978 = BgL_head1316z00_16975;
							BgL_zc3z04anonymousza33224ze3z87_16976:
								if (NULLP(BgL_l1314z00_16977))
									{	/* Eval/evaluate_comp.scm 448 */
										BgL_argsz00_16973 = CDR(BgL_head1316z00_16975);
									}
								else
									{	/* Eval/evaluate_comp.scm 448 */
										obj_t BgL_newtail1318z00_16979;

										{	/* Eval/evaluate_comp.scm 448 */
											obj_t BgL_arg3227z00_16980;

											{	/* Eval/evaluate_comp.scm 448 */
												obj_t BgL_ez00_16981;

												BgL_ez00_16981 = CAR(((obj_t) BgL_l1314z00_16977));
												BgL_arg3227z00_16980 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_16981),
													BgL_stkz00_15464);
											}
											BgL_newtail1318z00_16979 =
												MAKE_YOUNG_PAIR(BgL_arg3227z00_16980, BNIL);
										}
										SET_CDR(BgL_tail1317z00_16978, BgL_newtail1318z00_16979);
										{	/* Eval/evaluate_comp.scm 448 */
											obj_t BgL_arg3226z00_16982;

											BgL_arg3226z00_16982 = CDR(((obj_t) BgL_l1314z00_16977));
											{
												obj_t BgL_tail1317z00_33713;
												obj_t BgL_l1314z00_33712;

												BgL_l1314z00_33712 = BgL_arg3226z00_16982;
												BgL_tail1317z00_33713 = BgL_newtail1318z00_16979;
												BgL_tail1317z00_16978 = BgL_tail1317z00_33713;
												BgL_l1314z00_16977 = BgL_l1314z00_33712;
												goto BgL_zc3z04anonymousza33224ze3z87_16976;
											}
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 449 */
					obj_t BgL_zc3z04anonymousza33218ze3z87_16983;

					BgL_zc3z04anonymousza33218ze3z87_16983 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33218ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33218ze3z87_16983, (int) (0L),
						BgL_argsz00_16973);
					return BgL_zc3z04anonymousza33218ze3z87_16983;
				}
			}
		}

	}



/* &<@anonymous:3218> */
	obj_t BGl_z62zc3z04anonymousza33218ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15465, obj_t BgL_sz00_15467)
	{
		{	/* Eval/evaluate_comp.scm 449 */
			{	/* Eval/evaluate_comp.scm 449 */
				obj_t BgL_argsz00_15466;

				BgL_argsz00_15466 = PROCEDURE_REF(BgL_envz00_15465, (int) (0L));
				{	/* Eval/evaluate_comp.scm 449 */
					obj_t BgL_bpz00_16984;

					BgL_bpz00_16984 = VECTOR_REF(((obj_t) BgL_sz00_15467), 0L);
					{
						obj_t BgL_lz00_16986;
						obj_t BgL_rz00_16987;

						BgL_lz00_16986 = BgL_argsz00_15466;
						BgL_rz00_16987 = BTRUE;
					BgL_recz00_16985:
						if (NULLP(BgL_lz00_16986))
							{	/* Eval/evaluate_comp.scm 451 */
								return BgL_rz00_16987;
							}
						else
							{	/* Eval/evaluate_comp.scm 453 */
								obj_t BgL_vz00_16988;

								{	/* Eval/evaluate_comp.scm 453 */
									obj_t BgL_fun3222z00_16989;

									BgL_fun3222z00_16989 = CAR(((obj_t) BgL_lz00_16986));
									BgL_vz00_16988 =
										BGL_PROCEDURE_CALL1(BgL_fun3222z00_16989, BgL_sz00_15467);
								}
								if (CBOOL(BgL_vz00_16988))
									{	/* Eval/evaluate_comp.scm 454 */
										obj_t BgL_arg3221z00_16990;

										BgL_arg3221z00_16990 = CDR(((obj_t) BgL_lz00_16986));
										{
											obj_t BgL_rz00_33736;
											obj_t BgL_lz00_33735;

											BgL_lz00_33735 = BgL_arg3221z00_16990;
											BgL_rz00_33736 = BgL_vz00_16988;
											BgL_rz00_16987 = BgL_rz00_33736;
											BgL_lz00_16986 = BgL_lz00_33735;
											goto BgL_recz00_16985;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 454 */
										return BFALSE;
									}
							}
					}
				}
			}
		}

	}



/* &comp-ev_or1438 */
	obj_t BGl_z62compzd2ev_or1438zb0zz__evaluate_compz00(obj_t BgL_envz00_15468,
		obj_t BgL_ez00_15469, obj_t BgL_stkz00_15470)
	{
		{	/* Eval/evaluate_comp.scm 437 */
			{	/* Eval/evaluate_comp.scm 439 */
				obj_t BgL_argsz00_16992;

				{	/* Eval/evaluate_comp.scm 439 */
					obj_t BgL_l1309z00_16993;

					BgL_l1309z00_16993 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_ez00_15469))))->BgL_argsz00);
					if (NULLP(BgL_l1309z00_16993))
						{	/* Eval/evaluate_comp.scm 439 */
							BgL_argsz00_16992 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 439 */
							obj_t BgL_head1311z00_16994;

							BgL_head1311z00_16994 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1309z00_16996;
								obj_t BgL_tail1312z00_16997;

								BgL_l1309z00_16996 = BgL_l1309z00_16993;
								BgL_tail1312z00_16997 = BgL_head1311z00_16994;
							BgL_zc3z04anonymousza33214ze3z87_16995:
								if (NULLP(BgL_l1309z00_16996))
									{	/* Eval/evaluate_comp.scm 439 */
										BgL_argsz00_16992 = CDR(BgL_head1311z00_16994);
									}
								else
									{	/* Eval/evaluate_comp.scm 439 */
										obj_t BgL_newtail1313z00_16998;

										{	/* Eval/evaluate_comp.scm 439 */
											obj_t BgL_arg3217z00_16999;

											{	/* Eval/evaluate_comp.scm 439 */
												obj_t BgL_ez00_17000;

												BgL_ez00_17000 = CAR(((obj_t) BgL_l1309z00_16996));
												BgL_arg3217z00_16999 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_17000),
													BgL_stkz00_15470);
											}
											BgL_newtail1313z00_16998 =
												MAKE_YOUNG_PAIR(BgL_arg3217z00_16999, BNIL);
										}
										SET_CDR(BgL_tail1312z00_16997, BgL_newtail1313z00_16998);
										{	/* Eval/evaluate_comp.scm 439 */
											obj_t BgL_arg3216z00_17001;

											BgL_arg3216z00_17001 = CDR(((obj_t) BgL_l1309z00_16996));
											{
												obj_t BgL_tail1312z00_33755;
												obj_t BgL_l1309z00_33754;

												BgL_l1309z00_33754 = BgL_arg3216z00_17001;
												BgL_tail1312z00_33755 = BgL_newtail1313z00_16998;
												BgL_tail1312z00_16997 = BgL_tail1312z00_33755;
												BgL_l1309z00_16996 = BgL_l1309z00_33754;
												goto BgL_zc3z04anonymousza33214ze3z87_16995;
											}
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 440 */
					obj_t BgL_zc3z04anonymousza33208ze3z87_17002;

					BgL_zc3z04anonymousza33208ze3z87_17002 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33208ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33208ze3z87_17002, (int) (0L),
						BgL_argsz00_16992);
					return BgL_zc3z04anonymousza33208ze3z87_17002;
				}
			}
		}

	}



/* &<@anonymous:3208> */
	obj_t BGl_z62zc3z04anonymousza33208ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15471, obj_t BgL_sz00_15473)
	{
		{	/* Eval/evaluate_comp.scm 440 */
			{	/* Eval/evaluate_comp.scm 440 */
				obj_t BgL_argsz00_15472;

				BgL_argsz00_15472 = PROCEDURE_REF(BgL_envz00_15471, (int) (0L));
				{	/* Eval/evaluate_comp.scm 440 */
					obj_t BgL_bpz00_17003;

					BgL_bpz00_17003 = VECTOR_REF(((obj_t) BgL_sz00_15473), 0L);
					{
						obj_t BgL_lz00_17005;

						BgL_lz00_17005 = BgL_argsz00_15472;
					BgL_recz00_17004:
						if (NULLP(BgL_lz00_17005))
							{	/* Eval/evaluate_comp.scm 442 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 444 */
								obj_t BgL__ortest_1106z00_17006;

								{	/* Eval/evaluate_comp.scm 444 */
									obj_t BgL_fun3212z00_17007;

									BgL_fun3212z00_17007 = CAR(((obj_t) BgL_lz00_17005));
									BgL__ortest_1106z00_17006 =
										BGL_PROCEDURE_CALL1(BgL_fun3212z00_17007, BgL_sz00_15473);
								}
								if (CBOOL(BgL__ortest_1106z00_17006))
									{	/* Eval/evaluate_comp.scm 444 */
										return BgL__ortest_1106z00_17006;
									}
								else
									{	/* Eval/evaluate_comp.scm 444 */
										obj_t BgL_arg3211z00_17008;

										BgL_arg3211z00_17008 = CDR(((obj_t) BgL_lz00_17005));
										{
											obj_t BgL_lz00_33777;

											BgL_lz00_33777 = BgL_arg3211z00_17008;
											BgL_lz00_17005 = BgL_lz00_33777;
											goto BgL_recz00_17004;
										}
									}
							}
					}
				}
			}
		}

	}



/* &comp-ev_if1436 */
	obj_t BGl_z62compzd2ev_if1436zb0zz__evaluate_compz00(obj_t BgL_envz00_15474,
		obj_t BgL_ez00_15475, obj_t BgL_stkz00_15476)
	{
		{	/* Eval/evaluate_comp.scm 431 */
			{	/* Eval/evaluate_comp.scm 433 */
				obj_t BgL_pz00_17010;
				obj_t BgL_tz00_17011;
				obj_t BgL_ez00_17012;

				BgL_pz00_17010 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_ifz00_bglt) COBJECT(
								((BgL_ev_ifz00_bglt) BgL_ez00_15475)))->BgL_pz00),
					BgL_stkz00_15476);
				BgL_tz00_17011 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_15475)))->BgL_tz00),
					BgL_stkz00_15476);
				BgL_ez00_17012 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_15475)))->BgL_ez00),
					BgL_stkz00_15476);
				{	/* Eval/evaluate_comp.scm 434 */
					obj_t BgL_zc3z04anonymousza33203ze3z87_17013;

					BgL_zc3z04anonymousza33203ze3z87_17013 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33203ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (3L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33203ze3z87_17013, (int) (0L),
						BgL_ez00_17012);
					PROCEDURE_SET(BgL_zc3z04anonymousza33203ze3z87_17013, (int) (1L),
						BgL_tz00_17011);
					PROCEDURE_SET(BgL_zc3z04anonymousza33203ze3z87_17013, (int) (2L),
						BgL_pz00_17010);
					return BgL_zc3z04anonymousza33203ze3z87_17013;
				}
			}
		}

	}



/* &<@anonymous:3203> */
	obj_t BGl_z62zc3z04anonymousza33203ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15477, obj_t BgL_sz00_15481)
	{
		{	/* Eval/evaluate_comp.scm 434 */
			{	/* Eval/evaluate_comp.scm 434 */
				obj_t BgL_ez00_15478;
				obj_t BgL_tz00_15479;
				obj_t BgL_pz00_15480;

				BgL_ez00_15478 = PROCEDURE_REF(BgL_envz00_15477, (int) (0L));
				BgL_tz00_15479 = PROCEDURE_REF(BgL_envz00_15477, (int) (1L));
				BgL_pz00_15480 = PROCEDURE_REF(BgL_envz00_15477, (int) (2L));
				{	/* Eval/evaluate_comp.scm 434 */
					obj_t BgL_bpz00_17014;

					BgL_bpz00_17014 = VECTOR_REF(((obj_t) BgL_sz00_15481), 0L);
					if (CBOOL(BGL_PROCEDURE_CALL1(BgL_pz00_15480, BgL_sz00_15481)))
						{	/* Eval/evaluate_comp.scm 435 */
							return BGL_PROCEDURE_CALL1(BgL_tz00_15479, BgL_sz00_15481);
						}
					else
						{	/* Eval/evaluate_comp.scm 435 */
							return BGL_PROCEDURE_CALL1(BgL_ez00_15478, BgL_sz00_15481);
						}
				}
			}
		}

	}



/* &comp-ev_litt1434 */
	obj_t BGl_z62compzd2ev_litt1434zb0zz__evaluate_compz00(obj_t BgL_envz00_15482,
		obj_t BgL_ez00_15483, obj_t BgL_stkz00_15484)
	{
		{	/* Eval/evaluate_comp.scm 426 */
			{	/* Eval/evaluate_comp.scm 428 */
				obj_t BgL_zc3z04anonymousza33202ze3z87_17016;

				BgL_zc3z04anonymousza33202ze3z87_17016 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza33202ze3ze5zz__evaluate_compz00, (int) (1L),
					(int) (1L));
				PROCEDURE_SET(BgL_zc3z04anonymousza33202ze3z87_17016, (int) (0L),
					((obj_t) ((BgL_ev_littz00_bglt) BgL_ez00_15483)));
				return BgL_zc3z04anonymousza33202ze3z87_17016;
			}
		}

	}



/* &<@anonymous:3202> */
	obj_t BGl_z62zc3z04anonymousza33202ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15485, obj_t BgL_sz00_15487)
	{
		{	/* Eval/evaluate_comp.scm 428 */
			{	/* Eval/evaluate_comp.scm 428 */
				BgL_ev_littz00_bglt BgL_i1103z00_15486;

				BgL_i1103z00_15486 =
					((BgL_ev_littz00_bglt) PROCEDURE_REF(BgL_envz00_15485, (int) (0L)));
				{	/* Eval/evaluate_comp.scm 428 */
					obj_t BgL_bpz00_17017;

					BgL_bpz00_17017 = VECTOR_REF(((obj_t) BgL_sz00_15487), 0L);
					return
						(((BgL_ev_littz00_bglt) COBJECT(BgL_i1103z00_15486))->BgL_valuez00);
				}
			}
		}

	}



/* &comp-ev_defglobal1432 */
	obj_t BGl_z62compzd2ev_defglobal1432zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15488, obj_t BgL_ez00_15489, obj_t BgL_stkz00_15490)
	{
		{	/* Eval/evaluate_comp.scm 395 */
			{	/* Eval/evaluate_comp.scm 397 */
				obj_t BgL_ez00_17019;

				{	/* Eval/evaluate_comp.scm 397 */
					BgL_ev_exprz00_bglt BgL_arg3201z00_17020;

					BgL_arg3201z00_17020 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_15489))))->BgL_ez00);
					BgL_ez00_17019 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3201z00_17020,
						BgL_stkz00_15490);
				}
				{	/* Eval/evaluate_comp.scm 398 */
					obj_t BgL_zc3z04anonymousza33153ze3z87_17021;

					BgL_zc3z04anonymousza33153ze3z87_17021 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33153ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33153ze3z87_17021, (int) (0L),
						((obj_t) ((BgL_ev_defglobalz00_bglt) BgL_ez00_15489)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33153ze3z87_17021, (int) (1L),
						BgL_ez00_17019);
					return BgL_zc3z04anonymousza33153ze3z87_17021;
				}
			}
		}

	}



/* &<@anonymous:3153> */
	obj_t BGl_z62zc3z04anonymousza33153ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15491, obj_t BgL_sz00_15494)
	{
		{	/* Eval/evaluate_comp.scm 398 */
			{	/* Eval/evaluate_comp.scm 398 */
				BgL_ev_defglobalz00_bglt BgL_i1100z00_15492;
				obj_t BgL_ez00_15493;

				BgL_i1100z00_15492 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15491, (int) (0L)));
				BgL_ez00_15493 = PROCEDURE_REF(BgL_envz00_15491, (int) (1L));
				{	/* Eval/evaluate_comp.scm 398 */
					obj_t BgL_bpz00_17022;

					BgL_bpz00_17022 = VECTOR_REF(((obj_t) BgL_sz00_15494), 0L);
					{	/* Eval/evaluate_comp.scm 399 */
						obj_t BgL_gz00_17023;

						{	/* Eval/evaluate_comp.scm 399 */
							obj_t BgL_arg3197z00_17024;
							obj_t BgL_arg3198z00_17025;

							BgL_arg3197z00_17024 =
								(((BgL_ev_setglobalz00_bglt) COBJECT(
										((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15492)))->
								BgL_modz00);
							BgL_arg3198z00_17025 =
								(((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
											BgL_i1100z00_15492)))->BgL_namez00);
							BgL_gz00_17023 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg3197z00_17024, BgL_arg3198z00_17025);
						}
						if (CBOOL(BgL_gz00_17023))
							{	/* Eval/evaluate_comp.scm 401 */
								{

									{	/* Eval/evaluate_comp.scm 403 */
										int BgL_aux1102z00_17029;

										{	/* Eval/evaluate_comp.scm 403 */
											int BgL_res4465z00_17030;

											BgL_res4465z00_17030 =
												CINT(VECTOR_REF(((obj_t) BgL_gz00_17023), 0L));
											BgL_aux1102z00_17029 = BgL_res4465z00_17030;
										}
										switch ((long) (BgL_aux1102z00_17029))
											{
											case 0L:

												{	/* Eval/evaluate_comp.scm 405 */
													obj_t BgL_arg3154z00_17031;
													obj_t BgL_arg3155z00_17032;

													BgL_arg3154z00_17031 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15492)))->BgL_locz00);
													BgL_arg3155z00_17032 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15492)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3154z00_17031,
														BGl_string4721z00zz__evaluate_compz00,
														BGl_string4722z00zz__evaluate_compz00,
														BgL_arg3155z00_17032);
												}
												break;
											case 1L:

												{	/* Eval/evaluate_comp.scm 407 */
													obj_t BgL_arg3156z00_17033;
													obj_t BgL_arg3157z00_17034;

													BgL_arg3156z00_17033 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15492)))->BgL_locz00);
													BgL_arg3157z00_17034 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15492)))->BgL_namez00);
													{	/* Eval/evaluate_comp.scm 407 */
														obj_t BgL_list3158z00_17035;

														{	/* Eval/evaluate_comp.scm 407 */
															obj_t BgL_arg3159z00_17036;

															{	/* Eval/evaluate_comp.scm 407 */
																obj_t BgL_arg3160z00_17037;

																BgL_arg3160z00_17037 =
																	MAKE_YOUNG_PAIR(BgL_arg3157z00_17034, BNIL);
																BgL_arg3159z00_17036 =
																	MAKE_YOUNG_PAIR
																	(BGl_string4723z00zz__evaluate_compz00,
																	BgL_arg3160z00_17037);
															}
															BgL_list3158z00_17035 =
																MAKE_YOUNG_PAIR
																(BGl_string4600z00zz__evaluate_compz00,
																BgL_arg3159z00_17036);
														}
														BGl_evwarningz00zz__everrorz00(BgL_arg3156z00_17033,
															BgL_list3158z00_17035);
													}
												}
												{	/* Eval/evaluate_comp.scm 409 */
													obj_t BgL_arg3162z00_17038;
													obj_t BgL_arg3163z00_17039;

													BgL_arg3162z00_17038 =
														VECTOR_REF(((obj_t) BgL_gz00_17023), 2L);
													BgL_arg3163z00_17039 =
														BGL_PROCEDURE_CALL1(BgL_ez00_15493, BgL_sz00_15494);
													__EVMEANING_ADDRESS_SET(BgL_arg3162z00_17038,
														BgL_arg3163z00_17039);
												}
												break;
											case 2L:

												{	/* Eval/evaluate_comp.scm 411 */
													obj_t BgL_arg3164z00_17040;

													BgL_arg3164z00_17040 =
														BGL_PROCEDURE_CALL1(BgL_ez00_15493, BgL_sz00_15494);
													VECTOR_SET(
														((obj_t) BgL_gz00_17023), 2L, BgL_arg3164z00_17040);
												}
												break;
											case 3L:

												{	/* Eval/evaluate_comp.scm 413 */
													obj_t BgL_arg3166z00_17041;

													BgL_arg3166z00_17041 =
														BGL_PROCEDURE_CALL1(BgL_ez00_15493, BgL_sz00_15494);
													VECTOR_SET(
														((obj_t) BgL_gz00_17023), 2L, BgL_arg3166z00_17041);
												}
												VECTOR_SET(((obj_t) BgL_gz00_17023), 0L, BINT(2L));
												break;
											case 4L:

												{	/* Eval/evaluate_comp.scm 416 */
													obj_t BgL_arg3168z00_17042;

													BgL_arg3168z00_17042 =
														BGL_PROCEDURE_CALL1(BgL_ez00_15493, BgL_sz00_15494);
													VECTOR_SET(
														((obj_t) BgL_gz00_17023), 2L, BgL_arg3168z00_17042);
												}
												VECTOR_SET(((obj_t) BgL_gz00_17023), 0L, BINT(5L));
												break;
											default:
												{	/* Eval/evaluate_comp.scm 419 */
													obj_t BgL_arg3169z00_17027;
													obj_t BgL_arg3170z00_17028;

													BgL_arg3169z00_17027 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15492)))->BgL_locz00);
													BgL_arg3170z00_17028 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15492)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3169z00_17027,
														BGl_string4721z00zz__evaluate_compz00,
														BGl_string4722z00zz__evaluate_compz00,
														BgL_arg3170z00_17028);
												}
											}
									}
								}
								return
									(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15492)))->
									BgL_namez00);
							}
						else
							{	/* Eval/evaluate_comp.scm 421 */
								obj_t BgL_gz00_17043;

								{	/* Eval/evaluate_comp.scm 421 */
									obj_t BgL_arg3187z00_17044;
									obj_t BgL_arg3193z00_17045;
									obj_t BgL_arg3194z00_17046;

									BgL_arg3187z00_17044 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15492)))->
										BgL_namez00);
									BgL_arg3193z00_17045 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15492)))->BgL_modz00);
									BgL_arg3194z00_17046 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15492)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 421 */
										obj_t BgL_v1405z00_17047;

										BgL_v1405z00_17047 = create_vector(5L);
										VECTOR_SET(BgL_v1405z00_17047, 0L, BINT(2L));
										VECTOR_SET(BgL_v1405z00_17047, 1L, BgL_arg3187z00_17044);
										VECTOR_SET(BgL_v1405z00_17047, 2L, BUNSPEC);
										VECTOR_SET(BgL_v1405z00_17047, 3L, BgL_arg3193z00_17045);
										VECTOR_SET(BgL_v1405z00_17047, 4L, BgL_arg3194z00_17046);
										BgL_gz00_17043 = BgL_v1405z00_17047;
									}
								}
								{	/* Eval/evaluate_comp.scm 422 */
									obj_t BgL_arg3171z00_17048;

									BgL_arg3171z00_17048 =
										BGL_PROCEDURE_CALL1(BgL_ez00_15493, BgL_sz00_15494);
									VECTOR_SET(BgL_gz00_17043, 2L, BgL_arg3171z00_17048);
								}
								{	/* Eval/evaluate_comp.scm 423 */
									obj_t BgL_arg3179z00_17049;
									obj_t BgL_arg3183z00_17050;
									obj_t BgL_arg3186z00_17051;

									BgL_arg3179z00_17049 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15492)))->
										BgL_modz00);
									BgL_arg3183z00_17050 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15492)))->BgL_namez00);
									BgL_arg3186z00_17051 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15492)))->BgL_locz00);
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
										(BgL_arg3179z00_17049, BgL_arg3183z00_17050, BgL_gz00_17043,
										BgL_arg3186z00_17051);
								}
								return
									(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15492)))->
									BgL_namez00);
							}
					}
				}
			}
		}

	}



/* &comp-ev_setglobal1430 */
	obj_t BGl_z62compzd2ev_setglobal1430zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15495, obj_t BgL_ez00_15496, obj_t BgL_stkz00_15497)
	{
		{	/* Eval/evaluate_comp.scm 372 */
			{	/* Eval/evaluate_comp.scm 374 */
				obj_t BgL_gz00_17053;
				obj_t BgL_ez00_17054;

				BgL_gz00_17053 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15496)))->BgL_modz00),
					(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15496)))->BgL_namez00));
				{	/* Eval/evaluate_comp.scm 374 */
					BgL_ev_exprz00_bglt BgL_arg3152z00_17055;

					BgL_arg3152z00_17055 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setglobalz00_bglt) BgL_ez00_15496))))->BgL_ez00);
					BgL_ez00_17054 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3152z00_17055,
						BgL_stkz00_15497);
				}
				if (CBOOL(BgL_gz00_17053))
					{

						{	/* Eval/evaluate_comp.scm 376 */
							int BgL_aux1099z00_17058;

							{	/* Eval/evaluate_comp.scm 376 */
								int BgL_res4464z00_17059;

								BgL_res4464z00_17059 =
									CINT(VECTOR_REF(((obj_t) BgL_gz00_17053), 0L));
								BgL_aux1099z00_17058 = BgL_res4464z00_17059;
							}
							switch ((long) (BgL_aux1099z00_17058))
								{
								case 1L:

									{	/* Eval/evaluate_comp.scm 378 */
										obj_t BgL_zc3z04anonymousza33112ze3z87_17060;

										BgL_zc3z04anonymousza33112ze3z87_17060 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza33112ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (2L));
										PROCEDURE_SET(BgL_zc3z04anonymousza33112ze3z87_17060,
											(int) (0L), BgL_gz00_17053);
										PROCEDURE_SET(BgL_zc3z04anonymousza33112ze3z87_17060,
											(int) (1L), BgL_ez00_17054);
										return BgL_zc3z04anonymousza33112ze3z87_17060;
									}
									break;
								case 0L:
								case 4L:
								case 5L:

									return
										BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) COBJECT(
													((BgL_ev_setglobalz00_bglt) BgL_ez00_15496)))->
											BgL_locz00), BGl_string4721z00zz__evaluate_compz00,
										BGl_string4722z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt)
												COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15496)))->
											BgL_namez00));
									break;
								default:
									{	/* Eval/evaluate_comp.scm 383 */
										obj_t BgL_zc3z04anonymousza33118ze3z87_17057;

										BgL_zc3z04anonymousza33118ze3z87_17057 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (2L));
										PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_17057,
											(int) (0L), BgL_ez00_17054);
										PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_17057,
											(int) (1L), BgL_gz00_17053);
										return BgL_zc3z04anonymousza33118ze3z87_17057;
									}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 384 */
						obj_t BgL_slotz00_17061;

						BgL_slotz00_17061 = BGL_MAKE_UNSAFE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_ez00_15496)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 386 */
								obj_t BgL_gz00_17062;

								{	/* Eval/evaluate_comp.scm 386 */
									obj_t BgL_arg3129z00_17063;
									obj_t BgL_arg3136z00_17064;
									obj_t BgL_arg3137z00_17065;

									BgL_arg3129z00_17063 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15496)))->
										BgL_namez00);
									BgL_arg3136z00_17064 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15496)))->
										BgL_modz00);
									BgL_arg3137z00_17065 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15496)))->
										BgL_locz00);
									{	/* Eval/evaluate_comp.scm 386 */
										obj_t BgL_v1405z00_17066;

										BgL_v1405z00_17066 = create_vector(5L);
										VECTOR_SET(BgL_v1405z00_17066, 0L, BINT(2L));
										VECTOR_SET(BgL_v1405z00_17066, 1L, BgL_arg3129z00_17063);
										VECTOR_SET(BgL_v1405z00_17066, 2L, BUNSPEC);
										VECTOR_SET(BgL_v1405z00_17066, 3L, BgL_arg3136z00_17064);
										VECTOR_SET(BgL_v1405z00_17066, 4L, BgL_arg3137z00_17065);
										BgL_gz00_17062 = BgL_v1405z00_17066;
									}
								}
								VECTOR_SET(BgL_gz00_17062, 0L, BINT(3L));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15496)))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15496)))->
										BgL_namez00), BgL_gz00_17062,
									(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15496)))->
										BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 385 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 389 */
							obj_t BgL_zc3z04anonymousza33140ze3z87_17067;

							BgL_zc3z04anonymousza33140ze3z87_17067 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza33140ze3ze5zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_zc3z04anonymousza33140ze3z87_17067, (int) (0L),
								((obj_t) ((BgL_ev_setglobalz00_bglt) BgL_ez00_15496)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33140ze3z87_17067, (int) (1L),
								((obj_t) BgL_slotz00_17061));
							PROCEDURE_SET(BgL_zc3z04anonymousza33140ze3z87_17067, (int) (2L),
								BgL_ez00_17054);
							return BgL_zc3z04anonymousza33140ze3z87_17067;
						}
					}
			}
		}

	}



/* &<@anonymous:3112> */
	obj_t BGl_z62zc3z04anonymousza33112ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15500, obj_t BgL_sz00_15503)
	{
		{	/* Eval/evaluate_comp.scm 378 */
			{	/* Eval/evaluate_comp.scm 378 */
				obj_t BgL_gz00_15501;
				obj_t BgL_ez00_15502;

				BgL_gz00_15501 = PROCEDURE_REF(BgL_envz00_15500, (int) (0L));
				BgL_ez00_15502 = PROCEDURE_REF(BgL_envz00_15500, (int) (1L));
				{	/* Eval/evaluate_comp.scm 378 */
					obj_t BgL_bpz00_17068;

					BgL_bpz00_17068 = VECTOR_REF(((obj_t) BgL_sz00_15503), 0L);
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_arg3114z00_17069;
						obj_t BgL_arg3115z00_17070;

						BgL_arg3114z00_17069 = VECTOR_REF(((obj_t) BgL_gz00_15501), 2L);
						BgL_arg3115z00_17070 =
							BGL_PROCEDURE_CALL1(BgL_ez00_15502, BgL_sz00_15503);
						return
							__EVMEANING_ADDRESS_SET(BgL_arg3114z00_17069,
							BgL_arg3115z00_17070);
					}
				}
			}
		}

	}



/* &<@anonymous:3118> */
	obj_t BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15504, obj_t BgL_sz00_15507)
	{
		{	/* Eval/evaluate_comp.scm 383 */
			{	/* Eval/evaluate_comp.scm 383 */
				obj_t BgL_ez00_15505;
				obj_t BgL_gz00_15506;

				BgL_ez00_15505 = PROCEDURE_REF(BgL_envz00_15504, (int) (0L));
				BgL_gz00_15506 = PROCEDURE_REF(BgL_envz00_15504, (int) (1L));
				{	/* Eval/evaluate_comp.scm 383 */
					obj_t BgL_bpz00_17071;

					BgL_bpz00_17071 = VECTOR_REF(((obj_t) BgL_sz00_15507), 0L);
					{	/* Eval/evaluate_comp.scm 383 */
						obj_t BgL_arg3119z00_17072;

						BgL_arg3119z00_17072 =
							BGL_PROCEDURE_CALL1(BgL_ez00_15505, BgL_sz00_15507);
						return
							VECTOR_SET(((obj_t) BgL_gz00_15506), 2L, BgL_arg3119z00_17072);
					}
				}
			}
		}

	}



/* &<@anonymous:3140> */
	obj_t BGl_z62zc3z04anonymousza33140ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15508, obj_t BgL_sz00_15512)
	{
		{	/* Eval/evaluate_comp.scm 389 */
			{	/* Eval/evaluate_comp.scm 389 */
				BgL_ev_setglobalz00_bglt BgL_i1097z00_15509;
				obj_t BgL_slotz00_15510;
				obj_t BgL_ez00_15511;

				BgL_i1097z00_15509 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15508, (int) (0L)));
				BgL_slotz00_15510 = PROCEDURE_REF(BgL_envz00_15508, (int) (1L));
				BgL_ez00_15511 = PROCEDURE_REF(BgL_envz00_15508, (int) (2L));
				{	/* Eval/evaluate_comp.scm 389 */
					obj_t BgL_bpz00_17073;

					BgL_bpz00_17073 = VECTOR_REF(((obj_t) BgL_sz00_15512), 0L);
					if (CBOOL(BGL_UNSAFE_CELL_REF(BgL_slotz00_15510)))
						{	/* Eval/evaluate_comp.scm 390 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 390 */
							{	/* Eval/evaluate_comp.scm 391 */
								obj_t BgL_auxz00_17074;

								BgL_auxz00_17074 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15509))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15509))->
										BgL_namez00));
								BGL_UNSAFE_CELL_SET(BgL_slotz00_15510, BgL_auxz00_17074);
							}
							if (CBOOL(BGL_UNSAFE_CELL_REF(BgL_slotz00_15510)))
								{	/* Eval/evaluate_comp.scm 392 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 392 */
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15509))->
											BgL_locz00), BGl_string4600z00zz__evaluate_compz00,
										BGl_string4724z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15509))->
											BgL_namez00));
								}
						}
					{	/* Eval/evaluate_comp.scm 393 */
						obj_t BgL_arg3147z00_17075;

						BgL_arg3147z00_17075 =
							BGL_PROCEDURE_CALL1(BgL_ez00_15511, BgL_sz00_15512);
						{	/* Eval/evaluate_comp.scm 393 */
							obj_t BgL_evalzd2globalzd2_17076;

							BgL_evalzd2globalzd2_17076 =
								BGL_UNSAFE_CELL_REF(BgL_slotz00_15510);
							return
								VECTOR_SET(BgL_evalzd2globalzd2_17076, 2L,
								BgL_arg3147z00_17075);
						}
					}
				}
			}
		}

	}



/* &comp-ev_global1428 */
	obj_t BGl_z62compzd2ev_global1428zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15514, obj_t BgL_varz00_15515, obj_t BgL_stkz00_15516)
	{
		{	/* Eval/evaluate_comp.scm 339 */
			{	/* Eval/evaluate_comp.scm 341 */
				obj_t BgL_gz00_17078;

				BgL_gz00_17078 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_varz00_15515)))->BgL_modz00),
					(((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_varz00_15515)))->BgL_namez00));
				if (CBOOL(BgL_gz00_17078))
					{	/* Eval/evaluate_comp.scm 343 */
						bool_t BgL_test5810z00_34070;

						{	/* Eval/evaluate_comp.scm 343 */
							int BgL_arg3057z00_17079;

							{	/* Eval/evaluate_comp.scm 343 */
								int BgL_res4462z00_17080;

								BgL_res4462z00_17080 =
									CINT(VECTOR_REF(((obj_t) BgL_gz00_17078), 0L));
								BgL_arg3057z00_17079 = BgL_res4462z00_17080;
							}
							BgL_test5810z00_34070 = (BINT(BgL_arg3057z00_17079) == BINT(1L));
						}
						if (BgL_test5810z00_34070)
							{	/* Eval/evaluate_comp.scm 344 */
								obj_t BgL_zc3z04anonymousza33054ze3z87_17081;

								BgL_zc3z04anonymousza33054ze3z87_17081 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33054ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza33054ze3z87_17081,
									(int) (0L), BgL_gz00_17078);
								return BgL_zc3z04anonymousza33054ze3z87_17081;
							}
						else
							{	/* Eval/evaluate_comp.scm 346 */
								obj_t BgL_zc3z04anonymousza33056ze3z87_17082;

								BgL_zc3z04anonymousza33056ze3z87_17082 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33056ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza33056ze3z87_17082,
									(int) (0L), BgL_gz00_17078);
								return BgL_zc3z04anonymousza33056ze3z87_17082;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 348 */
						obj_t BgL_slotz00_17083;

						BgL_slotz00_17083 = BGL_MAKE_UNSAFE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_globalz00_bglt) COBJECT(
											((BgL_ev_globalz00_bglt) BgL_varz00_15515)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 350 */
								obj_t BgL_gz00_17084;

								{	/* Eval/evaluate_comp.scm 350 */
									obj_t BgL_arg3071z00_17085;
									obj_t BgL_arg3072z00_17086;
									obj_t BgL_arg3074z00_17087;

									BgL_arg3071z00_17085 =
										(((BgL_ev_globalz00_bglt) COBJECT(
												((BgL_ev_globalz00_bglt) BgL_varz00_15515)))->
										BgL_namez00);
									BgL_arg3072z00_17086 =
										(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15515)))->BgL_modz00);
									BgL_arg3074z00_17087 =
										(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15515)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 350 */
										obj_t BgL_v1405z00_17088;

										BgL_v1405z00_17088 = create_vector(5L);
										VECTOR_SET(BgL_v1405z00_17088, 0L, BINT(2L));
										VECTOR_SET(BgL_v1405z00_17088, 1L, BgL_arg3071z00_17085);
										VECTOR_SET(BgL_v1405z00_17088, 2L, BUNSPEC);
										VECTOR_SET(BgL_v1405z00_17088, 3L, BgL_arg3072z00_17086);
										VECTOR_SET(BgL_v1405z00_17088, 4L, BgL_arg3074z00_17087);
										BgL_gz00_17084 = BgL_v1405z00_17088;
									}
								}
								VECTOR_SET(BgL_gz00_17084, 0L, BINT(3L));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) COBJECT(
												((BgL_ev_globalz00_bglt) BgL_varz00_15515)))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15515)))->BgL_namez00), BgL_gz00_17084,
									(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15515)))->BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 349 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 353 */
							obj_t BgL_zc3z04anonymousza33076ze3z87_17089;

							BgL_zc3z04anonymousza33076ze3z87_17089 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza33076ze3ze5zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_zc3z04anonymousza33076ze3z87_17089, (int) (0L),
								((obj_t) ((BgL_ev_globalz00_bglt) BgL_varz00_15515)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33076ze3z87_17089, (int) (1L),
								((obj_t) BgL_slotz00_17083));
							return BgL_zc3z04anonymousza33076ze3z87_17089;
						}
					}
			}
		}

	}



/* &<@anonymous:3054> */
	obj_t BGl_z62zc3z04anonymousza33054ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15519, obj_t BgL_sz00_15521)
	{
		{	/* Eval/evaluate_comp.scm 344 */
			{	/* Eval/evaluate_comp.scm 344 */
				obj_t BgL_gz00_15520;

				BgL_gz00_15520 = PROCEDURE_REF(BgL_envz00_15519, (int) (0L));
				{	/* Eval/evaluate_comp.scm 344 */
					obj_t BgL_bpz00_17090;

					BgL_bpz00_17090 = VECTOR_REF(((obj_t) BgL_sz00_15521), 0L);
					{	/* Eval/evaluate_comp.scm 345 */
						obj_t BgL_arg3055z00_17091;

						BgL_arg3055z00_17091 = VECTOR_REF(((obj_t) BgL_gz00_15520), 2L);
						return __EVMEANING_ADDRESS_REF(BgL_arg3055z00_17091);
					}
				}
			}
		}

	}



/* &<@anonymous:3056> */
	obj_t BGl_z62zc3z04anonymousza33056ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15522, obj_t BgL_sz00_15524)
	{
		{	/* Eval/evaluate_comp.scm 346 */
			{	/* Eval/evaluate_comp.scm 346 */
				obj_t BgL_gz00_15523;

				BgL_gz00_15523 = PROCEDURE_REF(BgL_envz00_15522, (int) (0L));
				{	/* Eval/evaluate_comp.scm 346 */
					obj_t BgL_bpz00_17092;

					BgL_bpz00_17092 = VECTOR_REF(((obj_t) BgL_sz00_15524), 0L);
					return VECTOR_REF(((obj_t) BgL_gz00_15523), 2L);
				}
			}
		}

	}



/* &<@anonymous:3076> */
	obj_t BGl_z62zc3z04anonymousza33076ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15525, obj_t BgL_sz00_15528)
	{
		{	/* Eval/evaluate_comp.scm 353 */
			{	/* Eval/evaluate_comp.scm 353 */
				BgL_ev_globalz00_bglt BgL_i1096z00_15526;
				obj_t BgL_slotz00_15527;

				BgL_i1096z00_15526 =
					((BgL_ev_globalz00_bglt) PROCEDURE_REF(BgL_envz00_15525, (int) (0L)));
				BgL_slotz00_15527 = PROCEDURE_REF(BgL_envz00_15525, (int) (1L));
				{	/* Eval/evaluate_comp.scm 353 */
					obj_t BgL_bpz00_17093;

					BgL_bpz00_17093 = VECTOR_REF(((obj_t) BgL_sz00_15528), 0L);
					if (CBOOL(BGL_UNSAFE_CELL_REF(BgL_slotz00_15527)))
						{	/* Eval/evaluate_comp.scm 354 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 354 */
							{	/* Eval/evaluate_comp.scm 355 */
								obj_t BgL_auxz00_17094;

								BgL_auxz00_17094 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15526))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15526))->
										BgL_namez00));
								BGL_UNSAFE_CELL_SET(BgL_slotz00_15527, BgL_auxz00_17094);
							}
							if (CBOOL(BGL_UNSAFE_CELL_REF(BgL_slotz00_15527)))
								{	/* Eval/evaluate_comp.scm 356 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 357 */
									obj_t BgL_idz00_17095;

									if (BGl_evmodulezf3zf3zz__evmodulez00(
											(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15526))->
												BgL_modz00)))
										{	/* Eval/evaluate_comp.scm 358 */
											obj_t BgL_arg3083z00_17096;

											{	/* Eval/evaluate_comp.scm 358 */
												obj_t BgL_arg3084z00_17097;
												obj_t BgL_arg3086z00_17098;

												BgL_arg3084z00_17097 =
													(((BgL_ev_globalz00_bglt)
														COBJECT(BgL_i1096z00_15526))->BgL_namez00);
												BgL_arg3086z00_17098 =
													MAKE_YOUNG_PAIR(BGl_evmodulezd2namezd2zz__evmodulez00(
														(((BgL_ev_globalz00_bglt)
																COBJECT(BgL_i1096z00_15526))->BgL_modz00)),
													BNIL);
												BgL_arg3083z00_17096 =
													MAKE_YOUNG_PAIR(BgL_arg3084z00_17097,
													BgL_arg3086z00_17098);
											}
											BgL_idz00_17095 =
												MAKE_YOUNG_PAIR(BGl_symbol4725z00zz__evaluate_compz00,
												BgL_arg3083z00_17096);
										}
									else
										{	/* Eval/evaluate_comp.scm 357 */
											BgL_idz00_17095 =
												(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15526))->
												BgL_namez00);
										}
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15526))->
											BgL_locz00), BGl_string4600z00zz__evaluate_compz00,
										BGl_string4724z00zz__evaluate_compz00, BgL_idz00_17095);
								}
						}
					{	/* Eval/evaluate_comp.scm 361 */
						obj_t BgL_vz00_17099;

						{	/* Eval/evaluate_comp.scm 361 */
							obj_t BgL_evalzd2globalzd2_17100;

							BgL_evalzd2globalzd2_17100 =
								BGL_UNSAFE_CELL_REF(BgL_slotz00_15527);
							BgL_vz00_17099 = VECTOR_REF(BgL_evalzd2globalzd2_17100, 2L);
						}
						if ((BgL_vz00_17099 == BUNSPEC))
							{	/* Eval/evaluate_comp.scm 363 */
								int BgL_tz00_17101;

								{	/* Eval/evaluate_comp.scm 363 */
									int BgL_res4463z00_17102;

									{	/* Eval/evaluate_comp.scm 363 */
										obj_t BgL_evalzd2globalzd2_17103;

										BgL_evalzd2globalzd2_17103 =
											BGL_UNSAFE_CELL_REF(BgL_slotz00_15527);
										BgL_res4463z00_17102 =
											CINT(VECTOR_REF(BgL_evalzd2globalzd2_17103, 0L));
									}
									BgL_tz00_17101 = BgL_res4463z00_17102;
								}
								{	/* Eval/evaluate_comp.scm 364 */
									bool_t BgL_test5816z00_34167;

									if (((long) (BgL_tz00_17101) == 3L))
										{	/* Eval/evaluate_comp.scm 364 */
											BgL_test5816z00_34167 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 364 */
											BgL_test5816z00_34167 = ((long) (BgL_tz00_17101) == 4L);
										}
									if (BgL_test5816z00_34167)
										{	/* Eval/evaluate_comp.scm 365 */
											obj_t BgL_idz00_17104;

											if (BGl_evmodulezf3zf3zz__evmodulez00(
													(((BgL_ev_globalz00_bglt)
															COBJECT(BgL_i1096z00_15526))->BgL_modz00)))
												{	/* Eval/evaluate_comp.scm 366 */
													obj_t BgL_arg3098z00_17105;

													{	/* Eval/evaluate_comp.scm 366 */
														obj_t BgL_arg3103z00_17106;
														obj_t BgL_arg3104z00_17107;

														BgL_arg3103z00_17106 =
															(((BgL_ev_globalz00_bglt)
																COBJECT(BgL_i1096z00_15526))->BgL_namez00);
														BgL_arg3104z00_17107 =
															MAKE_YOUNG_PAIR
															(BGl_evmodulezd2namezd2zz__evmodulez00(((
																		(BgL_ev_globalz00_bglt)
																		COBJECT(BgL_i1096z00_15526))->BgL_modz00)),
															BNIL);
														BgL_arg3098z00_17105 =
															MAKE_YOUNG_PAIR(BgL_arg3103z00_17106,
															BgL_arg3104z00_17107);
													}
													BgL_idz00_17104 =
														MAKE_YOUNG_PAIR
														(BGl_symbol4725z00zz__evaluate_compz00,
														BgL_arg3098z00_17105);
												}
											else
												{	/* Eval/evaluate_comp.scm 365 */
													BgL_idz00_17104 =
														(((BgL_ev_globalz00_bglt)
															COBJECT(BgL_i1096z00_15526))->BgL_namez00);
												}
											return
												BGl_everrorz00zz__everrorz00(
												(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15526))->
													BgL_locz00), BGl_string4600z00zz__evaluate_compz00,
												BGl_string4727z00zz__evaluate_compz00, BgL_idz00_17104);
										}
									else
										{	/* Eval/evaluate_comp.scm 364 */
											return BgL_vz00_17099;
										}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 362 */
								return BgL_vz00_17099;
							}
					}
				}
			}
		}

	}



/* &comp-ev_setlocal1426 */
	obj_t BGl_z62compzd2ev_setlocal1426zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15530, obj_t BgL_ez00_15531, obj_t BgL_stkz00_15532)
	{
		{	/* Eval/evaluate_comp.scm 321 */
			{	/* Eval/evaluate_comp.scm 323 */
				obj_t BgL_iz00_17109;
				obj_t BgL_ez00_17110;

				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_varz00_bglt BgL_arg3049z00_17111;

					BgL_arg3049z00_17111 =
						(((BgL_ev_setlocalz00_bglt) COBJECT(
								((BgL_ev_setlocalz00_bglt) BgL_ez00_15531)))->BgL_vz00);
					BgL_iz00_17109 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_arg3049z00_17111), BgL_stkz00_15532);
				}
				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_exprz00_bglt BgL_arg3050z00_17112;

					BgL_arg3050z00_17112 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setlocalz00_bglt) BgL_ez00_15531))))->BgL_ez00);
					BgL_ez00_17110 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3050z00_17112,
						BgL_stkz00_15532);
				}
				if (CBOOL(
						(((BgL_ev_varz00_bglt) COBJECT(
									(((BgL_ev_setlocalz00_bglt) COBJECT(
												((BgL_ev_setlocalz00_bglt) BgL_ez00_15531)))->
										BgL_vz00)))->BgL_effz00)))
					{	/* Eval/evaluate_comp.scm 326 */
						obj_t BgL_zc3z04anonymousza33030ze3z87_17113;

						BgL_zc3z04anonymousza33030ze3z87_17113 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00,
							(int) (1L), (int) (2L));
						PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_17113, (int) (0L),
							BgL_iz00_17109);
						PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_17113, (int) (1L),
							BgL_ez00_17110);
						return BgL_zc3z04anonymousza33030ze3z87_17113;
					}
				else
					{	/* Eval/evaluate_comp.scm 328 */
						obj_t BgL_zc3z04anonymousza33043ze3z87_17114;

						BgL_zc3z04anonymousza33043ze3z87_17114 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33043ze3ze5zz__evaluate_compz00,
							(int) (1L), (int) (2L));
						PROCEDURE_SET(BgL_zc3z04anonymousza33043ze3z87_17114, (int) (0L),
							BgL_iz00_17109);
						PROCEDURE_SET(BgL_zc3z04anonymousza33043ze3z87_17114, (int) (1L),
							BgL_ez00_17110);
						return BgL_zc3z04anonymousza33043ze3z87_17114;
					}
			}
		}

	}



/* &<@anonymous:3030> */
	obj_t BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15533, obj_t BgL_sz00_15536)
	{
		{	/* Eval/evaluate_comp.scm 326 */
			{	/* Eval/evaluate_comp.scm 326 */
				obj_t BgL_iz00_15534;
				obj_t BgL_ez00_15535;

				BgL_iz00_15534 = PROCEDURE_REF(BgL_envz00_15533, (int) (0L));
				BgL_ez00_15535 = PROCEDURE_REF(BgL_envz00_15533, (int) (1L));
				{	/* Eval/evaluate_comp.scm 326 */
					obj_t BgL_bpz00_17115;

					BgL_bpz00_17115 = VECTOR_REF(((obj_t) BgL_sz00_15536), 0L);
					{	/* Eval/evaluate_comp.scm 327 */
						obj_t BgL_arg3031z00_17116;
						obj_t BgL_arg3034z00_17117;

						{	/* Eval/evaluate_comp.scm 327 */
							long BgL_arg3042z00_17118;

							BgL_arg3042z00_17118 =
								((long) CINT(BgL_bpz00_17115) + (long) CINT(BgL_iz00_15534));
							BgL_arg3031z00_17116 =
								VECTOR_REF(((obj_t) BgL_sz00_15536), BgL_arg3042z00_17118);
						}
						BgL_arg3034z00_17117 =
							BGL_PROCEDURE_CALL1(BgL_ez00_15535, BgL_sz00_15536);
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_xz00_17119;

							{	/* Eval/evaluate_comp.scm 202 */
								int BgL_auxz00_34229;
								obj_t BgL_tmpz00_34227;

								BgL_auxz00_34229 = (int) (0L);
								BgL_tmpz00_34227 = ((obj_t) BgL_arg3031z00_17116);
								BgL_xz00_17119 =
									STRUCT_SET(BgL_tmpz00_34227, BgL_auxz00_34229,
									BgL_arg3034z00_17117);
							}
							return BUNSPEC;
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3043> */
	obj_t BGl_z62zc3z04anonymousza33043ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15537, obj_t BgL_sz00_15540)
	{
		{	/* Eval/evaluate_comp.scm 328 */
			{	/* Eval/evaluate_comp.scm 328 */
				obj_t BgL_iz00_15538;
				obj_t BgL_ez00_15539;

				BgL_iz00_15538 = PROCEDURE_REF(BgL_envz00_15537, (int) (0L));
				BgL_ez00_15539 = PROCEDURE_REF(BgL_envz00_15537, (int) (1L));
				{	/* Eval/evaluate_comp.scm 328 */
					obj_t BgL_bpz00_17120;

					BgL_bpz00_17120 = VECTOR_REF(((obj_t) BgL_sz00_15540), 0L);
					{	/* Eval/evaluate_comp.scm 329 */
						long BgL_arg3046z00_17121;
						obj_t BgL_arg3048z00_17122;

						BgL_arg3046z00_17121 =
							((long) CINT(BgL_bpz00_17120) + (long) CINT(BgL_iz00_15538));
						BgL_arg3048z00_17122 =
							BGL_PROCEDURE_CALL1(BgL_ez00_15539, BgL_sz00_15540);
						return
							VECTOR_SET(
							((obj_t) BgL_sz00_15540), BgL_arg3046z00_17121,
							BgL_arg3048z00_17122);
					}
				}
			}
		}

	}



/* &comp-ev_var1424 */
	obj_t BGl_z62compzd2ev_var1424zb0zz__evaluate_compz00(obj_t BgL_envz00_15541,
		obj_t BgL_varz00_15542, obj_t BgL_stkz00_15543)
	{
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 317 */
				obj_t BgL_iz00_17124;

				BgL_iz00_17124 =
					BGl__indexz00zz__evaluate_compz00(
					((obj_t) ((BgL_ev_varz00_bglt) BgL_varz00_15542)), BgL_stkz00_15543);
				{

					if (INTEGERP(BgL_iz00_17124))
						{	/* Eval/evaluate_comp.scm 319 */
							switch ((long) CINT(BgL_iz00_17124))
								{
								case 0L:

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15542)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4728z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4729z00zz__evaluate_compz00;
										}
									break;
								case 1L:

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15542)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4730z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4731z00zz__evaluate_compz00;
										}
									break;
								case 2L:

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15542)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4732z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4733z00zz__evaluate_compz00;
										}
									break;
								case 3L:

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15542)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4734z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4735z00zz__evaluate_compz00;
										}
									break;
								default:
								BgL_case_else1091z00_17125:
									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15542)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3z04anonymousza33024ze3z87_17126;

											BgL_zc3z04anonymousza33024ze3z87_17126 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza33024ze3ze5zz__evaluate_compz00,
												(int) (1L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza33024ze3z87_17126,
												(int) (0L), BgL_iz00_17124);
											return BgL_zc3z04anonymousza33024ze3z87_17126;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3z04anonymousza33027ze3z87_17127;

											BgL_zc3z04anonymousza33027ze3z87_17127 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00,
												(int) (1L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza33027ze3z87_17127,
												(int) (0L), BgL_iz00_17124);
											return BgL_zc3z04anonymousza33027ze3z87_17127;
										}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 319 */
							goto BgL_case_else1091z00_17125;
						}
				}
			}
		}

	}



/* &<@anonymous:3017> */
	obj_t BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15544, obj_t BgL_sz00_15545)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_17128;

				BgL_bpz00_17128 = VECTOR_REF(((obj_t) BgL_sz00_15545), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg3018z00_17129;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3019z00_17130;

						BgL_arg3019z00_17130 = ((long) CINT(BgL_bpz00_17128) + 3L);
						BgL_arg3018z00_17129 =
							VECTOR_REF(((obj_t) BgL_sz00_15545), BgL_arg3019z00_17130);
					}
					return STRUCT_REF(((obj_t) BgL_arg3018z00_17129), (int) (0L));
		}}}

	}



/* &<@anonymous:3020> */
	obj_t BGl_z62zc3z04anonymousza33020ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15546, obj_t BgL_sz00_15547)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_17131;

				BgL_bpz00_17131 = VECTOR_REF(((obj_t) BgL_sz00_15547), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg3022z00_17132;

					BgL_arg3022z00_17132 = ((long) CINT(BgL_bpz00_17131) + 3L);
					return VECTOR_REF(((obj_t) BgL_sz00_15547), BgL_arg3022z00_17132);
				}
			}
		}

	}



/* &<@anonymous:3010> */
	obj_t BGl_z62zc3z04anonymousza33010ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15548, obj_t BgL_sz00_15549)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_17133;

				BgL_bpz00_17133 = VECTOR_REF(((obj_t) BgL_sz00_15549), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg3011z00_17134;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3012z00_17135;

						BgL_arg3012z00_17135 = ((long) CINT(BgL_bpz00_17133) + 2L);
						BgL_arg3011z00_17134 =
							VECTOR_REF(((obj_t) BgL_sz00_15549), BgL_arg3012z00_17135);
					}
					return STRUCT_REF(((obj_t) BgL_arg3011z00_17134), (int) (0L));
		}}}

	}



/* &<@anonymous:3013> */
	obj_t BGl_z62zc3z04anonymousza33013ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15550, obj_t BgL_sz00_15551)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_17136;

				BgL_bpz00_17136 = VECTOR_REF(((obj_t) BgL_sz00_15551), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg3015z00_17137;

					BgL_arg3015z00_17137 = ((long) CINT(BgL_bpz00_17136) + 2L);
					return VECTOR_REF(((obj_t) BgL_sz00_15551), BgL_arg3015z00_17137);
				}
			}
		}

	}



/* &<@anonymous:2995> */
	obj_t BGl_z62zc3z04anonymousza32995ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15552, obj_t BgL_sz00_15553)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_17138;

				BgL_bpz00_17138 = VECTOR_REF(((obj_t) BgL_sz00_15553), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2999z00_17139;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3003z00_17140;

						BgL_arg3003z00_17140 = ((long) CINT(BgL_bpz00_17138) + 1L);
						BgL_arg2999z00_17139 =
							VECTOR_REF(((obj_t) BgL_sz00_15553), BgL_arg3003z00_17140);
					}
					return STRUCT_REF(((obj_t) BgL_arg2999z00_17139), (int) (0L));
		}}}

	}



/* &<@anonymous:3004> */
	obj_t BGl_z62zc3z04anonymousza33004ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15554, obj_t BgL_sz00_15555)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_17141;

				BgL_bpz00_17141 = VECTOR_REF(((obj_t) BgL_sz00_15555), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg3008z00_17142;

					BgL_arg3008z00_17142 = ((long) CINT(BgL_bpz00_17141) + 1L);
					return VECTOR_REF(((obj_t) BgL_sz00_15555), BgL_arg3008z00_17142);
				}
			}
		}

	}



/* &<@anonymous:2986> */
	obj_t BGl_z62zc3z04anonymousza32986ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15556, obj_t BgL_sz00_15557)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_17143;

				BgL_bpz00_17143 = VECTOR_REF(((obj_t) BgL_sz00_15557), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2987z00_17144;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2991z00_17145;

						BgL_arg2991z00_17145 = ((long) CINT(BgL_bpz00_17143) + 0L);
						BgL_arg2987z00_17144 =
							VECTOR_REF(((obj_t) BgL_sz00_15557), BgL_arg2991z00_17145);
					}
					return STRUCT_REF(((obj_t) BgL_arg2987z00_17144), (int) (0L));
		}}}

	}



/* &<@anonymous:2992> */
	obj_t BGl_z62zc3z04anonymousza32992ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15558, obj_t BgL_sz00_15559)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_17146;

				BgL_bpz00_17146 = VECTOR_REF(((obj_t) BgL_sz00_15559), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2993z00_17147;

					BgL_arg2993z00_17147 = ((long) CINT(BgL_bpz00_17146) + 0L);
					return VECTOR_REF(((obj_t) BgL_sz00_15559), BgL_arg2993z00_17147);
				}
			}
		}

	}



/* &<@anonymous:3024> */
	obj_t BGl_z62zc3z04anonymousza33024ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15560, obj_t BgL_sz00_15562)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15561;

				BgL_iz00_15561 = PROCEDURE_REF(BgL_envz00_15560, (int) (0L));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_17148;

					BgL_bpz00_17148 = VECTOR_REF(((obj_t) BgL_sz00_15562), 0L);
					{	/* Eval/evaluate_comp.scm 319 */
						obj_t BgL_arg3025z00_17149;

						{	/* Eval/evaluate_comp.scm 319 */
							long BgL_arg3026z00_17150;

							BgL_arg3026z00_17150 =
								((long) CINT(BgL_bpz00_17148) + (long) CINT(BgL_iz00_15561));
							BgL_arg3025z00_17149 =
								VECTOR_REF(((obj_t) BgL_sz00_15562), BgL_arg3026z00_17150);
						}
						return STRUCT_REF(((obj_t) BgL_arg3025z00_17149), (int) (0L));
		}}}}

	}



/* &<@anonymous:3027> */
	obj_t BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15563, obj_t BgL_sz00_15565)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15564;

				BgL_iz00_15564 = PROCEDURE_REF(BgL_envz00_15563, (int) (0L));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_17151;

					BgL_bpz00_17151 = VECTOR_REF(((obj_t) BgL_sz00_15565), 0L);
					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3028z00_17152;

						BgL_arg3028z00_17152 =
							((long) CINT(BgL_bpz00_17151) + (long) CINT(BgL_iz00_15564));
						return VECTOR_REF(((obj_t) BgL_sz00_15565), BgL_arg3028z00_17152);
					}
				}
			}
		}

	}



/* &comp-ev_trap1422 */
	obj_t BGl_z62compzd2ev_trap1422zb0zz__evaluate_compz00(obj_t BgL_envz00_15566,
		obj_t BgL_ez00_15567, obj_t BgL_stkz00_15568)
	{
		{	/* Eval/evaluate_comp.scm 289 */
			{	/* Eval/evaluate_comp.scm 291 */
				obj_t BgL_ez00_17154;

				{	/* Eval/evaluate_comp.scm 291 */
					BgL_ev_exprz00_bglt BgL_arg2984z00_17155;

					BgL_arg2984z00_17155 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_trapz00_bglt) BgL_ez00_15567))))->BgL_ez00);
					BgL_ez00_17154 =
						BGl_compz00zz__evaluate_compz00(BgL_arg2984z00_17155,
						BgL_stkz00_15568);
				}
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_zc3z04anonymousza32978ze3z87_17156;

					BgL_zc3z04anonymousza32978ze3z87_17156 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32978ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32978ze3z87_17156, (int) (0L),
						BgL_ez00_17154);
					return BgL_zc3z04anonymousza32978ze3z87_17156;
				}
			}
		}

	}



/* &<@anonymous:2978> */
	obj_t BGl_z62zc3z04anonymousza32978ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15569, obj_t BgL_sz00_15571)
	{
		{	/* Eval/evaluate_comp.scm 292 */
			{	/* Eval/evaluate_comp.scm 292 */
				obj_t BgL_ez00_15570;

				BgL_ez00_15570 = PROCEDURE_REF(BgL_envz00_15569, (int) (0L));
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_bpz00_17157;

					BgL_bpz00_17157 = VECTOR_REF(((obj_t) BgL_sz00_15571), 0L);
					{	/* Eval/evaluate_comp.scm 293 */
						obj_t BgL_cmdz00_17158;

						BgL_cmdz00_17158 =
							BGL_PROCEDURE_CALL1(BgL_ez00_15570, BgL_sz00_15571);
						if ((BgL_cmdz00_17158 == BGl_symbol4736z00zz__evaluate_compz00))
							{	/* Eval/evaluate_comp.scm 294 */
								return BgL_bpz00_17157;
							}
						else
							{	/* Eval/evaluate_comp.scm 294 */
								if ((BgL_cmdz00_17158 == BGl_symbol4738z00zz__evaluate_compz00))
									{	/* Eval/evaluate_comp.scm 294 */
										return BGl_reset_profilez00zz__evaluate_compz00();
									}
								else
									{	/* Eval/evaluate_comp.scm 294 */
										if (
											(BgL_cmdz00_17158 ==
												BGl_symbol4740z00zz__evaluate_compz00))
											{	/* Eval/evaluate_comp.scm 294 */
												return BGl_get_profilez00zz__evaluate_compz00();
											}
										else
											{	/* Eval/evaluate_comp.scm 294 */
												if (
													(BgL_cmdz00_17158 ==
														BGl_symbol4742z00zz__evaluate_compz00))
													{	/* Eval/evaluate_comp.scm 302 */
														obj_t BgL_arg2983z00_17159;

														BgL_arg2983z00_17159 =
															BGl_findzd2statezd2zz__evaluate_compz00();
														return
															VECTOR_SET(
															((obj_t) BgL_arg2983z00_17159), 0L, BINT(2L));
													}
												else
													{	/* Eval/evaluate_comp.scm 294 */
														return
															BGl_errorz00zz__errorz00
															(BGl_string4600z00zz__evaluate_compz00,
															BGl_string4744z00zz__evaluate_compz00,
															BgL_cmdz00_17158);
													}
											}
									}
							}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(393254000L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(348684831L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128205792L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(248789584L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(310000171L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(443936801L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(377164741L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(467924964L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(422740572L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(94612255L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(42051238L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(111613887L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00((-44273703L),
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(228151370L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(185672289L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(233942021L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(220648206L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(177147622L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(414007149L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(528345299L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(492754569L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(375872221L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(505897955L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(0L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(193509656L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(20669940L,
				BSTRING_TO_STRING(BGl_string4745z00zz__evaluate_compz00));
		}

	}

#ifdef __cplusplus
}
#endif
