/*===========================================================================*/
/*   (Unsafe/sha2.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Unsafe/sha2.scm -indent -o objs/obj_u/Unsafe/sha2.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___SHA2_TYPE_DEFINITIONS
#define BGL___SHA2_TYPE_DEFINITIONS
#endif													// BGL___SHA2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_sha512zd2internalzd2transformz00zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_sha256zd2updatezd2zz__sha2z00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2filezd2zz__sha2z00(obj_t);
	static obj_t BGl_state64zd2ze3stringz31zz__sha2z00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__sha2z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2portzd2zz__sha2z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumz00zz__sha2z00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2mmapzd2zz__sha2z00(obj_t);
	extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sha512sumzd2stringzb0zz__sha2z00(obj_t, obj_t);
	static long BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static obj_t BGl_z62sha256sumzd2stringzb0zz__sha2z00(obj_t, obj_t);
	static long BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static uint32_t BGl_addu32z00zz__sha2z00(uint32_t, uint32_t);
	static obj_t BGl_toplevelzd2initzd2zz__sha2z00(void);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00(obj_t, obj_t,
		obj_t);
	static long BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static obj_t BGl_z62sha512sumzd2filezb0zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__sha2z00(obj_t);
	static obj_t BGl_genericzd2initzd2zz__sha2z00(void);
	static obj_t BGl_z62sha512sumzd2portzb0zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__sha2z00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__sha2z00(void);
	static obj_t BGl_z62zc3z04anonymousza31626ze3ze5zz__sha2z00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__sha2z00(void);
	extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62sha512sumzd2mmapzb0zz__sha2z00(obj_t, obj_t);
	extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
	extern obj_t BGl_makezd2u64vectorzd2zz__srfi4z00(long, uint64_t);
	extern obj_t bgl_bignum_add(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31976ze3ze5zz__sha2z00(obj_t);
	static obj_t BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(void);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2filezd2zz__sha2z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__sha2z00(obj_t);
	static obj_t BGl_z62sha256sumzd2filezb0zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__sha2z00(void);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	static obj_t BGl_z62sha256sumz62zz__sha2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2portzd2zz__sha2z00(obj_t);
	static obj_t BGl_statezd2ze3stringz31zz__sha2z00(obj_t);
	static obj_t BGl_z62sha256sumzd2portzb0zz__sha2z00(obj_t, obj_t);
	static uint32_t BGl_Sigma1zd2256zd2zz__sha2z00(uint32_t);
	static long BGl_z62fillzd2word32zd2portz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static obj_t BGl_u32zd2fillz12zc0zz__sha2z00(obj_t, long, uint32_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2mmapzd2zz__sha2z00(obj_t);
	static obj_t BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(void);
	extern obj_t make_string(long, unsigned char);
	static obj_t BGl_K256z00zz__sha2z00 = BUNSPEC;
	extern obj_t bgl_close_input_port(obj_t);
	static obj_t BGl_z62sha256sumzd2mmapzb0zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_sha256zd2internalzd2transformz00zz__sha2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2stringzd2zz__sha2z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2stringzd2zz__sha2z00(obj_t);
	static long BGl_z62fillzd2word64zd2portz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static obj_t BGl_u64zd2fillz12zc0zz__sha2z00(obj_t, long, uint64_t);
	extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
	static uint64_t BGl_Sigma1zd2512zd2zz__sha2z00(uint64_t);
	extern obj_t bgl_long_to_bignum(long);
	static obj_t BGl_z62sha512sumz62zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_K512z00zz__sha2z00 = BUNSPEC;
	static obj_t BGl_sha512zd2updatezd2zz__sha2z00(obj_t, obj_t, obj_t, obj_t);
	static long BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha256sumz00zz__sha2z00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2stringzd2envz00zz__sha2z00,
		BgL_bgl_za762sha512sumza7d2s2375z00,
		BGl_z62sha512sumzd2stringzb0zz__sha2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2portzd2envz00zz__sha2z00,
		BgL_bgl_za762sha256sumza7d2p2376z00, BGl_z62sha256sumzd2portzb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2filezd2envz00zz__sha2z00,
		BgL_bgl_za762sha512sumza7d2f2377z00, BGl_z62sha512sumzd2filezb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2stringzd2envz00zz__sha2z00,
		BgL_bgl_za762sha256sumza7d2s2378z00,
		BGl_z62sha256sumzd2stringzb0zz__sha2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2envzd2zz__sha2z00,
		BgL_bgl_za762sha512sumza762za72379za7, BGl_z62sha512sumz62zz__sha2z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2envzd2zz__sha2z00,
		BgL_bgl_za762sha256sumza762za72380za7, BGl_z62sha256sumz62zz__sha2z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2portzd2envz00zz__sha2z00,
		BgL_bgl_za762sha512sumza7d2p2381z00, BGl_z62sha512sumzd2portzb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2355z00zz__sha2z00,
		BgL_bgl_string2355za700za7za7_2382za7,
		"/tmp/bigloo/runtime/Unsafe/sha2.scm", 35);
	      DEFINE_STRING(BGl_string2356z00zz__sha2z00,
		BgL_bgl_string2356za700za7za7_2383za7, "&sha256sum-mmap", 15);
	      DEFINE_STRING(BGl_string2357z00zz__sha2z00,
		BgL_bgl_string2357za700za7za7_2384za7, "mmap", 4);
	      DEFINE_STRING(BGl_string2359z00zz__sha2z00,
		BgL_bgl_string2359za700za7za7_2385za7, "&sha256sum-string", 17);
	      DEFINE_STRING(BGl_string2360z00zz__sha2z00,
		BgL_bgl_string2360za700za7za7_2386za7, "bstring", 7);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2354z00zz__sha2z00,
		BgL_bgl_za762fillza7d2word322387z00,
		BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00);
	      DEFINE_STRING(BGl_string2361z00zz__sha2z00,
		BgL_bgl_string2361za700za7za7_2388za7, "&sha256sum-port", 15);
	      DEFINE_STRING(BGl_string2362z00zz__sha2z00,
		BgL_bgl_string2362za700za7za7_2389za7, "input-port", 10);
	      DEFINE_STRING(BGl_string2363z00zz__sha2z00,
		BgL_bgl_string2363za700za7za7_2390za7, "&sha256sum-file", 15);
	      DEFINE_STRING(BGl_string2364z00zz__sha2z00,
		BgL_bgl_string2364za700za7za7_2391za7, "sha256sum", 9);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2358z00zz__sha2z00,
		BgL_bgl_za762fillza7d2word322392z00,
		BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00);
	      DEFINE_STRING(BGl_string2365z00zz__sha2z00,
		BgL_bgl_string2365za700za7za7_2393za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2366z00zz__sha2z00,
		BgL_bgl_string2366za700za7za7_2394za7, "&sha512sum-mmap", 15);
	      DEFINE_STRING(BGl_string2368z00zz__sha2z00,
		BgL_bgl_string2368za700za7za7_2395za7, "&sha512sum-string", 17);
	      DEFINE_STRING(BGl_string2369z00zz__sha2z00,
		BgL_bgl_string2369za700za7za7_2396za7, "&sha512sum-port", 15);
	      DEFINE_STRING(BGl_string2370z00zz__sha2z00,
		BgL_bgl_string2370za700za7za7_2397za7, "&sha512sum-file", 15);
	      DEFINE_STRING(BGl_string2371z00zz__sha2z00,
		BgL_bgl_string2371za700za7za7_2398za7, "sha512sum", 9);
	      DEFINE_STRING(BGl_string2372z00zz__sha2z00,
		BgL_bgl_string2372za700za7za7_2399za7, "&hmac-sha256sum-string", 22);
	      DEFINE_STRING(BGl_string2373z00zz__sha2z00,
		BgL_bgl_string2373za700za7za7_2400za7, "&hmac-sha512sum-string", 22);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2367z00zz__sha2z00,
		BgL_bgl_za762fillza7d2word642401z00,
		BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00);
	      DEFINE_STRING(BGl_string2374z00zz__sha2z00,
		BgL_bgl_string2374za700za7za7_2402za7, "__sha2", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2mmapzd2envz00zz__sha2z00,
		BgL_bgl_za762sha256sumza7d2m2403z00, BGl_z62sha256sumzd2mmapzb0zz__sha2z00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_hmaczd2sha512sumzd2stringzd2envzd2zz__sha2z00,
		BgL_bgl_za762hmacza7d2sha5122404z00,
		BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2filezd2envz00zz__sha2z00,
		BgL_bgl_za762sha256sumza7d2f2405z00, BGl_z62sha256sumzd2filezb0zz__sha2z00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_hmaczd2sha256sumzd2stringzd2envzd2zz__sha2z00,
		BgL_bgl_za762hmacza7d2sha2562406z00,
		BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2mmapzd2envz00zz__sha2z00,
		BgL_bgl_za762sha512sumza7d2m2407z00, BGl_z62sha512sumzd2mmapzb0zz__sha2z00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__sha2z00));
		     ADD_ROOT((void *) (&BGl_K256z00zz__sha2z00));
		     ADD_ROOT((void *) (&BGl_K512z00zz__sha2z00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha2z00(long
		BgL_checksumz00_5512, char *BgL_fromz00_5513)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__sha2z00))
				{
					BGl_requirezd2initializa7ationz75zz__sha2z00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__sha2z00();
					BGl_importedzd2moduleszd2initz00zz__sha2z00();
					return BGl_toplevelzd2initzd2zz__sha2z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 50 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 50 */
			{	/* Unsafe/sha2.scm 339 */
				obj_t BgL_vz00_1368;

				{	/* Llib/srfi4.scm 451 */

					BgL_vz00_1368 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(64L, (uint32_t) (0));
				}
				BGL_U32VSET(BgL_vz00_1368, 0L, (uint32_t) (1116352408));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 1L, (uint32_t) (1899447441));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 2L, (uint32_t) (3049323471));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 3L, (uint32_t) (3921009573));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 4L, (uint32_t) (961987163));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 5L, (uint32_t) (1508970993));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 6L, (uint32_t) (2453635748));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 7L, (uint32_t) (2870763221));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 8L, (uint32_t) (3624381080));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 9L, (uint32_t) (310598401));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 10L, (uint32_t) (607225278));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 11L, (uint32_t) (1426881987));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 12L, (uint32_t) (1925078388));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 13L, (uint32_t) (2162078206));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 14L, (uint32_t) (2614888103));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 15L, (uint32_t) (3248222580));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 16L, (uint32_t) (3835390401));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 17L, (uint32_t) (4022224774));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 18L, (uint32_t) (264347078));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 19L, (uint32_t) (604807628));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 20L, (uint32_t) (770255983));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 21L, (uint32_t) (1249150122));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 22L, (uint32_t) (1555081692));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 23L, (uint32_t) (1996064986));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 24L, (uint32_t) (2554220882));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 25L, (uint32_t) (2821834349));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 26L, (uint32_t) (2952996808));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 27L, (uint32_t) (3210313671));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 28L, (uint32_t) (3336571891));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 29L, (uint32_t) (3584528711));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 30L, (uint32_t) (113926993));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 31L, (uint32_t) (338241895));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 32L, (uint32_t) (666307205));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 33L, (uint32_t) (773529912));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 34L, (uint32_t) (1294757372));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 35L, (uint32_t) (1396182291));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 36L, (uint32_t) (1695183700));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 37L, (uint32_t) (1986661051));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 38L, (uint32_t) (2177026350));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 39L, (uint32_t) (2456956037));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 40L, (uint32_t) (2730485921));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 41L, (uint32_t) (2820302411));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 42L, (uint32_t) (3259730800));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 43L, (uint32_t) (3345764771));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 44L, (uint32_t) (3516065817));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 45L, (uint32_t) (3600352804));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 46L, (uint32_t) (4094571909));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 47L, (uint32_t) (275423344));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 48L, (uint32_t) (430227734));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 49L, (uint32_t) (506948616));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 50L, (uint32_t) (659060556));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 51L, (uint32_t) (883997877));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 52L, (uint32_t) (958139571));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 53L, (uint32_t) (1322822218));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 54L, (uint32_t) (1537002063));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 55L, (uint32_t) (1747873779));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 56L, (uint32_t) (1955562222));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 57L, (uint32_t) (2024104815));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 58L, (uint32_t) (2227730452));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 59L, (uint32_t) (2361852424));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 60L, (uint32_t) (2428436474));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 61L, (uint32_t) (2756734187));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 62L, (uint32_t) (3204031479));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1368, 63L, (uint32_t) (3329325298));
				BUNSPEC;
				BGl_K256z00zz__sha2z00 = BgL_vz00_1368;
			}
			{	/* Unsafe/sha2.scm 440 */
				obj_t BgL_vz00_1371;

				{	/* Llib/srfi4.scm 453 */

					BgL_vz00_1371 =
						BGl_makezd2u64vectorzd2zz__srfi4z00(80L, (uint64_t) (0));
				}
				BGL_U64VSET(BgL_vz00_1371, 0L, (uint64_t) (4794697086780616226));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 1L, (uint64_t) (8158064640168781261));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 2L, (uint64_t) (-5349999486874862801));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 3L, (uint64_t) (-1606136188198331460));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 4L, (uint64_t) (4131703408338449720));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 5L, (uint64_t) (6480981068601479193));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 6L, (uint64_t) (-7908458776815382629));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 7L, (uint64_t) (-6116909921290321640));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 8L, (uint64_t) (-2880145864133508542));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 9L, (uint64_t) (1334009975649890238));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 10L, (uint64_t) (2608012711638119052));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 11L, (uint64_t) (6128411473006802146));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 12L, (uint64_t) (8268148722764581231));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 13L, (uint64_t) (-9160688886553864527));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 14L, (uint64_t) (-7215885187991268811));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 15L, (uint64_t) (-4495734319001033068));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 16L, (uint64_t) (-1973867731355612462));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 17L, (uint64_t) (-1171420211273849373));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 18L, (uint64_t) (1135362057144423861));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 19L, (uint64_t) (2597628984639134821));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 20L, (uint64_t) (3308224258029322869));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 21L, (uint64_t) (5365058923640841347));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 22L, (uint64_t) (6679025012923562964));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 23L, (uint64_t) (8573033837759648693));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 24L, (uint64_t) (-7476448914759557205));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 25L, (uint64_t) (-6327057829258317296));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 26L, (uint64_t) (-5763719355590565569));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 27L, (uint64_t) (-4658551843659510044));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 28L, (uint64_t) (-4116276920077217854));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 29L, (uint64_t) (-3051310485924567259));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 30L, (uint64_t) (489312712824947311));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 31L, (uint64_t) (1452737877330783856));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 32L, (uint64_t) (2861767655752347644));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 33L, (uint64_t) (3322285676063803686));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 34L, (uint64_t) (5560940570517711597));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 35L, (uint64_t) (5996557281743188959));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 36L, (uint64_t) (7280758554555802590));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 37L, (uint64_t) (8532644243296465576));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 38L, (uint64_t) (-9096487096722542874));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 39L, (uint64_t) (-7894198246740708037));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 40L, (uint64_t) (-6719396339535248540));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 41L, (uint64_t) (-6333637450476146687));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 42L, (uint64_t) (-4446306890439682159));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 43L, (uint64_t) (-4076793802049405392));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 44L, (uint64_t) (-3345356375505022440));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 45L, (uint64_t) (-2983346525034927856));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 46L, (uint64_t) (-860691631967231958));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 47L, (uint64_t) (1182934255886127544));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 48L, (uint64_t) (1847814050463011016));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 49L, (uint64_t) (2177327727835720531));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 50L, (uint64_t) (2830643537854262169));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 51L, (uint64_t) (3796741975233480872));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 52L, (uint64_t) (4115178125766777443));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 53L, (uint64_t) (5681478168544905931));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 54L, (uint64_t) (6601373596472566643));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 55L, (uint64_t) (7507060721942968483));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 56L, (uint64_t) (8399075790359081724));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 57L, (uint64_t) (8693463985226723168));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 58L, (uint64_t) (-8878714635349349518));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 59L, (uint64_t) (-8302665154208450068));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 60L, (uint64_t) (-8016688836872298968));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 61L, (uint64_t) (-6606660893046293015));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 62L, (uint64_t) (-4685533653050689259));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 63L, (uint64_t) (-4147400797238176981));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 64L, (uint64_t) (-3880063495543823972));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 65L, (uint64_t) (-3348786107499101689));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 66L, (uint64_t) (-1523767162380948706));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 67L, (uint64_t) (-757361751448694408));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 68L, (uint64_t) (500013540394364858));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 69L, (uint64_t) (748580250866718886));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 70L, (uint64_t) (1242879168328830382));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 71L, (uint64_t) (1977374033974150939));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 72L, (uint64_t) (2944078676154940804));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 73L, (uint64_t) (3659926193048069267));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 74L, (uint64_t) (4368137639120453308));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 75L, (uint64_t) (4836135668995329356));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 76L, (uint64_t) (5532061633213252278));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 77L, (uint64_t) (6448918945643986474));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 78L, (uint64_t) (6902733635092675308));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1371, 79L, (uint64_t) (7801388544844847127));
				BUNSPEC;
				return (BGl_K512z00zz__sha2z00 = BgL_vz00_1371, BUNSPEC);
			}
		}

	}



/* addu32 */
	uint32_t BGl_addu32z00zz__sha2z00(uint32_t BgL_n1z00_3, uint32_t BgL_n2z00_4)
	{
		{	/* Unsafe/sha2.scm 185 */
			{	/* Unsafe/sha2.scm 186 */
				uint32_t BgL_h1z00_1383;

				BgL_h1z00_1383 = (BgL_n1z00_3 >> (int) (16L));
				{	/* Unsafe/sha2.scm 186 */
					uint32_t BgL_h2z00_1384;

					BgL_h2z00_1384 = (BgL_n2z00_4 >> (int) (16L));
					{	/* Unsafe/sha2.scm 187 */
						uint32_t BgL_hz00_1385;

						{	/* Unsafe/sha2.scm 188 */
							uint32_t BgL_arg1256z00_1392;
							uint32_t BgL_arg1258z00_1393;

							BgL_arg1256z00_1392 = (uint32_t) (65535L);
							BgL_arg1258z00_1393 = (BgL_h1z00_1383 + BgL_h2z00_1384);
							BgL_hz00_1385 = (BgL_arg1256z00_1392 & BgL_arg1258z00_1393);
						}
						{	/* Unsafe/sha2.scm 188 */
							uint32_t BgL_l1z00_1386;

							{	/* Unsafe/sha2.scm 189 */
								uint32_t BgL_arg1255z00_1391;

								BgL_arg1255z00_1391 = (uint32_t) (65535L);
								BgL_l1z00_1386 = (BgL_n1z00_3 & BgL_arg1255z00_1391);
							}
							{	/* Unsafe/sha2.scm 189 */
								uint32_t BgL_l2z00_1387;

								{	/* Unsafe/sha2.scm 190 */
									uint32_t BgL_arg1254z00_1390;

									BgL_arg1254z00_1390 = (uint32_t) (65535L);
									BgL_l2z00_1387 = (BgL_n2z00_4 & BgL_arg1254z00_1390);
								}
								{	/* Unsafe/sha2.scm 192 */

									return
										(
										(BgL_hz00_1385 <<
											(int) (16L)) + (BgL_l1z00_1386 + BgL_l2z00_1387));
		}}}}}}}

	}



/* u32-fill! */
	obj_t BGl_u32zd2fillz12zc0zz__sha2z00(obj_t BgL_strz00_9,
		long BgL_offsetz00_10, uint32_t BgL_wz00_11)
	{
		{	/* Unsafe/sha2.scm 236 */
			{	/* Unsafe/sha2.scm 237 */
				obj_t BgL_s1z00_1400;

				{	/* Unsafe/sha2.scm 237 */
					long BgL_arg1281z00_1412;

					{	/* Unsafe/sha2.scm 237 */
						uint32_t BgL_tmpz00_5682;

						BgL_tmpz00_5682 = (BgL_wz00_11 >> (int) (16L));
						BgL_arg1281z00_1412 = (long) (BgL_tmpz00_5682);
					}
					BgL_s1z00_1400 =
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_arg1281z00_1412, 16L);
				}
				{	/* Unsafe/sha2.scm 237 */
					long BgL_l1z00_1401;

					BgL_l1z00_1401 = STRING_LENGTH(BgL_s1z00_1400);
					{	/* Unsafe/sha2.scm 238 */
						obj_t BgL_s2z00_1402;

						{	/* Unsafe/sha2.scm 239 */
							long BgL_arg1277z00_1409;

							{	/* Unsafe/sha2.scm 239 */
								uint32_t BgL_arg1279z00_1410;

								BgL_arg1279z00_1410 =
									(BgL_wz00_11 & ((uint32_t) (65536) - (uint32_t) (1L)));
								BgL_arg1277z00_1409 = (long) (BgL_arg1279z00_1410);
							}
							BgL_s2z00_1402 =
								BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
								(BgL_arg1277z00_1409, 16L);
						}
						{	/* Unsafe/sha2.scm 239 */
							long BgL_l2z00_1403;

							BgL_l2z00_1403 = STRING_LENGTH(BgL_s2z00_1402);
							{	/* Unsafe/sha2.scm 240 */

								blit_string(BgL_s1z00_1400, 0L, BgL_strz00_9,
									(BgL_offsetz00_10 + (4L - BgL_l1z00_1401)), BgL_l1z00_1401);
								return
									blit_string(BgL_s2z00_1402, 0L, BgL_strz00_9,
									(BgL_offsetz00_10 +
										(4L + (4L - BgL_l2z00_1403))), BgL_l2z00_1403);
							}
						}
					}
				}
			}
		}

	}



/* u64-fill! */
	obj_t BGl_u64zd2fillz12zc0zz__sha2z00(obj_t BgL_strz00_12,
		long BgL_offsetz00_13, uint64_t BgL_wz00_14)
	{
		{	/* Unsafe/sha2.scm 247 */
			{	/* Unsafe/sha2.scm 248 */
				obj_t BgL_s1z00_1414;

				{	/* Unsafe/sha2.scm 248 */
					long BgL_arg1321z00_1454;

					{	/* Unsafe/sha2.scm 248 */
						long BgL_arg1322z00_1455;

						{	/* Unsafe/sha2.scm 248 */
							uint32_t BgL_arg1326z00_1456;

							{	/* Unsafe/sha2.scm 248 */
								uint32_t BgL_arg1327z00_1457;

								{	/* Unsafe/sha2.scm 248 */
									uint64_t BgL_tmpz00_5701;

									BgL_tmpz00_5701 = (BgL_wz00_14 >> (int) (32L));
									BgL_arg1327z00_1457 = (uint32_t) (BgL_tmpz00_5701);
								}
								BgL_arg1326z00_1456 = (BgL_arg1327z00_1457 >> (int) (16L));
							}
							BgL_arg1322z00_1455 = (long) (BgL_arg1326z00_1456);
						}
						{	/* Unsafe/sha2.scm 248 */
							uint32_t BgL_xz00_2998;

							BgL_xz00_2998 = (uint32_t) (BgL_arg1322z00_1455);
							BgL_arg1321z00_1454 = (long) (BgL_xz00_2998);
					}}
					BgL_s1z00_1414 =
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_arg1321z00_1454, 16L);
				}
				{	/* Unsafe/sha2.scm 248 */
					long BgL_l1z00_1415;

					BgL_l1z00_1415 = STRING_LENGTH(BgL_s1z00_1414);
					{	/* Unsafe/sha2.scm 249 */
						obj_t BgL_s2z00_1416;

						{	/* Unsafe/sha2.scm 250 */
							long BgL_arg1315z00_1448;

							{	/* Unsafe/sha2.scm 250 */
								long BgL_arg1316z00_1449;

								{	/* Unsafe/sha2.scm 250 */
									uint32_t BgL_arg1317z00_1450;

									{	/* Unsafe/sha2.scm 250 */
										uint32_t BgL_arg1318z00_1451;
										uint32_t BgL_arg1319z00_1452;

										{	/* Unsafe/sha2.scm 250 */
											uint64_t BgL_tmpz00_5712;

											BgL_tmpz00_5712 = (BgL_wz00_14 >> (int) (32L));
											BgL_arg1318z00_1451 = (uint32_t) (BgL_tmpz00_5712);
										}
										BgL_arg1319z00_1452 =
											((uint32_t) (65536) - (uint32_t) (1L));
										BgL_arg1317z00_1450 =
											(BgL_arg1318z00_1451 & BgL_arg1319z00_1452);
									}
									BgL_arg1316z00_1449 = (long) (BgL_arg1317z00_1450);
								}
								{	/* Unsafe/sha2.scm 250 */
									uint32_t BgL_xz00_3007;

									BgL_xz00_3007 = (uint32_t) (BgL_arg1316z00_1449);
									BgL_arg1315z00_1448 = (long) (BgL_xz00_3007);
							}}
							BgL_s2z00_1416 =
								BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
								(BgL_arg1315z00_1448, 16L);
						}
						{	/* Unsafe/sha2.scm 250 */
							long BgL_l2z00_1417;

							BgL_l2z00_1417 = STRING_LENGTH(BgL_s2z00_1416);
							{	/* Unsafe/sha2.scm 251 */
								obj_t BgL_s3z00_1418;

								{	/* Unsafe/sha2.scm 252 */
									long BgL_arg1305z00_1441;

									{	/* Unsafe/sha2.scm 252 */
										long BgL_arg1307z00_1442;

										{	/* Unsafe/sha2.scm 252 */
											uint32_t BgL_arg1309z00_1443;

											{	/* Unsafe/sha2.scm 252 */
												uint32_t BgL_arg1310z00_1444;

												{	/* Unsafe/sha2.scm 252 */
													uint64_t BgL_arg1311z00_1445;

													BgL_arg1311z00_1445 =
														(BgL_wz00_14 &
														(((uint64_t) (1) <<
																(int) (32L)) - (uint64_t) (1L)));
													BgL_arg1310z00_1444 =
														(uint32_t) (BgL_arg1311z00_1445);
												}
												BgL_arg1309z00_1443 =
													(BgL_arg1310z00_1444 >> (int) (16L));
											}
											BgL_arg1307z00_1442 = (long) (BgL_arg1309z00_1443);
										}
										{	/* Unsafe/sha2.scm 252 */
											uint32_t BgL_xz00_3017;

											BgL_xz00_3017 = (uint32_t) (BgL_arg1307z00_1442);
											BgL_arg1305z00_1441 = (long) (BgL_xz00_3017);
									}}
									BgL_s3z00_1418 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_arg1305z00_1441, 16L);
								}
								{	/* Unsafe/sha2.scm 252 */
									long BgL_l3z00_1419;

									BgL_l3z00_1419 = STRING_LENGTH(BgL_s3z00_1418);
									{	/* Unsafe/sha2.scm 253 */
										obj_t BgL_s4z00_1420;

										{	/* Unsafe/sha2.scm 254 */
											long BgL_arg1297z00_1433;

											{	/* Unsafe/sha2.scm 254 */
												long BgL_arg1298z00_1434;

												{	/* Unsafe/sha2.scm 254 */
													uint32_t BgL_arg1299z00_1435;

													{	/* Unsafe/sha2.scm 254 */
														uint32_t BgL_arg1300z00_1436;
														uint32_t BgL_arg1301z00_1437;

														{	/* Unsafe/sha2.scm 254 */
															uint64_t BgL_arg1302z00_1438;

															BgL_arg1302z00_1438 =
																(BgL_wz00_14 &
																(((uint64_t) (1) <<
																		(int) (32L)) - (uint64_t) (1L)));
															BgL_arg1300z00_1436 =
																(uint32_t) (BgL_arg1302z00_1438);
														}
														BgL_arg1301z00_1437 =
															((uint32_t) (65536) - (uint32_t) (1L));
														BgL_arg1299z00_1435 =
															(BgL_arg1300z00_1436 & BgL_arg1301z00_1437);
													}
													BgL_arg1298z00_1434 = (long) (BgL_arg1299z00_1435);
												}
												{	/* Unsafe/sha2.scm 254 */
													uint32_t BgL_xz00_3030;

													BgL_xz00_3030 = (uint32_t) (BgL_arg1298z00_1434);
													BgL_arg1297z00_1433 = (long) (BgL_xz00_3030);
											}}
											BgL_s4z00_1420 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_arg1297z00_1433, 16L);
										}
										{	/* Unsafe/sha2.scm 254 */
											long BgL_l4z00_1421;

											BgL_l4z00_1421 = STRING_LENGTH(BgL_s4z00_1420);
											{	/* Unsafe/sha2.scm 255 */

												blit_string(BgL_s1z00_1414, 0L, BgL_strz00_12,
													(BgL_offsetz00_13 +
														(4L - BgL_l1z00_1415)), BgL_l1z00_1415);
												blit_string(BgL_s2z00_1416, 0L, BgL_strz00_12,
													(BgL_offsetz00_13 +
														(4L + (4L - BgL_l2z00_1417))), BgL_l2z00_1417);
												blit_string(BgL_s3z00_1418, 0L, BgL_strz00_12,
													(BgL_offsetz00_13 +
														(8L + (4L - BgL_l3z00_1419))), BgL_l3z00_1419);
												return
													blit_string(BgL_s4z00_1420, 0L, BgL_strz00_12,
													(BgL_offsetz00_13 +
														(12L + (4L - BgL_l4z00_1421))), BgL_l4z00_1421);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* state->string */
	obj_t BGl_statezd2ze3stringz31zz__sha2z00(obj_t BgL_statez00_15)
	{
		{	/* Unsafe/sha2.scm 264 */
			{	/* Unsafe/sha2.scm 265 */
				obj_t BgL_rz00_1459;

				BgL_rz00_1459 = make_string(64L, ((unsigned char) '0'));
				{	/* Unsafe/sha2.scm 266 */
					uint32_t BgL_arg1329z00_1460;

					BgL_arg1329z00_1460 = BGL_U32VREF(BgL_statez00_15, 0L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1459, 0L,
						BgL_arg1329z00_1460);
				}
				{	/* Unsafe/sha2.scm 267 */
					uint32_t BgL_arg1331z00_1461;

					BgL_arg1331z00_1461 = BGL_U32VREF(BgL_statez00_15, 1L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1459, 8L,
						BgL_arg1331z00_1461);
				}
				{	/* Unsafe/sha2.scm 268 */
					uint32_t BgL_arg1332z00_1462;

					BgL_arg1332z00_1462 = BGL_U32VREF(BgL_statez00_15, 2L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1459, 16L,
						BgL_arg1332z00_1462);
				}
				{	/* Unsafe/sha2.scm 269 */
					uint32_t BgL_arg1333z00_1463;

					BgL_arg1333z00_1463 = BGL_U32VREF(BgL_statez00_15, 3L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1459, 24L,
						BgL_arg1333z00_1463);
				}
				{	/* Unsafe/sha2.scm 270 */
					uint32_t BgL_arg1334z00_1464;

					BgL_arg1334z00_1464 = BGL_U32VREF(BgL_statez00_15, 4L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1459, 32L,
						BgL_arg1334z00_1464);
				}
				{	/* Unsafe/sha2.scm 271 */
					uint32_t BgL_arg1335z00_1465;

					BgL_arg1335z00_1465 = BGL_U32VREF(BgL_statez00_15, 5L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1459, 40L,
						BgL_arg1335z00_1465);
				}
				{	/* Unsafe/sha2.scm 272 */
					uint32_t BgL_arg1336z00_1466;

					BgL_arg1336z00_1466 = BGL_U32VREF(BgL_statez00_15, 6L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1459, 48L,
						BgL_arg1336z00_1466);
				}
				{	/* Unsafe/sha2.scm 273 */
					uint32_t BgL_arg1337z00_1467;

					BgL_arg1337z00_1467 = BGL_U32VREF(BgL_statez00_15, 7L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1459, 56L,
						BgL_arg1337z00_1467);
				}
				return BgL_rz00_1459;
			}
		}

	}



/* state64->string */
	obj_t BGl_state64zd2ze3stringz31zz__sha2z00(obj_t BgL_statez00_16)
	{
		{	/* Unsafe/sha2.scm 279 */
			{	/* Unsafe/sha2.scm 280 */
				obj_t BgL_rz00_1468;

				BgL_rz00_1468 = make_string(128L, ((unsigned char) '0'));
				{	/* Unsafe/sha2.scm 281 */
					uint64_t BgL_arg1338z00_1469;

					BgL_arg1338z00_1469 = BGL_U64VREF(BgL_statez00_16, 0L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1468, 0L,
						BgL_arg1338z00_1469);
				}
				{	/* Unsafe/sha2.scm 282 */
					uint64_t BgL_arg1339z00_1470;

					BgL_arg1339z00_1470 = BGL_U64VREF(BgL_statez00_16, 1L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1468, 16L,
						BgL_arg1339z00_1470);
				}
				{	/* Unsafe/sha2.scm 283 */
					uint64_t BgL_arg1340z00_1471;

					BgL_arg1340z00_1471 = BGL_U64VREF(BgL_statez00_16, 2L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1468, 32L,
						BgL_arg1340z00_1471);
				}
				{	/* Unsafe/sha2.scm 284 */
					uint64_t BgL_arg1341z00_1472;

					BgL_arg1341z00_1472 = BGL_U64VREF(BgL_statez00_16, 3L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1468, 48L,
						BgL_arg1341z00_1472);
				}
				{	/* Unsafe/sha2.scm 285 */
					uint64_t BgL_arg1342z00_1473;

					BgL_arg1342z00_1473 = BGL_U64VREF(BgL_statez00_16, 4L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1468, 64L,
						BgL_arg1342z00_1473);
				}
				{	/* Unsafe/sha2.scm 286 */
					uint64_t BgL_arg1344z00_1474;

					BgL_arg1344z00_1474 = BGL_U64VREF(BgL_statez00_16, 5L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1468, 80L,
						BgL_arg1344z00_1474);
				}
				{	/* Unsafe/sha2.scm 287 */
					uint64_t BgL_arg1345z00_1475;

					BgL_arg1345z00_1475 = BGL_U64VREF(BgL_statez00_16, 6L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1468, 96L,
						BgL_arg1345z00_1475);
				}
				{	/* Unsafe/sha2.scm 288 */
					uint64_t BgL_arg1347z00_1476;

					BgL_arg1347z00_1476 = BGL_U64VREF(BgL_statez00_16, 7L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1468, 112L,
						BgL_arg1347z00_1476);
				}
				return BgL_rz00_1468;
			}
		}

	}



/* sha256-initial-hash-value */
	obj_t BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 409 */
			{	/* Unsafe/sha2.scm 410 */
				obj_t BgL_vz00_1477;

				{	/* Llib/srfi4.scm 451 */

					BgL_vz00_1477 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(8L, (uint32_t) (0));
				}
				BGL_U32VSET(BgL_vz00_1477, 0L, (uint32_t) (1779033703));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1477, 1L, (uint32_t) (3144134277));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1477, 2L, (uint32_t) (1013904242));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1477, 3L, (uint32_t) (2773480762));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1477, 4L, (uint32_t) (1359893119));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1477, 5L, (uint32_t) (2600822924));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1477, 6L, (uint32_t) (528734635));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1477, 7L, (uint32_t) (1541459225));
				BUNSPEC;
				return BgL_vz00_1477;
			}
		}

	}



/* sha512-initial-hash-value */
	obj_t BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 424 */
			{	/* Unsafe/sha2.scm 425 */
				obj_t BgL_vz00_1480;

				{	/* Llib/srfi4.scm 453 */

					BgL_vz00_1480 =
						BGl_makezd2u64vectorzd2zz__srfi4z00(8L, (uint64_t) (0));
				}
				BGL_U64VSET(BgL_vz00_1480, 0L, (uint64_t) (7640891576956012808));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1480, 1L, (uint64_t) (-4942790177534073029));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1480, 2L, (uint64_t) (4354685564936845355));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1480, 3L, (uint64_t) (-6534734903238641935));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1480, 4L, (uint64_t) (5840696475078001361));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1480, 5L, (uint64_t) (-7276294671716946913));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1480, 6L, (uint64_t) (2270897969802886507));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1480, 7L, (uint64_t) (6620516959819538809));
				BUNSPEC;
				return BgL_vz00_1480;
			}
		}

	}



/* Sigma1-256 */
	uint32_t BGl_Sigma1zd2256zd2zz__sha2z00(uint32_t BgL_xz00_19)
	{
		{	/* Unsafe/sha2.scm 539 */
			return
				(
				((BgL_xz00_19 >>
						(int) (6L)) |
					(BgL_xz00_19 <<
						(int) (
							(32L - 6L)))) ^
				(((BgL_xz00_19 >>
							(int) (11L)) |
						(BgL_xz00_19 <<
							(int) (
								(32L - 11L)))) ^
					((BgL_xz00_19 >>
							(int) (25L)) | (BgL_xz00_19 << (int) ((32L - 25L))))));
		}

	}



/* Sigma1-512 */
	uint64_t BGl_Sigma1zd2512zd2zz__sha2z00(uint64_t BgL_xz00_22)
	{
		{	/* Unsafe/sha2.scm 557 */
			return
				(
				((BgL_xz00_22 >>
						(int) (14L)) |
					(BgL_xz00_22 <<
						(int) (
							(64L - 14L)))) ^
				(((BgL_xz00_22 >>
							(int) (18L)) |
						(BgL_xz00_22 <<
							(int) (
								(64L - 18L)))) ^
					((BgL_xz00_22 >>
							(int) (41L)) | (BgL_xz00_22 << (int) ((64L - 41L))))));
		}

	}



/* sha256-internal-transform */
	obj_t BGl_sha256zd2internalzd2transformz00zz__sha2z00(obj_t BgL_statez00_33,
		obj_t BgL_bufferz00_34)
	{
		{	/* Unsafe/sha2.scm 587 */
			{
				obj_t BgL_statez00_1602;
				uint32_t BgL_az00_1603;
				uint32_t BgL_bz00_1604;
				uint32_t BgL_cz00_1605;
				uint32_t BgL_dz00_1606;
				uint32_t BgL_ez00_1607;
				uint32_t BgL_fz00_1608;
				uint32_t BgL_gz00_1609;
				uint32_t BgL_hz00_1610;

				{	/* Unsafe/sha2.scm 622 */
					uint32_t BgL_g1066z00_1520;
					uint32_t BgL_g1067z00_1521;
					uint32_t BgL_g1068z00_1522;
					uint32_t BgL_g1069z00_1523;
					uint32_t BgL_g1070z00_1524;
					uint32_t BgL_g1071z00_1525;
					uint32_t BgL_g1072z00_1526;
					uint32_t BgL_g1073z00_1527;

					BgL_g1066z00_1520 = BGL_U32VREF(BgL_statez00_33, 0L);
					BgL_g1067z00_1521 = BGL_U32VREF(BgL_statez00_33, 1L);
					BgL_g1068z00_1522 = BGL_U32VREF(BgL_statez00_33, 2L);
					BgL_g1069z00_1523 = BGL_U32VREF(BgL_statez00_33, 3L);
					BgL_g1070z00_1524 = BGL_U32VREF(BgL_statez00_33, 4L);
					BgL_g1071z00_1525 = BGL_U32VREF(BgL_statez00_33, 5L);
					BgL_g1072z00_1526 = BGL_U32VREF(BgL_statez00_33, 6L);
					BgL_g1073z00_1527 = BGL_U32VREF(BgL_statez00_33, 7L);
					{
						uint32_t BgL_az00_1529;
						uint32_t BgL_bz00_1530;
						uint32_t BgL_cz00_1531;
						uint32_t BgL_dz00_1532;
						uint32_t BgL_ez00_1533;
						uint32_t BgL_fz00_1534;
						uint32_t BgL_gz00_1535;
						uint32_t BgL_hz00_1536;
						long BgL_jz00_1537;

						BgL_az00_1529 = BgL_g1066z00_1520;
						BgL_bz00_1530 = BgL_g1067z00_1521;
						BgL_cz00_1531 = BgL_g1068z00_1522;
						BgL_dz00_1532 = BgL_g1069z00_1523;
						BgL_ez00_1533 = BgL_g1070z00_1524;
						BgL_fz00_1534 = BgL_g1071z00_1525;
						BgL_gz00_1535 = BgL_g1072z00_1526;
						BgL_hz00_1536 = BgL_g1073z00_1527;
						BgL_jz00_1537 = 0L;
					BgL_zc3z04anonymousza31383ze3z87_1538:
						if ((BgL_jz00_1537 < 16L))
							{	/* Unsafe/sha2.scm 633 */
								uint32_t BgL_wz00_1540;

								BgL_wz00_1540 = BGL_U32VREF(BgL_bufferz00_34, BgL_jz00_1537);
								{	/* Unsafe/sha2.scm 633 */
									uint32_t BgL_t1z00_1541;

									{	/* Unsafe/sha2.scm 596 */
										uint32_t BgL_arg1418z00_3394;

										{	/* Unsafe/sha2.scm 596 */
											uint32_t BgL_arg1419z00_3395;
											uint32_t BgL_arg1420z00_3396;

											BgL_arg1419z00_3395 =
												BGl_Sigma1zd2256zd2zz__sha2z00(BgL_ez00_1533);
											{	/* Unsafe/sha2.scm 596 */
												uint32_t BgL_arg1421z00_3397;
												uint32_t BgL_arg1422z00_3398;

												BgL_arg1421z00_3397 =
													(
													(BgL_ez00_1533 & BgL_fz00_1534) ^
													(~(BgL_ez00_1533) & BgL_gz00_1535));
												{	/* Unsafe/sha2.scm 596 */
													uint32_t BgL_arg1423z00_3399;

													BgL_arg1423z00_3399 =
														BGL_U32VREF(BGl_K256z00zz__sha2z00, BgL_jz00_1537);
													BgL_arg1422z00_3398 =
														BGl_addu32z00zz__sha2z00(BgL_arg1423z00_3399,
														BgL_wz00_1540);
												}
												BgL_arg1420z00_3396 =
													BGl_addu32z00zz__sha2z00(BgL_arg1421z00_3397,
													BgL_arg1422z00_3398);
											}
											BgL_arg1418z00_3394 =
												BGl_addu32z00zz__sha2z00(BgL_arg1419z00_3395,
												BgL_arg1420z00_3396);
										}
										BgL_t1z00_1541 =
											BGl_addu32z00zz__sha2z00(BgL_hz00_1536,
											BgL_arg1418z00_3394);
									}
									{	/* Unsafe/sha2.scm 634 */
										uint32_t BgL_t2z00_1542;

										BgL_t2z00_1542 =
											BGl_addu32z00zz__sha2z00(
											(((BgL_az00_1529 >>
														(int) (2L)) |
													(BgL_az00_1529 <<
														(int) (
															(32L - 2L)))) ^
												(((BgL_az00_1529 >>
															(int) (13L)) |
														(BgL_az00_1529 <<
															(int) (
																(32L - 13L)))) ^
													((BgL_az00_1529 >>
															(int) (22L)) |
														(BgL_az00_1529 <<
															(int) (
																(32L - 22L)))))),
											((BgL_az00_1529 & BgL_bz00_1530) ^
												((BgL_az00_1529 & BgL_cz00_1531) ^
													(BgL_bz00_1530 & BgL_cz00_1531))));
										{	/* Unsafe/sha2.scm 635 */

											{	/* Unsafe/sha2.scm 636 */
												uint32_t BgL_arg1385z00_1543;
												uint32_t BgL_arg1386z00_1544;
												obj_t BgL_arg1387z00_1545;

												BgL_arg1385z00_1543 =
													BGl_addu32z00zz__sha2z00(BgL_t1z00_1541,
													BgL_t2z00_1542);
												BgL_arg1386z00_1544 =
													BGl_addu32z00zz__sha2z00(BgL_dz00_1532,
													BgL_t1z00_1541);
												{	/* Unsafe/sha2.scm 636 */
													obj_t BgL_za71za7_3466;

													BgL_za71za7_3466 = BINT(BgL_jz00_1537);
													{	/* Unsafe/sha2.scm 636 */
														obj_t BgL_tmpz00_3468;

														BgL_tmpz00_3468 = BINT(0L);
														{	/* Unsafe/sha2.scm 636 */
															bool_t BgL_test2410z00_5909;

															{	/* Unsafe/sha2.scm 636 */
																obj_t BgL_tmpz00_5910;

																BgL_tmpz00_5910 = BINT(1L);
																BgL_test2410z00_5909 =
																	BGL_ADDFX_OV(BgL_za71za7_3466,
																	BgL_tmpz00_5910, BgL_tmpz00_3468);
															}
															if (BgL_test2410z00_5909)
																{	/* Unsafe/sha2.scm 636 */
																	BgL_arg1387z00_1545 =
																		bgl_bignum_add(bgl_long_to_bignum(
																			(long) CINT(BgL_za71za7_3466)),
																		bgl_long_to_bignum(1L));
																}
															else
																{	/* Unsafe/sha2.scm 636 */
																	BgL_arg1387z00_1545 = BgL_tmpz00_3468;
																}
														}
													}
												}
												{
													long BgL_jz00_5925;
													uint32_t BgL_hz00_5924;
													uint32_t BgL_gz00_5923;
													uint32_t BgL_fz00_5922;
													uint32_t BgL_ez00_5921;
													uint32_t BgL_dz00_5920;
													uint32_t BgL_cz00_5919;
													uint32_t BgL_bz00_5918;
													uint32_t BgL_az00_5917;

													BgL_az00_5917 = BgL_arg1385z00_1543;
													BgL_bz00_5918 = BgL_az00_1529;
													BgL_cz00_5919 = BgL_bz00_1530;
													BgL_dz00_5920 = BgL_cz00_1531;
													BgL_ez00_5921 = BgL_arg1386z00_1544;
													BgL_fz00_5922 = BgL_ez00_1533;
													BgL_gz00_5923 = BgL_fz00_1534;
													BgL_hz00_5924 = BgL_gz00_1535;
													BgL_jz00_5925 = (long) CINT(BgL_arg1387z00_1545);
													BgL_jz00_1537 = BgL_jz00_5925;
													BgL_hz00_1536 = BgL_hz00_5924;
													BgL_gz00_1535 = BgL_gz00_5923;
													BgL_fz00_1534 = BgL_fz00_5922;
													BgL_ez00_1533 = BgL_ez00_5921;
													BgL_dz00_1532 = BgL_dz00_5920;
													BgL_cz00_1531 = BgL_cz00_5919;
													BgL_bz00_1530 = BgL_bz00_5918;
													BgL_az00_1529 = BgL_az00_5917;
													goto BgL_zc3z04anonymousza31383ze3z87_1538;
												}
											}
										}
									}
								}
							}
						else
							{	/* Unsafe/sha2.scm 632 */
								if ((BgL_jz00_1537 < 64L))
									{	/* Unsafe/sha2.scm 638 */
										uint32_t BgL_s0z00_1549;

										{	/* Unsafe/sha2.scm 638 */
											uint32_t BgL_arg1404z00_1567;

											{	/* Unsafe/sha2.scm 638 */
												obj_t BgL_arg1405z00_1568;

												{	/* Unsafe/sha2.scm 638 */
													obj_t BgL_za71za7_3477;

													BgL_za71za7_3477 = BINT(BgL_jz00_1537);
													{	/* Unsafe/sha2.scm 638 */
														obj_t BgL_tmpz00_3479;

														BgL_tmpz00_3479 = BINT(0L);
														{	/* Unsafe/sha2.scm 638 */
															bool_t BgL_test2412z00_5931;

															{	/* Unsafe/sha2.scm 638 */
																obj_t BgL_tmpz00_5932;

																BgL_tmpz00_5932 = BINT(1L);
																BgL_test2412z00_5931 =
																	BGL_ADDFX_OV(BgL_za71za7_3477,
																	BgL_tmpz00_5932, BgL_tmpz00_3479);
															}
															if (BgL_test2412z00_5931)
																{	/* Unsafe/sha2.scm 638 */
																	BgL_arg1405z00_1568 =
																		bgl_bignum_add(bgl_long_to_bignum(
																			(long) CINT(BgL_za71za7_3477)),
																		bgl_long_to_bignum(1L));
																}
															else
																{	/* Unsafe/sha2.scm 638 */
																	BgL_arg1405z00_1568 = BgL_tmpz00_3479;
																}
														}
													}
												}
												{	/* Unsafe/sha2.scm 638 */
													long BgL_nz00_3488;

													BgL_nz00_3488 = (long) CINT(BgL_arg1405z00_1568);
													{	/* Unsafe/sha2.scm 599 */
														long BgL_tmpz00_5940;

														BgL_tmpz00_5940 = (BgL_nz00_3488 & 15L);
														BgL_arg1404z00_1567 =
															BGL_U32VREF(BgL_bufferz00_34, BgL_tmpz00_5940);
											}}}
											BgL_s0z00_1549 =
												(
												((BgL_arg1404z00_1567 >>
														(int) (7L)) |
													(BgL_arg1404z00_1567 <<
														(int) (
															(32L - 7L)))) ^
												(((BgL_arg1404z00_1567 >>
															(int) (18L)) |
														(BgL_arg1404z00_1567 <<
															(int) (
																(32L - 18L)))) ^
													(BgL_arg1404z00_1567 >> (int) (3L))));
										}
										{	/* Unsafe/sha2.scm 638 */
											uint32_t BgL_s1z00_1550;

											{	/* Unsafe/sha2.scm 639 */
												uint32_t BgL_arg1402z00_1565;

												{	/* Unsafe/sha2.scm 639 */
													obj_t BgL_arg1403z00_1566;

													{	/* Unsafe/sha2.scm 639 */
														obj_t BgL_za71za7_3519;

														BgL_za71za7_3519 = BINT(BgL_jz00_1537);
														{	/* Unsafe/sha2.scm 639 */
															obj_t BgL_tmpz00_3521;

															BgL_tmpz00_3521 = BINT(0L);
															{	/* Unsafe/sha2.scm 639 */
																bool_t BgL_test2413z00_5961;

																{	/* Unsafe/sha2.scm 639 */
																	obj_t BgL_tmpz00_5962;

																	BgL_tmpz00_5962 = BINT(14L);
																	BgL_test2413z00_5961 =
																		BGL_ADDFX_OV(BgL_za71za7_3519,
																		BgL_tmpz00_5962, BgL_tmpz00_3521);
																}
																if (BgL_test2413z00_5961)
																	{	/* Unsafe/sha2.scm 639 */
																		BgL_arg1403z00_1566 =
																			bgl_bignum_add(bgl_long_to_bignum(
																				(long) CINT(BgL_za71za7_3519)),
																			bgl_long_to_bignum(14L));
																	}
																else
																	{	/* Unsafe/sha2.scm 639 */
																		BgL_arg1403z00_1566 = BgL_tmpz00_3521;
																	}
															}
														}
													}
													{	/* Unsafe/sha2.scm 639 */
														long BgL_nz00_3530;

														BgL_nz00_3530 = (long) CINT(BgL_arg1403z00_1566);
														{	/* Unsafe/sha2.scm 599 */
															long BgL_tmpz00_5970;

															BgL_tmpz00_5970 = (BgL_nz00_3530 & 15L);
															BgL_arg1402z00_1565 =
																BGL_U32VREF(BgL_bufferz00_34, BgL_tmpz00_5970);
												}}}
												BgL_s1z00_1550 =
													(
													((BgL_arg1402z00_1565 >>
															(int) (17L)) |
														(BgL_arg1402z00_1565 <<
															(int) (
																(32L - 17L)))) ^
													(((BgL_arg1402z00_1565 >>
																(int) (19L)) |
															(BgL_arg1402z00_1565 <<
																(int) (
																	(32L - 19L)))) ^
														(BgL_arg1402z00_1565 >> (int) (10L))));
											}
											{	/* Unsafe/sha2.scm 639 */
												long BgL_ndxz00_1551;

												BgL_ndxz00_1551 =
													(BgL_jz00_1537 &
													LLONG_TO_LONG(((BGL_LONGLONG_T) 15)));
												{	/* Unsafe/sha2.scm 640 */
													uint32_t BgL_wz00_1552;

													{	/* Unsafe/sha2.scm 641 */
														uint32_t BgL_arg1397z00_1560;
														uint32_t BgL_arg1398z00_1561;

														{	/* Unsafe/sha2.scm 599 */
															long BgL_tmpz00_5991;

															BgL_tmpz00_5991 = (BgL_jz00_1537 & 15L);
															BgL_arg1397z00_1560 =
																BGL_U32VREF(BgL_bufferz00_34, BgL_tmpz00_5991);
														}
														{	/* Unsafe/sha2.scm 641 */
															uint32_t BgL_arg1399z00_1562;

															{	/* Unsafe/sha2.scm 641 */
																uint32_t BgL_arg1400z00_1563;

																{	/* Unsafe/sha2.scm 641 */
																	long BgL_arg1401z00_1564;

																	BgL_arg1401z00_1564 = (BgL_jz00_1537 + 9L);
																	{	/* Unsafe/sha2.scm 599 */
																		long BgL_tmpz00_5995;

																		BgL_tmpz00_5995 =
																			(BgL_arg1401z00_1564 & 15L);
																		BgL_arg1400z00_1563 =
																			BGL_U32VREF(BgL_bufferz00_34,
																			BgL_tmpz00_5995);
																}}
																BgL_arg1399z00_1562 =
																	BGl_addu32z00zz__sha2z00(BgL_arg1400z00_1563,
																	BgL_s0z00_1549);
															}
															BgL_arg1398z00_1561 =
																BGl_addu32z00zz__sha2z00(BgL_s1z00_1550,
																BgL_arg1399z00_1562);
														}
														BgL_wz00_1552 =
															BGl_addu32z00zz__sha2z00(BgL_arg1397z00_1560,
															BgL_arg1398z00_1561);
													}
													{	/* Unsafe/sha2.scm 641 */
														uint32_t BgL_t1z00_1553;

														{	/* Unsafe/sha2.scm 596 */
															uint32_t BgL_arg1418z00_3573;

															{	/* Unsafe/sha2.scm 596 */
																uint32_t BgL_arg1419z00_3574;
																uint32_t BgL_arg1420z00_3575;

																BgL_arg1419z00_3574 =
																	BGl_Sigma1zd2256zd2zz__sha2z00(BgL_ez00_1533);
																{	/* Unsafe/sha2.scm 596 */
																	uint32_t BgL_arg1421z00_3576;
																	uint32_t BgL_arg1422z00_3577;

																	BgL_arg1421z00_3576 =
																		(
																		(BgL_ez00_1533 & BgL_fz00_1534) ^
																		(~(BgL_ez00_1533) & BgL_gz00_1535));
																	{	/* Unsafe/sha2.scm 596 */
																		uint32_t BgL_arg1423z00_3578;

																		BgL_arg1423z00_3578 =
																			BGL_U32VREF(BGl_K256z00zz__sha2z00,
																			BgL_jz00_1537);
																		BgL_arg1422z00_3577 =
																			BGl_addu32z00zz__sha2z00
																			(BgL_arg1423z00_3578, BgL_wz00_1552);
																	}
																	BgL_arg1420z00_3575 =
																		BGl_addu32z00zz__sha2z00
																		(BgL_arg1421z00_3576, BgL_arg1422z00_3577);
																}
																BgL_arg1418z00_3573 =
																	BGl_addu32z00zz__sha2z00(BgL_arg1419z00_3574,
																	BgL_arg1420z00_3575);
															}
															BgL_t1z00_1553 =
																BGl_addu32z00zz__sha2z00(BgL_hz00_1536,
																BgL_arg1418z00_3573);
														}
														{	/* Unsafe/sha2.scm 642 */
															uint32_t BgL_t2z00_1554;

															BgL_t2z00_1554 =
																BGl_addu32z00zz__sha2z00(
																(((BgL_az00_1529 >>
																			(int) (2L)) |
																		(BgL_az00_1529 <<
																			(int) (
																				(32L - 2L)))) ^
																	(((BgL_az00_1529 >>
																				(int) (13L)) |
																			(BgL_az00_1529 <<
																				(int) (
																					(32L - 13L)))) ^
																		((BgL_az00_1529 >>
																				(int) (22L)) |
																			(BgL_az00_1529 <<
																				(int) (
																					(32L - 22L)))))),
																((BgL_az00_1529 & BgL_bz00_1530) ^
																	((BgL_az00_1529 & BgL_cz00_1531) ^
																		(BgL_bz00_1530 & BgL_cz00_1531))));
															{	/* Unsafe/sha2.scm 643 */

																BGL_U32VSET(BgL_bufferz00_34, BgL_ndxz00_1551,
																	BgL_wz00_1552);
																BUNSPEC;
																{	/* Unsafe/sha2.scm 645 */
																	uint32_t BgL_arg1392z00_1555;
																	uint32_t BgL_arg1393z00_1556;
																	obj_t BgL_arg1394z00_1557;

																	BgL_arg1392z00_1555 =
																		BGl_addu32z00zz__sha2z00(BgL_t1z00_1553,
																		BgL_t2z00_1554);
																	BgL_arg1393z00_1556 =
																		BGl_addu32z00zz__sha2z00(BgL_dz00_1532,
																		BgL_t1z00_1553);
																	{	/* Unsafe/sha2.scm 645 */
																		obj_t BgL_za71za7_3645;

																		BgL_za71za7_3645 = BINT(BgL_jz00_1537);
																		{	/* Unsafe/sha2.scm 645 */
																			obj_t BgL_tmpz00_3647;

																			BgL_tmpz00_3647 = BINT(0L);
																			{	/* Unsafe/sha2.scm 645 */
																				bool_t BgL_test2414z00_6042;

																				{	/* Unsafe/sha2.scm 645 */
																					obj_t BgL_tmpz00_6043;

																					BgL_tmpz00_6043 = BINT(1L);
																					BgL_test2414z00_6042 =
																						BGL_ADDFX_OV(BgL_za71za7_3645,
																						BgL_tmpz00_6043, BgL_tmpz00_3647);
																				}
																				if (BgL_test2414z00_6042)
																					{	/* Unsafe/sha2.scm 645 */
																						BgL_arg1394z00_1557 =
																							bgl_bignum_add(bgl_long_to_bignum(
																								(long) CINT(BgL_za71za7_3645)),
																							bgl_long_to_bignum(1L));
																					}
																				else
																					{	/* Unsafe/sha2.scm 645 */
																						BgL_arg1394z00_1557 =
																							BgL_tmpz00_3647;
																					}
																			}
																		}
																	}
																	{
																		long BgL_jz00_6058;
																		uint32_t BgL_hz00_6057;
																		uint32_t BgL_gz00_6056;
																		uint32_t BgL_fz00_6055;
																		uint32_t BgL_ez00_6054;
																		uint32_t BgL_dz00_6053;
																		uint32_t BgL_cz00_6052;
																		uint32_t BgL_bz00_6051;
																		uint32_t BgL_az00_6050;

																		BgL_az00_6050 = BgL_arg1392z00_1555;
																		BgL_bz00_6051 = BgL_az00_1529;
																		BgL_cz00_6052 = BgL_bz00_1530;
																		BgL_dz00_6053 = BgL_cz00_1531;
																		BgL_ez00_6054 = BgL_arg1393z00_1556;
																		BgL_fz00_6055 = BgL_ez00_1533;
																		BgL_gz00_6056 = BgL_fz00_1534;
																		BgL_hz00_6057 = BgL_gz00_1535;
																		BgL_jz00_6058 =
																			(long) CINT(BgL_arg1394z00_1557);
																		BgL_jz00_1537 = BgL_jz00_6058;
																		BgL_hz00_1536 = BgL_hz00_6057;
																		BgL_gz00_1535 = BgL_gz00_6056;
																		BgL_fz00_1534 = BgL_fz00_6055;
																		BgL_ez00_1533 = BgL_ez00_6054;
																		BgL_dz00_1532 = BgL_dz00_6053;
																		BgL_cz00_1531 = BgL_cz00_6052;
																		BgL_bz00_1530 = BgL_bz00_6051;
																		BgL_az00_1529 = BgL_az00_6050;
																		goto BgL_zc3z04anonymousza31383ze3z87_1538;
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/sha2.scm 637 */
										BgL_statez00_1602 = BgL_statez00_33;
										BgL_az00_1603 = BgL_az00_1529;
										BgL_bz00_1604 = BgL_bz00_1530;
										BgL_cz00_1605 = BgL_cz00_1531;
										BgL_dz00_1606 = BgL_dz00_1532;
										BgL_ez00_1607 = BgL_ez00_1533;
										BgL_fz00_1608 = BgL_fz00_1534;
										BgL_gz00_1609 = BgL_gz00_1535;
										BgL_hz00_1610 = BgL_hz00_1536;
										{	/* Unsafe/sha2.scm 604 */
											uint32_t BgL_oaz00_1612;
											uint32_t BgL_obz00_1613;
											uint32_t BgL_ocz00_1614;
											uint32_t BgL_odz00_1615;
											uint32_t BgL_oez00_1616;
											uint32_t BgL_ofz00_1617;
											uint32_t BgL_ogz00_1618;
											uint32_t BgL_ohz00_1619;

											BgL_oaz00_1612 = BGL_U32VREF(BgL_statez00_1602, 0L);
											BgL_obz00_1613 = BGL_U32VREF(BgL_statez00_1602, 1L);
											BgL_ocz00_1614 = BGL_U32VREF(BgL_statez00_1602, 2L);
											BgL_odz00_1615 = BGL_U32VREF(BgL_statez00_1602, 3L);
											BgL_oez00_1616 = BGL_U32VREF(BgL_statez00_1602, 4L);
											BgL_ofz00_1617 = BGL_U32VREF(BgL_statez00_1602, 5L);
											BgL_ogz00_1618 = BGL_U32VREF(BgL_statez00_1602, 6L);
											BgL_ohz00_1619 = BGL_U32VREF(BgL_statez00_1602, 7L);
											{	/* Unsafe/sha2.scm 613 */
												uint32_t BgL_arg1427z00_1621;

												BgL_arg1427z00_1621 =
													BGl_addu32z00zz__sha2z00(BgL_oaz00_1612,
													BgL_az00_1603);
												BGL_U32VSET(BgL_statez00_1602, 0L, BgL_arg1427z00_1621);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 614 */
												uint32_t BgL_arg1428z00_1622;

												BgL_arg1428z00_1622 =
													BGl_addu32z00zz__sha2z00(BgL_obz00_1613,
													BgL_bz00_1604);
												BGL_U32VSET(BgL_statez00_1602, 1L, BgL_arg1428z00_1622);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 615 */
												uint32_t BgL_arg1429z00_1623;

												BgL_arg1429z00_1623 =
													BGl_addu32z00zz__sha2z00(BgL_ocz00_1614,
													BgL_cz00_1605);
												BGL_U32VSET(BgL_statez00_1602, 2L, BgL_arg1429z00_1623);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 616 */
												uint32_t BgL_arg1432z00_1624;

												BgL_arg1432z00_1624 =
													BGl_addu32z00zz__sha2z00(BgL_odz00_1615,
													BgL_dz00_1606);
												BGL_U32VSET(BgL_statez00_1602, 3L, BgL_arg1432z00_1624);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 617 */
												uint32_t BgL_arg1433z00_1625;

												BgL_arg1433z00_1625 =
													BGl_addu32z00zz__sha2z00(BgL_oez00_1616,
													BgL_ez00_1607);
												BGL_U32VSET(BgL_statez00_1602, 4L, BgL_arg1433z00_1625);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 618 */
												uint32_t BgL_arg1434z00_1626;

												BgL_arg1434z00_1626 =
													BGl_addu32z00zz__sha2z00(BgL_ofz00_1617,
													BgL_fz00_1608);
												BGL_U32VSET(BgL_statez00_1602, 5L, BgL_arg1434z00_1626);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 619 */
												uint32_t BgL_arg1435z00_1627;

												BgL_arg1435z00_1627 =
													BGl_addu32z00zz__sha2z00(BgL_ogz00_1618,
													BgL_gz00_1609);
												BGL_U32VSET(BgL_statez00_1602, 6L, BgL_arg1435z00_1627);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 620 */
												uint32_t BgL_arg1436z00_1628;

												BgL_arg1436z00_1628 =
													BGl_addu32z00zz__sha2z00(BgL_ohz00_1619,
													BgL_hz00_1610);
												BGL_U32VSET(BgL_statez00_1602, 7L, BgL_arg1436z00_1628);
												BUNSPEC;
											}
										}
										return BgL_statez00_33;
									}
							}
					}
				}
			}
		}

	}



/* sha256-update */
	obj_t BGl_sha256zd2updatezd2zz__sha2z00(obj_t BgL_statez00_35,
		obj_t BgL_bufferz00_36, obj_t BgL_oz00_37, obj_t BgL_fillzd2wordz12zc0_38)
	{
		{	/* Unsafe/sha2.scm 653 */
			{
				obj_t BgL_bufferz00_1654;
				long BgL_iz00_1655;

				{
					long BgL_iz00_1637;
					long BgL_lz00_1638;

					BgL_iz00_1637 = 0L;
					BgL_lz00_1638 = 0L;
				BgL_zc3z04anonymousza31437ze3z87_1639:
					{	/* Unsafe/sha2.scm 673 */
						obj_t BgL_bytesz00_1640;

						BgL_bufferz00_1654 = BgL_bufferz00_36;
						BgL_iz00_1655 = BgL_iz00_1637;
						{
							long BgL_jz00_3669;
							long BgL_iz00_3670;
							obj_t BgL_nz00_3671;

							BgL_jz00_3669 = 0L;
							BgL_iz00_3670 = BgL_iz00_1655;
							BgL_nz00_3671 = BINT(0L);
						BgL_loopz00_3668:
							if ((BgL_jz00_3669 < 16L))
								{	/* Unsafe/sha2.scm 662 */
									long BgL_arg1453z00_3674;
									long BgL_arg1455z00_3675;
									obj_t BgL_arg1457z00_3676;

									BgL_arg1453z00_3674 = (BgL_jz00_3669 + 1L);
									BgL_arg1455z00_3675 = (BgL_iz00_3670 + 4L);
									{	/* Unsafe/sha2.scm 662 */
										long BgL_b1146z00_3679;

										BgL_b1146z00_3679 =
											((long (*)(obj_t, obj_t, long, obj_t,
													long))
											PROCEDURE_L_ENTRY(BgL_fillzd2wordz12zc0_38))
											(BgL_fillzd2wordz12zc0_38, BgL_bufferz00_1654,
											BgL_jz00_3669, BgL_oz00_37, BgL_iz00_3670);
										if (INTEGERP(BgL_nz00_3671))
											{	/* Unsafe/sha2.scm 662 */
												obj_t BgL_za72za7_3682;

												BgL_za72za7_3682 = BINT(BgL_b1146z00_3679);
												{	/* Unsafe/sha2.scm 662 */
													obj_t BgL_tmpz00_3683;

													BgL_tmpz00_3683 = BINT(0L);
													if (BGL_ADDFX_OV(BgL_nz00_3671, BgL_za72za7_3682,
															BgL_tmpz00_3683))
														{	/* Unsafe/sha2.scm 662 */
															BgL_arg1457z00_3676 =
																bgl_bignum_add(bgl_long_to_bignum(
																	(long) CINT(BgL_nz00_3671)),
																bgl_long_to_bignum(
																	(long) CINT(BgL_za72za7_3682)));
														}
													else
														{	/* Unsafe/sha2.scm 662 */
															BgL_arg1457z00_3676 = BgL_tmpz00_3683;
														}
												}
											}
										else
											{	/* Unsafe/sha2.scm 662 */
												BgL_arg1457z00_3676 =
													BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_nz00_3671,
													BINT(BgL_b1146z00_3679));
											}
									}
									{
										obj_t BgL_nz00_6110;
										long BgL_iz00_6109;
										long BgL_jz00_6108;

										BgL_jz00_6108 = BgL_arg1453z00_3674;
										BgL_iz00_6109 = BgL_arg1455z00_3675;
										BgL_nz00_6110 = BgL_arg1457z00_3676;
										BgL_nz00_3671 = BgL_nz00_6110;
										BgL_iz00_3670 = BgL_iz00_6109;
										BgL_jz00_3669 = BgL_jz00_6108;
										goto BgL_loopz00_3668;
									}
								}
							else
								{	/* Unsafe/sha2.scm 661 */
									BgL_bytesz00_1640 = BgL_nz00_3671;
								}
						}
						if (((long) CINT(BgL_bytesz00_1640) == 64L))
							{	/* Unsafe/sha2.scm 675 */
								BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35,
									BgL_bufferz00_36);
								{
									long BgL_lz00_6118;
									long BgL_iz00_6116;

									BgL_iz00_6116 = (BgL_iz00_1637 + 64L);
									BgL_lz00_6118 = (BgL_lz00_1638 + 64L);
									BgL_lz00_1638 = BgL_lz00_6118;
									BgL_iz00_1637 = BgL_iz00_6116;
									goto BgL_zc3z04anonymousza31437ze3z87_1639;
								}
							}
						else
							{	/* Unsafe/sha2.scm 675 */
								if (((64L - (long) CINT(BgL_bytesz00_1640)) >= 8L))
									{	/* Unsafe/sha2.scm 679 */
										{	/* Unsafe/sha2.scm 682 */
											uint32_t BgL_ulenz00_1646;

											{	/* Unsafe/sha2.scm 682 */
												long BgL_tmpz00_6124;

												BgL_tmpz00_6124 =
													(8L *
													((BgL_lz00_1638 - 1L) +
														(long) CINT(BgL_bytesz00_1640)));
												BgL_ulenz00_1646 = (uint32_t) (BgL_tmpz00_6124);
											}
											BGL_U32VSET(BgL_bufferz00_36, 15L, BgL_ulenz00_1646);
											BUNSPEC;
										}
										return
											BGl_sha256zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_35, BgL_bufferz00_36);
									}
								else
									{	/* Unsafe/sha2.scm 679 */
										BGl_sha256zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_35, BgL_bufferz00_36);
										{
											long BgL_iz00_3715;

											BgL_iz00_3715 = 0L;
										BgL_loopz00_3714:
											if ((BgL_iz00_3715 < 15L))
												{	/* Unsafe/sha2.scm 667 */
													BGL_U32VSET(BgL_bufferz00_36, BgL_iz00_3715,
														(uint32_t) (0));
													BUNSPEC;
													{
														long BgL_iz00_6136;

														BgL_iz00_6136 = (BgL_iz00_3715 + 1L);
														BgL_iz00_3715 = BgL_iz00_6136;
														goto BgL_loopz00_3714;
													}
												}
											else
												{	/* Unsafe/sha2.scm 667 */
													((bool_t) 0);
												}
										}
										{	/* Unsafe/sha2.scm 689 */
											uint32_t BgL_ulenz00_1649;

											{	/* Unsafe/sha2.scm 689 */
												long BgL_tmpz00_6138;

												BgL_tmpz00_6138 =
													(8L *
													((BgL_lz00_1638 - 1L) +
														(long) CINT(BgL_bytesz00_1640)));
												BgL_ulenz00_1649 = (uint32_t) (BgL_tmpz00_6138);
											}
											BGL_U32VSET(BgL_bufferz00_36, 15L, BgL_ulenz00_1649);
											BUNSPEC;
										}
										return
											BGl_sha256zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_35, BgL_bufferz00_36);
									}
							}
					}
				}
			}
		}

	}



/* sha256sum-mmap */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2mmapzd2zz__sha2z00(obj_t BgL_mmz00_39)
	{
		{	/* Unsafe/sha2.scm 696 */
			{	/* Unsafe/sha2.scm 699 */
				obj_t BgL_fillzd2word32zd2mmapz12z12_5014;

				BgL_fillzd2word32zd2mmapz12z12_5014 = BGl_proc2354z00zz__sha2z00;
				{	/* Unsafe/sha2.scm 733 */
					obj_t BgL_statez00_1683;
					obj_t BgL_bufferz00_1684;

					BgL_statez00_1683 =
						BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00();
					{	/* Llib/srfi4.scm 451 */

						BgL_bufferz00_1684 =
							BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t) (0));
					}
					BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1683,
						BgL_bufferz00_1684, BgL_mmz00_39,
						BgL_fillzd2word32zd2mmapz12z12_5014);
					return BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1683);
				}
			}
		}

	}



/* &sha256sum-mmap */
	obj_t BGl_z62sha256sumzd2mmapzb0zz__sha2z00(obj_t BgL_envz00_5015,
		obj_t BgL_mmz00_5016)
	{
		{	/* Unsafe/sha2.scm 696 */
			{	/* Unsafe/sha2.scm 699 */
				obj_t BgL_auxz00_6150;

				if (BGL_MMAPP(BgL_mmz00_5016))
					{	/* Unsafe/sha2.scm 699 */
						BgL_auxz00_6150 = BgL_mmz00_5016;
					}
				else
					{
						obj_t BgL_auxz00_6153;

						BgL_auxz00_6153 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2355z00zz__sha2z00,
							BINT(31200L), BGl_string2356z00zz__sha2z00,
							BGl_string2357z00zz__sha2z00, BgL_mmz00_5016);
						FAILURE(BgL_auxz00_6153, BFALSE, BFALSE);
					}
				return BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_auxz00_6150);
			}
		}

	}



/* &fill-word32-mmap! */
	long BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00(obj_t BgL_envz00_5017,
		obj_t BgL_v32z00_5018, long BgL_iz00_5019, obj_t BgL_mmz00_5020,
		long BgL_nz00_5021)
	{
		{	/* Unsafe/sha2.scm 731 */
			{	/* Unsafe/sha2.scm 702 */
				long BgL_lz00_5127;

				{	/* Unsafe/sha2.scm 702 */
					obj_t BgL_tmpz00_6158;

					BgL_tmpz00_6158 = ((obj_t) BgL_mmz00_5020);
					BgL_lz00_5127 = BGL_MMAP_LENGTH(BgL_tmpz00_6158);
				}
				{	/* Unsafe/sha2.scm 704 */
					bool_t BgL_test2422z00_6161;

					{	/* Unsafe/sha2.scm 704 */
						long BgL_n2z00_5128;

						BgL_n2z00_5128 = (long) (BgL_lz00_5127);
						BgL_test2422z00_6161 = ((BgL_nz00_5021 + 4L) <= BgL_n2z00_5128);
					}
					if (BgL_test2422z00_6161)
						{	/* Unsafe/sha2.scm 705 */
							uint32_t BgL_v0z00_5129;

							{	/* Unsafe/sha2.scm 699 */
								unsigned char BgL_arg1464z00_5130;

								{	/* Unsafe/sha2.scm 699 */
									long BgL_auxz00_6167;
									obj_t BgL_tmpz00_6165;

									BgL_auxz00_6167 = (long) (BgL_nz00_5021);
									BgL_tmpz00_6165 = ((obj_t) BgL_mmz00_5020);
									BgL_arg1464z00_5130 =
										BGL_MMAP_REF(BgL_tmpz00_6165, BgL_auxz00_6167);
								}
								{	/* Unsafe/sha2.scm 699 */
									long BgL_tmpz00_6170;

									BgL_tmpz00_6170 = (BgL_arg1464z00_5130);
									BgL_v0z00_5129 = (uint32_t) (BgL_tmpz00_6170);
							}}
							{	/* Unsafe/sha2.scm 705 */
								uint32_t BgL_v1z00_5131;

								{	/* Unsafe/sha2.scm 706 */
									long BgL_arg1483z00_5132;

									BgL_arg1483z00_5132 = (BgL_nz00_5021 + 1L);
									{	/* Unsafe/sha2.scm 699 */
										unsigned char BgL_arg1464z00_5133;

										{	/* Unsafe/sha2.scm 699 */
											long BgL_auxz00_6176;
											obj_t BgL_tmpz00_6174;

											BgL_auxz00_6176 = (long) (BgL_arg1483z00_5132);
											BgL_tmpz00_6174 = ((obj_t) BgL_mmz00_5020);
											BgL_arg1464z00_5133 =
												BGL_MMAP_REF(BgL_tmpz00_6174, BgL_auxz00_6176);
										}
										{	/* Unsafe/sha2.scm 699 */
											long BgL_tmpz00_6179;

											BgL_tmpz00_6179 = (BgL_arg1464z00_5133);
											BgL_v1z00_5131 = (uint32_t) (BgL_tmpz00_6179);
								}}}
								{	/* Unsafe/sha2.scm 706 */
									uint32_t BgL_v2z00_5134;

									{	/* Unsafe/sha2.scm 707 */
										long BgL_arg1482z00_5135;

										BgL_arg1482z00_5135 = (BgL_nz00_5021 + 2L);
										{	/* Unsafe/sha2.scm 699 */
											unsigned char BgL_arg1464z00_5136;

											{	/* Unsafe/sha2.scm 699 */
												long BgL_auxz00_6185;
												obj_t BgL_tmpz00_6183;

												BgL_auxz00_6185 = (long) (BgL_arg1482z00_5135);
												BgL_tmpz00_6183 = ((obj_t) BgL_mmz00_5020);
												BgL_arg1464z00_5136 =
													BGL_MMAP_REF(BgL_tmpz00_6183, BgL_auxz00_6185);
											}
											{	/* Unsafe/sha2.scm 699 */
												long BgL_tmpz00_6188;

												BgL_tmpz00_6188 = (BgL_arg1464z00_5136);
												BgL_v2z00_5134 = (uint32_t) (BgL_tmpz00_6188);
									}}}
									{	/* Unsafe/sha2.scm 707 */
										uint32_t BgL_v3z00_5137;

										{	/* Unsafe/sha2.scm 708 */
											long BgL_arg1481z00_5138;

											BgL_arg1481z00_5138 = (BgL_nz00_5021 + 3L);
											{	/* Unsafe/sha2.scm 699 */
												unsigned char BgL_arg1464z00_5139;

												{	/* Unsafe/sha2.scm 699 */
													long BgL_auxz00_6194;
													obj_t BgL_tmpz00_6192;

													BgL_auxz00_6194 = (long) (BgL_arg1481z00_5138);
													BgL_tmpz00_6192 = ((obj_t) BgL_mmz00_5020);
													BgL_arg1464z00_5139 =
														BGL_MMAP_REF(BgL_tmpz00_6192, BgL_auxz00_6194);
												}
												{	/* Unsafe/sha2.scm 699 */
													long BgL_tmpz00_6197;

													BgL_tmpz00_6197 = (BgL_arg1464z00_5139);
													BgL_v3z00_5137 = (uint32_t) (BgL_tmpz00_6197);
										}}}
										{	/* Unsafe/sha2.scm 708 */
											uint32_t BgL_vz00_5140;

											{	/* Unsafe/sha2.scm 709 */
												uint32_t BgL_arg1468z00_5141;
												uint32_t BgL_arg1469z00_5142;

												{	/* Unsafe/sha2.scm 709 */
													uint32_t BgL_arg1470z00_5143;

													{	/* Unsafe/sha2.scm 709 */
														long BgL_arg1471z00_5144;

														{	/* Unsafe/sha2.scm 709 */
															long BgL_arg1472z00_5145;
															long BgL_arg1473z00_5146;

															{	/* Unsafe/sha2.scm 709 */
																uint32_t BgL_tmpz00_6200;

																BgL_tmpz00_6200 =
																	(BgL_v0z00_5129 << (int) (8L));
																BgL_arg1472z00_5145 = (long) (BgL_tmpz00_6200);
															}
															BgL_arg1473z00_5146 = (long) (BgL_v1z00_5131);
															BgL_arg1471z00_5144 =
																(BgL_arg1472z00_5145 | BgL_arg1473z00_5146);
														}
														BgL_arg1470z00_5143 =
															(uint32_t) (BgL_arg1471z00_5144);
													}
													BgL_arg1468z00_5141 =
														(BgL_arg1470z00_5143 << (int) (16L));
												}
												{	/* Unsafe/sha2.scm 709 */
													long BgL_arg1475z00_5147;

													{	/* Unsafe/sha2.scm 709 */
														long BgL_arg1476z00_5148;
														long BgL_arg1479z00_5149;

														{	/* Unsafe/sha2.scm 709 */
															uint32_t BgL_tmpz00_6209;

															BgL_tmpz00_6209 = (BgL_v2z00_5134 << (int) (8L));
															BgL_arg1476z00_5148 = (long) (BgL_tmpz00_6209);
														}
														BgL_arg1479z00_5149 = (long) (BgL_v3z00_5137);
														BgL_arg1475z00_5147 =
															(BgL_arg1476z00_5148 | BgL_arg1479z00_5149);
													}
													BgL_arg1469z00_5142 =
														(uint32_t) (BgL_arg1475z00_5147);
												}
												BgL_vz00_5140 =
													(BgL_arg1468z00_5141 | BgL_arg1469z00_5142);
											}
											{	/* Unsafe/sha2.scm 709 */

												BGL_U32VSET(BgL_v32z00_5018, BgL_iz00_5019,
													BgL_vz00_5140);
												BUNSPEC;
												return 4L;
											}
										}
									}
								}
							}
						}
					else
						{	/* Unsafe/sha2.scm 712 */
							bool_t BgL_test2423z00_6218;

							{	/* Unsafe/sha2.scm 712 */
								long BgL_tmpz00_6219;

								{	/* Unsafe/sha2.scm 712 */
									long BgL_za72za7_5150;

									BgL_za72za7_5150 = (long) (BgL_lz00_5127);
									BgL_tmpz00_6219 = (1L + BgL_za72za7_5150);
								}
								BgL_test2423z00_6218 = (BgL_nz00_5021 >= BgL_tmpz00_6219);
							}
							if (BgL_test2423z00_6218)
								{	/* Unsafe/sha2.scm 712 */
									{	/* Unsafe/sha2.scm 713 */
										uint32_t BgL_tmpz00_6223;

										BgL_tmpz00_6223 = (uint32_t) (0L);
										BGL_U32VSET(BgL_v32z00_5018, BgL_iz00_5019,
											BgL_tmpz00_6223);
									}
									BUNSPEC;
									return 0L;
								}
							else
								{	/* Unsafe/sha2.scm 716 */
									obj_t BgL_vz00_5151;
									long BgL_kz00_5152;

									BgL_vz00_5151 =
										BGl_makezd2u32vectorzd2zz__srfi4z00(4L, (uint32_t) (0L));
									{	/* Unsafe/sha2.scm 717 */
										long BgL_tmpz00_6228;

										{	/* Unsafe/sha2.scm 717 */
											long BgL_za72za7_5153;

											BgL_za72za7_5153 = (long) (BgL_lz00_5127);
											BgL_tmpz00_6228 =
												((BgL_nz00_5021 + 4L) - BgL_za72za7_5153);
										}
										BgL_kz00_5152 = (4L - BgL_tmpz00_6228);
									}
									{
										long BgL_jz00_5155;

										BgL_jz00_5155 = 0L;
									BgL_loopz00_5154:
										if ((BgL_jz00_5155 == BgL_kz00_5152))
											{	/* Unsafe/sha2.scm 719 */
												{	/* Unsafe/sha2.scm 721 */
													uint32_t BgL_tmpz00_6235;

													BgL_tmpz00_6235 = (uint32_t) (128L);
													BGL_U32VSET(BgL_vz00_5151, BgL_jz00_5155,
														BgL_tmpz00_6235);
												}
												BUNSPEC;
												{	/* Unsafe/sha2.scm 722 */
													uint32_t BgL_v0z00_5156;

													BgL_v0z00_5156 = BGL_U32VREF(BgL_vz00_5151, 0L);
													{	/* Unsafe/sha2.scm 722 */
														uint32_t BgL_v1z00_5157;

														BgL_v1z00_5157 = BGL_U32VREF(BgL_vz00_5151, 1L);
														{	/* Unsafe/sha2.scm 723 */
															uint32_t BgL_v2z00_5158;

															BgL_v2z00_5158 = BGL_U32VREF(BgL_vz00_5151, 2L);
															{	/* Unsafe/sha2.scm 724 */
																uint32_t BgL_v3z00_5159;

																BgL_v3z00_5159 = BGL_U32VREF(BgL_vz00_5151, 3L);
																{	/* Unsafe/sha2.scm 725 */
																	uint32_t BgL_vz00_5160;

																	{	/* Unsafe/sha2.scm 726 */
																		uint32_t BgL_arg1488z00_5161;
																		uint32_t BgL_arg1489z00_5162;

																		{	/* Unsafe/sha2.scm 726 */
																			uint32_t BgL_arg1490z00_5163;

																			{	/* Unsafe/sha2.scm 726 */
																				long BgL_arg1491z00_5164;

																				{	/* Unsafe/sha2.scm 726 */
																					long BgL_arg1492z00_5165;
																					long BgL_arg1493z00_5166;

																					{	/* Unsafe/sha2.scm 726 */
																						uint32_t BgL_tmpz00_6242;

																						BgL_tmpz00_6242 =
																							(BgL_v0z00_5156 << (int) (8L));
																						BgL_arg1492z00_5165 =
																							(long) (BgL_tmpz00_6242);
																					}
																					BgL_arg1493z00_5166 =
																						(long) (BgL_v1z00_5157);
																					BgL_arg1491z00_5164 =
																						(BgL_arg1492z00_5165 |
																						BgL_arg1493z00_5166);
																				}
																				BgL_arg1490z00_5163 =
																					(uint32_t) (BgL_arg1491z00_5164);
																			}
																			BgL_arg1488z00_5161 =
																				(BgL_arg1490z00_5163 << (int) (16L));
																		}
																		{	/* Unsafe/sha2.scm 726 */
																			long BgL_arg1495z00_5167;

																			{	/* Unsafe/sha2.scm 726 */
																				long BgL_arg1497z00_5168;
																				long BgL_arg1499z00_5169;

																				{	/* Unsafe/sha2.scm 726 */
																					uint32_t BgL_tmpz00_6251;

																					BgL_tmpz00_6251 =
																						(BgL_v2z00_5158 << (int) (8L));
																					BgL_arg1497z00_5168 =
																						(long) (BgL_tmpz00_6251);
																				}
																				BgL_arg1499z00_5169 =
																					(long) (BgL_v3z00_5159);
																				BgL_arg1495z00_5167 =
																					(BgL_arg1497z00_5168 |
																					BgL_arg1499z00_5169);
																			}
																			BgL_arg1489z00_5162 =
																				(uint32_t) (BgL_arg1495z00_5167);
																		}
																		BgL_vz00_5160 =
																			(BgL_arg1488z00_5161 |
																			BgL_arg1489z00_5162);
																	}
																	{	/* Unsafe/sha2.scm 726 */

																		BGL_U32VSET(BgL_v32z00_5018, BgL_iz00_5019,
																			BgL_vz00_5160);
																		BUNSPEC;
																		return (BgL_jz00_5155 + 1L);
																	}
																}
															}
														}
													}
												}
											}
										else
											{	/* Unsafe/sha2.scm 719 */
												{	/* Unsafe/sha2.scm 730 */
													long BgL_arg1501z00_5170;

													{	/* Unsafe/sha2.scm 730 */
														obj_t BgL_arg1502z00_5171;

														{	/* Unsafe/sha2.scm 730 */
															obj_t BgL_za71za7_5172;
															obj_t BgL_za72za7_5173;

															BgL_za71za7_5172 = BINT(BgL_nz00_5021);
															BgL_za72za7_5173 = BINT(BgL_jz00_5155);
															{	/* Unsafe/sha2.scm 730 */
																obj_t BgL_tmpz00_5174;

																BgL_tmpz00_5174 = BINT(0L);
																if (BGL_ADDFX_OV(BgL_za71za7_5172,
																		BgL_za72za7_5173, BgL_tmpz00_5174))
																	{	/* Unsafe/sha2.scm 730 */
																		BgL_arg1502z00_5171 =
																			bgl_bignum_add(bgl_long_to_bignum(
																				(long) CINT(BgL_za71za7_5172)),
																			bgl_long_to_bignum(
																				(long) CINT(BgL_za72za7_5173)));
																	}
																else
																	{	/* Unsafe/sha2.scm 730 */
																		BgL_arg1502z00_5171 = BgL_tmpz00_5174;
																	}
															}
														}
														{	/* Unsafe/sha2.scm 730 */
															long BgL_iz00_5175;

															BgL_iz00_5175 = (long) CINT(BgL_arg1502z00_5171);
															{	/* Unsafe/sha2.scm 699 */
																unsigned char BgL_arg1464z00_5176;

																{	/* Unsafe/sha2.scm 699 */
																	long BgL_auxz00_6274;
																	obj_t BgL_tmpz00_6272;

																	BgL_auxz00_6274 = (long) (BgL_iz00_5175);
																	BgL_tmpz00_6272 = ((obj_t) BgL_mmz00_5020);
																	BgL_arg1464z00_5176 =
																		BGL_MMAP_REF(BgL_tmpz00_6272,
																		BgL_auxz00_6274);
																}
																BgL_arg1501z00_5170 = (BgL_arg1464z00_5176);
													}}}
													{	/* Unsafe/sha2.scm 730 */
														uint32_t BgL_tmpz00_6278;

														BgL_tmpz00_6278 = (uint32_t) (BgL_arg1501z00_5170);
														BGL_U32VSET(BgL_vz00_5151, BgL_jz00_5155,
															BgL_tmpz00_6278);
													} BUNSPEC;
												}
												{
													long BgL_jz00_6281;

													BgL_jz00_6281 = (BgL_jz00_5155 + 1L);
													BgL_jz00_5155 = BgL_jz00_6281;
													goto BgL_loopz00_5154;
												}
											}
									}
								}
						}
				}
			}
		}

	}



/* sha256sum-string */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2stringzd2zz__sha2z00(obj_t
		BgL_strz00_40)
	{
		{	/* Unsafe/sha2.scm 741 */
			{	/* Unsafe/sha2.scm 744 */
				obj_t BgL_fillzd2word32zd2stringz12z12_5022;

				BgL_fillzd2word32zd2stringz12z12_5022 = BGl_proc2358z00zz__sha2z00;
				{	/* Unsafe/sha2.scm 778 */
					obj_t BgL_statez00_1755;
					obj_t BgL_bufferz00_1756;

					BgL_statez00_1755 =
						BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00();
					{	/* Llib/srfi4.scm 451 */

						BgL_bufferz00_1756 =
							BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t) (0));
					}
					BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1755,
						BgL_bufferz00_1756, BgL_strz00_40,
						BgL_fillzd2word32zd2stringz12z12_5022);
					return BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1755);
				}
			}
		}

	}



/* &sha256sum-string */
	obj_t BGl_z62sha256sumzd2stringzb0zz__sha2z00(obj_t BgL_envz00_5023,
		obj_t BgL_strz00_5024)
	{
		{	/* Unsafe/sha2.scm 741 */
			{	/* Unsafe/sha2.scm 744 */
				obj_t BgL_auxz00_6287;

				if (STRINGP(BgL_strz00_5024))
					{	/* Unsafe/sha2.scm 744 */
						BgL_auxz00_6287 = BgL_strz00_5024;
					}
				else
					{
						obj_t BgL_auxz00_6290;

						BgL_auxz00_6290 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2355z00zz__sha2z00,
							BINT(32705L), BGl_string2359z00zz__sha2z00,
							BGl_string2360z00zz__sha2z00, BgL_strz00_5024);
						FAILURE(BgL_auxz00_6290, BFALSE, BFALSE);
					}
				return BGl_sha256sumzd2stringzd2zz__sha2z00(BgL_auxz00_6287);
			}
		}

	}



/* &fill-word32-string! */
	long BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00(obj_t BgL_envz00_5025,
		obj_t BgL_v32z00_5026, long BgL_iz00_5027, obj_t BgL_strz00_5028,
		long BgL_nz00_5029)
	{
		{	/* Unsafe/sha2.scm 776 */
			{	/* Unsafe/sha2.scm 747 */
				long BgL_lz00_5181;

				BgL_lz00_5181 = STRING_LENGTH(((obj_t) BgL_strz00_5028));
				if (((BgL_nz00_5029 + 4L) <= BgL_lz00_5181))
					{	/* Unsafe/sha2.scm 750 */
						uint32_t BgL_v0z00_5182;

						{	/* Unsafe/sha2.scm 744 */
							long BgL_tmpz00_6300;

							BgL_tmpz00_6300 =
								(STRING_REF(((obj_t) BgL_strz00_5028), BgL_nz00_5029));
							BgL_v0z00_5182 = (uint32_t) (BgL_tmpz00_6300);
						}
						{	/* Unsafe/sha2.scm 750 */
							uint32_t BgL_v1z00_5183;

							{	/* Unsafe/sha2.scm 744 */
								long BgL_tmpz00_6305;

								BgL_tmpz00_6305 =
									(STRING_REF(((obj_t) BgL_strz00_5028), (BgL_nz00_5029 + 1L)));
								BgL_v1z00_5183 = (uint32_t) (BgL_tmpz00_6305);
							}
							{	/* Unsafe/sha2.scm 751 */
								uint32_t BgL_v2z00_5184;

								{	/* Unsafe/sha2.scm 744 */
									long BgL_tmpz00_6311;

									BgL_tmpz00_6311 =
										(STRING_REF(
											((obj_t) BgL_strz00_5028), (BgL_nz00_5029 + 2L)));
									BgL_v2z00_5184 = (uint32_t) (BgL_tmpz00_6311);
								}
								{	/* Unsafe/sha2.scm 752 */
									uint32_t BgL_v3z00_5185;

									{	/* Unsafe/sha2.scm 744 */
										long BgL_tmpz00_6317;

										BgL_tmpz00_6317 =
											(STRING_REF(
												((obj_t) BgL_strz00_5028), (BgL_nz00_5029 + 3L)));
										BgL_v3z00_5185 = (uint32_t) (BgL_tmpz00_6317);
									}
									{	/* Unsafe/sha2.scm 753 */
										uint32_t BgL_vz00_5186;

										{	/* Unsafe/sha2.scm 754 */
											uint32_t BgL_arg1514z00_5187;
											uint32_t BgL_arg1515z00_5188;

											{	/* Unsafe/sha2.scm 754 */
												uint32_t BgL_arg1516z00_5189;

												{	/* Unsafe/sha2.scm 754 */
													long BgL_arg1517z00_5190;

													{	/* Unsafe/sha2.scm 754 */
														long BgL_arg1519z00_5191;
														long BgL_arg1523z00_5192;

														{	/* Unsafe/sha2.scm 754 */
															uint32_t BgL_tmpz00_6323;

															BgL_tmpz00_6323 = (BgL_v0z00_5182 << (int) (8L));
															BgL_arg1519z00_5191 = (long) (BgL_tmpz00_6323);
														}
														BgL_arg1523z00_5192 = (long) (BgL_v1z00_5183);
														BgL_arg1517z00_5190 =
															(BgL_arg1519z00_5191 | BgL_arg1523z00_5192);
													}
													BgL_arg1516z00_5189 =
														(uint32_t) (BgL_arg1517z00_5190);
												}
												BgL_arg1514z00_5187 =
													(BgL_arg1516z00_5189 << (int) (16L));
											}
											{	/* Unsafe/sha2.scm 754 */
												long BgL_arg1525z00_5193;

												{	/* Unsafe/sha2.scm 754 */
													long BgL_arg1528z00_5194;
													long BgL_arg1530z00_5195;

													{	/* Unsafe/sha2.scm 754 */
														uint32_t BgL_tmpz00_6332;

														BgL_tmpz00_6332 = (BgL_v2z00_5184 << (int) (8L));
														BgL_arg1528z00_5194 = (long) (BgL_tmpz00_6332);
													}
													BgL_arg1530z00_5195 = (long) (BgL_v3z00_5185);
													BgL_arg1525z00_5193 =
														(BgL_arg1528z00_5194 | BgL_arg1530z00_5195);
												}
												BgL_arg1515z00_5188 = (uint32_t) (BgL_arg1525z00_5193);
											}
											BgL_vz00_5186 =
												(BgL_arg1514z00_5187 | BgL_arg1515z00_5188);
										}
										{	/* Unsafe/sha2.scm 754 */

											BGL_U32VSET(BgL_v32z00_5026, BgL_iz00_5027,
												BgL_vz00_5186);
											BUNSPEC;
											return 4L;
										}
									}
								}
							}
						}
					}
				else
					{	/* Unsafe/sha2.scm 749 */
						if ((BgL_nz00_5029 >= (1L + BgL_lz00_5181)))
							{	/* Unsafe/sha2.scm 757 */
								{	/* Unsafe/sha2.scm 758 */
									uint32_t BgL_tmpz00_6344;

									BgL_tmpz00_6344 = (uint32_t) (0L);
									BGL_U32VSET(BgL_v32z00_5026, BgL_iz00_5027, BgL_tmpz00_6344);
								}
								BUNSPEC;
								return 0L;
							}
						else
							{	/* Unsafe/sha2.scm 761 */
								obj_t BgL_vz00_5196;
								long BgL_kz00_5197;

								BgL_vz00_5196 =
									BGl_makezd2u32vectorzd2zz__srfi4z00(4L, (uint32_t) (0L));
								BgL_kz00_5197 = (4L - ((BgL_nz00_5029 + 4L) - BgL_lz00_5181));
								{
									long BgL_jz00_5199;

									BgL_jz00_5199 = 0L;
								BgL_loopz00_5198:
									if ((BgL_jz00_5199 == BgL_kz00_5197))
										{	/* Unsafe/sha2.scm 764 */
											{	/* Unsafe/sha2.scm 766 */
												uint32_t BgL_tmpz00_6354;

												BgL_tmpz00_6354 = (uint32_t) (128L);
												BGL_U32VSET(BgL_vz00_5196, BgL_jz00_5199,
													BgL_tmpz00_6354);
											}
											BUNSPEC;
											{	/* Unsafe/sha2.scm 767 */
												uint32_t BgL_v0z00_5200;

												BgL_v0z00_5200 = BGL_U32VREF(BgL_vz00_5196, 0L);
												{	/* Unsafe/sha2.scm 767 */
													uint32_t BgL_v1z00_5201;

													BgL_v1z00_5201 = BGL_U32VREF(BgL_vz00_5196, 1L);
													{	/* Unsafe/sha2.scm 768 */
														uint32_t BgL_v2z00_5202;

														BgL_v2z00_5202 = BGL_U32VREF(BgL_vz00_5196, 2L);
														{	/* Unsafe/sha2.scm 769 */
															uint32_t BgL_v3z00_5203;

															BgL_v3z00_5203 = BGL_U32VREF(BgL_vz00_5196, 3L);
															{	/* Unsafe/sha2.scm 770 */
																uint32_t BgL_vz00_5204;

																{	/* Unsafe/sha2.scm 771 */
																	uint32_t BgL_arg1539z00_5205;
																	uint32_t BgL_arg1540z00_5206;

																	{	/* Unsafe/sha2.scm 771 */
																		uint32_t BgL_arg1541z00_5207;

																		{	/* Unsafe/sha2.scm 771 */
																			long BgL_arg1542z00_5208;

																			{	/* Unsafe/sha2.scm 771 */
																				long BgL_arg1543z00_5209;
																				long BgL_arg1545z00_5210;

																				{	/* Unsafe/sha2.scm 771 */
																					uint32_t BgL_tmpz00_6361;

																					BgL_tmpz00_6361 =
																						(BgL_v0z00_5200 << (int) (8L));
																					BgL_arg1543z00_5209 =
																						(long) (BgL_tmpz00_6361);
																				}
																				BgL_arg1545z00_5210 =
																					(long) (BgL_v1z00_5201);
																				BgL_arg1542z00_5208 =
																					(BgL_arg1543z00_5209 |
																					BgL_arg1545z00_5210);
																			}
																			BgL_arg1541z00_5207 =
																				(uint32_t) (BgL_arg1542z00_5208);
																		}
																		BgL_arg1539z00_5205 =
																			(BgL_arg1541z00_5207 << (int) (16L));
																	}
																	{	/* Unsafe/sha2.scm 771 */
																		long BgL_arg1549z00_5211;

																		{	/* Unsafe/sha2.scm 771 */
																			long BgL_arg1550z00_5212;
																			long BgL_arg1552z00_5213;

																			{	/* Unsafe/sha2.scm 771 */
																				uint32_t BgL_tmpz00_6370;

																				BgL_tmpz00_6370 =
																					(BgL_v2z00_5202 << (int) (8L));
																				BgL_arg1550z00_5212 =
																					(long) (BgL_tmpz00_6370);
																			}
																			BgL_arg1552z00_5213 =
																				(long) (BgL_v3z00_5203);
																			BgL_arg1549z00_5211 =
																				(BgL_arg1550z00_5212 |
																				BgL_arg1552z00_5213);
																		}
																		BgL_arg1540z00_5206 =
																			(uint32_t) (BgL_arg1549z00_5211);
																	}
																	BgL_vz00_5204 =
																		(BgL_arg1539z00_5205 | BgL_arg1540z00_5206);
																}
																{	/* Unsafe/sha2.scm 771 */

																	BGL_U32VSET(BgL_v32z00_5026, BgL_iz00_5027,
																		BgL_vz00_5204);
																	BUNSPEC;
																	return (BgL_jz00_5199 + 1L);
																}
															}
														}
													}
												}
											}
										}
									else
										{	/* Unsafe/sha2.scm 764 */
											{	/* Unsafe/sha2.scm 775 */
												long BgL_arg1554z00_5214;

												{	/* Unsafe/sha2.scm 775 */
													obj_t BgL_arg1555z00_5215;

													{	/* Unsafe/sha2.scm 775 */
														obj_t BgL_za71za7_5216;
														obj_t BgL_za72za7_5217;

														BgL_za71za7_5216 = BINT(BgL_nz00_5029);
														BgL_za72za7_5217 = BINT(BgL_jz00_5199);
														{	/* Unsafe/sha2.scm 775 */
															obj_t BgL_tmpz00_5218;

															BgL_tmpz00_5218 = BINT(0L);
															if (BGL_ADDFX_OV(BgL_za71za7_5216,
																	BgL_za72za7_5217, BgL_tmpz00_5218))
																{	/* Unsafe/sha2.scm 775 */
																	BgL_arg1555z00_5215 =
																		bgl_bignum_add(bgl_long_to_bignum(
																			(long) CINT(BgL_za71za7_5216)),
																		bgl_long_to_bignum(
																			(long) CINT(BgL_za72za7_5217)));
																}
															else
																{	/* Unsafe/sha2.scm 775 */
																	BgL_arg1555z00_5215 = BgL_tmpz00_5218;
																}
														}
													}
													BgL_arg1554z00_5214 =
														(STRING_REF(
															((obj_t) BgL_strz00_5028),
															(long) CINT(BgL_arg1555z00_5215)));
												}
												{	/* Unsafe/sha2.scm 775 */
													uint32_t BgL_tmpz00_6394;

													BgL_tmpz00_6394 = (uint32_t) (BgL_arg1554z00_5214);
													BGL_U32VSET(BgL_vz00_5196, BgL_jz00_5199,
														BgL_tmpz00_6394);
												} BUNSPEC;
											}
											{
												long BgL_jz00_6397;

												BgL_jz00_6397 = (BgL_jz00_5199 + 1L);
												BgL_jz00_5199 = BgL_jz00_6397;
												goto BgL_loopz00_5198;
											}
										}
								}
							}
					}
			}
		}

	}



/* sha256sum-port */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2portzd2zz__sha2z00(obj_t BgL_pz00_41)
	{
		{	/* Unsafe/sha2.scm 786 */
			{	/* Unsafe/sha2.scm 786 */
				obj_t BgL_lenz00_5041;

				BgL_lenz00_5041 = BGL_MAKE_UNSAFE_CELL(BINT(0L));
				{	/* Unsafe/sha2.scm 788 */
					obj_t BgL_bufz00_1826;

					{	/* Llib/srfi4.scm 451 */

						BgL_bufz00_1826 =
							BGl_makezd2u32vectorzd2zz__srfi4z00(4L, (uint32_t) (0));
					}
					{	/* Unsafe/sha2.scm 809 */
						obj_t BgL_fillzd2word32zd2portz12z12_5030;

						{
							int BgL_tmpz00_6401;

							BgL_tmpz00_6401 = (int) (2L);
							BgL_fillzd2word32zd2portz12z12_5030 =
								MAKE_L_PROCEDURE(BGl_z62fillzd2word32zd2portz12z70zz__sha2z00,
								BgL_tmpz00_6401);
						}
						PROCEDURE_L_SET(BgL_fillzd2word32zd2portz12z12_5030,
							(int) (0L), BgL_bufz00_1826);
						PROCEDURE_L_SET(BgL_fillzd2word32zd2portz12z12_5030,
							(int) (1L), ((obj_t) BgL_lenz00_5041));
						{	/* Unsafe/sha2.scm 841 */
							obj_t BgL_statez00_1829;
							obj_t BgL_bufferz00_1830;

							BgL_statez00_1829 =
								BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00();
							{	/* Llib/srfi4.scm 451 */

								BgL_bufferz00_1830 =
									BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t) (0));
							}
							BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1829,
								BgL_bufferz00_1830, BgL_pz00_41,
								BgL_fillzd2word32zd2portz12z12_5030);
							return BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1829);
						}
					}
				}
			}
		}

	}



/* &sha256sum-port */
	obj_t BGl_z62sha256sumzd2portzb0zz__sha2z00(obj_t BgL_envz00_5031,
		obj_t BgL_pz00_5032)
	{
		{	/* Unsafe/sha2.scm 786 */
			{	/* Unsafe/sha2.scm 786 */
				obj_t BgL_auxz00_6413;

				if (INPUT_PORTP(BgL_pz00_5032))
					{	/* Unsafe/sha2.scm 786 */
						BgL_auxz00_6413 = BgL_pz00_5032;
					}
				else
					{
						obj_t BgL_auxz00_6416;

						BgL_auxz00_6416 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2355z00zz__sha2z00,
							BINT(34139L), BGl_string2361z00zz__sha2z00,
							BGl_string2362z00zz__sha2z00, BgL_pz00_5032);
						FAILURE(BgL_auxz00_6416, BFALSE, BFALSE);
					}
				return BGl_sha256sumzd2portzd2zz__sha2z00(BgL_auxz00_6413);
			}
		}

	}



/* &fill-word32-port! */
	long BGl_z62fillzd2word32zd2portz12z70zz__sha2z00(obj_t BgL_envz00_5033,
		obj_t BgL_v32z00_5036, long BgL_iz00_5037, obj_t BgL_pz00_5038,
		long BgL_nz00_5039)
	{
		{	/* Unsafe/sha2.scm 839 */
			{	/* Unsafe/sha2.scm 809 */
				obj_t BgL_bufz00_5034;
				obj_t BgL_lenz00_5035;

				BgL_bufz00_5034 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_5033, (int) (0L)));
				BgL_lenz00_5035 = PROCEDURE_L_REF(BgL_envz00_5033, (int) (1L));
				{
					obj_t BgL_pz00_5224;

					{	/* Unsafe/sha2.scm 809 */
						long BgL_lz00_5231;

						BgL_pz00_5224 = ((obj_t) BgL_pz00_5038);
						{
							long BgL_iz00_5226;

							BgL_iz00_5226 = 0L;
						BgL_loopz00_5225:
							if ((BgL_iz00_5226 == 4L))
								{	/* Unsafe/sha2.scm 794 */
									BgL_lz00_5231 = BgL_iz00_5226;
								}
							else
								{	/* Unsafe/sha2.scm 796 */
									obj_t BgL_cz00_5227;

									BgL_cz00_5227 =
										BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_pz00_5224);
									if (EOF_OBJECTP(BgL_cz00_5227))
										{
											long BgL_jz00_5229;

											BgL_jz00_5229 = BgL_iz00_5226;
										BgL_liipz00_5228:
											if ((BgL_jz00_5229 == 4L))
												{	/* Unsafe/sha2.scm 799 */
													BgL_lz00_5231 = BgL_iz00_5226;
												}
											else
												{	/* Unsafe/sha2.scm 799 */
													{	/* Unsafe/sha2.scm 802 */
														uint32_t BgL_tmpz00_6433;

														BgL_tmpz00_6433 = (uint32_t) (0L);
														BGL_U32VSET(BgL_bufz00_5034, BgL_jz00_5229,
															BgL_tmpz00_6433);
													}
													BUNSPEC;
													{
														long BgL_jz00_6436;

														BgL_jz00_6436 = (BgL_jz00_5229 + 1L);
														BgL_jz00_5229 = BgL_jz00_6436;
														goto BgL_liipz00_5228;
													}
												}
										}
									else
										{	/* Unsafe/sha2.scm 797 */
											{	/* Unsafe/sha2.scm 805 */
												uint32_t BgL_arg1622z00_5230;

												{	/* Unsafe/sha2.scm 805 */
													char BgL_tmpz00_6438;

													BgL_tmpz00_6438 = (signed char) CINT(BgL_cz00_5227);
													BgL_arg1622z00_5230 = (uint32_t) (BgL_tmpz00_6438);
												}
												BGL_U32VSET(BgL_bufz00_5034, BgL_iz00_5226,
													BgL_arg1622z00_5230);
												BUNSPEC;
											}
											{
												long BgL_iz00_6442;

												BgL_iz00_6442 = (BgL_iz00_5226 + 1L);
												BgL_iz00_5226 = BgL_iz00_6442;
												goto BgL_loopz00_5225;
											}
										}
								}
						}
						{	/* Unsafe/sha2.scm 810 */
							obj_t BgL_auxz00_5232;

							BgL_auxz00_5232 =
								ADDFX(BGL_UNSAFE_CELL_REF(BgL_lenz00_5035),
								BINT(BgL_lz00_5231));
							BGL_UNSAFE_CELL_SET(BgL_lenz00_5035, BgL_auxz00_5232);
						}
						if (
							((BgL_nz00_5039 + 4L) <=
								(long) CINT(BGL_UNSAFE_CELL_REF(BgL_lenz00_5035))))
							{	/* Unsafe/sha2.scm 813 */
								uint32_t BgL_v0z00_5233;

								BgL_v0z00_5233 = BGL_U32VREF(BgL_bufz00_5034, 0L);
								{	/* Unsafe/sha2.scm 813 */
									uint32_t BgL_v1z00_5234;

									BgL_v1z00_5234 = BGL_U32VREF(BgL_bufz00_5034, 1L);
									{	/* Unsafe/sha2.scm 814 */
										uint32_t BgL_v2z00_5235;

										BgL_v2z00_5235 = BGL_U32VREF(BgL_bufz00_5034, 2L);
										{	/* Unsafe/sha2.scm 815 */
											uint32_t BgL_v3z00_5236;

											BgL_v3z00_5236 = BGL_U32VREF(BgL_bufz00_5034, 3L);
											{	/* Unsafe/sha2.scm 816 */
												uint32_t BgL_vz00_5237;

												{	/* Unsafe/sha2.scm 817 */
													uint32_t BgL_arg1567z00_5238;
													uint32_t BgL_arg1568z00_5239;

													{	/* Unsafe/sha2.scm 817 */
														uint32_t BgL_arg1570z00_5240;

														{	/* Unsafe/sha2.scm 817 */
															long BgL_arg1571z00_5241;

															{	/* Unsafe/sha2.scm 817 */
																long BgL_arg1572z00_5242;
																long BgL_arg1573z00_5243;

																{	/* Unsafe/sha2.scm 817 */
																	uint32_t BgL_tmpz00_6455;

																	BgL_tmpz00_6455 =
																		(BgL_v0z00_5233 << (int) (8L));
																	BgL_arg1572z00_5242 =
																		(long) (BgL_tmpz00_6455);
																}
																BgL_arg1573z00_5243 = (long) (BgL_v1z00_5234);
																BgL_arg1571z00_5241 =
																	(BgL_arg1572z00_5242 | BgL_arg1573z00_5243);
															}
															BgL_arg1570z00_5240 =
																(uint32_t) (BgL_arg1571z00_5241);
														}
														BgL_arg1567z00_5238 =
															(BgL_arg1570z00_5240 << (int) (16L));
													}
													{	/* Unsafe/sha2.scm 817 */
														long BgL_arg1575z00_5244;

														{	/* Unsafe/sha2.scm 817 */
															long BgL_arg1576z00_5245;
															long BgL_arg1577z00_5246;

															{	/* Unsafe/sha2.scm 817 */
																uint32_t BgL_tmpz00_6464;

																BgL_tmpz00_6464 =
																	(BgL_v2z00_5235 << (int) (8L));
																BgL_arg1576z00_5245 = (long) (BgL_tmpz00_6464);
															}
															BgL_arg1577z00_5246 = (long) (BgL_v3z00_5236);
															BgL_arg1575z00_5244 =
																(BgL_arg1576z00_5245 | BgL_arg1577z00_5246);
														}
														BgL_arg1568z00_5239 =
															(uint32_t) (BgL_arg1575z00_5244);
													}
													BgL_vz00_5237 =
														(BgL_arg1567z00_5238 | BgL_arg1568z00_5239);
												}
												{	/* Unsafe/sha2.scm 817 */

													BGL_U32VSET(BgL_v32z00_5036, BgL_iz00_5037,
														BgL_vz00_5237);
													BUNSPEC;
													return 4L;
												}
											}
										}
									}
								}
							}
						else
							{	/* Unsafe/sha2.scm 812 */
								if (
									(BgL_nz00_5039 >=
										(1L + (long) CINT(BGL_UNSAFE_CELL_REF(BgL_lenz00_5035)))))
									{	/* Unsafe/sha2.scm 820 */
										{	/* Unsafe/sha2.scm 821 */
											uint32_t BgL_tmpz00_6477;

											BgL_tmpz00_6477 = (uint32_t) (0L);
											BGL_U32VSET(BgL_v32z00_5036, BgL_iz00_5037,
												BgL_tmpz00_6477);
										} BUNSPEC;
										return 0L;
									}
								else
									{	/* Unsafe/sha2.scm 824 */
										obj_t BgL_vz00_5247;
										long BgL_kz00_5248;

										BgL_vz00_5247 =
											BGl_makezd2u32vectorzd2zz__srfi4z00(4L, (uint32_t) (0L));
										BgL_kz00_5248 =
											(4L -
											((BgL_nz00_5039 + 4L) -
												(long) CINT(BGL_UNSAFE_CELL_REF(BgL_lenz00_5035))));
										{
											long BgL_jz00_5250;

											BgL_jz00_5250 = 0L;
										BgL_loopz00_5249:
											if ((BgL_jz00_5250 == BgL_kz00_5248))
												{	/* Unsafe/sha2.scm 827 */
													{	/* Unsafe/sha2.scm 829 */
														uint32_t BgL_tmpz00_6488;

														BgL_tmpz00_6488 = (uint32_t) (128L);
														BGL_U32VSET(BgL_vz00_5247, BgL_jz00_5250,
															BgL_tmpz00_6488);
													}
													BUNSPEC;
													{	/* Unsafe/sha2.scm 830 */
														uint32_t BgL_v0z00_5251;

														BgL_v0z00_5251 = BGL_U32VREF(BgL_vz00_5247, 0L);
														{	/* Unsafe/sha2.scm 830 */
															uint32_t BgL_v1z00_5252;

															BgL_v1z00_5252 = BGL_U32VREF(BgL_vz00_5247, 1L);
															{	/* Unsafe/sha2.scm 831 */
																uint32_t BgL_v2z00_5253;

																BgL_v2z00_5253 = BGL_U32VREF(BgL_vz00_5247, 2L);
																{	/* Unsafe/sha2.scm 832 */
																	uint32_t BgL_v3z00_5254;

																	BgL_v3z00_5254 =
																		BGL_U32VREF(BgL_vz00_5247, 3L);
																	{	/* Unsafe/sha2.scm 833 */
																		uint32_t BgL_vz00_5255;

																		{	/* Unsafe/sha2.scm 834 */
																			uint32_t BgL_arg1585z00_5256;
																			uint32_t BgL_arg1586z00_5257;

																			{	/* Unsafe/sha2.scm 834 */
																				uint32_t BgL_arg1587z00_5258;

																				{	/* Unsafe/sha2.scm 834 */
																					long BgL_arg1588z00_5259;

																					{	/* Unsafe/sha2.scm 834 */
																						long BgL_arg1590z00_5260;
																						long BgL_arg1591z00_5261;

																						{	/* Unsafe/sha2.scm 834 */
																							uint32_t BgL_tmpz00_6495;

																							BgL_tmpz00_6495 =
																								(BgL_v0z00_5251 << (int) (8L));
																							BgL_arg1590z00_5260 =
																								(long) (BgL_tmpz00_6495);
																						}
																						BgL_arg1591z00_5261 =
																							(long) (BgL_v1z00_5252);
																						BgL_arg1588z00_5259 =
																							(BgL_arg1590z00_5260 |
																							BgL_arg1591z00_5261);
																					}
																					BgL_arg1587z00_5258 =
																						(uint32_t) (BgL_arg1588z00_5259);
																				}
																				BgL_arg1585z00_5256 =
																					(BgL_arg1587z00_5258 << (int) (16L));
																			}
																			{	/* Unsafe/sha2.scm 834 */
																				long BgL_arg1593z00_5262;

																				{	/* Unsafe/sha2.scm 834 */
																					long BgL_arg1594z00_5263;
																					long BgL_arg1595z00_5264;

																					{	/* Unsafe/sha2.scm 834 */
																						uint32_t BgL_tmpz00_6504;

																						BgL_tmpz00_6504 =
																							(BgL_v2z00_5253 << (int) (8L));
																						BgL_arg1594z00_5263 =
																							(long) (BgL_tmpz00_6504);
																					}
																					BgL_arg1595z00_5264 =
																						(long) (BgL_v3z00_5254);
																					BgL_arg1593z00_5262 =
																						(BgL_arg1594z00_5263 |
																						BgL_arg1595z00_5264);
																				}
																				BgL_arg1586z00_5257 =
																					(uint32_t) (BgL_arg1593z00_5262);
																			}
																			BgL_vz00_5255 =
																				(BgL_arg1585z00_5256 |
																				BgL_arg1586z00_5257);
																		}
																		{	/* Unsafe/sha2.scm 834 */

																			BGL_U32VSET(BgL_v32z00_5036,
																				BgL_iz00_5037, BgL_vz00_5255);
																			BUNSPEC;
																			return (BgL_jz00_5250 + 1L);
																		}
																	}
																}
															}
														}
													}
												}
											else
												{	/* Unsafe/sha2.scm 827 */
													{	/* Unsafe/sha2.scm 838 */
														uint32_t BgL_arg1597z00_5265;

														BgL_arg1597z00_5265 =
															BGL_U32VREF(BgL_bufz00_5034, BgL_jz00_5250);
														BGL_U32VSET(BgL_vz00_5247, BgL_jz00_5250,
															BgL_arg1597z00_5265);
														BUNSPEC;
													}
													{
														long BgL_jz00_6516;

														BgL_jz00_6516 = (BgL_jz00_5250 + 1L);
														BgL_jz00_5250 = BgL_jz00_6516;
														goto BgL_loopz00_5249;
													}
												}
										}
									}
							}
					}
				}
			}
		}

	}



/* sha256sum-file */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2filezd2zz__sha2z00(obj_t
		BgL_fnamez00_42)
	{
		{	/* Unsafe/sha2.scm 849 */
			{	/* Unsafe/sha2.scm 850 */
				obj_t BgL_mmz00_1909;

				BgL_mmz00_1909 =
					BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_42, BTRUE, BFALSE);
				if (BGL_MMAPP(BgL_mmz00_1909))
					{	/* Unsafe/sha2.scm 852 */
						obj_t BgL_exitd1074z00_1911;

						BgL_exitd1074z00_1911 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Unsafe/sha2.scm 854 */
							obj_t BgL_zc3z04anonymousza31625ze3z87_5043;

							BgL_zc3z04anonymousza31625ze3z87_5043 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza31625ze3ze5zz__sha2z00, (int) (0L),
								(int) (1L));
							PROCEDURE_SET(BgL_zc3z04anonymousza31625ze3z87_5043, (int) (0L),
								BgL_mmz00_1909);
							{	/* Unsafe/sha2.scm 852 */
								obj_t BgL_arg2328z00_3937;

								{	/* Unsafe/sha2.scm 852 */
									obj_t BgL_arg2329z00_3938;

									BgL_arg2329z00_3938 =
										BGL_EXITD_PROTECT(BgL_exitd1074z00_1911);
									BgL_arg2328z00_3937 =
										MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31625ze3z87_5043,
										BgL_arg2329z00_3938);
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_1911,
									BgL_arg2328z00_3937);
								BUNSPEC;
							}
							{	/* Unsafe/sha2.scm 853 */
								obj_t BgL_tmp1076z00_1913;

								BgL_tmp1076z00_1913 =
									BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_mmz00_1909);
								{	/* Unsafe/sha2.scm 852 */
									bool_t BgL_test2439z00_6531;

									{	/* Unsafe/sha2.scm 852 */
										obj_t BgL_arg2327z00_3940;

										BgL_arg2327z00_3940 =
											BGL_EXITD_PROTECT(BgL_exitd1074z00_1911);
										BgL_test2439z00_6531 = PAIRP(BgL_arg2327z00_3940);
									}
									if (BgL_test2439z00_6531)
										{	/* Unsafe/sha2.scm 852 */
											obj_t BgL_arg2325z00_3941;

											{	/* Unsafe/sha2.scm 852 */
												obj_t BgL_arg2326z00_3942;

												BgL_arg2326z00_3942 =
													BGL_EXITD_PROTECT(BgL_exitd1074z00_1911);
												BgL_arg2325z00_3941 =
													CDR(((obj_t) BgL_arg2326z00_3942));
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_1911,
												BgL_arg2325z00_3941);
											BUNSPEC;
										}
									else
										{	/* Unsafe/sha2.scm 852 */
											BFALSE;
										}
								}
								bgl_close_mmap(BgL_mmz00_1909);
								return BgL_tmp1076z00_1913;
							}
						}
					}
				else
					{	/* Unsafe/sha2.scm 855 */
						obj_t BgL_pz00_1916;

						{	/* Ieee/port.scm 466 */

							BgL_pz00_1916 =
								BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
								(BgL_fnamez00_42, BTRUE, BINT(5000000L));
						}
						{	/* Unsafe/sha2.scm 856 */
							obj_t BgL_exitd1078z00_1917;

							BgL_exitd1078z00_1917 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Unsafe/sha2.scm 858 */
								obj_t BgL_zc3z04anonymousza31626ze3z87_5044;

								BgL_zc3z04anonymousza31626ze3z87_5044 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31626ze3ze5zz__sha2z00, (int) (0L),
									(int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31626ze3z87_5044, (int) (0L),
									BgL_pz00_1916);
								{	/* Unsafe/sha2.scm 856 */
									obj_t BgL_arg2328z00_3946;

									{	/* Unsafe/sha2.scm 856 */
										obj_t BgL_arg2329z00_3947;

										BgL_arg2329z00_3947 =
											BGL_EXITD_PROTECT(BgL_exitd1078z00_1917);
										BgL_arg2328z00_3946 =
											MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31626ze3z87_5044,
											BgL_arg2329z00_3947);
									}
									BGL_EXITD_PROTECT_SET(BgL_exitd1078z00_1917,
										BgL_arg2328z00_3946);
									BUNSPEC;
								}
								{	/* Unsafe/sha2.scm 857 */
									obj_t BgL_tmp1080z00_1919;

									BgL_tmp1080z00_1919 =
										BGl_sha256sumzd2portzd2zz__sha2z00(BgL_pz00_1916);
									{	/* Unsafe/sha2.scm 856 */
										bool_t BgL_test2440z00_6551;

										{	/* Unsafe/sha2.scm 856 */
											obj_t BgL_arg2327z00_3949;

											BgL_arg2327z00_3949 =
												BGL_EXITD_PROTECT(BgL_exitd1078z00_1917);
											BgL_test2440z00_6551 = PAIRP(BgL_arg2327z00_3949);
										}
										if (BgL_test2440z00_6551)
											{	/* Unsafe/sha2.scm 856 */
												obj_t BgL_arg2325z00_3950;

												{	/* Unsafe/sha2.scm 856 */
													obj_t BgL_arg2326z00_3951;

													BgL_arg2326z00_3951 =
														BGL_EXITD_PROTECT(BgL_exitd1078z00_1917);
													BgL_arg2325z00_3950 =
														CDR(((obj_t) BgL_arg2326z00_3951));
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1078z00_1917,
													BgL_arg2325z00_3950);
												BUNSPEC;
											}
										else
											{	/* Unsafe/sha2.scm 856 */
												BFALSE;
											}
									}
									bgl_close_input_port(((obj_t) BgL_pz00_1916));
									return BgL_tmp1080z00_1919;
								}
							}
						}
					}
			}
		}

	}



/* &sha256sum-file */
	obj_t BGl_z62sha256sumzd2filezb0zz__sha2z00(obj_t BgL_envz00_5045,
		obj_t BgL_fnamez00_5046)
	{
		{	/* Unsafe/sha2.scm 849 */
			{	/* Unsafe/sha2.scm 850 */
				obj_t BgL_auxz00_6560;

				if (STRINGP(BgL_fnamez00_5046))
					{	/* Unsafe/sha2.scm 850 */
						BgL_auxz00_6560 = BgL_fnamez00_5046;
					}
				else
					{
						obj_t BgL_auxz00_6563;

						BgL_auxz00_6563 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2355z00zz__sha2z00,
							BINT(36025L), BGl_string2363z00zz__sha2z00,
							BGl_string2360z00zz__sha2z00, BgL_fnamez00_5046);
						FAILURE(BgL_auxz00_6563, BFALSE, BFALSE);
					}
				return BGl_sha256sumzd2filezd2zz__sha2z00(BgL_auxz00_6560);
			}
		}

	}



/* &<@anonymous:1625> */
	obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__sha2z00(obj_t BgL_envz00_5047)
	{
		{	/* Unsafe/sha2.scm 852 */
			{	/* Unsafe/sha2.scm 854 */
				obj_t BgL_mmz00_5048;

				BgL_mmz00_5048 = ((obj_t) PROCEDURE_REF(BgL_envz00_5047, (int) (0L)));
				return bgl_close_mmap(BgL_mmz00_5048);
			}
		}

	}



/* &<@anonymous:1626> */
	obj_t BGl_z62zc3z04anonymousza31626ze3ze5zz__sha2z00(obj_t BgL_envz00_5049)
	{
		{	/* Unsafe/sha2.scm 856 */
			{	/* Unsafe/sha2.scm 858 */
				obj_t BgL_pz00_5050;

				BgL_pz00_5050 = PROCEDURE_REF(BgL_envz00_5049, (int) (0L));
				return bgl_close_input_port(((obj_t) BgL_pz00_5050));
			}
		}

	}



/* sha256sum */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumz00zz__sha2z00(obj_t BgL_objz00_43)
	{
		{	/* Unsafe/sha2.scm 863 */
			if (BGL_MMAPP(BgL_objz00_43))
				{	/* Unsafe/sha2.scm 865 */
					return BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_objz00_43);
				}
			else
				{	/* Unsafe/sha2.scm 865 */
					if (STRINGP(BgL_objz00_43))
						{	/* Unsafe/sha2.scm 867 */
							return BGl_sha256sumzd2stringzd2zz__sha2z00(BgL_objz00_43);
						}
					else
						{	/* Unsafe/sha2.scm 867 */
							if (INPUT_PORTP(BgL_objz00_43))
								{	/* Unsafe/sha2.scm 869 */
									return BGl_sha256sumzd2portzd2zz__sha2z00(BgL_objz00_43);
								}
							else
								{	/* Unsafe/sha2.scm 869 */
									return
										BGl_errorz00zz__errorz00(BGl_string2364z00zz__sha2z00,
										BGl_string2365z00zz__sha2z00, BgL_objz00_43);
								}
						}
				}
		}

	}



/* &sha256sum */
	obj_t BGl_z62sha256sumz62zz__sha2z00(obj_t BgL_envz00_5051,
		obj_t BgL_objz00_5052)
	{
		{	/* Unsafe/sha2.scm 863 */
			return BGl_sha256sumz00zz__sha2z00(BgL_objz00_5052);
		}

	}



/* sha512-internal-transform */
	obj_t BGl_sha512zd2internalzd2transformz00zz__sha2z00(obj_t BgL_statez00_52,
		obj_t BgL_bufferz00_53)
	{
		{	/* Unsafe/sha2.scm 889 */
			{
				obj_t BgL_statez00_2017;
				uint64_t BgL_az00_2018;
				uint64_t BgL_bz00_2019;
				uint64_t BgL_cz00_2020;
				uint64_t BgL_dz00_2021;
				uint64_t BgL_ez00_2022;
				uint64_t BgL_fz00_2023;
				uint64_t BgL_gz00_2024;
				uint64_t BgL_hz00_2025;

				{	/* Unsafe/sha2.scm 924 */
					uint64_t BgL_g1082z00_1935;
					uint64_t BgL_g1083z00_1936;
					uint64_t BgL_g1084z00_1937;
					uint64_t BgL_g1085z00_1938;
					uint64_t BgL_g1086z00_1939;
					uint64_t BgL_g1087z00_1940;
					uint64_t BgL_g1089z00_1941;
					uint64_t BgL_g1090z00_1942;

					BgL_g1082z00_1935 = BGL_U64VREF(BgL_statez00_52, 0L);
					BgL_g1083z00_1936 = BGL_U64VREF(BgL_statez00_52, 1L);
					BgL_g1084z00_1937 = BGL_U64VREF(BgL_statez00_52, 2L);
					BgL_g1085z00_1938 = BGL_U64VREF(BgL_statez00_52, 3L);
					BgL_g1086z00_1939 = BGL_U64VREF(BgL_statez00_52, 4L);
					BgL_g1087z00_1940 = BGL_U64VREF(BgL_statez00_52, 5L);
					BgL_g1089z00_1941 = BGL_U64VREF(BgL_statez00_52, 6L);
					BgL_g1090z00_1942 = BGL_U64VREF(BgL_statez00_52, 7L);
					{
						uint64_t BgL_az00_1944;
						uint64_t BgL_bz00_1945;
						uint64_t BgL_cz00_1946;
						uint64_t BgL_dz00_1947;
						uint64_t BgL_ez00_1948;
						uint64_t BgL_fz00_1949;
						uint64_t BgL_gz00_1950;
						uint64_t BgL_hz00_1951;
						long BgL_jz00_1952;

						BgL_az00_1944 = BgL_g1082z00_1935;
						BgL_bz00_1945 = BgL_g1083z00_1936;
						BgL_cz00_1946 = BgL_g1084z00_1937;
						BgL_dz00_1947 = BgL_g1085z00_1938;
						BgL_ez00_1948 = BgL_g1086z00_1939;
						BgL_fz00_1949 = BgL_g1087z00_1940;
						BgL_gz00_1950 = BgL_g1089z00_1941;
						BgL_hz00_1951 = BgL_g1090z00_1942;
						BgL_jz00_1952 = 0L;
					BgL_zc3z04anonymousza31631ze3z87_1953:
						if ((BgL_jz00_1952 < 16L))
							{	/* Unsafe/sha2.scm 935 */
								uint64_t BgL_wz00_1955;

								BgL_wz00_1955 = BGL_U64VREF(BgL_bufferz00_53, BgL_jz00_1952);
								{	/* Unsafe/sha2.scm 935 */
									uint64_t BgL_t1z00_1956;

									{	/* Unsafe/sha2.scm 898 */
										uint64_t BgL_arg1670z00_4061;

										{	/* Unsafe/sha2.scm 898 */
											uint64_t BgL_arg1671z00_4062;
											uint64_t BgL_arg1673z00_4063;

											BgL_arg1671z00_4062 =
												BGl_Sigma1zd2512zd2zz__sha2z00(BgL_ez00_1948);
											{	/* Unsafe/sha2.scm 898 */
												uint64_t BgL_arg1674z00_4064;
												uint64_t BgL_arg1675z00_4065;

												BgL_arg1674z00_4064 =
													(
													(BgL_ez00_1948 & BgL_fz00_1949) ^
													(~(BgL_ez00_1948) & BgL_gz00_1950));
												{	/* Unsafe/sha2.scm 898 */
													uint64_t BgL_arg1676z00_4066;

													BgL_arg1676z00_4066 =
														BGL_U64VREF(BGl_K512z00zz__sha2z00, BgL_jz00_1952);
													BgL_arg1675z00_4065 =
														(BgL_arg1676z00_4066 + BgL_wz00_1955);
												}
												BgL_arg1673z00_4063 =
													(BgL_arg1674z00_4064 + BgL_arg1675z00_4065);
											}
											BgL_arg1670z00_4061 =
												(BgL_arg1671z00_4062 + BgL_arg1673z00_4063);
										}
										BgL_t1z00_1956 = (BgL_hz00_1951 + BgL_arg1670z00_4061);
									}
									{	/* Unsafe/sha2.scm 936 */
										uint64_t BgL_t2z00_1957;

										BgL_t2z00_1957 =
											(
											(((BgL_az00_1944 >>
														(int) (28L)) |
													(BgL_az00_1944 <<
														(int) (
															(64L - 28L)))) ^
												(((BgL_az00_1944 >>
															(int) (34L)) |
														(BgL_az00_1944 <<
															(int) (
																(64L - 34L)))) ^
													((BgL_az00_1944 >>
															(int) (39L)) |
														(BgL_az00_1944 <<
															(int) (
																(64L - 39L)))))) +
											((BgL_az00_1944 & BgL_bz00_1945) ^
												((BgL_az00_1944 & BgL_cz00_1946) ^
													(BgL_bz00_1945 & BgL_cz00_1946))));
										{	/* Unsafe/sha2.scm 937 */

											{	/* Unsafe/sha2.scm 938 */
												uint64_t BgL_arg1633z00_1958;
												uint64_t BgL_arg1635z00_1959;
												obj_t BgL_arg1638z00_1960;

												BgL_arg1633z00_1958 = (BgL_t1z00_1956 + BgL_t2z00_1957);
												BgL_arg1635z00_1959 = (BgL_dz00_1947 + BgL_t1z00_1956);
												{	/* Unsafe/sha2.scm 938 */
													obj_t BgL_za71za7_4147;

													BgL_za71za7_4147 = BINT(BgL_jz00_1952);
													{	/* Unsafe/sha2.scm 938 */
														obj_t BgL_tmpz00_4149;

														BgL_tmpz00_4149 = BINT(0L);
														{	/* Unsafe/sha2.scm 938 */
															bool_t BgL_test2446z00_6638;

															{	/* Unsafe/sha2.scm 938 */
																obj_t BgL_tmpz00_6639;

																BgL_tmpz00_6639 = BINT(1L);
																BgL_test2446z00_6638 =
																	BGL_ADDFX_OV(BgL_za71za7_4147,
																	BgL_tmpz00_6639, BgL_tmpz00_4149);
															}
															if (BgL_test2446z00_6638)
																{	/* Unsafe/sha2.scm 938 */
																	BgL_arg1638z00_1960 =
																		bgl_bignum_add(bgl_long_to_bignum(
																			(long) CINT(BgL_za71za7_4147)),
																		bgl_long_to_bignum(1L));
																}
															else
																{	/* Unsafe/sha2.scm 938 */
																	BgL_arg1638z00_1960 = BgL_tmpz00_4149;
																}
														}
													}
												}
												{
													long BgL_jz00_6654;
													uint64_t BgL_hz00_6653;
													uint64_t BgL_gz00_6652;
													uint64_t BgL_fz00_6651;
													uint64_t BgL_ez00_6650;
													uint64_t BgL_dz00_6649;
													uint64_t BgL_cz00_6648;
													uint64_t BgL_bz00_6647;
													uint64_t BgL_az00_6646;

													BgL_az00_6646 = BgL_arg1633z00_1958;
													BgL_bz00_6647 = BgL_az00_1944;
													BgL_cz00_6648 = BgL_bz00_1945;
													BgL_dz00_6649 = BgL_cz00_1946;
													BgL_ez00_6650 = BgL_arg1635z00_1959;
													BgL_fz00_6651 = BgL_ez00_1948;
													BgL_gz00_6652 = BgL_fz00_1949;
													BgL_hz00_6653 = BgL_gz00_1950;
													BgL_jz00_6654 = (long) CINT(BgL_arg1638z00_1960);
													BgL_jz00_1952 = BgL_jz00_6654;
													BgL_hz00_1951 = BgL_hz00_6653;
													BgL_gz00_1950 = BgL_gz00_6652;
													BgL_fz00_1949 = BgL_fz00_6651;
													BgL_ez00_1948 = BgL_ez00_6650;
													BgL_dz00_1947 = BgL_dz00_6649;
													BgL_cz00_1946 = BgL_cz00_6648;
													BgL_bz00_1945 = BgL_bz00_6647;
													BgL_az00_1944 = BgL_az00_6646;
													goto BgL_zc3z04anonymousza31631ze3z87_1953;
												}
											}
										}
									}
								}
							}
						else
							{	/* Unsafe/sha2.scm 934 */
								if ((BgL_jz00_1952 < 80L))
									{	/* Unsafe/sha2.scm 940 */
										uint64_t BgL_s0z00_1964;

										{	/* Unsafe/sha2.scm 940 */
											uint64_t BgL_arg1657z00_1982;

											{	/* Unsafe/sha2.scm 940 */
												obj_t BgL_arg1658z00_1983;

												{	/* Unsafe/sha2.scm 940 */
													obj_t BgL_za71za7_4158;

													BgL_za71za7_4158 = BINT(BgL_jz00_1952);
													{	/* Unsafe/sha2.scm 940 */
														obj_t BgL_tmpz00_4160;

														BgL_tmpz00_4160 = BINT(0L);
														{	/* Unsafe/sha2.scm 940 */
															bool_t BgL_test2448z00_6660;

															{	/* Unsafe/sha2.scm 940 */
																obj_t BgL_tmpz00_6661;

																BgL_tmpz00_6661 = BINT(1L);
																BgL_test2448z00_6660 =
																	BGL_ADDFX_OV(BgL_za71za7_4158,
																	BgL_tmpz00_6661, BgL_tmpz00_4160);
															}
															if (BgL_test2448z00_6660)
																{	/* Unsafe/sha2.scm 940 */
																	BgL_arg1658z00_1983 =
																		bgl_bignum_add(bgl_long_to_bignum(
																			(long) CINT(BgL_za71za7_4158)),
																		bgl_long_to_bignum(1L));
																}
															else
																{	/* Unsafe/sha2.scm 940 */
																	BgL_arg1658z00_1983 = BgL_tmpz00_4160;
																}
														}
													}
												}
												{	/* Unsafe/sha2.scm 940 */
													long BgL_nz00_4169;

													BgL_nz00_4169 = (long) CINT(BgL_arg1658z00_1983);
													{	/* Unsafe/sha2.scm 901 */
														long BgL_tmpz00_6669;

														BgL_tmpz00_6669 = (BgL_nz00_4169 & 15L);
														BgL_arg1657z00_1982 =
															BGL_U64VREF(BgL_bufferz00_53, BgL_tmpz00_6669);
											}}}
											BgL_s0z00_1964 =
												(
												((BgL_arg1657z00_1982 >>
														(int) (1L)) |
													(BgL_arg1657z00_1982 <<
														(int) (
															(64L - 1L)))) ^
												(((BgL_arg1657z00_1982 >>
															(int) (8L)) |
														(BgL_arg1657z00_1982 <<
															(int) (
																(64L - 8L)))) ^
													(BgL_arg1657z00_1982 >> (int) (7L))));
										}
										{	/* Unsafe/sha2.scm 940 */
											uint64_t BgL_s1z00_1965;

											{	/* Unsafe/sha2.scm 941 */
												uint64_t BgL_arg1655z00_1980;

												{	/* Unsafe/sha2.scm 941 */
													obj_t BgL_arg1656z00_1981;

													{	/* Unsafe/sha2.scm 941 */
														obj_t BgL_za71za7_4200;

														BgL_za71za7_4200 = BINT(BgL_jz00_1952);
														{	/* Unsafe/sha2.scm 941 */
															obj_t BgL_tmpz00_4202;

															BgL_tmpz00_4202 = BINT(0L);
															{	/* Unsafe/sha2.scm 941 */
																bool_t BgL_test2449z00_6690;

																{	/* Unsafe/sha2.scm 941 */
																	obj_t BgL_tmpz00_6691;

																	BgL_tmpz00_6691 = BINT(14L);
																	BgL_test2449z00_6690 =
																		BGL_ADDFX_OV(BgL_za71za7_4200,
																		BgL_tmpz00_6691, BgL_tmpz00_4202);
																}
																if (BgL_test2449z00_6690)
																	{	/* Unsafe/sha2.scm 941 */
																		BgL_arg1656z00_1981 =
																			bgl_bignum_add(bgl_long_to_bignum(
																				(long) CINT(BgL_za71za7_4200)),
																			bgl_long_to_bignum(14L));
																	}
																else
																	{	/* Unsafe/sha2.scm 941 */
																		BgL_arg1656z00_1981 = BgL_tmpz00_4202;
																	}
															}
														}
													}
													{	/* Unsafe/sha2.scm 941 */
														long BgL_nz00_4211;

														BgL_nz00_4211 = (long) CINT(BgL_arg1656z00_1981);
														{	/* Unsafe/sha2.scm 901 */
															long BgL_tmpz00_6699;

															BgL_tmpz00_6699 = (BgL_nz00_4211 & 15L);
															BgL_arg1655z00_1980 =
																BGL_U64VREF(BgL_bufferz00_53, BgL_tmpz00_6699);
												}}}
												BgL_s1z00_1965 =
													(
													((BgL_arg1655z00_1980 >>
															(int) (19L)) |
														(BgL_arg1655z00_1980 <<
															(int) (
																(64L - 19L)))) ^
													(((BgL_arg1655z00_1980 >>
																(int) (61L)) |
															(BgL_arg1655z00_1980 <<
																(int) (
																	(64L - 61L)))) ^
														(BgL_arg1655z00_1980 >> (int) (6L))));
											}
											{	/* Unsafe/sha2.scm 941 */
												long BgL_ndxz00_1966;

												BgL_ndxz00_1966 =
													(BgL_jz00_1952 &
													LLONG_TO_LONG(((BGL_LONGLONG_T) 15)));
												{	/* Unsafe/sha2.scm 942 */
													uint64_t BgL_wz00_1967;

													{	/* Unsafe/sha2.scm 943 */
														uint64_t BgL_arg1647z00_1975;
														uint64_t BgL_arg1648z00_1976;

														{	/* Unsafe/sha2.scm 901 */
															long BgL_tmpz00_6720;

															BgL_tmpz00_6720 = (BgL_jz00_1952 & 15L);
															BgL_arg1647z00_1975 =
																BGL_U64VREF(BgL_bufferz00_53, BgL_tmpz00_6720);
														}
														{	/* Unsafe/sha2.scm 943 */
															uint64_t BgL_arg1649z00_1977;

															{	/* Unsafe/sha2.scm 943 */
																uint64_t BgL_arg1650z00_1978;

																{	/* Unsafe/sha2.scm 943 */
																	long BgL_arg1653z00_1979;

																	BgL_arg1653z00_1979 = (BgL_jz00_1952 + 9L);
																	{	/* Unsafe/sha2.scm 901 */
																		long BgL_tmpz00_6724;

																		BgL_tmpz00_6724 =
																			(BgL_arg1653z00_1979 & 15L);
																		BgL_arg1650z00_1978 =
																			BGL_U64VREF(BgL_bufferz00_53,
																			BgL_tmpz00_6724);
																}}
																BgL_arg1649z00_1977 =
																	(BgL_arg1650z00_1978 + BgL_s0z00_1964);
															}
															BgL_arg1648z00_1976 =
																(BgL_s1z00_1965 + BgL_arg1649z00_1977);
														}
														BgL_wz00_1967 =
															(BgL_arg1647z00_1975 + BgL_arg1648z00_1976);
													}
													{	/* Unsafe/sha2.scm 943 */
														uint64_t BgL_t1z00_1968;

														{	/* Unsafe/sha2.scm 898 */
															uint64_t BgL_arg1670z00_4260;

															{	/* Unsafe/sha2.scm 898 */
																uint64_t BgL_arg1671z00_4261;
																uint64_t BgL_arg1673z00_4262;

																BgL_arg1671z00_4261 =
																	BGl_Sigma1zd2512zd2zz__sha2z00(BgL_ez00_1948);
																{	/* Unsafe/sha2.scm 898 */
																	uint64_t BgL_arg1674z00_4263;
																	uint64_t BgL_arg1675z00_4264;

																	BgL_arg1674z00_4263 =
																		(
																		(BgL_ez00_1948 & BgL_fz00_1949) ^
																		(~(BgL_ez00_1948) & BgL_gz00_1950));
																	{	/* Unsafe/sha2.scm 898 */
																		uint64_t BgL_arg1676z00_4265;

																		BgL_arg1676z00_4265 =
																			BGL_U64VREF(BGl_K512z00zz__sha2z00,
																			BgL_jz00_1952);
																		BgL_arg1675z00_4264 =
																			(BgL_arg1676z00_4265 + BgL_wz00_1967);
																	}
																	BgL_arg1673z00_4262 =
																		(BgL_arg1674z00_4263 + BgL_arg1675z00_4264);
																}
																BgL_arg1670z00_4260 =
																	(BgL_arg1671z00_4261 + BgL_arg1673z00_4262);
															}
															BgL_t1z00_1968 =
																(BgL_hz00_1951 + BgL_arg1670z00_4260);
														}
														{	/* Unsafe/sha2.scm 944 */
															uint64_t BgL_t2z00_1969;

															BgL_t2z00_1969 =
																(
																(((BgL_az00_1944 >>
																			(int) (28L)) |
																		(BgL_az00_1944 <<
																			(int) (
																				(64L - 28L)))) ^
																	(((BgL_az00_1944 >>
																				(int) (34L)) |
																			(BgL_az00_1944 <<
																				(int) (
																					(64L - 34L)))) ^
																		((BgL_az00_1944 >>
																				(int) (39L)) |
																			(BgL_az00_1944 <<
																				(int) (
																					(64L - 39L)))))) +
																((BgL_az00_1944 & BgL_bz00_1945) ^
																	((BgL_az00_1944 & BgL_cz00_1946) ^
																		(BgL_bz00_1945 & BgL_cz00_1946))));
															{	/* Unsafe/sha2.scm 945 */

																BGL_U64VSET(BgL_bufferz00_53, BgL_ndxz00_1966,
																	BgL_wz00_1967);
																BUNSPEC;
																{	/* Unsafe/sha2.scm 947 */
																	uint64_t BgL_arg1642z00_1970;
																	uint64_t BgL_arg1643z00_1971;
																	obj_t BgL_arg1644z00_1972;

																	BgL_arg1642z00_1970 =
																		(BgL_t1z00_1968 + BgL_t2z00_1969);
																	BgL_arg1643z00_1971 =
																		(BgL_dz00_1947 + BgL_t1z00_1968);
																	{	/* Unsafe/sha2.scm 947 */
																		obj_t BgL_za71za7_4346;

																		BgL_za71za7_4346 = BINT(BgL_jz00_1952);
																		{	/* Unsafe/sha2.scm 947 */
																			obj_t BgL_tmpz00_4348;

																			BgL_tmpz00_4348 = BINT(0L);
																			{	/* Unsafe/sha2.scm 947 */
																				bool_t BgL_test2450z00_6771;

																				{	/* Unsafe/sha2.scm 947 */
																					obj_t BgL_tmpz00_6772;

																					BgL_tmpz00_6772 = BINT(1L);
																					BgL_test2450z00_6771 =
																						BGL_ADDFX_OV(BgL_za71za7_4346,
																						BgL_tmpz00_6772, BgL_tmpz00_4348);
																				}
																				if (BgL_test2450z00_6771)
																					{	/* Unsafe/sha2.scm 947 */
																						BgL_arg1644z00_1972 =
																							bgl_bignum_add(bgl_long_to_bignum(
																								(long) CINT(BgL_za71za7_4346)),
																							bgl_long_to_bignum(1L));
																					}
																				else
																					{	/* Unsafe/sha2.scm 947 */
																						BgL_arg1644z00_1972 =
																							BgL_tmpz00_4348;
																					}
																			}
																		}
																	}
																	{
																		long BgL_jz00_6787;
																		uint64_t BgL_hz00_6786;
																		uint64_t BgL_gz00_6785;
																		uint64_t BgL_fz00_6784;
																		uint64_t BgL_ez00_6783;
																		uint64_t BgL_dz00_6782;
																		uint64_t BgL_cz00_6781;
																		uint64_t BgL_bz00_6780;
																		uint64_t BgL_az00_6779;

																		BgL_az00_6779 = BgL_arg1642z00_1970;
																		BgL_bz00_6780 = BgL_az00_1944;
																		BgL_cz00_6781 = BgL_bz00_1945;
																		BgL_dz00_6782 = BgL_cz00_1946;
																		BgL_ez00_6783 = BgL_arg1643z00_1971;
																		BgL_fz00_6784 = BgL_ez00_1948;
																		BgL_gz00_6785 = BgL_fz00_1949;
																		BgL_hz00_6786 = BgL_gz00_1950;
																		BgL_jz00_6787 =
																			(long) CINT(BgL_arg1644z00_1972);
																		BgL_jz00_1952 = BgL_jz00_6787;
																		BgL_hz00_1951 = BgL_hz00_6786;
																		BgL_gz00_1950 = BgL_gz00_6785;
																		BgL_fz00_1949 = BgL_fz00_6784;
																		BgL_ez00_1948 = BgL_ez00_6783;
																		BgL_dz00_1947 = BgL_dz00_6782;
																		BgL_cz00_1946 = BgL_cz00_6781;
																		BgL_bz00_1945 = BgL_bz00_6780;
																		BgL_az00_1944 = BgL_az00_6779;
																		goto BgL_zc3z04anonymousza31631ze3z87_1953;
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/sha2.scm 939 */
										BgL_statez00_2017 = BgL_statez00_52;
										BgL_az00_2018 = BgL_az00_1944;
										BgL_bz00_2019 = BgL_bz00_1945;
										BgL_cz00_2020 = BgL_cz00_1946;
										BgL_dz00_2021 = BgL_dz00_1947;
										BgL_ez00_2022 = BgL_ez00_1948;
										BgL_fz00_2023 = BgL_fz00_1949;
										BgL_gz00_2024 = BgL_gz00_1950;
										BgL_hz00_2025 = BgL_hz00_1951;
										{	/* Unsafe/sha2.scm 906 */
											uint64_t BgL_oaz00_2027;
											uint64_t BgL_obz00_2028;
											uint64_t BgL_ocz00_2029;
											uint64_t BgL_odz00_2030;
											uint64_t BgL_oez00_2031;
											uint64_t BgL_ofz00_2032;
											uint64_t BgL_ogz00_2033;
											uint64_t BgL_ohz00_2034;

											BgL_oaz00_2027 = BGL_U64VREF(BgL_statez00_2017, 0L);
											BgL_obz00_2028 = BGL_U64VREF(BgL_statez00_2017, 1L);
											BgL_ocz00_2029 = BGL_U64VREF(BgL_statez00_2017, 2L);
											BgL_odz00_2030 = BGL_U64VREF(BgL_statez00_2017, 3L);
											BgL_oez00_2031 = BGL_U64VREF(BgL_statez00_2017, 4L);
											BgL_ofz00_2032 = BGL_U64VREF(BgL_statez00_2017, 5L);
											BgL_ogz00_2033 = BGL_U64VREF(BgL_statez00_2017, 6L);
											BgL_ohz00_2034 = BGL_U64VREF(BgL_statez00_2017, 7L);
											{	/* Unsafe/sha2.scm 915 */
												uint64_t BgL_arg1680z00_2036;

												BgL_arg1680z00_2036 = (BgL_oaz00_2027 + BgL_az00_2018);
												BGL_U64VSET(BgL_statez00_2017, 0L, BgL_arg1680z00_2036);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 916 */
												uint64_t BgL_arg1682z00_2037;

												BgL_arg1682z00_2037 = (BgL_obz00_2028 + BgL_bz00_2019);
												BGL_U64VSET(BgL_statez00_2017, 1L, BgL_arg1682z00_2037);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 917 */
												uint64_t BgL_arg1685z00_2038;

												BgL_arg1685z00_2038 = (BgL_ocz00_2029 + BgL_cz00_2020);
												BGL_U64VSET(BgL_statez00_2017, 2L, BgL_arg1685z00_2038);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 918 */
												uint64_t BgL_arg1686z00_2039;

												BgL_arg1686z00_2039 = (BgL_odz00_2030 + BgL_dz00_2021);
												BGL_U64VSET(BgL_statez00_2017, 3L, BgL_arg1686z00_2039);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 919 */
												uint64_t BgL_arg1691z00_2040;

												BgL_arg1691z00_2040 = (BgL_oez00_2031 + BgL_ez00_2022);
												BGL_U64VSET(BgL_statez00_2017, 4L, BgL_arg1691z00_2040);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 920 */
												uint64_t BgL_arg1692z00_2041;

												BgL_arg1692z00_2041 = (BgL_ofz00_2032 + BgL_fz00_2023);
												BGL_U64VSET(BgL_statez00_2017, 5L, BgL_arg1692z00_2041);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 921 */
												uint64_t BgL_arg1693z00_2042;

												BgL_arg1693z00_2042 = (BgL_ogz00_2033 + BgL_gz00_2024);
												BGL_U64VSET(BgL_statez00_2017, 6L, BgL_arg1693z00_2042);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 922 */
												uint64_t BgL_arg1695z00_2043;

												BgL_arg1695z00_2043 = (BgL_ohz00_2034 + BgL_hz00_2025);
												BGL_U64VSET(BgL_statez00_2017, 7L, BgL_arg1695z00_2043);
												BUNSPEC;
											}
										}
										return BgL_statez00_52;
									}
							}
					}
				}
			}
		}

	}



/* sha512-update */
	obj_t BGl_sha512zd2updatezd2zz__sha2z00(obj_t BgL_statez00_54,
		obj_t BgL_bufferz00_55, obj_t BgL_oz00_56, obj_t BgL_fillzd2wordz12zc0_57)
	{
		{	/* Unsafe/sha2.scm 955 */
			{
				obj_t BgL_bufferz00_2069;
				long BgL_iz00_2070;

				{
					long BgL_iz00_2052;
					long BgL_lz00_2053;

					BgL_iz00_2052 = 0L;
					BgL_lz00_2053 = 0L;
				BgL_zc3z04anonymousza31696ze3z87_2054:
					{	/* Unsafe/sha2.scm 975 */
						obj_t BgL_bytesz00_2055;

						BgL_bufferz00_2069 = BgL_bufferz00_55;
						BgL_iz00_2070 = BgL_iz00_2052;
						{
							long BgL_jz00_4370;
							long BgL_iz00_4371;
							obj_t BgL_nz00_4372;

							BgL_jz00_4370 = 0L;
							BgL_iz00_4371 = BgL_iz00_2070;
							BgL_nz00_4372 = BINT(0L);
						BgL_loopz00_4369:
							if ((BgL_jz00_4370 < 16L))
								{	/* Unsafe/sha2.scm 964 */
									long BgL_arg1715z00_4375;
									long BgL_arg1716z00_4376;
									obj_t BgL_arg1717z00_4377;

									BgL_arg1715z00_4375 = (BgL_jz00_4370 + 1L);
									BgL_arg1716z00_4376 = (BgL_iz00_4371 + 8L);
									{	/* Unsafe/sha2.scm 964 */
										long BgL_b1147z00_4380;

										BgL_b1147z00_4380 =
											((long (*)(obj_t, obj_t, long, obj_t,
													long))
											PROCEDURE_L_ENTRY(BgL_fillzd2wordz12zc0_57))
											(BgL_fillzd2wordz12zc0_57, BgL_bufferz00_2069,
											BgL_jz00_4370, BgL_oz00_56, BgL_iz00_4371);
										if (INTEGERP(BgL_nz00_4372))
											{	/* Unsafe/sha2.scm 964 */
												obj_t BgL_za72za7_4383;

												BgL_za72za7_4383 = BINT(BgL_b1147z00_4380);
												{	/* Unsafe/sha2.scm 964 */
													obj_t BgL_tmpz00_4384;

													BgL_tmpz00_4384 = BINT(0L);
													if (BGL_ADDFX_OV(BgL_nz00_4372, BgL_za72za7_4383,
															BgL_tmpz00_4384))
														{	/* Unsafe/sha2.scm 964 */
															BgL_arg1717z00_4377 =
																bgl_bignum_add(bgl_long_to_bignum(
																	(long) CINT(BgL_nz00_4372)),
																bgl_long_to_bignum(
																	(long) CINT(BgL_za72za7_4383)));
														}
													else
														{	/* Unsafe/sha2.scm 964 */
															BgL_arg1717z00_4377 = BgL_tmpz00_4384;
														}
												}
											}
										else
											{	/* Unsafe/sha2.scm 964 */
												BgL_arg1717z00_4377 =
													BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_nz00_4372,
													BINT(BgL_b1147z00_4380));
											}
									}
									{
										obj_t BgL_nz00_6839;
										long BgL_iz00_6838;
										long BgL_jz00_6837;

										BgL_jz00_6837 = BgL_arg1715z00_4375;
										BgL_iz00_6838 = BgL_arg1716z00_4376;
										BgL_nz00_6839 = BgL_arg1717z00_4377;
										BgL_nz00_4372 = BgL_nz00_6839;
										BgL_iz00_4371 = BgL_iz00_6838;
										BgL_jz00_4370 = BgL_jz00_6837;
										goto BgL_loopz00_4369;
									}
								}
							else
								{	/* Unsafe/sha2.scm 963 */
									BgL_bytesz00_2055 = BgL_nz00_4372;
								}
						}
						if (((long) CINT(BgL_bytesz00_2055) == 128L))
							{	/* Unsafe/sha2.scm 977 */
								BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54,
									BgL_bufferz00_55);
								{
									long BgL_lz00_6847;
									long BgL_iz00_6845;

									BgL_iz00_6845 = (BgL_iz00_2052 + 128L);
									BgL_lz00_6847 = (BgL_lz00_2053 + 128L);
									BgL_lz00_2053 = BgL_lz00_6847;
									BgL_iz00_2052 = BgL_iz00_6845;
									goto BgL_zc3z04anonymousza31696ze3z87_2054;
								}
							}
						else
							{	/* Unsafe/sha2.scm 977 */
								if (((128L - (long) CINT(BgL_bytesz00_2055)) >= 8L))
									{	/* Unsafe/sha2.scm 981 */
										{	/* Unsafe/sha2.scm 984 */
											uint64_t BgL_ulenz00_2061;

											{	/* Unsafe/sha2.scm 984 */
												long BgL_tmpz00_6853;

												BgL_tmpz00_6853 =
													(8L *
													((BgL_lz00_2053 - 1L) +
														(long) CINT(BgL_bytesz00_2055)));
												BgL_ulenz00_2061 = (uint64_t) (BgL_tmpz00_6853);
											}
											BGL_U64VSET(BgL_bufferz00_55, 15L, BgL_ulenz00_2061);
											BUNSPEC;
										}
										return
											BGl_sha512zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_54, BgL_bufferz00_55);
									}
								else
									{	/* Unsafe/sha2.scm 981 */
										BGl_sha512zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_54, BgL_bufferz00_55);
										{
											long BgL_iz00_4416;

											BgL_iz00_4416 = 0L;
										BgL_loopz00_4415:
											if ((BgL_iz00_4416 < 15L))
												{	/* Unsafe/sha2.scm 969 */
													BGL_U64VSET(BgL_bufferz00_55, BgL_iz00_4416,
														(uint64_t) (0));
													BUNSPEC;
													{
														long BgL_iz00_6865;

														BgL_iz00_6865 = (BgL_iz00_4416 + 1L);
														BgL_iz00_4416 = BgL_iz00_6865;
														goto BgL_loopz00_4415;
													}
												}
											else
												{	/* Unsafe/sha2.scm 969 */
													((bool_t) 0);
												}
										}
										{	/* Unsafe/sha2.scm 991 */
											uint64_t BgL_ulenz00_2064;

											{	/* Unsafe/sha2.scm 991 */
												long BgL_tmpz00_6867;

												BgL_tmpz00_6867 =
													(8L *
													((BgL_lz00_2053 - 1L) +
														(long) CINT(BgL_bytesz00_2055)));
												BgL_ulenz00_2064 = (uint64_t) (BgL_tmpz00_6867);
											}
											BGL_U64VSET(BgL_bufferz00_55, 15L, BgL_ulenz00_2064);
											BUNSPEC;
										}
										return
											BGl_sha512zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_54, BgL_bufferz00_55);
									}
							}
					}
				}
			}
		}

	}



/* sha512sum-mmap */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2mmapzd2zz__sha2z00(obj_t BgL_mmz00_58)
	{
		{	/* Unsafe/sha2.scm 998 */
			{	/* Unsafe/sha2.scm 1001 */
				obj_t BgL_fillzd2word64zd2mmapz12z12_5053;

				{
					int BgL_tmpz00_6875;

					BgL_tmpz00_6875 = (int) (1L);
					BgL_fillzd2word64zd2mmapz12z12_5053 =
						MAKE_L_PROCEDURE(BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00,
						BgL_tmpz00_6875);
				}
				PROCEDURE_L_SET(BgL_fillzd2word64zd2mmapz12z12_5053,
					(int) (0L), BgL_mmz00_58);
				{	/* Unsafe/sha2.scm 1045 */
					obj_t BgL_statez00_2098;
					obj_t BgL_bufferz00_2099;

					BgL_statez00_2098 =
						BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00();
					{	/* Llib/srfi4.scm 453 */

						BgL_bufferz00_2099 =
							BGl_makezd2u64vectorzd2zz__srfi4z00(16L, (uint64_t) (0));
					}
					BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2098,
						BgL_bufferz00_2099, BgL_mmz00_58,
						BgL_fillzd2word64zd2mmapz12z12_5053);
					return BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2098);
				}
			}
		}

	}



/* &sha512sum-mmap */
	obj_t BGl_z62sha512sumzd2mmapzb0zz__sha2z00(obj_t BgL_envz00_5054,
		obj_t BgL_mmz00_5055)
	{
		{	/* Unsafe/sha2.scm 998 */
			{	/* Unsafe/sha2.scm 1001 */
				obj_t BgL_auxz00_6884;

				if (BGL_MMAPP(BgL_mmz00_5055))
					{	/* Unsafe/sha2.scm 1001 */
						BgL_auxz00_6884 = BgL_mmz00_5055;
					}
				else
					{
						obj_t BgL_auxz00_6887;

						BgL_auxz00_6887 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2355z00zz__sha2z00,
							BINT(41684L), BGl_string2366z00zz__sha2z00,
							BGl_string2357z00zz__sha2z00, BgL_mmz00_5055);
						FAILURE(BgL_auxz00_6887, BFALSE, BFALSE);
					}
				return BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_auxz00_6884);
			}
		}

	}



/* &fill-word64-mmap! */
	long BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00(obj_t BgL_envz00_5056,
		obj_t BgL_v64z00_5058, long BgL_iz00_5059, obj_t BgL_mmz00_5060,
		long BgL_nz00_5061)
	{
		{	/* Unsafe/sha2.scm 1043 */
			{	/* Unsafe/sha2.scm 1004 */
				obj_t BgL_mmz00_5057;

				BgL_mmz00_5057 = ((obj_t) PROCEDURE_L_REF(BgL_envz00_5056, (int) (0L)));
				{	/* Unsafe/sha2.scm 1004 */
					long BgL_lz00_5270;

					{	/* Unsafe/sha2.scm 1004 */
						obj_t BgL_tmpz00_6895;

						BgL_tmpz00_6895 = ((obj_t) BgL_mmz00_5060);
						BgL_lz00_5270 = BGL_MMAP_LENGTH(BgL_tmpz00_6895);
					}
					{	/* Unsafe/sha2.scm 1006 */
						bool_t BgL_test2458z00_6898;

						{	/* Unsafe/sha2.scm 1006 */
							long BgL_n2z00_5271;

							BgL_n2z00_5271 = (long) (BgL_lz00_5270);
							BgL_test2458z00_6898 = ((BgL_nz00_5061 + 8L) <= BgL_n2z00_5271);
						}
						if (BgL_test2458z00_6898)
							{	/* Unsafe/sha2.scm 1007 */
								uint32_t BgL_v0z00_5272;

								{	/* Unsafe/sha2.scm 1001 */
									unsigned char BgL_arg1725z00_5273;

									{	/* Unsafe/sha2.scm 1001 */
										long BgL_tmpz00_6902;

										BgL_tmpz00_6902 = (long) (BgL_nz00_5061);
										BgL_arg1725z00_5273 =
											BGL_MMAP_REF(BgL_mmz00_5057, BgL_tmpz00_6902);
									}
									{	/* Unsafe/sha2.scm 1001 */
										long BgL_tmpz00_6905;

										BgL_tmpz00_6905 = (BgL_arg1725z00_5273);
										BgL_v0z00_5272 = (uint32_t) (BgL_tmpz00_6905);
								}}
								{	/* Unsafe/sha2.scm 1007 */
									uint32_t BgL_v1z00_5274;

									{	/* Unsafe/sha2.scm 1008 */
										long BgL_arg1770z00_5275;

										BgL_arg1770z00_5275 = (BgL_nz00_5061 + 1L);
										{	/* Unsafe/sha2.scm 1001 */
											unsigned char BgL_arg1725z00_5276;

											{	/* Unsafe/sha2.scm 1001 */
												long BgL_tmpz00_6909;

												BgL_tmpz00_6909 = (long) (BgL_arg1770z00_5275);
												BgL_arg1725z00_5276 =
													BGL_MMAP_REF(BgL_mmz00_5057, BgL_tmpz00_6909);
											}
											{	/* Unsafe/sha2.scm 1001 */
												long BgL_tmpz00_6912;

												BgL_tmpz00_6912 = (BgL_arg1725z00_5276);
												BgL_v1z00_5274 = (uint32_t) (BgL_tmpz00_6912);
									}}}
									{	/* Unsafe/sha2.scm 1008 */
										uint32_t BgL_v2z00_5277;

										{	/* Unsafe/sha2.scm 1009 */
											long BgL_arg1768z00_5278;

											BgL_arg1768z00_5278 = (BgL_nz00_5061 + 2L);
											{	/* Unsafe/sha2.scm 1001 */
												unsigned char BgL_arg1725z00_5279;

												{	/* Unsafe/sha2.scm 1001 */
													long BgL_tmpz00_6916;

													BgL_tmpz00_6916 = (long) (BgL_arg1768z00_5278);
													BgL_arg1725z00_5279 =
														BGL_MMAP_REF(BgL_mmz00_5057, BgL_tmpz00_6916);
												}
												{	/* Unsafe/sha2.scm 1001 */
													long BgL_tmpz00_6919;

													BgL_tmpz00_6919 = (BgL_arg1725z00_5279);
													BgL_v2z00_5277 = (uint32_t) (BgL_tmpz00_6919);
										}}}
										{	/* Unsafe/sha2.scm 1009 */
											uint32_t BgL_v3z00_5280;

											{	/* Unsafe/sha2.scm 1010 */
												long BgL_arg1767z00_5281;

												BgL_arg1767z00_5281 = (BgL_nz00_5061 + 3L);
												{	/* Unsafe/sha2.scm 1001 */
													unsigned char BgL_arg1725z00_5282;

													{	/* Unsafe/sha2.scm 1001 */
														long BgL_tmpz00_6923;

														BgL_tmpz00_6923 = (long) (BgL_arg1767z00_5281);
														BgL_arg1725z00_5282 =
															BGL_MMAP_REF(BgL_mmz00_5057, BgL_tmpz00_6923);
													}
													{	/* Unsafe/sha2.scm 1001 */
														long BgL_tmpz00_6926;

														BgL_tmpz00_6926 = (BgL_arg1725z00_5282);
														BgL_v3z00_5280 = (uint32_t) (BgL_tmpz00_6926);
											}}}
											{	/* Unsafe/sha2.scm 1010 */
												uint32_t BgL_v4z00_5283;

												{	/* Unsafe/sha2.scm 1011 */
													long BgL_arg1765z00_5284;

													BgL_arg1765z00_5284 = (BgL_nz00_5061 + 4L);
													{	/* Unsafe/sha2.scm 1001 */
														unsigned char BgL_arg1725z00_5285;

														{	/* Unsafe/sha2.scm 1001 */
															long BgL_tmpz00_6930;

															BgL_tmpz00_6930 = (long) (BgL_arg1765z00_5284);
															BgL_arg1725z00_5285 =
																BGL_MMAP_REF(BgL_mmz00_5057, BgL_tmpz00_6930);
														}
														{	/* Unsafe/sha2.scm 1001 */
															long BgL_tmpz00_6933;

															BgL_tmpz00_6933 = (BgL_arg1725z00_5285);
															BgL_v4z00_5283 = (uint32_t) (BgL_tmpz00_6933);
												}}}
												{	/* Unsafe/sha2.scm 1011 */
													uint32_t BgL_v5z00_5286;

													{	/* Unsafe/sha2.scm 1012 */
														long BgL_arg1763z00_5287;

														BgL_arg1763z00_5287 = (BgL_nz00_5061 + 5L);
														{	/* Unsafe/sha2.scm 1001 */
															unsigned char BgL_arg1725z00_5288;

															{	/* Unsafe/sha2.scm 1001 */
																long BgL_tmpz00_6937;

																BgL_tmpz00_6937 = (long) (BgL_arg1763z00_5287);
																BgL_arg1725z00_5288 =
																	BGL_MMAP_REF(BgL_mmz00_5057, BgL_tmpz00_6937);
															}
															{	/* Unsafe/sha2.scm 1001 */
																long BgL_tmpz00_6940;

																BgL_tmpz00_6940 = (BgL_arg1725z00_5288);
																BgL_v5z00_5286 = (uint32_t) (BgL_tmpz00_6940);
													}}}
													{	/* Unsafe/sha2.scm 1012 */
														uint32_t BgL_v6z00_5289;

														{	/* Unsafe/sha2.scm 1013 */
															long BgL_arg1761z00_5290;

															BgL_arg1761z00_5290 = (BgL_nz00_5061 + 6L);
															{	/* Unsafe/sha2.scm 1001 */
																unsigned char BgL_arg1725z00_5291;

																{	/* Unsafe/sha2.scm 1001 */
																	long BgL_tmpz00_6944;

																	BgL_tmpz00_6944 =
																		(long) (BgL_arg1761z00_5290);
																	BgL_arg1725z00_5291 =
																		BGL_MMAP_REF(BgL_mmz00_5057,
																		BgL_tmpz00_6944);
																}
																{	/* Unsafe/sha2.scm 1001 */
																	long BgL_tmpz00_6947;

																	BgL_tmpz00_6947 = (BgL_arg1725z00_5291);
																	BgL_v6z00_5289 = (uint32_t) (BgL_tmpz00_6947);
														}}}
														{	/* Unsafe/sha2.scm 1013 */
															uint32_t BgL_v7z00_5292;

															{	/* Unsafe/sha2.scm 1014 */
																long BgL_arg1760z00_5293;

																BgL_arg1760z00_5293 = (BgL_nz00_5061 + 7L);
																{	/* Unsafe/sha2.scm 1001 */
																	unsigned char BgL_arg1725z00_5294;

																	{	/* Unsafe/sha2.scm 1001 */
																		long BgL_tmpz00_6951;

																		BgL_tmpz00_6951 =
																			(long) (BgL_arg1760z00_5293);
																		BgL_arg1725z00_5294 =
																			BGL_MMAP_REF(BgL_mmz00_5057,
																			BgL_tmpz00_6951);
																	}
																	{	/* Unsafe/sha2.scm 1001 */
																		long BgL_tmpz00_6954;

																		BgL_tmpz00_6954 = (BgL_arg1725z00_5294);
																		BgL_v7z00_5292 =
																			(uint32_t) (BgL_tmpz00_6954);
															}}}
															{	/* Unsafe/sha2.scm 1014 */
																uint64_t BgL_vz00_5295;

																{	/* Unsafe/sha2.scm 1015 */
																	uint64_t BgL_arg1729z00_5296;
																	uint64_t BgL_arg1730z00_5297;

																	{	/* Unsafe/sha2.scm 1015 */
																		uint64_t BgL_arg1731z00_5298;

																		{	/* Unsafe/sha2.scm 1015 */
																			long BgL_arg1732z00_5299;

																			{	/* Unsafe/sha2.scm 1015 */
																				long BgL_arg1734z00_5300;
																				long BgL_arg1737z00_5301;

																				{	/* Unsafe/sha2.scm 1015 */
																					uint32_t BgL_tmpz00_6957;

																					BgL_tmpz00_6957 =
																						(BgL_v0z00_5272 << (int) (8L));
																					BgL_arg1734z00_5300 =
																						(long) (BgL_tmpz00_6957);
																				}
																				BgL_arg1737z00_5301 =
																					(long) (BgL_v1z00_5274);
																				BgL_arg1732z00_5299 =
																					(BgL_arg1734z00_5300 |
																					BgL_arg1737z00_5301);
																			}
																			BgL_arg1731z00_5298 =
																				(uint64_t) (BgL_arg1732z00_5299);
																		}
																		BgL_arg1729z00_5296 =
																			(BgL_arg1731z00_5298 << (int) (48L));
																	}
																	{	/* Unsafe/sha2.scm 1015 */
																		uint64_t BgL_arg1740z00_5302;
																		uint64_t BgL_arg1741z00_5303;

																		{	/* Unsafe/sha2.scm 1015 */
																			uint64_t BgL_arg1743z00_5304;

																			{	/* Unsafe/sha2.scm 1015 */
																				long BgL_arg1745z00_5305;

																				{	/* Unsafe/sha2.scm 1015 */
																					long BgL_arg1746z00_5306;
																					long BgL_arg1747z00_5307;

																					{	/* Unsafe/sha2.scm 1015 */
																						uint32_t BgL_tmpz00_6966;

																						BgL_tmpz00_6966 =
																							(BgL_v2z00_5277 << (int) (8L));
																						BgL_arg1746z00_5306 =
																							(long) (BgL_tmpz00_6966);
																					}
																					BgL_arg1747z00_5307 =
																						(long) (BgL_v3z00_5280);
																					BgL_arg1745z00_5305 =
																						(BgL_arg1746z00_5306 |
																						BgL_arg1747z00_5307);
																				}
																				BgL_arg1743z00_5304 =
																					(uint64_t) (BgL_arg1745z00_5305);
																			}
																			BgL_arg1740z00_5302 =
																				(BgL_arg1743z00_5304 << (int) (32L));
																		}
																		{	/* Unsafe/sha2.scm 1016 */
																			uint64_t BgL_arg1749z00_5308;
																			uint64_t BgL_arg1750z00_5309;

																			{	/* Unsafe/sha2.scm 1016 */
																				uint64_t BgL_arg1751z00_5310;

																				{	/* Unsafe/sha2.scm 1016 */
																					long BgL_arg1752z00_5311;

																					{	/* Unsafe/sha2.scm 1016 */
																						long BgL_arg1753z00_5312;
																						long BgL_arg1754z00_5313;

																						{	/* Unsafe/sha2.scm 1016 */
																							uint32_t BgL_tmpz00_6975;

																							BgL_tmpz00_6975 =
																								(BgL_v4z00_5283 << (int) (8L));
																							BgL_arg1753z00_5312 =
																								(long) (BgL_tmpz00_6975);
																						}
																						BgL_arg1754z00_5313 =
																							(long) (BgL_v5z00_5286);
																						BgL_arg1752z00_5311 =
																							(BgL_arg1753z00_5312 |
																							BgL_arg1754z00_5313);
																					}
																					BgL_arg1751z00_5310 =
																						(uint64_t) (BgL_arg1752z00_5311);
																				}
																				BgL_arg1749z00_5308 =
																					(BgL_arg1751z00_5310 << (int) (16L));
																			}
																			{	/* Unsafe/sha2.scm 1016 */
																				long BgL_arg1756z00_5314;

																				{	/* Unsafe/sha2.scm 1016 */
																					long BgL_arg1757z00_5315;
																					long BgL_arg1758z00_5316;

																					{	/* Unsafe/sha2.scm 1016 */
																						uint32_t BgL_tmpz00_6984;

																						BgL_tmpz00_6984 =
																							(BgL_v6z00_5289 << (int) (8L));
																						BgL_arg1757z00_5315 =
																							(long) (BgL_tmpz00_6984);
																					}
																					BgL_arg1758z00_5316 =
																						(long) (BgL_v7z00_5292);
																					BgL_arg1756z00_5314 =
																						(BgL_arg1757z00_5315 |
																						BgL_arg1758z00_5316);
																				}
																				BgL_arg1750z00_5309 =
																					(uint64_t) (BgL_arg1756z00_5314);
																			}
																			BgL_arg1741z00_5303 =
																				(BgL_arg1749z00_5308 |
																				BgL_arg1750z00_5309);
																		}
																		BgL_arg1730z00_5297 =
																			(BgL_arg1740z00_5302 |
																			BgL_arg1741z00_5303);
																	}
																	BgL_vz00_5295 =
																		(BgL_arg1729z00_5296 | BgL_arg1730z00_5297);
																}
																{	/* Unsafe/sha2.scm 1015 */

																	BGL_U64VSET(BgL_v64z00_5058, BgL_iz00_5059,
																		BgL_vz00_5295);
																	BUNSPEC;
																	return 8L;
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Unsafe/sha2.scm 1019 */
								bool_t BgL_test2459z00_6995;

								{	/* Unsafe/sha2.scm 1019 */
									long BgL_tmpz00_6996;

									{	/* Unsafe/sha2.scm 1019 */
										long BgL_za72za7_5317;

										BgL_za72za7_5317 = (long) (BgL_lz00_5270);
										BgL_tmpz00_6996 = (1L + BgL_za72za7_5317);
									}
									BgL_test2459z00_6995 = (BgL_nz00_5061 >= BgL_tmpz00_6996);
								}
								if (BgL_test2459z00_6995)
									{	/* Unsafe/sha2.scm 1019 */
										BGL_U64VSET(BgL_v64z00_5058, BgL_iz00_5059, (uint64_t) (0));
										BUNSPEC;
										return 0L;
									}
								else
									{	/* Unsafe/sha2.scm 1023 */
										obj_t BgL_vz00_5318;
										long BgL_kz00_5319;

										BgL_vz00_5318 =
											BGl_makezd2u32vectorzd2zz__srfi4z00(8L, (uint32_t) (0L));
										{	/* Unsafe/sha2.scm 1024 */
											long BgL_tmpz00_7003;

											{	/* Unsafe/sha2.scm 1024 */
												long BgL_za72za7_5320;

												BgL_za72za7_5320 = (long) (BgL_lz00_5270);
												BgL_tmpz00_7003 =
													((BgL_nz00_5061 + 8L) - BgL_za72za7_5320);
											}
											BgL_kz00_5319 = (8L - BgL_tmpz00_7003);
										}
										{
											long BgL_jz00_5322;

											BgL_jz00_5322 = 0L;
										BgL_loopz00_5321:
											if ((BgL_jz00_5322 == BgL_kz00_5319))
												{	/* Unsafe/sha2.scm 1026 */
													{	/* Unsafe/sha2.scm 1028 */
														uint32_t BgL_tmpz00_7010;

														BgL_tmpz00_7010 = (uint32_t) (128L);
														BGL_U32VSET(BgL_vz00_5318, BgL_jz00_5322,
															BgL_tmpz00_7010);
													}
													BUNSPEC;
													{	/* Unsafe/sha2.scm 1029 */
														uint32_t BgL_v0z00_5323;

														BgL_v0z00_5323 = BGL_U32VREF(BgL_vz00_5318, 0L);
														{	/* Unsafe/sha2.scm 1029 */
															uint32_t BgL_v1z00_5324;

															BgL_v1z00_5324 = BGL_U32VREF(BgL_vz00_5318, 1L);
															{	/* Unsafe/sha2.scm 1030 */
																uint32_t BgL_v2z00_5325;

																BgL_v2z00_5325 = BGL_U32VREF(BgL_vz00_5318, 2L);
																{	/* Unsafe/sha2.scm 1031 */
																	uint32_t BgL_v3z00_5326;

																	BgL_v3z00_5326 =
																		BGL_U32VREF(BgL_vz00_5318, 3L);
																	{	/* Unsafe/sha2.scm 1032 */
																		uint32_t BgL_v4z00_5327;

																		BgL_v4z00_5327 =
																			BGL_U32VREF(BgL_vz00_5318, 4L);
																		{	/* Unsafe/sha2.scm 1033 */
																			uint32_t BgL_v5z00_5328;

																			BgL_v5z00_5328 =
																				BGL_U32VREF(BgL_vz00_5318, 5L);
																			{	/* Unsafe/sha2.scm 1034 */
																				uint32_t BgL_v6z00_5329;

																				BgL_v6z00_5329 =
																					BGL_U32VREF(BgL_vz00_5318, 6L);
																				{	/* Unsafe/sha2.scm 1035 */
																					uint32_t BgL_v7z00_5330;

																					BgL_v7z00_5330 =
																						BGL_U32VREF(BgL_vz00_5318, 7L);
																					{	/* Unsafe/sha2.scm 1036 */
																						uint64_t BgL_vz00_5331;

																						{	/* Unsafe/sha2.scm 1037 */
																							uint64_t BgL_arg1775z00_5332;
																							uint64_t BgL_arg1776z00_5333;

																							{	/* Unsafe/sha2.scm 1037 */
																								uint64_t BgL_arg1777z00_5334;

																								{	/* Unsafe/sha2.scm 1037 */
																									long BgL_arg1778z00_5335;

																									{	/* Unsafe/sha2.scm 1037 */
																										long BgL_arg1779z00_5336;
																										long BgL_arg1781z00_5337;

																										{	/* Unsafe/sha2.scm 1037 */
																											uint32_t BgL_tmpz00_7021;

																											BgL_tmpz00_7021 =
																												(BgL_v0z00_5323 <<
																												(int) (8L));
																											BgL_arg1779z00_5336 =
																												(long)
																												(BgL_tmpz00_7021);
																										}
																										BgL_arg1781z00_5337 =
																											(long) (BgL_v1z00_5324);
																										BgL_arg1778z00_5335 =
																											(BgL_arg1779z00_5336 |
																											BgL_arg1781z00_5337);
																									}
																									BgL_arg1777z00_5334 =
																										(uint64_t)
																										(BgL_arg1778z00_5335);
																								}
																								BgL_arg1775z00_5332 =
																									(BgL_arg1777z00_5334 <<
																									(int) (48L));
																							}
																							{	/* Unsafe/sha2.scm 1037 */
																								uint64_t BgL_arg1783z00_5338;
																								uint64_t BgL_arg1784z00_5339;

																								{	/* Unsafe/sha2.scm 1037 */
																									uint64_t BgL_arg1785z00_5340;

																									{	/* Unsafe/sha2.scm 1037 */
																										long BgL_arg1786z00_5341;

																										{	/* Unsafe/sha2.scm 1037 */
																											long BgL_arg1789z00_5342;
																											long BgL_arg1790z00_5343;

																											{	/* Unsafe/sha2.scm 1037 */
																												uint32_t
																													BgL_tmpz00_7030;
																												BgL_tmpz00_7030 =
																													(BgL_v2z00_5325 <<
																													(int) (8L));
																												BgL_arg1789z00_5342 =
																													(long)
																													(BgL_tmpz00_7030);
																											}
																											BgL_arg1790z00_5343 =
																												(long) (BgL_v3z00_5326);
																											BgL_arg1786z00_5341 =
																												(BgL_arg1789z00_5342 |
																												BgL_arg1790z00_5343);
																										}
																										BgL_arg1785z00_5340 =
																											(uint64_t)
																											(BgL_arg1786z00_5341);
																									}
																									BgL_arg1783z00_5338 =
																										(BgL_arg1785z00_5340 <<
																										(int) (32L));
																								}
																								{	/* Unsafe/sha2.scm 1038 */
																									uint64_t BgL_arg1792z00_5344;
																									uint64_t BgL_arg1793z00_5345;

																									{	/* Unsafe/sha2.scm 1038 */
																										uint64_t
																											BgL_arg1794z00_5346;
																										{	/* Unsafe/sha2.scm 1038 */
																											long BgL_arg1795z00_5347;

																											{	/* Unsafe/sha2.scm 1038 */
																												long
																													BgL_arg1796z00_5348;
																												long
																													BgL_arg1797z00_5349;
																												{	/* Unsafe/sha2.scm 1038 */
																													uint32_t
																														BgL_tmpz00_7039;
																													BgL_tmpz00_7039 =
																														(BgL_v4z00_5327 <<
																														(int) (8L));
																													BgL_arg1796z00_5348 =
																														(long)
																														(BgL_tmpz00_7039);
																												}
																												BgL_arg1797z00_5349 =
																													(long)
																													(BgL_v5z00_5328);
																												BgL_arg1795z00_5347 =
																													(BgL_arg1796z00_5348 |
																													BgL_arg1797z00_5349);
																											}
																											BgL_arg1794z00_5346 =
																												(uint64_t)
																												(BgL_arg1795z00_5347);
																										}
																										BgL_arg1792z00_5344 =
																											(BgL_arg1794z00_5346 <<
																											(int) (16L));
																									}
																									{	/* Unsafe/sha2.scm 1038 */
																										long BgL_arg1800z00_5350;

																										{	/* Unsafe/sha2.scm 1038 */
																											long BgL_arg1801z00_5351;
																											long BgL_arg1802z00_5352;

																											{	/* Unsafe/sha2.scm 1038 */
																												uint32_t
																													BgL_tmpz00_7048;
																												BgL_tmpz00_7048 =
																													(BgL_v6z00_5329 <<
																													(int) (8L));
																												BgL_arg1801z00_5351 =
																													(long)
																													(BgL_tmpz00_7048);
																											}
																											BgL_arg1802z00_5352 =
																												(long) (BgL_v7z00_5330);
																											BgL_arg1800z00_5350 =
																												(BgL_arg1801z00_5351 |
																												BgL_arg1802z00_5352);
																										}
																										BgL_arg1793z00_5345 =
																											(uint64_t)
																											(BgL_arg1800z00_5350);
																									}
																									BgL_arg1784z00_5339 =
																										(BgL_arg1792z00_5344 |
																										BgL_arg1793z00_5345);
																								}
																								BgL_arg1776z00_5333 =
																									(BgL_arg1783z00_5338 |
																									BgL_arg1784z00_5339);
																							}
																							BgL_vz00_5331 =
																								(BgL_arg1775z00_5332 |
																								BgL_arg1776z00_5333);
																						}
																						{	/* Unsafe/sha2.scm 1037 */

																							BGL_U64VSET(BgL_v64z00_5058,
																								BgL_iz00_5059, BgL_vz00_5331);
																							BUNSPEC;
																							return (BgL_jz00_5322 + 1L);
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											else
												{	/* Unsafe/sha2.scm 1026 */
													{	/* Unsafe/sha2.scm 1042 */
														long BgL_arg1804z00_5353;

														{	/* Unsafe/sha2.scm 1042 */
															obj_t BgL_arg1805z00_5354;

															{	/* Unsafe/sha2.scm 1042 */
																obj_t BgL_za71za7_5355;
																obj_t BgL_za72za7_5356;

																BgL_za71za7_5355 = BINT(BgL_nz00_5061);
																BgL_za72za7_5356 = BINT(BgL_jz00_5322);
																{	/* Unsafe/sha2.scm 1042 */
																	obj_t BgL_tmpz00_5357;

																	BgL_tmpz00_5357 = BINT(0L);
																	if (BGL_ADDFX_OV(BgL_za71za7_5355,
																			BgL_za72za7_5356, BgL_tmpz00_5357))
																		{	/* Unsafe/sha2.scm 1042 */
																			BgL_arg1805z00_5354 =
																				bgl_bignum_add(bgl_long_to_bignum(
																					(long) CINT(BgL_za71za7_5355)),
																				bgl_long_to_bignum(
																					(long) CINT(BgL_za72za7_5356)));
																		}
																	else
																		{	/* Unsafe/sha2.scm 1042 */
																			BgL_arg1805z00_5354 = BgL_tmpz00_5357;
																		}
																}
															}
															{	/* Unsafe/sha2.scm 1001 */
																unsigned char BgL_arg1725z00_5358;

																{	/* Unsafe/sha2.scm 1001 */
																	long BgL_tmpz00_7070;

																	BgL_tmpz00_7070 =
																		BELONG_TO_LONG(BgL_arg1805z00_5354);
																	BgL_arg1725z00_5358 =
																		BGL_MMAP_REF(BgL_mmz00_5057,
																		BgL_tmpz00_7070);
																}
																BgL_arg1804z00_5353 = (BgL_arg1725z00_5358);
														}}
														{	/* Unsafe/sha2.scm 1042 */
															uint32_t BgL_tmpz00_7074;

															BgL_tmpz00_7074 =
																(uint32_t) (BgL_arg1804z00_5353);
															BGL_U32VSET(BgL_vz00_5318, BgL_jz00_5322,
																BgL_tmpz00_7074);
														} BUNSPEC;
													}
													{
														long BgL_jz00_7077;

														BgL_jz00_7077 = (BgL_jz00_5322 + 1L);
														BgL_jz00_5322 = BgL_jz00_7077;
														goto BgL_loopz00_5321;
													}
												}
										}
									}
							}
					}
				}
			}
		}

	}



/* sha512sum-string */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2stringzd2zz__sha2z00(obj_t
		BgL_strz00_59)
	{
		{	/* Unsafe/sha2.scm 1053 */
			{	/* Unsafe/sha2.scm 1056 */
				obj_t BgL_fillzd2word64zd2stringz12z12_5062;

				BgL_fillzd2word64zd2stringz12z12_5062 = BGl_proc2367z00zz__sha2z00;
				{	/* Unsafe/sha2.scm 1100 */
					obj_t BgL_statez00_2210;
					obj_t BgL_bufferz00_2211;

					BgL_statez00_2210 =
						BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00();
					{	/* Llib/srfi4.scm 453 */

						BgL_bufferz00_2211 =
							BGl_makezd2u64vectorzd2zz__srfi4z00(16L, (uint64_t) (0));
					}
					BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2210,
						BgL_bufferz00_2211, BgL_strz00_59,
						BgL_fillzd2word64zd2stringz12z12_5062);
					return BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2210);
				}
			}
		}

	}



/* &sha512sum-string */
	obj_t BGl_z62sha512sumzd2stringzb0zz__sha2z00(obj_t BgL_envz00_5063,
		obj_t BgL_strz00_5064)
	{
		{	/* Unsafe/sha2.scm 1053 */
			{	/* Unsafe/sha2.scm 1056 */
				obj_t BgL_auxz00_7083;

				if (STRINGP(BgL_strz00_5064))
					{	/* Unsafe/sha2.scm 1056 */
						BgL_auxz00_7083 = BgL_strz00_5064;
					}
				else
					{
						obj_t BgL_auxz00_7086;

						BgL_auxz00_7086 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2355z00zz__sha2z00,
							BINT(43595L), BGl_string2368z00zz__sha2z00,
							BGl_string2360z00zz__sha2z00, BgL_strz00_5064);
						FAILURE(BgL_auxz00_7086, BFALSE, BFALSE);
					}
				return BGl_sha512sumzd2stringzd2zz__sha2z00(BgL_auxz00_7083);
			}
		}

	}



/* &fill-word64-string! */
	long BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00(obj_t BgL_envz00_5065,
		obj_t BgL_v64z00_5066, long BgL_iz00_5067, obj_t BgL_strz00_5068,
		long BgL_nz00_5069)
	{
		{	/* Unsafe/sha2.scm 1098 */
			{	/* Unsafe/sha2.scm 1059 */
				long BgL_lz00_5363;

				BgL_lz00_5363 = STRING_LENGTH(((obj_t) BgL_strz00_5068));
				if (((BgL_nz00_5069 + 8L) <= BgL_lz00_5363))
					{	/* Unsafe/sha2.scm 1062 */
						uint32_t BgL_v0z00_5364;

						{	/* Unsafe/sha2.scm 1056 */
							long BgL_tmpz00_7096;

							BgL_tmpz00_7096 =
								(STRING_REF(((obj_t) BgL_strz00_5068), BgL_nz00_5069));
							BgL_v0z00_5364 = (uint32_t) (BgL_tmpz00_7096);
						}
						{	/* Unsafe/sha2.scm 1062 */
							uint32_t BgL_v1z00_5365;

							{	/* Unsafe/sha2.scm 1056 */
								long BgL_tmpz00_7101;

								BgL_tmpz00_7101 =
									(STRING_REF(((obj_t) BgL_strz00_5068), (BgL_nz00_5069 + 1L)));
								BgL_v1z00_5365 = (uint32_t) (BgL_tmpz00_7101);
							}
							{	/* Unsafe/sha2.scm 1063 */
								uint32_t BgL_v2z00_5366;

								{	/* Unsafe/sha2.scm 1056 */
									long BgL_tmpz00_7107;

									BgL_tmpz00_7107 =
										(STRING_REF(
											((obj_t) BgL_strz00_5068), (BgL_nz00_5069 + 2L)));
									BgL_v2z00_5366 = (uint32_t) (BgL_tmpz00_7107);
								}
								{	/* Unsafe/sha2.scm 1064 */
									uint32_t BgL_v3z00_5367;

									{	/* Unsafe/sha2.scm 1056 */
										long BgL_tmpz00_7113;

										BgL_tmpz00_7113 =
											(STRING_REF(
												((obj_t) BgL_strz00_5068), (BgL_nz00_5069 + 3L)));
										BgL_v3z00_5367 = (uint32_t) (BgL_tmpz00_7113);
									}
									{	/* Unsafe/sha2.scm 1065 */
										uint32_t BgL_v4z00_5368;

										{	/* Unsafe/sha2.scm 1056 */
											long BgL_tmpz00_7119;

											BgL_tmpz00_7119 =
												(STRING_REF(
													((obj_t) BgL_strz00_5068), (BgL_nz00_5069 + 4L)));
											BgL_v4z00_5368 = (uint32_t) (BgL_tmpz00_7119);
										}
										{	/* Unsafe/sha2.scm 1066 */
											uint32_t BgL_v5z00_5369;

											{	/* Unsafe/sha2.scm 1056 */
												long BgL_tmpz00_7125;

												BgL_tmpz00_7125 =
													(STRING_REF(
														((obj_t) BgL_strz00_5068), (BgL_nz00_5069 + 5L)));
												BgL_v5z00_5369 = (uint32_t) (BgL_tmpz00_7125);
											}
											{	/* Unsafe/sha2.scm 1067 */
												uint32_t BgL_v6z00_5370;

												{	/* Unsafe/sha2.scm 1056 */
													long BgL_tmpz00_7131;

													BgL_tmpz00_7131 =
														(STRING_REF(
															((obj_t) BgL_strz00_5068), (BgL_nz00_5069 + 6L)));
													BgL_v6z00_5370 = (uint32_t) (BgL_tmpz00_7131);
												}
												{	/* Unsafe/sha2.scm 1068 */
													uint32_t BgL_v7z00_5371;

													{	/* Unsafe/sha2.scm 1056 */
														long BgL_tmpz00_7137;

														BgL_tmpz00_7137 =
															(STRING_REF(
																((obj_t) BgL_strz00_5068),
																(BgL_nz00_5069 + 7L)));
														BgL_v7z00_5371 = (uint32_t) (BgL_tmpz00_7137);
													}
													{	/* Unsafe/sha2.scm 1069 */
														uint64_t BgL_vz00_5372;

														{	/* Unsafe/sha2.scm 1070 */
															uint64_t BgL_arg1817z00_5373;
															uint64_t BgL_arg1818z00_5374;

															{	/* Unsafe/sha2.scm 1070 */
																uint64_t BgL_arg1819z00_5375;

																{	/* Unsafe/sha2.scm 1070 */
																	long BgL_arg1820z00_5376;

																	{	/* Unsafe/sha2.scm 1070 */
																		long BgL_arg1821z00_5377;
																		long BgL_arg1822z00_5378;

																		{	/* Unsafe/sha2.scm 1070 */
																			uint32_t BgL_tmpz00_7143;

																			BgL_tmpz00_7143 =
																				(BgL_v0z00_5364 << (int) (8L));
																			BgL_arg1821z00_5377 =
																				(long) (BgL_tmpz00_7143);
																		}
																		BgL_arg1822z00_5378 =
																			(long) (BgL_v1z00_5365);
																		BgL_arg1820z00_5376 =
																			(BgL_arg1821z00_5377 |
																			BgL_arg1822z00_5378);
																	}
																	BgL_arg1819z00_5375 =
																		(uint64_t) (BgL_arg1820z00_5376);
																}
																BgL_arg1817z00_5373 =
																	(BgL_arg1819z00_5375 << (int) (48L));
															}
															{	/* Unsafe/sha2.scm 1070 */
																uint64_t BgL_arg1825z00_5379;
																uint64_t BgL_arg1826z00_5380;

																{	/* Unsafe/sha2.scm 1070 */
																	uint64_t BgL_arg1827z00_5381;

																	{	/* Unsafe/sha2.scm 1070 */
																		long BgL_arg1828z00_5382;

																		{	/* Unsafe/sha2.scm 1070 */
																			long BgL_arg1829z00_5383;
																			long BgL_arg1830z00_5384;

																			{	/* Unsafe/sha2.scm 1070 */
																				uint32_t BgL_tmpz00_7152;

																				BgL_tmpz00_7152 =
																					(BgL_v2z00_5366 << (int) (8L));
																				BgL_arg1829z00_5383 =
																					(long) (BgL_tmpz00_7152);
																			}
																			BgL_arg1830z00_5384 =
																				(long) (BgL_v3z00_5367);
																			BgL_arg1828z00_5382 =
																				(BgL_arg1829z00_5383 |
																				BgL_arg1830z00_5384);
																		}
																		BgL_arg1827z00_5381 =
																			(uint64_t) (BgL_arg1828z00_5382);
																	}
																	BgL_arg1825z00_5379 =
																		(BgL_arg1827z00_5381 << (int) (32L));
																}
																{	/* Unsafe/sha2.scm 1071 */
																	uint64_t BgL_arg1832z00_5385;
																	uint64_t BgL_arg1833z00_5386;

																	{	/* Unsafe/sha2.scm 1071 */
																		uint64_t BgL_arg1834z00_5387;

																		{	/* Unsafe/sha2.scm 1071 */
																			long BgL_arg1835z00_5388;

																			{	/* Unsafe/sha2.scm 1071 */
																				long BgL_arg1836z00_5389;
																				long BgL_arg1838z00_5390;

																				{	/* Unsafe/sha2.scm 1071 */
																					uint32_t BgL_tmpz00_7161;

																					BgL_tmpz00_7161 =
																						(BgL_v4z00_5368 << (int) (8L));
																					BgL_arg1836z00_5389 =
																						(long) (BgL_tmpz00_7161);
																				}
																				BgL_arg1838z00_5390 =
																					(long) (BgL_v5z00_5369);
																				BgL_arg1835z00_5388 =
																					(BgL_arg1836z00_5389 |
																					BgL_arg1838z00_5390);
																			}
																			BgL_arg1834z00_5387 =
																				(uint64_t) (BgL_arg1835z00_5388);
																		}
																		BgL_arg1832z00_5385 =
																			(BgL_arg1834z00_5387 << (int) (16L));
																	}
																	{	/* Unsafe/sha2.scm 1071 */
																		long BgL_arg1840z00_5391;

																		{	/* Unsafe/sha2.scm 1071 */
																			long BgL_arg1841z00_5392;
																			long BgL_arg1842z00_5393;

																			{	/* Unsafe/sha2.scm 1071 */
																				uint32_t BgL_tmpz00_7170;

																				BgL_tmpz00_7170 =
																					(BgL_v6z00_5370 << (int) (8L));
																				BgL_arg1841z00_5392 =
																					(long) (BgL_tmpz00_7170);
																			}
																			BgL_arg1842z00_5393 =
																				(long) (BgL_v7z00_5371);
																			BgL_arg1840z00_5391 =
																				(BgL_arg1841z00_5392 |
																				BgL_arg1842z00_5393);
																		}
																		BgL_arg1833z00_5386 =
																			(uint64_t) (BgL_arg1840z00_5391);
																	}
																	BgL_arg1826z00_5380 =
																		(BgL_arg1832z00_5385 | BgL_arg1833z00_5386);
																}
																BgL_arg1818z00_5374 =
																	(BgL_arg1825z00_5379 | BgL_arg1826z00_5380);
															}
															BgL_vz00_5372 =
																(BgL_arg1817z00_5373 | BgL_arg1818z00_5374);
														}
														{	/* Unsafe/sha2.scm 1070 */

															BGL_U64VSET(BgL_v64z00_5066, BgL_iz00_5067,
																BgL_vz00_5372);
															BUNSPEC;
															return 8L;
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				else
					{	/* Unsafe/sha2.scm 1061 */
						if ((BgL_nz00_5069 >= (1L + BgL_lz00_5363)))
							{	/* Unsafe/sha2.scm 1074 */
								{	/* Unsafe/sha2.scm 1075 */
									uint64_t BgL_tmpz00_7184;

									BgL_tmpz00_7184 = (uint64_t) (0L);
									BGL_U64VSET(BgL_v64z00_5066, BgL_iz00_5067, BgL_tmpz00_7184);
								}
								BUNSPEC;
								return 0L;
							}
						else
							{	/* Unsafe/sha2.scm 1078 */
								obj_t BgL_vz00_5394;
								long BgL_kz00_5395;

								BgL_vz00_5394 =
									BGl_makezd2u32vectorzd2zz__srfi4z00(8L, (uint32_t) (0L));
								BgL_kz00_5395 = (8L - ((BgL_nz00_5069 + 8L) - BgL_lz00_5363));
								{
									long BgL_jz00_5397;

									BgL_jz00_5397 = 0L;
								BgL_loopz00_5396:
									if ((BgL_jz00_5397 == BgL_kz00_5395))
										{	/* Unsafe/sha2.scm 1081 */
											{	/* Unsafe/sha2.scm 1083 */
												uint32_t BgL_tmpz00_7194;

												BgL_tmpz00_7194 = (uint32_t) (128L);
												BGL_U32VSET(BgL_vz00_5394, BgL_jz00_5397,
													BgL_tmpz00_7194);
											}
											BUNSPEC;
											{	/* Unsafe/sha2.scm 1084 */
												uint32_t BgL_v0z00_5398;

												BgL_v0z00_5398 = BGL_U32VREF(BgL_vz00_5394, 0L);
												{	/* Unsafe/sha2.scm 1084 */
													uint32_t BgL_v1z00_5399;

													BgL_v1z00_5399 = BGL_U32VREF(BgL_vz00_5394, 1L);
													{	/* Unsafe/sha2.scm 1085 */
														uint32_t BgL_v2z00_5400;

														BgL_v2z00_5400 = BGL_U32VREF(BgL_vz00_5394, 2L);
														{	/* Unsafe/sha2.scm 1086 */
															uint32_t BgL_v3z00_5401;

															BgL_v3z00_5401 = BGL_U32VREF(BgL_vz00_5394, 3L);
															{	/* Unsafe/sha2.scm 1087 */
																uint32_t BgL_v4z00_5402;

																BgL_v4z00_5402 = BGL_U32VREF(BgL_vz00_5394, 4L);
																{	/* Unsafe/sha2.scm 1088 */
																	uint32_t BgL_v5z00_5403;

																	BgL_v5z00_5403 =
																		BGL_U32VREF(BgL_vz00_5394, 5L);
																	{	/* Unsafe/sha2.scm 1089 */
																		uint32_t BgL_v6z00_5404;

																		BgL_v6z00_5404 =
																			BGL_U32VREF(BgL_vz00_5394, 6L);
																		{	/* Unsafe/sha2.scm 1090 */
																			uint32_t BgL_v7z00_5405;

																			BgL_v7z00_5405 =
																				BGL_U32VREF(BgL_vz00_5394, 7L);
																			{	/* Unsafe/sha2.scm 1091 */
																				uint64_t BgL_vz00_5406;

																				{	/* Unsafe/sha2.scm 1092 */
																					uint64_t BgL_arg1855z00_5407;
																					uint64_t BgL_arg1856z00_5408;

																					{	/* Unsafe/sha2.scm 1092 */
																						uint64_t BgL_arg1857z00_5409;

																						{	/* Unsafe/sha2.scm 1092 */
																							long BgL_arg1858z00_5410;

																							{	/* Unsafe/sha2.scm 1092 */
																								long BgL_arg1859z00_5411;
																								long BgL_arg1860z00_5412;

																								{	/* Unsafe/sha2.scm 1092 */
																									uint32_t BgL_tmpz00_7205;

																									BgL_tmpz00_7205 =
																										(BgL_v0z00_5398 <<
																										(int) (8L));
																									BgL_arg1859z00_5411 =
																										(long) (BgL_tmpz00_7205);
																								}
																								BgL_arg1860z00_5412 =
																									(long) (BgL_v1z00_5399);
																								BgL_arg1858z00_5410 =
																									(BgL_arg1859z00_5411 |
																									BgL_arg1860z00_5412);
																							}
																							BgL_arg1857z00_5409 =
																								(uint64_t)
																								(BgL_arg1858z00_5410);
																						}
																						BgL_arg1855z00_5407 =
																							(BgL_arg1857z00_5409 <<
																							(int) (48L));
																					}
																					{	/* Unsafe/sha2.scm 1092 */
																						uint64_t BgL_arg1862z00_5413;
																						uint64_t BgL_arg1863z00_5414;

																						{	/* Unsafe/sha2.scm 1092 */
																							uint64_t BgL_arg1864z00_5415;

																							{	/* Unsafe/sha2.scm 1092 */
																								long BgL_arg1865z00_5416;

																								{	/* Unsafe/sha2.scm 1092 */
																									long BgL_arg1866z00_5417;
																									long BgL_arg1867z00_5418;

																									{	/* Unsafe/sha2.scm 1092 */
																										uint32_t BgL_tmpz00_7214;

																										BgL_tmpz00_7214 =
																											(BgL_v2z00_5400 <<
																											(int) (8L));
																										BgL_arg1866z00_5417 =
																											(long) (BgL_tmpz00_7214);
																									}
																									BgL_arg1867z00_5418 =
																										(long) (BgL_v3z00_5401);
																									BgL_arg1865z00_5416 =
																										(BgL_arg1866z00_5417 |
																										BgL_arg1867z00_5418);
																								}
																								BgL_arg1864z00_5415 =
																									(uint64_t)
																									(BgL_arg1865z00_5416);
																							}
																							BgL_arg1862z00_5413 =
																								(BgL_arg1864z00_5415 <<
																								(int) (32L));
																						}
																						{	/* Unsafe/sha2.scm 1093 */
																							uint64_t BgL_arg1871z00_5419;
																							uint64_t BgL_arg1872z00_5420;

																							{	/* Unsafe/sha2.scm 1093 */
																								uint64_t BgL_arg1873z00_5421;

																								{	/* Unsafe/sha2.scm 1093 */
																									long BgL_arg1874z00_5422;

																									{	/* Unsafe/sha2.scm 1093 */
																										long BgL_arg1876z00_5423;
																										long BgL_arg1877z00_5424;

																										{	/* Unsafe/sha2.scm 1093 */
																											uint32_t BgL_tmpz00_7223;

																											BgL_tmpz00_7223 =
																												(BgL_v4z00_5402 <<
																												(int) (8L));
																											BgL_arg1876z00_5423 =
																												(long)
																												(BgL_tmpz00_7223);
																										}
																										BgL_arg1877z00_5424 =
																											(long) (BgL_v5z00_5403);
																										BgL_arg1874z00_5422 =
																											(BgL_arg1876z00_5423 |
																											BgL_arg1877z00_5424);
																									}
																									BgL_arg1873z00_5421 =
																										(uint64_t)
																										(BgL_arg1874z00_5422);
																								}
																								BgL_arg1871z00_5419 =
																									(BgL_arg1873z00_5421 <<
																									(int) (16L));
																							}
																							{	/* Unsafe/sha2.scm 1093 */
																								long BgL_arg1879z00_5425;

																								{	/* Unsafe/sha2.scm 1093 */
																									long BgL_arg1880z00_5426;
																									long BgL_arg1881z00_5427;

																									{	/* Unsafe/sha2.scm 1093 */
																										uint32_t BgL_tmpz00_7232;

																										BgL_tmpz00_7232 =
																											(BgL_v6z00_5404 <<
																											(int) (8L));
																										BgL_arg1880z00_5426 =
																											(long) (BgL_tmpz00_7232);
																									}
																									BgL_arg1881z00_5427 =
																										(long) (BgL_v7z00_5405);
																									BgL_arg1879z00_5425 =
																										(BgL_arg1880z00_5426 |
																										BgL_arg1881z00_5427);
																								}
																								BgL_arg1872z00_5420 =
																									(uint64_t)
																									(BgL_arg1879z00_5425);
																							}
																							BgL_arg1863z00_5414 =
																								(BgL_arg1871z00_5419 |
																								BgL_arg1872z00_5420);
																						}
																						BgL_arg1856z00_5408 =
																							(BgL_arg1862z00_5413 |
																							BgL_arg1863z00_5414);
																					}
																					BgL_vz00_5406 =
																						(BgL_arg1855z00_5407 |
																						BgL_arg1856z00_5408);
																				}
																				{	/* Unsafe/sha2.scm 1092 */

																					BGL_U64VSET(BgL_v64z00_5066,
																						BgL_iz00_5067, BgL_vz00_5406);
																					BUNSPEC;
																					return (BgL_jz00_5397 + 1L);
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									else
										{	/* Unsafe/sha2.scm 1081 */
											{	/* Unsafe/sha2.scm 1097 */
												long BgL_arg1883z00_5428;

												{	/* Unsafe/sha2.scm 1097 */
													obj_t BgL_arg1884z00_5429;

													{	/* Unsafe/sha2.scm 1097 */
														obj_t BgL_za71za7_5430;
														obj_t BgL_za72za7_5431;

														BgL_za71za7_5430 = BINT(BgL_nz00_5069);
														BgL_za72za7_5431 = BINT(BgL_jz00_5397);
														{	/* Unsafe/sha2.scm 1097 */
															obj_t BgL_tmpz00_5432;

															BgL_tmpz00_5432 = BINT(0L);
															if (BGL_ADDFX_OV(BgL_za71za7_5430,
																	BgL_za72za7_5431, BgL_tmpz00_5432))
																{	/* Unsafe/sha2.scm 1097 */
																	BgL_arg1884z00_5429 =
																		bgl_bignum_add(bgl_long_to_bignum(
																			(long) CINT(BgL_za71za7_5430)),
																		bgl_long_to_bignum(
																			(long) CINT(BgL_za72za7_5431)));
																}
															else
																{	/* Unsafe/sha2.scm 1097 */
																	BgL_arg1884z00_5429 = BgL_tmpz00_5432;
																}
														}
													}
													BgL_arg1883z00_5428 =
														(STRING_REF(
															((obj_t) BgL_strz00_5068),
															(long) CINT(BgL_arg1884z00_5429)));
												}
												{	/* Unsafe/sha2.scm 1097 */
													uint32_t BgL_tmpz00_7258;

													BgL_tmpz00_7258 = (uint32_t) (BgL_arg1883z00_5428);
													BGL_U32VSET(BgL_vz00_5394, BgL_jz00_5397,
														BgL_tmpz00_7258);
												} BUNSPEC;
											}
											{
												long BgL_jz00_7261;

												BgL_jz00_7261 = (BgL_jz00_5397 + 1L);
												BgL_jz00_5397 = BgL_jz00_7261;
												goto BgL_loopz00_5396;
											}
										}
								}
							}
					}
			}
		}

	}



/* sha512sum-port */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2portzd2zz__sha2z00(obj_t BgL_pz00_60)
	{
		{	/* Unsafe/sha2.scm 1108 */
			{	/* Unsafe/sha2.scm 1108 */
				obj_t BgL_lenz00_5081;

				BgL_lenz00_5081 = BGL_MAKE_UNSAFE_CELL(BINT(0L));
				{	/* Unsafe/sha2.scm 1110 */
					obj_t BgL_bufz00_2321;

					{	/* Llib/srfi4.scm 451 */

						BgL_bufz00_2321 =
							BGl_makezd2u32vectorzd2zz__srfi4z00(8L, (uint32_t) (0));
					}
					{	/* Unsafe/sha2.scm 1131 */
						obj_t BgL_fillzd2word64zd2portz12z12_5070;

						{
							int BgL_tmpz00_7265;

							BgL_tmpz00_7265 = (int) (2L);
							BgL_fillzd2word64zd2portz12z12_5070 =
								MAKE_L_PROCEDURE(BGl_z62fillzd2word64zd2portz12z70zz__sha2z00,
								BgL_tmpz00_7265);
						}
						PROCEDURE_L_SET(BgL_fillzd2word64zd2portz12z12_5070,
							(int) (0L), BgL_bufz00_2321);
						PROCEDURE_L_SET(BgL_fillzd2word64zd2portz12z12_5070,
							(int) (1L), ((obj_t) BgL_lenz00_5081));
						{	/* Unsafe/sha2.scm 1173 */
							obj_t BgL_statez00_2324;
							obj_t BgL_bufferz00_2325;

							BgL_statez00_2324 =
								BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00();
							{	/* Llib/srfi4.scm 453 */

								BgL_bufferz00_2325 =
									BGl_makezd2u64vectorzd2zz__srfi4z00(16L, (uint64_t) (0));
							}
							BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2324,
								BgL_bufferz00_2325, BgL_pz00_60,
								BgL_fillzd2word64zd2portz12z12_5070);
							return BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2324);
						}
					}
				}
			}
		}

	}



/* &sha512sum-port */
	obj_t BGl_z62sha512sumzd2portzb0zz__sha2z00(obj_t BgL_envz00_5071,
		obj_t BgL_pz00_5072)
	{
		{	/* Unsafe/sha2.scm 1108 */
			{	/* Unsafe/sha2.scm 1108 */
				obj_t BgL_auxz00_7277;

				if (INPUT_PORTP(BgL_pz00_5072))
					{	/* Unsafe/sha2.scm 1108 */
						BgL_auxz00_7277 = BgL_pz00_5072;
					}
				else
					{
						obj_t BgL_auxz00_7280;

						BgL_auxz00_7280 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2355z00zz__sha2z00,
							BINT(45445L), BGl_string2369z00zz__sha2z00,
							BGl_string2362z00zz__sha2z00, BgL_pz00_5072);
						FAILURE(BgL_auxz00_7280, BFALSE, BFALSE);
					}
				return BGl_sha512sumzd2portzd2zz__sha2z00(BgL_auxz00_7277);
			}
		}

	}



/* &fill-word64-port! */
	long BGl_z62fillzd2word64zd2portz12z70zz__sha2z00(obj_t BgL_envz00_5073,
		obj_t BgL_v64z00_5076, long BgL_iz00_5077, obj_t BgL_pz00_5078,
		long BgL_nz00_5079)
	{
		{	/* Unsafe/sha2.scm 1171 */
			{	/* Unsafe/sha2.scm 1131 */
				obj_t BgL_bufz00_5074;
				obj_t BgL_lenz00_5075;

				BgL_bufz00_5074 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_5073, (int) (0L)));
				BgL_lenz00_5075 = PROCEDURE_L_REF(BgL_envz00_5073, (int) (1L));
				{
					obj_t BgL_pz00_5438;

					{	/* Unsafe/sha2.scm 1131 */
						long BgL_lz00_5445;

						BgL_pz00_5438 = ((obj_t) BgL_pz00_5078);
						{
							long BgL_iz00_5440;

							BgL_iz00_5440 = 0L;
						BgL_loopz00_5439:
							if ((BgL_iz00_5440 == 4L))
								{	/* Unsafe/sha2.scm 1116 */
									BgL_lz00_5445 = BgL_iz00_5440;
								}
							else
								{	/* Unsafe/sha2.scm 1118 */
									obj_t BgL_cz00_5441;

									BgL_cz00_5441 =
										BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_pz00_5438);
									if (EOF_OBJECTP(BgL_cz00_5441))
										{
											long BgL_jz00_5443;

											BgL_jz00_5443 = BgL_iz00_5440;
										BgL_liipz00_5442:
											if ((BgL_jz00_5443 == 4L))
												{	/* Unsafe/sha2.scm 1121 */
													BgL_lz00_5445 = BgL_iz00_5440;
												}
											else
												{	/* Unsafe/sha2.scm 1121 */
													{	/* Unsafe/sha2.scm 1124 */
														uint32_t BgL_tmpz00_7297;

														BgL_tmpz00_7297 = (uint32_t) (0L);
														BGL_U32VSET(BgL_bufz00_5074, BgL_jz00_5443,
															BgL_tmpz00_7297);
													}
													BUNSPEC;
													{
														long BgL_jz00_7300;

														BgL_jz00_7300 = (BgL_jz00_5443 + 1L);
														BgL_jz00_5443 = BgL_jz00_7300;
														goto BgL_liipz00_5442;
													}
												}
										}
									else
										{	/* Unsafe/sha2.scm 1119 */
											{	/* Unsafe/sha2.scm 1127 */
												uint32_t BgL_arg1973z00_5444;

												{	/* Unsafe/sha2.scm 1127 */
													char BgL_tmpz00_7302;

													BgL_tmpz00_7302 = (signed char) CINT(BgL_cz00_5441);
													BgL_arg1973z00_5444 = (uint32_t) (BgL_tmpz00_7302);
												}
												BGL_U32VSET(BgL_bufz00_5074, BgL_iz00_5440,
													BgL_arg1973z00_5444);
												BUNSPEC;
											}
											{
												long BgL_iz00_7306;

												BgL_iz00_7306 = (BgL_iz00_5440 + 1L);
												BgL_iz00_5440 = BgL_iz00_7306;
												goto BgL_loopz00_5439;
											}
										}
								}
						}
						{	/* Unsafe/sha2.scm 1132 */
							obj_t BgL_auxz00_5446;

							BgL_auxz00_5446 =
								ADDFX(BGL_UNSAFE_CELL_REF(BgL_lenz00_5075),
								BINT(BgL_lz00_5445));
							BGL_UNSAFE_CELL_SET(BgL_lenz00_5075, BgL_auxz00_5446);
						}
						if (((BgL_nz00_5079 + 8L) <= BgL_lz00_5445))
							{	/* Unsafe/sha2.scm 1135 */
								uint32_t BgL_v0z00_5447;

								BgL_v0z00_5447 = BGL_U32VREF(BgL_bufz00_5074, 0L);
								{	/* Unsafe/sha2.scm 1135 */
									uint32_t BgL_v1z00_5448;

									BgL_v1z00_5448 = BGL_U32VREF(BgL_bufz00_5074, 1L);
									{	/* Unsafe/sha2.scm 1136 */
										uint32_t BgL_v2z00_5449;

										BgL_v2z00_5449 = BGL_U32VREF(BgL_bufz00_5074, 2L);
										{	/* Unsafe/sha2.scm 1137 */
											uint32_t BgL_v3z00_5450;

											BgL_v3z00_5450 = BGL_U32VREF(BgL_bufz00_5074, 3L);
											{	/* Unsafe/sha2.scm 1138 */
												uint32_t BgL_v4z00_5451;

												BgL_v4z00_5451 = BGL_U32VREF(BgL_bufz00_5074, 4L);
												{	/* Unsafe/sha2.scm 1139 */
													uint32_t BgL_v5z00_5452;

													BgL_v5z00_5452 = BGL_U32VREF(BgL_bufz00_5074, 5L);
													{	/* Unsafe/sha2.scm 1140 */
														uint32_t BgL_v6z00_5453;

														BgL_v6z00_5453 = BGL_U32VREF(BgL_bufz00_5074, 6L);
														{	/* Unsafe/sha2.scm 1141 */
															uint32_t BgL_v7z00_5454;

															BgL_v7z00_5454 = BGL_U32VREF(BgL_bufz00_5074, 7L);
															{	/* Unsafe/sha2.scm 1142 */
																uint64_t BgL_vz00_5455;

																{	/* Unsafe/sha2.scm 1143 */
																	uint64_t BgL_arg1895z00_5456;
																	uint64_t BgL_arg1896z00_5457;

																	{	/* Unsafe/sha2.scm 1143 */
																		uint64_t BgL_arg1897z00_5458;

																		{	/* Unsafe/sha2.scm 1143 */
																			long BgL_arg1898z00_5459;

																			{	/* Unsafe/sha2.scm 1143 */
																				long BgL_arg1899z00_5460;
																				long BgL_arg1900z00_5461;

																				{	/* Unsafe/sha2.scm 1143 */
																					uint32_t BgL_tmpz00_7322;

																					BgL_tmpz00_7322 =
																						(BgL_v0z00_5447 << (int) (8L));
																					BgL_arg1899z00_5460 =
																						(long) (BgL_tmpz00_7322);
																				}
																				BgL_arg1900z00_5461 =
																					(long) (BgL_v1z00_5448);
																				BgL_arg1898z00_5459 =
																					(BgL_arg1899z00_5460 |
																					BgL_arg1900z00_5461);
																			}
																			BgL_arg1897z00_5458 =
																				(uint64_t) (BgL_arg1898z00_5459);
																		}
																		BgL_arg1895z00_5456 =
																			(BgL_arg1897z00_5458 << (int) (48L));
																	}
																	{	/* Unsafe/sha2.scm 1143 */
																		uint64_t BgL_arg1902z00_5462;
																		uint64_t BgL_arg1903z00_5463;

																		{	/* Unsafe/sha2.scm 1143 */
																			uint64_t BgL_arg1904z00_5464;

																			{	/* Unsafe/sha2.scm 1143 */
																				long BgL_arg1905z00_5465;

																				{	/* Unsafe/sha2.scm 1143 */
																					long BgL_arg1906z00_5466;
																					long BgL_arg1907z00_5467;

																					{	/* Unsafe/sha2.scm 1143 */
																						uint32_t BgL_tmpz00_7331;

																						BgL_tmpz00_7331 =
																							(BgL_v2z00_5449 << (int) (8L));
																						BgL_arg1906z00_5466 =
																							(long) (BgL_tmpz00_7331);
																					}
																					BgL_arg1907z00_5467 =
																						(long) (BgL_v3z00_5450);
																					BgL_arg1905z00_5465 =
																						(BgL_arg1906z00_5466 |
																						BgL_arg1907z00_5467);
																				}
																				BgL_arg1904z00_5464 =
																					(uint64_t) (BgL_arg1905z00_5465);
																			}
																			BgL_arg1902z00_5462 =
																				(BgL_arg1904z00_5464 << (int) (32L));
																		}
																		{	/* Unsafe/sha2.scm 1144 */
																			uint64_t BgL_arg1909z00_5468;
																			uint64_t BgL_arg1910z00_5469;

																			{	/* Unsafe/sha2.scm 1144 */
																				uint64_t BgL_arg1911z00_5470;

																				{	/* Unsafe/sha2.scm 1144 */
																					long BgL_arg1912z00_5471;

																					{	/* Unsafe/sha2.scm 1144 */
																						long BgL_arg1913z00_5472;
																						long BgL_arg1915z00_5473;

																						{	/* Unsafe/sha2.scm 1144 */
																							uint32_t BgL_tmpz00_7340;

																							BgL_tmpz00_7340 =
																								(BgL_v4z00_5451 << (int) (8L));
																							BgL_arg1913z00_5472 =
																								(long) (BgL_tmpz00_7340);
																						}
																						BgL_arg1915z00_5473 =
																							(long) (BgL_v5z00_5452);
																						BgL_arg1912z00_5471 =
																							(BgL_arg1913z00_5472 |
																							BgL_arg1915z00_5473);
																					}
																					BgL_arg1911z00_5470 =
																						(uint64_t) (BgL_arg1912z00_5471);
																				}
																				BgL_arg1909z00_5468 =
																					(BgL_arg1911z00_5470 << (int) (16L));
																			}
																			{	/* Unsafe/sha2.scm 1144 */
																				long BgL_arg1917z00_5474;

																				{	/* Unsafe/sha2.scm 1144 */
																					long BgL_arg1918z00_5475;
																					long BgL_arg1919z00_5476;

																					{	/* Unsafe/sha2.scm 1144 */
																						uint32_t BgL_tmpz00_7349;

																						BgL_tmpz00_7349 =
																							(BgL_v6z00_5453 << (int) (8L));
																						BgL_arg1918z00_5475 =
																							(long) (BgL_tmpz00_7349);
																					}
																					BgL_arg1919z00_5476 =
																						(long) (BgL_v7z00_5454);
																					BgL_arg1917z00_5474 =
																						(BgL_arg1918z00_5475 |
																						BgL_arg1919z00_5476);
																				}
																				BgL_arg1910z00_5469 =
																					(uint64_t) (BgL_arg1917z00_5474);
																			}
																			BgL_arg1903z00_5463 =
																				(BgL_arg1909z00_5468 |
																				BgL_arg1910z00_5469);
																		}
																		BgL_arg1896z00_5457 =
																			(BgL_arg1902z00_5462 |
																			BgL_arg1903z00_5463);
																	}
																	BgL_vz00_5455 =
																		(BgL_arg1895z00_5456 | BgL_arg1896z00_5457);
																}
																{	/* Unsafe/sha2.scm 1143 */

																	BGL_U64VSET(BgL_v64z00_5076, BgL_iz00_5077,
																		BgL_vz00_5455);
																	BUNSPEC;
																	return 8L;
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Unsafe/sha2.scm 1134 */
								if ((BgL_nz00_5079 >= (1L + BgL_lz00_5445)))
									{	/* Unsafe/sha2.scm 1147 */
										{	/* Unsafe/sha2.scm 1148 */
											uint64_t BgL_tmpz00_7363;

											BgL_tmpz00_7363 = (uint64_t) (0L);
											BGL_U64VSET(BgL_v64z00_5076, BgL_iz00_5077,
												BgL_tmpz00_7363);
										}
										BUNSPEC;
										return 0L;
									}
								else
									{	/* Unsafe/sha2.scm 1151 */
										obj_t BgL_vz00_5477;
										long BgL_kz00_5478;

										BgL_vz00_5477 =
											BGl_makezd2u32vectorzd2zz__srfi4z00(8L, (uint32_t) (0L));
										BgL_kz00_5478 =
											(8L - ((BgL_nz00_5079 + 8L) - BgL_lz00_5445));
										{
											long BgL_jz00_5480;

											BgL_jz00_5480 = 0L;
										BgL_loopz00_5479:
											if ((BgL_jz00_5480 == BgL_kz00_5478))
												{	/* Unsafe/sha2.scm 1154 */
													{	/* Unsafe/sha2.scm 1156 */
														uint32_t BgL_tmpz00_7373;

														BgL_tmpz00_7373 = (uint32_t) (128L);
														BGL_U32VSET(BgL_vz00_5477, BgL_jz00_5480,
															BgL_tmpz00_7373);
													}
													BUNSPEC;
													{	/* Unsafe/sha2.scm 1157 */
														uint32_t BgL_v0z00_5481;

														BgL_v0z00_5481 = BGL_U32VREF(BgL_vz00_5477, 0L);
														{	/* Unsafe/sha2.scm 1157 */
															uint32_t BgL_v1z00_5482;

															BgL_v1z00_5482 = BGL_U32VREF(BgL_vz00_5477, 1L);
															{	/* Unsafe/sha2.scm 1158 */
																uint32_t BgL_v2z00_5483;

																BgL_v2z00_5483 = BGL_U32VREF(BgL_vz00_5477, 2L);
																{	/* Unsafe/sha2.scm 1159 */
																	uint32_t BgL_v3z00_5484;

																	BgL_v3z00_5484 =
																		BGL_U32VREF(BgL_vz00_5477, 3L);
																	{	/* Unsafe/sha2.scm 1160 */
																		uint32_t BgL_v4z00_5485;

																		BgL_v4z00_5485 =
																			BGL_U32VREF(BgL_vz00_5477, 4L);
																		{	/* Unsafe/sha2.scm 1161 */
																			uint32_t BgL_v5z00_5486;

																			BgL_v5z00_5486 =
																				BGL_U32VREF(BgL_vz00_5477, 5L);
																			{	/* Unsafe/sha2.scm 1162 */
																				uint32_t BgL_v6z00_5487;

																				BgL_v6z00_5487 =
																					BGL_U32VREF(BgL_vz00_5477, 6L);
																				{	/* Unsafe/sha2.scm 1163 */
																					uint32_t BgL_v7z00_5488;

																					BgL_v7z00_5488 =
																						BGL_U32VREF(BgL_vz00_5477, 7L);
																					{	/* Unsafe/sha2.scm 1164 */
																						uint64_t BgL_vz00_5489;

																						{	/* Unsafe/sha2.scm 1165 */
																							uint64_t BgL_arg1926z00_5490;
																							uint64_t BgL_arg1927z00_5491;

																							{	/* Unsafe/sha2.scm 1165 */
																								uint64_t BgL_arg1928z00_5492;

																								{	/* Unsafe/sha2.scm 1165 */
																									long BgL_arg1929z00_5493;

																									{	/* Unsafe/sha2.scm 1165 */
																										long BgL_arg1930z00_5494;
																										long BgL_arg1932z00_5495;

																										{	/* Unsafe/sha2.scm 1165 */
																											uint32_t BgL_tmpz00_7384;

																											BgL_tmpz00_7384 =
																												(BgL_v0z00_5481 <<
																												(int) (8L));
																											BgL_arg1930z00_5494 =
																												(long)
																												(BgL_tmpz00_7384);
																										}
																										BgL_arg1932z00_5495 =
																											(long) (BgL_v1z00_5482);
																										BgL_arg1929z00_5493 =
																											(BgL_arg1930z00_5494 |
																											BgL_arg1932z00_5495);
																									}
																									BgL_arg1928z00_5492 =
																										(uint64_t)
																										(BgL_arg1929z00_5493);
																								}
																								BgL_arg1926z00_5490 =
																									(BgL_arg1928z00_5492 <<
																									(int) (48L));
																							}
																							{	/* Unsafe/sha2.scm 1165 */
																								uint64_t BgL_arg1934z00_5496;
																								uint64_t BgL_arg1935z00_5497;

																								{	/* Unsafe/sha2.scm 1165 */
																									uint64_t BgL_arg1936z00_5498;

																									{	/* Unsafe/sha2.scm 1165 */
																										long BgL_arg1938z00_5499;

																										{	/* Unsafe/sha2.scm 1165 */
																											long BgL_arg1939z00_5500;
																											long BgL_arg1940z00_5501;

																											{	/* Unsafe/sha2.scm 1165 */
																												uint32_t
																													BgL_tmpz00_7393;
																												BgL_tmpz00_7393 =
																													(BgL_v2z00_5483 <<
																													(int) (8L));
																												BgL_arg1939z00_5500 =
																													(long)
																													(BgL_tmpz00_7393);
																											}
																											BgL_arg1940z00_5501 =
																												(long) (BgL_v3z00_5484);
																											BgL_arg1938z00_5499 =
																												(BgL_arg1939z00_5500 |
																												BgL_arg1940z00_5501);
																										}
																										BgL_arg1936z00_5498 =
																											(uint64_t)
																											(BgL_arg1938z00_5499);
																									}
																									BgL_arg1934z00_5496 =
																										(BgL_arg1936z00_5498 <<
																										(int) (32L));
																								}
																								{	/* Unsafe/sha2.scm 1166 */
																									uint64_t BgL_arg1943z00_5502;
																									uint64_t BgL_arg1944z00_5503;

																									{	/* Unsafe/sha2.scm 1166 */
																										uint64_t
																											BgL_arg1945z00_5504;
																										{	/* Unsafe/sha2.scm 1166 */
																											long BgL_arg1946z00_5505;

																											{	/* Unsafe/sha2.scm 1166 */
																												long
																													BgL_arg1947z00_5506;
																												long
																													BgL_arg1948z00_5507;
																												{	/* Unsafe/sha2.scm 1166 */
																													uint32_t
																														BgL_tmpz00_7402;
																													BgL_tmpz00_7402 =
																														(BgL_v4z00_5485 <<
																														(int) (8L));
																													BgL_arg1947z00_5506 =
																														(long)
																														(BgL_tmpz00_7402);
																												}
																												BgL_arg1948z00_5507 =
																													(long)
																													(BgL_v5z00_5486);
																												BgL_arg1946z00_5505 =
																													(BgL_arg1947z00_5506 |
																													BgL_arg1948z00_5507);
																											}
																											BgL_arg1945z00_5504 =
																												(uint64_t)
																												(BgL_arg1946z00_5505);
																										}
																										BgL_arg1943z00_5502 =
																											(BgL_arg1945z00_5504 <<
																											(int) (16L));
																									}
																									{	/* Unsafe/sha2.scm 1166 */
																										long BgL_arg1953z00_5508;

																										{	/* Unsafe/sha2.scm 1166 */
																											long BgL_arg1954z00_5509;
																											long BgL_arg1955z00_5510;

																											{	/* Unsafe/sha2.scm 1166 */
																												uint32_t
																													BgL_tmpz00_7411;
																												BgL_tmpz00_7411 =
																													(BgL_v6z00_5487 <<
																													(int) (8L));
																												BgL_arg1954z00_5509 =
																													(long)
																													(BgL_tmpz00_7411);
																											}
																											BgL_arg1955z00_5510 =
																												(long) (BgL_v7z00_5488);
																											BgL_arg1953z00_5508 =
																												(BgL_arg1954z00_5509 |
																												BgL_arg1955z00_5510);
																										}
																										BgL_arg1944z00_5503 =
																											(uint64_t)
																											(BgL_arg1953z00_5508);
																									}
																									BgL_arg1935z00_5497 =
																										(BgL_arg1943z00_5502 |
																										BgL_arg1944z00_5503);
																								}
																								BgL_arg1927z00_5491 =
																									(BgL_arg1934z00_5496 |
																									BgL_arg1935z00_5497);
																							}
																							BgL_vz00_5489 =
																								(BgL_arg1926z00_5490 |
																								BgL_arg1927z00_5491);
																						}
																						{	/* Unsafe/sha2.scm 1165 */

																							BGL_U64VSET(BgL_v64z00_5076,
																								BgL_iz00_5077, BgL_vz00_5489);
																							BUNSPEC;
																							return (BgL_jz00_5480 + 1L);
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											else
												{	/* Unsafe/sha2.scm 1154 */
													{	/* Unsafe/sha2.scm 1170 */
														uint32_t BgL_arg1957z00_5511;

														BgL_arg1957z00_5511 =
															BGL_U32VREF(BgL_bufz00_5074, BgL_jz00_5480);
														BGL_U32VSET(BgL_vz00_5477, BgL_jz00_5480,
															BgL_arg1957z00_5511);
														BUNSPEC;
													}
													{
														long BgL_jz00_7425;

														BgL_jz00_7425 = (BgL_jz00_5480 + 1L);
														BgL_jz00_5480 = BgL_jz00_7425;
														goto BgL_loopz00_5479;
													}
												}
										}
									}
							}
					}
				}
			}
		}

	}



/* sha512sum-file */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2filezd2zz__sha2z00(obj_t
		BgL_fnamez00_61)
	{
		{	/* Unsafe/sha2.scm 1181 */
			{	/* Unsafe/sha2.scm 1182 */
				obj_t BgL_mmz00_2440;

				BgL_mmz00_2440 =
					BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_61, BTRUE, BFALSE);
				if (BGL_MMAPP(BgL_mmz00_2440))
					{	/* Unsafe/sha2.scm 1184 */
						obj_t BgL_exitd1091z00_2442;

						BgL_exitd1091z00_2442 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Unsafe/sha2.scm 1186 */
							obj_t BgL_zc3z04anonymousza31976ze3z87_5083;

							BgL_zc3z04anonymousza31976ze3z87_5083 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza31976ze3ze5zz__sha2z00, (int) (0L),
								(int) (1L));
							PROCEDURE_SET(BgL_zc3z04anonymousza31976ze3z87_5083, (int) (0L),
								BgL_mmz00_2440);
							{	/* Unsafe/sha2.scm 1184 */
								obj_t BgL_arg2328z00_4768;

								{	/* Unsafe/sha2.scm 1184 */
									obj_t BgL_arg2329z00_4769;

									BgL_arg2329z00_4769 =
										BGL_EXITD_PROTECT(BgL_exitd1091z00_2442);
									BgL_arg2328z00_4768 =
										MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31976ze3z87_5083,
										BgL_arg2329z00_4769);
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1091z00_2442,
									BgL_arg2328z00_4768);
								BUNSPEC;
							}
							{	/* Unsafe/sha2.scm 1185 */
								obj_t BgL_tmp1093z00_2444;

								BgL_tmp1093z00_2444 =
									BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_mmz00_2440);
								{	/* Unsafe/sha2.scm 1184 */
									bool_t BgL_test2475z00_7440;

									{	/* Unsafe/sha2.scm 1184 */
										obj_t BgL_arg2327z00_4771;

										BgL_arg2327z00_4771 =
											BGL_EXITD_PROTECT(BgL_exitd1091z00_2442);
										BgL_test2475z00_7440 = PAIRP(BgL_arg2327z00_4771);
									}
									if (BgL_test2475z00_7440)
										{	/* Unsafe/sha2.scm 1184 */
											obj_t BgL_arg2325z00_4772;

											{	/* Unsafe/sha2.scm 1184 */
												obj_t BgL_arg2326z00_4773;

												BgL_arg2326z00_4773 =
													BGL_EXITD_PROTECT(BgL_exitd1091z00_2442);
												BgL_arg2325z00_4772 =
													CDR(((obj_t) BgL_arg2326z00_4773));
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1091z00_2442,
												BgL_arg2325z00_4772);
											BUNSPEC;
										}
									else
										{	/* Unsafe/sha2.scm 1184 */
											BFALSE;
										}
								}
								bgl_close_mmap(BgL_mmz00_2440);
								return BgL_tmp1093z00_2444;
							}
						}
					}
				else
					{	/* Unsafe/sha2.scm 1187 */
						obj_t BgL_pz00_2447;

						{	/* Ieee/port.scm 466 */

							BgL_pz00_2447 =
								BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
								(BgL_fnamez00_61, BTRUE, BINT(5000000L));
						}
						{	/* Unsafe/sha2.scm 1188 */
							obj_t BgL_exitd1095z00_2448;

							BgL_exitd1095z00_2448 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Unsafe/sha2.scm 1190 */
								obj_t BgL_zc3z04anonymousza31977ze3z87_5084;

								BgL_zc3z04anonymousza31977ze3z87_5084 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31977ze3ze5zz__sha2z00, (int) (0L),
									(int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31977ze3z87_5084, (int) (0L),
									BgL_pz00_2447);
								{	/* Unsafe/sha2.scm 1188 */
									obj_t BgL_arg2328z00_4777;

									{	/* Unsafe/sha2.scm 1188 */
										obj_t BgL_arg2329z00_4778;

										BgL_arg2329z00_4778 =
											BGL_EXITD_PROTECT(BgL_exitd1095z00_2448);
										BgL_arg2328z00_4777 =
											MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31977ze3z87_5084,
											BgL_arg2329z00_4778);
									}
									BGL_EXITD_PROTECT_SET(BgL_exitd1095z00_2448,
										BgL_arg2328z00_4777);
									BUNSPEC;
								}
								{	/* Unsafe/sha2.scm 1189 */
									obj_t BgL_tmp1097z00_2450;

									BgL_tmp1097z00_2450 =
										BGl_sha512sumzd2portzd2zz__sha2z00(BgL_pz00_2447);
									{	/* Unsafe/sha2.scm 1188 */
										bool_t BgL_test2476z00_7460;

										{	/* Unsafe/sha2.scm 1188 */
											obj_t BgL_arg2327z00_4780;

											BgL_arg2327z00_4780 =
												BGL_EXITD_PROTECT(BgL_exitd1095z00_2448);
											BgL_test2476z00_7460 = PAIRP(BgL_arg2327z00_4780);
										}
										if (BgL_test2476z00_7460)
											{	/* Unsafe/sha2.scm 1188 */
												obj_t BgL_arg2325z00_4781;

												{	/* Unsafe/sha2.scm 1188 */
													obj_t BgL_arg2326z00_4782;

													BgL_arg2326z00_4782 =
														BGL_EXITD_PROTECT(BgL_exitd1095z00_2448);
													BgL_arg2325z00_4781 =
														CDR(((obj_t) BgL_arg2326z00_4782));
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1095z00_2448,
													BgL_arg2325z00_4781);
												BUNSPEC;
											}
										else
											{	/* Unsafe/sha2.scm 1188 */
												BFALSE;
											}
									}
									bgl_close_input_port(((obj_t) BgL_pz00_2447));
									return BgL_tmp1097z00_2450;
								}
							}
						}
					}
			}
		}

	}



/* &sha512sum-file */
	obj_t BGl_z62sha512sumzd2filezb0zz__sha2z00(obj_t BgL_envz00_5085,
		obj_t BgL_fnamez00_5086)
	{
		{	/* Unsafe/sha2.scm 1181 */
			{	/* Unsafe/sha2.scm 1182 */
				obj_t BgL_auxz00_7469;

				if (STRINGP(BgL_fnamez00_5086))
					{	/* Unsafe/sha2.scm 1182 */
						BgL_auxz00_7469 = BgL_fnamez00_5086;
					}
				else
					{
						obj_t BgL_auxz00_7472;

						BgL_auxz00_7472 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2355z00zz__sha2z00,
							BINT(47709L), BGl_string2370z00zz__sha2z00,
							BGl_string2360z00zz__sha2z00, BgL_fnamez00_5086);
						FAILURE(BgL_auxz00_7472, BFALSE, BFALSE);
					}
				return BGl_sha512sumzd2filezd2zz__sha2z00(BgL_auxz00_7469);
			}
		}

	}



/* &<@anonymous:1976> */
	obj_t BGl_z62zc3z04anonymousza31976ze3ze5zz__sha2z00(obj_t BgL_envz00_5087)
	{
		{	/* Unsafe/sha2.scm 1184 */
			{	/* Unsafe/sha2.scm 1186 */
				obj_t BgL_mmz00_5088;

				BgL_mmz00_5088 = ((obj_t) PROCEDURE_REF(BgL_envz00_5087, (int) (0L)));
				return bgl_close_mmap(BgL_mmz00_5088);
			}
		}

	}



/* &<@anonymous:1977> */
	obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__sha2z00(obj_t BgL_envz00_5089)
	{
		{	/* Unsafe/sha2.scm 1188 */
			{	/* Unsafe/sha2.scm 1190 */
				obj_t BgL_pz00_5090;

				BgL_pz00_5090 = PROCEDURE_REF(BgL_envz00_5089, (int) (0L));
				return bgl_close_input_port(((obj_t) BgL_pz00_5090));
			}
		}

	}



/* sha512sum */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumz00zz__sha2z00(obj_t BgL_objz00_62)
	{
		{	/* Unsafe/sha2.scm 1195 */
			if (BGL_MMAPP(BgL_objz00_62))
				{	/* Unsafe/sha2.scm 1197 */
					return BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_objz00_62);
				}
			else
				{	/* Unsafe/sha2.scm 1197 */
					if (STRINGP(BgL_objz00_62))
						{	/* Unsafe/sha2.scm 1199 */
							return BGl_sha512sumzd2stringzd2zz__sha2z00(BgL_objz00_62);
						}
					else
						{	/* Unsafe/sha2.scm 1199 */
							if (INPUT_PORTP(BgL_objz00_62))
								{	/* Unsafe/sha2.scm 1201 */
									return BGl_sha512sumzd2portzd2zz__sha2z00(BgL_objz00_62);
								}
							else
								{	/* Unsafe/sha2.scm 1201 */
									return
										BGl_errorz00zz__errorz00(BGl_string2371z00zz__sha2z00,
										BGl_string2365z00zz__sha2z00, BgL_objz00_62);
								}
						}
				}
		}

	}



/* &sha512sum */
	obj_t BGl_z62sha512sumz62zz__sha2z00(obj_t BgL_envz00_5091,
		obj_t BgL_objz00_5092)
	{
		{	/* Unsafe/sha2.scm 1195 */
			return BGl_sha512sumz00zz__sha2z00(BgL_objz00_5092);
		}

	}



/* hmac-sha256sum-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(obj_t
		BgL_keyz00_63, obj_t BgL_msgz00_64)
	{
		{	/* Unsafe/sha2.scm 1209 */
			return
				BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_63, BgL_msgz00_64,
				BGl_sha256sumzd2stringzd2envz00zz__sha2z00);
		}

	}



/* &hmac-sha256sum-string */
	obj_t BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00(obj_t BgL_envz00_5093,
		obj_t BgL_keyz00_5094, obj_t BgL_msgz00_5095)
	{
		{	/* Unsafe/sha2.scm 1209 */
			{	/* Unsafe/sha2.scm 1210 */
				obj_t BgL_auxz00_7504;
				obj_t BgL_auxz00_7497;

				if (STRINGP(BgL_msgz00_5095))
					{	/* Unsafe/sha2.scm 1210 */
						BgL_auxz00_7504 = BgL_msgz00_5095;
					}
				else
					{
						obj_t BgL_auxz00_7507;

						BgL_auxz00_7507 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2355z00zz__sha2z00,
							BINT(48688L), BGl_string2372z00zz__sha2z00,
							BGl_string2360z00zz__sha2z00, BgL_msgz00_5095);
						FAILURE(BgL_auxz00_7507, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_keyz00_5094))
					{	/* Unsafe/sha2.scm 1210 */
						BgL_auxz00_7497 = BgL_keyz00_5094;
					}
				else
					{
						obj_t BgL_auxz00_7500;

						BgL_auxz00_7500 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2355z00zz__sha2z00,
							BINT(48688L), BGl_string2372z00zz__sha2z00,
							BGl_string2360z00zz__sha2z00, BgL_keyz00_5094);
						FAILURE(BgL_auxz00_7500, BFALSE, BFALSE);
					}
				return
					BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(BgL_auxz00_7497,
					BgL_auxz00_7504);
			}
		}

	}



/* hmac-sha512sum-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(obj_t
		BgL_keyz00_65, obj_t BgL_msgz00_66)
	{
		{	/* Unsafe/sha2.scm 1215 */
			return
				BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_65, BgL_msgz00_66,
				BGl_sha512sumzd2stringzd2envz00zz__sha2z00);
		}

	}



/* &hmac-sha512sum-string */
	obj_t BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00(obj_t BgL_envz00_5096,
		obj_t BgL_keyz00_5097, obj_t BgL_msgz00_5098)
	{
		{	/* Unsafe/sha2.scm 1215 */
			{	/* Unsafe/sha2.scm 1216 */
				obj_t BgL_auxz00_7520;
				obj_t BgL_auxz00_7513;

				if (STRINGP(BgL_msgz00_5098))
					{	/* Unsafe/sha2.scm 1216 */
						BgL_auxz00_7520 = BgL_msgz00_5098;
					}
				else
					{
						obj_t BgL_auxz00_7523;

						BgL_auxz00_7523 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2355z00zz__sha2z00,
							BINT(48994L), BGl_string2373z00zz__sha2z00,
							BGl_string2360z00zz__sha2z00, BgL_msgz00_5098);
						FAILURE(BgL_auxz00_7523, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_keyz00_5097))
					{	/* Unsafe/sha2.scm 1216 */
						BgL_auxz00_7513 = BgL_keyz00_5097;
					}
				else
					{
						obj_t BgL_auxz00_7516;

						BgL_auxz00_7516 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2355z00zz__sha2z00,
							BINT(48994L), BGl_string2373z00zz__sha2z00,
							BGl_string2360z00zz__sha2z00, BgL_keyz00_5097);
						FAILURE(BgL_auxz00_7516, BFALSE, BFALSE);
					}
				return
					BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(BgL_auxz00_7513,
					BgL_auxz00_7520);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 50 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 50 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 50 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 50 */
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string2374z00zz__sha2z00));
			BGl_modulezd2initializa7ationz75zz__hmacz00(285132844L,
				BSTRING_TO_STRING(BGl_string2374z00zz__sha2z00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string2374z00zz__sha2z00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string2374z00zz__sha2z00));
			return
				BGl_modulezd2initializa7ationz75zz__srfi4z00(467924964L,
				BSTRING_TO_STRING(BGl_string2374z00zz__sha2z00));
		}

	}

#ifdef __cplusplus
}
#endif
